/*===========================================================================*/
/*   (Eval/evaluate_avar.scm)                                                */
/*   Bigloo (3.8a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Thu Mar 29 06:52:41 CEST 2012       */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -srfi enable-gmp -srfi bigloo-unsafe -O3 -fcfa-arithmetic -q +rm -lib-dir /users/serrano/prgm/project/bigloo/lib/3.8a -mklib -cc gcc -fsharing -q -no-hello -copt -fPIC -unsafe -safee -O4 -c Eval/evaluate_avar.scm -indent -o objs/obj_u/Eval/evaluate_avar.c)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_ev_exprz00_bgl
	{
		header_t header;
		obj_t widening;
	}                 *BgL_ev_exprz00_bglt;

	typedef struct BgL_ev_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
		obj_t BgL_effz00;
		obj_t BgL_typez00;
	}                *BgL_ev_varz00_bglt;

	typedef struct BgL_ev_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_namez00;
		obj_t BgL_modz00;
	}                   *BgL_ev_globalz00_bglt;

	typedef struct BgL_ev_littz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_valuez00;
	}                 *BgL_ev_littz00_bglt;

	typedef struct BgL_ev_ifz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_pz00;
		struct BgL_ev_exprz00_bgl *BgL_tz00;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
	}               *BgL_ev_ifz00_bglt;

	typedef struct BgL_ev_listz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_argsz00;
	}                 *BgL_ev_listz00_bglt;

	typedef struct BgL_ev_prog2z00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_e1z00;
		struct BgL_ev_exprz00_bgl *BgL_e2z00;
	}                  *BgL_ev_prog2z00_bglt;

	typedef struct BgL_ev_hookz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
	}                 *BgL_ev_hookz00_bglt;

	typedef struct BgL_ev_setlocalz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		struct BgL_ev_varz00_bgl *BgL_vz00;
	}                     *BgL_ev_setlocalz00_bglt;

	typedef struct BgL_ev_bindzd2exitzd2_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_varz00_bgl *BgL_varz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                        *BgL_ev_bindzd2exitzd2_bglt;

	typedef struct BgL_ev_unwindzd2protectzd2_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                             *BgL_ev_unwindzd2protectzd2_bglt;

	typedef struct BgL_ev_withzd2handlerzd2_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_handlerz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                           *BgL_ev_withzd2handlerzd2_bglt;

	typedef struct BgL_ev_binderz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                   *BgL_ev_binderz00_bglt;

	typedef struct BgL_ev_letz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		obj_t BgL_boxesz00;
	}                *BgL_ev_letz00_bglt;

	typedef struct BgL_ev_letza2za2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		obj_t BgL_boxesz00;
	}                   *BgL_ev_letza2za2_bglt;

	typedef struct BgL_ev_letrecz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                   *BgL_ev_letrecz00_bglt;

	typedef struct BgL_ev_labelsz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		obj_t BgL_envz00;
		obj_t BgL_stkz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		obj_t BgL_boxesz00;
	}                   *BgL_ev_labelsz00_bglt;

	typedef struct BgL_ev_gotoz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_ev_varz00_bgl *BgL_labelz00;
		struct BgL_ev_labelsz00_bgl *BgL_labelsz00;
		obj_t BgL_argsz00;
	}                 *BgL_ev_gotoz00_bglt;

	typedef struct BgL_ev_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_ev_exprz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_tailzf3zf3;
	}                *BgL_ev_appz00_bglt;

	typedef struct BgL_ev_absz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_wherez00;
		obj_t BgL_arityz00;
		obj_t BgL_varsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		int BgL_siza7eza7;
		obj_t BgL_bindz00;
		obj_t BgL_freez00;
		obj_t BgL_innerz00;
		obj_t BgL_boxesz00;
	}                *BgL_ev_absz00_bglt;


	static obj_t BGl_z62avarzd2ev_prog21195zb0zz__evaluate_avarz00(obj_t,
		BgL_ev_prog2z00_bglt, obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zz__evaluate_avarz00 = BUNSPEC;
	static obj_t BGl_symbol1778z00zz__evaluate_avarz00 = BUNSPEC;
	extern obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_symbol1780z00zz__evaluate_avarz00 = BUNSPEC;
	extern obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t, obj_t,
		obj_t);
	extern obj_t BGl_ev_letrecz00zz__evaluate_typesz00;
	static obj_t BGl_z62avarzd2ev_setlocal1199zb0zz__evaluate_avarz00(obj_t,
		BgL_ev_setlocalz00_bglt, obj_t, obj_t);
	static obj_t BGl_symbol1790z00zz__evaluate_avarz00 = BUNSPEC;
	static obj_t BGl_toplevelzd2initzd2zz__evaluate_avarz00();
	static obj_t BGl_z62avarzd2ev_goto1215zb0zz__evaluate_avarz00(obj_t,
		BgL_ev_gotoz00_bglt, obj_t, obj_t);
	extern obj_t BGl_ev_letz00zz__evaluate_typesz00;
	static obj_t BGl_z62avarzd2ev_if1191zb0zz__evaluate_avarz00(obj_t,
		BgL_ev_ifz00_bglt, obj_t, obj_t);
	static obj_t BGl_z62avarzd2ev_global1187zb0zz__evaluate_avarz00(obj_t,
		BgL_ev_globalz00_bglt, obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zz__evaluate_avarz00();
	extern obj_t BGl_ev_prog2z00zz__evaluate_typesz00;
	static obj_t BGl_objectzd2initzd2zz__evaluate_avarz00();
	extern obj_t BGl_ev_bindzd2exitzd2zz__evaluate_typesz00;
	static obj_t BGl_z62zc3anonymousza31361ze3ze1zz__evaluate_avarz00(obj_t,
		obj_t);
	extern obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza31427ze3ze1zz__evaluate_avarz00(obj_t,
		obj_t);
	static obj_t BGl_z62avarzd2ev_hook1197zb0zz__evaluate_avarz00(obj_t,
		BgL_ev_hookz00_bglt, obj_t, obj_t);
	static obj_t BGl_z62avarzd2ev_letrec1211zb0zz__evaluate_avarz00(obj_t,
		BgL_ev_letrecz00_bglt, obj_t, obj_t);
	extern obj_t BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00;
	static obj_t BGl_z62avarzd2ev_withzd2handler1205z62zz__evaluate_avarz00(obj_t,
		BgL_ev_withzd2handlerzd2_bglt, obj_t, obj_t);
	extern obj_t bstring_to_symbol(obj_t);
	static bool_t BGl_za2za2callzf2cczd2compliantza2za2z20zz__evaluate_avarz00;
	static obj_t BGl_z62checkzd2varzb0zz__evaluate_avarz00(obj_t, obj_t, obj_t,
		obj_t);
	extern bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
	static obj_t BGl_z62avarzd2ev_let1207zb0zz__evaluate_avarz00(obj_t,
		BgL_ev_letz00_bglt, obj_t, obj_t);
	extern obj_t BGl_ev_letza2za2zz__evaluate_typesz00;
	extern obj_t BGl_ev_labelsz00zz__evaluate_typesz00;
	static obj_t BGl_appendzd221011zd2zz__evaluate_avarz00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zz__evaluate_avarz00();
	static obj_t
		BGl_bindzd2andzd2resetzd2effectzd2zz__evaluate_avarz00(BgL_ev_absz00_bglt,
		obj_t);
	extern obj_t BGl_ev_absz00zz__evaluate_typesz00;
	static obj_t BGl_diffz00zz__evaluate_avarz00(obj_t, obj_t);
	extern obj_t BGl_filterz00zz__r4_control_features_6_9z00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_checkzd2varzd2zz__evaluate_avarz00(BgL_ev_varz00_bglt, obj_t,
		BgL_ev_absz00_bglt);
	extern obj_t BGl_ev_ifz00zz__evaluate_typesz00;
	BGL_EXPORTED_DECL obj_t
		BGl_analysezd2varszd2zz__evaluate_avarz00(BgL_ev_exprz00_bglt);
	static obj_t BGl_z62avarzd2ev_unwindzd2prote1203z62zz__evaluate_avarz00(obj_t,
		BgL_ev_unwindzd2protectzd2_bglt, obj_t, obj_t);
	extern obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_ev_hookz00zz__evaluate_typesz00;
	static obj_t BGl_z62avarzd2ev_app1217zb0zz__evaluate_avarz00(obj_t,
		BgL_ev_appz00_bglt, obj_t, obj_t);
	static obj_t BGl_z62avarzd2ev_var1185zb0zz__evaluate_avarz00(obj_t,
		BgL_ev_varz00_bglt, obj_t, obj_t);
	extern obj_t BGl_ev_gotoz00zz__evaluate_typesz00;
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zz__evaluate_avarz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evaluate_typesz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evmodulez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__everrorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evcompilez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evenvz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__expandz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__prognz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__ppz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_input_6_10_2z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonum_dtoaz00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(long, char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__threadz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__dssslz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bignumz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__structurez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__tvectorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__typez00(long, char *);
	extern obj_t BGl_ev_globalz00zz__evaluate_typesz00;
	extern obj_t BGl_ev_listz00zz__evaluate_typesz00;
	static obj_t BGl_z62avarzd2ev_letza21209z12zz__evaluate_avarz00(obj_t,
		BgL_ev_letza2za2_bglt, obj_t, obj_t);
	extern obj_t BGl_ev_littz00zz__evaluate_typesz00;
	extern obj_t BGl_ev_varz00zz__evaluate_typesz00;
	static obj_t BGl_cnstzd2initzd2zz__evaluate_avarz00();
	static obj_t BGl_z62avarzd2ev_abs1219zb0zz__evaluate_avarz00(obj_t,
		BgL_ev_absz00_bglt, obj_t, obj_t);
	static obj_t BGl_z62avarzd2ev_bindzd2exit1201z62zz__evaluate_avarz00(obj_t,
		BgL_ev_bindzd2exitzd2_bglt, obj_t, obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zz__evaluate_avarz00();
	extern obj_t BGl_ev_withzd2handlerzd2zz__evaluate_typesz00;
	static obj_t BGl_funionz00zz__evaluate_avarz00(obj_t);
	static obj_t BGl_z62avarz62zz__evaluate_avarz00(obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62avarzd2ev_list1193zb0zz__evaluate_avarz00(obj_t,
		BgL_ev_listz00_bglt, obj_t, obj_t);
	static obj_t BGl_avarz00zz__evaluate_avarz00(BgL_ev_exprz00_bglt, obj_t,
		obj_t);
	extern obj_t BGl_ev_exprz00zz__evaluate_typesz00;
	extern obj_t BGl_ev_appz00zz__evaluate_typesz00;
	extern obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62analysezd2varszb0zz__evaluate_avarz00(obj_t, obj_t);
	static obj_t BGl_z62avarzd2ev_litt1189zb0zz__evaluate_avarz00(obj_t,
		BgL_ev_littz00_bglt, obj_t, obj_t);
	extern obj_t BGl_ev_setlocalz00zz__evaluate_typesz00;
	static obj_t BGl_z62avar1182z62zz__evaluate_avarz00(obj_t,
		BgL_ev_exprz00_bglt, obj_t, obj_t);
	static obj_t BGl_z62avarzd2ev_labels1213zb0zz__evaluate_avarz00(obj_t,
		BgL_ev_labelsz00_bglt, obj_t, obj_t);
	static obj_t *__cnst;


	   
		 
		DEFINE_STATIC_BGL_GENERIC(BGl_avarzd2envzd2zz__evaluate_avarz00,
		BgL_bgl_za762avarza762za7za7__ev1815z00, BGl_z62avarz62zz__evaluate_avarz00,
		0L, BUNSPEC, 3);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_analysezd2varszd2envz00zz__evaluate_avarz00,
		BgL_bgl_za762analyseza7d2var1816z00,
		BGl_z62analysezd2varszb0zz__evaluate_avarz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1800z00zz__evaluate_avarz00,
		BgL_bgl_za762avarza7d2ev_hoo1817z00,
		BGl_z62avarzd2ev_hook1197zb0zz__evaluate_avarz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1801z00zz__evaluate_avarz00,
		BgL_bgl_za762avarza7d2ev_set1818z00,
		BGl_z62avarzd2ev_setlocal1199zb0zz__evaluate_avarz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1802z00zz__evaluate_avarz00,
		BgL_bgl_za762avarza7d2ev_bin1819z00,
		BGl_z62avarzd2ev_bindzd2exit1201z62zz__evaluate_avarz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1803z00zz__evaluate_avarz00,
		BgL_bgl_za762avarza7d2ev_unw1820z00,
		BGl_z62avarzd2ev_unwindzd2prote1203z62zz__evaluate_avarz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1804z00zz__evaluate_avarz00,
		BgL_bgl_za762avarza7d2ev_wit1821z00,
		BGl_z62avarzd2ev_withzd2handler1205z62zz__evaluate_avarz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1805z00zz__evaluate_avarz00,
		BgL_bgl_za762avarza7d2ev_let1822z00,
		BGl_z62avarzd2ev_let1207zb0zz__evaluate_avarz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1806z00zz__evaluate_avarz00,
		BgL_bgl_za762avarza7d2ev_let1823z00,
		BGl_z62avarzd2ev_letza21209z12zz__evaluate_avarz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1807z00zz__evaluate_avarz00,
		BgL_bgl_za762avarza7d2ev_let1824z00,
		BGl_z62avarzd2ev_letrec1211zb0zz__evaluate_avarz00, 0L, BUNSPEC, 3);
	      DEFINE_STRING(BGl_string1814z00zz__evaluate_avarz00,
		BgL_bgl_string1814za700za7za7_1825za7, "__evaluate_avar", 15);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1808z00zz__evaluate_avarz00,
		BgL_bgl_za762avarza7d2ev_lab1826z00,
		BGl_z62avarzd2ev_labels1213zb0zz__evaluate_avarz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1809z00zz__evaluate_avarz00,
		BgL_bgl_za762avarza7d2ev_got1827z00,
		BGl_z62avarzd2ev_goto1215zb0zz__evaluate_avarz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1810z00zz__evaluate_avarz00,
		BgL_bgl_za762avarza7d2ev_app1828z00,
		BGl_z62avarzd2ev_app1217zb0zz__evaluate_avarz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1811z00zz__evaluate_avarz00,
		BgL_bgl_za762avarza7d2ev_abs1829z00,
		BGl_z62avarzd2ev_abs1219zb0zz__evaluate_avarz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1812z00zz__evaluate_avarz00,
		BgL_bgl_za762za7c3anonymousza71830za7,
		BGl_z62zc3anonymousza31427ze3ze1zz__evaluate_avarz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1813z00zz__evaluate_avarz00,
		BgL_bgl_za762za7c3anonymousza71831za7,
		BGl_z62zc3anonymousza31361ze3ze1zz__evaluate_avarz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1779z00zz__evaluate_avarz00,
		BgL_bgl_string1779za700za7za7_1832za7, "never", 5);
	      DEFINE_STRING(BGl_string1781z00zz__evaluate_avarz00,
		BgL_bgl_string1781za700za7za7_1833za7, "fake", 4);
	      DEFINE_STRING(BGl_string1782z00zz__evaluate_avarz00,
		BgL_bgl_string1782za700za7za7_1834za7,
		"/tmp/bigloo/runtime/Eval/evaluate_avar.scm", 42);
	      DEFINE_STRING(BGl_string1783z00zz__evaluate_avarz00,
		BgL_bgl_string1783za700za7za7_1835za7, "&analyse-vars", 13);
	      DEFINE_STRING(BGl_string1784z00zz__evaluate_avarz00,
		BgL_bgl_string1784za700za7za7_1836za7, "ev_expr", 7);
	      DEFINE_STRING(BGl_string1785z00zz__evaluate_avarz00,
		BgL_bgl_string1785za700za7za7_1837za7, "&check-var", 10);
	      DEFINE_STRING(BGl_string1786z00zz__evaluate_avarz00,
		BgL_bgl_string1786za700za7za7_1838za7, "ev_var", 6);
	      DEFINE_STRING(BGl_string1787z00zz__evaluate_avarz00,
		BgL_bgl_string1787za700za7za7_1839za7, "ev_abs", 6);
	      DEFINE_STRING(BGl_string1789z00zz__evaluate_avarz00,
		BgL_bgl_string1789za700za7za7_1840za7, "avar1182", 8);
	      DEFINE_STRING(BGl_string1791z00zz__evaluate_avarz00,
		BgL_bgl_string1791za700za7za7_1841za7, "No method for this object", 25);
	      DEFINE_STRING(BGl_string1792z00zz__evaluate_avarz00,
		BgL_bgl_string1792za700za7za7_1842za7, "&avar", 5);
	      DEFINE_STRING(BGl_string1794z00zz__evaluate_avarz00,
		BgL_bgl_string1794za700za7za7_1843za7, "avar", 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1788z00zz__evaluate_avarz00,
		BgL_bgl_za762avar1182za762za7za71844z00,
		BGl_z62avar1182z62zz__evaluate_avarz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1793z00zz__evaluate_avarz00,
		BgL_bgl_za762avarza7d2ev_var1845z00,
		BGl_z62avarzd2ev_var1185zb0zz__evaluate_avarz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1795z00zz__evaluate_avarz00,
		BgL_bgl_za762avarza7d2ev_glo1846z00,
		BGl_z62avarzd2ev_global1187zb0zz__evaluate_avarz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1796z00zz__evaluate_avarz00,
		BgL_bgl_za762avarza7d2ev_lit1847z00,
		BGl_z62avarzd2ev_litt1189zb0zz__evaluate_avarz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1797z00zz__evaluate_avarz00,
		BgL_bgl_za762avarza7d2ev_if11848z00,
		BGl_z62avarzd2ev_if1191zb0zz__evaluate_avarz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1798z00zz__evaluate_avarz00,
		BgL_bgl_za762avarza7d2ev_lis1849z00,
		BGl_z62avarzd2ev_list1193zb0zz__evaluate_avarz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1799z00zz__evaluate_avarz00,
		BgL_bgl_za762avarza7d2ev_pro1850z00,
		BGl_z62avarzd2ev_prog21195zb0zz__evaluate_avarz00, 0L, BUNSPEC, 3);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_checkzd2varzd2envz00zz__evaluate_avarz00,
		BgL_bgl_za762checkza7d2varza7b1851za7,
		BGl_z62checkzd2varzb0zz__evaluate_avarz00, 0L, BUNSPEC, 3);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zz__evaluate_avarz00(long
		BgL_checksumz00_2341, char *BgL_fromz00_2342)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zz__evaluate_avarz00))
				{
					BGl_requirezd2initializa7ationz75zz__evaluate_avarz00 =
						BBOOL(((bool_t) 0));
					BGl_cnstzd2initzd2zz__evaluate_avarz00();
					BGl_importedzd2moduleszd2initz00zz__evaluate_avarz00();
					BGl_genericzd2initzd2zz__evaluate_avarz00();
					BGl_methodzd2initzd2zz__evaluate_avarz00();
					BGl_toplevelzd2initzd2zz__evaluate_avarz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zz__evaluate_avarz00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_avar.scm 15 */
			BGl_symbol1778z00zz__evaluate_avarz00 =
				bstring_to_symbol(BGl_string1779z00zz__evaluate_avarz00);
			BGl_symbol1780z00zz__evaluate_avarz00 =
				bstring_to_symbol(BGl_string1781z00zz__evaluate_avarz00);
			return (BGl_symbol1790z00zz__evaluate_avarz00 =
				bstring_to_symbol(BGl_string1789z00zz__evaluate_avarz00), BUNSPEC);
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zz__evaluate_avarz00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_avar.scm 15 */
			BGl_za2za2callzf2cczd2compliantza2za2z20zz__evaluate_avarz00 =
				((bool_t) 0);
			return BUNSPEC;
		}
	}



/* append-21011 */
	obj_t BGl_appendzd221011zd2zz__evaluate_avarz00(obj_t BgL_l1z00_1,
		obj_t BgL_l2z00_2)
	{
		AN_OBJECT;
		{
			{
				obj_t BgL_headz00_695;

				BgL_headz00_695 = MAKE_PAIR(BNIL, BgL_l2z00_2);
				{
					obj_t BgL_prevz00_1377;
					obj_t BgL_tailz00_1378;

					BgL_prevz00_1377 = BgL_headz00_695;
					BgL_tailz00_1378 = BgL_l1z00_1;
				BgL_loopz00_1376:
					if (PAIRP(BgL_tailz00_1378))
						{
							obj_t BgL_newzd2prevzd2_1384;

							BgL_newzd2prevzd2_1384 =
								MAKE_PAIR(CAR(BgL_tailz00_1378), BgL_l2z00_2);
							SET_CDR(BgL_prevz00_1377, BgL_newzd2prevzd2_1384);
							{
								obj_t BgL_tailz00_2361;
								obj_t BgL_prevz00_2360;

								BgL_prevz00_2360 = BgL_newzd2prevzd2_1384;
								BgL_tailz00_2361 = CDR(BgL_tailz00_1378);
								BgL_tailz00_1378 = BgL_tailz00_2361;
								BgL_prevz00_1377 = BgL_prevz00_2360;
								goto BgL_loopz00_1376;
							}
						}
					else
						{
							BNIL;
						}
				}
				return CDR(BgL_headz00_695);
			}
		}
	}



/* diff */
	obj_t BGl_diffz00zz__evaluate_avarz00(obj_t BgL_l1z00_11, obj_t BgL_l2z00_12)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_avar.scm 91 */
		BGl_diffz00zz__evaluate_avarz00:
			if (NULLP(BgL_l1z00_11))
				{	/* Eval/evaluate_avar.scm 92 */
					return BNIL;
				}
			else
				{	/* Eval/evaluate_avar.scm 94 */
					obj_t BgL_xz00_747;

					BgL_xz00_747 = CAR(BgL_l1z00_11);
					if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_xz00_747,
								BgL_l2z00_12)))
						{
							obj_t BgL_l1z00_2370;

							BgL_l1z00_2370 = CDR(BgL_l1z00_11);
							BgL_l1z00_11 = BgL_l1z00_2370;
							goto BGl_diffz00zz__evaluate_avarz00;
						}
					else
						{	/* Eval/evaluate_avar.scm 95 */
							return
								MAKE_PAIR(BgL_xz00_747,
								BGl_diffz00zz__evaluate_avarz00(CDR(BgL_l1z00_11),
									BgL_l2z00_12));
						}
				}
		}
	}



/* analyse-vars */
	BGL_EXPORTED_DEF obj_t
		BGl_analysezd2varszd2zz__evaluate_avarz00(BgL_ev_exprz00_bglt BgL_ez00_14)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_avar.scm 113 */
			{	/* Eval/evaluate_avar.scm 114 */
				BgL_ev_absz00_bglt BgL_fakez00_754;

				{	/* Eval/evaluate_avar.scm 114 */
					BgL_ev_absz00_bglt BgL_new1066z00_755;

					{	/* Eval/evaluate_avar.scm 114 */
						BgL_ev_absz00_bglt BgL_new1065z00_756;

						BgL_new1065z00_756 =
							((BgL_ev_absz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_ev_absz00_bgl))));
						{	/* Eval/evaluate_avar.scm 114 */
							long BgL_arg1311z00_757;

							{	/* Eval/evaluate_avar.scm 114 */
								long BgL_res1668z00_1422;

								{	/* Eval/evaluate_avar.scm 114 */
									obj_t BgL_classz00_1419;

									BgL_classz00_1419 = BGl_ev_absz00zz__evaluate_typesz00;
									{	/* Eval/evaluate_avar.scm 114 */
										obj_t BgL_vectorz00_1420;
										int BgL_kz00_1421;

										BgL_vectorz00_1420 = BgL_classz00_1419;
										BgL_kz00_1421 = (int) (((long) 1));
										BgL_res1668z00_1422 =
											(long) CINT(VECTOR_REF(BgL_vectorz00_1420,
												BgL_kz00_1421));
								}}
								BgL_arg1311z00_757 = BgL_res1668z00_1422;
							}
							{	/* Eval/evaluate_avar.scm 114 */
								BgL_objectz00_bglt BgL_objz00_1423;

								BgL_objz00_1423 = ((BgL_objectz00_bglt) BgL_new1065z00_756);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_1423, BgL_arg1311z00_757);
						}}
						{	/* Eval/evaluate_avar.scm 114 */
							BgL_objectz00_bglt BgL_auxz00_2381;

							BgL_auxz00_2381 = ((BgL_objectz00_bglt) BgL_new1065z00_756);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_2381, BFALSE);
						}
						BgL_new1066z00_755 = BgL_new1065z00_756;
					}
					((((BgL_ev_absz00_bglt) CREF(BgL_new1066z00_755))->BgL_locz00) =
						((obj_t) BGl_symbol1778z00zz__evaluate_avarz00), BUNSPEC);
					((((BgL_ev_absz00_bglt) CREF(BgL_new1066z00_755))->BgL_wherez00) =
						((obj_t) BGl_symbol1780z00zz__evaluate_avarz00), BUNSPEC);
					((((BgL_ev_absz00_bglt) CREF(BgL_new1066z00_755))->BgL_arityz00) =
						((obj_t) BINT(((long) 0))), BUNSPEC);
					((((BgL_ev_absz00_bglt) CREF(BgL_new1066z00_755))->BgL_varsz00) =
						((obj_t) BNIL), BUNSPEC);
					((((BgL_ev_absz00_bglt) CREF(BgL_new1066z00_755))->BgL_bodyz00) =
						((BgL_ev_exprz00_bglt) BgL_ez00_14), BUNSPEC);
					((((BgL_ev_absz00_bglt) CREF(BgL_new1066z00_755))->BgL_siza7eza7) =
						((int) (int) (((long) 0))), BUNSPEC);
					((((BgL_ev_absz00_bglt) CREF(BgL_new1066z00_755))->BgL_bindz00) =
						((obj_t) BNIL), BUNSPEC);
					((((BgL_ev_absz00_bglt) CREF(BgL_new1066z00_755))->BgL_freez00) =
						((obj_t) BNIL), BUNSPEC);
					((((BgL_ev_absz00_bglt) CREF(BgL_new1066z00_755))->BgL_innerz00) =
						((obj_t) BNIL), BUNSPEC);
					((((BgL_ev_absz00_bglt) CREF(BgL_new1066z00_755))->BgL_boxesz00) =
						((obj_t) BNIL), BUNSPEC);
					BgL_fakez00_754 = BgL_new1066z00_755;
				}
				return
					BGl_avarz00zz__evaluate_avarz00(BgL_ez00_14, BNIL,
					((obj_t) BgL_fakez00_754));
			}
		}
	}



/* &analyse-vars */
	obj_t BGl_z62analysezd2varszb0zz__evaluate_avarz00(obj_t BgL_envz00_2207,
		obj_t BgL_ez00_2208)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_avar.scm 113 */
			{	/* Eval/evaluate_avar.scm 114 */
				BgL_ev_exprz00_bglt BgL_auxz00_2398;

				if (BGl_isazf3zf3zz__objectz00(BgL_ez00_2208,
						BGl_ev_exprz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_avar.scm 114 */
						BgL_auxz00_2398 = ((BgL_ev_exprz00_bglt) BgL_ez00_2208);
					}
				else
					{
						obj_t BgL_auxz00_2402;

						BgL_auxz00_2402 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string1782z00zz__evaluate_avarz00, BINT(((long) 2964)),
							BGl_string1783z00zz__evaluate_avarz00,
							BGl_string1784z00zz__evaluate_avarz00, BgL_ez00_2208);
						FAILURE(BgL_auxz00_2402, BFALSE, BFALSE);
					}
				return BGl_analysezd2varszd2zz__evaluate_avarz00(BgL_auxz00_2398);
			}
		}
	}



/* check-var */
	BGL_EXPORTED_DEF obj_t
		BGl_checkzd2varzd2zz__evaluate_avarz00(BgL_ev_varz00_bglt BgL_varz00_15,
		obj_t BgL_localz00_16, BgL_ev_absz00_bglt BgL_absz00_17)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_avar.scm 118 */
			if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
						((obj_t) BgL_varz00_15), BgL_localz00_16)))
				{	/* Eval/evaluate_avar.scm 119 */
					return BFALSE;
				}
			else
				{	/* Eval/evaluate_avar.scm 119 */
					if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
								((obj_t) BgL_varz00_15),
								(((BgL_ev_absz00_bglt) CREF(BgL_absz00_17))->BgL_freez00))))
						{	/* Eval/evaluate_avar.scm 119 */
							return BFALSE;
						}
					else
						{
							obj_t BgL_auxz00_2416;

							{	/* Eval/evaluate_avar.scm 119 */
								obj_t BgL_arg1314z00_1429;

								BgL_arg1314z00_1429 =
									(((BgL_ev_absz00_bglt) CREF(BgL_absz00_17))->BgL_freez00);
								BgL_auxz00_2416 =
									MAKE_PAIR(((obj_t) BgL_varz00_15), BgL_arg1314z00_1429);
							}
							return
								((((BgL_ev_absz00_bglt) CREF(BgL_absz00_17))->BgL_freez00) =
								((obj_t) BgL_auxz00_2416), BUNSPEC);
						}
				}
		}
	}



/* &check-var */
	obj_t BGl_z62checkzd2varzb0zz__evaluate_avarz00(obj_t BgL_envz00_2209,
		obj_t BgL_varz00_2210, obj_t BgL_localz00_2211, obj_t BgL_absz00_2212)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_avar.scm 118 */
			{	/* Eval/evaluate_avar.scm 119 */
				BgL_ev_absz00_bglt BgL_auxz00_2429;
				BgL_ev_varz00_bglt BgL_auxz00_2421;

				if (BGl_isazf3zf3zz__objectz00(BgL_absz00_2212,
						BGl_ev_absz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_avar.scm 119 */
						BgL_auxz00_2429 = ((BgL_ev_absz00_bglt) BgL_absz00_2212);
					}
				else
					{
						obj_t BgL_auxz00_2433;

						BgL_auxz00_2433 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string1782z00zz__evaluate_avarz00, BINT(((long) 3182)),
							BGl_string1785z00zz__evaluate_avarz00,
							BGl_string1787z00zz__evaluate_avarz00, BgL_absz00_2212);
						FAILURE(BgL_auxz00_2433, BFALSE, BFALSE);
					}
				if (BGl_isazf3zf3zz__objectz00(BgL_varz00_2210,
						BGl_ev_varz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_avar.scm 119 */
						BgL_auxz00_2421 = ((BgL_ev_varz00_bglt) BgL_varz00_2210);
					}
				else
					{
						obj_t BgL_auxz00_2425;

						BgL_auxz00_2425 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string1782z00zz__evaluate_avarz00, BINT(((long) 3182)),
							BGl_string1785z00zz__evaluate_avarz00,
							BGl_string1786z00zz__evaluate_avarz00, BgL_varz00_2210);
						FAILURE(BgL_auxz00_2425, BFALSE, BFALSE);
					}
				return
					BGl_checkzd2varzd2zz__evaluate_avarz00(BgL_auxz00_2421,
					BgL_localz00_2211, BgL_auxz00_2429);
			}
		}
	}



/* bind-and-reset-effect */
	obj_t
		BGl_bindzd2andzd2resetzd2effectzd2zz__evaluate_avarz00(BgL_ev_absz00_bglt
		BgL_absz00_72, obj_t BgL_varsz00_73)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_avar.scm 221 */
			{	/* Eval/evaluate_avar.scm 227 */
				obj_t BgL_ifreez00_764;

				BgL_ifreez00_764 =
					BGl_funionz00zz__evaluate_avarz00(
					(((BgL_ev_absz00_bglt) CREF(BgL_absz00_72))->BgL_innerz00));
				{
					obj_t BgL_auxz00_2440;

					{	/* Eval/evaluate_avar.scm 229 */
						obj_t BgL_arg1316z00_766;

						BgL_arg1316z00_766 =
							(((BgL_ev_absz00_bglt) CREF(BgL_absz00_72))->BgL_bindz00);
						BgL_auxz00_2440 =
							BGl_appendzd221011zd2zz__evaluate_avarz00(BgL_varsz00_73,
							BgL_arg1316z00_766);
					}
					((((BgL_ev_absz00_bglt) CREF(BgL_absz00_72))->BgL_bindz00) =
						((obj_t) BgL_auxz00_2440), BUNSPEC);
				}
				{	/* Eval/evaluate_avar.scm 231 */
					obj_t BgL_g1169z00_767;

					BgL_g1169z00_767 =
						BGl_diffz00zz__evaluate_avarz00(BgL_varsz00_73, BgL_ifreez00_764);
					{
						obj_t BgL_l1167z00_1469;

						BgL_l1167z00_1469 = BgL_g1169z00_767;
					BgL_zc3anonymousza31317ze3z83_1468:
						if (PAIRP(BgL_l1167z00_1469))
							{	/* Eval/evaluate_avar.scm 234 */
								{	/* Eval/evaluate_avar.scm 234 */
									obj_t BgL_vz00_1475;

									BgL_vz00_1475 = CAR(BgL_l1167z00_1469);
									{	/* Eval/evaluate_avar.scm 234 */
										BgL_ev_varz00_bglt BgL_i1091z00_1476;

										BgL_i1091z00_1476 = ((BgL_ev_varz00_bglt) BgL_vz00_1475);
										((((BgL_ev_varz00_bglt) CREF(BgL_i1091z00_1476))->
												BgL_effz00) = ((obj_t) BFALSE), BUNSPEC);
									}
								}
								{
									obj_t BgL_l1167z00_2450;

									BgL_l1167z00_2450 = CDR(BgL_l1167z00_1469);
									BgL_l1167z00_1469 = BgL_l1167z00_2450;
									goto BgL_zc3anonymousza31317ze3z83_1468;
								}
							}
						else
							{	/* Eval/evaluate_avar.scm 234 */
								((bool_t) 1);
							}
					}
				}
				return BgL_ifreez00_764;
			}
		}
	}



/* funion */
	obj_t BGl_funionz00zz__evaluate_avarz00(obj_t BgL_lz00_778)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_avar.scm 226 */
			if (NULLP(BgL_lz00_778))
				{	/* Eval/evaluate_avar.scm 224 */
					return BNIL;
				}
			else
				{	/* Eval/evaluate_avar.scm 226 */
					obj_t BgL_arg1323z00_781;
					obj_t BgL_arg1324z00_782;

					{
						BgL_ev_absz00_bglt BgL_auxz00_2454;

						{	/* Eval/evaluate_avar.scm 226 */
							obj_t BgL_pairz00_1432;

							BgL_pairz00_1432 = BgL_lz00_778;
							BgL_auxz00_2454 = ((BgL_ev_absz00_bglt) CAR(BgL_pairz00_1432));
						}
						BgL_arg1323z00_781 =
							(((BgL_ev_absz00_bglt) CREF(BgL_auxz00_2454))->BgL_freez00);
					}
					BgL_arg1324z00_782 =
						BGl_funionz00zz__evaluate_avarz00(CDR(BgL_lz00_778));
					{
						obj_t BgL_l1z00_1435;
						obj_t BgL_l2z00_1436;

						BgL_l1z00_1435 = BgL_arg1323z00_781;
						BgL_l2z00_1436 = BgL_arg1324z00_782;
					BgL_unionz00_1434:
						if (NULLP(BgL_l1z00_1435))
							{	/* Eval/evaluate_avar.scm 226 */
								return BgL_l2z00_1436;
							}
						else
							{	/* Eval/evaluate_avar.scm 226 */
								obj_t BgL_xz00_1443;

								BgL_xz00_1443 = CAR(BgL_l1z00_1435);
								{	/* Eval/evaluate_avar.scm 226 */
									obj_t BgL_arg1292z00_1444;
									obj_t BgL_arg1295z00_1445;

									BgL_arg1292z00_1444 = CDR(BgL_l1z00_1435);
									if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
											(BgL_xz00_1443, BgL_l2z00_1436)))
										{	/* Eval/evaluate_avar.scm 226 */
											BgL_arg1295z00_1445 = BgL_l2z00_1436;
										}
									else
										{	/* Eval/evaluate_avar.scm 226 */
											BgL_arg1295z00_1445 =
												MAKE_PAIR(BgL_xz00_1443, BgL_l2z00_1436);
										}
									{
										obj_t BgL_l2z00_2469;
										obj_t BgL_l1z00_2468;

										BgL_l1z00_2468 = BgL_arg1292z00_1444;
										BgL_l2z00_2469 = BgL_arg1295z00_1445;
										BgL_l2z00_1436 = BgL_l2z00_2469;
										BgL_l1z00_1435 = BgL_l1z00_2468;
										goto BgL_unionz00_1434;
									}
								}
							}
					}
				}
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zz__evaluate_avarz00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_avar.scm 15 */
			return BUNSPEC;
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zz__evaluate_avarz00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_avar.scm 15 */
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_avarzd2envzd2zz__evaluate_avarz00,
				BGl_proc1788z00zz__evaluate_avarz00,
				BGl_ev_exprz00zz__evaluate_typesz00,
				BGl_string1789z00zz__evaluate_avarz00);
		}
	}



/* &avar1182 */
	obj_t BGl_z62avar1182z62zz__evaluate_avarz00(obj_t BgL_envz00_2214,
		BgL_ev_exprz00_bglt BgL_ez00_2215, obj_t BgL_localz00_2216,
		obj_t BgL_absz00_2217)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_avar.scm 123 */
			return
				BGl_errorz00zz__errorz00(BGl_symbol1790z00zz__evaluate_avarz00,
				BGl_string1791z00zz__evaluate_avarz00, ((obj_t) BgL_ez00_2215));
		}
	}



/* avar */
	obj_t BGl_avarz00zz__evaluate_avarz00(BgL_ev_exprz00_bglt BgL_ez00_18,
		obj_t BgL_localz00_19, obj_t BgL_absz00_20)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_avar.scm 123 */
			{	/* Eval/evaluate_avar.scm 123 */
				obj_t BgL_method1183z00_792;

				{	/* Eval/evaluate_avar.scm 123 */
					obj_t BgL_res1680z00_1510;

					{	/* Eval/evaluate_avar.scm 123 */
						BgL_objectz00_bglt BgL_objz00_1482;

						BgL_objz00_1482 = ((BgL_objectz00_bglt) BgL_ez00_18);
						{	/* Eval/evaluate_avar.scm 123 */
							long BgL_objzd2classzd2numz00_1483;

							{	/* Eval/evaluate_avar.scm 123 */
								long BgL_res1674z00_1486;

								BgL_res1674z00_1486 = BGL_OBJECT_CLASS_NUM(BgL_objz00_1482);
								BgL_objzd2classzd2numz00_1483 = BgL_res1674z00_1486;
							}
							{	/* Eval/evaluate_avar.scm 123 */
								obj_t BgL_arg1656z00_1484;

								BgL_arg1656z00_1484 =
									PROCEDURE_REF(BGl_avarzd2envzd2zz__evaluate_avarz00,
									(int) (((long) 1)));
								{	/* Eval/evaluate_avar.scm 123 */
									obj_t BgL_arrayz00_1487;
									int BgL_offsetz00_1488;

									BgL_arrayz00_1487 = BgL_arg1656z00_1484;
									BgL_offsetz00_1488 = (int) (BgL_objzd2classzd2numz00_1483);
									{	/* Eval/evaluate_avar.scm 123 */
										long BgL_offsetz00_1489;

										BgL_offsetz00_1489 =
											((long) (BgL_offsetz00_1488) - OBJECT_TYPE);
										{	/* Eval/evaluate_avar.scm 123 */
											long BgL_modz00_1490;

											{	/* Eval/evaluate_avar.scm 123 */
												int BgL_arg1658z00_1491;

												BgL_arg1658z00_1491 = (int) (((long) 16));
												{	/* Eval/evaluate_avar.scm 123 */
													long BgL_res1677z00_1501;

													{	/* Eval/evaluate_avar.scm 123 */
														long BgL_auxz00_2481;

														BgL_auxz00_2481 = (long) (BgL_arg1658z00_1491);
														BgL_res1677z00_1501 =
															(BgL_offsetz00_1489 / BgL_auxz00_2481);
													}
													BgL_modz00_1490 = BgL_res1677z00_1501;
											}}
											{	/* Eval/evaluate_avar.scm 123 */
												long BgL_restz00_1492;

												{	/* Eval/evaluate_avar.scm 123 */
													int BgL_arg1657z00_1493;

													BgL_arg1657z00_1493 = (int) (((long) 16));
													{	/* Eval/evaluate_avar.scm 123 */
														long BgL_res1679z00_1505;

														{	/* Eval/evaluate_avar.scm 123 */
															long BgL_auxz00_2485;

															BgL_auxz00_2485 = (long) (BgL_arg1657z00_1493);
															BgL_res1679z00_1505 =
																(BgL_offsetz00_1489 % BgL_auxz00_2485);
														}
														BgL_restz00_1492 = BgL_res1679z00_1505;
												}}
												{	/* Eval/evaluate_avar.scm 123 */

													BgL_res1680z00_1510 =
														VECTOR_REF(VECTOR_REF(BgL_arrayz00_1487,
															(int) (BgL_modz00_1490)),
														(int) (BgL_restz00_1492));
					}}}}}}}}
					BgL_method1183z00_792 = BgL_res1680z00_1510;
				}
				return
					PROCEDURE_ENTRY(BgL_method1183z00_792) (BgL_method1183z00_792,
					((obj_t) BgL_ez00_18), BgL_localz00_19, BgL_absz00_20, BEOA);
			}
		}
	}



/* &avar */
	obj_t BGl_z62avarz62zz__evaluate_avarz00(obj_t BgL_envz00_2218,
		obj_t BgL_ez00_2219, obj_t BgL_localz00_2220, obj_t BgL_absz00_2221)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_avar.scm 123 */
			{	/* Eval/evaluate_avar.scm 123 */
				BgL_ev_exprz00_bglt BgL_auxz00_2499;

				if (BGl_isazf3zf3zz__objectz00(BgL_ez00_2219,
						BGl_ev_exprz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_avar.scm 123 */
						BgL_auxz00_2499 = ((BgL_ev_exprz00_bglt) BgL_ez00_2219);
					}
				else
					{
						obj_t BgL_auxz00_2503;

						BgL_auxz00_2503 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string1782z00zz__evaluate_avarz00, BINT(((long) 3305)),
							BGl_string1792z00zz__evaluate_avarz00,
							BGl_string1784z00zz__evaluate_avarz00, BgL_ez00_2219);
						FAILURE(BgL_auxz00_2503, BFALSE, BFALSE);
					}
				return
					BGl_avarz00zz__evaluate_avarz00(BgL_auxz00_2499, BgL_localz00_2220,
					BgL_absz00_2221);
			}
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zz__evaluate_avarz00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_avar.scm 15 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_avarzd2envzd2zz__evaluate_avarz00,
				BGl_ev_varz00zz__evaluate_typesz00, BGl_proc1793z00zz__evaluate_avarz00,
				BGl_string1794z00zz__evaluate_avarz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_avarzd2envzd2zz__evaluate_avarz00,
				BGl_ev_globalz00zz__evaluate_typesz00,
				BGl_proc1795z00zz__evaluate_avarz00,
				BGl_string1794z00zz__evaluate_avarz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_avarzd2envzd2zz__evaluate_avarz00,
				BGl_ev_littz00zz__evaluate_typesz00,
				BGl_proc1796z00zz__evaluate_avarz00,
				BGl_string1794z00zz__evaluate_avarz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_avarzd2envzd2zz__evaluate_avarz00,
				BGl_ev_ifz00zz__evaluate_typesz00, BGl_proc1797z00zz__evaluate_avarz00,
				BGl_string1794z00zz__evaluate_avarz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_avarzd2envzd2zz__evaluate_avarz00,
				BGl_ev_listz00zz__evaluate_typesz00,
				BGl_proc1798z00zz__evaluate_avarz00,
				BGl_string1794z00zz__evaluate_avarz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_avarzd2envzd2zz__evaluate_avarz00,
				BGl_ev_prog2z00zz__evaluate_typesz00,
				BGl_proc1799z00zz__evaluate_avarz00,
				BGl_string1794z00zz__evaluate_avarz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_avarzd2envzd2zz__evaluate_avarz00,
				BGl_ev_hookz00zz__evaluate_typesz00,
				BGl_proc1800z00zz__evaluate_avarz00,
				BGl_string1794z00zz__evaluate_avarz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_avarzd2envzd2zz__evaluate_avarz00,
				BGl_ev_setlocalz00zz__evaluate_typesz00,
				BGl_proc1801z00zz__evaluate_avarz00,
				BGl_string1794z00zz__evaluate_avarz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_avarzd2envzd2zz__evaluate_avarz00,
				BGl_ev_bindzd2exitzd2zz__evaluate_typesz00,
				BGl_proc1802z00zz__evaluate_avarz00,
				BGl_string1794z00zz__evaluate_avarz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_avarzd2envzd2zz__evaluate_avarz00,
				BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00,
				BGl_proc1803z00zz__evaluate_avarz00,
				BGl_string1794z00zz__evaluate_avarz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_avarzd2envzd2zz__evaluate_avarz00,
				BGl_ev_withzd2handlerzd2zz__evaluate_typesz00,
				BGl_proc1804z00zz__evaluate_avarz00,
				BGl_string1794z00zz__evaluate_avarz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_avarzd2envzd2zz__evaluate_avarz00,
				BGl_ev_letz00zz__evaluate_typesz00, BGl_proc1805z00zz__evaluate_avarz00,
				BGl_string1794z00zz__evaluate_avarz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_avarzd2envzd2zz__evaluate_avarz00,
				BGl_ev_letza2za2zz__evaluate_typesz00,
				BGl_proc1806z00zz__evaluate_avarz00,
				BGl_string1794z00zz__evaluate_avarz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_avarzd2envzd2zz__evaluate_avarz00,
				BGl_ev_letrecz00zz__evaluate_typesz00,
				BGl_proc1807z00zz__evaluate_avarz00,
				BGl_string1794z00zz__evaluate_avarz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_avarzd2envzd2zz__evaluate_avarz00,
				BGl_ev_labelsz00zz__evaluate_typesz00,
				BGl_proc1808z00zz__evaluate_avarz00,
				BGl_string1794z00zz__evaluate_avarz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_avarzd2envzd2zz__evaluate_avarz00,
				BGl_ev_gotoz00zz__evaluate_typesz00,
				BGl_proc1809z00zz__evaluate_avarz00,
				BGl_string1794z00zz__evaluate_avarz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_avarzd2envzd2zz__evaluate_avarz00,
				BGl_ev_appz00zz__evaluate_typesz00, BGl_proc1810z00zz__evaluate_avarz00,
				BGl_string1794z00zz__evaluate_avarz00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_avarzd2envzd2zz__evaluate_avarz00,
				BGl_ev_absz00zz__evaluate_typesz00, BGl_proc1811z00zz__evaluate_avarz00,
				BGl_string1794z00zz__evaluate_avarz00);
		}
	}



/* &avar-ev_abs1219 */
	obj_t BGl_z62avarzd2ev_abs1219zb0zz__evaluate_avarz00(obj_t BgL_envz00_2242,
		BgL_ev_absz00_bglt BgL_ez00_2243, obj_t BgL_localz00_2244,
		obj_t BgL_absz00_2245)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_avar.scm 237 */
			{
				BgL_ev_absz00_bglt BgL_ez00_1066;
				obj_t BgL_localz00_1067;
				obj_t BgL_absz00_1068;

				BgL_ez00_1066 = BgL_ez00_2243;
				BgL_localz00_1067 = BgL_localz00_2244;
				BgL_absz00_1068 = BgL_absz00_2245;
				{	/* Eval/evaluate_avar.scm 239 */
					BgL_ev_absz00_bglt BgL_i1093z00_1072;

					BgL_i1093z00_1072 = ((BgL_ev_absz00_bglt) BgL_absz00_1068);
					{
						obj_t BgL_auxz00_2527;

						{	/* Eval/evaluate_avar.scm 240 */
							obj_t BgL_arg1418z00_1073;

							BgL_arg1418z00_1073 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1093z00_1072))->BgL_innerz00);
							BgL_auxz00_2527 =
								MAKE_PAIR(((obj_t) BgL_ez00_1066), BgL_arg1418z00_1073);
						}
						((((BgL_ev_absz00_bglt) CREF(BgL_i1093z00_1072))->BgL_innerz00) =
							((obj_t) BgL_auxz00_2527), BUNSPEC);
					}
				}
				{	/* Eval/evaluate_avar.scm 241 */
					BgL_ev_exprz00_bglt BgL_arg1419z00_1074;
					obj_t BgL_arg1420z00_1075;

					BgL_arg1419z00_1074 =
						(((BgL_ev_absz00_bglt) CREF(BgL_ez00_1066))->BgL_bodyz00);
					BgL_arg1420z00_1075 =
						(((BgL_ev_absz00_bglt) CREF(BgL_ez00_1066))->BgL_varsz00);
					BGl_avarz00zz__evaluate_avarz00(BgL_arg1419z00_1074,
						BgL_arg1420z00_1075, ((obj_t) BgL_ez00_1066));
				}
				{	/* Eval/evaluate_avar.scm 242 */
					obj_t BgL_ifreez00_1076;

					BgL_ifreez00_1076 =
						BGl_bindzd2andzd2resetzd2effectzd2zz__evaluate_avarz00
						(BgL_ez00_1066,
						(((BgL_ev_absz00_bglt) CREF(BgL_ez00_1066))->BgL_varsz00));
					{
						obj_t BgL_auxz00_2538;

						{	/* Eval/evaluate_avar.scm 244 */
							obj_t BgL_arg1421z00_1078;
							obj_t BgL_arg1422z00_1079;

							{	/* Eval/evaluate_avar.scm 244 */
								obj_t BgL_arg1424z00_1080;

								BgL_arg1424z00_1080 =
									(((BgL_ev_absz00_bglt) CREF(BgL_ez00_1066))->BgL_freez00);
								{
									obj_t BgL_l1z00_1922;
									obj_t BgL_l2z00_1923;

									BgL_l1z00_1922 = BgL_ifreez00_1076;
									BgL_l2z00_1923 = BgL_arg1424z00_1080;
								BgL_unionz00_1921:
									if (NULLP(BgL_l1z00_1922))
										{	/* Eval/evaluate_avar.scm 244 */
											BgL_arg1421z00_1078 = BgL_l2z00_1923;
										}
									else
										{	/* Eval/evaluate_avar.scm 244 */
											obj_t BgL_xz00_1930;

											{	/* Eval/evaluate_avar.scm 244 */
												obj_t BgL_pairz00_1936;

												BgL_pairz00_1936 = BgL_l1z00_1922;
												BgL_xz00_1930 = CAR(BgL_pairz00_1936);
											}
											{	/* Eval/evaluate_avar.scm 244 */
												obj_t BgL_arg1292z00_1931;
												obj_t BgL_arg1295z00_1932;

												{	/* Eval/evaluate_avar.scm 244 */
													obj_t BgL_pairz00_1937;

													BgL_pairz00_1937 = BgL_l1z00_1922;
													BgL_arg1292z00_1931 = CDR(BgL_pairz00_1937);
												}
												if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
														(BgL_xz00_1930, BgL_l2z00_1923)))
													{	/* Eval/evaluate_avar.scm 244 */
														BgL_arg1295z00_1932 = BgL_l2z00_1923;
													}
												else
													{	/* Eval/evaluate_avar.scm 244 */
														BgL_arg1295z00_1932 =
															MAKE_PAIR(BgL_xz00_1930, BgL_l2z00_1923);
													}
												{
													obj_t BgL_l2z00_2549;
													obj_t BgL_l1z00_2548;

													BgL_l1z00_2548 = BgL_arg1292z00_1931;
													BgL_l2z00_2549 = BgL_arg1295z00_1932;
													BgL_l2z00_1923 = BgL_l2z00_2549;
													BgL_l1z00_1922 = BgL_l1z00_2548;
													goto BgL_unionz00_1921;
												}
											}
										}
								}
							}
							BgL_arg1422z00_1079 =
								(((BgL_ev_absz00_bglt) CREF(BgL_ez00_1066))->BgL_bindz00);
							BgL_auxz00_2538 =
								BGl_diffz00zz__evaluate_avarz00(BgL_arg1421z00_1078,
								BgL_arg1422z00_1079);
						}
						((((BgL_ev_absz00_bglt) CREF(BgL_ez00_1066))->BgL_freez00) =
							((obj_t) BgL_auxz00_2538), BUNSPEC);
					}
					{
						obj_t BgL_auxz00_2553;

						{	/* Eval/evaluate_avar.scm 245 */
							obj_t BgL_arg1426z00_1082;

							BgL_arg1426z00_1082 =
								(((BgL_ev_absz00_bglt) CREF(BgL_ez00_1066))->BgL_varsz00);
							BgL_auxz00_2553 =
								BGl_filterz00zz__r4_control_features_6_9z00
								(BGl_proc1812z00zz__evaluate_avarz00, BgL_arg1426z00_1082);
						}
						return
							((((BgL_ev_absz00_bglt) CREF(BgL_ez00_1066))->BgL_boxesz00) =
							((obj_t) BgL_auxz00_2553), BUNSPEC);
					}
				}
			}
		}
	}



/* &<anonymous:1427> */
	obj_t BGl_z62zc3anonymousza31427ze3ze1zz__evaluate_avarz00(obj_t
		BgL_envz00_2246, obj_t BgL_vz00_2247)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_avar.scm 245 */
			return
				(((BgL_ev_varz00_bglt) CREF(
						((BgL_ev_varz00_bglt) BgL_vz00_2247)))->BgL_effz00);
		}
	}



/* &avar-ev_app1217 */
	obj_t BGl_z62avarzd2ev_app1217zb0zz__evaluate_avarz00(obj_t BgL_envz00_2248,
		BgL_ev_appz00_bglt BgL_ez00_2249, obj_t BgL_localz00_2250,
		obj_t BgL_absz00_2251)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_avar.scm 215 */
			{
				BgL_ev_appz00_bglt BgL_ez00_1050;
				obj_t BgL_localz00_1051;
				obj_t BgL_absz00_1052;

				{	/* Eval/evaluate_avar.scm 216 */
					bool_t BgL_auxz00_2559;

					BgL_ez00_1050 = BgL_ez00_2249;
					BgL_localz00_1051 = BgL_localz00_2250;
					BgL_absz00_1052 = BgL_absz00_2251;
					BGl_avarz00zz__evaluate_avarz00(
						(((BgL_ev_appz00_bglt) CREF(BgL_ez00_1050))->BgL_funz00),
						BgL_localz00_1051, BgL_absz00_1052);
					{	/* Eval/evaluate_avar.scm 216 */
						obj_t BgL_g1166z00_1888;

						BgL_g1166z00_1888 =
							(((BgL_ev_appz00_bglt) CREF(BgL_ez00_1050))->BgL_argsz00);
						{
							obj_t BgL_l1164z00_1910;

							BgL_l1164z00_1910 = BgL_g1166z00_1888;
						BgL_zc3anonymousza31415ze3z83_1909:
							if (PAIRP(BgL_l1164z00_1910))
								{	/* Eval/evaluate_avar.scm 216 */
									{	/* Eval/evaluate_avar.scm 216 */
										obj_t BgL_ez00_1915;

										BgL_ez00_1915 = CAR(BgL_l1164z00_1910);
										BGl_avarz00zz__evaluate_avarz00(
											((BgL_ev_exprz00_bglt) BgL_ez00_1915), BgL_localz00_1051,
											BgL_absz00_1052);
									}
									{
										obj_t BgL_l1164z00_2568;

										BgL_l1164z00_2568 = CDR(BgL_l1164z00_1910);
										BgL_l1164z00_1910 = BgL_l1164z00_2568;
										goto BgL_zc3anonymousza31415ze3z83_1909;
									}
								}
							else
								{	/* Eval/evaluate_avar.scm 216 */
									BgL_auxz00_2559 = ((bool_t) 1);
								}
						}
					}
					return BBOOL(BgL_auxz00_2559);
				}
			}
		}
	}



/* &avar-ev_goto1215 */
	obj_t BGl_z62avarzd2ev_goto1215zb0zz__evaluate_avarz00(obj_t BgL_envz00_2252,
		BgL_ev_gotoz00_bglt BgL_ez00_2253, obj_t BgL_localz00_2254,
		obj_t BgL_absz00_2255)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_avar.scm 211 */
			{
				BgL_ev_gotoz00_bglt BgL_ez00_1035;
				obj_t BgL_localz00_1036;
				obj_t BgL_absz00_1037;

				{	/* Eval/evaluate_avar.scm 212 */
					bool_t BgL_auxz00_2571;

					BgL_ez00_1035 = BgL_ez00_2253;
					BgL_localz00_1036 = BgL_localz00_2254;
					BgL_absz00_1037 = BgL_absz00_2255;
					{	/* Eval/evaluate_avar.scm 212 */
						obj_t BgL_g1163z00_1853;

						BgL_g1163z00_1853 =
							(((BgL_ev_gotoz00_bglt) CREF(BgL_ez00_1035))->BgL_argsz00);
						{
							obj_t BgL_l1161z00_1875;

							BgL_l1161z00_1875 = BgL_g1163z00_1853;
						BgL_zc3anonymousza31411ze3z83_1874:
							if (PAIRP(BgL_l1161z00_1875))
								{	/* Eval/evaluate_avar.scm 212 */
									{	/* Eval/evaluate_avar.scm 212 */
										obj_t BgL_ez00_1880;

										BgL_ez00_1880 = CAR(BgL_l1161z00_1875);
										BGl_avarz00zz__evaluate_avarz00(
											((BgL_ev_exprz00_bglt) BgL_ez00_1880), BgL_localz00_1036,
											BgL_absz00_1037);
									}
									{
										obj_t BgL_l1161z00_2578;

										BgL_l1161z00_2578 = CDR(BgL_l1161z00_1875);
										BgL_l1161z00_1875 = BgL_l1161z00_2578;
										goto BgL_zc3anonymousza31411ze3z83_1874;
									}
								}
							else
								{	/* Eval/evaluate_avar.scm 212 */
									BgL_auxz00_2571 = ((bool_t) 1);
								}
						}
					}
					return BBOOL(BgL_auxz00_2571);
				}
			}
		}
	}



/* &avar-ev_labels1213 */
	obj_t BGl_z62avarzd2ev_labels1213zb0zz__evaluate_avarz00(obj_t
		BgL_envz00_2256, BgL_ev_labelsz00_bglt BgL_ez00_2257,
		obj_t BgL_localz00_2258, obj_t BgL_absz00_2259)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_avar.scm 199 */
			{
				BgL_ev_labelsz00_bglt BgL_ez00_981;
				obj_t BgL_localz00_982;
				obj_t BgL_absz00_983;

				BgL_ez00_981 = BgL_ez00_2257;
				BgL_localz00_982 = BgL_localz00_2258;
				BgL_absz00_983 = BgL_absz00_2259;
				{	/* Eval/evaluate_avar.scm 201 */
					obj_t BgL_localz00_987;

					BgL_localz00_987 =
						BGl_appendzd221011zd2zz__evaluate_avarz00(
						(((BgL_ev_labelsz00_bglt) CREF(BgL_ez00_981))->BgL_varsz00),
						BgL_localz00_982);
					{	/* Eval/evaluate_avar.scm 202 */
						obj_t BgL_g1149z00_988;

						BgL_g1149z00_988 =
							(((BgL_ev_labelsz00_bglt) CREF(BgL_ez00_981))->BgL_valsz00);
						{
							obj_t BgL_l1147z00_990;

							BgL_l1147z00_990 = BgL_g1149z00_988;
						BgL_zc3anonymousza31387ze3z83_991:
							if (PAIRP(BgL_l1147z00_990))
								{	/* Eval/evaluate_avar.scm 202 */
									{	/* Eval/evaluate_avar.scm 204 */
										obj_t BgL_sz00_993;

										BgL_sz00_993 = CAR(BgL_l1147z00_990);
										{	/* Eval/evaluate_avar.scm 204 */
											obj_t BgL_arg1389z00_994;
											obj_t BgL_arg1390z00_995;

											BgL_arg1389z00_994 = CDR(BgL_sz00_993);
											BgL_arg1390z00_995 =
												BGl_appendzd221011zd2zz__evaluate_avarz00(CAR
												(BgL_sz00_993), BgL_localz00_987);
											BGl_avarz00zz__evaluate_avarz00(((BgL_ev_exprz00_bglt)
													BgL_arg1389z00_994), BgL_arg1390z00_995,
												BgL_absz00_983);
										}
										{	/* Eval/evaluate_avar.scm 205 */
											obj_t BgL_arg1395z00_997;

											BgL_arg1395z00_997 = CAR(BgL_sz00_993);
											BGl_bindzd2andzd2resetzd2effectzd2zz__evaluate_avarz00(
												((BgL_ev_absz00_bglt) BgL_absz00_983),
												BgL_arg1395z00_997);
										}
									}
									{
										obj_t BgL_l1147z00_2595;

										BgL_l1147z00_2595 = CDR(BgL_l1147z00_990);
										BgL_l1147z00_990 = BgL_l1147z00_2595;
										goto BgL_zc3anonymousza31387ze3z83_991;
									}
								}
							else
								{	/* Eval/evaluate_avar.scm 202 */
									((bool_t) 1);
								}
						}
					}
					{
						obj_t BgL_auxz00_2597;

						{	/* Eval/evaluate_avar.scm 208 */
							obj_t BgL_ll1155z00_1000;
							obj_t BgL_ll1156z00_1001;

							BgL_ll1155z00_1000 =
								(((BgL_ev_labelsz00_bglt) CREF(BgL_ez00_981))->BgL_varsz00);
							BgL_ll1156z00_1001 =
								(((BgL_ev_labelsz00_bglt) CREF(BgL_ez00_981))->BgL_valsz00);
							if (NULLP(BgL_ll1155z00_1000))
								{	/* Eval/evaluate_avar.scm 208 */
									BgL_auxz00_2597 = BNIL;
								}
							else
								{	/* Eval/evaluate_avar.scm 208 */
									obj_t BgL_head1157z00_1003;

									{	/* Eval/evaluate_avar.scm 208 */
										obj_t BgL_res1706z00_1774;

										BgL_res1706z00_1774 = MAKE_PAIR(BNIL, BNIL);
										BgL_head1157z00_1003 = BgL_res1706z00_1774;
									}
									{
										obj_t BgL_ll1155z00_1005;
										obj_t BgL_ll1156z00_1006;
										obj_t BgL_tail1158z00_1007;

										BgL_ll1155z00_1005 = BgL_ll1155z00_1000;
										BgL_ll1156z00_1006 = BgL_ll1156z00_1001;
										BgL_tail1158z00_1007 = BgL_head1157z00_1003;
									BgL_zc3anonymousza31398ze3z83_1008:
										if (NULLP(BgL_ll1155z00_1005))
											{	/* Eval/evaluate_avar.scm 208 */
												BgL_auxz00_2597 = CDR(BgL_head1157z00_1003);
											}
										else
											{	/* Eval/evaluate_avar.scm 208 */
												obj_t BgL_newtail1159z00_1010;

												{	/* Eval/evaluate_avar.scm 208 */
													obj_t BgL_arg1402z00_1013;

													{	/* Eval/evaluate_avar.scm 208 */
														obj_t BgL_varz00_1014;
														obj_t BgL_sz00_1015;

														{	/* Eval/evaluate_avar.scm 208 */
															obj_t BgL_pairz00_1778;

															BgL_pairz00_1778 = BgL_ll1155z00_1005;
															BgL_varz00_1014 = CAR(BgL_pairz00_1778);
														}
														{	/* Eval/evaluate_avar.scm 208 */
															obj_t BgL_pairz00_1779;

															BgL_pairz00_1779 = BgL_ll1156z00_1006;
															BgL_sz00_1015 = CAR(BgL_pairz00_1779);
														}
														{	/* Eval/evaluate_avar.scm 208 */
															obj_t BgL_arg1403z00_1016;

															{	/* Eval/evaluate_avar.scm 208 */
																obj_t BgL_l1150z00_1017;

																{	/* Eval/evaluate_avar.scm 208 */
																	obj_t BgL_pairz00_1780;

																	BgL_pairz00_1780 = BgL_sz00_1015;
																	BgL_l1150z00_1017 = CAR(BgL_pairz00_1780);
																}
																if (NULLP(BgL_l1150z00_1017))
																	{	/* Eval/evaluate_avar.scm 208 */
																		BgL_arg1403z00_1016 = BNIL;
																	}
																else
																	{	/* Eval/evaluate_avar.scm 208 */
																		obj_t BgL_head1152z00_1019;

																		{	/* Eval/evaluate_avar.scm 208 */
																			obj_t BgL_res1709z00_1785;

																			BgL_res1709z00_1785 =
																				MAKE_PAIR(BNIL, BNIL);
																			BgL_head1152z00_1019 =
																				BgL_res1709z00_1785;
																		}
																		{
																			obj_t BgL_l1150z00_1821;
																			obj_t BgL_tail1153z00_1822;

																			BgL_l1150z00_1821 = BgL_l1150z00_1017;
																			BgL_tail1153z00_1822 =
																				BgL_head1152z00_1019;
																		BgL_zc3anonymousza31405ze3z83_1820:
																			if (NULLP(BgL_l1150z00_1821))
																				{	/* Eval/evaluate_avar.scm 208 */
																					BgL_arg1403z00_1016 =
																						CDR(BgL_head1152z00_1019);
																				}
																			else
																				{	/* Eval/evaluate_avar.scm 208 */
																					obj_t BgL_newtail1154z00_1830;

																					{	/* Eval/evaluate_avar.scm 208 */
																						obj_t BgL_arg1408z00_1831;

																						{
																							BgL_ev_varz00_bglt
																								BgL_auxz00_2615;
																							{	/* Eval/evaluate_avar.scm 208 */
																								obj_t BgL_pairz00_1838;

																								BgL_pairz00_1838 =
																									BgL_l1150z00_1821;
																								BgL_auxz00_2615 =
																									((BgL_ev_varz00_bglt)
																									CAR(BgL_pairz00_1838));
																							}
																							BgL_arg1408z00_1831 =
																								(((BgL_ev_varz00_bglt)
																									CREF(BgL_auxz00_2615))->
																								BgL_effz00);
																						}
																						{	/* Eval/evaluate_avar.scm 208 */
																							obj_t BgL_res1715z00_1841;

																							BgL_res1715z00_1841 =
																								MAKE_PAIR(BgL_arg1408z00_1831,
																								BNIL);
																							BgL_newtail1154z00_1830 =
																								BgL_res1715z00_1841;
																						}
																					}
																					SET_CDR(BgL_tail1153z00_1822,
																						BgL_newtail1154z00_1830);
																					{	/* Eval/evaluate_avar.scm 208 */
																						obj_t BgL_arg1407z00_1834;

																						{	/* Eval/evaluate_avar.scm 208 */
																							obj_t BgL_pairz00_1844;

																							BgL_pairz00_1844 =
																								BgL_l1150z00_1821;
																							BgL_arg1407z00_1834 =
																								CDR(BgL_pairz00_1844);
																						}
																						{
																							obj_t BgL_tail1153z00_2623;
																							obj_t BgL_l1150z00_2622;

																							BgL_l1150z00_2622 =
																								BgL_arg1407z00_1834;
																							BgL_tail1153z00_2623 =
																								BgL_newtail1154z00_1830;
																							BgL_tail1153z00_1822 =
																								BgL_tail1153z00_2623;
																							BgL_l1150z00_1821 =
																								BgL_l1150z00_2622;
																							goto
																								BgL_zc3anonymousza31405ze3z83_1820;
																						}
																					}
																				}
																		}
																	}
															}
															BgL_arg1402z00_1013 =
																MAKE_PAIR(BgL_varz00_1014, BgL_arg1403z00_1016);
														}
													}
													{	/* Eval/evaluate_avar.scm 208 */
														obj_t BgL_res1716z00_1847;

														BgL_res1716z00_1847 =
															MAKE_PAIR(BgL_arg1402z00_1013, BNIL);
														BgL_newtail1159z00_1010 = BgL_res1716z00_1847;
													}
												}
												SET_CDR(BgL_tail1158z00_1007, BgL_newtail1159z00_1010);
												{	/* Eval/evaluate_avar.scm 208 */
													obj_t BgL_arg1400z00_1011;
													obj_t BgL_arg1401z00_1012;

													{	/* Eval/evaluate_avar.scm 208 */
														obj_t BgL_pairz00_1850;

														BgL_pairz00_1850 = BgL_ll1155z00_1005;
														BgL_arg1400z00_1011 = CDR(BgL_pairz00_1850);
													}
													{	/* Eval/evaluate_avar.scm 208 */
														obj_t BgL_pairz00_1851;

														BgL_pairz00_1851 = BgL_ll1156z00_1006;
														BgL_arg1401z00_1012 = CDR(BgL_pairz00_1851);
													}
													{
														obj_t BgL_tail1158z00_2631;
														obj_t BgL_ll1156z00_2630;
														obj_t BgL_ll1155z00_2629;

														BgL_ll1155z00_2629 = BgL_arg1400z00_1011;
														BgL_ll1156z00_2630 = BgL_arg1401z00_1012;
														BgL_tail1158z00_2631 = BgL_newtail1159z00_1010;
														BgL_tail1158z00_1007 = BgL_tail1158z00_2631;
														BgL_ll1156z00_1006 = BgL_ll1156z00_2630;
														BgL_ll1155z00_1005 = BgL_ll1155z00_2629;
														goto BgL_zc3anonymousza31398ze3z83_1008;
													}
												}
											}
									}
								}
						}
						((((BgL_ev_labelsz00_bglt) CREF(BgL_ez00_981))->BgL_boxesz00) =
							((obj_t) BgL_auxz00_2597), BUNSPEC);
					}
					return
						BGl_avarz00zz__evaluate_avarz00(
						(((BgL_ev_labelsz00_bglt) CREF(BgL_ez00_981))->BgL_bodyz00),
						BgL_localz00_987, BgL_absz00_983);
				}
			}
		}
	}



/* &avar-ev_letrec1211 */
	obj_t BGl_z62avarzd2ev_letrec1211zb0zz__evaluate_avarz00(obj_t
		BgL_envz00_2260, BgL_ev_letrecz00_bglt BgL_ez00_2261,
		obj_t BgL_localz00_2262, obj_t BgL_absz00_2263)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_avar.scm 190 */
			{
				BgL_ev_letrecz00_bglt BgL_ez00_951;
				obj_t BgL_localz00_952;
				obj_t BgL_absz00_953;

				{	/* Eval/evaluate_avar.scm 191 */
					bool_t BgL_auxz00_2635;

					BgL_ez00_951 = BgL_ez00_2261;
					BgL_localz00_952 = BgL_localz00_2262;
					BgL_absz00_953 = BgL_absz00_2263;
					{	/* Eval/evaluate_avar.scm 192 */
						obj_t BgL_localz00_957;

						{	/* Eval/evaluate_avar.scm 192 */
							obj_t BgL_arg1386z00_979;

							BgL_arg1386z00_979 =
								(((BgL_ev_binderz00_bglt) CREF(
										((BgL_ev_binderz00_bglt) BgL_ez00_951)))->BgL_varsz00);
							BgL_localz00_957 =
								BGl_appendzd221011zd2zz__evaluate_avarz00(BgL_arg1386z00_979,
								BgL_localz00_952);
						}
						{	/* Eval/evaluate_avar.scm 193 */
							obj_t BgL_g1143z00_958;

							BgL_g1143z00_958 =
								(((BgL_ev_binderz00_bglt) CREF(
										((BgL_ev_binderz00_bglt) BgL_ez00_951)))->BgL_valsz00);
							{
								obj_t BgL_l1141z00_1721;

								BgL_l1141z00_1721 = BgL_g1143z00_958;
							BgL_zc3anonymousza31375ze3z83_1720:
								if (PAIRP(BgL_l1141z00_1721))
									{	/* Eval/evaluate_avar.scm 193 */
										{	/* Eval/evaluate_avar.scm 193 */
											obj_t BgL_ez00_1726;

											BgL_ez00_1726 = CAR(BgL_l1141z00_1721);
											BGl_avarz00zz__evaluate_avarz00(
												((BgL_ev_exprz00_bglt) BgL_ez00_1726), BgL_localz00_957,
												BgL_absz00_953);
										}
										{
											obj_t BgL_l1141z00_2646;

											BgL_l1141z00_2646 = CDR(BgL_l1141z00_1721);
											BgL_l1141z00_1721 = BgL_l1141z00_2646;
											goto BgL_zc3anonymousza31375ze3z83_1720;
										}
									}
								else
									{	/* Eval/evaluate_avar.scm 193 */
										((bool_t) 1);
									}
							}
						}
						{	/* Eval/evaluate_avar.scm 194 */
							BgL_ev_exprz00_bglt BgL_arg1380z00_966;

							BgL_arg1380z00_966 =
								(((BgL_ev_binderz00_bglt) CREF(
										((BgL_ev_binderz00_bglt) BgL_ez00_951)))->BgL_bodyz00);
							BGl_avarz00zz__evaluate_avarz00(BgL_arg1380z00_966,
								BgL_localz00_957, BgL_absz00_953);
						}
						{	/* Eval/evaluate_avar.scm 195 */
							BgL_ev_absz00_bglt BgL_i1082z00_967;

							BgL_i1082z00_967 = ((BgL_ev_absz00_bglt) BgL_absz00_953);
							{
								obj_t BgL_auxz00_2652;

								{	/* Eval/evaluate_avar.scm 196 */
									obj_t BgL_arg1381z00_968;
									obj_t BgL_arg1382z00_969;

									BgL_arg1381z00_968 =
										(((BgL_ev_binderz00_bglt) CREF(
												((BgL_ev_binderz00_bglt) BgL_ez00_951)))->BgL_varsz00);
									BgL_arg1382z00_969 =
										(((BgL_ev_absz00_bglt) CREF(BgL_i1082z00_967))->
										BgL_bindz00);
									BgL_auxz00_2652 =
										BGl_appendzd221011zd2zz__evaluate_avarz00
										(BgL_arg1381z00_968, BgL_arg1382z00_969);
								}
								((((BgL_ev_absz00_bglt) CREF(BgL_i1082z00_967))->BgL_bindz00) =
									((obj_t) BgL_auxz00_2652), BUNSPEC);
							}
						}
						{	/* Eval/evaluate_avar.scm 197 */
							obj_t BgL_g1146z00_970;

							BgL_g1146z00_970 =
								(((BgL_ev_binderz00_bglt) CREF(
										((BgL_ev_binderz00_bglt) BgL_ez00_951)))->BgL_varsz00);
							{
								obj_t BgL_l1144z00_1750;

								BgL_l1144z00_1750 = BgL_g1146z00_970;
							BgL_zc3anonymousza31383ze3z83_1749:
								if (PAIRP(BgL_l1144z00_1750))
									{	/* Eval/evaluate_avar.scm 197 */
										{	/* Eval/evaluate_avar.scm 197 */
											obj_t BgL_vz00_1756;

											BgL_vz00_1756 = CAR(BgL_l1144z00_1750);
											{	/* Eval/evaluate_avar.scm 197 */
												BgL_ev_varz00_bglt BgL_i1083z00_1757;

												BgL_i1083z00_1757 =
													((BgL_ev_varz00_bglt) BgL_vz00_1756);
												((((BgL_ev_varz00_bglt) CREF(BgL_i1083z00_1757))->
														BgL_effz00) = ((obj_t) BTRUE), BUNSPEC);
											}
										}
										{
											obj_t BgL_l1144z00_2665;

											BgL_l1144z00_2665 = CDR(BgL_l1144z00_1750);
											BgL_l1144z00_1750 = BgL_l1144z00_2665;
											goto BgL_zc3anonymousza31383ze3z83_1749;
										}
									}
								else
									{	/* Eval/evaluate_avar.scm 197 */
										BgL_auxz00_2635 = ((bool_t) 1);
									}
							}
						}
					}
					return BBOOL(BgL_auxz00_2635);
				}
			}
		}
	}



/* &avar-ev_let*1209 */
	obj_t BGl_z62avarzd2ev_letza21209z12zz__evaluate_avarz00(obj_t
		BgL_envz00_2264, BgL_ev_letza2za2_bglt BgL_ez00_2265,
		obj_t BgL_localz00_2266, obj_t BgL_absz00_2267)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_avar.scm 182 */
			{
				BgL_ev_letza2za2_bglt BgL_ez00_918;
				obj_t BgL_localz00_919;
				obj_t BgL_absz00_920;

				BgL_ez00_918 = BgL_ez00_2265;
				BgL_localz00_919 = BgL_localz00_2266;
				BgL_absz00_920 = BgL_absz00_2267;
				{	/* Eval/evaluate_avar.scm 184 */
					obj_t BgL_localz00_924;

					{	/* Eval/evaluate_avar.scm 184 */
						obj_t BgL_arg1374z00_949;

						BgL_arg1374z00_949 =
							(((BgL_ev_binderz00_bglt) CREF(
									((BgL_ev_binderz00_bglt) BgL_ez00_918)))->BgL_varsz00);
						BgL_localz00_924 =
							BGl_appendzd221011zd2zz__evaluate_avarz00(BgL_arg1374z00_949,
							BgL_localz00_919);
					}
					{	/* Eval/evaluate_avar.scm 185 */
						obj_t BgL_g1135z00_925;

						BgL_g1135z00_925 =
							(((BgL_ev_binderz00_bglt) CREF(
									((BgL_ev_binderz00_bglt) BgL_ez00_918)))->BgL_valsz00);
						{
							obj_t BgL_l1133z00_1630;

							BgL_l1133z00_1630 = BgL_g1135z00_925;
						BgL_zc3anonymousza31362ze3z83_1629:
							if (PAIRP(BgL_l1133z00_1630))
								{	/* Eval/evaluate_avar.scm 185 */
									{	/* Eval/evaluate_avar.scm 185 */
										obj_t BgL_ez00_1635;

										BgL_ez00_1635 = CAR(BgL_l1133z00_1630);
										BGl_avarz00zz__evaluate_avarz00(
											((BgL_ev_exprz00_bglt) BgL_ez00_1635), BgL_localz00_924,
											BgL_absz00_920);
									}
									{
										obj_t BgL_l1133z00_2678;

										BgL_l1133z00_2678 = CDR(BgL_l1133z00_1630);
										BgL_l1133z00_1630 = BgL_l1133z00_2678;
										goto BgL_zc3anonymousza31362ze3z83_1629;
									}
								}
							else
								{	/* Eval/evaluate_avar.scm 185 */
									((bool_t) 1);
								}
						}
					}
					{	/* Eval/evaluate_avar.scm 186 */
						BgL_ev_exprz00_bglt BgL_arg1365z00_933;

						BgL_arg1365z00_933 =
							(((BgL_ev_binderz00_bglt) CREF(
									((BgL_ev_binderz00_bglt) BgL_ez00_918)))->BgL_bodyz00);
						BGl_avarz00zz__evaluate_avarz00(BgL_arg1365z00_933,
							BgL_localz00_924, BgL_absz00_920);
					}
					{	/* Eval/evaluate_avar.scm 187 */
						obj_t BgL_arg1366z00_934;

						BgL_arg1366z00_934 =
							(((BgL_ev_binderz00_bglt) CREF(
									((BgL_ev_binderz00_bglt) BgL_ez00_918)))->BgL_varsz00);
						BGl_bindzd2andzd2resetzd2effectzd2zz__evaluate_avarz00(
							((BgL_ev_absz00_bglt) BgL_absz00_920), BgL_arg1366z00_934);
					}
					{
						obj_t BgL_auxz00_2687;

						{	/* Eval/evaluate_avar.scm 188 */
							obj_t BgL_l1136z00_935;

							BgL_l1136z00_935 =
								(((BgL_ev_binderz00_bglt) CREF(
										((BgL_ev_binderz00_bglt) BgL_ez00_918)))->BgL_varsz00);
							if (NULLP(BgL_l1136z00_935))
								{	/* Eval/evaluate_avar.scm 188 */
									BgL_auxz00_2687 = BNIL;
								}
							else
								{	/* Eval/evaluate_avar.scm 188 */
									obj_t BgL_head1138z00_937;

									{	/* Eval/evaluate_avar.scm 188 */
										obj_t BgL_res1691z00_1645;

										BgL_res1691z00_1645 = MAKE_PAIR(BNIL, BNIL);
										BgL_head1138z00_937 = BgL_res1691z00_1645;
									}
									{
										obj_t BgL_l1136z00_1681;
										obj_t BgL_tail1139z00_1682;

										BgL_l1136z00_1681 = BgL_l1136z00_935;
										BgL_tail1139z00_1682 = BgL_head1138z00_937;
									BgL_zc3anonymousza31368ze3z83_1680:
										if (NULLP(BgL_l1136z00_1681))
											{	/* Eval/evaluate_avar.scm 188 */
												BgL_auxz00_2687 = CDR(BgL_head1138z00_937);
											}
										else
											{	/* Eval/evaluate_avar.scm 188 */
												obj_t BgL_newtail1140z00_1690;

												{	/* Eval/evaluate_avar.scm 188 */
													obj_t BgL_arg1373z00_1691;

													{
														BgL_ev_varz00_bglt BgL_auxz00_2696;

														{	/* Eval/evaluate_avar.scm 188 */
															obj_t BgL_pairz00_1698;

															BgL_pairz00_1698 = BgL_l1136z00_1681;
															BgL_auxz00_2696 =
																((BgL_ev_varz00_bglt) CAR(BgL_pairz00_1698));
														}
														BgL_arg1373z00_1691 =
															(((BgL_ev_varz00_bglt) CREF(BgL_auxz00_2696))->
															BgL_effz00);
													}
													{	/* Eval/evaluate_avar.scm 188 */
														obj_t BgL_res1697z00_1701;

														BgL_res1697z00_1701 =
															MAKE_PAIR(BgL_arg1373z00_1691, BNIL);
														BgL_newtail1140z00_1690 = BgL_res1697z00_1701;
													}
												}
												SET_CDR(BgL_tail1139z00_1682, BgL_newtail1140z00_1690);
												{	/* Eval/evaluate_avar.scm 188 */
													obj_t BgL_arg1371z00_1694;

													{	/* Eval/evaluate_avar.scm 188 */
														obj_t BgL_pairz00_1704;

														BgL_pairz00_1704 = BgL_l1136z00_1681;
														BgL_arg1371z00_1694 = CDR(BgL_pairz00_1704);
													}
													{
														obj_t BgL_tail1139z00_2704;
														obj_t BgL_l1136z00_2703;

														BgL_l1136z00_2703 = BgL_arg1371z00_1694;
														BgL_tail1139z00_2704 = BgL_newtail1140z00_1690;
														BgL_tail1139z00_1682 = BgL_tail1139z00_2704;
														BgL_l1136z00_1681 = BgL_l1136z00_2703;
														goto BgL_zc3anonymousza31368ze3z83_1680;
													}
												}
											}
									}
								}
						}
						return
							((((BgL_ev_letza2za2_bglt) CREF(BgL_ez00_918))->BgL_boxesz00) =
							((obj_t) BgL_auxz00_2687), BUNSPEC);
					}
				}
			}
		}
	}



/* &avar-ev_let1207 */
	obj_t BGl_z62avarzd2ev_let1207zb0zz__evaluate_avarz00(obj_t BgL_envz00_2268,
		BgL_ev_letz00_bglt BgL_ez00_2269, obj_t BgL_localz00_2270,
		obj_t BgL_absz00_2271)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_avar.scm 175 */
			{
				BgL_ev_letz00_bglt BgL_ez00_893;
				obj_t BgL_localz00_894;
				obj_t BgL_absz00_895;

				BgL_ez00_893 = BgL_ez00_2269;
				BgL_localz00_894 = BgL_localz00_2270;
				BgL_absz00_895 = BgL_absz00_2271;
				{	/* Eval/evaluate_avar.scm 177 */
					obj_t BgL_g1132z00_899;

					BgL_g1132z00_899 =
						(((BgL_ev_binderz00_bglt) CREF(
								((BgL_ev_binderz00_bglt) BgL_ez00_893)))->BgL_valsz00);
					{
						obj_t BgL_l1130z00_1602;

						BgL_l1130z00_1602 = BgL_g1132z00_899;
					BgL_zc3anonymousza31351ze3z83_1601:
						if (PAIRP(BgL_l1130z00_1602))
							{	/* Eval/evaluate_avar.scm 177 */
								{	/* Eval/evaluate_avar.scm 177 */
									obj_t BgL_ez00_1607;

									BgL_ez00_1607 = CAR(BgL_l1130z00_1602);
									BGl_avarz00zz__evaluate_avarz00(
										((BgL_ev_exprz00_bglt) BgL_ez00_1607), BgL_localz00_894,
										BgL_absz00_895);
								}
								{
									obj_t BgL_l1130z00_2713;

									BgL_l1130z00_2713 = CDR(BgL_l1130z00_1602);
									BgL_l1130z00_1602 = BgL_l1130z00_2713;
									goto BgL_zc3anonymousza31351ze3z83_1601;
								}
							}
						else
							{	/* Eval/evaluate_avar.scm 177 */
								((bool_t) 1);
							}
					}
				}
				{	/* Eval/evaluate_avar.scm 178 */
					BgL_ev_exprz00_bglt BgL_arg1354z00_907;
					obj_t BgL_arg1355z00_908;

					BgL_arg1354z00_907 =
						(((BgL_ev_binderz00_bglt) CREF(
								((BgL_ev_binderz00_bglt) BgL_ez00_893)))->BgL_bodyz00);
					{	/* Eval/evaluate_avar.scm 178 */
						obj_t BgL_arg1356z00_909;

						BgL_arg1356z00_909 =
							(((BgL_ev_binderz00_bglt) CREF(
									((BgL_ev_binderz00_bglt) BgL_ez00_893)))->BgL_varsz00);
						BgL_arg1355z00_908 =
							BGl_appendzd221011zd2zz__evaluate_avarz00(BgL_arg1356z00_909,
							BgL_localz00_894);
					}
					BGl_avarz00zz__evaluate_avarz00(BgL_arg1354z00_907,
						BgL_arg1355z00_908, BgL_absz00_895);
				}
				{	/* Eval/evaluate_avar.scm 179 */
					obj_t BgL_arg1357z00_910;

					BgL_arg1357z00_910 =
						(((BgL_ev_binderz00_bglt) CREF(
								((BgL_ev_binderz00_bglt) BgL_ez00_893)))->BgL_varsz00);
					BGl_bindzd2andzd2resetzd2effectzd2zz__evaluate_avarz00(
						((BgL_ev_absz00_bglt) BgL_absz00_895), BgL_arg1357z00_910);
				}
				{
					obj_t BgL_auxz00_2725;

					{	/* Eval/evaluate_avar.scm 180 */
						obj_t BgL_arg1360z00_912;

						BgL_arg1360z00_912 =
							(((BgL_ev_binderz00_bglt) CREF(
									((BgL_ev_binderz00_bglt) BgL_ez00_893)))->BgL_varsz00);
						BgL_auxz00_2725 =
							BGl_filterz00zz__r4_control_features_6_9z00
							(BGl_proc1813z00zz__evaluate_avarz00, BgL_arg1360z00_912);
					}
					return
						((((BgL_ev_letz00_bglt) CREF(BgL_ez00_893))->BgL_boxesz00) =
						((obj_t) BgL_auxz00_2725), BUNSPEC);
				}
			}
		}
	}



/* &<anonymous:1361> */
	obj_t BGl_z62zc3anonymousza31361ze3ze1zz__evaluate_avarz00(obj_t
		BgL_envz00_2272, obj_t BgL_vz00_2273)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_avar.scm 180 */
			return
				(((BgL_ev_varz00_bglt) CREF(
						((BgL_ev_varz00_bglt) BgL_vz00_2273)))->BgL_effz00);
		}
	}



/* &avar-ev_with-handler1205 */
	obj_t BGl_z62avarzd2ev_withzd2handler1205z62zz__evaluate_avarz00(obj_t
		BgL_envz00_2274, BgL_ev_withzd2handlerzd2_bglt BgL_ez00_2275,
		obj_t BgL_localz00_2276, obj_t BgL_absz00_2277)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_avar.scm 170 */
			{
				BgL_ev_withzd2handlerzd2_bglt BgL_ez00_884;
				obj_t BgL_localz00_885;
				obj_t BgL_absz00_886;

				BgL_ez00_884 = BgL_ez00_2275;
				BgL_localz00_885 = BgL_localz00_2276;
				BgL_absz00_886 = BgL_absz00_2277;
				BGl_avarz00zz__evaluate_avarz00(
					(((BgL_ev_withzd2handlerzd2_bglt) CREF(BgL_ez00_884))->
						BgL_handlerz00), BgL_localz00_885, BgL_absz00_886);
				return BGl_avarz00zz__evaluate_avarz00((((BgL_ev_withzd2handlerzd2_bglt)
							CREF(BgL_ez00_884))->BgL_bodyz00), BgL_localz00_885,
					BgL_absz00_886);
			}
		}
	}



/* &avar-ev_unwind-prote1203 */
	obj_t BGl_z62avarzd2ev_unwindzd2prote1203z62zz__evaluate_avarz00(obj_t
		BgL_envz00_2278, BgL_ev_unwindzd2protectzd2_bglt BgL_ez00_2279,
		obj_t BgL_localz00_2280, obj_t BgL_absz00_2281)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_avar.scm 165 */
			{
				BgL_ev_unwindzd2protectzd2_bglt BgL_ez00_875;
				obj_t BgL_localz00_876;
				obj_t BgL_absz00_877;

				BgL_ez00_875 = BgL_ez00_2279;
				BgL_localz00_876 = BgL_localz00_2280;
				BgL_absz00_877 = BgL_absz00_2281;
				BGl_avarz00zz__evaluate_avarz00(
					(((BgL_ev_unwindzd2protectzd2_bglt) CREF(BgL_ez00_875))->BgL_ez00),
					BgL_localz00_876, BgL_absz00_877);
				return
					BGl_avarz00zz__evaluate_avarz00((((BgL_ev_unwindzd2protectzd2_bglt)
							CREF(BgL_ez00_875))->BgL_bodyz00), BgL_localz00_876,
					BgL_absz00_877);
			}
		}
	}



/* &avar-ev_bind-exit1201 */
	obj_t BGl_z62avarzd2ev_bindzd2exit1201z62zz__evaluate_avarz00(obj_t
		BgL_envz00_2282, BgL_ev_bindzd2exitzd2_bglt BgL_ez00_2283,
		obj_t BgL_localz00_2284, obj_t BgL_absz00_2285)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_avar.scm 160 */
			{
				BgL_ev_bindzd2exitzd2_bglt BgL_ez00_863;
				obj_t BgL_localz00_864;
				obj_t BgL_absz00_865;

				BgL_ez00_863 = BgL_ez00_2283;
				BgL_localz00_864 = BgL_localz00_2284;
				BgL_absz00_865 = BgL_absz00_2285;
				{	/* Eval/evaluate_avar.scm 161 */
					BgL_ev_exprz00_bglt BgL_arg1342z00_1575;
					obj_t BgL_arg1343z00_1576;

					BgL_arg1342z00_1575 =
						(((BgL_ev_bindzd2exitzd2_bglt) CREF(BgL_ez00_863))->BgL_bodyz00);
					{	/* Eval/evaluate_avar.scm 161 */
						BgL_ev_varz00_bglt BgL_arg1344z00_1577;

						BgL_arg1344z00_1577 =
							(((BgL_ev_bindzd2exitzd2_bglt) CREF(BgL_ez00_863))->BgL_varz00);
						BgL_arg1343z00_1576 =
							MAKE_PAIR(((obj_t) BgL_arg1344z00_1577), BgL_localz00_864);
					}
					BGl_avarz00zz__evaluate_avarz00(BgL_arg1342z00_1575,
						BgL_arg1343z00_1576, BgL_absz00_865);
				}
				{	/* Eval/evaluate_avar.scm 161 */
					obj_t BgL_arg1345z00_1578;

					{	/* Eval/evaluate_avar.scm 161 */
						BgL_ev_varz00_bglt BgL_arg1346z00_1579;

						BgL_arg1346z00_1579 =
							(((BgL_ev_bindzd2exitzd2_bglt) CREF(BgL_ez00_863))->BgL_varz00);
						BgL_arg1345z00_1578 =
							MAKE_PAIR(((obj_t) BgL_arg1346z00_1579), BNIL);
					}
					return
						BGl_bindzd2andzd2resetzd2effectzd2zz__evaluate_avarz00(
						((BgL_ev_absz00_bglt) BgL_absz00_865), BgL_arg1345z00_1578);
				}
			}
		}
	}



/* &avar-ev_setlocal1199 */
	obj_t BGl_z62avarzd2ev_setlocal1199zb0zz__evaluate_avarz00(obj_t
		BgL_envz00_2286, BgL_ev_setlocalz00_bglt BgL_ez00_2287,
		obj_t BgL_localz00_2288, obj_t BgL_absz00_2289)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_avar.scm 153 */
			{
				BgL_ev_setlocalz00_bglt BgL_ez00_853;
				obj_t BgL_localz00_854;
				obj_t BgL_absz00_855;

				BgL_ez00_853 = BgL_ez00_2287;
				BgL_localz00_854 = BgL_localz00_2288;
				BgL_absz00_855 = BgL_absz00_2289;
				{	/* Eval/evaluate_avar.scm 154 */
					BgL_ev_varz00_bglt BgL_arg1340z00_1563;

					BgL_arg1340z00_1563 =
						(((BgL_ev_setlocalz00_bglt) CREF(BgL_ez00_853))->BgL_vz00);
					{	/* Eval/evaluate_avar.scm 154 */
						BgL_ev_absz00_bglt BgL_absz00_1568;

						BgL_absz00_1568 = ((BgL_ev_absz00_bglt) BgL_absz00_855);
						if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
									((obj_t) BgL_arg1340z00_1563), BgL_localz00_854)))
							{	/* Eval/evaluate_avar.scm 154 */
								BFALSE;
							}
						else
							{	/* Eval/evaluate_avar.scm 154 */
								if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
											((obj_t) BgL_arg1340z00_1563),
											(((BgL_ev_absz00_bglt) CREF(BgL_absz00_1568))->
												BgL_freez00))))
									{	/* Eval/evaluate_avar.scm 154 */
										BFALSE;
									}
								else
									{
										obj_t BgL_auxz00_2761;

										{	/* Eval/evaluate_avar.scm 154 */
											obj_t BgL_arg1314z00_1573;

											BgL_arg1314z00_1573 =
												(((BgL_ev_absz00_bglt) CREF(BgL_absz00_1568))->
												BgL_freez00);
											BgL_auxz00_2761 =
												MAKE_PAIR(((obj_t) BgL_arg1340z00_1563),
												BgL_arg1314z00_1573);
										}
										((((BgL_ev_absz00_bglt) CREF(BgL_absz00_1568))->
												BgL_freez00) = ((obj_t) BgL_auxz00_2761), BUNSPEC);
									}
							}
					}
				}
				((((BgL_ev_varz00_bglt) CREF(
								(((BgL_ev_setlocalz00_bglt) CREF(BgL_ez00_853))->BgL_vz00)))->
						BgL_effz00) = ((obj_t) BTRUE), BUNSPEC);
				{	/* Eval/evaluate_avar.scm 154 */
					BgL_ev_exprz00_bglt BgL_arg1341z00_1565;

					BgL_arg1341z00_1565 =
						(((BgL_ev_hookz00_bglt) CREF(
								((BgL_ev_hookz00_bglt) BgL_ez00_853)))->BgL_ez00);
					return
						BGl_avarz00zz__evaluate_avarz00(BgL_arg1341z00_1565,
						BgL_localz00_854, BgL_absz00_855);
				}
			}
		}
	}



/* &avar-ev_hook1197 */
	obj_t BGl_z62avarzd2ev_hook1197zb0zz__evaluate_avarz00(obj_t BgL_envz00_2290,
		BgL_ev_hookz00_bglt BgL_ez00_2291, obj_t BgL_localz00_2292,
		obj_t BgL_absz00_2293)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_avar.scm 149 */
			{
				BgL_ev_hookz00_bglt BgL_ez00_845;
				obj_t BgL_localz00_846;
				obj_t BgL_absz00_847;

				BgL_ez00_845 = BgL_ez00_2291;
				BgL_localz00_846 = BgL_localz00_2292;
				BgL_absz00_847 = BgL_absz00_2293;
				return
					BGl_avarz00zz__evaluate_avarz00(
					(((BgL_ev_hookz00_bglt) CREF(BgL_ez00_845))->BgL_ez00),
					BgL_localz00_846, BgL_absz00_847);
			}
		}
	}



/* &avar-ev_prog21195 */
	obj_t BGl_z62avarzd2ev_prog21195zb0zz__evaluate_avarz00(obj_t BgL_envz00_2294,
		BgL_ev_prog2z00_bglt BgL_ez00_2295, obj_t BgL_localz00_2296,
		obj_t BgL_absz00_2297)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_avar.scm 144 */
			{
				BgL_ev_prog2z00_bglt BgL_ez00_836;
				obj_t BgL_localz00_837;
				obj_t BgL_absz00_838;

				BgL_ez00_836 = BgL_ez00_2295;
				BgL_localz00_837 = BgL_localz00_2296;
				BgL_absz00_838 = BgL_absz00_2297;
				BGl_avarz00zz__evaluate_avarz00(
					(((BgL_ev_prog2z00_bglt) CREF(BgL_ez00_836))->BgL_e1z00),
					BgL_localz00_837, BgL_absz00_838);
				return BGl_avarz00zz__evaluate_avarz00((((BgL_ev_prog2z00_bglt)
							CREF(BgL_ez00_836))->BgL_e2z00), BgL_localz00_837,
					BgL_absz00_838);
			}
		}
	}



/* &avar-ev_list1193 */
	obj_t BGl_z62avarzd2ev_list1193zb0zz__evaluate_avarz00(obj_t BgL_envz00_2298,
		BgL_ev_listz00_bglt BgL_ez00_2299, obj_t BgL_localz00_2300,
		obj_t BgL_absz00_2301)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_avar.scm 140 */
			{
				BgL_ev_listz00_bglt BgL_ez00_821;
				obj_t BgL_localz00_822;
				obj_t BgL_absz00_823;

				{	/* Eval/evaluate_avar.scm 141 */
					bool_t BgL_auxz00_2777;

					BgL_ez00_821 = BgL_ez00_2299;
					BgL_localz00_822 = BgL_localz00_2300;
					BgL_absz00_823 = BgL_absz00_2301;
					{	/* Eval/evaluate_avar.scm 141 */
						obj_t BgL_g1129z00_1524;

						BgL_g1129z00_1524 =
							(((BgL_ev_listz00_bglt) CREF(BgL_ez00_821))->BgL_argsz00);
						{
							obj_t BgL_l1127z00_1546;

							BgL_l1127z00_1546 = BgL_g1129z00_1524;
						BgL_zc3anonymousza31331ze3z83_1545:
							if (PAIRP(BgL_l1127z00_1546))
								{	/* Eval/evaluate_avar.scm 141 */
									{	/* Eval/evaluate_avar.scm 141 */
										obj_t BgL_ez00_1551;

										BgL_ez00_1551 = CAR(BgL_l1127z00_1546);
										BGl_avarz00zz__evaluate_avarz00(
											((BgL_ev_exprz00_bglt) BgL_ez00_1551), BgL_localz00_822,
											BgL_absz00_823);
									}
									{
										obj_t BgL_l1127z00_2784;

										BgL_l1127z00_2784 = CDR(BgL_l1127z00_1546);
										BgL_l1127z00_1546 = BgL_l1127z00_2784;
										goto BgL_zc3anonymousza31331ze3z83_1545;
									}
								}
							else
								{	/* Eval/evaluate_avar.scm 141 */
									BgL_auxz00_2777 = ((bool_t) 1);
								}
						}
					}
					return BBOOL(BgL_auxz00_2777);
				}
			}
		}
	}



/* &avar-ev_if1191 */
	obj_t BGl_z62avarzd2ev_if1191zb0zz__evaluate_avarz00(obj_t BgL_envz00_2302,
		BgL_ev_ifz00_bglt BgL_ez00_2303, obj_t BgL_localz00_2304,
		obj_t BgL_absz00_2305)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_avar.scm 134 */
			{
				BgL_ev_ifz00_bglt BgL_ez00_811;
				obj_t BgL_localz00_812;
				obj_t BgL_absz00_813;

				BgL_ez00_811 = BgL_ez00_2303;
				BgL_localz00_812 = BgL_localz00_2304;
				BgL_absz00_813 = BgL_absz00_2305;
				BGl_avarz00zz__evaluate_avarz00(
					(((BgL_ev_ifz00_bglt) CREF(BgL_ez00_811))->BgL_pz00),
					BgL_localz00_812, BgL_absz00_813);
				BGl_avarz00zz__evaluate_avarz00((((BgL_ev_ifz00_bglt)
							CREF(BgL_ez00_811))->BgL_tz00), BgL_localz00_812, BgL_absz00_813);
				return BGl_avarz00zz__evaluate_avarz00((((BgL_ev_ifz00_bglt)
							CREF(BgL_ez00_811))->BgL_ez00), BgL_localz00_812, BgL_absz00_813);
			}
		}
	}



/* &avar-ev_litt1189 */
	obj_t BGl_z62avarzd2ev_litt1189zb0zz__evaluate_avarz00(obj_t BgL_envz00_2306,
		BgL_ev_littz00_bglt BgL_ez00_2307, obj_t BgL_localz00_2308,
		obj_t BgL_absz00_2309)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_avar.scm 131 */
			return BUNSPEC;
		}
	}



/* &avar-ev_global1187 */
	obj_t BGl_z62avarzd2ev_global1187zb0zz__evaluate_avarz00(obj_t
		BgL_envz00_2310, BgL_ev_globalz00_bglt BgL_varz00_2311,
		obj_t BgL_localz00_2312, obj_t BgL_absz00_2313)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_avar.scm 128 */
			return BUNSPEC;
		}
	}



/* &avar-ev_var1185 */
	obj_t BGl_z62avarzd2ev_var1185zb0zz__evaluate_avarz00(obj_t BgL_envz00_2314,
		BgL_ev_varz00_bglt BgL_varz00_2315, obj_t BgL_localz00_2316,
		obj_t BgL_absz00_2317)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_avar.scm 125 */
			{
				BgL_ev_varz00_bglt BgL_varz00_793;
				obj_t BgL_localz00_794;
				obj_t BgL_absz00_795;

				BgL_varz00_793 = BgL_varz00_2315;
				BgL_localz00_794 = BgL_localz00_2316;
				BgL_absz00_795 = BgL_absz00_2317;
				{	/* Eval/evaluate_avar.scm 126 */
					BgL_ev_absz00_bglt BgL_absz00_1513;

					BgL_absz00_1513 = ((BgL_ev_absz00_bglt) BgL_absz00_795);
					if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
								((obj_t) BgL_varz00_793), BgL_localz00_794)))
						{	/* Eval/evaluate_avar.scm 126 */
							return BFALSE;
						}
					else
						{	/* Eval/evaluate_avar.scm 126 */
							if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
										((obj_t) BgL_varz00_793),
										(((BgL_ev_absz00_bglt) CREF(BgL_absz00_1513))->
											BgL_freez00))))
								{	/* Eval/evaluate_avar.scm 126 */
									return BFALSE;
								}
							else
								{
									obj_t BgL_auxz00_2803;

									{	/* Eval/evaluate_avar.scm 126 */
										obj_t BgL_arg1314z00_1518;

										BgL_arg1314z00_1518 =
											(((BgL_ev_absz00_bglt) CREF(BgL_absz00_1513))->
											BgL_freez00);
										BgL_auxz00_2803 =
											MAKE_PAIR(((obj_t) BgL_varz00_793), BgL_arg1314z00_1518);
									}
									return
										((((BgL_ev_absz00_bglt) CREF(BgL_absz00_1513))->
											BgL_freez00) = ((obj_t) BgL_auxz00_2803), BUNSPEC);
								}
						}
				}
			}
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zz__evaluate_avarz00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_avar.scm 15 */
			BGl_modulezd2initializa7ationz75zz__typez00(((long) 278771016),
				BSTRING_TO_STRING(BGl_string1814z00zz__evaluate_avarz00));
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 373318193),
				BSTRING_TO_STRING(BGl_string1814z00zz__evaluate_avarz00));
			BGl_modulezd2initializa7ationz75zz__biglooz00(((long) 162724851),
				BSTRING_TO_STRING(BGl_string1814z00zz__evaluate_avarz00));
			BGl_modulezd2initializa7ationz75zz__tvectorz00(((long) 135276775),
				BSTRING_TO_STRING(BGl_string1814z00zz__evaluate_avarz00));
			BGl_modulezd2initializa7ationz75zz__structurez00(((long) 128218210),
				BSTRING_TO_STRING(BGl_string1814z00zz__evaluate_avarz00));
			BGl_modulezd2initializa7ationz75zz__bexitz00(((long) 159639574),
				BSTRING_TO_STRING(BGl_string1814z00zz__evaluate_avarz00));
			BGl_modulezd2initializa7ationz75zz__bignumz00(((long) 6519932),
				BSTRING_TO_STRING(BGl_string1814z00zz__evaluate_avarz00));
			BGl_modulezd2initializa7ationz75zz__osz00(((long) 438451175),
				BSTRING_TO_STRING(BGl_string1814z00zz__evaluate_avarz00));
			BGl_modulezd2initializa7ationz75zz__dssslz00(((long) 443936801),
				BSTRING_TO_STRING(BGl_string1814z00zz__evaluate_avarz00));
			BGl_modulezd2initializa7ationz75zz__bitz00(((long) 317260169),
				BSTRING_TO_STRING(BGl_string1814z00zz__evaluate_avarz00));
			BGl_modulezd2initializa7ationz75zz__paramz00(((long) 441709255),
				BSTRING_TO_STRING(BGl_string1814z00zz__evaluate_avarz00));
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 426797061),
				BSTRING_TO_STRING(BGl_string1814z00zz__evaluate_avarz00));
			BGl_modulezd2initializa7ationz75zz__threadz00(((long) 220651073),
				BSTRING_TO_STRING(BGl_string1814z00zz__evaluate_avarz00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long) 359798486),
				BSTRING_TO_STRING(BGl_string1814z00zz__evaluate_avarz00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long)
					249410258), BSTRING_TO_STRING(BGl_string1814z00zz__evaluate_avarz00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(((long)
					53386681), BSTRING_TO_STRING(BGl_string1814z00zz__evaluate_avarz00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonum_dtoaz00(((long)
					268155843), BSTRING_TO_STRING(BGl_string1814z00zz__evaluate_avarz00));
			BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(((long)
					198620800), BSTRING_TO_STRING(BGl_string1814z00zz__evaluate_avarz00));
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long)
					473309430), BSTRING_TO_STRING(BGl_string1814z00zz__evaluate_avarz00));
			BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(((long) 459519430),
				BSTRING_TO_STRING(BGl_string1814z00zz__evaluate_avarz00));
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long) 460263214),
				BSTRING_TO_STRING(BGl_string1814z00zz__evaluate_avarz00));
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 97251556),
				BSTRING_TO_STRING(BGl_string1814z00zz__evaluate_avarz00));
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)
					47127928), BSTRING_TO_STRING(BGl_string1814z00zz__evaluate_avarz00));
			BGl_modulezd2initializa7ationz75zz__r4_input_6_10_2z00(((long) 415828492),
				BSTRING_TO_STRING(BGl_string1814z00zz__evaluate_avarz00));
			BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(((long)
					317842797), BSTRING_TO_STRING(BGl_string1814z00zz__evaluate_avarz00));
			BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(((long)
					228151370), BSTRING_TO_STRING(BGl_string1814z00zz__evaluate_avarz00));
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 509771705),
				BSTRING_TO_STRING(BGl_string1814z00zz__evaluate_avarz00));
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 451655587),
				BSTRING_TO_STRING(BGl_string1814z00zz__evaluate_avarz00));
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long)
					268291731), BSTRING_TO_STRING(BGl_string1814z00zz__evaluate_avarz00));
			BGl_modulezd2initializa7ationz75zz__ppz00(((long) 233942021),
				BSTRING_TO_STRING(BGl_string1814z00zz__evaluate_avarz00));
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 220648206),
				BSTRING_TO_STRING(BGl_string1814z00zz__evaluate_avarz00));
			BGl_modulezd2initializa7ationz75zz__prognz00(((long) 177147622),
				BSTRING_TO_STRING(BGl_string1814z00zz__evaluate_avarz00));
			BGl_modulezd2initializa7ationz75zz__expandz00(((long) 511051588),
				BSTRING_TO_STRING(BGl_string1814z00zz__evaluate_avarz00));
			BGl_modulezd2initializa7ationz75zz__evenvz00(((long) 335718988),
				BSTRING_TO_STRING(BGl_string1814z00zz__evaluate_avarz00));
			BGl_modulezd2initializa7ationz75zz__evcompilez00(((long) 492754569),
				BSTRING_TO_STRING(BGl_string1814z00zz__evaluate_avarz00));
			BGl_modulezd2initializa7ationz75zz__everrorz00(((long) 375872221),
				BSTRING_TO_STRING(BGl_string1814z00zz__evaluate_avarz00));
			BGl_modulezd2initializa7ationz75zz__evmodulez00(((long) 405883817),
				BSTRING_TO_STRING(BGl_string1814z00zz__evaluate_avarz00));
			return BGl_modulezd2initializa7ationz75zz__evaluate_typesz00(((long) 0),
				BSTRING_TO_STRING(BGl_string1814z00zz__evaluate_avarz00));
		}
	}

#ifdef __cplusplus
}
#endif
