/*===========================================================================*/
/*   (Eval/evaluate_uncomp.scm)                                              */
/*   Bigloo (3.8a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Thu Mar 29 06:52:41 CEST 2012       */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -srfi enable-gmp -srfi bigloo-unsafe -O3 -fcfa-arithmetic -q +rm -lib-dir /users/serrano/prgm/project/bigloo/lib/3.8a -mklib -cc gcc -fsharing -q -no-hello -copt -fPIC -unsafe -safee -O4 -c Eval/evaluate_uncomp.scm -indent -o objs/obj_u/Eval/evaluate_uncomp.c)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_ev_exprz00_bgl
	{
		header_t header;
		obj_t widening;
	}                 *BgL_ev_exprz00_bglt;

	typedef struct BgL_ev_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
		obj_t BgL_effz00;
		obj_t BgL_typez00;
	}                *BgL_ev_varz00_bglt;

	typedef struct BgL_ev_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_namez00;
		obj_t BgL_modz00;
	}                   *BgL_ev_globalz00_bglt;

	typedef struct BgL_ev_littz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_valuez00;
	}                 *BgL_ev_littz00_bglt;

	typedef struct BgL_ev_ifz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_pz00;
		struct BgL_ev_exprz00_bgl *BgL_tz00;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
	}               *BgL_ev_ifz00_bglt;

	typedef struct BgL_ev_listz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_argsz00;
	}                 *BgL_ev_listz00_bglt;

	typedef struct BgL_ev_orz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_argsz00;
	}               *BgL_ev_orz00_bglt;

	typedef struct BgL_ev_andz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_argsz00;
	}                *BgL_ev_andz00_bglt;

	typedef struct BgL_ev_prog2z00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_e1z00;
		struct BgL_ev_exprz00_bgl *BgL_e2z00;
	}                  *BgL_ev_prog2z00_bglt;

	typedef struct BgL_ev_hookz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
	}                 *BgL_ev_hookz00_bglt;

	typedef struct BgL_ev_trapz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
	}                 *BgL_ev_trapz00_bglt;

	typedef struct BgL_ev_setlocalz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		struct BgL_ev_varz00_bgl *BgL_vz00;
	}                     *BgL_ev_setlocalz00_bglt;

	typedef struct BgL_ev_setglobalz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		obj_t BgL_locz00;
		obj_t BgL_namez00;
		obj_t BgL_modz00;
	}                      *BgL_ev_setglobalz00_bglt;

	typedef struct BgL_ev_defglobalz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		obj_t BgL_locz00;
		obj_t BgL_namez00;
		obj_t BgL_modz00;
	}                      *BgL_ev_defglobalz00_bglt;

	typedef struct BgL_ev_bindzd2exitzd2_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_varz00_bgl *BgL_varz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                        *BgL_ev_bindzd2exitzd2_bglt;

	typedef struct BgL_ev_unwindzd2protectzd2_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                             *BgL_ev_unwindzd2protectzd2_bglt;

	typedef struct BgL_ev_withzd2handlerzd2_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_handlerz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                           *BgL_ev_withzd2handlerzd2_bglt;

	typedef struct BgL_ev_binderz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                   *BgL_ev_binderz00_bglt;

	typedef struct BgL_ev_letz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		obj_t BgL_boxesz00;
	}                *BgL_ev_letz00_bglt;

	typedef struct BgL_ev_letza2za2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		obj_t BgL_boxesz00;
	}                   *BgL_ev_letza2za2_bglt;

	typedef struct BgL_ev_letrecz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                   *BgL_ev_letrecz00_bglt;

	typedef struct BgL_ev_labelsz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		obj_t BgL_envz00;
		obj_t BgL_stkz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		obj_t BgL_boxesz00;
	}                   *BgL_ev_labelsz00_bglt;

	typedef struct BgL_ev_gotoz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_ev_varz00_bgl *BgL_labelz00;
		struct BgL_ev_labelsz00_bgl *BgL_labelsz00;
		obj_t BgL_argsz00;
	}                 *BgL_ev_gotoz00_bglt;

	typedef struct BgL_ev_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_ev_exprz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_tailzf3zf3;
	}                *BgL_ev_appz00_bglt;

	typedef struct BgL_ev_absz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_wherez00;
		obj_t BgL_arityz00;
		obj_t BgL_varsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		int BgL_siza7eza7;
		obj_t BgL_bindz00;
		obj_t BgL_freez00;
		obj_t BgL_innerz00;
		obj_t BgL_boxesz00;
	}                *BgL_ev_absz00_bglt;


	static obj_t
		BGl_z62uncompzd2ev_bindzd2exit1207z62zz__evaluate_uncompz00(obj_t,
		BgL_ev_bindzd2exitzd2_bglt);
	extern obj_t BGl_ev_defglobalz00zz__evaluate_typesz00;
	extern obj_t BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	static obj_t BGl_z62uncomp1181z62zz__evaluate_uncompz00(obj_t,
		BgL_ev_exprz00_bglt);
	static obj_t BGl_requirezd2initializa7ationz75zz__evaluate_uncompz00 =
		BUNSPEC;
	static obj_t BGl_symbol1854z00zz__evaluate_uncompz00 = BUNSPEC;
	extern obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	extern obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t, obj_t,
		obj_t);
	extern obj_t BGl_ev_letrecz00zz__evaluate_typesz00;
	static obj_t BGl_toplevelzd2initzd2zz__evaluate_uncompz00();
	static obj_t BGl_symbol1879z00zz__evaluate_uncompz00 = BUNSPEC;
	static obj_t
		BGl_z62uncompzd2ev_unwindzd2pro1209z62zz__evaluate_uncompz00(obj_t,
		BgL_ev_unwindzd2protectzd2_bglt);
	extern obj_t BGl_ev_letz00zz__evaluate_typesz00;
	static obj_t BGl_symbol1881z00zz__evaluate_uncompz00 = BUNSPEC;
	static obj_t BGl_symbol1883z00zz__evaluate_uncompz00 = BUNSPEC;
	static obj_t BGl_z62uncompzd2ev_let1213zb0zz__evaluate_uncompz00(obj_t,
		BgL_ev_letz00_bglt);
	static obj_t BGl_symbol1885z00zz__evaluate_uncompz00 = BUNSPEC;
	static obj_t BGl_symbol1887z00zz__evaluate_uncompz00 = BUNSPEC;
	static obj_t BGl_symbol1889z00zz__evaluate_uncompz00 = BUNSPEC;
	static obj_t BGl_genericzd2initzd2zz__evaluate_uncompz00();
	extern obj_t BGl_ev_prog2z00zz__evaluate_typesz00;
	static obj_t BGl_symbol1891z00zz__evaluate_uncompz00 = BUNSPEC;
	static obj_t BGl_symbol1893z00zz__evaluate_uncompz00 = BUNSPEC;
	static obj_t BGl_symbol1895z00zz__evaluate_uncompz00 = BUNSPEC;
	static obj_t BGl_z62uncompzd2ev_or1193zb0zz__evaluate_uncompz00(obj_t,
		BgL_ev_orz00_bglt);
	static obj_t BGl_symbol1897z00zz__evaluate_uncompz00 = BUNSPEC;
	static obj_t BGl_symbol1899z00zz__evaluate_uncompz00 = BUNSPEC;
	static obj_t BGl_objectzd2initzd2zz__evaluate_uncompz00();
	extern obj_t BGl_ev_bindzd2exitzd2zz__evaluate_typesz00;
	static obj_t BGl_z62uncompzd2ev_goto1221zb0zz__evaluate_uncompz00(obj_t,
		BgL_ev_gotoz00_bglt);
	extern obj_t BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00;
	extern obj_t bstring_to_symbol(obj_t);
	static obj_t BGl_recz00zz__evaluate_uncompz00(obj_t);
	extern bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
	static obj_t BGl_z62uncompzd2ev_defglobal1203zb0zz__evaluate_uncompz00(obj_t,
		BgL_ev_defglobalz00_bglt);
	extern obj_t BGl_ev_letza2za2zz__evaluate_typesz00;
	extern obj_t BGl_ev_labelsz00zz__evaluate_typesz00;
	static obj_t BGl_z62uncompzd2ev_var1185zb0zz__evaluate_uncompz00(obj_t,
		BgL_ev_varz00_bglt);
	static obj_t BGl_z62uncompzd2ev_prog21197zb0zz__evaluate_uncompz00(obj_t,
		BgL_ev_prog2z00_bglt);
	static obj_t BGl_z62uncompzd2ev_setglobal1201zb0zz__evaluate_uncompz00(obj_t,
		BgL_ev_setglobalz00_bglt);
	static obj_t BGl_methodzd2initzd2zz__evaluate_uncompz00();
	static obj_t BGl_z62uncompzd2ev_app1223zb0zz__evaluate_uncompz00(obj_t,
		BgL_ev_appz00_bglt);
	extern obj_t BGl_ev_absz00zz__evaluate_typesz00;
	extern obj_t BGl_ev_trapz00zz__evaluate_typesz00;
	static obj_t BGl_redovarsz00zz__evaluate_uncompz00(obj_t, obj_t);
	extern obj_t BGl_ev_setglobalz00zz__evaluate_typesz00;
	extern obj_t BGl_ev_ifz00zz__evaluate_typesz00;
	extern obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_uncompz00zz__evaluate_uncompz00(BgL_ev_exprz00_bglt);
	static obj_t BGl_z62uncompzd2ev_abs1225zb0zz__evaluate_uncompz00(obj_t,
		BgL_ev_absz00_bglt);
	extern obj_t BGl_ev_gotoz00zz__evaluate_typesz00;
	static obj_t BGl_z62uncompzd2ev_labels1219zb0zz__evaluate_uncompz00(obj_t,
		BgL_ev_labelsz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zz__evaluate_uncompz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evaluate_typesz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evmodulez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__everrorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evcompilez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evenvz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__expandz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__prognz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__ppz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_input_6_10_2z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonum_dtoaz00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(long, char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__threadz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__dssslz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bignumz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__structurez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__tvectorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__typez00(long, char *);
	extern obj_t BGl_ev_globalz00zz__evaluate_typesz00;
	extern obj_t BGl_ev_littz00zz__evaluate_typesz00;
	extern obj_t BGl_ev_orz00zz__evaluate_typesz00;
	extern obj_t BGl_ev_varz00zz__evaluate_typesz00;
	static obj_t BGl_cnstzd2initzd2zz__evaluate_uncompz00();
	static obj_t BGl_z62uncompzd2ev_and1195zb0zz__evaluate_uncompz00(obj_t,
		BgL_ev_andz00_bglt);
	static obj_t BGl_importedzd2moduleszd2initz00zz__evaluate_uncompz00();
	extern obj_t BGl_ev_withzd2handlerzd2zz__evaluate_typesz00;
	extern obj_t BGl_ev_andz00zz__evaluate_typesz00;
	static obj_t BGl_z62uncompzd2ev_letza21215z12zz__evaluate_uncompz00(obj_t,
		BgL_ev_letza2za2_bglt);
	static obj_t BGl_z62uncompzd2ev_if1191zb0zz__evaluate_uncompz00(obj_t,
		BgL_ev_ifz00_bglt);
	static obj_t BGl_z62uncompzd2ev_global1187zb0zz__evaluate_uncompz00(obj_t,
		BgL_ev_globalz00_bglt);
	static obj_t BGl_z62uncompilez62zz__evaluate_uncompz00(obj_t, obj_t);
	static obj_t BGl_z62uncompz62zz__evaluate_uncompz00(obj_t, obj_t);
	extern obj_t BGl_ev_exprz00zz__evaluate_typesz00;
	extern obj_t BGl_ev_appz00zz__evaluate_typesz00;
	extern obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62uncompzd2ev_letrec1217zb0zz__evaluate_uncompz00(obj_t,
		BgL_ev_letrecz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_uncompilez00zz__evaluate_uncompz00(BgL_ev_exprz00_bglt);
	static obj_t
		BGl_z62uncompzd2ev_withzd2handl1211z62zz__evaluate_uncompz00(obj_t,
		BgL_ev_withzd2handlerzd2_bglt);
	extern obj_t BGl_ev_setlocalz00zz__evaluate_typesz00;
	static obj_t BGl_z62uncompzd2ev_setlocal1205zb0zz__evaluate_uncompz00(obj_t,
		BgL_ev_setlocalz00_bglt);
	static obj_t BGl_symbol1901z00zz__evaluate_uncompz00 = BUNSPEC;
	static obj_t BGl_symbol1903z00zz__evaluate_uncompz00 = BUNSPEC;
	static obj_t BGl_symbol1905z00zz__evaluate_uncompz00 = BUNSPEC;
	static obj_t BGl_symbol1907z00zz__evaluate_uncompz00 = BUNSPEC;
	static obj_t BGl_z62uncompzd2ev_trap1199zb0zz__evaluate_uncompz00(obj_t,
		BgL_ev_trapz00_bglt);
	static obj_t BGl_z62uncompzd2ev_litt1189zb0zz__evaluate_uncompz00(obj_t,
		BgL_ev_littz00_bglt);
	static obj_t *__cnst;


	   
		 
		DEFINE_STRING(BGl_string1900z00zz__evaluate_uncompz00,
		BgL_bgl_string1900za700za7za7_1910za7, "begin", 5);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_uncompilezd2envzd2zz__evaluate_uncompz00,
		BgL_bgl_za762uncompileza762za71911za7,
		BGl_z62uncompilez62zz__evaluate_uncompz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1902z00zz__evaluate_uncompz00,
		BgL_bgl_string1902za700za7za7_1912za7, "and", 3);
	      DEFINE_STRING(BGl_string1904z00zz__evaluate_uncompz00,
		BgL_bgl_string1904za700za7za7_1913za7, "or", 2);
	      DEFINE_STRING(BGl_string1906z00zz__evaluate_uncompz00,
		BgL_bgl_string1906za700za7za7_1914za7, "if", 2);
	      DEFINE_STRING(BGl_string1908z00zz__evaluate_uncompz00,
		BgL_bgl_string1908za700za7za7_1915za7, "quote", 5);
	      DEFINE_STRING(BGl_string1909z00zz__evaluate_uncompz00,
		BgL_bgl_string1909za700za7za7_1916za7, "__evaluate_uncomp", 17);
	      DEFINE_STRING(BGl_string1849z00zz__evaluate_uncompz00,
		BgL_bgl_string1849za700za7za7_1917za7,
		"/tmp/bigloo/runtime/Eval/evaluate_uncomp.scm", 44);
	      DEFINE_STRING(BGl_string1850z00zz__evaluate_uncompz00,
		BgL_bgl_string1850za700za7za7_1918za7, "&uncompile", 10);
	      DEFINE_STRING(BGl_string1851z00zz__evaluate_uncompz00,
		BgL_bgl_string1851za700za7za7_1919za7, "ev_expr", 7);
	      DEFINE_STRING(BGl_string1853z00zz__evaluate_uncompz00,
		BgL_bgl_string1853za700za7za7_1920za7, "uncomp1181", 10);
	      DEFINE_STRING(BGl_string1855z00zz__evaluate_uncompz00,
		BgL_bgl_string1855za700za7za7_1921za7, "No method for this object", 25);
	      DEFINE_STRING(BGl_string1856z00zz__evaluate_uncompz00,
		BgL_bgl_string1856za700za7za7_1922za7, "&uncomp", 7);
	      DEFINE_STRING(BGl_string1858z00zz__evaluate_uncompz00,
		BgL_bgl_string1858za700za7za7_1923za7, "uncomp", 6);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1852z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncomp1181za7621924z00,
		BGl_z62uncomp1181z62zz__evaluate_uncompz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1857z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_v1925z00,
		BGl_z62uncompzd2ev_var1185zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1859z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_g1926z00,
		BGl_z62uncompzd2ev_global1187zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1860z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_l1927z00,
		BGl_z62uncompzd2ev_litt1189zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1861z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_i1928z00,
		BGl_z62uncompzd2ev_if1191zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1862z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_o1929z00,
		BGl_z62uncompzd2ev_or1193zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1863z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_a1930z00,
		BGl_z62uncompzd2ev_and1195zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1864z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_p1931z00,
		BGl_z62uncompzd2ev_prog21197zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1865z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_t1932z00,
		BGl_z62uncompzd2ev_trap1199zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1866z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_s1933z00,
		BGl_z62uncompzd2ev_setglobal1201zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1867z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_d1934z00,
		BGl_z62uncompzd2ev_defglobal1203zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1868z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_s1935z00,
		BGl_z62uncompzd2ev_setlocal1205zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1869z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_b1936z00,
		BGl_z62uncompzd2ev_bindzd2exit1207z62zz__evaluate_uncompz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1870z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_u1937z00,
		BGl_z62uncompzd2ev_unwindzd2pro1209z62zz__evaluate_uncompz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1871z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_w1938z00,
		BGl_z62uncompzd2ev_withzd2handl1211z62zz__evaluate_uncompz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1872z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_l1939z00,
		BGl_z62uncompzd2ev_let1213zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1873z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_l1940z00,
		BGl_z62uncompzd2ev_letza21215z12zz__evaluate_uncompz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1880z00zz__evaluate_uncompz00,
		BgL_bgl_string1880za700za7za7_1941za7, "lambda", 6);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1874z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_l1942z00,
		BGl_z62uncompzd2ev_letrec1217zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1875z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_l1943z00,
		BGl_z62uncompzd2ev_labels1219zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1882z00zz__evaluate_uncompz00,
		BgL_bgl_string1882za700za7za7_1944za7, "letrec", 6);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1876z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_g1945z00,
		BGl_z62uncompzd2ev_goto1221zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1877z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_a1946z00,
		BGl_z62uncompzd2ev_app1223zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1884z00zz__evaluate_uncompz00,
		BgL_bgl_string1884za700za7za7_1947za7, "let*", 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1878z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_a1948z00,
		BGl_z62uncompzd2ev_abs1225zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1886z00zz__evaluate_uncompz00,
		BgL_bgl_string1886za700za7za7_1949za7, "let", 3);
	      DEFINE_STRING(BGl_string1888z00zz__evaluate_uncompz00,
		BgL_bgl_string1888za700za7za7_1950za7, "with-handler", 12);
	      DEFINE_STRING(BGl_string1890z00zz__evaluate_uncompz00,
		BgL_bgl_string1890za700za7za7_1951za7, "unwind-protect", 14);
	      DEFINE_STRING(BGl_string1892z00zz__evaluate_uncompz00,
		BgL_bgl_string1892za700za7za7_1952za7, "bind-exit", 9);
	      DEFINE_STRING(BGl_string1894z00zz__evaluate_uncompz00,
		BgL_bgl_string1894za700za7za7_1953za7, "set!", 4);
	      DEFINE_STRING(BGl_string1896z00zz__evaluate_uncompz00,
		BgL_bgl_string1896za700za7za7_1954za7, "define", 6);
	      DEFINE_STRING(BGl_string1898z00zz__evaluate_uncompz00,
		BgL_bgl_string1898za700za7za7_1955za7, "trap", 4);
	      DEFINE_STATIC_BGL_GENERIC(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza762za7za7__1956z00,
		BGl_z62uncompz62zz__evaluate_uncompz00, 0L, BUNSPEC, 1);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zz__evaluate_uncompz00(long
		BgL_checksumz00_2146, char *BgL_fromz00_2147)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zz__evaluate_uncompz00))
				{
					BGl_requirezd2initializa7ationz75zz__evaluate_uncompz00 =
						BBOOL(((bool_t) 0));
					BGl_cnstzd2initzd2zz__evaluate_uncompz00();
					BGl_importedzd2moduleszd2initz00zz__evaluate_uncompz00();
					BGl_genericzd2initzd2zz__evaluate_uncompz00();
					BGl_methodzd2initzd2zz__evaluate_uncompz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zz__evaluate_uncompz00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 15 */
			BGl_symbol1854z00zz__evaluate_uncompz00 =
				bstring_to_symbol(BGl_string1853z00zz__evaluate_uncompz00);
			BGl_symbol1879z00zz__evaluate_uncompz00 =
				bstring_to_symbol(BGl_string1880z00zz__evaluate_uncompz00);
			BGl_symbol1881z00zz__evaluate_uncompz00 =
				bstring_to_symbol(BGl_string1882z00zz__evaluate_uncompz00);
			BGl_symbol1883z00zz__evaluate_uncompz00 =
				bstring_to_symbol(BGl_string1884z00zz__evaluate_uncompz00);
			BGl_symbol1885z00zz__evaluate_uncompz00 =
				bstring_to_symbol(BGl_string1886z00zz__evaluate_uncompz00);
			BGl_symbol1887z00zz__evaluate_uncompz00 =
				bstring_to_symbol(BGl_string1888z00zz__evaluate_uncompz00);
			BGl_symbol1889z00zz__evaluate_uncompz00 =
				bstring_to_symbol(BGl_string1890z00zz__evaluate_uncompz00);
			BGl_symbol1891z00zz__evaluate_uncompz00 =
				bstring_to_symbol(BGl_string1892z00zz__evaluate_uncompz00);
			BGl_symbol1893z00zz__evaluate_uncompz00 =
				bstring_to_symbol(BGl_string1894z00zz__evaluate_uncompz00);
			BGl_symbol1895z00zz__evaluate_uncompz00 =
				bstring_to_symbol(BGl_string1896z00zz__evaluate_uncompz00);
			BGl_symbol1897z00zz__evaluate_uncompz00 =
				bstring_to_symbol(BGl_string1898z00zz__evaluate_uncompz00);
			BGl_symbol1899z00zz__evaluate_uncompz00 =
				bstring_to_symbol(BGl_string1900z00zz__evaluate_uncompz00);
			BGl_symbol1901z00zz__evaluate_uncompz00 =
				bstring_to_symbol(BGl_string1902z00zz__evaluate_uncompz00);
			BGl_symbol1903z00zz__evaluate_uncompz00 =
				bstring_to_symbol(BGl_string1904z00zz__evaluate_uncompz00);
			BGl_symbol1905z00zz__evaluate_uncompz00 =
				bstring_to_symbol(BGl_string1906z00zz__evaluate_uncompz00);
			return (BGl_symbol1907z00zz__evaluate_uncompz00 =
				bstring_to_symbol(BGl_string1908z00zz__evaluate_uncompz00), BUNSPEC);
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zz__evaluate_uncompz00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 15 */
			return BUNSPEC;
		}
	}



/* uncompile */
	BGL_EXPORTED_DEF obj_t
		BGl_uncompilez00zz__evaluate_uncompz00(BgL_ev_exprz00_bglt BgL_ez00_3)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 63 */
			return BGl_uncompz00zz__evaluate_uncompz00(BgL_ez00_3);
		}
	}



/* &uncompile */
	obj_t BGl_z62uncompilez62zz__evaluate_uncompz00(obj_t BgL_envz00_2067,
		obj_t BgL_ez00_2068)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 63 */
			{	/* Eval/evaluate_uncomp.scm 64 */
				BgL_ev_exprz00_bglt BgL_ez00_2143;

				if (BGl_isazf3zf3zz__objectz00(BgL_ez00_2068,
						BGl_ev_exprz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_uncomp.scm 64 */
						BgL_ez00_2143 = ((BgL_ev_exprz00_bglt) BgL_ez00_2068);
					}
				else
					{
						obj_t BgL_auxz00_2175;

						BgL_auxz00_2175 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string1849z00zz__evaluate_uncompz00, BINT(((long) 1839)),
							BGl_string1850z00zz__evaluate_uncompz00,
							BGl_string1851z00zz__evaluate_uncompz00, BgL_ez00_2068);
						FAILURE(BgL_auxz00_2175, BFALSE, BFALSE);
					}
				return BGl_uncompz00zz__evaluate_uncompz00(BgL_ez00_2143);
			}
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zz__evaluate_uncompz00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 15 */
			return BUNSPEC;
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zz__evaluate_uncompz00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 15 */
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_proc1852z00zz__evaluate_uncompz00,
				BGl_ev_exprz00zz__evaluate_typesz00,
				BGl_string1853z00zz__evaluate_uncompz00);
		}
	}



/* &uncomp1181 */
	obj_t BGl_z62uncomp1181z62zz__evaluate_uncompz00(obj_t BgL_envz00_2070,
		BgL_ev_exprz00_bglt BgL_ez00_2071)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 66 */
			{
				BgL_ev_exprz00_bglt BgL_ez00_653;

				BgL_ez00_653 = BgL_ez00_2071;
				return
					BGl_errorz00zz__errorz00(BGl_symbol1854z00zz__evaluate_uncompz00,
					BGl_string1855z00zz__evaluate_uncompz00, ((obj_t) BgL_ez00_653));
			}
		}
	}



/* uncomp */
	obj_t BGl_uncompz00zz__evaluate_uncompz00(BgL_ev_exprz00_bglt BgL_ez00_4)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 66 */
			{	/* Eval/evaluate_uncomp.scm 66 */
				obj_t BgL_method1183z00_656;

				{	/* Eval/evaluate_uncomp.scm 66 */
					obj_t BgL_res1731z00_1349;

					{	/* Eval/evaluate_uncomp.scm 66 */
						BgL_objectz00_bglt BgL_objz00_1321;

						BgL_objz00_1321 = ((BgL_objectz00_bglt) BgL_ez00_4);
						{	/* Eval/evaluate_uncomp.scm 66 */
							long BgL_objzd2classzd2numz00_1322;

							{	/* Eval/evaluate_uncomp.scm 66 */
								long BgL_res1725z00_1325;

								BgL_res1725z00_1325 = BGL_OBJECT_CLASS_NUM(BgL_objz00_1321);
								BgL_objzd2classzd2numz00_1322 = BgL_res1725z00_1325;
							}
							{	/* Eval/evaluate_uncomp.scm 66 */
								obj_t BgL_arg1719z00_1323;

								BgL_arg1719z00_1323 =
									PROCEDURE_REF(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
									(int) (((long) 1)));
								{	/* Eval/evaluate_uncomp.scm 66 */
									obj_t BgL_arrayz00_1326;
									int BgL_offsetz00_1327;

									BgL_arrayz00_1326 = BgL_arg1719z00_1323;
									BgL_offsetz00_1327 = (int) (BgL_objzd2classzd2numz00_1322);
									{	/* Eval/evaluate_uncomp.scm 66 */
										long BgL_offsetz00_1328;

										BgL_offsetz00_1328 =
											((long) (BgL_offsetz00_1327) - OBJECT_TYPE);
										{	/* Eval/evaluate_uncomp.scm 66 */
											long BgL_modz00_1329;

											{	/* Eval/evaluate_uncomp.scm 66 */
												int BgL_arg1721z00_1330;

												BgL_arg1721z00_1330 = (int) (((long) 16));
												{	/* Eval/evaluate_uncomp.scm 66 */
													long BgL_res1728z00_1340;

													{	/* Eval/evaluate_uncomp.scm 66 */
														long BgL_auxz00_2191;

														BgL_auxz00_2191 = (long) (BgL_arg1721z00_1330);
														BgL_res1728z00_1340 =
															(BgL_offsetz00_1328 / BgL_auxz00_2191);
													}
													BgL_modz00_1329 = BgL_res1728z00_1340;
											}}
											{	/* Eval/evaluate_uncomp.scm 66 */
												long BgL_restz00_1331;

												{	/* Eval/evaluate_uncomp.scm 66 */
													int BgL_arg1720z00_1332;

													BgL_arg1720z00_1332 = (int) (((long) 16));
													{	/* Eval/evaluate_uncomp.scm 66 */
														long BgL_res1730z00_1344;

														{	/* Eval/evaluate_uncomp.scm 66 */
															long BgL_auxz00_2195;

															BgL_auxz00_2195 = (long) (BgL_arg1720z00_1332);
															BgL_res1730z00_1344 =
																(BgL_offsetz00_1328 % BgL_auxz00_2195);
														}
														BgL_restz00_1331 = BgL_res1730z00_1344;
												}}
												{	/* Eval/evaluate_uncomp.scm 66 */

													BgL_res1731z00_1349 =
														VECTOR_REF(VECTOR_REF(BgL_arrayz00_1326,
															(int) (BgL_modz00_1329)),
														(int) (BgL_restz00_1331));
					}}}}}}}}
					BgL_method1183z00_656 = BgL_res1731z00_1349;
				}
				return
					PROCEDURE_ENTRY(BgL_method1183z00_656) (BgL_method1183z00_656,
					((obj_t) BgL_ez00_4), BEOA);
			}
		}
	}



/* &uncomp */
	obj_t BGl_z62uncompz62zz__evaluate_uncompz00(obj_t BgL_envz00_2072,
		obj_t BgL_ez00_2073)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 66 */
			{	/* Eval/evaluate_uncomp.scm 66 */
				BgL_ev_exprz00_bglt BgL_auxz00_2207;

				if (BGl_isazf3zf3zz__objectz00(BgL_ez00_2073,
						BGl_ev_exprz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_uncomp.scm 66 */
						BgL_auxz00_2207 = ((BgL_ev_exprz00_bglt) BgL_ez00_2073);
					}
				else
					{
						obj_t BgL_auxz00_2211;

						BgL_auxz00_2211 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string1849z00zz__evaluate_uncompz00, BINT(((long) 1853)),
							BGl_string1856z00zz__evaluate_uncompz00,
							BGl_string1851z00zz__evaluate_uncompz00, BgL_ez00_2073);
						FAILURE(BgL_auxz00_2211, BFALSE, BFALSE);
					}
				return BGl_uncompz00zz__evaluate_uncompz00(BgL_auxz00_2207);
			}
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zz__evaluate_uncompz00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 15 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_varz00zz__evaluate_typesz00,
				BGl_proc1857z00zz__evaluate_uncompz00,
				BGl_string1858z00zz__evaluate_uncompz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_globalz00zz__evaluate_typesz00,
				BGl_proc1859z00zz__evaluate_uncompz00,
				BGl_string1858z00zz__evaluate_uncompz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_littz00zz__evaluate_typesz00,
				BGl_proc1860z00zz__evaluate_uncompz00,
				BGl_string1858z00zz__evaluate_uncompz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_ifz00zz__evaluate_typesz00,
				BGl_proc1861z00zz__evaluate_uncompz00,
				BGl_string1858z00zz__evaluate_uncompz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_orz00zz__evaluate_typesz00,
				BGl_proc1862z00zz__evaluate_uncompz00,
				BGl_string1858z00zz__evaluate_uncompz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_andz00zz__evaluate_typesz00,
				BGl_proc1863z00zz__evaluate_uncompz00,
				BGl_string1858z00zz__evaluate_uncompz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_prog2z00zz__evaluate_typesz00,
				BGl_proc1864z00zz__evaluate_uncompz00,
				BGl_string1858z00zz__evaluate_uncompz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_trapz00zz__evaluate_typesz00,
				BGl_proc1865z00zz__evaluate_uncompz00,
				BGl_string1858z00zz__evaluate_uncompz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_setglobalz00zz__evaluate_typesz00,
				BGl_proc1866z00zz__evaluate_uncompz00,
				BGl_string1858z00zz__evaluate_uncompz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_defglobalz00zz__evaluate_typesz00,
				BGl_proc1867z00zz__evaluate_uncompz00,
				BGl_string1858z00zz__evaluate_uncompz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_setlocalz00zz__evaluate_typesz00,
				BGl_proc1868z00zz__evaluate_uncompz00,
				BGl_string1858z00zz__evaluate_uncompz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_bindzd2exitzd2zz__evaluate_typesz00,
				BGl_proc1869z00zz__evaluate_uncompz00,
				BGl_string1858z00zz__evaluate_uncompz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00,
				BGl_proc1870z00zz__evaluate_uncompz00,
				BGl_string1858z00zz__evaluate_uncompz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_withzd2handlerzd2zz__evaluate_typesz00,
				BGl_proc1871z00zz__evaluate_uncompz00,
				BGl_string1858z00zz__evaluate_uncompz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_letz00zz__evaluate_typesz00,
				BGl_proc1872z00zz__evaluate_uncompz00,
				BGl_string1858z00zz__evaluate_uncompz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_letza2za2zz__evaluate_typesz00,
				BGl_proc1873z00zz__evaluate_uncompz00,
				BGl_string1858z00zz__evaluate_uncompz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_letrecz00zz__evaluate_typesz00,
				BGl_proc1874z00zz__evaluate_uncompz00,
				BGl_string1858z00zz__evaluate_uncompz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_labelsz00zz__evaluate_typesz00,
				BGl_proc1875z00zz__evaluate_uncompz00,
				BGl_string1858z00zz__evaluate_uncompz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_gotoz00zz__evaluate_typesz00,
				BGl_proc1876z00zz__evaluate_uncompz00,
				BGl_string1858z00zz__evaluate_uncompz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_appz00zz__evaluate_typesz00,
				BGl_proc1877z00zz__evaluate_uncompz00,
				BGl_string1858z00zz__evaluate_uncompz00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_absz00zz__evaluate_typesz00,
				BGl_proc1878z00zz__evaluate_uncompz00,
				BGl_string1858z00zz__evaluate_uncompz00);
		}
	}



/* &uncomp-ev_abs1225 */
	obj_t BGl_z62uncompzd2ev_abs1225zb0zz__evaluate_uncompz00(obj_t
		BgL_envz00_2095, BgL_ev_absz00_bglt BgL_ez00_2096)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 154 */
			{
				BgL_ev_absz00_bglt BgL_ez00_1015;

				BgL_ez00_1015 = BgL_ez00_2096;
				{	/* Eval/evaluate_uncomp.scm 163 */
					obj_t BgL_arg1481z00_1020;

					{	/* Eval/evaluate_uncomp.scm 163 */
						obj_t BgL_arg1482z00_1021;
						obj_t BgL_arg1483z00_1022;

						{	/* Eval/evaluate_uncomp.scm 163 */
							obj_t BgL_arg1484z00_1023;
							obj_t BgL_arg1485z00_1024;

							BgL_arg1484z00_1023 =
								(((BgL_ev_absz00_bglt) CREF(BgL_ez00_1015))->BgL_arityz00);
							{	/* Eval/evaluate_uncomp.scm 163 */
								obj_t BgL_l1164z00_1025;

								BgL_l1164z00_1025 =
									(((BgL_ev_absz00_bglt) CREF(BgL_ez00_1015))->BgL_varsz00);
								if (NULLP(BgL_l1164z00_1025))
									{	/* Eval/evaluate_uncomp.scm 163 */
										BgL_arg1485z00_1024 = BNIL;
									}
								else
									{	/* Eval/evaluate_uncomp.scm 163 */
										obj_t BgL_head1166z00_1027;

										{	/* Eval/evaluate_uncomp.scm 163 */
											obj_t BgL_res1792z00_1741;

											BgL_res1792z00_1741 = MAKE_PAIR(BNIL, BNIL);
											BgL_head1166z00_1027 = BgL_res1792z00_1741;
										}
										{
											obj_t BgL_l1164z00_1777;
											obj_t BgL_tail1167z00_1778;

											BgL_l1164z00_1777 = BgL_l1164z00_1025;
											BgL_tail1167z00_1778 = BgL_head1166z00_1027;
										BgL_zc3anonymousza31487ze3z83_1776:
											if (NULLP(BgL_l1164z00_1777))
												{	/* Eval/evaluate_uncomp.scm 163 */
													BgL_arg1485z00_1024 = CDR(BgL_head1166z00_1027);
												}
											else
												{	/* Eval/evaluate_uncomp.scm 163 */
													obj_t BgL_newtail1168z00_1786;

													{	/* Eval/evaluate_uncomp.scm 163 */
														obj_t BgL_arg1491z00_1787;

														{
															BgL_ev_varz00_bglt BgL_auxz00_2245;

															{	/* Eval/evaluate_uncomp.scm 163 */
																obj_t BgL_pairz00_1794;

																BgL_pairz00_1794 = BgL_l1164z00_1777;
																BgL_auxz00_2245 =
																	((BgL_ev_varz00_bglt) CAR(BgL_pairz00_1794));
															}
															BgL_arg1491z00_1787 =
																(((BgL_ev_varz00_bglt) CREF(BgL_auxz00_2245))->
																BgL_namez00);
														}
														{	/* Eval/evaluate_uncomp.scm 163 */
															obj_t BgL_res1798z00_1797;

															BgL_res1798z00_1797 =
																MAKE_PAIR(BgL_arg1491z00_1787, BNIL);
															BgL_newtail1168z00_1786 = BgL_res1798z00_1797;
														}
													}
													SET_CDR(BgL_tail1167z00_1778,
														BgL_newtail1168z00_1786);
													{
														obj_t BgL_tail1167z00_2253;
														obj_t BgL_l1164z00_2251;

														BgL_l1164z00_2251 = CDR(BgL_l1164z00_1777);
														BgL_tail1167z00_2253 = BgL_newtail1168z00_1786;
														BgL_tail1167z00_1778 = BgL_tail1167z00_2253;
														BgL_l1164z00_1777 = BgL_l1164z00_2251;
														goto BgL_zc3anonymousza31487ze3z83_1776;
													}
												}
										}
									}
							}
							BgL_arg1482z00_1021 =
								BGl_redovarsz00zz__evaluate_uncompz00(BgL_arg1484z00_1023,
								BgL_arg1485z00_1024);
						}
						BgL_arg1483z00_1022 =
							MAKE_PAIR(BGl_uncompz00zz__evaluate_uncompz00(
								(((BgL_ev_absz00_bglt) CREF(BgL_ez00_1015))->BgL_bodyz00)),
							BNIL);
						BgL_arg1481z00_1020 =
							MAKE_PAIR(BgL_arg1482z00_1021, BgL_arg1483z00_1022);
					}
					return
						MAKE_PAIR(BGl_symbol1879z00zz__evaluate_uncompz00,
						BgL_arg1481z00_1020);
				}
			}
		}
	}



/* rec */
	obj_t BGl_recz00zz__evaluate_uncompz00(obj_t BgL_lz00_1046)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 159 */
			if (NULLP(CDR(BgL_lz00_1046)))
				{	/* Eval/evaluate_uncomp.scm 160 */
					return CAR(BgL_lz00_1046);
				}
			else
				{	/* Eval/evaluate_uncomp.scm 160 */
					return
						MAKE_PAIR(CAR(BgL_lz00_1046),
						BGl_recz00zz__evaluate_uncompz00(CDR(BgL_lz00_1046)));
				}
		}
	}



/* redovars */
	obj_t BGl_redovarsz00zz__evaluate_uncompz00(obj_t BgL_nz00_1041,
		obj_t BgL_lz00_1042)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 162 */
			if (((long) CINT(BgL_nz00_1041) >= ((long) 0)))
				{	/* Eval/evaluate_uncomp.scm 157 */
					return BgL_lz00_1042;
				}
			else
				{	/* Eval/evaluate_uncomp.scm 157 */
					return BGl_recz00zz__evaluate_uncompz00(BgL_lz00_1042);
				}
		}
	}



/* &uncomp-ev_app1223 */
	obj_t BGl_z62uncompzd2ev_app1223zb0zz__evaluate_uncompz00(obj_t
		BgL_envz00_2097, BgL_ev_appz00_bglt BgL_ez00_2098)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 150 */
			{
				BgL_ev_appz00_bglt BgL_ez00_990;

				BgL_ez00_990 = BgL_ez00_2098;
				{	/* Eval/evaluate_uncomp.scm 152 */
					obj_t BgL_arg1467z00_994;
					obj_t BgL_arg1468z00_995;

					BgL_arg1467z00_994 =
						BGl_uncompz00zz__evaluate_uncompz00(
						(((BgL_ev_appz00_bglt) CREF(BgL_ez00_990))->BgL_funz00));
					{	/* Eval/evaluate_uncomp.scm 152 */
						obj_t BgL_arg1470z00_997;

						{	/* Eval/evaluate_uncomp.scm 152 */
							obj_t BgL_l1158z00_998;

							BgL_l1158z00_998 =
								(((BgL_ev_appz00_bglt) CREF(BgL_ez00_990))->BgL_argsz00);
							if (NULLP(BgL_l1158z00_998))
								{	/* Eval/evaluate_uncomp.scm 152 */
									BgL_arg1470z00_997 = BNIL;
								}
							else
								{	/* Eval/evaluate_uncomp.scm 152 */
									obj_t BgL_head1160z00_1000;

									{	/* Eval/evaluate_uncomp.scm 152 */
										obj_t BgL_arg1478z00_1012;

										{	/* Eval/evaluate_uncomp.scm 152 */
											obj_t BgL_arg1480z00_1013;

											BgL_arg1480z00_1013 = CAR(BgL_l1158z00_998);
											BgL_arg1478z00_1012 =
												BGl_uncompz00zz__evaluate_uncompz00(
												((BgL_ev_exprz00_bglt) BgL_arg1480z00_1013));
										}
										{	/* Eval/evaluate_uncomp.scm 152 */
											obj_t BgL_res1782z00_1674;

											BgL_res1782z00_1674 =
												MAKE_PAIR(BgL_arg1478z00_1012, BNIL);
											BgL_head1160z00_1000 = BgL_res1782z00_1674;
										}
									}
									{	/* Eval/evaluate_uncomp.scm 152 */
										obj_t BgL_g1163z00_1001;

										BgL_g1163z00_1001 = CDR(BgL_l1158z00_998);
										{
											obj_t BgL_l1158z00_1707;
											obj_t BgL_tail1161z00_1708;

											BgL_l1158z00_1707 = BgL_g1163z00_1001;
											BgL_tail1161z00_1708 = BgL_head1160z00_1000;
										BgL_zc3anonymousza31472ze3z83_1706:
											if (NULLP(BgL_l1158z00_1707))
												{	/* Eval/evaluate_uncomp.scm 152 */
													BgL_arg1470z00_997 = BgL_head1160z00_1000;
												}
											else
												{	/* Eval/evaluate_uncomp.scm 152 */
													obj_t BgL_newtail1162z00_1715;

													{	/* Eval/evaluate_uncomp.scm 152 */
														obj_t BgL_arg1475z00_1716;

														{	/* Eval/evaluate_uncomp.scm 152 */
															obj_t BgL_arg1477z00_1717;

															BgL_arg1477z00_1717 = CAR(BgL_l1158z00_1707);
															BgL_arg1475z00_1716 =
																BGl_uncompz00zz__evaluate_uncompz00(
																((BgL_ev_exprz00_bglt) BgL_arg1477z00_1717));
														}
														{	/* Eval/evaluate_uncomp.scm 152 */
															obj_t BgL_res1788z00_1724;

															BgL_res1788z00_1724 =
																MAKE_PAIR(BgL_arg1475z00_1716, BNIL);
															BgL_newtail1162z00_1715 = BgL_res1788z00_1724;
														}
													}
													SET_CDR(BgL_tail1161z00_1708,
														BgL_newtail1162z00_1715);
													{
														obj_t BgL_tail1161z00_2291;
														obj_t BgL_l1158z00_2289;

														BgL_l1158z00_2289 = CDR(BgL_l1158z00_1707);
														BgL_tail1161z00_2291 = BgL_newtail1162z00_1715;
														BgL_tail1161z00_1708 = BgL_tail1161z00_2291;
														BgL_l1158z00_1707 = BgL_l1158z00_2289;
														goto BgL_zc3anonymousza31472ze3z83_1706;
													}
												}
										}
									}
								}
						}
						BgL_arg1468z00_995 =
							BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
							(BgL_arg1470z00_997, BNIL);
					}
					return MAKE_PAIR(BgL_arg1467z00_994, BgL_arg1468z00_995);
				}
			}
		}
	}



/* &uncomp-ev_goto1221 */
	obj_t BGl_z62uncompzd2ev_goto1221zb0zz__evaluate_uncompz00(obj_t
		BgL_envz00_2099, BgL_ev_gotoz00_bglt BgL_ez00_2100)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 146 */
			{
				BgL_ev_gotoz00_bglt BgL_ez00_965;

				BgL_ez00_965 = BgL_ez00_2100;
				{	/* Eval/evaluate_uncomp.scm 148 */
					obj_t BgL_arg1453z00_969;
					obj_t BgL_arg1454z00_970;

					{	/* Eval/evaluate_uncomp.scm 148 */
						BgL_ev_varz00_bglt BgL_arg1455z00_971;

						BgL_arg1455z00_971 =
							(((BgL_ev_gotoz00_bglt) CREF(BgL_ez00_965))->BgL_labelz00);
						BgL_arg1453z00_969 =
							BGl_uncompz00zz__evaluate_uncompz00(
							((BgL_ev_exprz00_bglt) BgL_arg1455z00_971));
					}
					{	/* Eval/evaluate_uncomp.scm 148 */
						obj_t BgL_arg1456z00_972;

						{	/* Eval/evaluate_uncomp.scm 148 */
							obj_t BgL_l1152z00_973;

							BgL_l1152z00_973 =
								(((BgL_ev_gotoz00_bglt) CREF(BgL_ez00_965))->BgL_argsz00);
							if (NULLP(BgL_l1152z00_973))
								{	/* Eval/evaluate_uncomp.scm 148 */
									BgL_arg1456z00_972 = BNIL;
								}
							else
								{	/* Eval/evaluate_uncomp.scm 148 */
									obj_t BgL_head1154z00_975;

									{	/* Eval/evaluate_uncomp.scm 148 */
										obj_t BgL_arg1465z00_987;

										{	/* Eval/evaluate_uncomp.scm 148 */
											obj_t BgL_arg1466z00_988;

											BgL_arg1466z00_988 = CAR(BgL_l1152z00_973);
											BgL_arg1465z00_987 =
												BGl_uncompz00zz__evaluate_uncompz00(
												((BgL_ev_exprz00_bglt) BgL_arg1466z00_988));
										}
										{	/* Eval/evaluate_uncomp.scm 148 */
											obj_t BgL_res1774z00_1615;

											BgL_res1774z00_1615 = MAKE_PAIR(BgL_arg1465z00_987, BNIL);
											BgL_head1154z00_975 = BgL_res1774z00_1615;
										}
									}
									{	/* Eval/evaluate_uncomp.scm 148 */
										obj_t BgL_g1157z00_976;

										BgL_g1157z00_976 = CDR(BgL_l1152z00_973);
										{
											obj_t BgL_l1152z00_1648;
											obj_t BgL_tail1155z00_1649;

											BgL_l1152z00_1648 = BgL_g1157z00_976;
											BgL_tail1155z00_1649 = BgL_head1154z00_975;
										BgL_zc3anonymousza31458ze3z83_1647:
											if (NULLP(BgL_l1152z00_1648))
												{	/* Eval/evaluate_uncomp.scm 148 */
													BgL_arg1456z00_972 = BgL_head1154z00_975;
												}
											else
												{	/* Eval/evaluate_uncomp.scm 148 */
													obj_t BgL_newtail1156z00_1656;

													{	/* Eval/evaluate_uncomp.scm 148 */
														obj_t BgL_arg1461z00_1657;

														{	/* Eval/evaluate_uncomp.scm 148 */
															obj_t BgL_arg1464z00_1658;

															BgL_arg1464z00_1658 = CAR(BgL_l1152z00_1648);
															BgL_arg1461z00_1657 =
																BGl_uncompz00zz__evaluate_uncompz00(
																((BgL_ev_exprz00_bglt) BgL_arg1464z00_1658));
														}
														{	/* Eval/evaluate_uncomp.scm 148 */
															obj_t BgL_res1780z00_1665;

															BgL_res1780z00_1665 =
																MAKE_PAIR(BgL_arg1461z00_1657, BNIL);
															BgL_newtail1156z00_1656 = BgL_res1780z00_1665;
														}
													}
													SET_CDR(BgL_tail1155z00_1649,
														BgL_newtail1156z00_1656);
													{
														obj_t BgL_tail1155z00_2314;
														obj_t BgL_l1152z00_2312;

														BgL_l1152z00_2312 = CDR(BgL_l1152z00_1648);
														BgL_tail1155z00_2314 = BgL_newtail1156z00_1656;
														BgL_tail1155z00_1649 = BgL_tail1155z00_2314;
														BgL_l1152z00_1648 = BgL_l1152z00_2312;
														goto BgL_zc3anonymousza31458ze3z83_1647;
													}
												}
										}
									}
								}
						}
						BgL_arg1454z00_970 =
							BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
							(BgL_arg1456z00_972, BNIL);
					}
					return MAKE_PAIR(BgL_arg1453z00_969, BgL_arg1454z00_970);
				}
			}
		}
	}



/* &uncomp-ev_labels1219 */
	obj_t BGl_z62uncompzd2ev_labels1219zb0zz__evaluate_uncompz00(obj_t
		BgL_envz00_2101, BgL_ev_labelsz00_bglt BgL_ez00_2102)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 139 */
			{
				BgL_ev_labelsz00_bglt BgL_ez00_914;

				BgL_ez00_914 = BgL_ez00_2102;
				{	/* Eval/evaluate_uncomp.scm 141 */
					obj_t BgL_arg1417z00_918;

					{	/* Eval/evaluate_uncomp.scm 141 */
						obj_t BgL_arg1418z00_919;
						obj_t BgL_arg1419z00_920;

						{	/* Eval/evaluate_uncomp.scm 141 */
							obj_t BgL_ll1146z00_921;
							obj_t BgL_ll1147z00_922;

							BgL_ll1146z00_921 =
								(((BgL_ev_labelsz00_bglt) CREF(BgL_ez00_914))->BgL_varsz00);
							BgL_ll1147z00_922 =
								(((BgL_ev_labelsz00_bglt) CREF(BgL_ez00_914))->BgL_valsz00);
							if (NULLP(BgL_ll1146z00_921))
								{	/* Eval/evaluate_uncomp.scm 141 */
									BgL_arg1418z00_919 = BNIL;
								}
							else
								{	/* Eval/evaluate_uncomp.scm 141 */
									obj_t BgL_head1148z00_924;

									{	/* Eval/evaluate_uncomp.scm 141 */
										obj_t BgL_res1762z00_1536;

										BgL_res1762z00_1536 = MAKE_PAIR(BNIL, BNIL);
										BgL_head1148z00_924 = BgL_res1762z00_1536;
									}
									{
										obj_t BgL_ll1146z00_926;
										obj_t BgL_ll1147z00_927;
										obj_t BgL_tail1149z00_928;

										BgL_ll1146z00_926 = BgL_ll1146z00_921;
										BgL_ll1147z00_927 = BgL_ll1147z00_922;
										BgL_tail1149z00_928 = BgL_head1148z00_924;
									BgL_zc3anonymousza31421ze3z83_929:
										if (NULLP(BgL_ll1146z00_926))
											{	/* Eval/evaluate_uncomp.scm 141 */
												BgL_arg1418z00_919 = CDR(BgL_head1148z00_924);
											}
										else
											{	/* Eval/evaluate_uncomp.scm 141 */
												obj_t BgL_newtail1150z00_931;

												{	/* Eval/evaluate_uncomp.scm 141 */
													obj_t BgL_arg1426z00_934;

													{	/* Eval/evaluate_uncomp.scm 141 */
														obj_t BgL_vz00_935;
														obj_t BgL_az00_936;

														BgL_vz00_935 = CAR(BgL_ll1146z00_926);
														BgL_az00_936 = CAR(BgL_ll1147z00_927);
														{	/* Eval/evaluate_uncomp.scm 141 */
															obj_t BgL_arg1427z00_937;
															obj_t BgL_arg1428z00_938;

															BgL_arg1427z00_937 =
																BGl_uncompz00zz__evaluate_uncompz00(
																((BgL_ev_exprz00_bglt) BgL_vz00_935));
															{	/* Eval/evaluate_uncomp.scm 141 */
																obj_t BgL_arg1429z00_939;

																{	/* Eval/evaluate_uncomp.scm 141 */
																	obj_t BgL_arg1430z00_940;

																	{	/* Eval/evaluate_uncomp.scm 141 */
																		obj_t BgL_arg1434z00_941;
																		obj_t BgL_arg1435z00_942;

																		{	/* Eval/evaluate_uncomp.scm 141 */
																			obj_t BgL_l1140z00_943;

																			BgL_l1140z00_943 = CAR(BgL_az00_936);
																			if (NULLP(BgL_l1140z00_943))
																				{	/* Eval/evaluate_uncomp.scm 141 */
																					BgL_arg1434z00_941 = BNIL;
																				}
																			else
																				{	/* Eval/evaluate_uncomp.scm 141 */
																					obj_t BgL_head1142z00_945;

																					{	/* Eval/evaluate_uncomp.scm 141 */
																						obj_t BgL_arg1447z00_957;

																						{	/* Eval/evaluate_uncomp.scm 141 */
																							obj_t BgL_arg1448z00_958;

																							BgL_arg1448z00_958 =
																								CAR(BgL_l1140z00_943);
																							BgL_arg1447z00_957 =
																								BGl_uncompz00zz__evaluate_uncompz00
																								(((BgL_ev_exprz00_bglt)
																									BgL_arg1448z00_958));
																						}
																						{	/* Eval/evaluate_uncomp.scm 141 */
																							obj_t BgL_res1765z00_1548;

																							BgL_res1765z00_1548 =
																								MAKE_PAIR(BgL_arg1447z00_957,
																								BNIL);
																							BgL_head1142z00_945 =
																								BgL_res1765z00_1548;
																						}
																					}
																					{	/* Eval/evaluate_uncomp.scm 141 */
																						obj_t BgL_g1145z00_946;

																						BgL_g1145z00_946 =
																							CDR(BgL_l1140z00_943);
																						{
																							obj_t BgL_l1140z00_1581;
																							obj_t BgL_tail1143z00_1582;

																							BgL_l1140z00_1581 =
																								BgL_g1145z00_946;
																							BgL_tail1143z00_1582 =
																								BgL_head1142z00_945;
																						BgL_zc3anonymousza31437ze3z83_1580:
																							if (NULLP(BgL_l1140z00_1581))
																								{	/* Eval/evaluate_uncomp.scm 141 */
																									BgL_arg1434z00_941 =
																										BgL_head1142z00_945;
																								}
																							else
																								{	/* Eval/evaluate_uncomp.scm 141 */
																									obj_t BgL_newtail1144z00_1589;

																									{	/* Eval/evaluate_uncomp.scm 141 */
																										obj_t BgL_arg1445z00_1590;

																										{	/* Eval/evaluate_uncomp.scm 141 */
																											obj_t BgL_arg1446z00_1591;

																											BgL_arg1446z00_1591 =
																												CAR(BgL_l1140z00_1581);
																											BgL_arg1445z00_1590 =
																												BGl_uncompz00zz__evaluate_uncompz00
																												(((BgL_ev_exprz00_bglt)
																													BgL_arg1446z00_1591));
																										}
																										{	/* Eval/evaluate_uncomp.scm 141 */
																											obj_t BgL_res1771z00_1598;

																											BgL_res1771z00_1598 =
																												MAKE_PAIR
																												(BgL_arg1445z00_1590,
																												BNIL);
																											BgL_newtail1144z00_1589 =
																												BgL_res1771z00_1598;
																										}
																									}
																									SET_CDR(BgL_tail1143z00_1582,
																										BgL_newtail1144z00_1589);
																									{
																										obj_t BgL_tail1143z00_2346;
																										obj_t BgL_l1140z00_2344;

																										BgL_l1140z00_2344 =
																											CDR(BgL_l1140z00_1581);
																										BgL_tail1143z00_2346 =
																											BgL_newtail1144z00_1589;
																										BgL_tail1143z00_1582 =
																											BgL_tail1143z00_2346;
																										BgL_l1140z00_1581 =
																											BgL_l1140z00_2344;
																										goto
																											BgL_zc3anonymousza31437ze3z83_1580;
																									}
																								}
																						}
																					}
																				}
																		}
																		{	/* Eval/evaluate_uncomp.scm 142 */
																			obj_t BgL_arg1449z00_959;

																			{	/* Eval/evaluate_uncomp.scm 142 */
																				obj_t BgL_arg1450z00_960;

																				BgL_arg1450z00_960 = CDR(BgL_az00_936);
																				BgL_arg1449z00_959 =
																					BGl_uncompz00zz__evaluate_uncompz00(
																					((BgL_ev_exprz00_bglt)
																						BgL_arg1450z00_960));
																			}
																			BgL_arg1435z00_942 =
																				MAKE_PAIR(BgL_arg1449z00_959, BNIL);
																		}
																		BgL_arg1430z00_940 =
																			MAKE_PAIR(BgL_arg1434z00_941,
																			BgL_arg1435z00_942);
																	}
																	BgL_arg1429z00_939 =
																		MAKE_PAIR
																		(BGl_symbol1879z00zz__evaluate_uncompz00,
																		BgL_arg1430z00_940);
																}
																BgL_arg1428z00_938 =
																	MAKE_PAIR(BgL_arg1429z00_939, BNIL);
															}
															BgL_arg1426z00_934 =
																MAKE_PAIR(BgL_arg1427z00_937,
																BgL_arg1428z00_938);
														}
													}
													{	/* Eval/evaluate_uncomp.scm 141 */
														obj_t BgL_res1772z00_1605;

														BgL_res1772z00_1605 =
															MAKE_PAIR(BgL_arg1426z00_934, BNIL);
														BgL_newtail1150z00_931 = BgL_res1772z00_1605;
													}
												}
												SET_CDR(BgL_tail1149z00_928, BgL_newtail1150z00_931);
												{
													obj_t BgL_tail1149z00_2361;
													obj_t BgL_ll1147z00_2359;
													obj_t BgL_ll1146z00_2357;

													BgL_ll1146z00_2357 = CDR(BgL_ll1146z00_926);
													BgL_ll1147z00_2359 = CDR(BgL_ll1147z00_927);
													BgL_tail1149z00_2361 = BgL_newtail1150z00_931;
													BgL_tail1149z00_928 = BgL_tail1149z00_2361;
													BgL_ll1147z00_927 = BgL_ll1147z00_2359;
													BgL_ll1146z00_926 = BgL_ll1146z00_2357;
													goto BgL_zc3anonymousza31421ze3z83_929;
												}
											}
									}
								}
						}
						BgL_arg1419z00_920 =
							MAKE_PAIR(BGl_uncompz00zz__evaluate_uncompz00(
								(((BgL_ev_labelsz00_bglt) CREF(BgL_ez00_914))->BgL_bodyz00)),
							BNIL);
						BgL_arg1417z00_918 =
							MAKE_PAIR(BgL_arg1418z00_919, BgL_arg1419z00_920);
					}
					return
						MAKE_PAIR(BGl_symbol1881z00zz__evaluate_uncompz00,
						BgL_arg1417z00_918);
				}
			}
		}
	}



/* &uncomp-ev_letrec1217 */
	obj_t BGl_z62uncompzd2ev_letrec1217zb0zz__evaluate_uncompz00(obj_t
		BgL_envz00_2103, BgL_ev_letrecz00_bglt BgL_ez00_2104)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 135 */
			{
				BgL_ev_letrecz00_bglt BgL_ez00_884;

				BgL_ez00_884 = BgL_ez00_2104;
				{	/* Eval/evaluate_uncomp.scm 137 */
					obj_t BgL_arg1403z00_888;

					{	/* Eval/evaluate_uncomp.scm 137 */
						obj_t BgL_arg1404z00_889;
						obj_t BgL_arg1405z00_890;

						{	/* Eval/evaluate_uncomp.scm 137 */
							obj_t BgL_ll1134z00_891;
							obj_t BgL_ll1135z00_892;

							BgL_ll1134z00_891 =
								(((BgL_ev_binderz00_bglt) CREF(
										((BgL_ev_binderz00_bglt) BgL_ez00_884)))->BgL_varsz00);
							BgL_ll1135z00_892 =
								(((BgL_ev_binderz00_bglt) CREF(
										((BgL_ev_binderz00_bglt) BgL_ez00_884)))->BgL_valsz00);
							if (NULLP(BgL_ll1134z00_891))
								{	/* Eval/evaluate_uncomp.scm 137 */
									BgL_arg1404z00_889 = BNIL;
								}
							else
								{	/* Eval/evaluate_uncomp.scm 137 */
									obj_t BgL_head1136z00_894;

									{	/* Eval/evaluate_uncomp.scm 137 */
										obj_t BgL_res1758z00_1519;

										BgL_res1758z00_1519 = MAKE_PAIR(BNIL, BNIL);
										BgL_head1136z00_894 = BgL_res1758z00_1519;
									}
									{
										obj_t BgL_ll1134z00_896;
										obj_t BgL_ll1135z00_897;
										obj_t BgL_tail1137z00_898;

										BgL_ll1134z00_896 = BgL_ll1134z00_891;
										BgL_ll1135z00_897 = BgL_ll1135z00_892;
										BgL_tail1137z00_898 = BgL_head1136z00_894;
									BgL_zc3anonymousza31407ze3z83_899:
										if (NULLP(BgL_ll1134z00_896))
											{	/* Eval/evaluate_uncomp.scm 137 */
												BgL_arg1404z00_889 = CDR(BgL_head1136z00_894);
											}
										else
											{	/* Eval/evaluate_uncomp.scm 137 */
												obj_t BgL_newtail1138z00_901;

												{	/* Eval/evaluate_uncomp.scm 137 */
													obj_t BgL_arg1411z00_904;

													{	/* Eval/evaluate_uncomp.scm 137 */
														obj_t BgL_vz00_905;
														obj_t BgL_az00_906;

														BgL_vz00_905 = CAR(BgL_ll1134z00_896);
														BgL_az00_906 = CAR(BgL_ll1135z00_897);
														{	/* Eval/evaluate_uncomp.scm 137 */
															obj_t BgL_arg1412z00_907;
															obj_t BgL_arg1413z00_908;

															BgL_arg1412z00_907 =
																BGl_uncompz00zz__evaluate_uncompz00(
																((BgL_ev_exprz00_bglt) BgL_vz00_905));
															{	/* Eval/evaluate_uncomp.scm 137 */
																obj_t BgL_arg1414z00_909;

																BgL_arg1414z00_909 =
																	BGl_uncompz00zz__evaluate_uncompz00(
																	((BgL_ev_exprz00_bglt) BgL_az00_906));
																BgL_arg1413z00_908 =
																	MAKE_PAIR(BgL_arg1414z00_909, BNIL);
															}
															BgL_arg1411z00_904 =
																MAKE_PAIR(BgL_arg1412z00_907,
																BgL_arg1413z00_908);
														}
													}
													{	/* Eval/evaluate_uncomp.scm 137 */
														obj_t BgL_res1760z00_1527;

														BgL_res1760z00_1527 =
															MAKE_PAIR(BgL_arg1411z00_904, BNIL);
														BgL_newtail1138z00_901 = BgL_res1760z00_1527;
													}
												}
												SET_CDR(BgL_tail1137z00_898, BgL_newtail1138z00_901);
												{
													obj_t BgL_tail1137z00_2391;
													obj_t BgL_ll1135z00_2389;
													obj_t BgL_ll1134z00_2387;

													BgL_ll1134z00_2387 = CDR(BgL_ll1134z00_896);
													BgL_ll1135z00_2389 = CDR(BgL_ll1135z00_897);
													BgL_tail1137z00_2391 = BgL_newtail1138z00_901;
													BgL_tail1137z00_898 = BgL_tail1137z00_2391;
													BgL_ll1135z00_897 = BgL_ll1135z00_2389;
													BgL_ll1134z00_896 = BgL_ll1134z00_2387;
													goto BgL_zc3anonymousza31407ze3z83_899;
												}
											}
									}
								}
						}
						{	/* Eval/evaluate_uncomp.scm 137 */
							obj_t BgL_arg1415z00_911;

							{	/* Eval/evaluate_uncomp.scm 137 */
								BgL_ev_exprz00_bglt BgL_arg1416z00_912;

								BgL_arg1416z00_912 =
									(((BgL_ev_binderz00_bglt) CREF(
											((BgL_ev_binderz00_bglt) BgL_ez00_884)))->BgL_bodyz00);
								BgL_arg1415z00_911 =
									BGl_uncompz00zz__evaluate_uncompz00(BgL_arg1416z00_912);
							}
							BgL_arg1405z00_890 = MAKE_PAIR(BgL_arg1415z00_911, BNIL);
						}
						BgL_arg1403z00_888 =
							MAKE_PAIR(BgL_arg1404z00_889, BgL_arg1405z00_890);
					}
					return
						MAKE_PAIR(BGl_symbol1881z00zz__evaluate_uncompz00,
						BgL_arg1403z00_888);
				}
			}
		}
	}



/* &uncomp-ev_let*1215 */
	obj_t BGl_z62uncompzd2ev_letza21215z12zz__evaluate_uncompz00(obj_t
		BgL_envz00_2105, BgL_ev_letza2za2_bglt BgL_ez00_2106)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 131 */
			{
				BgL_ev_letza2za2_bglt BgL_ez00_854;

				BgL_ez00_854 = BgL_ez00_2106;
				{	/* Eval/evaluate_uncomp.scm 133 */
					obj_t BgL_arg1387z00_858;

					{	/* Eval/evaluate_uncomp.scm 133 */
						obj_t BgL_arg1388z00_859;
						obj_t BgL_arg1389z00_860;

						{	/* Eval/evaluate_uncomp.scm 133 */
							obj_t BgL_ll1128z00_861;
							obj_t BgL_ll1129z00_862;

							BgL_ll1128z00_861 =
								(((BgL_ev_binderz00_bglt) CREF(
										((BgL_ev_binderz00_bglt) BgL_ez00_854)))->BgL_varsz00);
							BgL_ll1129z00_862 =
								(((BgL_ev_binderz00_bglt) CREF(
										((BgL_ev_binderz00_bglt) BgL_ez00_854)))->BgL_valsz00);
							if (NULLP(BgL_ll1128z00_861))
								{	/* Eval/evaluate_uncomp.scm 133 */
									BgL_arg1388z00_859 = BNIL;
								}
							else
								{	/* Eval/evaluate_uncomp.scm 133 */
									obj_t BgL_head1130z00_864;

									{	/* Eval/evaluate_uncomp.scm 133 */
										obj_t BgL_res1754z00_1502;

										BgL_res1754z00_1502 = MAKE_PAIR(BNIL, BNIL);
										BgL_head1130z00_864 = BgL_res1754z00_1502;
									}
									{
										obj_t BgL_ll1128z00_866;
										obj_t BgL_ll1129z00_867;
										obj_t BgL_tail1131z00_868;

										BgL_ll1128z00_866 = BgL_ll1128z00_861;
										BgL_ll1129z00_867 = BgL_ll1129z00_862;
										BgL_tail1131z00_868 = BgL_head1130z00_864;
									BgL_zc3anonymousza31391ze3z83_869:
										if (NULLP(BgL_ll1128z00_866))
											{	/* Eval/evaluate_uncomp.scm 133 */
												BgL_arg1388z00_859 = CDR(BgL_head1130z00_864);
											}
										else
											{	/* Eval/evaluate_uncomp.scm 133 */
												obj_t BgL_newtail1132z00_871;

												{	/* Eval/evaluate_uncomp.scm 133 */
													obj_t BgL_arg1397z00_874;

													{	/* Eval/evaluate_uncomp.scm 133 */
														obj_t BgL_vz00_875;
														obj_t BgL_az00_876;

														BgL_vz00_875 = CAR(BgL_ll1128z00_866);
														BgL_az00_876 = CAR(BgL_ll1129z00_867);
														{	/* Eval/evaluate_uncomp.scm 133 */
															obj_t BgL_arg1398z00_877;
															obj_t BgL_arg1399z00_878;

															BgL_arg1398z00_877 =
																BGl_uncompz00zz__evaluate_uncompz00(
																((BgL_ev_exprz00_bglt) BgL_vz00_875));
															{	/* Eval/evaluate_uncomp.scm 133 */
																obj_t BgL_arg1400z00_879;

																BgL_arg1400z00_879 =
																	BGl_uncompz00zz__evaluate_uncompz00(
																	((BgL_ev_exprz00_bglt) BgL_az00_876));
																BgL_arg1399z00_878 =
																	MAKE_PAIR(BgL_arg1400z00_879, BNIL);
															}
															BgL_arg1397z00_874 =
																MAKE_PAIR(BgL_arg1398z00_877,
																BgL_arg1399z00_878);
														}
													}
													{	/* Eval/evaluate_uncomp.scm 133 */
														obj_t BgL_res1756z00_1510;

														BgL_res1756z00_1510 =
															MAKE_PAIR(BgL_arg1397z00_874, BNIL);
														BgL_newtail1132z00_871 = BgL_res1756z00_1510;
													}
												}
												SET_CDR(BgL_tail1131z00_868, BgL_newtail1132z00_871);
												{
													obj_t BgL_tail1131z00_2422;
													obj_t BgL_ll1129z00_2420;
													obj_t BgL_ll1128z00_2418;

													BgL_ll1128z00_2418 = CDR(BgL_ll1128z00_866);
													BgL_ll1129z00_2420 = CDR(BgL_ll1129z00_867);
													BgL_tail1131z00_2422 = BgL_newtail1132z00_871;
													BgL_tail1131z00_868 = BgL_tail1131z00_2422;
													BgL_ll1129z00_867 = BgL_ll1129z00_2420;
													BgL_ll1128z00_866 = BgL_ll1128z00_2418;
													goto BgL_zc3anonymousza31391ze3z83_869;
												}
											}
									}
								}
						}
						{	/* Eval/evaluate_uncomp.scm 133 */
							obj_t BgL_arg1401z00_881;

							{	/* Eval/evaluate_uncomp.scm 133 */
								BgL_ev_exprz00_bglt BgL_arg1402z00_882;

								BgL_arg1402z00_882 =
									(((BgL_ev_binderz00_bglt) CREF(
											((BgL_ev_binderz00_bglt) BgL_ez00_854)))->BgL_bodyz00);
								BgL_arg1401z00_881 =
									BGl_uncompz00zz__evaluate_uncompz00(BgL_arg1402z00_882);
							}
							BgL_arg1389z00_860 = MAKE_PAIR(BgL_arg1401z00_881, BNIL);
						}
						BgL_arg1387z00_858 =
							MAKE_PAIR(BgL_arg1388z00_859, BgL_arg1389z00_860);
					}
					return
						MAKE_PAIR(BGl_symbol1883z00zz__evaluate_uncompz00,
						BgL_arg1387z00_858);
				}
			}
		}
	}



/* &uncomp-ev_let1213 */
	obj_t BGl_z62uncompzd2ev_let1213zb0zz__evaluate_uncompz00(obj_t
		BgL_envz00_2107, BgL_ev_letz00_bglt BgL_ez00_2108)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 127 */
			{
				BgL_ev_letz00_bglt BgL_ez00_824;

				BgL_ez00_824 = BgL_ez00_2108;
				{	/* Eval/evaluate_uncomp.scm 129 */
					obj_t BgL_arg1368z00_828;

					{	/* Eval/evaluate_uncomp.scm 129 */
						obj_t BgL_arg1371z00_829;
						obj_t BgL_arg1373z00_830;

						{	/* Eval/evaluate_uncomp.scm 129 */
							obj_t BgL_ll1122z00_831;
							obj_t BgL_ll1123z00_832;

							BgL_ll1122z00_831 =
								(((BgL_ev_binderz00_bglt) CREF(
										((BgL_ev_binderz00_bglt) BgL_ez00_824)))->BgL_varsz00);
							BgL_ll1123z00_832 =
								(((BgL_ev_binderz00_bglt) CREF(
										((BgL_ev_binderz00_bglt) BgL_ez00_824)))->BgL_valsz00);
							if (NULLP(BgL_ll1122z00_831))
								{	/* Eval/evaluate_uncomp.scm 129 */
									BgL_arg1371z00_829 = BNIL;
								}
							else
								{	/* Eval/evaluate_uncomp.scm 129 */
									obj_t BgL_head1124z00_834;

									{	/* Eval/evaluate_uncomp.scm 129 */
										obj_t BgL_res1750z00_1485;

										BgL_res1750z00_1485 = MAKE_PAIR(BNIL, BNIL);
										BgL_head1124z00_834 = BgL_res1750z00_1485;
									}
									{
										obj_t BgL_ll1122z00_836;
										obj_t BgL_ll1123z00_837;
										obj_t BgL_tail1125z00_838;

										BgL_ll1122z00_836 = BgL_ll1122z00_831;
										BgL_ll1123z00_837 = BgL_ll1123z00_832;
										BgL_tail1125z00_838 = BgL_head1124z00_834;
									BgL_zc3anonymousza31375ze3z83_839:
										if (NULLP(BgL_ll1122z00_836))
											{	/* Eval/evaluate_uncomp.scm 129 */
												BgL_arg1371z00_829 = CDR(BgL_head1124z00_834);
											}
										else
											{	/* Eval/evaluate_uncomp.scm 129 */
												obj_t BgL_newtail1126z00_841;

												{	/* Eval/evaluate_uncomp.scm 129 */
													obj_t BgL_arg1381z00_844;

													{	/* Eval/evaluate_uncomp.scm 129 */
														obj_t BgL_vz00_845;
														obj_t BgL_az00_846;

														BgL_vz00_845 = CAR(BgL_ll1122z00_836);
														BgL_az00_846 = CAR(BgL_ll1123z00_837);
														{	/* Eval/evaluate_uncomp.scm 129 */
															obj_t BgL_arg1382z00_847;
															obj_t BgL_arg1383z00_848;

															BgL_arg1382z00_847 =
																BGl_uncompz00zz__evaluate_uncompz00(
																((BgL_ev_exprz00_bglt) BgL_vz00_845));
															{	/* Eval/evaluate_uncomp.scm 129 */
																obj_t BgL_arg1384z00_849;

																BgL_arg1384z00_849 =
																	BGl_uncompz00zz__evaluate_uncompz00(
																	((BgL_ev_exprz00_bglt) BgL_az00_846));
																BgL_arg1383z00_848 =
																	MAKE_PAIR(BgL_arg1384z00_849, BNIL);
															}
															BgL_arg1381z00_844 =
																MAKE_PAIR(BgL_arg1382z00_847,
																BgL_arg1383z00_848);
														}
													}
													{	/* Eval/evaluate_uncomp.scm 129 */
														obj_t BgL_res1752z00_1493;

														BgL_res1752z00_1493 =
															MAKE_PAIR(BgL_arg1381z00_844, BNIL);
														BgL_newtail1126z00_841 = BgL_res1752z00_1493;
													}
												}
												SET_CDR(BgL_tail1125z00_838, BgL_newtail1126z00_841);
												{
													obj_t BgL_tail1125z00_2453;
													obj_t BgL_ll1123z00_2451;
													obj_t BgL_ll1122z00_2449;

													BgL_ll1122z00_2449 = CDR(BgL_ll1122z00_836);
													BgL_ll1123z00_2451 = CDR(BgL_ll1123z00_837);
													BgL_tail1125z00_2453 = BgL_newtail1126z00_841;
													BgL_tail1125z00_838 = BgL_tail1125z00_2453;
													BgL_ll1123z00_837 = BgL_ll1123z00_2451;
													BgL_ll1122z00_836 = BgL_ll1122z00_2449;
													goto BgL_zc3anonymousza31375ze3z83_839;
												}
											}
									}
								}
						}
						{	/* Eval/evaluate_uncomp.scm 129 */
							obj_t BgL_arg1385z00_851;

							{	/* Eval/evaluate_uncomp.scm 129 */
								BgL_ev_exprz00_bglt BgL_arg1386z00_852;

								BgL_arg1386z00_852 =
									(((BgL_ev_binderz00_bglt) CREF(
											((BgL_ev_binderz00_bglt) BgL_ez00_824)))->BgL_bodyz00);
								BgL_arg1385z00_851 =
									BGl_uncompz00zz__evaluate_uncompz00(BgL_arg1386z00_852);
							}
							BgL_arg1373z00_830 = MAKE_PAIR(BgL_arg1385z00_851, BNIL);
						}
						BgL_arg1368z00_828 =
							MAKE_PAIR(BgL_arg1371z00_829, BgL_arg1373z00_830);
					}
					return
						MAKE_PAIR(BGl_symbol1885z00zz__evaluate_uncompz00,
						BgL_arg1368z00_828);
				}
			}
		}
	}



/* &uncomp-ev_with-handl1211 */
	obj_t BGl_z62uncompzd2ev_withzd2handl1211z62zz__evaluate_uncompz00(obj_t
		BgL_envz00_2109, BgL_ev_withzd2handlerzd2_bglt BgL_ez00_2110)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 123 */
			{
				BgL_ev_withzd2handlerzd2_bglt BgL_ez00_813;

				BgL_ez00_813 = BgL_ez00_2110;
				{	/* Eval/evaluate_uncomp.scm 125 */
					obj_t BgL_arg1362z00_817;

					{	/* Eval/evaluate_uncomp.scm 125 */
						obj_t BgL_arg1363z00_818;
						obj_t BgL_arg1364z00_819;

						BgL_arg1363z00_818 =
							BGl_uncompz00zz__evaluate_uncompz00(
							(((BgL_ev_withzd2handlerzd2_bglt) CREF(BgL_ez00_813))->
								BgL_handlerz00));
						BgL_arg1364z00_819 =
							MAKE_PAIR(BGl_uncompz00zz__evaluate_uncompz00(((
										(BgL_ev_withzd2handlerzd2_bglt) CREF(BgL_ez00_813))->
									BgL_bodyz00)), BNIL);
						BgL_arg1362z00_817 =
							MAKE_PAIR(BgL_arg1363z00_818, BgL_arg1364z00_819);
					}
					return
						MAKE_PAIR(BGl_symbol1887z00zz__evaluate_uncompz00,
						BgL_arg1362z00_817);
				}
			}
		}
	}



/* &uncomp-ev_unwind-pro1209 */
	obj_t BGl_z62uncompzd2ev_unwindzd2pro1209z62zz__evaluate_uncompz00(obj_t
		BgL_envz00_2111, BgL_ev_unwindzd2protectzd2_bglt BgL_ez00_2112)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 119 */
			{
				BgL_ev_unwindzd2protectzd2_bglt BgL_ez00_802;

				BgL_ez00_802 = BgL_ez00_2112;
				{	/* Eval/evaluate_uncomp.scm 121 */
					obj_t BgL_arg1355z00_806;

					{	/* Eval/evaluate_uncomp.scm 121 */
						obj_t BgL_arg1356z00_807;
						obj_t BgL_arg1357z00_808;

						BgL_arg1356z00_807 =
							BGl_uncompz00zz__evaluate_uncompz00(
							(((BgL_ev_unwindzd2protectzd2_bglt) CREF(BgL_ez00_802))->
								BgL_ez00));
						BgL_arg1357z00_808 =
							MAKE_PAIR(BGl_uncompz00zz__evaluate_uncompz00(((
										(BgL_ev_unwindzd2protectzd2_bglt) CREF(BgL_ez00_802))->
									BgL_bodyz00)), BNIL);
						BgL_arg1355z00_806 =
							MAKE_PAIR(BgL_arg1356z00_807, BgL_arg1357z00_808);
					}
					return
						MAKE_PAIR(BGl_symbol1889z00zz__evaluate_uncompz00,
						BgL_arg1355z00_806);
				}
			}
		}
	}



/* &uncomp-ev_bind-exit1207 */
	obj_t BGl_z62uncompzd2ev_bindzd2exit1207z62zz__evaluate_uncompz00(obj_t
		BgL_envz00_2113, BgL_ev_bindzd2exitzd2_bglt BgL_ez00_2114)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 115 */
			{
				BgL_ev_bindzd2exitzd2_bglt BgL_ez00_790;

				BgL_ez00_790 = BgL_ez00_2114;
				{	/* Eval/evaluate_uncomp.scm 117 */
					obj_t BgL_arg1348z00_794;

					{	/* Eval/evaluate_uncomp.scm 117 */
						obj_t BgL_arg1349z00_795;
						obj_t BgL_arg1350z00_796;

						{	/* Eval/evaluate_uncomp.scm 117 */
							obj_t BgL_arg1351z00_797;

							{	/* Eval/evaluate_uncomp.scm 117 */
								BgL_ev_varz00_bglt BgL_arg1352z00_798;

								BgL_arg1352z00_798 =
									(((BgL_ev_bindzd2exitzd2_bglt) CREF(BgL_ez00_790))->
									BgL_varz00);
								BgL_arg1351z00_797 =
									BGl_uncompz00zz__evaluate_uncompz00(((BgL_ev_exprz00_bglt)
										BgL_arg1352z00_798));
							}
							BgL_arg1349z00_795 = MAKE_PAIR(BgL_arg1351z00_797, BNIL);
						}
						BgL_arg1350z00_796 =
							MAKE_PAIR(BGl_uncompz00zz__evaluate_uncompz00(
								(((BgL_ev_bindzd2exitzd2_bglt) CREF(BgL_ez00_790))->
									BgL_bodyz00)), BNIL);
						BgL_arg1348z00_794 =
							MAKE_PAIR(BgL_arg1349z00_795, BgL_arg1350z00_796);
					}
					return
						MAKE_PAIR(BGl_symbol1891z00zz__evaluate_uncompz00,
						BgL_arg1348z00_794);
				}
			}
		}
	}



/* &uncomp-ev_setlocal1205 */
	obj_t BGl_z62uncompzd2ev_setlocal1205zb0zz__evaluate_uncompz00(obj_t
		BgL_envz00_2115, BgL_ev_setlocalz00_bglt BgL_ez00_2116)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 111 */
			{
				BgL_ev_setlocalz00_bglt BgL_ez00_779;

				BgL_ez00_779 = BgL_ez00_2116;
				{	/* Eval/evaluate_uncomp.scm 113 */
					obj_t BgL_arg1342z00_783;

					{	/* Eval/evaluate_uncomp.scm 113 */
						obj_t BgL_arg1343z00_784;
						obj_t BgL_arg1344z00_785;

						{	/* Eval/evaluate_uncomp.scm 113 */
							BgL_ev_varz00_bglt BgL_arg1345z00_786;

							BgL_arg1345z00_786 =
								(((BgL_ev_setlocalz00_bglt) CREF(BgL_ez00_779))->BgL_vz00);
							BgL_arg1343z00_784 =
								BGl_uncompz00zz__evaluate_uncompz00(
								((BgL_ev_exprz00_bglt) BgL_arg1345z00_786));
						}
						{	/* Eval/evaluate_uncomp.scm 113 */
							obj_t BgL_arg1346z00_787;

							{	/* Eval/evaluate_uncomp.scm 113 */
								BgL_ev_exprz00_bglt BgL_arg1347z00_788;

								BgL_arg1347z00_788 =
									(((BgL_ev_hookz00_bglt) CREF(
											((BgL_ev_hookz00_bglt) BgL_ez00_779)))->BgL_ez00);
								BgL_arg1346z00_787 =
									BGl_uncompz00zz__evaluate_uncompz00(BgL_arg1347z00_788);
							}
							BgL_arg1344z00_785 = MAKE_PAIR(BgL_arg1346z00_787, BNIL);
						}
						BgL_arg1342z00_783 =
							MAKE_PAIR(BgL_arg1343z00_784, BgL_arg1344z00_785);
					}
					return
						MAKE_PAIR(BGl_symbol1893z00zz__evaluate_uncompz00,
						BgL_arg1342z00_783);
				}
			}
		}
	}



/* &uncomp-ev_defglobal1203 */
	obj_t BGl_z62uncompzd2ev_defglobal1203zb0zz__evaluate_uncompz00(obj_t
		BgL_envz00_2117, BgL_ev_defglobalz00_bglt BgL_ez00_2118)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 107 */
			{
				BgL_ev_defglobalz00_bglt BgL_ez00_769;

				BgL_ez00_769 = BgL_ez00_2118;
				{	/* Eval/evaluate_uncomp.scm 109 */
					obj_t BgL_arg1336z00_773;

					{	/* Eval/evaluate_uncomp.scm 109 */
						obj_t BgL_arg1337z00_774;
						obj_t BgL_arg1338z00_775;

						BgL_arg1337z00_774 =
							(((BgL_ev_setglobalz00_bglt) CREF(
									((BgL_ev_setglobalz00_bglt) BgL_ez00_769)))->BgL_namez00);
						{	/* Eval/evaluate_uncomp.scm 109 */
							obj_t BgL_arg1340z00_776;

							{	/* Eval/evaluate_uncomp.scm 109 */
								BgL_ev_exprz00_bglt BgL_arg1341z00_777;

								BgL_arg1341z00_777 =
									(((BgL_ev_hookz00_bglt) CREF(
											((BgL_ev_hookz00_bglt) BgL_ez00_769)))->BgL_ez00);
								BgL_arg1340z00_776 =
									BGl_uncompz00zz__evaluate_uncompz00(BgL_arg1341z00_777);
							}
							BgL_arg1338z00_775 = MAKE_PAIR(BgL_arg1340z00_776, BNIL);
						}
						BgL_arg1336z00_773 =
							MAKE_PAIR(BgL_arg1337z00_774, BgL_arg1338z00_775);
					}
					return
						MAKE_PAIR(BGl_symbol1895z00zz__evaluate_uncompz00,
						BgL_arg1336z00_773);
				}
			}
		}
	}



/* &uncomp-ev_setglobal1201 */
	obj_t BGl_z62uncompzd2ev_setglobal1201zb0zz__evaluate_uncompz00(obj_t
		BgL_envz00_2119, BgL_ev_setglobalz00_bglt BgL_ez00_2120)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 103 */
			{
				BgL_ev_setglobalz00_bglt BgL_ez00_759;

				BgL_ez00_759 = BgL_ez00_2120;
				{	/* Eval/evaluate_uncomp.scm 105 */
					obj_t BgL_arg1328z00_763;

					{	/* Eval/evaluate_uncomp.scm 105 */
						obj_t BgL_arg1330z00_764;
						obj_t BgL_arg1331z00_765;

						BgL_arg1330z00_764 =
							(((BgL_ev_setglobalz00_bglt) CREF(BgL_ez00_759))->BgL_namez00);
						{	/* Eval/evaluate_uncomp.scm 105 */
							obj_t BgL_arg1332z00_766;

							{	/* Eval/evaluate_uncomp.scm 105 */
								BgL_ev_exprz00_bglt BgL_arg1335z00_767;

								BgL_arg1335z00_767 =
									(((BgL_ev_hookz00_bglt) CREF(
											((BgL_ev_hookz00_bglt) BgL_ez00_759)))->BgL_ez00);
								BgL_arg1332z00_766 =
									BGl_uncompz00zz__evaluate_uncompz00(BgL_arg1335z00_767);
							}
							BgL_arg1331z00_765 = MAKE_PAIR(BgL_arg1332z00_766, BNIL);
						}
						BgL_arg1328z00_763 =
							MAKE_PAIR(BgL_arg1330z00_764, BgL_arg1331z00_765);
					}
					return
						MAKE_PAIR(BGl_symbol1893z00zz__evaluate_uncompz00,
						BgL_arg1328z00_763);
				}
			}
		}
	}



/* &uncomp-ev_trap1199 */
	obj_t BGl_z62uncompzd2ev_trap1199zb0zz__evaluate_uncompz00(obj_t
		BgL_envz00_2121, BgL_ev_trapz00_bglt BgL_ez00_2122)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 99 */
			{
				BgL_ev_trapz00_bglt BgL_ez00_751;

				BgL_ez00_751 = BgL_ez00_2122;
				{	/* Eval/evaluate_uncomp.scm 100 */
					obj_t BgL_arg1325z00_1478;

					{	/* Eval/evaluate_uncomp.scm 100 */
						obj_t BgL_arg1326z00_1479;

						{	/* Eval/evaluate_uncomp.scm 100 */
							BgL_ev_exprz00_bglt BgL_arg1327z00_1480;

							BgL_arg1327z00_1480 =
								(((BgL_ev_hookz00_bglt) CREF(
										((BgL_ev_hookz00_bglt) BgL_ez00_751)))->BgL_ez00);
							BgL_arg1326z00_1479 =
								BGl_uncompz00zz__evaluate_uncompz00(BgL_arg1327z00_1480);
						}
						BgL_arg1325z00_1478 = MAKE_PAIR(BgL_arg1326z00_1479, BNIL);
					}
					return
						MAKE_PAIR(BGl_symbol1897z00zz__evaluate_uncompz00,
						BgL_arg1325z00_1478);
				}
			}
		}
	}



/* &uncomp-ev_prog21197 */
	obj_t BGl_z62uncompzd2ev_prog21197zb0zz__evaluate_uncompz00(obj_t
		BgL_envz00_2123, BgL_ev_prog2z00_bglt BgL_ez00_2124)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 92 */
			{
				BgL_ev_prog2z00_bglt BgL_ez00_734;

				BgL_ez00_734 = BgL_ez00_2124;
				{	/* Eval/evaluate_uncomp.scm 94 */
					obj_t BgL_e1z00_738;
					obj_t BgL_e2z00_739;

					BgL_e1z00_738 =
						BGl_uncompz00zz__evaluate_uncompz00(
						(((BgL_ev_prog2z00_bglt) CREF(BgL_ez00_734))->BgL_e1z00));
					BgL_e2z00_739 =
						BGl_uncompz00zz__evaluate_uncompz00(
						(((BgL_ev_prog2z00_bglt) CREF(BgL_ez00_734))->BgL_e2z00));
					{	/* Eval/evaluate_uncomp.scm 95 */
						bool_t BgL_testz00_2516;

						if (PAIRP(BgL_e2z00_739))
							{	/* Eval/evaluate_uncomp.scm 95 */
								BgL_testz00_2516 =
									(CAR(BgL_e2z00_739) ==
									BGl_symbol1899z00zz__evaluate_uncompz00);
							}
						else
							{	/* Eval/evaluate_uncomp.scm 95 */
								BgL_testz00_2516 = ((bool_t) 0);
							}
						if (BgL_testz00_2516)
							{	/* Eval/evaluate_uncomp.scm 96 */
								obj_t BgL_arg1316z00_741;

								BgL_arg1316z00_741 =
									MAKE_PAIR(BgL_e1z00_738,
									BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(CDR
										(BgL_e2z00_739), BNIL));
								return MAKE_PAIR(BGl_symbol1899z00zz__evaluate_uncompz00,
									BgL_arg1316z00_741);
							}
						else
							{	/* Eval/evaluate_uncomp.scm 97 */
								obj_t BgL_arg1319z00_744;

								{	/* Eval/evaluate_uncomp.scm 97 */
									obj_t BgL_arg1320z00_745;

									BgL_arg1320z00_745 = MAKE_PAIR(BgL_e2z00_739, BNIL);
									BgL_arg1319z00_744 =
										MAKE_PAIR(BgL_e1z00_738, BgL_arg1320z00_745);
								}
								return
									MAKE_PAIR(BGl_symbol1899z00zz__evaluate_uncompz00,
									BgL_arg1319z00_744);
							}
					}
				}
			}
		}
	}



/* &uncomp-ev_and1195 */
	obj_t BGl_z62uncompzd2ev_and1195zb0zz__evaluate_uncompz00(obj_t
		BgL_envz00_2125, BgL_ev_andz00_bglt BgL_ez00_2126)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 88 */
			{
				BgL_ev_andz00_bglt BgL_ez00_711;

				BgL_ez00_711 = BgL_ez00_2126;
				{	/* Eval/evaluate_uncomp.scm 90 */
					obj_t BgL_arg1305z00_715;

					{	/* Eval/evaluate_uncomp.scm 90 */
						obj_t BgL_arg1306z00_716;

						{	/* Eval/evaluate_uncomp.scm 90 */
							obj_t BgL_l1116z00_717;

							BgL_l1116z00_717 =
								(((BgL_ev_listz00_bglt) CREF(
										((BgL_ev_listz00_bglt) BgL_ez00_711)))->BgL_argsz00);
							if (NULLP(BgL_l1116z00_717))
								{	/* Eval/evaluate_uncomp.scm 90 */
									BgL_arg1306z00_716 = BNIL;
								}
							else
								{	/* Eval/evaluate_uncomp.scm 90 */
									obj_t BgL_head1118z00_719;

									{	/* Eval/evaluate_uncomp.scm 90 */
										obj_t BgL_arg1313z00_731;

										{	/* Eval/evaluate_uncomp.scm 90 */
											obj_t BgL_arg1314z00_732;

											BgL_arg1314z00_732 = CAR(BgL_l1116z00_717);
											BgL_arg1313z00_731 =
												BGl_uncompz00zz__evaluate_uncompz00(
												((BgL_ev_exprz00_bglt) BgL_arg1314z00_732));
										}
										{	/* Eval/evaluate_uncomp.scm 90 */
											obj_t BgL_res1741z00_1419;

											BgL_res1741z00_1419 = MAKE_PAIR(BgL_arg1313z00_731, BNIL);
											BgL_head1118z00_719 = BgL_res1741z00_1419;
										}
									}
									{	/* Eval/evaluate_uncomp.scm 90 */
										obj_t BgL_g1121z00_720;

										BgL_g1121z00_720 = CDR(BgL_l1116z00_717);
										{
											obj_t BgL_l1116z00_1452;
											obj_t BgL_tail1119z00_1453;

											BgL_l1116z00_1452 = BgL_g1121z00_720;
											BgL_tail1119z00_1453 = BgL_head1118z00_719;
										BgL_zc3anonymousza31308ze3z83_1451:
											if (NULLP(BgL_l1116z00_1452))
												{	/* Eval/evaluate_uncomp.scm 90 */
													BgL_arg1306z00_716 = BgL_head1118z00_719;
												}
											else
												{	/* Eval/evaluate_uncomp.scm 90 */
													obj_t BgL_newtail1120z00_1460;

													{	/* Eval/evaluate_uncomp.scm 90 */
														obj_t BgL_arg1311z00_1461;

														{	/* Eval/evaluate_uncomp.scm 90 */
															obj_t BgL_arg1312z00_1462;

															BgL_arg1312z00_1462 = CAR(BgL_l1116z00_1452);
															BgL_arg1311z00_1461 =
																BGl_uncompz00zz__evaluate_uncompz00(
																((BgL_ev_exprz00_bglt) BgL_arg1312z00_1462));
														}
														{	/* Eval/evaluate_uncomp.scm 90 */
															obj_t BgL_res1747z00_1469;

															BgL_res1747z00_1469 =
																MAKE_PAIR(BgL_arg1311z00_1461, BNIL);
															BgL_newtail1120z00_1460 = BgL_res1747z00_1469;
														}
													}
													SET_CDR(BgL_tail1119z00_1453,
														BgL_newtail1120z00_1460);
													{
														obj_t BgL_tail1119z00_2546;
														obj_t BgL_l1116z00_2544;

														BgL_l1116z00_2544 = CDR(BgL_l1116z00_1452);
														BgL_tail1119z00_2546 = BgL_newtail1120z00_1460;
														BgL_tail1119z00_1453 = BgL_tail1119z00_2546;
														BgL_l1116z00_1452 = BgL_l1116z00_2544;
														goto BgL_zc3anonymousza31308ze3z83_1451;
													}
												}
										}
									}
								}
						}
						BgL_arg1305z00_715 =
							BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
							(BgL_arg1306z00_716, BNIL);
					}
					return
						MAKE_PAIR(BGl_symbol1901z00zz__evaluate_uncompz00,
						BgL_arg1305z00_715);
				}
			}
		}
	}



/* &uncomp-ev_or1193 */
	obj_t BGl_z62uncompzd2ev_or1193zb0zz__evaluate_uncompz00(obj_t
		BgL_envz00_2127, BgL_ev_orz00_bglt BgL_ez00_2128)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 84 */
			{
				BgL_ev_orz00_bglt BgL_ez00_688;

				BgL_ez00_688 = BgL_ez00_2128;
				{	/* Eval/evaluate_uncomp.scm 86 */
					obj_t BgL_arg1290z00_692;

					{	/* Eval/evaluate_uncomp.scm 86 */
						obj_t BgL_arg1292z00_693;

						{	/* Eval/evaluate_uncomp.scm 86 */
							obj_t BgL_l1110z00_694;

							BgL_l1110z00_694 =
								(((BgL_ev_listz00_bglt) CREF(
										((BgL_ev_listz00_bglt) BgL_ez00_688)))->BgL_argsz00);
							if (NULLP(BgL_l1110z00_694))
								{	/* Eval/evaluate_uncomp.scm 86 */
									BgL_arg1292z00_693 = BNIL;
								}
							else
								{	/* Eval/evaluate_uncomp.scm 86 */
									obj_t BgL_head1112z00_696;

									{	/* Eval/evaluate_uncomp.scm 86 */
										obj_t BgL_arg1303z00_708;

										{	/* Eval/evaluate_uncomp.scm 86 */
											obj_t BgL_arg1304z00_709;

											BgL_arg1304z00_709 = CAR(BgL_l1110z00_694);
											BgL_arg1303z00_708 =
												BGl_uncompz00zz__evaluate_uncompz00(
												((BgL_ev_exprz00_bglt) BgL_arg1304z00_709));
										}
										{	/* Eval/evaluate_uncomp.scm 86 */
											obj_t BgL_res1733z00_1360;

											BgL_res1733z00_1360 = MAKE_PAIR(BgL_arg1303z00_708, BNIL);
											BgL_head1112z00_696 = BgL_res1733z00_1360;
										}
									}
									{	/* Eval/evaluate_uncomp.scm 86 */
										obj_t BgL_g1115z00_697;

										BgL_g1115z00_697 = CDR(BgL_l1110z00_694);
										{
											obj_t BgL_l1110z00_1393;
											obj_t BgL_tail1113z00_1394;

											BgL_l1110z00_1393 = BgL_g1115z00_697;
											BgL_tail1113z00_1394 = BgL_head1112z00_696;
										BgL_zc3anonymousza31294ze3z83_1392:
											if (NULLP(BgL_l1110z00_1393))
												{	/* Eval/evaluate_uncomp.scm 86 */
													BgL_arg1292z00_693 = BgL_head1112z00_696;
												}
											else
												{	/* Eval/evaluate_uncomp.scm 86 */
													obj_t BgL_newtail1114z00_1401;

													{	/* Eval/evaluate_uncomp.scm 86 */
														obj_t BgL_arg1298z00_1402;

														{	/* Eval/evaluate_uncomp.scm 86 */
															obj_t BgL_arg1301z00_1403;

															BgL_arg1301z00_1403 = CAR(BgL_l1110z00_1393);
															BgL_arg1298z00_1402 =
																BGl_uncompz00zz__evaluate_uncompz00(
																((BgL_ev_exprz00_bglt) BgL_arg1301z00_1403));
														}
														{	/* Eval/evaluate_uncomp.scm 86 */
															obj_t BgL_res1739z00_1410;

															BgL_res1739z00_1410 =
																MAKE_PAIR(BgL_arg1298z00_1402, BNIL);
															BgL_newtail1114z00_1401 = BgL_res1739z00_1410;
														}
													}
													SET_CDR(BgL_tail1113z00_1394,
														BgL_newtail1114z00_1401);
													{
														obj_t BgL_tail1113z00_2567;
														obj_t BgL_l1110z00_2565;

														BgL_l1110z00_2565 = CDR(BgL_l1110z00_1393);
														BgL_tail1113z00_2567 = BgL_newtail1114z00_1401;
														BgL_tail1113z00_1394 = BgL_tail1113z00_2567;
														BgL_l1110z00_1393 = BgL_l1110z00_2565;
														goto BgL_zc3anonymousza31294ze3z83_1392;
													}
												}
										}
									}
								}
						}
						BgL_arg1290z00_692 =
							BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
							(BgL_arg1292z00_693, BNIL);
					}
					return
						MAKE_PAIR(BGl_symbol1903z00zz__evaluate_uncompz00,
						BgL_arg1290z00_692);
				}
			}
		}
	}



/* &uncomp-ev_if1191 */
	obj_t BGl_z62uncompzd2ev_if1191zb0zz__evaluate_uncompz00(obj_t
		BgL_envz00_2129, BgL_ev_ifz00_bglt BgL_ez00_2130)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 80 */
			{
				BgL_ev_ifz00_bglt BgL_ez00_674;

				BgL_ez00_674 = BgL_ez00_2130;
				{	/* Eval/evaluate_uncomp.scm 82 */
					obj_t BgL_arg1269z00_678;

					{	/* Eval/evaluate_uncomp.scm 82 */
						obj_t BgL_arg1270z00_679;
						obj_t BgL_arg1271z00_680;

						BgL_arg1270z00_679 =
							BGl_uncompz00zz__evaluate_uncompz00(
							(((BgL_ev_ifz00_bglt) CREF(BgL_ez00_674))->BgL_pz00));
						{	/* Eval/evaluate_uncomp.scm 82 */
							obj_t BgL_arg1273z00_682;
							obj_t BgL_arg1278z00_683;

							BgL_arg1273z00_682 =
								BGl_uncompz00zz__evaluate_uncompz00(
								(((BgL_ev_ifz00_bglt) CREF(BgL_ez00_674))->BgL_tz00));
							BgL_arg1278z00_683 =
								MAKE_PAIR(BGl_uncompz00zz__evaluate_uncompz00(
									(((BgL_ev_ifz00_bglt) CREF(BgL_ez00_674))->BgL_ez00)), BNIL);
							BgL_arg1271z00_680 =
								MAKE_PAIR(BgL_arg1273z00_682, BgL_arg1278z00_683);
						}
						BgL_arg1269z00_678 =
							MAKE_PAIR(BgL_arg1270z00_679, BgL_arg1271z00_680);
					}
					return
						MAKE_PAIR(BGl_symbol1905z00zz__evaluate_uncompz00,
						BgL_arg1269z00_678);
				}
			}
		}
	}



/* &uncomp-ev_litt1189 */
	obj_t BGl_z62uncompzd2ev_litt1189zb0zz__evaluate_uncompz00(obj_t
		BgL_envz00_2131, BgL_ev_littz00_bglt BgL_ez00_2132)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 76 */
			{
				BgL_ev_littz00_bglt BgL_ez00_667;

				BgL_ez00_667 = BgL_ez00_2132;
				{	/* Eval/evaluate_uncomp.scm 77 */
					obj_t BgL_arg1265z00_1353;

					BgL_arg1265z00_1353 =
						MAKE_PAIR(
						(((BgL_ev_littz00_bglt) CREF(BgL_ez00_667))->BgL_valuez00), BNIL);
					return
						MAKE_PAIR(BGl_symbol1907z00zz__evaluate_uncompz00,
						BgL_arg1265z00_1353);
				}
			}
		}
	}



/* &uncomp-ev_global1187 */
	obj_t BGl_z62uncompzd2ev_global1187zb0zz__evaluate_uncompz00(obj_t
		BgL_envz00_2133, BgL_ev_globalz00_bglt BgL_varz00_2134)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 72 */
			return (((BgL_ev_globalz00_bglt) CREF(BgL_varz00_2134))->BgL_namez00);
		}
	}



/* &uncomp-ev_var1185 */
	obj_t BGl_z62uncompzd2ev_var1185zb0zz__evaluate_uncompz00(obj_t
		BgL_envz00_2135, BgL_ev_varz00_bglt BgL_varz00_2136)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 68 */
			return (((BgL_ev_varz00_bglt) CREF(BgL_varz00_2136))->BgL_namez00);
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zz__evaluate_uncompz00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 15 */
			BGl_modulezd2initializa7ationz75zz__typez00(((long) 278771016),
				BSTRING_TO_STRING(BGl_string1909z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 373318193),
				BSTRING_TO_STRING(BGl_string1909z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__biglooz00(((long) 162724851),
				BSTRING_TO_STRING(BGl_string1909z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__tvectorz00(((long) 135276775),
				BSTRING_TO_STRING(BGl_string1909z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__structurez00(((long) 128218210),
				BSTRING_TO_STRING(BGl_string1909z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__bexitz00(((long) 159639574),
				BSTRING_TO_STRING(BGl_string1909z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__bignumz00(((long) 6519932),
				BSTRING_TO_STRING(BGl_string1909z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__osz00(((long) 438451175),
				BSTRING_TO_STRING(BGl_string1909z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__dssslz00(((long) 443936801),
				BSTRING_TO_STRING(BGl_string1909z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__bitz00(((long) 317260169),
				BSTRING_TO_STRING(BGl_string1909z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__paramz00(((long) 441709255),
				BSTRING_TO_STRING(BGl_string1909z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 426797061),
				BSTRING_TO_STRING(BGl_string1909z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__threadz00(((long) 220651073),
				BSTRING_TO_STRING(BGl_string1909z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long) 359798486),
				BSTRING_TO_STRING(BGl_string1909z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long)
					249410258),
				BSTRING_TO_STRING(BGl_string1909z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(((long)
					53386681),
				BSTRING_TO_STRING(BGl_string1909z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonum_dtoaz00(((long)
					268155843),
				BSTRING_TO_STRING(BGl_string1909z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(((long)
					198620800),
				BSTRING_TO_STRING(BGl_string1909z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long)
					473309430),
				BSTRING_TO_STRING(BGl_string1909z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(((long) 459519430),
				BSTRING_TO_STRING(BGl_string1909z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long) 460263214),
				BSTRING_TO_STRING(BGl_string1909z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 97251556),
				BSTRING_TO_STRING(BGl_string1909z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)
					47127928),
				BSTRING_TO_STRING(BGl_string1909z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__r4_input_6_10_2z00(((long) 415828492),
				BSTRING_TO_STRING(BGl_string1909z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(((long)
					317842797),
				BSTRING_TO_STRING(BGl_string1909z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(((long)
					228151370),
				BSTRING_TO_STRING(BGl_string1909z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 509771705),
				BSTRING_TO_STRING(BGl_string1909z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 451655587),
				BSTRING_TO_STRING(BGl_string1909z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long)
					268291731),
				BSTRING_TO_STRING(BGl_string1909z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__ppz00(((long) 233942021),
				BSTRING_TO_STRING(BGl_string1909z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 220648206),
				BSTRING_TO_STRING(BGl_string1909z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__prognz00(((long) 177147622),
				BSTRING_TO_STRING(BGl_string1909z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__expandz00(((long) 511051588),
				BSTRING_TO_STRING(BGl_string1909z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__evenvz00(((long) 335718988),
				BSTRING_TO_STRING(BGl_string1909z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__evcompilez00(((long) 492754569),
				BSTRING_TO_STRING(BGl_string1909z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__everrorz00(((long) 375872221),
				BSTRING_TO_STRING(BGl_string1909z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__evmodulez00(((long) 405883817),
				BSTRING_TO_STRING(BGl_string1909z00zz__evaluate_uncompz00));
			return BGl_modulezd2initializa7ationz75zz__evaluate_typesz00(((long) 0),
				BSTRING_TO_STRING(BGl_string1909z00zz__evaluate_uncompz00));
		}
	}

#ifdef __cplusplus
}
#endif
