/*===========================================================================*/
/*   (Eval/evaluate_use.scm)                                                 */
/*   Bigloo (3.8a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Thu Mar 29 06:52:41 CEST 2012       */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -srfi enable-gmp -srfi bigloo-unsafe -O3 -fcfa-arithmetic -q +rm -lib-dir /users/serrano/prgm/project/bigloo/lib/3.8a -mklib -cc gcc -fsharing -q -no-hello -copt -fPIC -unsafe -safee -O4 -c Eval/evaluate_use.scm -indent -o objs/obj_u/Eval/evaluate_use.c)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_ev_exprz00_bgl
	{
		header_t header;
		obj_t widening;
	}                 *BgL_ev_exprz00_bglt;

	typedef struct BgL_ev_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
		obj_t BgL_effz00;
		obj_t BgL_typez00;
	}                *BgL_ev_varz00_bglt;

	typedef struct BgL_ev_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_namez00;
		obj_t BgL_modz00;
	}                   *BgL_ev_globalz00_bglt;

	typedef struct BgL_ev_littz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_valuez00;
	}                 *BgL_ev_littz00_bglt;

	typedef struct BgL_ev_ifz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_pz00;
		struct BgL_ev_exprz00_bgl *BgL_tz00;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
	}               *BgL_ev_ifz00_bglt;

	typedef struct BgL_ev_listz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_argsz00;
	}                 *BgL_ev_listz00_bglt;

	typedef struct BgL_ev_prog2z00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_e1z00;
		struct BgL_ev_exprz00_bgl *BgL_e2z00;
	}                  *BgL_ev_prog2z00_bglt;

	typedef struct BgL_ev_hookz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
	}                 *BgL_ev_hookz00_bglt;

	typedef struct BgL_ev_setlocalz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		struct BgL_ev_varz00_bgl *BgL_vz00;
	}                     *BgL_ev_setlocalz00_bglt;

	typedef struct BgL_ev_bindzd2exitzd2_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_varz00_bgl *BgL_varz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                        *BgL_ev_bindzd2exitzd2_bglt;

	typedef struct BgL_ev_unwindzd2protectzd2_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                             *BgL_ev_unwindzd2protectzd2_bglt;

	typedef struct BgL_ev_withzd2handlerzd2_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_handlerz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                           *BgL_ev_withzd2handlerzd2_bglt;

	typedef struct BgL_ev_binderz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                   *BgL_ev_binderz00_bglt;

	typedef struct BgL_ev_labelsz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		obj_t BgL_envz00;
		obj_t BgL_stkz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		obj_t BgL_boxesz00;
	}                   *BgL_ev_labelsz00_bglt;

	typedef struct BgL_ev_gotoz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_ev_varz00_bgl *BgL_labelz00;
		struct BgL_ev_labelsz00_bgl *BgL_labelsz00;
		obj_t BgL_argsz00;
	}                 *BgL_ev_gotoz00_bglt;

	typedef struct BgL_ev_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_ev_exprz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_tailzf3zf3;
	}                *BgL_ev_appz00_bglt;

	typedef struct BgL_ev_absz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_wherez00;
		obj_t BgL_arityz00;
		obj_t BgL_varsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		int BgL_siza7eza7;
		obj_t BgL_bindz00;
		obj_t BgL_freez00;
		obj_t BgL_innerz00;
		obj_t BgL_boxesz00;
	}                *BgL_ev_absz00_bglt;


	static obj_t BGl_requirezd2initializa7ationz75zz__evaluate_usez00 = BUNSPEC;
	extern obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62use1114z62zz__evaluate_usez00(obj_t, BgL_ev_exprz00_bglt,
		obj_t);
	extern obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_toplevelzd2initzd2zz__evaluate_usez00();
	static obj_t BGl_z62usezd2ev_hook1129zb0zz__evaluate_usez00(obj_t,
		BgL_ev_hookz00_bglt, obj_t);
	static obj_t BGl_z62usezd2ev_withzd2handler1137z62zz__evaluate_usez00(obj_t,
		BgL_ev_withzd2handlerzd2_bglt, obj_t);
	static obj_t BGl_z62usezd2ev_unwindzd2protec1135z62zz__evaluate_usez00(obj_t,
		BgL_ev_unwindzd2protectzd2_bglt, obj_t);
	static obj_t BGl_genericzd2initzd2zz__evaluate_usez00();
	extern obj_t BGl_ev_prog2z00zz__evaluate_typesz00;
	static obj_t BGl_objectzd2initzd2zz__evaluate_usez00();
	extern obj_t BGl_ev_bindzd2exitzd2zz__evaluate_typesz00;
	extern obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	static obj_t BGl_z62usezd2ev_global1119zb0zz__evaluate_usez00(obj_t,
		BgL_ev_globalz00_bglt, obj_t);
	extern obj_t BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00;
	static obj_t BGl_z62usezd2ev_goto1145zb0zz__evaluate_usez00(obj_t,
		BgL_ev_gotoz00_bglt, obj_t);
	static obj_t BGl_z62usezd2ev_bindzd2exit1133z62zz__evaluate_usez00(obj_t,
		BgL_ev_bindzd2exitzd2_bglt, obj_t);
	extern obj_t bstring_to_symbol(obj_t);
	static obj_t BGl_z62usezd2ev_var1117zb0zz__evaluate_usez00(obj_t,
		BgL_ev_varz00_bglt, obj_t);
	static obj_t BGl_z62usezd2ev_labels1143zb0zz__evaluate_usez00(obj_t,
		BgL_ev_labelsz00_bglt, obj_t);
	extern bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
	extern obj_t BGl_ev_labelsz00zz__evaluate_typesz00;
	static obj_t BGl_methodzd2initzd2zz__evaluate_usez00();
	extern obj_t BGl_ev_absz00zz__evaluate_typesz00;
	static obj_t BGl_z62usezd2ev_setlocal1131zb0zz__evaluate_usez00(obj_t,
		BgL_ev_setlocalz00_bglt, obj_t);
	extern obj_t BGl_ev_ifz00zz__evaluate_typesz00;
	extern obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_ev_hookz00zz__evaluate_typesz00;
	static obj_t BGl_z62usezd2ev_app1147zb0zz__evaluate_usez00(obj_t,
		BgL_ev_appz00_bglt, obj_t);
	extern obj_t BGl_ev_gotoz00zz__evaluate_typesz00;
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zz__evaluate_usez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evaluate_typesz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evmodulez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__everrorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evcompilez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evenvz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__expandz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__prognz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__ppz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_input_6_10_2z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonum_dtoaz00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(long, char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__threadz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__dssslz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bignumz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__structurez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__tvectorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__typez00(long, char *);
	extern obj_t BGl_ev_globalz00zz__evaluate_typesz00;
	extern obj_t BGl_ev_binderz00zz__evaluate_typesz00;
	extern obj_t BGl_ev_listz00zz__evaluate_typesz00;
	extern obj_t BGl_ev_littz00zz__evaluate_typesz00;
	static obj_t BGl_z62usezd2ev_list1125zb0zz__evaluate_usez00(obj_t,
		BgL_ev_listz00_bglt, obj_t);
	extern obj_t BGl_ev_varz00zz__evaluate_typesz00;
	static obj_t BGl_cnstzd2initzd2zz__evaluate_usez00();
	static obj_t BGl_z62usezd2ev_binder1139zb0zz__evaluate_usez00(obj_t,
		BgL_ev_binderz00_bglt, obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zz__evaluate_usez00();
	static obj_t BGl_z62usez62zz__evaluate_usez00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62usezd2ev_binder1141zb0zz__evaluate_usez00(obj_t,
		BgL_ev_binderz00_bglt, obj_t);
	static obj_t BGl_z62usezd2ev_abs1149zb0zz__evaluate_usez00(obj_t,
		BgL_ev_absz00_bglt, obj_t);
	extern obj_t BGl_ev_withzd2handlerzd2zz__evaluate_typesz00;
	extern obj_t BGl_ev_exprz00zz__evaluate_typesz00;
	extern obj_t BGl_ev_appz00zz__evaluate_typesz00;
	static obj_t BGl_z62usezd2ev_litt1121zb0zz__evaluate_usez00(obj_t,
		BgL_ev_littz00_bglt, obj_t);
	extern obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62usezd2ev_if1123zb0zz__evaluate_usez00(obj_t,
		BgL_ev_ifz00_bglt, obj_t);
	static obj_t BGl_symbol1564z00zz__evaluate_usez00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t BGl_usez00zz__evaluate_usez00(BgL_ev_exprz00_bglt,
		obj_t);
	extern obj_t BGl_ev_setlocalz00zz__evaluate_typesz00;
	static obj_t BGl_z62usezd2ev_prog21127zb0zz__evaluate_usez00(obj_t,
		BgL_ev_prog2z00_bglt, obj_t);
	static obj_t *__cnst;


	   
		 
		DEFINE_STRING(BGl_string1563z00zz__evaluate_usez00,
		BgL_bgl_string1563za700za7za7_1588za7, "use1114", 7);
	      DEFINE_STRING(BGl_string1565z00zz__evaluate_usez00,
		BgL_bgl_string1565za700za7za7_1589za7, "No method for this object", 25);
	      DEFINE_STRING(BGl_string1566z00zz__evaluate_usez00,
		BgL_bgl_string1566za700za7za7_1590za7,
		"/tmp/bigloo/runtime/Eval/evaluate_use.scm", 41);
	      DEFINE_STRING(BGl_string1567z00zz__evaluate_usez00,
		BgL_bgl_string1567za700za7za7_1591za7, "&use", 4);
	      DEFINE_STRING(BGl_string1568z00zz__evaluate_usez00,
		BgL_bgl_string1568za700za7za7_1592za7, "ev_expr", 7);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1562z00zz__evaluate_usez00,
		BgL_bgl_za762use1114za762za7za7_1593z00,
		BGl_z62use1114z62zz__evaluate_usez00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string1570z00zz__evaluate_usez00,
		BgL_bgl_string1570za700za7za7_1594za7, "use", 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1569z00zz__evaluate_usez00,
		BgL_bgl_za762useza7d2ev_var11595z00,
		BGl_z62usezd2ev_var1117zb0zz__evaluate_usez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1571z00zz__evaluate_usez00,
		BgL_bgl_za762useza7d2ev_glob1596z00,
		BGl_z62usezd2ev_global1119zb0zz__evaluate_usez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1572z00zz__evaluate_usez00,
		BgL_bgl_za762useza7d2ev_litt1597z00,
		BGl_z62usezd2ev_litt1121zb0zz__evaluate_usez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1573z00zz__evaluate_usez00,
		BgL_bgl_za762useza7d2ev_if111598z00,
		BGl_z62usezd2ev_if1123zb0zz__evaluate_usez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1574z00zz__evaluate_usez00,
		BgL_bgl_za762useza7d2ev_list1599z00,
		BGl_z62usezd2ev_list1125zb0zz__evaluate_usez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1575z00zz__evaluate_usez00,
		BgL_bgl_za762useza7d2ev_prog1600z00,
		BGl_z62usezd2ev_prog21127zb0zz__evaluate_usez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1576z00zz__evaluate_usez00,
		BgL_bgl_za762useza7d2ev_hook1601z00,
		BGl_z62usezd2ev_hook1129zb0zz__evaluate_usez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1577z00zz__evaluate_usez00,
		BgL_bgl_za762useza7d2ev_setl1602z00,
		BGl_z62usezd2ev_setlocal1131zb0zz__evaluate_usez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1578z00zz__evaluate_usez00,
		BgL_bgl_za762useza7d2ev_bind1603z00,
		BGl_z62usezd2ev_bindzd2exit1133z62zz__evaluate_usez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1579z00zz__evaluate_usez00,
		BgL_bgl_za762useza7d2ev_unwi1604z00,
		BGl_z62usezd2ev_unwindzd2protec1135z62zz__evaluate_usez00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string1587z00zz__evaluate_usez00,
		BgL_bgl_string1587za700za7za7_1605za7, "__evaluate_use", 14);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1580z00zz__evaluate_usez00,
		BgL_bgl_za762useza7d2ev_with1606z00,
		BGl_z62usezd2ev_withzd2handler1137z62zz__evaluate_usez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1581z00zz__evaluate_usez00,
		BgL_bgl_za762useza7d2ev_bind1607z00,
		BGl_z62usezd2ev_binder1139zb0zz__evaluate_usez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1582z00zz__evaluate_usez00,
		BgL_bgl_za762useza7d2ev_bind1608z00,
		BGl_z62usezd2ev_binder1141zb0zz__evaluate_usez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1583z00zz__evaluate_usez00,
		BgL_bgl_za762useza7d2ev_labe1609z00,
		BGl_z62usezd2ev_labels1143zb0zz__evaluate_usez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1584z00zz__evaluate_usez00,
		BgL_bgl_za762useza7d2ev_goto1610z00,
		BGl_z62usezd2ev_goto1145zb0zz__evaluate_usez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1585z00zz__evaluate_usez00,
		BgL_bgl_za762useza7d2ev_app11611z00,
		BGl_z62usezd2ev_app1147zb0zz__evaluate_usez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1586z00zz__evaluate_usez00,
		BgL_bgl_za762useza7d2ev_abs11612z00,
		BGl_z62usezd2ev_abs1149zb0zz__evaluate_usez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_GENERIC(BGl_usezd2envzd2zz__evaluate_usez00,
		BgL_bgl_za762useza762za7za7__eva1613z00, BGl_z62usez62zz__evaluate_usez00,
		0L, BUNSPEC, 2);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zz__evaluate_usez00(long
		BgL_checksumz00_1650, char *BgL_fromz00_1651)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zz__evaluate_usez00))
				{
					BGl_requirezd2initializa7ationz75zz__evaluate_usez00 =
						BBOOL(((bool_t) 0));
					BGl_cnstzd2initzd2zz__evaluate_usez00();
					BGl_importedzd2moduleszd2initz00zz__evaluate_usez00();
					BGl_genericzd2initzd2zz__evaluate_usez00();
					BGl_methodzd2initzd2zz__evaluate_usez00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zz__evaluate_usez00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_use.scm 15 */
			return (BGl_symbol1564z00zz__evaluate_usez00 =
				bstring_to_symbol(BGl_string1563z00zz__evaluate_usez00), BUNSPEC);
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zz__evaluate_usez00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_use.scm 15 */
			return BUNSPEC;
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zz__evaluate_usez00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_use.scm 15 */
			return BUNSPEC;
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zz__evaluate_usez00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_use.scm 15 */
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_usezd2envzd2zz__evaluate_usez00,
				BGl_proc1562z00zz__evaluate_usez00, BGl_ev_exprz00zz__evaluate_typesz00,
				BGl_string1563z00zz__evaluate_usez00);
		}
	}



/* &use1114 */
	obj_t BGl_z62use1114z62zz__evaluate_usez00(obj_t BgL_envz00_1569,
		BgL_ev_exprz00_bglt BgL_ez00_1570, obj_t BgL_donez00_1571)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_use.scm 63 */
			{
				BgL_ev_exprz00_bglt BgL_ez00_672;
				obj_t BgL_donez00_673;

				BgL_ez00_672 = BgL_ez00_1570;
				BgL_donez00_673 = BgL_donez00_1571;
				return
					BGl_errorz00zz__errorz00(BGl_symbol1564z00zz__evaluate_usez00,
					BGl_string1565z00zz__evaluate_usez00, ((obj_t) BgL_ez00_672));
			}
		}
	}



/* use */
	BGL_EXPORTED_DEF obj_t BGl_usez00zz__evaluate_usez00(BgL_ev_exprz00_bglt
		BgL_ez00_3, obj_t BgL_donez00_4)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_use.scm 63 */
			{	/* Eval/evaluate_use.scm 63 */
				obj_t BgL_method1115z00_676;

				{	/* Eval/evaluate_use.scm 63 */
					obj_t BgL_res1505z00_1131;

					{	/* Eval/evaluate_use.scm 63 */
						BgL_objectz00_bglt BgL_objz00_1103;

						BgL_objz00_1103 = ((BgL_objectz00_bglt) BgL_ez00_3);
						{	/* Eval/evaluate_use.scm 63 */
							long BgL_objzd2classzd2numz00_1104;

							{	/* Eval/evaluate_use.scm 63 */
								long BgL_res1499z00_1107;

								BgL_res1499z00_1107 = BGL_OBJECT_CLASS_NUM(BgL_objz00_1103);
								BgL_objzd2classzd2numz00_1104 = BgL_res1499z00_1107;
							}
							{	/* Eval/evaluate_use.scm 63 */
								obj_t BgL_arg1488z00_1105;

								BgL_arg1488z00_1105 =
									PROCEDURE_REF(BGl_usezd2envzd2zz__evaluate_usez00,
									(int) (((long) 1)));
								{	/* Eval/evaluate_use.scm 63 */
									obj_t BgL_arrayz00_1108;
									int BgL_offsetz00_1109;

									BgL_arrayz00_1108 = BgL_arg1488z00_1105;
									BgL_offsetz00_1109 = (int) (BgL_objzd2classzd2numz00_1104);
									{	/* Eval/evaluate_use.scm 63 */
										long BgL_offsetz00_1110;

										BgL_offsetz00_1110 =
											((long) (BgL_offsetz00_1109) - OBJECT_TYPE);
										{	/* Eval/evaluate_use.scm 63 */
											long BgL_modz00_1111;

											{	/* Eval/evaluate_use.scm 63 */
												int BgL_arg1491z00_1112;

												BgL_arg1491z00_1112 = (int) (((long) 16));
												{	/* Eval/evaluate_use.scm 63 */
													long BgL_res1502z00_1122;

													{	/* Eval/evaluate_use.scm 63 */
														long BgL_auxz00_1671;

														BgL_auxz00_1671 = (long) (BgL_arg1491z00_1112);
														BgL_res1502z00_1122 =
															(BgL_offsetz00_1110 / BgL_auxz00_1671);
													}
													BgL_modz00_1111 = BgL_res1502z00_1122;
											}}
											{	/* Eval/evaluate_use.scm 63 */
												long BgL_restz00_1113;

												{	/* Eval/evaluate_use.scm 63 */
													int BgL_arg1489z00_1114;

													BgL_arg1489z00_1114 = (int) (((long) 16));
													{	/* Eval/evaluate_use.scm 63 */
														long BgL_res1504z00_1126;

														{	/* Eval/evaluate_use.scm 63 */
															long BgL_auxz00_1675;

															BgL_auxz00_1675 = (long) (BgL_arg1489z00_1114);
															BgL_res1504z00_1126 =
																(BgL_offsetz00_1110 % BgL_auxz00_1675);
														}
														BgL_restz00_1113 = BgL_res1504z00_1126;
												}}
												{	/* Eval/evaluate_use.scm 63 */

													BgL_res1505z00_1131 =
														VECTOR_REF(VECTOR_REF(BgL_arrayz00_1108,
															(int) (BgL_modz00_1111)),
														(int) (BgL_restz00_1113));
					}}}}}}}}
					BgL_method1115z00_676 = BgL_res1505z00_1131;
				}
				return
					PROCEDURE_ENTRY(BgL_method1115z00_676) (BgL_method1115z00_676,
					((obj_t) BgL_ez00_3), BgL_donez00_4, BEOA);
			}
		}
	}



/* &use */
	obj_t BGl_z62usez62zz__evaluate_usez00(obj_t BgL_envz00_1572,
		obj_t BgL_ez00_1573, obj_t BgL_donez00_1574)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_use.scm 63 */
			{	/* Eval/evaluate_use.scm 63 */
				BgL_ev_exprz00_bglt BgL_auxz00_1688;

				if (BGl_isazf3zf3zz__objectz00(BgL_ez00_1573,
						BGl_ev_exprz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_use.scm 63 */
						BgL_auxz00_1688 = ((BgL_ev_exprz00_bglt) BgL_ez00_1573);
					}
				else
					{
						obj_t BgL_auxz00_1692;

						BgL_auxz00_1692 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string1566z00zz__evaluate_usez00, BINT(((long) 1809)),
							BGl_string1567z00zz__evaluate_usez00,
							BGl_string1568z00zz__evaluate_usez00, BgL_ez00_1573);
						FAILURE(BgL_auxz00_1692, BFALSE, BFALSE);
					}
				return BGl_usez00zz__evaluate_usez00(BgL_auxz00_1688, BgL_donez00_1574);
			}
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zz__evaluate_usez00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_use.scm 15 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_usezd2envzd2zz__evaluate_usez00,
				BGl_ev_varz00zz__evaluate_typesz00, BGl_proc1569z00zz__evaluate_usez00,
				BGl_string1570z00zz__evaluate_usez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_usezd2envzd2zz__evaluate_usez00,
				BGl_ev_globalz00zz__evaluate_typesz00,
				BGl_proc1571z00zz__evaluate_usez00,
				BGl_string1570z00zz__evaluate_usez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_usezd2envzd2zz__evaluate_usez00,
				BGl_ev_littz00zz__evaluate_typesz00, BGl_proc1572z00zz__evaluate_usez00,
				BGl_string1570z00zz__evaluate_usez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_usezd2envzd2zz__evaluate_usez00, BGl_ev_ifz00zz__evaluate_typesz00,
				BGl_proc1573z00zz__evaluate_usez00,
				BGl_string1570z00zz__evaluate_usez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_usezd2envzd2zz__evaluate_usez00,
				BGl_ev_listz00zz__evaluate_typesz00, BGl_proc1574z00zz__evaluate_usez00,
				BGl_string1570z00zz__evaluate_usez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_usezd2envzd2zz__evaluate_usez00,
				BGl_ev_prog2z00zz__evaluate_typesz00,
				BGl_proc1575z00zz__evaluate_usez00,
				BGl_string1570z00zz__evaluate_usez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_usezd2envzd2zz__evaluate_usez00,
				BGl_ev_hookz00zz__evaluate_typesz00, BGl_proc1576z00zz__evaluate_usez00,
				BGl_string1570z00zz__evaluate_usez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_usezd2envzd2zz__evaluate_usez00,
				BGl_ev_setlocalz00zz__evaluate_typesz00,
				BGl_proc1577z00zz__evaluate_usez00,
				BGl_string1570z00zz__evaluate_usez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_usezd2envzd2zz__evaluate_usez00,
				BGl_ev_bindzd2exitzd2zz__evaluate_typesz00,
				BGl_proc1578z00zz__evaluate_usez00,
				BGl_string1570z00zz__evaluate_usez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_usezd2envzd2zz__evaluate_usez00,
				BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00,
				BGl_proc1579z00zz__evaluate_usez00,
				BGl_string1570z00zz__evaluate_usez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_usezd2envzd2zz__evaluate_usez00,
				BGl_ev_withzd2handlerzd2zz__evaluate_typesz00,
				BGl_proc1580z00zz__evaluate_usez00,
				BGl_string1570z00zz__evaluate_usez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_usezd2envzd2zz__evaluate_usez00,
				BGl_ev_binderz00zz__evaluate_typesz00,
				BGl_proc1581z00zz__evaluate_usez00,
				BGl_string1570z00zz__evaluate_usez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_usezd2envzd2zz__evaluate_usez00,
				BGl_ev_binderz00zz__evaluate_typesz00,
				BGl_proc1582z00zz__evaluate_usez00,
				BGl_string1570z00zz__evaluate_usez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_usezd2envzd2zz__evaluate_usez00,
				BGl_ev_labelsz00zz__evaluate_typesz00,
				BGl_proc1583z00zz__evaluate_usez00,
				BGl_string1570z00zz__evaluate_usez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_usezd2envzd2zz__evaluate_usez00,
				BGl_ev_gotoz00zz__evaluate_typesz00, BGl_proc1584z00zz__evaluate_usez00,
				BGl_string1570z00zz__evaluate_usez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_usezd2envzd2zz__evaluate_usez00,
				BGl_ev_appz00zz__evaluate_typesz00, BGl_proc1585z00zz__evaluate_usez00,
				BGl_string1570z00zz__evaluate_usez00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_usezd2envzd2zz__evaluate_usez00,
				BGl_ev_absz00zz__evaluate_typesz00, BGl_proc1586z00zz__evaluate_usez00,
				BGl_string1570z00zz__evaluate_usez00);
		}
	}



/* &use-ev_abs1149 */
	obj_t BGl_z62usezd2ev_abs1149zb0zz__evaluate_usez00(obj_t BgL_envz00_1592,
		BgL_ev_absz00_bglt BgL_ez00_1593, obj_t BgL_donez00_1594)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_use.scm 136 */
			{
				BgL_ev_absz00_bglt BgL_ez00_813;
				obj_t BgL_donez00_814;

				BgL_ez00_813 = BgL_ez00_1593;
				BgL_donez00_814 = BgL_donez00_1594;
				return
					BGl_usez00zz__evaluate_usez00(
					(((BgL_ev_absz00_bglt) CREF(BgL_ez00_813))->BgL_bodyz00),
					BgL_donez00_814);
			}
		}
	}



/* &use-ev_app1147 */
	obj_t BGl_z62usezd2ev_app1147zb0zz__evaluate_usez00(obj_t BgL_envz00_1595,
		BgL_ev_appz00_bglt BgL_ez00_1596, obj_t BgL_donez00_1597)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_use.scm 132 */
			{
				BgL_ev_appz00_bglt BgL_ez00_804;
				obj_t BgL_donez00_805;

				BgL_ez00_804 = BgL_ez00_1596;
				BgL_donez00_805 = BgL_donez00_1597;
				{	/* Eval/evaluate_use.scm 133 */
					BgL_ev_exprz00_bglt BgL_arg1265z00_1279;
					obj_t BgL_arg1268z00_1280;

					BgL_arg1265z00_1279 =
						(((BgL_ev_appz00_bglt) CREF(BgL_ez00_804))->BgL_funz00);
					{	/* Eval/evaluate_use.scm 133 */
						obj_t BgL_arg1269z00_1281;

						BgL_arg1269z00_1281 =
							(((BgL_ev_appz00_bglt) CREF(BgL_ez00_804))->BgL_argsz00);
						{
							obj_t BgL_lz00_1283;
							obj_t BgL_donez00_1284;

							BgL_lz00_1283 = BgL_arg1269z00_1281;
							BgL_donez00_1284 = BgL_donez00_805;
						BgL_useza2za2_1282:
							if (NULLP(BgL_lz00_1283))
								{	/* Eval/evaluate_use.scm 133 */
									BgL_arg1268z00_1280 = BgL_donez00_1284;
								}
							else
								{	/* Eval/evaluate_use.scm 133 */
									obj_t BgL_arg1193z00_1290;
									obj_t BgL_arg1195z00_1291;

									BgL_arg1193z00_1290 = CDR(BgL_lz00_1283);
									{	/* Eval/evaluate_use.scm 133 */
										obj_t BgL_arg1196z00_1292;

										BgL_arg1196z00_1292 = CAR(BgL_lz00_1283);
										BgL_arg1195z00_1291 =
											BGl_usez00zz__evaluate_usez00(
											((BgL_ev_exprz00_bglt) BgL_arg1196z00_1292),
											BgL_donez00_1284);
									}
									{
										obj_t BgL_donez00_1725;
										obj_t BgL_lz00_1724;

										BgL_lz00_1724 = BgL_arg1193z00_1290;
										BgL_donez00_1725 = BgL_arg1195z00_1291;
										BgL_donez00_1284 = BgL_donez00_1725;
										BgL_lz00_1283 = BgL_lz00_1724;
										goto BgL_useza2za2_1282;
									}
								}
						}
					}
					return
						BGl_usez00zz__evaluate_usez00(BgL_arg1265z00_1279,
						BgL_arg1268z00_1280);
				}
			}
		}
	}



/* &use-ev_goto1145 */
	obj_t BGl_z62usezd2ev_goto1145zb0zz__evaluate_usez00(obj_t BgL_envz00_1598,
		BgL_ev_gotoz00_bglt BgL_ez00_1599, obj_t BgL_donez00_1600)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_use.scm 128 */
			{
				BgL_ev_gotoz00_bglt BgL_ez00_797;
				obj_t BgL_donez00_798;

				BgL_ez00_797 = BgL_ez00_1599;
				BgL_donez00_798 = BgL_donez00_1600;
				{	/* Eval/evaluate_use.scm 129 */
					obj_t BgL_arg1264z00_1262;

					BgL_arg1264z00_1262 =
						(((BgL_ev_gotoz00_bglt) CREF(BgL_ez00_797))->BgL_argsz00);
					{
						obj_t BgL_lz00_1264;
						obj_t BgL_donez00_1265;

						BgL_lz00_1264 = BgL_arg1264z00_1262;
						BgL_donez00_1265 = BgL_donez00_798;
					BgL_useza2za2_1263:
						if (NULLP(BgL_lz00_1264))
							{	/* Eval/evaluate_use.scm 129 */
								return BgL_donez00_1265;
							}
						else
							{	/* Eval/evaluate_use.scm 129 */
								obj_t BgL_arg1193z00_1271;
								obj_t BgL_arg1195z00_1272;

								BgL_arg1193z00_1271 = CDR(BgL_lz00_1264);
								{	/* Eval/evaluate_use.scm 129 */
									obj_t BgL_arg1196z00_1273;

									BgL_arg1196z00_1273 = CAR(BgL_lz00_1264);
									BgL_arg1195z00_1272 =
										BGl_usez00zz__evaluate_usez00(
										((BgL_ev_exprz00_bglt) BgL_arg1196z00_1273),
										BgL_donez00_1265);
								}
								{
									obj_t BgL_donez00_1735;
									obj_t BgL_lz00_1734;

									BgL_lz00_1734 = BgL_arg1193z00_1271;
									BgL_donez00_1735 = BgL_arg1195z00_1272;
									BgL_donez00_1265 = BgL_donez00_1735;
									BgL_lz00_1264 = BgL_lz00_1734;
									goto BgL_useza2za2_1263;
								}
							}
					}
				}
			}
		}
	}



/* &use-ev_labels1143 */
	obj_t BGl_z62usezd2ev_labels1143zb0zz__evaluate_usez00(obj_t BgL_envz00_1601,
		BgL_ev_labelsz00_bglt BgL_ez00_1602, obj_t BgL_donez00_1603)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_use.scm 121 */
			{
				BgL_ev_labelsz00_bglt BgL_ez00_780;
				obj_t BgL_donez00_781;

				BgL_ez00_780 = BgL_ez00_1602;
				BgL_donez00_781 = BgL_donez00_1603;
				{	/* Eval/evaluate_use.scm 123 */
					obj_t BgL_arg1254z00_786;

					BgL_arg1254z00_786 =
						(((BgL_ev_labelsz00_bglt) CREF(BgL_ez00_780))->BgL_valsz00);
					{
						obj_t BgL_lz00_1242;
						obj_t BgL_donez00_1243;

						BgL_lz00_1242 = BgL_arg1254z00_786;
						BgL_donez00_1243 = BgL_donez00_781;
					BgL_recz00_1241:
						if (NULLP(BgL_lz00_1242))
							{	/* Eval/evaluate_use.scm 123 */
								return
									BGl_usez00zz__evaluate_usez00(
									(((BgL_ev_labelsz00_bglt) CREF(BgL_ez00_780))->BgL_bodyz00),
									BgL_donez00_1243);
							}
						else
							{	/* Eval/evaluate_use.scm 123 */
								obj_t BgL_arg1258z00_1251;
								obj_t BgL_arg1261z00_1252;

								BgL_arg1258z00_1251 = CDR(BgL_lz00_1242);
								{	/* Eval/evaluate_use.scm 123 */
									obj_t BgL_arg1263z00_1253;

									{	/* Eval/evaluate_use.scm 123 */
										obj_t BgL_pairz00_1257;

										BgL_pairz00_1257 = BgL_lz00_1242;
										BgL_arg1263z00_1253 = CAR(CDR(BgL_pairz00_1257));
									}
									BgL_arg1261z00_1252 =
										BGl_usez00zz__evaluate_usez00(
										((BgL_ev_exprz00_bglt) BgL_arg1263z00_1253),
										BgL_donez00_1243);
								}
								{
									obj_t BgL_donez00_1747;
									obj_t BgL_lz00_1746;

									BgL_lz00_1746 = BgL_arg1258z00_1251;
									BgL_donez00_1747 = BgL_arg1261z00_1252;
									BgL_donez00_1243 = BgL_donez00_1747;
									BgL_lz00_1242 = BgL_lz00_1746;
									goto BgL_recz00_1241;
								}
							}
					}
				}
			}
		}
	}



/* &use-ev_binder1141 */
	obj_t BGl_z62usezd2ev_binder1141zb0zz__evaluate_usez00(obj_t BgL_envz00_1604,
		BgL_ev_binderz00_bglt BgL_ez00_1605, obj_t BgL_donez00_1606)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_use.scm 117 */
			{
				BgL_ev_binderz00_bglt BgL_ez00_771;
				obj_t BgL_donez00_772;

				BgL_ez00_771 = BgL_ez00_1605;
				BgL_donez00_772 = BgL_donez00_1606;
				{	/* Eval/evaluate_use.scm 118 */
					BgL_ev_exprz00_bglt BgL_arg1251z00_1197;
					obj_t BgL_arg1252z00_1198;

					BgL_arg1251z00_1197 =
						(((BgL_ev_binderz00_bglt) CREF(BgL_ez00_771))->BgL_bodyz00);
					{	/* Eval/evaluate_use.scm 118 */
						obj_t BgL_arg1253z00_1199;

						BgL_arg1253z00_1199 =
							(((BgL_ev_binderz00_bglt) CREF(BgL_ez00_771))->BgL_valsz00);
						{
							obj_t BgL_lz00_1201;
							obj_t BgL_donez00_1202;

							BgL_lz00_1201 = BgL_arg1253z00_1199;
							BgL_donez00_1202 = BgL_donez00_772;
						BgL_useza2za2_1200:
							if (NULLP(BgL_lz00_1201))
								{	/* Eval/evaluate_use.scm 118 */
									BgL_arg1252z00_1198 = BgL_donez00_1202;
								}
							else
								{	/* Eval/evaluate_use.scm 118 */
									obj_t BgL_arg1193z00_1208;
									obj_t BgL_arg1195z00_1209;

									BgL_arg1193z00_1208 = CDR(BgL_lz00_1201);
									{	/* Eval/evaluate_use.scm 118 */
										obj_t BgL_arg1196z00_1210;

										BgL_arg1196z00_1210 = CAR(BgL_lz00_1201);
										BgL_arg1195z00_1209 =
											BGl_usez00zz__evaluate_usez00(
											((BgL_ev_exprz00_bglt) BgL_arg1196z00_1210),
											BgL_donez00_1202);
									}
									{
										obj_t BgL_donez00_1757;
										obj_t BgL_lz00_1756;

										BgL_lz00_1756 = BgL_arg1193z00_1208;
										BgL_donez00_1757 = BgL_arg1195z00_1209;
										BgL_donez00_1202 = BgL_donez00_1757;
										BgL_lz00_1201 = BgL_lz00_1756;
										goto BgL_useza2za2_1200;
									}
								}
						}
					}
					return
						BGl_usez00zz__evaluate_usez00(BgL_arg1251z00_1197,
						BgL_arg1252z00_1198);
				}
			}
		}
	}



/* &use-ev_binder1139 */
	obj_t BGl_z62usezd2ev_binder1139zb0zz__evaluate_usez00(obj_t BgL_envz00_1607,
		BgL_ev_binderz00_bglt BgL_ez00_1608, obj_t BgL_donez00_1609)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_use.scm 113 */
			{
				BgL_ev_binderz00_bglt BgL_ez00_762;
				obj_t BgL_donez00_763;

				BgL_ez00_762 = BgL_ez00_1608;
				BgL_donez00_763 = BgL_donez00_1609;
				{	/* Eval/evaluate_use.scm 114 */
					BgL_ev_exprz00_bglt BgL_arg1248z00_1178;
					obj_t BgL_arg1249z00_1179;

					BgL_arg1248z00_1178 =
						(((BgL_ev_binderz00_bglt) CREF(BgL_ez00_762))->BgL_bodyz00);
					{	/* Eval/evaluate_use.scm 114 */
						obj_t BgL_arg1250z00_1180;

						BgL_arg1250z00_1180 =
							(((BgL_ev_binderz00_bglt) CREF(BgL_ez00_762))->BgL_valsz00);
						{
							obj_t BgL_lz00_1182;
							obj_t BgL_donez00_1183;

							BgL_lz00_1182 = BgL_arg1250z00_1180;
							BgL_donez00_1183 = BgL_donez00_763;
						BgL_useza2za2_1181:
							if (NULLP(BgL_lz00_1182))
								{	/* Eval/evaluate_use.scm 114 */
									BgL_arg1249z00_1179 = BgL_donez00_1183;
								}
							else
								{	/* Eval/evaluate_use.scm 114 */
									obj_t BgL_arg1193z00_1189;
									obj_t BgL_arg1195z00_1190;

									BgL_arg1193z00_1189 = CDR(BgL_lz00_1182);
									{	/* Eval/evaluate_use.scm 114 */
										obj_t BgL_arg1196z00_1191;

										BgL_arg1196z00_1191 = CAR(BgL_lz00_1182);
										BgL_arg1195z00_1190 =
											BGl_usez00zz__evaluate_usez00(
											((BgL_ev_exprz00_bglt) BgL_arg1196z00_1191),
											BgL_donez00_1183);
									}
									{
										obj_t BgL_donez00_1768;
										obj_t BgL_lz00_1767;

										BgL_lz00_1767 = BgL_arg1193z00_1189;
										BgL_donez00_1768 = BgL_arg1195z00_1190;
										BgL_donez00_1183 = BgL_donez00_1768;
										BgL_lz00_1182 = BgL_lz00_1767;
										goto BgL_useza2za2_1181;
									}
								}
						}
					}
					return
						BGl_usez00zz__evaluate_usez00(BgL_arg1248z00_1178,
						BgL_arg1249z00_1179);
				}
			}
		}
	}



/* &use-ev_with-handler1137 */
	obj_t BGl_z62usezd2ev_withzd2handler1137z62zz__evaluate_usez00(obj_t
		BgL_envz00_1610, BgL_ev_withzd2handlerzd2_bglt BgL_ez00_1611,
		obj_t BgL_donez00_1612)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_use.scm 109 */
			{
				BgL_ev_withzd2handlerzd2_bglt BgL_ez00_753;
				obj_t BgL_donez00_754;

				BgL_ez00_753 = BgL_ez00_1611;
				BgL_donez00_754 = BgL_donez00_1612;
				return
					BGl_usez00zz__evaluate_usez00(
					(((BgL_ev_withzd2handlerzd2_bglt) CREF(BgL_ez00_753))->
						BgL_handlerz00),
					BGl_usez00zz__evaluate_usez00((((BgL_ev_withzd2handlerzd2_bglt)
								CREF(BgL_ez00_753))->BgL_bodyz00), BgL_donez00_754));
			}
		}
	}



/* &use-ev_unwind-protec1135 */
	obj_t BGl_z62usezd2ev_unwindzd2protec1135z62zz__evaluate_usez00(obj_t
		BgL_envz00_1613, BgL_ev_unwindzd2protectzd2_bglt BgL_ez00_1614,
		obj_t BgL_donez00_1615)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_use.scm 105 */
			{
				BgL_ev_unwindzd2protectzd2_bglt BgL_ez00_744;
				obj_t BgL_donez00_745;

				BgL_ez00_744 = BgL_ez00_1614;
				BgL_donez00_745 = BgL_donez00_1615;
				return
					BGl_usez00zz__evaluate_usez00(
					(((BgL_ev_unwindzd2protectzd2_bglt) CREF(BgL_ez00_744))->BgL_ez00),
					BGl_usez00zz__evaluate_usez00(
						(((BgL_ev_unwindzd2protectzd2_bglt) CREF(BgL_ez00_744))->
							BgL_bodyz00), BgL_donez00_745));
			}
		}
	}



/* &use-ev_bind-exit1133 */
	obj_t BGl_z62usezd2ev_bindzd2exit1133z62zz__evaluate_usez00(obj_t
		BgL_envz00_1616, BgL_ev_bindzd2exitzd2_bglt BgL_ez00_1617,
		obj_t BgL_donez00_1618)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_use.scm 101 */
			{
				BgL_ev_bindzd2exitzd2_bglt BgL_ez00_737;
				obj_t BgL_donez00_738;

				BgL_ez00_737 = BgL_ez00_1617;
				BgL_donez00_738 = BgL_donez00_1618;
				return
					BGl_usez00zz__evaluate_usez00(
					(((BgL_ev_bindzd2exitzd2_bglt) CREF(BgL_ez00_737))->BgL_bodyz00),
					BgL_donez00_738);
			}
		}
	}



/* &use-ev_setlocal1131 */
	obj_t BGl_z62usezd2ev_setlocal1131zb0zz__evaluate_usez00(obj_t
		BgL_envz00_1619, BgL_ev_setlocalz00_bglt BgL_ez00_1620,
		obj_t BgL_donez00_1621)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_use.scm 96 */
			{
				BgL_ev_setlocalz00_bglt BgL_ez00_727;
				obj_t BgL_donez00_728;

				BgL_ez00_727 = BgL_ez00_1620;
				BgL_donez00_728 = BgL_donez00_1621;
				{	/* Eval/evaluate_use.scm 97 */
					bool_t BgL_testz00_1780;

					{	/* Eval/evaluate_use.scm 97 */
						BgL_ev_varz00_bglt BgL_arg1220z00_1164;

						BgL_arg1220z00_1164 =
							(((BgL_ev_setlocalz00_bglt) CREF(BgL_ez00_727))->BgL_vz00);
						BgL_testz00_1780 =
							CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
								((obj_t) BgL_arg1220z00_1164), BgL_donez00_728));
					}
					if (BgL_testz00_1780)
						{	/* Eval/evaluate_use.scm 97 */
							BFALSE;
						}
					else
						{	/* Eval/evaluate_use.scm 97 */
							BgL_ev_varz00_bglt BgL_arg1219z00_1165;

							BgL_arg1219z00_1165 =
								(((BgL_ev_setlocalz00_bglt) CREF(BgL_ez00_727))->BgL_vz00);
							BgL_donez00_728 =
								MAKE_PAIR(((obj_t) BgL_arg1219z00_1165), BgL_donez00_728);
						}
				}
				{	/* Eval/evaluate_use.scm 97 */
					BgL_ev_exprz00_bglt BgL_arg1221z00_1166;

					BgL_arg1221z00_1166 =
						(((BgL_ev_hookz00_bglt) CREF(
								((BgL_ev_hookz00_bglt) BgL_ez00_727)))->BgL_ez00);
					return
						BGl_usez00zz__evaluate_usez00(BgL_arg1221z00_1166, BgL_donez00_728);
				}
			}
		}
	}



/* &use-ev_hook1129 */
	obj_t BGl_z62usezd2ev_hook1129zb0zz__evaluate_usez00(obj_t BgL_envz00_1622,
		BgL_ev_hookz00_bglt BgL_ez00_1623, obj_t BgL_donez00_1624)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_use.scm 92 */
			{
				BgL_ev_hookz00_bglt BgL_ez00_720;
				obj_t BgL_donez00_721;

				BgL_ez00_720 = BgL_ez00_1623;
				BgL_donez00_721 = BgL_donez00_1624;
				return
					BGl_usez00zz__evaluate_usez00(
					(((BgL_ev_hookz00_bglt) CREF(BgL_ez00_720))->BgL_ez00),
					BgL_donez00_721);
			}
		}
	}



/* &use-ev_prog21127 */
	obj_t BGl_z62usezd2ev_prog21127zb0zz__evaluate_usez00(obj_t BgL_envz00_1625,
		BgL_ev_prog2z00_bglt BgL_ez00_1626, obj_t BgL_donez00_1627)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_use.scm 88 */
			{
				BgL_ev_prog2z00_bglt BgL_ez00_711;
				obj_t BgL_donez00_712;

				BgL_ez00_711 = BgL_ez00_1626;
				BgL_donez00_712 = BgL_donez00_1627;
				return
					BGl_usez00zz__evaluate_usez00(
					(((BgL_ev_prog2z00_bglt) CREF(BgL_ez00_711))->BgL_e1z00),
					BGl_usez00zz__evaluate_usez00(
						(((BgL_ev_prog2z00_bglt) CREF(BgL_ez00_711))->BgL_e2z00),
						BgL_donez00_712));
			}
		}
	}



/* &use-ev_list1125 */
	obj_t BGl_z62usezd2ev_list1125zb0zz__evaluate_usez00(obj_t BgL_envz00_1628,
		BgL_ev_listz00_bglt BgL_ez00_1629, obj_t BgL_donez00_1630)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_use.scm 84 */
			{
				BgL_ev_listz00_bglt BgL_ez00_704;
				obj_t BgL_donez00_705;

				BgL_ez00_704 = BgL_ez00_1629;
				BgL_donez00_705 = BgL_donez00_1630;
				{	/* Eval/evaluate_use.scm 85 */
					obj_t BgL_arg1208z00_1140;

					BgL_arg1208z00_1140 =
						(((BgL_ev_listz00_bglt) CREF(BgL_ez00_704))->BgL_argsz00);
					{
						obj_t BgL_lz00_1142;
						obj_t BgL_donez00_1143;

						BgL_lz00_1142 = BgL_arg1208z00_1140;
						BgL_donez00_1143 = BgL_donez00_705;
					BgL_useza2za2_1141:
						if (NULLP(BgL_lz00_1142))
							{	/* Eval/evaluate_use.scm 85 */
								return BgL_donez00_1143;
							}
						else
							{	/* Eval/evaluate_use.scm 85 */
								obj_t BgL_arg1193z00_1149;
								obj_t BgL_arg1195z00_1150;

								BgL_arg1193z00_1149 = CDR(BgL_lz00_1142);
								{	/* Eval/evaluate_use.scm 85 */
									obj_t BgL_arg1196z00_1151;

									BgL_arg1196z00_1151 = CAR(BgL_lz00_1142);
									BgL_arg1195z00_1150 =
										BGl_usez00zz__evaluate_usez00(
										((BgL_ev_exprz00_bglt) BgL_arg1196z00_1151),
										BgL_donez00_1143);
								}
								{
									obj_t BgL_donez00_1805;
									obj_t BgL_lz00_1804;

									BgL_lz00_1804 = BgL_arg1193z00_1149;
									BgL_donez00_1805 = BgL_arg1195z00_1150;
									BgL_donez00_1143 = BgL_donez00_1805;
									BgL_lz00_1142 = BgL_lz00_1804;
									goto BgL_useza2za2_1141;
								}
							}
					}
				}
			}
		}
	}



/* &use-ev_if1123 */
	obj_t BGl_z62usezd2ev_if1123zb0zz__evaluate_usez00(obj_t BgL_envz00_1631,
		BgL_ev_ifz00_bglt BgL_ez00_1632, obj_t BgL_donez00_1633)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_use.scm 80 */
			{
				BgL_ev_ifz00_bglt BgL_ez00_693;
				obj_t BgL_donez00_694;

				BgL_ez00_693 = BgL_ez00_1632;
				BgL_donez00_694 = BgL_donez00_1633;
				return
					BGl_usez00zz__evaluate_usez00(
					(((BgL_ev_ifz00_bglt) CREF(BgL_ez00_693))->BgL_pz00),
					BGl_usez00zz__evaluate_usez00(
						(((BgL_ev_ifz00_bglt) CREF(BgL_ez00_693))->BgL_tz00),
						BGl_usez00zz__evaluate_usez00(
							(((BgL_ev_ifz00_bglt) CREF(BgL_ez00_693))->BgL_ez00),
							BgL_donez00_694)));
			}
		}
	}



/* &use-ev_litt1121 */
	obj_t BGl_z62usezd2ev_litt1121zb0zz__evaluate_usez00(obj_t BgL_envz00_1634,
		BgL_ev_littz00_bglt BgL_ez00_1635, obj_t BgL_donez00_1636)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_use.scm 77 */
			return BgL_donez00_1636;
		}
	}



/* &use-ev_global1119 */
	obj_t BGl_z62usezd2ev_global1119zb0zz__evaluate_usez00(obj_t BgL_envz00_1637,
		BgL_ev_globalz00_bglt BgL_varz00_1638, obj_t BgL_donez00_1639)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_use.scm 74 */
			return BgL_donez00_1639;
		}
	}



/* &use-ev_var1117 */
	obj_t BGl_z62usezd2ev_var1117zb0zz__evaluate_usez00(obj_t BgL_envz00_1640,
		BgL_ev_varz00_bglt BgL_varz00_1641, obj_t BgL_donez00_1642)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_use.scm 70 */
			{
				BgL_ev_varz00_bglt BgL_varz00_677;
				obj_t BgL_donez00_678;

				BgL_varz00_677 = BgL_varz00_1641;
				BgL_donez00_678 = BgL_donez00_1642;
				if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
							((obj_t) BgL_varz00_677), BgL_donez00_678)))
					{	/* Eval/evaluate_use.scm 71 */
						BFALSE;
					}
				else
					{	/* Eval/evaluate_use.scm 71 */
						BgL_donez00_678 =
							MAKE_PAIR(((obj_t) BgL_varz00_677), BgL_donez00_678);
					}
				return BgL_donez00_678;
			}
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zz__evaluate_usez00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_use.scm 15 */
			BGl_modulezd2initializa7ationz75zz__typez00(((long) 278771016),
				BSTRING_TO_STRING(BGl_string1587z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 373318193),
				BSTRING_TO_STRING(BGl_string1587z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__biglooz00(((long) 162724851),
				BSTRING_TO_STRING(BGl_string1587z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__tvectorz00(((long) 135276775),
				BSTRING_TO_STRING(BGl_string1587z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__structurez00(((long) 128218210),
				BSTRING_TO_STRING(BGl_string1587z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__bexitz00(((long) 159639574),
				BSTRING_TO_STRING(BGl_string1587z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__bignumz00(((long) 6519932),
				BSTRING_TO_STRING(BGl_string1587z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__osz00(((long) 438451175),
				BSTRING_TO_STRING(BGl_string1587z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__dssslz00(((long) 443936801),
				BSTRING_TO_STRING(BGl_string1587z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__bitz00(((long) 317260169),
				BSTRING_TO_STRING(BGl_string1587z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__paramz00(((long) 441709255),
				BSTRING_TO_STRING(BGl_string1587z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 426797061),
				BSTRING_TO_STRING(BGl_string1587z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__threadz00(((long) 220651073),
				BSTRING_TO_STRING(BGl_string1587z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long) 359798486),
				BSTRING_TO_STRING(BGl_string1587z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long)
					249410258), BSTRING_TO_STRING(BGl_string1587z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(((long)
					53386681), BSTRING_TO_STRING(BGl_string1587z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonum_dtoaz00(((long)
					268155843), BSTRING_TO_STRING(BGl_string1587z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(((long)
					198620800), BSTRING_TO_STRING(BGl_string1587z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long)
					473309430), BSTRING_TO_STRING(BGl_string1587z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(((long) 459519430),
				BSTRING_TO_STRING(BGl_string1587z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long) 460263214),
				BSTRING_TO_STRING(BGl_string1587z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 97251556),
				BSTRING_TO_STRING(BGl_string1587z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)
					47127928), BSTRING_TO_STRING(BGl_string1587z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__r4_input_6_10_2z00(((long) 415828492),
				BSTRING_TO_STRING(BGl_string1587z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(((long)
					317842797), BSTRING_TO_STRING(BGl_string1587z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(((long)
					228151370), BSTRING_TO_STRING(BGl_string1587z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 509771705),
				BSTRING_TO_STRING(BGl_string1587z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 451655587),
				BSTRING_TO_STRING(BGl_string1587z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long)
					268291731), BSTRING_TO_STRING(BGl_string1587z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__ppz00(((long) 233942021),
				BSTRING_TO_STRING(BGl_string1587z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 220648206),
				BSTRING_TO_STRING(BGl_string1587z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__prognz00(((long) 177147622),
				BSTRING_TO_STRING(BGl_string1587z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__expandz00(((long) 511051588),
				BSTRING_TO_STRING(BGl_string1587z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__evenvz00(((long) 335718988),
				BSTRING_TO_STRING(BGl_string1587z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__evcompilez00(((long) 492754569),
				BSTRING_TO_STRING(BGl_string1587z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__everrorz00(((long) 375872221),
				BSTRING_TO_STRING(BGl_string1587z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__evmodulez00(((long) 405883817),
				BSTRING_TO_STRING(BGl_string1587z00zz__evaluate_usez00));
			return BGl_modulezd2initializa7ationz75zz__evaluate_typesz00(((long) 0),
				BSTRING_TO_STRING(BGl_string1587z00zz__evaluate_usez00));
		}
	}

#ifdef __cplusplus
}
#endif
