/*===========================================================================*/
/*   (Ast/sexp.scm)                                                          */
/*   Bigloo (3.8a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Thu Mar 29 06:52:41 CEST 2012       */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/3.8a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Ast/sexp.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_backendz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_languagez00;
		obj_t BgL_srfi0z00;
		obj_t BgL_namez00;
		obj_t BgL_externzd2variableszd2;
		obj_t BgL_externzd2functionszd2;
		obj_t BgL_externzd2typeszd2;
		obj_t BgL_variablesz00;
		obj_t BgL_functionsz00;
		obj_t BgL_typesz00;
		bool_t BgL_typedz00;
		obj_t BgL_heapzd2suffixzd2;
		obj_t BgL_heapzd2compatiblezd2;
		bool_t BgL_callccz00;
		bool_t BgL_qualifiedzd2typeszd2;
		bool_t BgL_effectzb2zb2;
		bool_t BgL_removezd2emptyzd2letz00;
		bool_t BgL_foreignzd2closurezd2;
		bool_t BgL_typedzd2eqzd2;
		bool_t BgL_tracezd2supportzd2;
		obj_t BgL_foreignzd2clausezd2supportz00;
		obj_t BgL_debugzd2supportzd2;
		bool_t BgL_pragmazd2supportzd2;
		bool_t BgL_tvectorzd2descrzd2supportz00;
		bool_t BgL_requirezd2tailczd2;
		obj_t BgL_registersz00;
		obj_t BgL_pregistersz00;
		bool_t BgL_boundzd2checkzd2;
		bool_t BgL_typezd2checkzd2;
		bool_t BgL_typedzd2funcallzd2;
	}                 *BgL_backendz00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_feffectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_readz00;
		obj_t BgL_writez00;
	}                 *BgL_feffectz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_nodezf2effectzf2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
	}                       *BgL_nodezf2effectzf2_bglt;

	typedef struct BgL_atomz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}              *BgL_atomz00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_closurez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}                 *BgL_closurez00_bglt;

	typedef struct BgL_kwotez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}               *BgL_kwotez00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_selectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_selectz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;


	BGL_IMPORT obj_t BGl_mapz12z12zz__r4_control_features_6_9z00(obj_t, obj_t);
	extern obj_t BGl_normaliza7ezd2prognz75zztools_prognz00(obj_t);
	BGL_IMPORT obj_t BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_stringzd2replacezd2zz__r4_strings_6_7z00(obj_t,
		unsigned char, unsigned char);
	extern obj_t BGl_closurez00zzast_nodez00;
	extern obj_t BGl_findzd2locationzf2locz20zztools_locationz00(obj_t, obj_t);
	BGL_IMPORT bool_t BGl_equalzf3zf3zz__r4_equivalence_6_2z00(obj_t, obj_t);
	extern BgL_nodez00_bglt BGl_applicationzd2ze3nodez31zzast_appz00(obj_t, obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_ifzd2symzd2zzast_sexpz00();
	extern BgL_nodez00_bglt BGl_applycationzd2ze3nodez31zzast_applyz00(obj_t,
		obj_t, obj_t, obj_t);
	extern obj_t BGl_sequencez00zzast_nodez00;
	extern obj_t BGl_failz00zzast_nodez00;
	static obj_t BGl_objectzd2initzd2zzast_sexpz00();
	static obj_t BGl_zc3exitza31965ze3z83zzast_sexpz00(obj_t, obj_t);
	extern obj_t BGl_privatezd2nodezd2zzast_privatez00(obj_t, obj_t, obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	BGL_IMPORT obj_t string_append_3(obj_t, obj_t, obj_t);
	extern obj_t BGl_castzd2sexpzd2typez00zzast_privatez00(obj_t);
	static BgL_nodez00_bglt
		BGl_z62definezd2primopzd2refzd2ze3nodez53zzast_sexpz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_za2magicza2z00zztype_cachez00;
	static BgL_nodez00_bglt BGl_z62zc3anonymousza32343ze3ze1zzast_sexpz00(obj_t,
		obj_t);
	extern obj_t BGl_thezd2backendzd2zzbackend_backendz00();
	BGL_IMPORT bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
	extern obj_t BGl_letzd2symzf3z21zzast_letz00(obj_t);
	static obj_t BGl_methodzd2initzd2zzast_sexpz00();
	extern obj_t BGl_externz00zzast_nodez00;
	extern obj_t BGl_za2bdbzd2debugza2zd2zzengine_paramz00;
	extern obj_t BGl_za2compilerzd2debugza2zd2zzengine_paramz00;
	extern obj_t BGl_za2_za2z00zztype_cachez00;
	static BgL_nodez00_bglt BGl_z62zc3anonymousza32349ze3ze1zzast_sexpz00(obj_t,
		obj_t);
	extern BgL_typez00_bglt
		BGl_strictzd2nodezd2typez00zzast_nodez00(BgL_typez00_bglt,
		BgL_typez00_bglt);
	extern obj_t BGl_za2objza2z00zztype_cachez00;
	BGL_IMPORT obj_t BGl_exceptionzd2notifyzd2zz__objectz00(obj_t);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_locationzd2ze3nodez31zzast_sexpz00(BgL_globalz00_bglt);
	static BgL_nodez00_bglt BGl_variablezd2ze3nodez31zzast_sexpz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_cfunz00zzast_varz00;
	BGL_IMPORT obj_t BGl_unwindzd2untilz12zc0zz__bexitz00(obj_t, obj_t);
	extern BgL_nodez00_bglt BGl_pragmazf2typezd2ze3nodezc3zzast_pragmaz00(bool_t,
		obj_t, BgL_typez00_bglt, obj_t, obj_t, obj_t, obj_t);
	BGL_IMPORT bool_t BGl_numberzf3zf3zz__r4_numbers_6_5z00(obj_t);
	extern BgL_jumpzd2exzd2itz00_bglt
		BGl_jumpzd2exitzd2ze3nodeze3zzast_exitz00(obj_t, obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_makezd2dssslzd2functionzd2preludezd2zz__dssslz00(obj_t,
		obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_findzd2localzd2zzast_sexpz00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_errorzd2sexpzd2ze3nodeze3zzast_sexpz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_parsezd2idzd2zzast_identz00(obj_t, obj_t);
	static obj_t BGl_za2sitesza2z00zzast_sexpz00 = BUNSPEC;
	extern obj_t BGl_currentzd2functionzd2zztools_errorz00();
	static obj_t BGl_z62findzd2localzb0zzast_sexpz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_epairifyzd2reczd2zztools_miscz00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza32568ze3ze1zzast_sexpz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_dssslzd2findzd2firstzd2formalzd2zztools_dssslz00(obj_t);
	BGL_IMPORT obj_t c_substring(obj_t, long, long);
	BGL_IMPORT obj_t BGl_gensymz00zz__r4_symbols_6_4z00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_sexpza2zd2ze3nodez93zzast_sexpz00(obj_t, obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_usezd2variablez12zc0zzast_sexpz00(BgL_variablez00_bglt, obj_t, obj_t);
	static obj_t BGl_za2ifza2z00zzast_sexpz00 = BUNSPEC;
	static BgL_nodez00_bglt BGl_callzd2ze3nodez31zzast_sexpz00(obj_t, obj_t,
		obj_t, obj_t);
	extern BgL_typez00_bglt BGl_usezd2typez12zc0zztype_envz00(obj_t, obj_t);
	extern bool_t BGl_bigloozd2typezf3z21zztype_typez00(BgL_typez00_bglt);
	extern obj_t BGl_conditionalz00zzast_nodez00;
	extern obj_t BGl_selectz00zzast_nodez00;
	BGL_IMPORT bool_t BGl_dssslzd2namedzd2constantzf3zf3zz__dssslz00(obj_t);
	BGL_IMPORT obj_t BGl_numberzd2ze3stringz31zz__r4_numbers_6_5z00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza31968ze3ze1zzast_sexpz00(obj_t, obj_t);
	extern obj_t BGl_setqz00zzast_nodez00;
	extern BgL_nodez00_bglt BGl_fieldzd2refzd2ze3nodeze3zzast_objectz00(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	extern obj_t BGl_locationzd2fullzd2fnamez00zztools_locationz00(obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzast_sexpz00 = BUNSPEC;
	extern obj_t BGl_makezd2typedzd2identz00zzast_identz00(obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62zc3anonymousza31969ze3ze1zzast_sexpz00(obj_t);
	extern obj_t BGl_userzd2errorzf2locationz20zztools_errorz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	extern obj_t BGl_funz00zzast_varz00;
	static obj_t BGl_za2cachezd2nameza2zd2zzast_sexpz00 = BUNSPEC;
	static obj_t BGl_z62sexpza2zd2ze3nodezf1zzast_sexpz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_atomz00zzast_nodez00;
	static obj_t BGl_toplevelzd2initzd2zzast_sexpz00();
	extern obj_t BGl_epairifyz00zztools_miscz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_formatz00zz__r4_output_6_10_3z00(obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zzast_sexpz00();
	BGL_IMPORT obj_t BGl_stringzd2copyzd2zz__r4_strings_6_7z00(obj_t);
	extern bool_t BGl_privatezd2sexpzf3z21zzast_privatez00(obj_t);
	extern obj_t BGl_castz00zzast_nodez00;
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	extern obj_t BGl_labelszd2symzf3z21zzast_labelsz00(obj_t);
	extern obj_t BGl_labelszd2symzd2zzast_labelsz00();
	BGL_IMPORT obj_t bgl_reverse_bang(obj_t);
	static obj_t BGl_liipz00zzast_sexpz00(obj_t);
	static obj_t BGl_za2cachezd2resza2zd2zzast_sexpz00 = BUNSPEC;
	static BgL_nodez00_bglt
		BGl_z62definezd2primopzd2ze3nodez81zzast_sexpz00(obj_t, obj_t);
	static obj_t BGl_z62makezd2anonymouszd2namez62zzast_sexpz00(obj_t, obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62topzd2levelzd2sexpzd2ze3nodez53zzast_sexpz00(obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62locationzd2ze3nodez53zzast_sexpz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_topzd2levelzd2sexpzd2ze3nodez31zzast_sexpz00(obj_t, obj_t);
	extern obj_t BGl_findzd2globalzd2zzast_envz00(obj_t, obj_t);
	static obj_t BGl_z62ifzd2symzb0zzast_sexpz00(obj_t);
	BGL_IMPORT obj_t string_append(obj_t, obj_t);
	extern obj_t BGl_varz00zzast_nodez00;
	BGL_IMPORT bool_t bigloo_strncmp(obj_t, obj_t, long);
	static obj_t BGl_z62usezd2variablez12za2zzast_sexpz00(obj_t, obj_t, obj_t,
		obj_t);
	extern BgL_typez00_bglt BGl_getzd2typezd2atomz00zztype_typeofz00(obj_t);
	extern BgL_nodez00_bglt BGl_letzd2ze3nodez31zzast_letz00(obj_t, obj_t, obj_t,
		obj_t);
	extern obj_t BGl_za2procedureza2z00zztype_cachez00;
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_definezd2primopzd2ze3nodeze3zzast_sexpz00(BgL_globalz00_bglt);
	BGL_EXPORTED_DECL obj_t BGl_makezd2anonymouszd2namez00zzast_sexpz00(obj_t,
		obj_t);
	extern obj_t BGl_replacez12z12zztools_miscz00(obj_t, obj_t);
	extern BgL_letzd2funzd2_bglt BGl_setzd2exitzd2ze3nodeze3zzast_exitz00(obj_t,
		obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzast_sexpz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzeffect_feffectz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_objectz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_privatez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_applyz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_appz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_exitz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_letz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_labelsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_pragmaz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_buildz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_identz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_backendz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typeofz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_dssslz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_miscz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_locationz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_prognz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__srfi4z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__dssslz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__structurez00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	extern obj_t BGl_appz00zzast_nodez00;
	extern bool_t BGl_globalzd2readzd2onlyzf3zf3zzast_varz00(BgL_globalz00_bglt);
	BGL_IMPORT obj_t BGl_stringzd2appendzd2zz__r4_strings_6_7z00(obj_t);
	extern bool_t BGl_castzd2sexpzf3z21zzast_privatez00(obj_t);
	extern obj_t BGl_nodez00zzast_nodez00;
	BGL_IMPORT obj_t string_to_symbol(char *);
	extern obj_t BGl_kwotez00zzast_nodez00;
	extern obj_t BGl_localz00zzast_varz00;
	static obj_t BGl_cnstzd2initzd2zzast_sexpz00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzast_sexpz00();
	static obj_t BGl_importedzd2moduleszd2initz00zzast_sexpz00();
	extern obj_t BGl_findzd2globalzf2modulez20zzast_envz00(obj_t, obj_t);
	extern obj_t BGl_za2bnilza2z00zztype_cachez00;
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_definezd2primopzd2refzd2ze3nodez31zzast_sexpz00(BgL_globalz00_bglt,
		BgL_nodez00_bglt);
	extern obj_t BGl_letzd2symzd2zzast_letz00();
	BGL_EXPORTED_DECL BgL_nodez00_bglt BGl_sexpzd2ze3nodez31zzast_sexpz00(obj_t,
		obj_t, obj_t, obj_t);
	extern obj_t BGl_za2unspecza2z00zztype_cachez00;
	static BgL_nodez00_bglt BGl_z62sexpzd2ze3nodez53zzast_sexpz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_loopz00zzast_sexpz00(obj_t, obj_t, obj_t, obj_t);
	extern BgL_letzd2funzd2_bglt BGl_labelszd2ze3nodez31zzast_labelsz00(obj_t,
		obj_t, obj_t, obj_t);
	extern obj_t BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00(obj_t);
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	static BgL_nodez00_bglt BGl_z62errorzd2sexpzd2ze3nodez81zzast_sexpz00(obj_t,
		obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_withzd2exceptionzd2handlerz00zz__errorz00(obj_t, obj_t);
	extern BgL_typez00_bglt BGl_getzd2typezd2kwotez00zztype_typeofz00(obj_t);
	extern BgL_nodez00_bglt BGl_fieldzd2setzd2ze3nodeze3zzast_objectz00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t);
	extern obj_t BGl_globalz00zzast_varz00;
	extern BgL_feffectz00_bglt BGl_parsezd2effectzd2zzeffect_feffectz00(obj_t);
	static obj_t BGl_za2cachezd2stackza2zd2zzast_sexpz00 = BUNSPEC;
	static obj_t __cnst[42];


	   
		 
		DEFINE_STRING(BGl_string3053z00zzast_sexpz00,
		BgL_bgl_string3053za700za7za7a3088za7, "Illegal `application' form", 26);
	      DEFINE_STRING(BGl_string3054z00zzast_sexpz00,
		BgL_bgl_string3054za700za7za7a3089za7, "Illegal `case' form", 19);
	      DEFINE_STRING(BGl_string3055z00zzast_sexpz00,
		BgL_bgl_string3055za700za7za7a3090za7, "Illegal `failure' form", 22);
	      DEFINE_STRING(BGl_string3056z00zzast_sexpz00,
		BgL_bgl_string3056za700za7za7a3091za7, "Illegal `lambda' form", 21);
	      DEFINE_STRING(BGl_string3057z00zzast_sexpz00,
		BgL_bgl_string3057za700za7za7a3092za7, "Illegal `define' form", 21);
	      DEFINE_STRING(BGl_string3058z00zzast_sexpz00,
		BgL_bgl_string3058za700za7za7a3093za7, "illegal `define' expression", 27);
	      DEFINE_STRING(BGl_string3059z00zzast_sexpz00,
		BgL_bgl_string3059za700za7za7a3094za7, "Illegal `set!' form", 19);
	      DEFINE_STRING(BGl_string3060z00zzast_sexpz00,
		BgL_bgl_string3060za700za7za7a3095za7, "Read-only variable", 18);
	      DEFINE_STRING(BGl_string3061z00zzast_sexpz00,
		BgL_bgl_string3061za700za7za7a3096za7, "illegal `set!' expression", 25);
	      DEFINE_STRING(BGl_string3062z00zzast_sexpz00,
		BgL_bgl_string3062za700za7za7a3097za7, "Illegal ->", 10);
	      DEFINE_STRING(BGl_string3063z00zzast_sexpz00,
		BgL_bgl_string3063za700za7za7a3098za7, "Illegal `if' form", 17);
	      DEFINE_STRING(BGl_string3064z00zzast_sexpz00,
		BgL_bgl_string3064za700za7za7a3099za7, "Illegal `quote' expression", 26);
	      DEFINE_STRING(BGl_string3065z00zzast_sexpz00,
		BgL_bgl_string3065za700za7za7a3100za7, "Illegal `@' expression", 22);
	      DEFINE_STRING(BGl_string3066z00zzast_sexpz00,
		BgL_bgl_string3066za700za7za7a3101za7, "Unbound variable", 16);
	      DEFINE_STRING(BGl_string3067z00zzast_sexpz00,
		BgL_bgl_string3067za700za7za7a3102za7, "Illegal atom in s-expression", 28);
	      DEFINE_STRING(BGl_string3068z00zzast_sexpz00,
		BgL_bgl_string3068za700za7za7a3103za7, "Illegal `()' expression", 23);
	      DEFINE_STRING(BGl_string3069z00zzast_sexpz00,
		BgL_bgl_string3069za700za7za7a3104za7, "wrong number of argument", 24);
	      DEFINE_STRING(BGl_string3070z00zzast_sexpz00,
		BgL_bgl_string3070za700za7za7a3105za7, "Illegal formal argument", 23);
	      DEFINE_STRING(BGl_string3071z00zzast_sexpz00,
		BgL_bgl_string3071za700za7za7a3106za7,
		"Backend (~a) does not support external first class function", 59);
	      DEFINE_STRING(BGl_string3072z00zzast_sexpz00,
		BgL_bgl_string3072za700za7za7a3107za7, "Illegal pragma/effect", 21);
	      DEFINE_STRING(BGl_string3073z00zzast_sexpz00,
		BgL_bgl_string3073za700za7za7a3108za7, "Illegal free-pragma/effect", 26);
	      DEFINE_STRING(BGl_string3074z00zzast_sexpz00,
		BgL_bgl_string3074za700za7za7a3109za7, "Illegal lambda", 14);
	      DEFINE_STRING(BGl_string3075z00zzast_sexpz00,
		BgL_bgl_string3075za700za7za7a3110za7, "Illegal empty sequence", 22);
	      DEFINE_STRING(BGl_string3076z00zzast_sexpz00,
		BgL_bgl_string3076za700za7za7a3111za7, "Illegal mutation", 16);
	      DEFINE_STRING(BGl_string3077z00zzast_sexpz00,
		BgL_bgl_string3077za700za7za7a3112za7, "($1)", 4);
	      DEFINE_STRING(BGl_string3078z00zzast_sexpz00,
		BgL_bgl_string3078za700za7za7a3113za7, "anonymous", 9);
	      DEFINE_STRING(BGl_string3079z00zzast_sexpz00,
		BgL_bgl_string3079za700za7za7a3114za7, "<", 1);
	      DEFINE_STRING(BGl_string3080z00zzast_sexpz00,
		BgL_bgl_string3080za700za7za7a3115za7, ":", 1);
	      DEFINE_STRING(BGl_string3081z00zzast_sexpz00,
		BgL_bgl_string3081za700za7za7a3116za7, "./", 2);
	      DEFINE_STRING(BGl_string3082z00zzast_sexpz00,
		BgL_bgl_string3082za700za7za7a3117za7, ">", 1);
	      DEFINE_STRING(BGl_string3083z00zzast_sexpz00,
		BgL_bgl_string3083za700za7za7a3118za7, "-", 1);
	      DEFINE_STRING(BGl_string3084z00zzast_sexpz00,
		BgL_bgl_string3084za700za7za7a3119za7, "ast_sexp", 8);
	      DEFINE_STRING(BGl_string3085z00zzast_sexpz00,
		BgL_bgl_string3085za700za7za7a3120za7,
		"> bdb location pragma::obj (@ __evmeaning_address foreign) (@ define-primop! __evenv) (@ define-primop-ref! __evenv) write car exp app cons (quote ()) apply jump-exit set-exit case failure free-pragma/effect free-pragma pragma/effect letrec* labels letrec let lambda define begin -> __r4_control_features_6_9 quote @ eval not bool test set! pragma else value if (value apply app set!) ",
		385);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_definezd2primopzd2ze3nodezd2envz31zzast_sexpz00,
		BgL_bgl_za762defineza7d2prim3121z00,
		BGl_z62definezd2primopzd2ze3nodez81zzast_sexpz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_errorzd2sexpzd2ze3nodezd2envz31zzast_sexpz00,
		BgL_bgl_za762errorza7d2sexpza73122za7,
		BGl_z62errorzd2sexpzd2ze3nodez81zzast_sexpz00, 0L, BUNSPEC, 3);
	BGL_IMPORT obj_t BGl_expzd2envzd2zz__r4_numbers_6_5z00;
	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2anonymouszd2namezd2envzd2zzast_sexpz00,
		BgL_bgl_za762makeza7d2anonym3123z00, va_generic_entry,
		BGl_z62makezd2anonymouszd2namez62zzast_sexpz00, BUNSPEC, -2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_findzd2localzd2envz00zzast_sexpz00,
		BgL_bgl_za762findza7d2localza73124za7, BGl_z62findzd2localzb0zzast_sexpz00,
		0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_locationzd2ze3nodezd2envze3zzast_sexpz00,
		BgL_bgl_za762locationza7d2za7e3125za7,
		BGl_z62locationzd2ze3nodez53zzast_sexpz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_sexpzd2ze3nodezd2envze3zzast_sexpz00,
		BgL_bgl_za762sexpza7d2za7e3nod3126za7,
		BGl_z62sexpzd2ze3nodez53zzast_sexpz00, 0L, BUNSPEC, 4);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_topzd2levelzd2sexpzd2ze3nodezd2envze3zzast_sexpz00,
		BgL_bgl_za762topza7d2levelza7d3127za7,
		BGl_z62topzd2levelzd2sexpzd2ze3nodez53zzast_sexpz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_sexpza2zd2ze3nodezd2envz41zzast_sexpz00,
		BgL_bgl_za762sexpza7a2za7d2za7e33128z00,
		BGl_z62sexpza2zd2ze3nodezf1zzast_sexpz00, 0L, BUNSPEC, 4);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_ifzd2symzd2envz00zzast_sexpz00,
		BgL_bgl_za762ifza7d2symza7b0za7za73129za7, BGl_z62ifzd2symzb0zzast_sexpz00,
		0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_usezd2variablez12zd2envz12zzast_sexpz00,
		BgL_bgl_za762useza7d2variabl3130z00,
		BGl_z62usezd2variablez12za2zzast_sexpz00, 0L, BUNSPEC, 3);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_definezd2primopzd2refzd2ze3nodezd2envze3zzast_sexpz00,
		BgL_bgl_za762defineza7d2prim3131z00,
		BGl_z62definezd2primopzd2refzd2ze3nodez53zzast_sexpz00, 0L, BUNSPEC, 2);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzast_sexpz00(long
		BgL_checksumz00_4529, char *BgL_fromz00_4530)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzast_sexpz00))
				{
					BGl_requirezd2initializa7ationz75zzast_sexpz00 = BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzast_sexpz00();
					BGl_cnstzd2initzd2zzast_sexpz00();
					BGl_importedzd2moduleszd2initz00zzast_sexpz00();
					BGl_toplevelzd2initzd2zzast_sexpz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzast_sexpz00()
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 14 */
			BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(((long) 0),
				"ast_sexp");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"ast_sexp");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"ast_sexp");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long) 0),
				"ast_sexp");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "ast_sexp");
			BGl_modulezd2initializa7ationz75zz__bexitz00(((long) 0), "ast_sexp");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long) 0),
				"ast_sexp");
			BGl_modulezd2initializa7ationz75zz__dssslz00(((long) 0), "ast_sexp");
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long) 0),
				"ast_sexp");
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long) 0),
				"ast_sexp");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "ast_sexp");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "ast_sexp");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"ast_sexp");
			BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(((long) 0),
				"ast_sexp");
			BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(((long) 0),
				"ast_sexp");
			BGl_modulezd2initializa7ationz75zz__srfi4z00(((long) 0), "ast_sexp");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"ast_sexp");
			BGl_modulezd2initializa7ationz75zz__structurez00(((long) 0), "ast_sexp");
			BGl_modulezd2initializa7ationz75zz__biglooz00(((long) 0), "ast_sexp");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzast_sexpz00()
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 14 */
			{	/* Ast/sexp.scm 14 */
				obj_t BgL_cportz00_4519;

				BgL_cportz00_4519 =
					bgl_open_input_string(BGl_string3085z00zzast_sexpz00,
					(int) (((long) 0)));
				{
					long BgL_iz00_4520;

					BgL_iz00_4520 = ((long) 41);
				BgL_loopz00_4521:
					if ((BgL_iz00_4520 == ((long) -1)))
						{	/* Ast/sexp.scm 14 */
							return BUNSPEC;
						}
					else
						{	/* Ast/sexp.scm 14 */
							{	/* Ast/sexp.scm 14 */
								obj_t BgL_arg3087z00_4523;

								{	/* Ast/sexp.scm 14 */

									{	/* Ast/sexp.scm 14 */
										obj_t BgL_locationz00_4525;

										BgL_locationz00_4525 = BBOOL(((bool_t) 0));
										{	/* Ast/sexp.scm 14 */

											BgL_arg3087z00_4523 =
												BGl_readz00zz__readerz00(BgL_cportz00_4519,
												BgL_locationz00_4525);
										}
									}
								}
								{	/* Ast/sexp.scm 14 */
									int BgL_auxz00_4563;

									BgL_auxz00_4563 = (int) (BgL_iz00_4520);
									CNST_TABLE_SET(BgL_auxz00_4563, BgL_arg3087z00_4523);
							}}
							{	/* Ast/sexp.scm 14 */
								int BgL_auxz00_4526;

								BgL_auxz00_4526 = (int) ((BgL_iz00_4520 - ((long) 1)));
								{
									long BgL_iz00_4568;

									BgL_iz00_4568 = (long) (BgL_auxz00_4526);
									BgL_iz00_4520 = BgL_iz00_4568;
									goto BgL_loopz00_4521;
								}
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzast_sexpz00()
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 14 */
			BGl_za2sitesza2z00zzast_sexpz00 = CNST_TABLE_REF(((long) 0));
			BGl_za2ifza2z00zzast_sexpz00 =
				BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 1)));
			BGl_za2cachezd2nameza2zd2zzast_sexpz00 = BFALSE;
			BGl_za2cachezd2stackza2zd2zzast_sexpz00 = BFALSE;
			return (BGl_za2cachezd2resza2zd2zzast_sexpz00 = BFALSE, BUNSPEC);
		}
	}



/* top-level-sexp->node */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_topzd2levelzd2sexpzd2ze3nodez31zzast_sexpz00(obj_t BgL_expz00_17,
		obj_t BgL_locz00_18)
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 62 */
			return
				((BgL_nodez00_bglt)
				BGl_zc3exitza31965ze3z83zzast_sexpz00(BgL_locz00_18, BgL_expz00_17));
		}
	}



/* <exit:1965> */
	obj_t BGl_zc3exitza31965ze3z83zzast_sexpz00(obj_t BgL_locz00_4517,
		obj_t BgL_expz00_4516)
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 63 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1106z00_1473;

			if (SET_EXIT(BgL_an_exit1106z00_1473))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1106z00_1473 = (void *) jmpbuf;
					{	/* Ast/sexp.scm 63 */

						PUSH_EXIT(BgL_an_exit1106z00_1473, ((long) 1));
						{	/* Ast/sexp.scm 63 */
							obj_t BgL_an_exitd1107z00_1474;

							BgL_an_exitd1107z00_1474 = BGL_EXITD_TOP_AS_OBJ();
							{	/* Ast/sexp.scm 66 */
								obj_t BgL_res1109z00_1477;

								{	/* Ast/sexp.scm 66 */
									obj_t BgL_zc3anonymousza31969ze3z83_4453;
									obj_t BgL_zc3anonymousza31968ze3z83_4454;

									BgL_zc3anonymousza31969ze3z83_4453 =
										MAKE_FX_PROCEDURE
										(BGl_z62zc3anonymousza31969ze3ze1zzast_sexpz00,
										(int) (((long) 0)), (int) (((long) 2)));
									BgL_zc3anonymousza31968ze3z83_4454 =
										MAKE_FX_PROCEDURE
										(BGl_z62zc3anonymousza31968ze3ze1zzast_sexpz00,
										(int) (((long) 1)), (int) (((long) 1)));
									PROCEDURE_SET(BgL_zc3anonymousza31969ze3z83_4453,
										(int) (((long) 0)), BgL_expz00_4516);
									PROCEDURE_SET(BgL_zc3anonymousza31969ze3z83_4453,
										(int) (((long) 1)), BgL_locz00_4517);
									PROCEDURE_SET(BgL_zc3anonymousza31968ze3z83_4454,
										(int) (((long) 0)), BgL_an_exitd1107z00_1474);
									BgL_res1109z00_1477 =
										BGl_withzd2exceptionzd2handlerz00zz__errorz00
										(BgL_zc3anonymousza31968ze3z83_4454,
										BgL_zc3anonymousza31969ze3z83_4453);
								}
								POP_EXIT();
								return BgL_res1109z00_1477;
							}
						}
					}
				}
		}
	}



/* &top-level-sexp->node */
	BgL_nodez00_bglt BGl_z62topzd2levelzd2sexpzd2ze3nodez53zzast_sexpz00(obj_t
		BgL_envz00_4455, obj_t BgL_expz00_4456, obj_t BgL_locz00_4457)
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 62 */
			return
				((BgL_nodez00_bglt)
				BGl_zc3exitza31965ze3z83zzast_sexpz00(BgL_locz00_4457,
					BgL_expz00_4456));
		}
	}



/* &<anonymous:1969> */
	BgL_nodez00_bglt BGl_z62zc3anonymousza31969ze3ze1zzast_sexpz00(obj_t
		BgL_envz00_4458)
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 68 */
			{	/* Ast/sexp.scm 69 */
				obj_t BgL_expz00_4459;
				obj_t BgL_locz00_4460;

				BgL_expz00_4459 = PROCEDURE_REF(BgL_envz00_4458, (int) (((long) 0)));
				BgL_locz00_4460 = PROCEDURE_REF(BgL_envz00_4458, (int) (((long) 1)));
				{

					return
						BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_expz00_4459, BNIL,
						BgL_locz00_4460, CNST_TABLE_REF(((long) 2)));
		}}}
	}



/* &<anonymous:1968> */
	obj_t BGl_z62zc3anonymousza31968ze3ze1zzast_sexpz00(obj_t BgL_envz00_4461,
		obj_t BgL_ez00_4463)
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 65 */
			{	/* Ast/sexp.scm 66 */
				obj_t BgL_an_exitd1107z00_4462;

				BgL_an_exitd1107z00_4462 =
					PROCEDURE_REF(BgL_envz00_4461, (int) (((long) 0)));
				{
					obj_t BgL_ez00_1480;

					BgL_ez00_1480 = BgL_ez00_4463;
					BGl_exceptionzd2notifyzd2zz__objectz00(BgL_ez00_1480);
					return
						BGl_unwindzd2untilz12zc0zz__bexitz00(BgL_an_exitd1107z00_4462,
						BUNSPEC);
				}
			}
		}
	}



/* if-sym */
	BGL_EXPORTED_DEF obj_t BGl_ifzd2symzd2zzast_sexpz00()
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 84 */
			return BGl_za2ifza2z00zzast_sexpz00;
		}
	}



/* &if-sym */
	obj_t BGl_z62ifzd2symzb0zzast_sexpz00(obj_t BgL_envz00_4464)
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 84 */
			return BGl_za2ifza2z00zzast_sexpz00;
		}
	}



/* sexp->node */
	BGL_EXPORTED_DEF BgL_nodez00_bglt BGl_sexpzd2ze3nodez31zzast_sexpz00(obj_t
		BgL_expz00_20, obj_t BgL_stackz00_21, obj_t BgL_locz00_22,
		obj_t BgL_sitez00_23)
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 101 */
		BGl_sexpzd2ze3nodez31zzast_sexpz00:
			{
				obj_t BgL_atomz00_1487;
				obj_t BgL_lz00_1492;
				obj_t BgL_bodyz00_1496;
				obj_t BgL_lz00_1499;
				obj_t BgL_valz00_1500;
				obj_t BgL_bodyz00_1504;
				obj_t BgL_argsz00_1505;
				obj_t BgL_varz00_1509;
				obj_t BgL_bodyz00_1510;
				obj_t BgL_argz00_1511;
				obj_t BgL_varsz00_1513;
				obj_t BgL_bodyz00_1514;
				obj_t BgL_argsz00_1515;
				obj_t BgL_effectz00_1519;
				obj_t BgL_restz00_1520;
				obj_t BgL_effectz00_1523;
				obj_t BgL_restz00_1524;

				if (NULLP(BgL_expz00_20))
					{	/* Ast/sexp.scm 106 */
						return
							BGl_errorzd2sexpzd2ze3nodeze3zzast_sexpz00
							(BGl_string3068z00zzast_sexpz00, BgL_expz00_20, BgL_locz00_22);
					}
				else
					{	/* Ast/sexp.scm 106 */
						if (BGl_isazf3zf3zz__objectz00(BgL_expz00_20,
								BGl_nodez00zzast_nodez00))
							{
								obj_t BgL_auxz00_4610;

								if (BGl_isazf3zf3zz__objectz00(BgL_expz00_20,
										BGl_externz00zzast_nodez00))
									{	/* Ast/sexp.scm 113 */
										BgL_externz00_bglt BgL_i1110z00_1957;

										BgL_i1110z00_1957 = ((BgL_externz00_bglt) BgL_expz00_20);
										{	/* Ast/sexp.scm 114 */
											obj_t BgL_arg2341z00_1959;

											BgL_arg2341z00_1959 =
												(((BgL_externz00_bglt) CREF(BgL_i1110z00_1957))->
												BgL_exprza2za2);
											{	/* Ast/sexp.scm 114 */
												obj_t BgL_zc3anonymousza32343ze3z83_4467;

												BgL_zc3anonymousza32343ze3z83_4467 =
													MAKE_FX_PROCEDURE
													(BGl_z62zc3anonymousza32343ze3ze1zzast_sexpz00,
													(int) (((long) 1)), (int) (((long) 2)));
												PROCEDURE_SET(BgL_zc3anonymousza32343ze3z83_4467,
													(int) (((long) 0)), ((obj_t) BgL_i1110z00_1957));
												PROCEDURE_SET(BgL_zc3anonymousza32343ze3z83_4467,
													(int) (((long) 1)), BgL_stackz00_21);
												{	/* Ast/sexp.scm 114 */
													obj_t BgL_list2342z00_1960;

													BgL_list2342z00_1960 =
														MAKE_PAIR(BgL_arg2341z00_1959, BNIL);
													BGl_mapz12z12zz__r4_control_features_6_9z00
														(BgL_zc3anonymousza32343ze3z83_4467,
														BgL_list2342z00_1960);
									}}}}
								else
									{	/* Ast/sexp.scm 112 */
										BFALSE;
									}
								if (BGl_isazf3zf3zz__objectz00(BgL_expz00_20,
										BGl_appz00zzast_nodez00))
									{	/* Ast/sexp.scm 116 */
										BgL_appz00_bglt BgL_i1111z00_1966;

										BgL_i1111z00_1966 = ((BgL_appz00_bglt) BgL_expz00_20);
										{	/* Ast/sexp.scm 117 */
											obj_t BgL_arg2347z00_1968;

											BgL_arg2347z00_1968 =
												(((BgL_appz00_bglt) CREF(BgL_i1111z00_1966))->
												BgL_argsz00);
											{	/* Ast/sexp.scm 117 */
												obj_t BgL_zc3anonymousza32349ze3z83_4466;

												BgL_zc3anonymousza32349ze3z83_4466 =
													MAKE_FX_PROCEDURE
													(BGl_z62zc3anonymousza32349ze3ze1zzast_sexpz00,
													(int) (((long) 1)), (int) (((long) 2)));
												PROCEDURE_SET(BgL_zc3anonymousza32349ze3z83_4466,
													(int) (((long) 0)), ((obj_t) BgL_i1111z00_1966));
												PROCEDURE_SET(BgL_zc3anonymousza32349ze3z83_4466,
													(int) (((long) 1)), BgL_stackz00_21);
												{	/* Ast/sexp.scm 117 */
													obj_t BgL_list2348z00_1969;

													BgL_list2348z00_1969 =
														MAKE_PAIR(BgL_arg2347z00_1968, BNIL);
													BGl_mapz12z12zz__r4_control_features_6_9z00
														(BgL_zc3anonymousza32349ze3z83_4466,
														BgL_list2348z00_1969);
									}}}}
								else
									{	/* Ast/sexp.scm 115 */
										BFALSE;
									}
								BgL_auxz00_4610 = BgL_expz00_20;
								return ((BgL_nodez00_bglt) BgL_auxz00_4610);
							}
						else
							{	/* Ast/sexp.scm 106 */
								if (PAIRP(BgL_expz00_20))
									{	/* Ast/sexp.scm 106 */
										obj_t BgL_carzd2435zd2_1538;

										BgL_carzd2435zd2_1538 = CAR(BgL_expz00_20);
										if (SYMBOLP(BgL_carzd2435zd2_1538))
											{	/* Ast/sexp.scm 106 */
												bool_t BgL_testz00_4645;

												{	/* Ast/sexp.scm 106 */
													obj_t BgL_xz00_1746;

													BgL_xz00_1746 = BgL_carzd2435zd2_1538;
													{	/* Ast/sexp.scm 106 */
														obj_t BgL__ortest_1138z00_1747;

														BgL__ortest_1138z00_1747 =
															BGl_findzd2localzd2zzast_sexpz00(BgL_xz00_1746,
															BgL_stackz00_21);
														if (CBOOL(BgL__ortest_1138z00_1747))
															{	/* Ast/sexp.scm 106 */
																BgL_testz00_4645 =
																	CBOOL(BgL__ortest_1138z00_1747);
															}
														else
															{	/* Ast/sexp.scm 106 */
																obj_t BgL_gz00_1748;

																BgL_gz00_1748 =
																	BGl_findzd2globalzd2zzast_envz00
																	(BgL_xz00_1746, BNIL);
																if (CBOOL(BgL_gz00_1748))
																	{	/* Ast/sexp.scm 106 */
																		if (
																			((((BgL_globalz00_bglt) CREF(
																							((BgL_globalz00_bglt)
																								BgL_gz00_1748)))->
																					BgL_modulez00) ==
																				CNST_TABLE_REF(((long) 12))))
																			{	/* Ast/sexp.scm 106 */
																				BgL_testz00_4645 = ((bool_t) 0);
																			}
																		else
																			{	/* Ast/sexp.scm 106 */
																				BgL_testz00_4645 = ((bool_t) 1);
																			}
																	}
																else
																	{	/* Ast/sexp.scm 106 */
																		BgL_testz00_4645 = ((bool_t) 0);
																	}
															}
													}
												}
												if (BgL_testz00_4645)
													{	/* Ast/sexp.scm 106 */
														return
															BGl_callzd2ze3nodez31zzast_sexpz00(BgL_expz00_20,
															BgL_stackz00_21, BgL_locz00_22, BgL_sitez00_23);
													}
												else
													{	/* Ast/sexp.scm 106 */
														if (
															(CAR(BgL_expz00_20) ==
																CNST_TABLE_REF(((long) 10))))
															{	/* Ast/sexp.scm 106 */
															BgL_tagzd2363zd2_1491:
																{	/* Ast/sexp.scm 157 */
																	obj_t BgL_locz00_1996;

																	BgL_locz00_1996 =
																		BGl_findzd2locationzf2locz20zztools_locationz00
																		(BgL_expz00_20, BgL_locz00_22);
																	{
																		obj_t BgL_namez00_1997;
																		obj_t BgL_modulez00_1998;

																		if (PAIRP(BgL_expz00_20))
																			{	/* Ast/sexp.scm 158 */
																				obj_t BgL_cdrzd21975zd2_2003;

																				BgL_cdrzd21975zd2_2003 =
																					CDR(BgL_expz00_20);
																				if (
																					(CAR(BgL_expz00_20) ==
																						CNST_TABLE_REF(((long) 10))))
																					{	/* Ast/sexp.scm 158 */
																						if (PAIRP(BgL_cdrzd21975zd2_2003))
																							{	/* Ast/sexp.scm 158 */
																								obj_t BgL_carzd21978zd2_2006;
																								obj_t BgL_cdrzd21979zd2_2007;

																								BgL_carzd21978zd2_2006 =
																									CAR(BgL_cdrzd21975zd2_2003);
																								BgL_cdrzd21979zd2_2007 =
																									CDR(BgL_cdrzd21975zd2_2003);
																								if (SYMBOLP
																									(BgL_carzd21978zd2_2006))
																									{	/* Ast/sexp.scm 158 */
																										if (PAIRP
																											(BgL_cdrzd21979zd2_2007))
																											{	/* Ast/sexp.scm 158 */
																												obj_t
																													BgL_carzd21984zd2_2010;
																												BgL_carzd21984zd2_2010 =
																													CAR
																													(BgL_cdrzd21979zd2_2007);
																												if (SYMBOLP
																													(BgL_carzd21984zd2_2010))
																													{	/* Ast/sexp.scm 158 */
																														if (NULLP(CDR
																																(BgL_cdrzd21979zd2_2007)))
																															{	/* Ast/sexp.scm 158 */
																																BgL_namez00_1997
																																	=
																																	BgL_carzd21978zd2_2006;
																																BgL_modulez00_1998
																																	=
																																	BgL_carzd21984zd2_2010;
																																{	/* Ast/sexp.scm 160 */
																																	obj_t
																																		BgL_globalz00_2015;
																																	BgL_globalz00_2015
																																		=
																																		BGl_findzd2globalzf2modulez20zzast_envz00
																																		(BgL_namez00_1997,
																																		BgL_modulez00_1998);
																																	if (BGl_isazf3zf3zz__objectz00(BgL_globalz00_2015, BGl_globalz00zzast_varz00))
																																		{	/* Ast/sexp.scm 162 */
																																			if (
																																				((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt) BgL_globalz00_2015)))->BgL_importz00) == CNST_TABLE_REF(((long) 9))))
																																				{	/* Ast/sexp.scm 165 */
																																					obj_t
																																						BgL_arg2378z00_2018;
																																					{	/* Ast/sexp.scm 165 */
																																						obj_t
																																							BgL_arg2379z00_2019;
																																						BgL_arg2379z00_2019
																																							=
																																							MAKE_PAIR
																																							(BGl_atomz00zzast_nodez00,
																																							BNIL);
																																						BgL_arg2378z00_2018
																																							=
																																							MAKE_PAIR
																																							(CNST_TABLE_REF
																																							(((long) 9)), BgL_arg2379z00_2019);
																																					}
																																					{
																																						obj_t
																																							BgL_locz00_4697;
																																						obj_t
																																							BgL_expz00_4696;
																																						BgL_expz00_4696
																																							=
																																							BgL_arg2378z00_2018;
																																						BgL_locz00_4697
																																							=
																																							BgL_locz00_1996;
																																						BgL_locz00_22
																																							=
																																							BgL_locz00_4697;
																																						BgL_expz00_20
																																							=
																																							BgL_expz00_4696;
																																						goto
																																							BGl_sexpzd2ze3nodez31zzast_sexpz00;
																																					}
																																				}
																																			else
																																				{	/* Ast/sexp.scm 164 */
																																					return
																																						BGl_variablezd2ze3nodez31zzast_sexpz00
																																						(BgL_globalz00_2015,
																																						BgL_locz00_1996,
																																						BgL_sitez00_23);
																																				}
																																		}
																																	else
																																		{	/* Ast/sexp.scm 162 */
																																			return
																																				BGl_errorzd2sexpzd2ze3nodeze3zzast_sexpz00
																																				(BGl_string3066z00zzast_sexpz00,
																																				BgL_expz00_20,
																																				BgL_locz00_1996);
																																		}
																																}
																															}
																														else
																															{	/* Ast/sexp.scm 158 */
																															BgL_tagzd21968zd2_2000:
																																return
																																	BGl_errorzd2sexpzd2ze3nodeze3zzast_sexpz00
																																	(BGl_string3065z00zzast_sexpz00,
																																	BgL_expz00_20,
																																	BgL_locz00_1996);
																															}
																													}
																												else
																													{	/* Ast/sexp.scm 158 */
																														goto
																															BgL_tagzd21968zd2_2000;
																													}
																											}
																										else
																											{	/* Ast/sexp.scm 158 */
																												goto
																													BgL_tagzd21968zd2_2000;
																											}
																									}
																								else
																									{	/* Ast/sexp.scm 158 */
																										goto BgL_tagzd21968zd2_2000;
																									}
																							}
																						else
																							{	/* Ast/sexp.scm 158 */
																								goto BgL_tagzd21968zd2_2000;
																							}
																					}
																				else
																					{	/* Ast/sexp.scm 158 */
																						goto BgL_tagzd21968zd2_2000;
																					}
																			}
																		else
																			{	/* Ast/sexp.scm 158 */
																				goto BgL_tagzd21968zd2_2000;
																			}
																	}
																}
															}
														else
															{	/* Ast/sexp.scm 106 */
																if (
																	(CAR(BgL_expz00_20) ==
																		CNST_TABLE_REF(((long) 13))))
																	{	/* Ast/sexp.scm 106 */
																		BgL_lz00_1492 = CDR(BgL_expz00_20);
																	BgL_tagzd2364zd2_1493:
																		{	/* Ast/sexp.scm 172 */
																			bool_t BgL_testz00_4705;

																			if (PAIRP(BgL_lz00_1492))
																				{	/* Ast/sexp.scm 172 */
																					bool_t BgL_testz00_4708;

																					{	/* Ast/sexp.scm 172 */
																						obj_t BgL_auxz00_4709;

																						BgL_auxz00_4709 =
																							CDR(BgL_lz00_1492);
																						BgL_testz00_4708 =
																							PAIRP(BgL_auxz00_4709);
																					}
																					if (BgL_testz00_4708)
																						{
																							obj_t BgL_l1952z00_2025;

																							BgL_l1952z00_2025 = BgL_lz00_1492;
																						BgL_zc3anonymousza32384ze3z83_2026:
																							if (NULLP(BgL_l1952z00_2025))
																								{	/* Ast/sexp.scm 172 */
																									BgL_testz00_4705 =
																										((bool_t) 1);
																								}
																							else
																								{	/* Ast/sexp.scm 172 */
																									bool_t BgL_testz00_4714;

																									{	/* Ast/sexp.scm 172 */
																										obj_t BgL_auxz00_4715;

																										BgL_auxz00_4715 =
																											CAR(BgL_l1952z00_2025);
																										BgL_testz00_4714 =
																											SYMBOLP(BgL_auxz00_4715);
																									}
																									if (BgL_testz00_4714)
																										{
																											obj_t BgL_l1952z00_4718;

																											BgL_l1952z00_4718 =
																												CDR(BgL_l1952z00_2025);
																											BgL_l1952z00_2025 =
																												BgL_l1952z00_4718;
																											goto
																												BgL_zc3anonymousza32384ze3z83_2026;
																										}
																									else
																										{	/* Ast/sexp.scm 172 */
																											BgL_testz00_4705 =
																												((bool_t) 0);
																										}
																								}
																						}
																					else
																						{	/* Ast/sexp.scm 172 */
																							BgL_testz00_4705 = ((bool_t) 0);
																						}
																				}
																			else
																				{	/* Ast/sexp.scm 172 */
																					BgL_testz00_4705 = ((bool_t) 0);
																				}
																			if (BgL_testz00_4705)
																				{	/* Ast/sexp.scm 172 */
																					return
																						BGl_fieldzd2refzd2ze3nodeze3zzast_objectz00
																						(BgL_lz00_1492, BgL_expz00_20,
																						BgL_stackz00_21, BgL_locz00_22,
																						BgL_sitez00_23);
																				}
																			else
																				{	/* Ast/sexp.scm 172 */
																					return
																						BGl_errorzd2sexpzd2ze3nodeze3zzast_sexpz00
																						(BGl_string3062z00zzast_sexpz00,
																						BgL_expz00_20, BgL_locz00_22);
																				}
																		}
																	}
																else
																	{	/* Ast/sexp.scm 106 */
																		if (
																			(CAR(BgL_expz00_20) ==
																				CNST_TABLE_REF(((long) 11))))
																			{	/* Ast/sexp.scm 106 */
																			BgL_tagzd2365zd2_1494:
																				{
																					obj_t BgL_valuez00_2033;

																					if (PAIRP(BgL_expz00_20))
																						{	/* Ast/sexp.scm 106 */
																							obj_t BgL_cdrzd21995zd2_2038;

																							BgL_cdrzd21995zd2_2038 =
																								CDR(BgL_expz00_20);
																							if (PAIRP(BgL_cdrzd21995zd2_2038))
																								{	/* Ast/sexp.scm 106 */
																									if (NULLP(CDR
																											(BgL_cdrzd21995zd2_2038)))
																										{	/* Ast/sexp.scm 106 */
																											BgL_valuez00_2033 =
																												CAR
																												(BgL_cdrzd21995zd2_2038);
																											{	/* Ast/sexp.scm 179 */
																												obj_t BgL_locz00_2043;

																												BgL_locz00_2043 =
																													BGl_findzd2locationzf2locz20zztools_locationz00
																													(BgL_expz00_20,
																													BgL_locz00_22);
																												if (NULLP
																													(BgL_valuez00_2033))
																													{	/* Ast/sexp.scm 182 */
																														BgL_atomz00_bglt
																															BgL_new1117z00_2045;
																														{	/* Ast/sexp.scm 182 */
																															BgL_atomz00_bglt
																																BgL_new1116z00_2047;
																															BgL_new1116z00_2047
																																=
																																(
																																(BgL_atomz00_bglt)
																																BREF(GC_MALLOC
																																	(sizeof(struct
																																			BgL_atomz00_bgl))));
																															{	/* Ast/sexp.scm 182 */
																																long
																																	BgL_arg2398z00_2048;
																																{	/* Ast/sexp.scm 182 */
																																	long
																																		BgL_res2868z00_3550;
																																	{	/* Ast/sexp.scm 182 */
																																		obj_t
																																			BgL_classz00_3547;
																																		BgL_classz00_3547
																																			=
																																			BGl_atomz00zzast_nodez00;
																																		{	/* Ast/sexp.scm 182 */
																																			obj_t
																																				BgL_vectorz00_3548;
																																			int
																																				BgL_kz00_3549;
																																			BgL_vectorz00_3548
																																				=
																																				BgL_classz00_3547;
																																			BgL_kz00_3549
																																				=
																																				(int) ((
																																					(long)
																																					1));
																																			BgL_res2868z00_3550
																																				=
																																				(long)
																																				CINT
																																				(VECTOR_REF
																																				(BgL_vectorz00_3548,
																																					BgL_kz00_3549));
																																	}}
																																	BgL_arg2398z00_2048
																																		=
																																		BgL_res2868z00_3550;
																																}
																																{	/* Ast/sexp.scm 182 */
																																	BgL_objectz00_bglt
																																		BgL_objz00_3551;
																																	BgL_objz00_3551
																																		=
																																		(
																																		(BgL_objectz00_bglt)
																																		BgL_new1116z00_2047);
																																	BGL_OBJECT_CLASS_NUM_SET
																																		(BgL_objz00_3551,
																																		BgL_arg2398z00_2048);
																															}}
																															{	/* Ast/sexp.scm 182 */
																																BgL_objectz00_bglt
																																	BgL_auxz00_4744;
																																BgL_auxz00_4744
																																	=
																																	(
																																	(BgL_objectz00_bglt)
																																	BgL_new1116z00_2047);
																																BGL_OBJECT_WIDENING_SET
																																	(BgL_auxz00_4744,
																																	BFALSE);
																															}
																															BgL_new1117z00_2045
																																=
																																BgL_new1116z00_2047;
																														}
																														((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt) BgL_new1117z00_2045)))->BgL_locz00) = ((obj_t) BgL_locz00_2043), BUNSPEC);
																														{
																															BgL_typez00_bglt
																																BgL_auxz00_4749;
																															{	/* Ast/sexp.scm 184 */
																																BgL_typez00_bglt
																																	BgL_arg2397z00_2046;
																																BgL_arg2397z00_2046
																																	=
																																	BGl_getzd2typezd2kwotez00zztype_typeofz00
																																	(BgL_valuez00_2033);
																																BgL_auxz00_4749
																																	=
																																	BGl_strictzd2nodezd2typez00zzast_nodez00
																																	(BgL_arg2397z00_2046,
																																	((BgL_typez00_bglt) BGl_za2bnilza2z00zztype_cachez00));
																															}
																															((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt) BgL_new1117z00_2045)))->BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_4749), BUNSPEC);
																														}
																														((((BgL_atomz00_bglt) CREF(BgL_new1117z00_2045))->BgL_valuez00) = ((obj_t) BNIL), BUNSPEC);
																														return
																															(
																															(BgL_nodez00_bglt)
																															BgL_new1117z00_2045);
																													}
																												else
																													{	/* Ast/sexp.scm 186 */
																														bool_t
																															BgL_testz00_4757;
																														if (PAIRP
																															(BgL_valuez00_2033))
																															{	/* Ast/sexp.scm 186 */
																																BgL_testz00_4757
																																	=
																																	((bool_t) 1);
																															}
																														else
																															{	/* Ast/sexp.scm 186 */
																																if (VECTORP
																																	(BgL_valuez00_2033))
																																	{	/* Ast/sexp.scm 187 */
																																		BgL_testz00_4757
																																			=
																																			((bool_t)
																																			1);
																																	}
																																else
																																	{	/* Ast/sexp.scm 187 */
																																		if (BGL_HVECTORP(BgL_valuez00_2033))
																																			{	/* Ast/sexp.scm 188 */
																																				BgL_testz00_4757
																																					=
																																					(
																																					(bool_t)
																																					1);
																																			}
																																		else
																																			{	/* Ast/sexp.scm 188 */
																																				if (STRUCTP(BgL_valuez00_2033))
																																					{	/* Ast/sexp.scm 189 */
																																						BgL_testz00_4757
																																							=
																																							(
																																							(bool_t)
																																							1);
																																					}
																																				else
																																					{	/* Ast/sexp.scm 189 */
																																						if (SYMBOLP(BgL_valuez00_2033))
																																							{	/* Ast/sexp.scm 190 */
																																								BgL_testz00_4757
																																									=
																																									(
																																									(bool_t)
																																									1);
																																							}
																																						else
																																							{	/* Ast/sexp.scm 190 */
																																								BgL_testz00_4757
																																									=
																																									KEYWORDP
																																									(BgL_valuez00_2033);
																																							}
																																					}
																																			}
																																	}
																															}
																														if (BgL_testz00_4757)
																															{	/* Ast/sexp.scm 192 */
																																BgL_kwotez00_bglt
																																	BgL_new1120z00_2050;
																																{	/* Ast/sexp.scm 192 */
																																	BgL_kwotez00_bglt
																																		BgL_new1119z00_2052;
																																	BgL_new1119z00_2052
																																		=
																																		(
																																		(BgL_kwotez00_bglt)
																																		BREF
																																		(GC_MALLOC
																																			(sizeof
																																				(struct
																																					BgL_kwotez00_bgl))));
																																	{	/* Ast/sexp.scm 192 */
																																		long
																																			BgL_arg2402z00_2053;
																																		{	/* Ast/sexp.scm 192 */
																																			long
																																				BgL_res2874z00_3567;
																																			{	/* Ast/sexp.scm 192 */
																																				obj_t
																																					BgL_classz00_3564;
																																				BgL_classz00_3564
																																					=
																																					BGl_kwotez00zzast_nodez00;
																																				{	/* Ast/sexp.scm 192 */
																																					obj_t
																																						BgL_vectorz00_3565;
																																					int
																																						BgL_kz00_3566;
																																					BgL_vectorz00_3565
																																						=
																																						BgL_classz00_3564;
																																					BgL_kz00_3566
																																						=
																																						(int)
																																						(((long) 1));
																																					BgL_res2874z00_3567
																																						=
																																						(long)
																																						CINT
																																						(VECTOR_REF
																																						(BgL_vectorz00_3565,
																																							BgL_kz00_3566));
																																			}}
																																			BgL_arg2402z00_2053
																																				=
																																				BgL_res2874z00_3567;
																																		}
																																		{	/* Ast/sexp.scm 192 */
																																			BgL_objectz00_bglt
																																				BgL_objz00_3568;
																																			BgL_objz00_3568
																																				=
																																				(
																																				(BgL_objectz00_bglt)
																																				BgL_new1119z00_2052);
																																			BGL_OBJECT_CLASS_NUM_SET
																																				(BgL_objz00_3568,
																																				BgL_arg2402z00_2053);
																																	}}
																																	{	/* Ast/sexp.scm 192 */
																																		BgL_objectz00_bglt
																																			BgL_auxz00_4775;
																																		BgL_auxz00_4775
																																			=
																																			(
																																			(BgL_objectz00_bglt)
																																			BgL_new1119z00_2052);
																																		BGL_OBJECT_WIDENING_SET
																																			(BgL_auxz00_4775,
																																			BFALSE);
																																	}
																																	BgL_new1120z00_2050
																																		=
																																		BgL_new1119z00_2052;
																																}
																																((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt) BgL_new1120z00_2050)))->BgL_locz00) = ((obj_t) BgL_locz00_2043), BUNSPEC);
																																{
																																	BgL_typez00_bglt
																																		BgL_auxz00_4780;
																																	{	/* Ast/sexp.scm 194 */
																																		BgL_typez00_bglt
																																			BgL_arg2400z00_2051;
																																		BgL_arg2400z00_2051
																																			=
																																			BGl_getzd2typezd2kwotez00zztype_typeofz00
																																			(BgL_valuez00_2033);
																																		BgL_auxz00_4780
																																			=
																																			BGl_strictzd2nodezd2typez00zzast_nodez00
																																			(BgL_arg2400z00_2051,
																																			((BgL_typez00_bglt) BGl_za2_za2z00zztype_cachez00));
																																	}
																																	((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt) BgL_new1120z00_2050)))->BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_4780), BUNSPEC);
																																}
																																((((BgL_kwotez00_bglt) CREF(BgL_new1120z00_2050))->BgL_valuez00) = ((obj_t) BgL_valuez00_2033), BUNSPEC);
																																return
																																	(
																																	(BgL_nodez00_bglt)
																																	BgL_new1120z00_2050);
																															}
																														else
																															{	/* Ast/sexp.scm 196 */
																																bool_t
																																	BgL_testz00_4788;
																																if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_valuez00_2033))
																																	{	/* Ast/sexp.scm 196 */
																																		BgL_testz00_4788
																																			=
																																			((bool_t)
																																			1);
																																	}
																																else
																																	{	/* Ast/sexp.scm 196 */
																																		if (STRINGP
																																			(BgL_valuez00_2033))
																																			{	/* Ast/sexp.scm 197 */
																																				BgL_testz00_4788
																																					=
																																					(
																																					(bool_t)
																																					1);
																																			}
																																		else
																																			{	/* Ast/sexp.scm 197 */
																																				if (CNSTP(BgL_valuez00_2033))
																																					{	/* Ast/sexp.scm 198 */
																																						BgL_testz00_4788
																																							=
																																							(
																																							(bool_t)
																																							1);
																																					}
																																				else
																																					{	/* Ast/sexp.scm 198 */
																																						if (CHARP(BgL_valuez00_2033))
																																							{	/* Ast/sexp.scm 202 */
																																								BgL_testz00_4788
																																									=
																																									(
																																									(bool_t)
																																									1);
																																							}
																																						else
																																							{	/* Ast/sexp.scm 202 */
																																								BgL_testz00_4788
																																									=
																																									BOOLEANP
																																									(BgL_valuez00_2033);
																																							}
																																					}
																																			}
																																	}
																																if (BgL_testz00_4788)
																																	{
																																		obj_t
																																			BgL_locz00_4799;
																																		obj_t
																																			BgL_expz00_4798;
																																		BgL_expz00_4798
																																			=
																																			BgL_valuez00_2033;
																																		BgL_locz00_4799
																																			=
																																			BgL_locz00_2043;
																																		BgL_locz00_22
																																			=
																																			BgL_locz00_4799;
																																		BgL_expz00_20
																																			=
																																			BgL_expz00_4798;
																																		goto
																																			BGl_sexpzd2ze3nodez31zzast_sexpz00;
																																	}
																																else
																																	{	/* Ast/sexp.scm 196 */
																																		return
																																			BGl_errorzd2sexpzd2ze3nodeze3zzast_sexpz00
																																			(BGl_string3064z00zzast_sexpz00,
																																			BgL_expz00_20,
																																			BgL_locz00_2043);
																																	}
																															}
																													}
																											}
																										}
																									else
																										{	/* Ast/sexp.scm 106 */
																										BgL_tagzd21990zd2_2035:
																											return
																												BGl_errorzd2sexpzd2ze3nodeze3zzast_sexpz00
																												(BGl_string3064z00zzast_sexpz00,
																												BgL_expz00_20,
																												BgL_locz00_22);
																										}
																								}
																							else
																								{	/* Ast/sexp.scm 106 */
																									goto BgL_tagzd21990zd2_2035;
																								}
																						}
																					else
																						{	/* Ast/sexp.scm 106 */
																							goto BgL_tagzd21990zd2_2035;
																						}
																				}
																			}
																		else
																			{	/* Ast/sexp.scm 106 */
																				if (
																					(CAR(BgL_expz00_20) ==
																						CNST_TABLE_REF(((long) 14))))
																					{	/* Ast/sexp.scm 106 */
																						if (NULLP(CDR(BgL_expz00_20)))
																							{	/* Ast/sexp.scm 106 */
																							BgL_tagzd2366zd2_1495:
																								{
																									obj_t BgL_locz00_4811;
																									obj_t BgL_expz00_4810;

																									BgL_expz00_4810 = BUNSPEC;
																									BgL_locz00_4811 =
																										BGl_findzd2locationzf2locz20zztools_locationz00
																										(BgL_expz00_20,
																										BgL_locz00_22);
																									BgL_locz00_22 =
																										BgL_locz00_4811;
																									BgL_expz00_20 =
																										BgL_expz00_4810;
																									goto
																										BGl_sexpzd2ze3nodez31zzast_sexpz00;
																								}
																							}
																						else
																							{	/* Ast/sexp.scm 106 */
																								obj_t BgL_arg1982z00_1548;

																								BgL_arg1982z00_1548 =
																									CDR(BgL_expz00_20);
																								{
																									BgL_sequencez00_bglt
																										BgL_auxz00_4814;
																									BgL_bodyz00_1496 =
																										BgL_arg1982z00_1548;
																								BgL_tagzd2367zd2_1497:
																									{	/* Ast/sexp.scm 213 */
																										obj_t BgL_locz00_2065;

																										BgL_locz00_2065 =
																											BGl_findzd2locationzf2locz20zztools_locationz00
																											(BgL_expz00_20,
																											BgL_locz00_22);
																										{	/* Ast/sexp.scm 213 */
																											obj_t BgL_nodesz00_2066;

																											BgL_nodesz00_2066 =
																												BGl_sexpza2zd2ze3nodez93zzast_sexpz00
																												(BgL_bodyz00_1496,
																												BgL_stackz00_21,
																												BgL_locz00_2065,
																												BgL_sitez00_23);
																											{	/* Ast/sexp.scm 214 */

																												{	/* Ast/sexp.scm 215 */
																													BgL_sequencez00_bglt
																														BgL_new1123z00_2067;
																													{	/* Ast/sexp.scm 215 */
																														BgL_sequencez00_bglt
																															BgL_new1122z00_2068;
																														BgL_new1122z00_2068
																															=
																															(
																															(BgL_sequencez00_bglt)
																															BREF(GC_MALLOC
																																(sizeof(struct
																																		BgL_sequencez00_bgl))));
																														{	/* Ast/sexp.scm 215 */
																															long
																																BgL_arg2414z00_2069;
																															{	/* Ast/sexp.scm 215 */
																																long
																																	BgL_res2882z00_3590;
																																{	/* Ast/sexp.scm 215 */
																																	obj_t
																																		BgL_classz00_3587;
																																	BgL_classz00_3587
																																		=
																																		BGl_sequencez00zzast_nodez00;
																																	{	/* Ast/sexp.scm 215 */
																																		obj_t
																																			BgL_vectorz00_3588;
																																		int
																																			BgL_kz00_3589;
																																		BgL_vectorz00_3588
																																			=
																																			BgL_classz00_3587;
																																		BgL_kz00_3589
																																			=
																																			(int) ((
																																				(long)
																																				1));
																																		BgL_res2882z00_3590
																																			=
																																			(long)
																																			CINT
																																			(VECTOR_REF
																																			(BgL_vectorz00_3588,
																																				BgL_kz00_3589));
																																}}
																																BgL_arg2414z00_2069
																																	=
																																	BgL_res2882z00_3590;
																															}
																															{	/* Ast/sexp.scm 215 */
																																BgL_objectz00_bglt
																																	BgL_objz00_3591;
																																BgL_objz00_3591
																																	=
																																	(
																																	(BgL_objectz00_bglt)
																																	BgL_new1122z00_2068);
																																BGL_OBJECT_CLASS_NUM_SET
																																	(BgL_objz00_3591,
																																	BgL_arg2414z00_2069);
																														}}
																														{	/* Ast/sexp.scm 215 */
																															BgL_objectz00_bglt
																																BgL_auxz00_4823;
																															BgL_auxz00_4823 =
																																(
																																(BgL_objectz00_bglt)
																																BgL_new1122z00_2068);
																															BGL_OBJECT_WIDENING_SET
																																(BgL_auxz00_4823,
																																BFALSE);
																														}
																														BgL_new1123z00_2067
																															=
																															BgL_new1122z00_2068;
																													}
																													((((BgL_nodez00_bglt)
																																CREF((
																																		(BgL_nodez00_bglt)
																																		BgL_new1123z00_2067)))->
																															BgL_locz00) =
																														((obj_t)
																															BgL_locz00_2065),
																														BUNSPEC);
																													((((BgL_nodez00_bglt)
																																CREF((
																																		(BgL_nodez00_bglt)
																																		BgL_new1123z00_2067)))->
																															BgL_typez00) =
																														((BgL_typez00_bglt)
																															((BgL_typez00_bglt) BGl_za2_za2z00zztype_cachez00)), BUNSPEC);
																													((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt) BgL_new1123z00_2067)))->BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
																													((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt) BgL_new1123z00_2067)))->BgL_keyz00) = ((obj_t) BINT(((long) -1))), BUNSPEC);
																													((((BgL_sequencez00_bglt) CREF(BgL_new1123z00_2067))->BgL_nodesz00) = ((obj_t) BgL_nodesz00_2066), BUNSPEC);
																													((((BgL_sequencez00_bglt) CREF(BgL_new1123z00_2067))->BgL_unsafez00) = ((bool_t) ((bool_t) 0)), BUNSPEC);
																													BgL_auxz00_4814 =
																														BgL_new1123z00_2067;
																									}}}}
																									return
																										((BgL_nodez00_bglt)
																										BgL_auxz00_4814);
																								}
																							}
																					}
																				else
																					{	/* Ast/sexp.scm 106 */
																						obj_t BgL_carzd2516zd2_1550;

																						BgL_carzd2516zd2_1550 =
																							CAR(BgL_expz00_20);
																						if (
																							(BgL_carzd2516zd2_1550 ==
																								CNST_TABLE_REF(((long) 1))))
																							{	/* Ast/sexp.scm 106 */
																							BgL_tagzd2368zd2_1498:
																								{
																									obj_t BgL_siz00_2070;
																									obj_t BgL_alorsz00_2071;
																									obj_t BgL_sinonz00_2072;
																									obj_t BgL_siz00_2074;
																									obj_t BgL_alorsz00_2075;

																									if (PAIRP(BgL_expz00_20))
																										{	/* Ast/sexp.scm 106 */
																											obj_t
																												BgL_cdrzd22011zd2_2080;
																											BgL_cdrzd22011zd2_2080 =
																												CDR(BgL_expz00_20);
																											if (PAIRP
																												(BgL_cdrzd22011zd2_2080))
																												{	/* Ast/sexp.scm 106 */
																													obj_t
																														BgL_cdrzd22016zd2_2082;
																													BgL_cdrzd22016zd2_2082
																														=
																														CDR
																														(BgL_cdrzd22011zd2_2080);
																													if (PAIRP
																														(BgL_cdrzd22016zd2_2082))
																														{	/* Ast/sexp.scm 106 */
																															obj_t
																																BgL_cdrzd22021zd2_2084;
																															BgL_cdrzd22021zd2_2084
																																=
																																CDR
																																(BgL_cdrzd22016zd2_2082);
																															if (PAIRP
																																(BgL_cdrzd22021zd2_2084))
																																{	/* Ast/sexp.scm 106 */
																																	if (NULLP(CDR
																																			(BgL_cdrzd22021zd2_2084)))
																																		{	/* Ast/sexp.scm 106 */
																																			BgL_siz00_2070
																																				=
																																				CAR
																																				(BgL_cdrzd22011zd2_2080);
																																			BgL_alorsz00_2071
																																				=
																																				CAR
																																				(BgL_cdrzd22016zd2_2082);
																																			BgL_sinonz00_2072
																																				=
																																				CAR
																																				(BgL_cdrzd22021zd2_2084);
																																			{
																																				obj_t
																																					BgL_siz00_2097;
																																				if (PAIRP(BgL_siz00_2070))
																																					{	/* Ast/sexp.scm 106 */
																																						obj_t
																																							BgL_cdrzd22076zd2_2102;
																																						BgL_cdrzd22076zd2_2102
																																							=
																																							CDR
																																							(BgL_siz00_2070);
																																						if (
																																							(CAR
																																								(BgL_siz00_2070)
																																								==
																																								CNST_TABLE_REF
																																								(((long) 1))))
																																							{	/* Ast/sexp.scm 106 */
																																								if (PAIRP(BgL_cdrzd22076zd2_2102))
																																									{	/* Ast/sexp.scm 106 */
																																										obj_t
																																											BgL_cdrzd22079zd2_2105;
																																										BgL_cdrzd22079zd2_2105
																																											=
																																											CDR
																																											(BgL_cdrzd22076zd2_2102);
																																										if (PAIRP(BgL_cdrzd22079zd2_2105))
																																											{	/* Ast/sexp.scm 106 */
																																												obj_t
																																													BgL_cdrzd22082zd2_2107;
																																												BgL_cdrzd22082zd2_2107
																																													=
																																													CDR
																																													(BgL_cdrzd22079zd2_2105);
																																												if ((CAR(BgL_cdrzd22079zd2_2105) == BFALSE))
																																													{	/* Ast/sexp.scm 106 */
																																														if (PAIRP(BgL_cdrzd22082zd2_2107))
																																															{	/* Ast/sexp.scm 106 */
																																																if ((CAR(BgL_cdrzd22082zd2_2107) == BTRUE))
																																																	{	/* Ast/sexp.scm 106 */
																																																		if (NULLP(CDR(BgL_cdrzd22082zd2_2107)))
																																																			{	/* Ast/sexp.scm 106 */
																																																				BgL_siz00_2097
																																																					=
																																																					CAR
																																																					(BgL_cdrzd22076zd2_2102);
																																																			BgL_tagzd22068zd2_2098:
																																																				{	/* Ast/sexp.scm 225 */
																																																					obj_t
																																																						BgL_auxz00_4881;
																																																					BgL_auxz00_4881
																																																						=
																																																						CDR
																																																						(BgL_expz00_20);
																																																					SET_CAR
																																																						(BgL_auxz00_4881,
																																																						BgL_siz00_2097);
																																																				}
																																																				{	/* Ast/sexp.scm 226 */
																																																					obj_t
																																																						BgL_arg2448z00_2125;
																																																					{	/* Ast/sexp.scm 226 */
																																																						obj_t
																																																							BgL_pairz00_3596;
																																																						BgL_pairz00_3596
																																																							=
																																																							BgL_expz00_20;
																																																						BgL_arg2448z00_2125
																																																							=
																																																							CDR
																																																							(CDR
																																																							(BgL_pairz00_3596));
																																																					}
																																																					SET_CAR
																																																						(BgL_arg2448z00_2125,
																																																						BgL_sinonz00_2072);
																																																				}
																																																				{	/* Ast/sexp.scm 227 */
																																																					obj_t
																																																						BgL_arg2449z00_2126;
																																																					{	/* Ast/sexp.scm 227 */
																																																						obj_t
																																																							BgL_pairz00_3602;
																																																						BgL_pairz00_3602
																																																							=
																																																							BgL_expz00_20;
																																																						BgL_arg2449z00_2126
																																																							=
																																																							CDR
																																																							(CDR
																																																							(CDR
																																																								(BgL_pairz00_3602)));
																																																					}
																																																					SET_CAR
																																																						(BgL_arg2449z00_2126,
																																																						BgL_alorsz00_2071);
																																																				}
																																																				{

																																																					goto
																																																						BGl_sexpzd2ze3nodez31zzast_sexpz00;
																																																				}
																																																			}
																																																		else
																																																			{	/* Ast/sexp.scm 106 */
																																																			BgL_tagzd22069zd2_2099:
																																																				{	/* Ast/sexp.scm 230 */
																																																					bool_t
																																																						BgL_testz00_4892;
																																																					if (SYMBOLP(BgL_siz00_2070))
																																																						{	/* Ast/sexp.scm 230 */
																																																							BgL_testz00_4892
																																																								=
																																																								(
																																																								(bool_t)
																																																								1);
																																																						}
																																																					else
																																																						{	/* Ast/sexp.scm 230 */
																																																							BgL_testz00_4892
																																																								=
																																																								BGl_isazf3zf3zz__objectz00
																																																								(BgL_siz00_2070,
																																																								BGl_atomz00zzast_nodez00);
																																																						}
																																																					if (BgL_testz00_4892)
																																																						{	/* Ast/sexp.scm 231 */
																																																							obj_t
																																																								BgL_locz00_2128;
																																																							BgL_locz00_2128
																																																								=
																																																								BGl_findzd2locationzf2locz20zztools_locationz00
																																																								(BgL_expz00_20,
																																																								BgL_locz00_22);
																																																							{	/* Ast/sexp.scm 231 */
																																																								obj_t
																																																									BgL_cdlocz00_2129;
																																																								BgL_cdlocz00_2129
																																																									=
																																																									BGl_findzd2locationzf2locz20zztools_locationz00
																																																									(CDR
																																																									(BgL_expz00_20),
																																																									BgL_locz00_2128);
																																																								{	/* Ast/sexp.scm 232 */
																																																									obj_t
																																																										BgL_cddlocz00_2130;
																																																									{	/* Ast/sexp.scm 233 */
																																																										obj_t
																																																											BgL_arg2453z00_2142;
																																																										{	/* Ast/sexp.scm 233 */
																																																											obj_t
																																																												BgL_pairz00_3615;
																																																											BgL_pairz00_3615
																																																												=
																																																												BgL_expz00_20;
																																																											BgL_arg2453z00_2142
																																																												=
																																																												CDR
																																																												(CDR
																																																												(BgL_pairz00_3615));
																																																										}
																																																										BgL_cddlocz00_2130
																																																											=
																																																											BGl_findzd2locationzf2locz20zztools_locationz00
																																																											(BgL_arg2453z00_2142,
																																																											BgL_locz00_2128);
																																																									}
																																																									{	/* Ast/sexp.scm 233 */
																																																										obj_t
																																																											BgL_cdddlocz00_2131;
																																																										{	/* Ast/sexp.scm 234 */
																																																											obj_t
																																																												BgL_arg2452z00_2141;
																																																											{	/* Ast/sexp.scm 234 */
																																																												obj_t
																																																													BgL_pairz00_3619;
																																																												BgL_pairz00_3619
																																																													=
																																																													BgL_expz00_20;
																																																												BgL_arg2452z00_2141
																																																													=
																																																													CDR
																																																													(CDR
																																																													(CDR
																																																														(BgL_pairz00_3619)));
																																																											}
																																																											BgL_cdddlocz00_2131
																																																												=
																																																												BGl_findzd2locationzf2locz20zztools_locationz00
																																																												(BgL_arg2452z00_2141,
																																																												BgL_locz00_2128);
																																																										}
																																																										{	/* Ast/sexp.scm 234 */
																																																											obj_t
																																																												BgL_lzd2sizd2_2132;
																																																											BgL_lzd2sizd2_2132
																																																												=
																																																												BGl_findzd2locationzf2locz20zztools_locationz00
																																																												(BgL_siz00_2070,
																																																												BgL_cdlocz00_2129);
																																																											{	/* Ast/sexp.scm 235 */
																																																												obj_t
																																																													BgL_lzd2alorszd2_2133;
																																																												BgL_lzd2alorszd2_2133
																																																													=
																																																													BGl_findzd2locationzf2locz20zztools_locationz00
																																																													(BgL_alorsz00_2071,
																																																													BgL_cddlocz00_2130);
																																																												{	/* Ast/sexp.scm 236 */
																																																													obj_t
																																																														BgL_lzd2sinonzd2_2134;
																																																													BgL_lzd2sinonzd2_2134
																																																														=
																																																														BGl_findzd2locationzf2locz20zztools_locationz00
																																																														(BgL_sinonz00_2072,
																																																														BgL_cdddlocz00_2131);
																																																													{	/* Ast/sexp.scm 237 */
																																																														BgL_nodez00_bglt
																																																															BgL_siz00_2135;
																																																														BgL_siz00_2135
																																																															=
																																																															BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																															(BgL_siz00_2070,
																																																															BgL_stackz00_21,
																																																															BgL_lzd2sizd2_2132,
																																																															CNST_TABLE_REF
																																																															(((long) 2)));
																																																														{	/* Ast/sexp.scm 238 */
																																																															BgL_nodez00_bglt
																																																																BgL_alorsz00_2136;
																																																															BgL_alorsz00_2136
																																																																=
																																																																BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																																(BgL_alorsz00_2071,
																																																																BgL_stackz00_21,
																																																																BgL_lzd2alorszd2_2133,
																																																																CNST_TABLE_REF
																																																																(((long) 2)));
																																																															{	/* Ast/sexp.scm 239 */
																																																																BgL_nodez00_bglt
																																																																	BgL_sinonz00_2137;
																																																																BgL_sinonz00_2137
																																																																	=
																																																																	BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																																	(BgL_sinonz00_2072,
																																																																	BgL_stackz00_21,
																																																																	BgL_lzd2sinonzd2_2134,
																																																																	CNST_TABLE_REF
																																																																	(((long) 2)));
																																																																{	/* Ast/sexp.scm 240 */

																																																																	{	/* Ast/sexp.scm 241 */
																																																																		BgL_conditionalz00_bglt
																																																																			BgL_new1125z00_2138;
																																																																		{	/* Ast/sexp.scm 241 */
																																																																			BgL_conditionalz00_bglt
																																																																				BgL_new1124z00_2139;
																																																																			BgL_new1124z00_2139
																																																																				=
																																																																				(
																																																																				(BgL_conditionalz00_bglt)
																																																																				BREF
																																																																				(GC_MALLOC
																																																																					(sizeof
																																																																						(struct
																																																																							BgL_conditionalz00_bgl))));
																																																																			{	/* Ast/sexp.scm 241 */
																																																																				long
																																																																					BgL_arg2451z00_2140;
																																																																				{	/* Ast/sexp.scm 241 */
																																																																					long
																																																																						BgL_res2885z00_3628;
																																																																					{	/* Ast/sexp.scm 241 */
																																																																						obj_t
																																																																							BgL_classz00_3625;
																																																																						BgL_classz00_3625
																																																																							=
																																																																							BGl_conditionalz00zzast_nodez00;
																																																																						{	/* Ast/sexp.scm 241 */
																																																																							obj_t
																																																																								BgL_vectorz00_3626;
																																																																							int
																																																																								BgL_kz00_3627;
																																																																							BgL_vectorz00_3626
																																																																								=
																																																																								BgL_classz00_3625;
																																																																							BgL_kz00_3627
																																																																								=
																																																																								(int)
																																																																								(
																																																																								((long) 1));
																																																																							BgL_res2885z00_3628
																																																																								=
																																																																								(long)
																																																																								CINT
																																																																								(VECTOR_REF
																																																																								(BgL_vectorz00_3626,
																																																																									BgL_kz00_3627));
																																																																					}}
																																																																					BgL_arg2451z00_2140
																																																																						=
																																																																						BgL_res2885z00_3628;
																																																																				}
																																																																				{	/* Ast/sexp.scm 241 */
																																																																					BgL_objectz00_bglt
																																																																						BgL_objz00_3629;
																																																																					BgL_objz00_3629
																																																																						=
																																																																						(
																																																																						(BgL_objectz00_bglt)
																																																																						BgL_new1124z00_2139);
																																																																					BGL_OBJECT_CLASS_NUM_SET
																																																																						(BgL_objz00_3629,
																																																																						BgL_arg2451z00_2140);
																																																																			}}
																																																																			{	/* Ast/sexp.scm 241 */
																																																																				BgL_objectz00_bglt
																																																																					BgL_auxz00_4921;
																																																																				BgL_auxz00_4921
																																																																					=
																																																																					(
																																																																					(BgL_objectz00_bglt)
																																																																					BgL_new1124z00_2139);
																																																																				BGL_OBJECT_WIDENING_SET
																																																																					(BgL_auxz00_4921,
																																																																					BFALSE);
																																																																			}
																																																																			BgL_new1125z00_2138
																																																																				=
																																																																				BgL_new1124z00_2139;
																																																																		}
																																																																		((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt) BgL_new1125z00_2138)))->BgL_locz00) = ((obj_t) BgL_locz00_2128), BUNSPEC);
																																																																		((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt) BgL_new1125z00_2138)))->BgL_typez00) = ((BgL_typez00_bglt) ((BgL_typez00_bglt) BGl_za2_za2z00zztype_cachez00)), BUNSPEC);
																																																																		((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt) BgL_new1125z00_2138)))->BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
																																																																		((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt) BgL_new1125z00_2138)))->BgL_keyz00) = ((obj_t) BINT(((long) -1))), BUNSPEC);
																																																																		((((BgL_conditionalz00_bglt) CREF(BgL_new1125z00_2138))->BgL_testz00) = ((BgL_nodez00_bglt) BgL_siz00_2135), BUNSPEC);
																																																																		((((BgL_conditionalz00_bglt) CREF(BgL_new1125z00_2138))->BgL_truez00) = ((BgL_nodez00_bglt) BgL_alorsz00_2136), BUNSPEC);
																																																																		((((BgL_conditionalz00_bglt) CREF(BgL_new1125z00_2138))->BgL_falsez00) = ((BgL_nodez00_bglt) BgL_sinonz00_2137), BUNSPEC);
																																																																		return
																																																																			(
																																																																			(BgL_nodez00_bglt)
																																																																			BgL_new1125z00_2138);
																																																																	}
																																																																}
																																																															}
																																																														}
																																																													}
																																																												}
																																																											}
																																																										}
																																																									}
																																																								}
																																																							}
																																																						}
																																																					else
																																																						{	/* Ast/sexp.scm 247 */
																																																							obj_t
																																																								BgL_vz00_2144;
																																																							BgL_vz00_2144
																																																								=
																																																								BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00
																																																								(BGl_gensymz00zz__r4_symbols_6_4z00
																																																								(CNST_TABLE_REF
																																																									(((long) 6))));
																																																							{	/* Ast/sexp.scm 247 */
																																																								obj_t
																																																									BgL_varz00_2145;
																																																								BgL_varz00_2145
																																																									=
																																																									BGl_makezd2typedzd2identz00zzast_identz00
																																																									(BgL_vz00_2144,
																																																									CNST_TABLE_REF
																																																									(((long) 7)));
																																																								{	/* Ast/sexp.scm 248 */
																																																									obj_t
																																																										BgL_nexpz00_2146;
																																																									{	/* Ast/sexp.scm 249 */
																																																										obj_t
																																																											BgL_arg2462z00_2154;
																																																										{	/* Ast/sexp.scm 249 */
																																																											obj_t
																																																												BgL_arg2463z00_2155;
																																																											{	/* Ast/sexp.scm 249 */
																																																												obj_t
																																																													BgL_arg2464z00_2156;
																																																												{	/* Ast/sexp.scm 249 */
																																																													obj_t
																																																														BgL_arg2465z00_2157;
																																																													BgL_arg2465z00_2157
																																																														=
																																																														MAKE_PAIR
																																																														(BgL_sinonz00_2072,
																																																														BNIL);
																																																													BgL_arg2464z00_2156
																																																														=
																																																														MAKE_PAIR
																																																														(BgL_alorsz00_2071,
																																																														BgL_arg2465z00_2157);
																																																												}
																																																												BgL_arg2463z00_2155
																																																													=
																																																													MAKE_PAIR
																																																													(BgL_vz00_2144,
																																																													BgL_arg2464z00_2156);
																																																											}
																																																											BgL_arg2462z00_2154
																																																												=
																																																												MAKE_PAIR
																																																												(CNST_TABLE_REF
																																																												(((long) 1)), BgL_arg2463z00_2155);
																																																										}
																																																										BgL_nexpz00_2146
																																																											=
																																																											BGl_epairifyzd2reczd2zztools_miscz00
																																																											(BgL_arg2462z00_2154,
																																																											BgL_expz00_20);
																																																									}
																																																									{	/* Ast/sexp.scm 249 */

																																																										{	/* Ast/sexp.scm 250 */
																																																											obj_t
																																																												BgL_arg2455z00_2147;
																																																											{	/* Ast/sexp.scm 250 */
																																																												obj_t
																																																													BgL_arg2456z00_2148;
																																																												obj_t
																																																													BgL_arg2457z00_2149;
																																																												BgL_arg2456z00_2148
																																																													=
																																																													BGl_letzd2symzd2zzast_letz00
																																																													();
																																																												{	/* Ast/sexp.scm 250 */
																																																													obj_t
																																																														BgL_arg2458z00_2150;
																																																													obj_t
																																																														BgL_arg2459z00_2151;
																																																													{	/* Ast/sexp.scm 250 */
																																																														obj_t
																																																															BgL_arg2460z00_2152;
																																																														{	/* Ast/sexp.scm 250 */
																																																															obj_t
																																																																BgL_arg2461z00_2153;
																																																															BgL_arg2461z00_2153
																																																																=
																																																																MAKE_PAIR
																																																																(BgL_siz00_2070,
																																																																BNIL);
																																																															BgL_arg2460z00_2152
																																																																=
																																																																MAKE_PAIR
																																																																(BgL_varz00_2145,
																																																																BgL_arg2461z00_2153);
																																																														}
																																																														BgL_arg2458z00_2150
																																																															=
																																																															MAKE_PAIR
																																																															(BgL_arg2460z00_2152,
																																																															BNIL);
																																																													}
																																																													BgL_arg2459z00_2151
																																																														=
																																																														MAKE_PAIR
																																																														(BgL_nexpz00_2146,
																																																														BNIL);
																																																													BgL_arg2457z00_2149
																																																														=
																																																														MAKE_PAIR
																																																														(BgL_arg2458z00_2150,
																																																														BgL_arg2459z00_2151);
																																																												}
																																																												BgL_arg2455z00_2147
																																																													=
																																																													MAKE_PAIR
																																																													(BgL_arg2456z00_2148,
																																																													BgL_arg2457z00_2149);
																																																											}
																																																											BGl_replacez12z12zztools_miscz00
																																																												(BgL_expz00_20,
																																																												BgL_arg2455z00_2147);
																																																										}
																																																										{

																																																											goto
																																																												BGl_sexpzd2ze3nodez31zzast_sexpz00;
																																																										}
																																																									}
																																																								}
																																																							}
																																																						}
																																																				}
																																																			}
																																																	}
																																																else
																																																	{	/* Ast/sexp.scm 106 */
																																																		goto
																																																			BgL_tagzd22069zd2_2099;
																																																	}
																																															}
																																														else
																																															{	/* Ast/sexp.scm 106 */
																																																goto
																																																	BgL_tagzd22069zd2_2099;
																																															}
																																													}
																																												else
																																													{	/* Ast/sexp.scm 106 */
																																														goto
																																															BgL_tagzd22069zd2_2099;
																																													}
																																											}
																																										else
																																											{	/* Ast/sexp.scm 106 */
																																												goto
																																													BgL_tagzd22069zd2_2099;
																																											}
																																									}
																																								else
																																									{	/* Ast/sexp.scm 106 */
																																										goto
																																											BgL_tagzd22069zd2_2099;
																																									}
																																							}
																																						else
																																							{	/* Ast/sexp.scm 106 */
																																								if ((CAR(BgL_siz00_2070) == CNST_TABLE_REF(((long) 8))))
																																									{	/* Ast/sexp.scm 106 */
																																										if (PAIRP(BgL_cdrzd22076zd2_2102))
																																											{	/* Ast/sexp.scm 106 */
																																												if (NULLP(CDR(BgL_cdrzd22076zd2_2102)))
																																													{
																																														obj_t
																																															BgL_siz00_4966;
																																														BgL_siz00_4966
																																															=
																																															CAR
																																															(BgL_cdrzd22076zd2_2102);
																																														BgL_siz00_2097
																																															=
																																															BgL_siz00_4966;
																																														goto
																																															BgL_tagzd22068zd2_2098;
																																													}
																																												else
																																													{	/* Ast/sexp.scm 106 */
																																														goto
																																															BgL_tagzd22069zd2_2099;
																																													}
																																											}
																																										else
																																											{	/* Ast/sexp.scm 106 */
																																												goto
																																													BgL_tagzd22069zd2_2099;
																																											}
																																									}
																																								else
																																									{	/* Ast/sexp.scm 106 */
																																										goto
																																											BgL_tagzd22069zd2_2099;
																																									}
																																							}
																																					}
																																				else
																																					{	/* Ast/sexp.scm 106 */
																																						goto
																																							BgL_tagzd22069zd2_2099;
																																					}
																																			}
																																		}
																																	else
																																		{	/* Ast/sexp.scm 106 */
																																		BgL_tagzd22002zd2_2077:
																																			return
																																				BGl_errorzd2sexpzd2ze3nodeze3zzast_sexpz00
																																				(BGl_string3063z00zzast_sexpz00,
																																				BgL_expz00_20,
																																				BgL_locz00_22);
																																		}
																																}
																															else
																																{	/* Ast/sexp.scm 106 */
																																	obj_t
																																		BgL_cdrzd22046zd2_2092;
																																	BgL_cdrzd22046zd2_2092
																																		=
																																		CDR
																																		(BgL_cdrzd22011zd2_2080);
																																	if (NULLP(CDR
																																			(BgL_cdrzd22046zd2_2092)))
																																		{	/* Ast/sexp.scm 106 */
																																			BgL_siz00_2074
																																				=
																																				CAR
																																				(BgL_cdrzd22011zd2_2080);
																																			BgL_alorsz00_2075
																																				=
																																				CAR
																																				(BgL_cdrzd22046zd2_2092);
																																			{	/* Ast/sexp.scm 253 */
																																				obj_t
																																					BgL_arg2468z00_2160;
																																				obj_t
																																					BgL_arg2469z00_2161;
																																				{	/* Ast/sexp.scm 253 */
																																					obj_t
																																						BgL_pairz00_3657;
																																					BgL_pairz00_3657
																																						=
																																						BgL_expz00_20;
																																					BgL_arg2468z00_2160
																																						=
																																						CDR
																																						(CDR
																																						(BgL_pairz00_3657));
																																				}
																																				{	/* Ast/sexp.scm 253 */
																																					obj_t
																																						BgL_list2470z00_2162;
																																					BgL_list2470z00_2162
																																						=
																																						MAKE_PAIR
																																						(BUNSPEC,
																																						BNIL);
																																					BgL_arg2469z00_2161
																																						=
																																						BgL_list2470z00_2162;
																																				}
																																				SET_CDR
																																					(BgL_arg2468z00_2160,
																																					BgL_arg2469z00_2161);
																																			}
																																			{

																																				goto
																																					BGl_sexpzd2ze3nodez31zzast_sexpz00;
																																			}
																																		}
																																	else
																																		{	/* Ast/sexp.scm 106 */
																																			goto
																																				BgL_tagzd22002zd2_2077;
																																		}
																																}
																														}
																													else
																														{	/* Ast/sexp.scm 106 */
																															goto
																																BgL_tagzd22002zd2_2077;
																														}
																												}
																											else
																												{	/* Ast/sexp.scm 106 */
																													goto
																														BgL_tagzd22002zd2_2077;
																												}
																										}
																									else
																										{	/* Ast/sexp.scm 106 */
																											goto
																												BgL_tagzd22002zd2_2077;
																										}
																								}
																							}
																						else
																							{	/* Ast/sexp.scm 106 */
																								if (
																									(BgL_carzd2516zd2_1550 ==
																										BGl_za2ifza2z00zzast_sexpz00))
																									{	/* Ast/sexp.scm 106 */
																										goto BgL_tagzd2368zd2_1498;
																									}
																								else
																									{	/* Ast/sexp.scm 106 */
																										obj_t BgL_cdrzd2531zd2_1553;

																										BgL_cdrzd2531zd2_1553 =
																											CDR(BgL_expz00_20);
																										if (
																											(CAR(BgL_expz00_20) ==
																												CNST_TABLE_REF(((long)
																														5))))
																											{	/* Ast/sexp.scm 106 */
																												if (PAIRP
																													(BgL_cdrzd2531zd2_1553))
																													{	/* Ast/sexp.scm 106 */
																														obj_t
																															BgL_carzd2534zd2_1556;
																														obj_t
																															BgL_cdrzd2535zd2_1557;
																														BgL_carzd2534zd2_1556
																															=
																															CAR
																															(BgL_cdrzd2531zd2_1553);
																														BgL_cdrzd2535zd2_1557
																															=
																															CDR
																															(BgL_cdrzd2531zd2_1553);
																														if (PAIRP
																															(BgL_carzd2534zd2_1556))
																															{	/* Ast/sexp.scm 106 */
																																if (
																																	(CAR
																																		(BgL_carzd2534zd2_1556)
																																		==
																																		CNST_TABLE_REF
																																		(((long)
																																				13))))
																																	{	/* Ast/sexp.scm 106 */
																																		if (PAIRP
																																			(BgL_cdrzd2535zd2_1557))
																																			{	/* Ast/sexp.scm 106 */
																																				if (NULLP(CDR(BgL_cdrzd2535zd2_1557)))
																																					{	/* Ast/sexp.scm 106 */
																																						BgL_lz00_1499
																																							=
																																							CDR
																																							(BgL_carzd2534zd2_1556);
																																						BgL_valz00_1500
																																							=
																																							CAR
																																							(BgL_cdrzd2535zd2_1557);
																																					BgL_tagzd2369zd2_1501:
																																						{	/* Ast/sexp.scm 259 */
																																							bool_t
																																								BgL_testz00_5004;
																																							if (PAIRP(BgL_lz00_1499))
																																								{	/* Ast/sexp.scm 259 */
																																									bool_t
																																										BgL_testz00_5007;
																																									{	/* Ast/sexp.scm 259 */
																																										obj_t
																																											BgL_auxz00_5008;
																																										BgL_auxz00_5008
																																											=
																																											CDR
																																											(BgL_lz00_1499);
																																										BgL_testz00_5007
																																											=
																																											PAIRP
																																											(BgL_auxz00_5008);
																																									}
																																									if (BgL_testz00_5007)
																																										{
																																											obj_t
																																												BgL_l1954z00_2167;
																																											BgL_l1954z00_2167
																																												=
																																												BgL_lz00_1499;
																																										BgL_zc3anonymousza32474ze3z83_2168:
																																											if (NULLP(BgL_l1954z00_2167))
																																												{	/* Ast/sexp.scm 259 */
																																													BgL_testz00_5004
																																														=
																																														(
																																														(bool_t)
																																														1);
																																												}
																																											else
																																												{	/* Ast/sexp.scm 259 */
																																													bool_t
																																														BgL_testz00_5013;
																																													{	/* Ast/sexp.scm 259 */
																																														obj_t
																																															BgL_auxz00_5014;
																																														BgL_auxz00_5014
																																															=
																																															CAR
																																															(BgL_l1954z00_2167);
																																														BgL_testz00_5013
																																															=
																																															SYMBOLP
																																															(BgL_auxz00_5014);
																																													}
																																													if (BgL_testz00_5013)
																																														{
																																															obj_t
																																																BgL_l1954z00_5017;
																																															BgL_l1954z00_5017
																																																=
																																																CDR
																																																(BgL_l1954z00_2167);
																																															BgL_l1954z00_2167
																																																=
																																																BgL_l1954z00_5017;
																																															goto
																																																BgL_zc3anonymousza32474ze3z83_2168;
																																														}
																																													else
																																														{	/* Ast/sexp.scm 259 */
																																															BgL_testz00_5004
																																																=
																																																(
																																																(bool_t)
																																																0);
																																														}
																																												}
																																										}
																																									else
																																										{	/* Ast/sexp.scm 259 */
																																											BgL_testz00_5004
																																												=
																																												(
																																												(bool_t)
																																												0);
																																										}
																																								}
																																							else
																																								{	/* Ast/sexp.scm 259 */
																																									BgL_testz00_5004
																																										=
																																										(
																																										(bool_t)
																																										0);
																																								}
																																							if (BgL_testz00_5004)
																																								{	/* Ast/sexp.scm 259 */
																																									return
																																										BGl_fieldzd2setzd2ze3nodeze3zzast_objectz00
																																										(BgL_lz00_1499,
																																										BgL_valz00_1500,
																																										BgL_expz00_20,
																																										BgL_stackz00_21,
																																										BgL_locz00_22,
																																										BgL_sitez00_23);
																																								}
																																							else
																																								{	/* Ast/sexp.scm 259 */
																																									return
																																										BGl_errorzd2sexpzd2ze3nodeze3zzast_sexpz00
																																										(BGl_string3062z00zzast_sexpz00,
																																										BgL_expz00_20,
																																										BgL_locz00_22);
																																								}
																																						}
																																					}
																																				else
																																					{	/* Ast/sexp.scm 106 */
																																					BgL_tagzd2370zd2_1502:
																																						{
																																							obj_t
																																								BgL_varz00_2175;
																																							obj_t
																																								BgL_valz00_2176;
																																							if (PAIRP(BgL_expz00_20))
																																								{	/* Ast/sexp.scm 106 */
																																									obj_t
																																										BgL_cdrzd22107zd2_2181;
																																									BgL_cdrzd22107zd2_2181
																																										=
																																										CDR
																																										(BgL_expz00_20);
																																									if (PAIRP(BgL_cdrzd22107zd2_2181))
																																										{	/* Ast/sexp.scm 106 */
																																											obj_t
																																												BgL_cdrzd22111zd2_2183;
																																											BgL_cdrzd22111zd2_2183
																																												=
																																												CDR
																																												(BgL_cdrzd22107zd2_2181);
																																											if (PAIRP(BgL_cdrzd22111zd2_2183))
																																												{	/* Ast/sexp.scm 106 */
																																													if (NULLP(CDR(BgL_cdrzd22111zd2_2183)))
																																														{	/* Ast/sexp.scm 106 */
																																															BgL_varz00_2175
																																																=
																																																CAR
																																																(BgL_cdrzd22107zd2_2181);
																																															BgL_valz00_2176
																																																=
																																																CAR
																																																(BgL_cdrzd22111zd2_2183);
																																															{	/* Ast/sexp.scm 265 */
																																																obj_t
																																																	BgL_locz00_2189;
																																																BgL_locz00_2189
																																																	=
																																																	BGl_findzd2locationzf2locz20zztools_locationz00
																																																	(BgL_expz00_20,
																																																	BgL_locz00_22);
																																																{	/* Ast/sexp.scm 265 */
																																																	obj_t
																																																		BgL_cdlocz00_2190;
																																																	BgL_cdlocz00_2190
																																																		=
																																																		BGl_findzd2locationzf2locz20zztools_locationz00
																																																		(CDR
																																																		(BgL_expz00_20),
																																																		BgL_locz00_2189);
																																																	{	/* Ast/sexp.scm 266 */
																																																		obj_t
																																																			BgL_cddlocz00_2191;
																																																		{	/* Ast/sexp.scm 267 */
																																																			obj_t
																																																				BgL_arg2493z00_2204;
																																																			{	/* Ast/sexp.scm 267 */
																																																				obj_t
																																																					BgL_pairz00_3701;
																																																				BgL_pairz00_3701
																																																					=
																																																					BgL_expz00_20;
																																																				BgL_arg2493z00_2204
																																																					=
																																																					CDR
																																																					(CDR
																																																					(BgL_pairz00_3701));
																																																			}
																																																			BgL_cddlocz00_2191
																																																				=
																																																				BGl_findzd2locationzf2locz20zztools_locationz00
																																																				(BgL_arg2493z00_2204,
																																																				BgL_locz00_2189);
																																																		}
																																																		{	/* Ast/sexp.scm 267 */
																																																			obj_t
																																																				BgL_valzd2loczd2_2192;
																																																			BgL_valzd2loczd2_2192
																																																				=
																																																				BGl_findzd2locationzf2locz20zztools_locationz00
																																																				(BgL_valz00_2176,
																																																				BgL_cddlocz00_2191);
																																																			{	/* Ast/sexp.scm 268 */
																																																				BgL_nodez00_bglt
																																																					BgL_valz00_2193;
																																																				BgL_valz00_2193
																																																					=
																																																					BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																					(BgL_valz00_2176,
																																																					BgL_stackz00_21,
																																																					BgL_valzd2loczd2_2192,
																																																					CNST_TABLE_REF
																																																					(((long) 2)));
																																																				{	/* Ast/sexp.scm 269 */

																																																					{	/* Ast/sexp.scm 270 */
																																																						BgL_nodez00_bglt
																																																							BgL_astz00_2194;
																																																						BgL_astz00_2194
																																																							=
																																																							BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																							(BgL_varz00_2175,
																																																							BgL_stackz00_21,
																																																							BgL_cdlocz00_2190,
																																																							CNST_TABLE_REF
																																																							(((long) 5)));
																																																						{	/* Ast/sexp.scm 271 */
																																																							bool_t
																																																								BgL_testz00_5045;
																																																							{	/* Ast/sexp.scm 271 */
																																																								bool_t
																																																									BgL_res2904z00_3706;
																																																								{	/* Ast/sexp.scm 271 */
																																																									obj_t
																																																										BgL_objz00_3705;
																																																									BgL_objz00_3705
																																																										=
																																																										(
																																																										(obj_t)
																																																										BgL_astz00_2194);
																																																									BgL_res2904z00_3706
																																																										=
																																																										BGl_isazf3zf3zz__objectz00
																																																										(BgL_objz00_3705,
																																																										BGl_varz00zzast_nodez00);
																																																								}
																																																								BgL_testz00_5045
																																																									=
																																																									BgL_res2904z00_3706;
																																																							}
																																																							if (BgL_testz00_5045)
																																																								{	/* Ast/sexp.scm 272 */
																																																									BgL_varz00_bglt
																																																										BgL_i1126z00_2196;
																																																									BgL_i1126z00_2196
																																																										=
																																																										(
																																																										(BgL_varz00_bglt)
																																																										BgL_astz00_2194);
																																																									{	/* Ast/sexp.scm 273 */
																																																										bool_t
																																																											BgL_testz00_5049;
																																																										{	/* Ast/sexp.scm 273 */
																																																											bool_t
																																																												BgL_testz00_5050;
																																																											{	/* Ast/sexp.scm 273 */
																																																												BgL_variablez00_bglt
																																																													BgL_arg2492z00_2203;
																																																												BgL_arg2492z00_2203
																																																													=
																																																													(
																																																													((BgL_varz00_bglt) CREF(BgL_i1126z00_2196))->BgL_variablez00);
																																																												{	/* Ast/sexp.scm 273 */
																																																													bool_t
																																																														BgL_res2905z00_3708;
																																																													{	/* Ast/sexp.scm 273 */
																																																														obj_t
																																																															BgL_objz00_3707;
																																																														BgL_objz00_3707
																																																															=
																																																															(
																																																															(obj_t)
																																																															BgL_arg2492z00_2203);
																																																														BgL_res2905z00_3708
																																																															=
																																																															BGl_isazf3zf3zz__objectz00
																																																															(BgL_objz00_3707,
																																																															BGl_globalz00zzast_varz00);
																																																													}
																																																													BgL_testz00_5050
																																																														=
																																																														BgL_res2905z00_3708;
																																																												}
																																																											}
																																																											if (BgL_testz00_5050)
																																																												{	/* Ast/sexp.scm 274 */
																																																													BgL_variablez00_bglt
																																																														BgL_arg2491z00_2202;
																																																													BgL_arg2491z00_2202
																																																														=
																																																														(
																																																														((BgL_varz00_bglt) CREF(BgL_i1126z00_2196))->BgL_variablez00);
																																																													BgL_testz00_5049
																																																														=
																																																														BGl_globalzd2readzd2onlyzf3zf3zzast_varz00
																																																														(
																																																														((BgL_globalz00_bglt) BgL_arg2491z00_2202));
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 273 */
																																																													BgL_testz00_5049
																																																														=
																																																														(
																																																														(bool_t)
																																																														0);
																																																												}
																																																										}
																																																										if (BgL_testz00_5049)
																																																											{	/* Ast/sexp.scm 273 */
																																																												return
																																																													BGl_errorzd2sexpzd2ze3nodeze3zzast_sexpz00
																																																													(BGl_string3060z00zzast_sexpz00,
																																																													BgL_expz00_20,
																																																													BgL_cdlocz00_2190);
																																																											}
																																																										else
																																																											{	/* Ast/sexp.scm 277 */
																																																												BgL_setqz00_bglt
																																																													BgL_new1128z00_2198;
																																																												{	/* Ast/sexp.scm 277 */
																																																													BgL_setqz00_bglt
																																																														BgL_new1127z00_2199;
																																																													BgL_new1127z00_2199
																																																														=
																																																														(
																																																														(BgL_setqz00_bglt)
																																																														BREF
																																																														(GC_MALLOC
																																																															(sizeof
																																																																(struct
																																																																	BgL_setqz00_bgl))));
																																																													{	/* Ast/sexp.scm 277 */
																																																														long
																																																															BgL_arg2489z00_2200;
																																																														{	/* Ast/sexp.scm 277 */
																																																															long
																																																																BgL_res2906z00_3712;
																																																															{	/* Ast/sexp.scm 277 */
																																																																obj_t
																																																																	BgL_classz00_3709;
																																																																BgL_classz00_3709
																																																																	=
																																																																	BGl_setqz00zzast_nodez00;
																																																																{	/* Ast/sexp.scm 277 */
																																																																	obj_t
																																																																		BgL_vectorz00_3710;
																																																																	int
																																																																		BgL_kz00_3711;
																																																																	BgL_vectorz00_3710
																																																																		=
																																																																		BgL_classz00_3709;
																																																																	BgL_kz00_3711
																																																																		=
																																																																		(int)
																																																																		(
																																																																		((long) 1));
																																																																	BgL_res2906z00_3712
																																																																		=
																																																																		(long)
																																																																		CINT
																																																																		(VECTOR_REF
																																																																		(BgL_vectorz00_3710,
																																																																			BgL_kz00_3711));
																																																															}}
																																																															BgL_arg2489z00_2200
																																																																=
																																																																BgL_res2906z00_3712;
																																																														}
																																																														{	/* Ast/sexp.scm 277 */
																																																															BgL_objectz00_bglt
																																																																BgL_objz00_3713;
																																																															BgL_objz00_3713
																																																																=
																																																																(
																																																																(BgL_objectz00_bglt)
																																																																BgL_new1127z00_2199);
																																																															BGL_OBJECT_CLASS_NUM_SET
																																																																(BgL_objz00_3713,
																																																																BgL_arg2489z00_2200);
																																																													}}
																																																													{	/* Ast/sexp.scm 277 */
																																																														BgL_objectz00_bglt
																																																															BgL_auxz00_5064;
																																																														BgL_auxz00_5064
																																																															=
																																																															(
																																																															(BgL_objectz00_bglt)
																																																															BgL_new1127z00_2199);
																																																														BGL_OBJECT_WIDENING_SET
																																																															(BgL_auxz00_5064,
																																																															BFALSE);
																																																													}
																																																													BgL_new1128z00_2198
																																																														=
																																																														BgL_new1127z00_2199;
																																																												}
																																																												((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt) BgL_new1128z00_2198)))->BgL_locz00) = ((obj_t) BgL_locz00_2189), BUNSPEC);
																																																												((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt) BgL_new1128z00_2198)))->BgL_typez00) = ((BgL_typez00_bglt) ((BgL_typez00_bglt) BGl_za2unspecza2z00zztype_cachez00)), BUNSPEC);
																																																												((((BgL_setqz00_bglt) CREF(BgL_new1128z00_2198))->BgL_varz00) = ((BgL_varz00_bglt) ((BgL_varz00_bglt) BgL_astz00_2194)), BUNSPEC);
																																																												((((BgL_setqz00_bglt) CREF(BgL_new1128z00_2198))->BgL_valuez00) = ((BgL_nodez00_bglt) BgL_valz00_2193), BUNSPEC);
																																																												return
																																																													(
																																																													(BgL_nodez00_bglt)
																																																													BgL_new1128z00_2198);
																																																											}
																																																									}
																																																								}
																																																							else
																																																								{	/* Ast/sexp.scm 271 */
																																																									return
																																																										BGl_errorzd2sexpzd2ze3nodeze3zzast_sexpz00
																																																										(BGl_string3061z00zzast_sexpz00,
																																																										BgL_expz00_20,
																																																										BgL_locz00_2189);
																																																								}
																																																						}
																																																					}
																																																				}
																																																			}
																																																		}
																																																	}
																																																}
																																															}
																																														}
																																													else
																																														{	/* Ast/sexp.scm 106 */
																																														BgL_tagzd22100zd2_2178:
																																															return BGl_errorzd2sexpzd2ze3nodeze3zzast_sexpz00(BGl_string3059z00zzast_sexpz00, BgL_expz00_20, BGl_findzd2locationzf2locz20zztools_locationz00(BgL_expz00_20, BgL_locz00_22));
																																														}
																																												}
																																											else
																																												{	/* Ast/sexp.scm 106 */
																																													goto
																																														BgL_tagzd22100zd2_2178;
																																												}
																																										}
																																									else
																																										{	/* Ast/sexp.scm 106 */
																																											goto
																																												BgL_tagzd22100zd2_2178;
																																										}
																																								}
																																							else
																																								{	/* Ast/sexp.scm 106 */
																																									goto
																																										BgL_tagzd22100zd2_2178;
																																								}
																																						}
																																					}
																																			}
																																		else
																																			{	/* Ast/sexp.scm 106 */
																																				goto
																																					BgL_tagzd2370zd2_1502;
																																			}
																																	}
																																else
																																	{	/* Ast/sexp.scm 106 */
																																		goto
																																			BgL_tagzd2370zd2_1502;
																																	}
																															}
																														else
																															{	/* Ast/sexp.scm 106 */
																																goto
																																	BgL_tagzd2370zd2_1502;
																															}
																													}
																												else
																													{	/* Ast/sexp.scm 106 */
																														goto
																															BgL_tagzd2370zd2_1502;
																													}
																											}
																										else
																											{	/* Ast/sexp.scm 106 */
																												if (
																													(CAR(BgL_expz00_20) ==
																														CNST_TABLE_REF((
																																(long) 15))))
																													{	/* Ast/sexp.scm 106 */
																													BgL_tagzd2371zd2_1503:
																														{
																															obj_t
																																BgL_varz00_2207;
																															obj_t
																																BgL_valz00_2208;
																															if (PAIRP
																																(BgL_expz00_20))
																																{	/* Ast/sexp.scm 106 */
																																	obj_t
																																		BgL_cdrzd22125zd2_2213;
																																	BgL_cdrzd22125zd2_2213
																																		=
																																		CDR
																																		(BgL_expz00_20);
																																	if (PAIRP
																																		(BgL_cdrzd22125zd2_2213))
																																		{	/* Ast/sexp.scm 106 */
																																			obj_t
																																				BgL_cdrzd22129zd2_2215;
																																			BgL_cdrzd22129zd2_2215
																																				=
																																				CDR
																																				(BgL_cdrzd22125zd2_2213);
																																			if (PAIRP
																																				(BgL_cdrzd22129zd2_2215))
																																				{	/* Ast/sexp.scm 106 */
																																					if (NULLP(CDR(BgL_cdrzd22129zd2_2215)))
																																						{	/* Ast/sexp.scm 106 */
																																							BgL_varz00_2207
																																								=
																																								CAR
																																								(BgL_cdrzd22125zd2_2213);
																																							BgL_valz00_2208
																																								=
																																								CAR
																																								(BgL_cdrzd22129zd2_2215);
																																							{	/* Ast/sexp.scm 293 */
																																								obj_t
																																									BgL_locz00_2221;
																																								BgL_locz00_2221
																																									=
																																									BGl_findzd2locationzf2locz20zztools_locationz00
																																									(BgL_expz00_20,
																																									BgL_locz00_22);
																																								{	/* Ast/sexp.scm 293 */
																																									obj_t
																																										BgL_cdlocz00_2222;
																																									BgL_cdlocz00_2222
																																										=
																																										BGl_findzd2locationzf2locz20zztools_locationz00
																																										(CDR
																																										(BgL_expz00_20),
																																										BgL_locz00_2221);
																																									{	/* Ast/sexp.scm 294 */
																																										obj_t
																																											BgL_cddlocz00_2223;
																																										{	/* Ast/sexp.scm 295 */
																																											obj_t
																																												BgL_arg2508z00_2234;
																																											{	/* Ast/sexp.scm 295 */
																																												obj_t
																																													BgL_pairz00_3729;
																																												BgL_pairz00_3729
																																													=
																																													BgL_expz00_20;
																																												BgL_arg2508z00_2234
																																													=
																																													CDR
																																													(CDR
																																													(BgL_pairz00_3729));
																																											}
																																											BgL_cddlocz00_2223
																																												=
																																												BGl_findzd2locationzf2locz20zztools_locationz00
																																												(BgL_arg2508z00_2234,
																																												BgL_locz00_2221);
																																										}
																																										{	/* Ast/sexp.scm 295 */
																																											obj_t
																																												BgL_valzd2loczd2_2224;
																																											BgL_valzd2loczd2_2224
																																												=
																																												BGl_findzd2locationzf2locz20zztools_locationz00
																																												(BgL_valz00_2208,
																																												BgL_cddlocz00_2223);
																																											{	/* Ast/sexp.scm 296 */
																																												BgL_nodez00_bglt
																																													BgL_valz00_2225;
																																												BgL_valz00_2225
																																													=
																																													BGl_sexpzd2ze3nodez31zzast_sexpz00
																																													(BgL_valz00_2208,
																																													BgL_stackz00_21,
																																													BgL_valzd2loczd2_2224,
																																													CNST_TABLE_REF
																																													(((long) 2)));
																																												{	/* Ast/sexp.scm 297 */

																																													{	/* Ast/sexp.scm 298 */
																																														BgL_nodez00_bglt
																																															BgL_astz00_2226;
																																														BgL_astz00_2226
																																															=
																																															BGl_sexpzd2ze3nodez31zzast_sexpz00
																																															(BgL_varz00_2207,
																																															BgL_stackz00_21,
																																															BgL_cdlocz00_2222,
																																															CNST_TABLE_REF
																																															(((long) 2)));
																																														{	/* Ast/sexp.scm 299 */
																																															bool_t
																																																BgL_testz00_5107;
																																															{	/* Ast/sexp.scm 299 */
																																																bool_t
																																																	BgL_testz00_5108;
																																																{	/* Ast/sexp.scm 299 */
																																																	bool_t
																																																		BgL_res2911z00_3734;
																																																	{	/* Ast/sexp.scm 299 */
																																																		obj_t
																																																			BgL_objz00_3733;
																																																		BgL_objz00_3733
																																																			=
																																																			(
																																																			(obj_t)
																																																			BgL_astz00_2226);
																																																		BgL_res2911z00_3734
																																																			=
																																																			BGl_isazf3zf3zz__objectz00
																																																			(BgL_objz00_3733,
																																																			BGl_varz00zzast_nodez00);
																																																	}
																																																	BgL_testz00_5108
																																																		=
																																																		BgL_res2911z00_3734;
																																																}
																																																if (BgL_testz00_5108)
																																																	{	/* Ast/sexp.scm 299 */
																																																		BgL_variablez00_bglt
																																																			BgL_arg2507z00_2233;
																																																		BgL_arg2507z00_2233
																																																			=
																																																			(
																																																			((BgL_varz00_bglt) CREF(((BgL_varz00_bglt) BgL_astz00_2226)))->BgL_variablez00);
																																																		{	/* Ast/sexp.scm 299 */
																																																			bool_t
																																																				BgL_res2913z00_3739;
																																																			{	/* Ast/sexp.scm 299 */
																																																				obj_t
																																																					BgL_objz00_3738;
																																																				BgL_objz00_3738
																																																					=
																																																					(
																																																					(obj_t)
																																																					BgL_arg2507z00_2233);
																																																				BgL_res2913z00_3739
																																																					=
																																																					BGl_isazf3zf3zz__objectz00
																																																					(BgL_objz00_3738,
																																																					BGl_globalz00zzast_varz00);
																																																			}
																																																			BgL_testz00_5107
																																																				=
																																																				BgL_res2913z00_3739;
																																																		}
																																																	}
																																																else
																																																	{	/* Ast/sexp.scm 299 */
																																																		BgL_testz00_5107
																																																			=
																																																			(
																																																			(bool_t)
																																																			0);
																																																	}
																																															}
																																															if (BgL_testz00_5107)
																																																{	/* Ast/sexp.scm 299 */
																																																	{	/* Ast/sexp.scm 301 */
																																																		BgL_variablez00_bglt
																																																			BgL_arg2504z00_2228;
																																																		BgL_arg2504z00_2228
																																																			=
																																																			(
																																																			((BgL_varz00_bglt) CREF(((BgL_varz00_bglt) BgL_astz00_2226)))->BgL_variablez00);
																																																		{	/* Ast/sexp.scm 301 */
																																																			BgL_globalz00_bglt
																																																				BgL_oz00_3743;
																																																			obj_t
																																																				BgL_vz00_3744;
																																																			BgL_oz00_3743
																																																				=
																																																				(
																																																				(BgL_globalz00_bglt)
																																																				BgL_arg2504z00_2228);
																																																			BgL_vz00_3744
																																																				=
																																																				(
																																																				(obj_t)
																																																				BgL_valz00_2225);
																																																			((((BgL_globalz00_bglt) CREF(BgL_oz00_3743))->BgL_srcz00) = ((obj_t) BgL_vz00_3744), BUNSPEC);
																																																		}
																																																	}
																																																	{	/* Ast/sexp.scm 302 */
																																																		BgL_setqz00_bglt
																																																			BgL_new1130z00_2229;
																																																		{	/* Ast/sexp.scm 302 */
																																																			BgL_setqz00_bglt
																																																				BgL_new1129z00_2230;
																																																			BgL_new1129z00_2230
																																																				=
																																																				(
																																																				(BgL_setqz00_bglt)
																																																				BREF
																																																				(GC_MALLOC
																																																					(sizeof
																																																						(struct
																																																							BgL_setqz00_bgl))));
																																																			{	/* Ast/sexp.scm 302 */
																																																				long
																																																					BgL_arg2505z00_2231;
																																																				{	/* Ast/sexp.scm 302 */
																																																					long
																																																						BgL_res2915z00_3749;
																																																					{	/* Ast/sexp.scm 302 */
																																																						obj_t
																																																							BgL_classz00_3746;
																																																						BgL_classz00_3746
																																																							=
																																																							BGl_setqz00zzast_nodez00;
																																																						{	/* Ast/sexp.scm 302 */
																																																							obj_t
																																																								BgL_vectorz00_3747;
																																																							int
																																																								BgL_kz00_3748;
																																																							BgL_vectorz00_3747
																																																								=
																																																								BgL_classz00_3746;
																																																							BgL_kz00_3748
																																																								=
																																																								(int)
																																																								(
																																																								((long) 1));
																																																							BgL_res2915z00_3749
																																																								=
																																																								(long)
																																																								CINT
																																																								(VECTOR_REF
																																																								(BgL_vectorz00_3747,
																																																									BgL_kz00_3748));
																																																					}}
																																																					BgL_arg2505z00_2231
																																																						=
																																																						BgL_res2915z00_3749;
																																																				}
																																																				{	/* Ast/sexp.scm 302 */
																																																					BgL_objectz00_bglt
																																																						BgL_objz00_3750;
																																																					BgL_objz00_3750
																																																						=
																																																						(
																																																						(BgL_objectz00_bglt)
																																																						BgL_new1129z00_2230);
																																																					BGL_OBJECT_CLASS_NUM_SET
																																																						(BgL_objz00_3750,
																																																						BgL_arg2505z00_2231);
																																																			}}
																																																			{	/* Ast/sexp.scm 302 */
																																																				BgL_objectz00_bglt
																																																					BgL_auxz00_5126;
																																																				BgL_auxz00_5126
																																																					=
																																																					(
																																																					(BgL_objectz00_bglt)
																																																					BgL_new1129z00_2230);
																																																				BGL_OBJECT_WIDENING_SET
																																																					(BgL_auxz00_5126,
																																																					BFALSE);
																																																			}
																																																			BgL_new1130z00_2229
																																																				=
																																																				BgL_new1129z00_2230;
																																																		}
																																																		((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt) BgL_new1130z00_2229)))->BgL_locz00) = ((obj_t) BgL_locz00_2221), BUNSPEC);
																																																		((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt) BgL_new1130z00_2229)))->BgL_typez00) = ((BgL_typez00_bglt) ((BgL_typez00_bglt) BGl_za2unspecza2z00zztype_cachez00)), BUNSPEC);
																																																		((((BgL_setqz00_bglt) CREF(BgL_new1130z00_2229))->BgL_varz00) = ((BgL_varz00_bglt) ((BgL_varz00_bglt) BgL_astz00_2226)), BUNSPEC);
																																																		((((BgL_setqz00_bglt) CREF(BgL_new1130z00_2229))->BgL_valuez00) = ((BgL_nodez00_bglt) BgL_valz00_2225), BUNSPEC);
																																																		return
																																																			(
																																																			(BgL_nodez00_bglt)
																																																			BgL_new1130z00_2229);
																																																	}
																																																}
																																															else
																																																{	/* Ast/sexp.scm 299 */
																																																	return
																																																		BGl_errorzd2sexpzd2ze3nodeze3zzast_sexpz00
																																																		(BGl_string3058z00zzast_sexpz00,
																																																		BgL_expz00_20,
																																																		BgL_locz00_2221);
																																																}
																																														}
																																													}
																																												}
																																											}
																																										}
																																									}
																																								}
																																							}
																																						}
																																					else
																																						{	/* Ast/sexp.scm 106 */
																																						BgL_tagzd22118zd2_2210:
																																							return BGl_errorzd2sexpzd2ze3nodeze3zzast_sexpz00(BGl_string3057z00zzast_sexpz00, BgL_expz00_20, BGl_findzd2locationzf2locz20zztools_locationz00(BgL_expz00_20, BgL_locz00_22));
																																						}
																																				}
																																			else
																																				{	/* Ast/sexp.scm 106 */
																																					goto
																																						BgL_tagzd22118zd2_2210;
																																				}
																																		}
																																	else
																																		{	/* Ast/sexp.scm 106 */
																																			goto
																																				BgL_tagzd22118zd2_2210;
																																		}
																																}
																															else
																																{	/* Ast/sexp.scm 106 */
																																	goto
																																		BgL_tagzd22118zd2_2210;
																																}
																														}
																													}
																												else
																													{	/* Ast/sexp.scm 106 */
																														obj_t
																															BgL_carzd2604zd2_1567;
																														BgL_carzd2604zd2_1567
																															=
																															CAR
																															(BgL_expz00_20);
																														if (PAIRP
																															(BgL_carzd2604zd2_1567))
																															{	/* Ast/sexp.scm 106 */
																																obj_t
																																	BgL_carzd2607zd2_1569;
																																obj_t
																																	BgL_cdrzd2608zd2_1570;
																																BgL_carzd2607zd2_1569
																																	=
																																	CAR
																																	(BgL_carzd2604zd2_1567);
																																BgL_cdrzd2608zd2_1570
																																	=
																																	CDR
																																	(BgL_carzd2604zd2_1567);
																																{

																																	if (
																																		(BgL_carzd2607zd2_1569
																																			==
																																			CNST_TABLE_REF
																																			(((long)
																																					17))))
																																		{
																																			obj_t
																																				BgL_auxz00_5151;
																																		BgL_kapzd2609zd2_1571:
																																			if (PAIRP
																																				(BgL_cdrzd2608zd2_1570))
																																				{	/* Ast/sexp.scm 106 */
																																					obj_t
																																						BgL_cdrzd2612zd2_1652;
																																					BgL_cdrzd2612zd2_1652
																																						=
																																						CDR
																																						(BgL_cdrzd2608zd2_1570);
																																					if (PAIRP(BgL_cdrzd2612zd2_1652))
																																						{	/* Ast/sexp.scm 106 */
																																							if (NULLP(CDR(BgL_cdrzd2612zd2_1652)))
																																								{	/* Ast/sexp.scm 106 */
																																									obj_t
																																										BgL_arg2074z00_1655;
																																									obj_t
																																										BgL_arg2075z00_1656;
																																									BgL_arg2074z00_1655
																																										=
																																										CAR
																																										(BgL_cdrzd2612zd2_1652);
																																									BgL_arg2075z00_1656
																																										=
																																										CDR
																																										(BgL_expz00_20);
																																									{
																																										BgL_nodez00_bglt
																																											BgL_auxz00_5162;
																																										BgL_bodyz00_1504
																																											=
																																											BgL_arg2074z00_1655;
																																										BgL_argsz00_1505
																																											=
																																											BgL_arg2075z00_1656;
																																									BgL_tagzd2372zd2_1506:
																																										{	/* Ast/sexp.scm 314 */
																																											obj_t
																																												BgL_letzd2partzd2_2237;
																																											BgL_letzd2partzd2_2237
																																												=
																																												CAR
																																												(BgL_expz00_20);
																																											{	/* Ast/sexp.scm 314 */
																																												obj_t
																																													BgL_nexpz00_2238;
																																												{	/* Ast/sexp.scm 315 */
																																													obj_t
																																														BgL_arg2511z00_2239;
																																													obj_t
																																														BgL_arg2512z00_2240;
																																													BgL_arg2511z00_2239
																																														=
																																														CAR
																																														(BgL_letzd2partzd2_2237);
																																													{	/* Ast/sexp.scm 315 */
																																														obj_t
																																															BgL_arg2513z00_2241;
																																														obj_t
																																															BgL_arg2514z00_2242;
																																														{	/* Ast/sexp.scm 315 */
																																															obj_t
																																																BgL_pairz00_3767;
																																															BgL_pairz00_3767
																																																=
																																																BgL_letzd2partzd2_2237;
																																															BgL_arg2513z00_2241
																																																=
																																																CAR
																																																(CDR
																																																(BgL_pairz00_3767));
																																														}
																																														{	/* Ast/sexp.scm 315 */
																																															obj_t
																																																BgL_arg2515z00_2243;
																																															BgL_arg2515z00_2243
																																																=
																																																MAKE_PAIR
																																																(BgL_bodyz00_1504,
																																																BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																																																(BgL_argsz00_1505,
																																																	BNIL));
																																															BgL_arg2514z00_2242
																																																=
																																																MAKE_PAIR
																																																(BgL_arg2515z00_2243,
																																																BNIL);
																																														}
																																														BgL_arg2512z00_2240
																																															=
																																															MAKE_PAIR
																																															(BgL_arg2513z00_2241,
																																															BgL_arg2514z00_2242);
																																													}
																																													BgL_nexpz00_2238
																																														=
																																														MAKE_PAIR
																																														(BgL_arg2511z00_2239,
																																														BgL_arg2512z00_2240);
																																												}
																																												{	/* Ast/sexp.scm 315 */

																																													BgL_auxz00_5162
																																														=
																																														BGl_sexpzd2ze3nodez31zzast_sexpz00
																																														(BgL_nexpz00_2238,
																																														BgL_stackz00_21,
																																														BgL_locz00_22,
																																														BgL_sitez00_23);
																																												}
																																											}
																																										}
																																										BgL_auxz00_5151
																																											=
																																											(
																																											(obj_t)
																																											BgL_auxz00_5162);
																																									}
																																								}
																																							else
																																								{	/* Ast/sexp.scm 106 */
																																									bool_t
																																										BgL_testz00_5174;
																																									{	/* Ast/sexp.scm 106 */
																																										obj_t
																																											BgL_arg2088z00_1668;
																																										BgL_arg2088z00_1668
																																											=
																																											CAR
																																											(BgL_expz00_20);
																																										BgL_testz00_5174
																																											=
																																											CBOOL
																																											(BGl_letzd2symzf3z21zzast_letz00
																																											(BgL_arg2088z00_1668));
																																									}
																																									if (BgL_testz00_5174)
																																										{
																																											BgL_nodez00_bglt
																																												BgL_auxz00_5178;
																																										BgL_tagzd2373zd2_1507:
																																											BgL_auxz00_5178 = BGl_letzd2ze3nodez31zzast_letz00(BgL_expz00_20, BgL_stackz00_21, BgL_locz00_22, CNST_TABLE_REF(((long) 2)));
																																											BgL_auxz00_5151
																																												=
																																												(
																																												(obj_t)
																																												BgL_auxz00_5178);
																																										}
																																									else
																																										{	/* Ast/sexp.scm 106 */
																																											bool_t
																																												BgL_testz00_5182;
																																											{	/* Ast/sexp.scm 106 */
																																												obj_t
																																													BgL_arg2087z00_1667;
																																												BgL_arg2087z00_1667
																																													=
																																													CAR
																																													(BgL_expz00_20);
																																												BgL_testz00_5182
																																													=
																																													CBOOL
																																													(BGl_labelszd2symzf3z21zzast_labelsz00
																																													(BgL_arg2087z00_1667));
																																											}
																																											if (BgL_testz00_5182)
																																												{
																																													BgL_letzd2funzd2_bglt
																																														BgL_auxz00_5186;
																																												BgL_tagzd2374zd2_1508:
																																													BgL_auxz00_5186 = BGl_labelszd2ze3nodez31zzast_labelsz00(BgL_expz00_20, BgL_stackz00_21, BgL_locz00_22, CNST_TABLE_REF(((long) 2)));
																																													BgL_auxz00_5151
																																														=
																																														(
																																														(obj_t)
																																														BgL_auxz00_5186);
																																												}
																																											else
																																												{	/* Ast/sexp.scm 106 */
																																													obj_t
																																														BgL_carzd2659zd2_1659;
																																													BgL_carzd2659zd2_1659
																																														=
																																														CAR
																																														(BgL_expz00_20);
																																													{	/* Ast/sexp.scm 106 */
																																														obj_t
																																															BgL_cdrzd2664zd2_1660;
																																														BgL_cdrzd2664zd2_1660
																																															=
																																															CDR
																																															(BgL_carzd2659zd2_1659);
																																														if ((CAR(BgL_carzd2659zd2_1659) == CNST_TABLE_REF(((long) 16))))
																																															{	/* Ast/sexp.scm 106 */
																																																obj_t
																																																	BgL_arg2080z00_1662;
																																																obj_t
																																																	BgL_arg2081z00_1663;
																																																obj_t
																																																	BgL_arg2082z00_1664;
																																																BgL_arg2080z00_1662
																																																	=
																																																	CAR
																																																	(BgL_cdrzd2664zd2_1660);
																																																BgL_arg2081z00_1663
																																																	=
																																																	CDR
																																																	(BgL_cdrzd2664zd2_1660);
																																																BgL_arg2082z00_1664
																																																	=
																																																	CDR
																																																	(BgL_expz00_20);
																																																{
																																																	BgL_nodez00_bglt
																																																		BgL_auxz00_5199;
																																																	BgL_varsz00_1513
																																																		=
																																																		BgL_arg2080z00_1662;
																																																	BgL_bodyz00_1514
																																																		=
																																																		BgL_arg2081z00_1663;
																																																	BgL_argsz00_1515
																																																		=
																																																		BgL_arg2082z00_1664;
																																																BgL_tagzd2376zd2_1516:
																																																	{	/* Ast/sexp.scm 330 */
																																																		obj_t
																																																			BgL_locz00_2249;
																																																		obj_t
																																																			BgL_nexpz00_2250;
																																																		BgL_locz00_2249
																																																			=
																																																			BGl_findzd2locationzf2locz20zztools_locationz00
																																																			(BgL_expz00_20,
																																																			BgL_locz00_22);
																																																		{	/* Ast/sexp.scm 331 */
																																																			obj_t
																																																				BgL_arg2519z00_2251;
																																																			obj_t
																																																				BgL_arg2520z00_2252;
																																																			BgL_arg2519z00_2251
																																																				=
																																																				BGl_letzd2symzd2zzast_letz00
																																																				();
																																																			{	/* Ast/sexp.scm 334 */
																																																				obj_t
																																																					BgL_arg2522z00_2253;
																																																				obj_t
																																																					BgL_arg2523z00_2254;
																																																				BgL_arg2522z00_2253
																																																					=
																																																					BGl_loopz00zzast_sexpz00
																																																					(BgL_expz00_20,
																																																					BgL_locz00_22,
																																																					BgL_varsz00_1513,
																																																					BgL_argsz00_1515);
																																																				{	/* Ast/sexp.scm 373 */
																																																					obj_t
																																																						BgL_arg2563z00_2302;
																																																					{	/* Ast/sexp.scm 373 */
																																																						obj_t
																																																							BgL_arg2564z00_2303;
																																																						obj_t
																																																							BgL_arg2565z00_2304;
																																																						BgL_arg2564z00_2303
																																																							=
																																																							BGl_shapez00zztools_shapez00
																																																							(BGl_currentzd2functionzd2zztools_errorz00
																																																							());
																																																						BgL_arg2565z00_2304
																																																							=
																																																							BGl_normaliza7ezd2prognz75zztools_prognz00
																																																							(BgL_bodyz00_1514);
																																																						{	/* Ast/sexp.scm 377 */
																																																							obj_t
																																																								BgL_zc3anonymousza32568ze3z83_4465;
																																																							BgL_zc3anonymousza32568ze3z83_4465
																																																								=
																																																								MAKE_FX_PROCEDURE
																																																								(BGl_z62zc3anonymousza32568ze3ze1zzast_sexpz00,
																																																								(int)
																																																								(((long) 3)), (int) (((long) 1)));
																																																							PROCEDURE_SET
																																																								(BgL_zc3anonymousza32568ze3z83_4465,
																																																								(int)
																																																								(((long) 0)), BgL_locz00_22);
																																																							BgL_arg2563z00_2302
																																																								=
																																																								BGl_makezd2dssslzd2functionzd2preludezd2zz__dssslz00
																																																								(BgL_arg2564z00_2303,
																																																								BgL_varsz00_1513,
																																																								BgL_arg2565z00_2304,
																																																								BgL_zc3anonymousza32568ze3z83_4465);
																																																					}}
																																																					BgL_arg2523z00_2254
																																																						=
																																																						MAKE_PAIR
																																																						(BgL_arg2563z00_2302,
																																																						BNIL);
																																																				}
																																																				BgL_arg2520z00_2252
																																																					=
																																																					MAKE_PAIR
																																																					(BgL_arg2522z00_2253,
																																																					BgL_arg2523z00_2254);
																																																			}
																																																			BgL_nexpz00_2250
																																																				=
																																																				MAKE_PAIR
																																																				(BgL_arg2519z00_2251,
																																																				BgL_arg2520z00_2252);
																																																		}
																																																		BgL_auxz00_5199
																																																			=
																																																			BGl_letzd2ze3nodez31zzast_letz00
																																																			(BgL_nexpz00_2250,
																																																			BgL_stackz00_21,
																																																			BgL_locz00_2249,
																																																			BgL_sitez00_23);
																																																	}
																																																	BgL_auxz00_5151
																																																		=
																																																		(
																																																		(obj_t)
																																																		BgL_auxz00_5199);
																																															}}
																																														else
																																															{	/* Ast/sexp.scm 106 */
																																																if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_20))
																																																	{	/* Ast/sexp.scm 106 */
																																																	BgL_tagzd2388zd2_1532:
																																																		BgL_auxz00_5151 = BGl_privatezd2nodezd2zzast_privatez00(BgL_expz00_20, BgL_stackz00_21, BgL_locz00_22, BgL_sitez00_23);
																																																	}
																																																else
																																																	{
																																																		BgL_nodez00_bglt
																																																			BgL_auxz00_5220;
																																																	BgL_tagzd2389zd2_1533:
																																																		BgL_auxz00_5220 = BGl_callzd2ze3nodez31zzast_sexpz00(BgL_expz00_20, BgL_stackz00_21, BgL_locz00_22, BgL_sitez00_23);
																																																		BgL_auxz00_5151
																																																			=
																																																			(
																																																			(obj_t)
																																																			BgL_auxz00_5220);
																																																	}
																																															}
																																													}
																																												}
																																										}
																																								}
																																						}
																																					else
																																						{	/* Ast/sexp.scm 106 */
																																							bool_t
																																								BgL_testz00_5223;
																																							{	/* Ast/sexp.scm 106 */
																																								obj_t
																																									BgL_arg2100z00_1681;
																																								BgL_arg2100z00_1681
																																									=
																																									CAR
																																									(BgL_expz00_20);
																																								BgL_testz00_5223
																																									=
																																									CBOOL
																																									(BGl_letzd2symzf3z21zzast_letz00
																																									(BgL_arg2100z00_1681));
																																							}
																																							if (BgL_testz00_5223)
																																								{
																																									BgL_nodez00_bglt
																																										BgL_auxz00_5227;
																																									goto
																																										BgL_tagzd2373zd2_1507;
																																									BgL_auxz00_5151
																																										=
																																										(
																																										(obj_t)
																																										BgL_auxz00_5227);
																																								}
																																							else
																																								{	/* Ast/sexp.scm 106 */
																																									bool_t
																																										BgL_testz00_5229;
																																									{	/* Ast/sexp.scm 106 */
																																										obj_t
																																											BgL_arg2099z00_1680;
																																										BgL_arg2099z00_1680
																																											=
																																											CAR
																																											(BgL_expz00_20);
																																										BgL_testz00_5229
																																											=
																																											CBOOL
																																											(BGl_labelszd2symzf3z21zzast_labelsz00
																																											(BgL_arg2099z00_1680));
																																									}
																																									if (BgL_testz00_5229)
																																										{
																																											BgL_letzd2funzd2_bglt
																																												BgL_auxz00_5233;
																																											goto
																																												BgL_tagzd2374zd2_1508;
																																											BgL_auxz00_5151
																																												=
																																												(
																																												(obj_t)
																																												BgL_auxz00_5233);
																																										}
																																									else
																																										{	/* Ast/sexp.scm 106 */
																																											obj_t
																																												BgL_carzd2726zd2_1672;
																																											BgL_carzd2726zd2_1672
																																												=
																																												CAR
																																												(BgL_expz00_20);
																																											{	/* Ast/sexp.scm 106 */
																																												obj_t
																																													BgL_cdrzd2731zd2_1673;
																																												BgL_cdrzd2731zd2_1673
																																													=
																																													CDR
																																													(BgL_carzd2726zd2_1672);
																																												if ((CAR(BgL_carzd2726zd2_1672) == CNST_TABLE_REF(((long) 16))))
																																													{	/* Ast/sexp.scm 106 */
																																														obj_t
																																															BgL_arg2093z00_1675;
																																														obj_t
																																															BgL_arg2094z00_1676;
																																														obj_t
																																															BgL_arg2095z00_1677;
																																														BgL_arg2093z00_1675
																																															=
																																															CAR
																																															(BgL_cdrzd2731zd2_1673);
																																														BgL_arg2094z00_1676
																																															=
																																															CDR
																																															(BgL_cdrzd2731zd2_1673);
																																														BgL_arg2095z00_1677
																																															=
																																															CDR
																																															(BgL_expz00_20);
																																														{
																																															BgL_nodez00_bglt
																																																BgL_auxz00_5244;
																																															{
																																																obj_t
																																																	BgL_argsz00_5247;
																																																obj_t
																																																	BgL_bodyz00_5246;
																																																obj_t
																																																	BgL_varsz00_5245;
																																																BgL_varsz00_5245
																																																	=
																																																	BgL_arg2093z00_1675;
																																																BgL_bodyz00_5246
																																																	=
																																																	BgL_arg2094z00_1676;
																																																BgL_argsz00_5247
																																																	=
																																																	BgL_arg2095z00_1677;
																																																BgL_argsz00_1515
																																																	=
																																																	BgL_argsz00_5247;
																																																BgL_bodyz00_1514
																																																	=
																																																	BgL_bodyz00_5246;
																																																BgL_varsz00_1513
																																																	=
																																																	BgL_varsz00_5245;
																																																goto
																																																	BgL_tagzd2376zd2_1516;
																																															}
																																															BgL_auxz00_5151
																																																=
																																																(
																																																(obj_t)
																																																BgL_auxz00_5244);
																																														}
																																													}
																																												else
																																													{	/* Ast/sexp.scm 106 */
																																														if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_20))
																																															{	/* Ast/sexp.scm 106 */
																																																goto
																																																	BgL_tagzd2388zd2_1532;
																																															}
																																														else
																																															{
																																																BgL_nodez00_bglt
																																																	BgL_auxz00_5251;
																																																goto
																																																	BgL_tagzd2389zd2_1533;
																																																BgL_auxz00_5151
																																																	=
																																																	(
																																																	(obj_t)
																																																	BgL_auxz00_5251);
																																															}
																																													}
																																											}
																																										}
																																								}
																																						}
																																				}
																																			else
																																				{	/* Ast/sexp.scm 106 */
																																					bool_t
																																						BgL_testz00_5253;
																																					{	/* Ast/sexp.scm 106 */
																																						obj_t
																																							BgL_arg2105z00_1686;
																																						BgL_arg2105z00_1686
																																							=
																																							CAR
																																							(BgL_expz00_20);
																																						BgL_testz00_5253
																																							=
																																							CBOOL
																																							(BGl_letzd2symzf3z21zzast_letz00
																																							(BgL_arg2105z00_1686));
																																					}
																																					if (BgL_testz00_5253)
																																						{
																																							BgL_nodez00_bglt
																																								BgL_auxz00_5257;
																																							goto
																																								BgL_tagzd2373zd2_1507;
																																							BgL_auxz00_5151
																																								=
																																								(
																																								(obj_t)
																																								BgL_auxz00_5257);
																																						}
																																					else
																																						{	/* Ast/sexp.scm 106 */
																																							bool_t
																																								BgL_testz00_5259;
																																							{	/* Ast/sexp.scm 106 */
																																								obj_t
																																									BgL_arg2104z00_1685;
																																								BgL_arg2104z00_1685
																																									=
																																									CAR
																																									(BgL_expz00_20);
																																								BgL_testz00_5259
																																									=
																																									CBOOL
																																									(BGl_labelszd2symzf3z21zzast_labelsz00
																																									(BgL_arg2104z00_1685));
																																							}
																																							if (BgL_testz00_5259)
																																								{
																																									BgL_letzd2funzd2_bglt
																																										BgL_auxz00_5263;
																																									goto
																																										BgL_tagzd2374zd2_1508;
																																									BgL_auxz00_5151
																																										=
																																										(
																																										(obj_t)
																																										BgL_auxz00_5263);
																																								}
																																							else
																																								{	/* Ast/sexp.scm 106 */
																																									if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_20))
																																										{	/* Ast/sexp.scm 106 */
																																											goto
																																												BgL_tagzd2388zd2_1532;
																																										}
																																									else
																																										{
																																											BgL_nodez00_bglt
																																												BgL_auxz00_5267;
																																											goto
																																												BgL_tagzd2389zd2_1533;
																																											BgL_auxz00_5151
																																												=
																																												(
																																												(obj_t)
																																												BgL_auxz00_5267);
																																										}
																																								}
																																						}
																																				}
																																			return
																																				(
																																				(BgL_nodez00_bglt)
																																				BgL_auxz00_5151);
																																		}
																																	else
																																		{	/* Ast/sexp.scm 106 */
																																			if (CBOOL
																																				(BGl_letzd2symzf3z21zzast_letz00
																																					(BgL_carzd2607zd2_1569)))
																																				{
																																					obj_t
																																						BgL_auxz00_5273;
																																					goto
																																						BgL_kapzd2609zd2_1571;
																																					return
																																						(
																																						(BgL_nodez00_bglt)
																																						BgL_auxz00_5273);
																																				}
																																			else
																																				{	/* Ast/sexp.scm 106 */
																																					if (
																																						(BgL_carzd2607zd2_1569
																																							==
																																							CNST_TABLE_REF
																																							(((long) 18))))
																																						{
																																							obj_t
																																								BgL_auxz00_5278;
																																							goto
																																								BgL_kapzd2609zd2_1571;
																																							return
																																								(
																																								(BgL_nodez00_bglt)
																																								BgL_auxz00_5278);
																																						}
																																					else
																																						{	/* Ast/sexp.scm 106 */
																																							if ((BgL_carzd2607zd2_1569 == CNST_TABLE_REF(((long) 19))))
																																								{
																																									obj_t
																																										BgL_auxz00_5283;
																																									goto
																																										BgL_kapzd2609zd2_1571;
																																									return
																																										(
																																										(BgL_nodez00_bglt)
																																										BgL_auxz00_5283);
																																								}
																																							else
																																								{	/* Ast/sexp.scm 106 */
																																									if (CBOOL(BGl_labelszd2symzf3z21zzast_labelsz00(BgL_carzd2607zd2_1569)))
																																										{
																																											obj_t
																																												BgL_auxz00_5288;
																																											goto
																																												BgL_kapzd2609zd2_1571;
																																											return
																																												(
																																												(BgL_nodez00_bglt)
																																												BgL_auxz00_5288);
																																										}
																																									else
																																										{	/* Ast/sexp.scm 106 */
																																											bool_t
																																												BgL_testz00_5290;
																																											{	/* Ast/sexp.scm 106 */
																																												obj_t
																																													BgL_arg2070z00_1650;
																																												BgL_arg2070z00_1650
																																													=
																																													CAR
																																													(BgL_expz00_20);
																																												BgL_testz00_5290
																																													=
																																													CBOOL
																																													(BGl_letzd2symzf3z21zzast_letz00
																																													(BgL_arg2070z00_1650));
																																											}
																																											if (BgL_testz00_5290)
																																												{	/* Ast/sexp.scm 106 */
																																													goto
																																														BgL_tagzd2373zd2_1507;
																																												}
																																											else
																																												{	/* Ast/sexp.scm 106 */
																																													bool_t
																																														BgL_testz00_5294;
																																													{	/* Ast/sexp.scm 106 */
																																														obj_t
																																															BgL_arg2069z00_1649;
																																														BgL_arg2069z00_1649
																																															=
																																															CAR
																																															(BgL_expz00_20);
																																														BgL_testz00_5294
																																															=
																																															CBOOL
																																															(BGl_labelszd2symzf3z21zzast_labelsz00
																																															(BgL_arg2069z00_1649));
																																													}
																																													if (BgL_testz00_5294)
																																														{
																																															BgL_letzd2funzd2_bglt
																																																BgL_auxz00_5298;
																																															goto
																																																BgL_tagzd2374zd2_1508;
																																															return
																																																(
																																																(BgL_nodez00_bglt)
																																																BgL_auxz00_5298);
																																														}
																																													else
																																														{	/* Ast/sexp.scm 106 */
																																															obj_t
																																																BgL_carzd2842zd2_1579;
																																															obj_t
																																																BgL_cdrzd2843zd2_1580;
																																															BgL_carzd2842zd2_1579
																																																=
																																																CAR
																																																(BgL_expz00_20);
																																															BgL_cdrzd2843zd2_1580
																																																=
																																																CDR
																																																(BgL_expz00_20);
																																															{	/* Ast/sexp.scm 106 */
																																																obj_t
																																																	BgL_cdrzd2847zd2_1581;
																																																BgL_cdrzd2847zd2_1581
																																																	=
																																																	CDR
																																																	(BgL_carzd2842zd2_1579);
																																																if ((CAR(BgL_carzd2842zd2_1579) == CNST_TABLE_REF(((long) 16))))
																																																	{	/* Ast/sexp.scm 106 */
																																																		if (PAIRP(BgL_cdrzd2847zd2_1581))
																																																			{	/* Ast/sexp.scm 106 */
																																																				obj_t
																																																					BgL_carzd2850zd2_1584;
																																																				obj_t
																																																					BgL_cdrzd2851zd2_1585;
																																																				BgL_carzd2850zd2_1584
																																																					=
																																																					CAR
																																																					(BgL_cdrzd2847zd2_1581);
																																																				BgL_cdrzd2851zd2_1585
																																																					=
																																																					CDR
																																																					(BgL_cdrzd2847zd2_1581);
																																																				if (PAIRP(BgL_carzd2850zd2_1584))
																																																					{	/* Ast/sexp.scm 106 */
																																																						if (NULLP(CDR(BgL_carzd2850zd2_1584)))
																																																							{	/* Ast/sexp.scm 106 */
																																																								if (PAIRP(BgL_cdrzd2851zd2_1585))
																																																									{	/* Ast/sexp.scm 106 */
																																																										obj_t
																																																											BgL_carzd2857zd2_1589;
																																																										BgL_carzd2857zd2_1589
																																																											=
																																																											CAR
																																																											(BgL_cdrzd2851zd2_1585);
																																																										if (PAIRP(BgL_carzd2857zd2_1589))
																																																											{	/* Ast/sexp.scm 106 */
																																																												if (BGl_castzd2sexpzf3z21zzast_privatez00(BgL_carzd2857zd2_1589))
																																																													{	/* Ast/sexp.scm 106 */
																																																														if (NULLP(CDR(BgL_cdrzd2851zd2_1585)))
																																																															{	/* Ast/sexp.scm 106 */
																																																																if (PAIRP(BgL_cdrzd2843zd2_1580))
																																																																	{	/* Ast/sexp.scm 106 */
																																																																		obj_t
																																																																			BgL_carzd2864zd2_1594;
																																																																		BgL_carzd2864zd2_1594
																																																																			=
																																																																			CAR
																																																																			(BgL_cdrzd2843zd2_1580);
																																																																		if (PAIRP(BgL_carzd2864zd2_1594))
																																																																			{	/* Ast/sexp.scm 106 */
																																																																				obj_t
																																																																					BgL_cdrzd2883zd2_1596;
																																																																				BgL_cdrzd2883zd2_1596
																																																																					=
																																																																					CDR
																																																																					(CAR
																																																																					(BgL_expz00_20));
																																																																				{
																																																																					obj_t
																																																																						BgL_argsz00_5337;
																																																																					obj_t
																																																																						BgL_bodyz00_5335;
																																																																					obj_t
																																																																						BgL_varsz00_5333;
																																																																					BgL_varsz00_5333
																																																																						=
																																																																						CAR
																																																																						(BgL_cdrzd2883zd2_1596);
																																																																					BgL_bodyz00_5335
																																																																						=
																																																																						CDR
																																																																						(BgL_cdrzd2883zd2_1596);
																																																																					BgL_argsz00_5337
																																																																						=
																																																																						CDR
																																																																						(BgL_expz00_20);
																																																																					BgL_argsz00_1515
																																																																						=
																																																																						BgL_argsz00_5337;
																																																																					BgL_bodyz00_1514
																																																																						=
																																																																						BgL_bodyz00_5335;
																																																																					BgL_varsz00_1513
																																																																						=
																																																																						BgL_varsz00_5333;
																																																																					goto
																																																																						BgL_tagzd2376zd2_1516;
																																																																				}
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 106 */
																																																																				if (NULLP(CDR(BgL_cdrzd2843zd2_1580)))
																																																																					{	/* Ast/sexp.scm 106 */
																																																																						obj_t
																																																																							BgL_arg2023z00_1602;
																																																																						BgL_arg2023z00_1602
																																																																							=
																																																																							CAR
																																																																							(BgL_carzd2850zd2_1584);
																																																																						{
																																																																							BgL_castz00_bglt
																																																																								BgL_auxz00_5343;
																																																																							BgL_varz00_1509
																																																																								=
																																																																								BgL_arg2023z00_1602;
																																																																							BgL_bodyz00_1510
																																																																								=
																																																																								BgL_carzd2857zd2_1589;
																																																																							BgL_argz00_1511
																																																																								=
																																																																								BgL_carzd2864zd2_1594;
																																																																						BgL_tagzd2375zd2_1512:
																																																																							{	/* Ast/sexp.scm 325 */
																																																																								BgL_castz00_bglt
																																																																									BgL_new1132z00_2245;
																																																																								{	/* Ast/sexp.scm 325 */
																																																																									BgL_castz00_bglt
																																																																										BgL_new1131z00_2247;
																																																																									BgL_new1131z00_2247
																																																																										=
																																																																										(
																																																																										(BgL_castz00_bglt)
																																																																										BREF
																																																																										(GC_MALLOC
																																																																											(sizeof
																																																																												(struct
																																																																													BgL_castz00_bgl))));
																																																																									{	/* Ast/sexp.scm 325 */
																																																																										long
																																																																											BgL_arg2518z00_2248;
																																																																										{	/* Ast/sexp.scm 325 */
																																																																											long
																																																																												BgL_res2920z00_3774;
																																																																											{	/* Ast/sexp.scm 325 */
																																																																												obj_t
																																																																													BgL_classz00_3771;
																																																																												BgL_classz00_3771
																																																																													=
																																																																													BGl_castz00zzast_nodez00;
																																																																												{	/* Ast/sexp.scm 325 */
																																																																													obj_t
																																																																														BgL_vectorz00_3772;
																																																																													int
																																																																														BgL_kz00_3773;
																																																																													BgL_vectorz00_3772
																																																																														=
																																																																														BgL_classz00_3771;
																																																																													BgL_kz00_3773
																																																																														=
																																																																														(int)
																																																																														(
																																																																														((long) 1));
																																																																													BgL_res2920z00_3774
																																																																														=
																																																																														(long)
																																																																														CINT
																																																																														(VECTOR_REF
																																																																														(BgL_vectorz00_3772,
																																																																															BgL_kz00_3773));
																																																																											}}
																																																																											BgL_arg2518z00_2248
																																																																												=
																																																																												BgL_res2920z00_3774;
																																																																										}
																																																																										{	/* Ast/sexp.scm 325 */
																																																																											BgL_objectz00_bglt
																																																																												BgL_objz00_3775;
																																																																											BgL_objz00_3775
																																																																												=
																																																																												(
																																																																												(BgL_objectz00_bglt)
																																																																												BgL_new1131z00_2247);
																																																																											BGL_OBJECT_CLASS_NUM_SET
																																																																												(BgL_objz00_3775,
																																																																												BgL_arg2518z00_2248);
																																																																									}}
																																																																									{	/* Ast/sexp.scm 325 */
																																																																										BgL_objectz00_bglt
																																																																											BgL_auxz00_5350;
																																																																										BgL_auxz00_5350
																																																																											=
																																																																											(
																																																																											(BgL_objectz00_bglt)
																																																																											BgL_new1131z00_2247);
																																																																										BGL_OBJECT_WIDENING_SET
																																																																											(BgL_auxz00_5350,
																																																																											BFALSE);
																																																																									}
																																																																									BgL_new1132z00_2245
																																																																										=
																																																																										BgL_new1131z00_2247;
																																																																								}
																																																																								((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt) BgL_new1132z00_2245)))->BgL_locz00) = ((obj_t) BgL_locz00_22), BUNSPEC);
																																																																								{
																																																																									BgL_typez00_bglt
																																																																										BgL_auxz00_5355;
																																																																									{	/* Ast/sexp.scm 327 */
																																																																										obj_t
																																																																											BgL_arg2517z00_2246;
																																																																										BgL_arg2517z00_2246
																																																																											=
																																																																											BGl_castzd2sexpzd2typez00zzast_privatez00
																																																																											(BgL_bodyz00_1510);
																																																																										BgL_auxz00_5355
																																																																											=
																																																																											BGl_usezd2typez12zc0zztype_envz00
																																																																											(BgL_arg2517z00_2246,
																																																																											BgL_locz00_22);
																																																																									}
																																																																									((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt) BgL_new1132z00_2245)))->BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_5355), BUNSPEC);
																																																																								}
																																																																								((((BgL_castz00_bglt) CREF(BgL_new1132z00_2245))->BgL_argz00) = ((BgL_nodez00_bglt) BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_argz00_1511, BgL_stackz00_21, BgL_locz00_22, BgL_sitez00_23)), BUNSPEC);
																																																																								BgL_auxz00_5343
																																																																									=
																																																																									BgL_new1132z00_2245;
																																																																							}
																																																																							return
																																																																								(
																																																																								(BgL_nodez00_bglt)
																																																																								BgL_auxz00_5343);
																																																																						}
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 106 */
																																																																						obj_t
																																																																							BgL_cdrzd2905zd2_1603;
																																																																						BgL_cdrzd2905zd2_1603
																																																																							=
																																																																							CDR
																																																																							(CAR
																																																																							(BgL_expz00_20));
																																																																						{
																																																																							obj_t
																																																																								BgL_argsz00_5369;
																																																																							obj_t
																																																																								BgL_bodyz00_5367;
																																																																							obj_t
																																																																								BgL_varsz00_5365;
																																																																							BgL_varsz00_5365
																																																																								=
																																																																								CAR
																																																																								(BgL_cdrzd2905zd2_1603);
																																																																							BgL_bodyz00_5367
																																																																								=
																																																																								CDR
																																																																								(BgL_cdrzd2905zd2_1603);
																																																																							BgL_argsz00_5369
																																																																								=
																																																																								CDR
																																																																								(BgL_expz00_20);
																																																																							BgL_argsz00_1515
																																																																								=
																																																																								BgL_argsz00_5369;
																																																																							BgL_bodyz00_1514
																																																																								=
																																																																								BgL_bodyz00_5367;
																																																																							BgL_varsz00_1513
																																																																								=
																																																																								BgL_varsz00_5365;
																																																																							goto
																																																																								BgL_tagzd2376zd2_1516;
																																																																						}
																																																																					}
																																																																			}
																																																																	}
																																																																else
																																																																	{	/* Ast/sexp.scm 106 */
																																																																		obj_t
																																																																			BgL_cdrzd2926zd2_1609;
																																																																		BgL_cdrzd2926zd2_1609
																																																																			=
																																																																			CDR
																																																																			(CAR
																																																																			(BgL_expz00_20));
																																																																		{
																																																																			obj_t
																																																																				BgL_argsz00_5377;
																																																																			obj_t
																																																																				BgL_bodyz00_5375;
																																																																			obj_t
																																																																				BgL_varsz00_5373;
																																																																			BgL_varsz00_5373
																																																																				=
																																																																				CAR
																																																																				(BgL_cdrzd2926zd2_1609);
																																																																			BgL_bodyz00_5375
																																																																				=
																																																																				CDR
																																																																				(BgL_cdrzd2926zd2_1609);
																																																																			BgL_argsz00_5377
																																																																				=
																																																																				CDR
																																																																				(BgL_expz00_20);
																																																																			BgL_argsz00_1515
																																																																				=
																																																																				BgL_argsz00_5377;
																																																																			BgL_bodyz00_1514
																																																																				=
																																																																				BgL_bodyz00_5375;
																																																																			BgL_varsz00_1513
																																																																				=
																																																																				BgL_varsz00_5373;
																																																																			goto
																																																																				BgL_tagzd2376zd2_1516;
																																																																		}
																																																																	}
																																																															}
																																																														else
																																																															{	/* Ast/sexp.scm 106 */
																																																																obj_t
																																																																	BgL_cdrzd2947zd2_1614;
																																																																BgL_cdrzd2947zd2_1614
																																																																	=
																																																																	CDR
																																																																	(CAR
																																																																	(BgL_expz00_20));
																																																																{
																																																																	obj_t
																																																																		BgL_argsz00_5385;
																																																																	obj_t
																																																																		BgL_bodyz00_5383;
																																																																	obj_t
																																																																		BgL_varsz00_5381;
																																																																	BgL_varsz00_5381
																																																																		=
																																																																		CAR
																																																																		(BgL_cdrzd2947zd2_1614);
																																																																	BgL_bodyz00_5383
																																																																		=
																																																																		CDR
																																																																		(BgL_cdrzd2947zd2_1614);
																																																																	BgL_argsz00_5385
																																																																		=
																																																																		CDR
																																																																		(BgL_expz00_20);
																																																																	BgL_argsz00_1515
																																																																		=
																																																																		BgL_argsz00_5385;
																																																																	BgL_bodyz00_1514
																																																																		=
																																																																		BgL_bodyz00_5383;
																																																																	BgL_varsz00_1513
																																																																		=
																																																																		BgL_varsz00_5381;
																																																																	goto
																																																																		BgL_tagzd2376zd2_1516;
																																																																}
																																																															}
																																																													}
																																																												else
																																																													{	/* Ast/sexp.scm 106 */
																																																														obj_t
																																																															BgL_cdrzd2968zd2_1620;
																																																														BgL_cdrzd2968zd2_1620
																																																															=
																																																															CDR
																																																															(CAR
																																																															(BgL_expz00_20));
																																																														{
																																																															obj_t
																																																																BgL_argsz00_5393;
																																																															obj_t
																																																																BgL_bodyz00_5391;
																																																															obj_t
																																																																BgL_varsz00_5389;
																																																															BgL_varsz00_5389
																																																																=
																																																																CAR
																																																																(BgL_cdrzd2968zd2_1620);
																																																															BgL_bodyz00_5391
																																																																=
																																																																CDR
																																																																(BgL_cdrzd2968zd2_1620);
																																																															BgL_argsz00_5393
																																																																=
																																																																CDR
																																																																(BgL_expz00_20);
																																																															BgL_argsz00_1515
																																																																=
																																																																BgL_argsz00_5393;
																																																															BgL_bodyz00_1514
																																																																=
																																																																BgL_bodyz00_5391;
																																																															BgL_varsz00_1513
																																																																=
																																																																BgL_varsz00_5389;
																																																															goto
																																																																BgL_tagzd2376zd2_1516;
																																																														}
																																																													}
																																																											}
																																																										else
																																																											{	/* Ast/sexp.scm 106 */
																																																												obj_t
																																																													BgL_cdrzd2989zd2_1625;
																																																												BgL_cdrzd2989zd2_1625
																																																													=
																																																													CDR
																																																													(BgL_carzd2842zd2_1579);
																																																												{
																																																													obj_t
																																																														BgL_argsz00_5400;
																																																													obj_t
																																																														BgL_bodyz00_5398;
																																																													obj_t
																																																														BgL_varsz00_5396;
																																																													BgL_varsz00_5396
																																																														=
																																																														CAR
																																																														(BgL_cdrzd2989zd2_1625);
																																																													BgL_bodyz00_5398
																																																														=
																																																														CDR
																																																														(BgL_cdrzd2989zd2_1625);
																																																													BgL_argsz00_5400
																																																														=
																																																														CDR
																																																														(BgL_expz00_20);
																																																													BgL_argsz00_1515
																																																														=
																																																														BgL_argsz00_5400;
																																																													BgL_bodyz00_1514
																																																														=
																																																														BgL_bodyz00_5398;
																																																													BgL_varsz00_1513
																																																														=
																																																														BgL_varsz00_5396;
																																																													goto
																																																														BgL_tagzd2376zd2_1516;
																																																												}
																																																											}
																																																									}
																																																								else
																																																									{	/* Ast/sexp.scm 106 */
																																																										obj_t
																																																											BgL_cdrzd21010zd2_1630;
																																																										BgL_cdrzd21010zd2_1630
																																																											=
																																																											CDR
																																																											(BgL_carzd2842zd2_1579);
																																																										{
																																																											obj_t
																																																												BgL_argsz00_5407;
																																																											obj_t
																																																												BgL_bodyz00_5405;
																																																											obj_t
																																																												BgL_varsz00_5403;
																																																											BgL_varsz00_5403
																																																												=
																																																												CAR
																																																												(BgL_cdrzd21010zd2_1630);
																																																											BgL_bodyz00_5405
																																																												=
																																																												CDR
																																																												(BgL_cdrzd21010zd2_1630);
																																																											BgL_argsz00_5407
																																																												=
																																																												CDR
																																																												(BgL_expz00_20);
																																																											BgL_argsz00_1515
																																																												=
																																																												BgL_argsz00_5407;
																																																											BgL_bodyz00_1514
																																																												=
																																																												BgL_bodyz00_5405;
																																																											BgL_varsz00_1513
																																																												=
																																																												BgL_varsz00_5403;
																																																											goto
																																																												BgL_tagzd2376zd2_1516;
																																																										}
																																																									}
																																																							}
																																																						else
																																																							{	/* Ast/sexp.scm 106 */
																																																								obj_t
																																																									BgL_cdrzd21031zd2_1635;
																																																								BgL_cdrzd21031zd2_1635
																																																									=
																																																									CDR
																																																									(BgL_carzd2842zd2_1579);
																																																								{
																																																									obj_t
																																																										BgL_argsz00_5414;
																																																									obj_t
																																																										BgL_bodyz00_5412;
																																																									obj_t
																																																										BgL_varsz00_5410;
																																																									BgL_varsz00_5410
																																																										=
																																																										CAR
																																																										(BgL_cdrzd21031zd2_1635);
																																																									BgL_bodyz00_5412
																																																										=
																																																										CDR
																																																										(BgL_cdrzd21031zd2_1635);
																																																									BgL_argsz00_5414
																																																										=
																																																										CDR
																																																										(BgL_expz00_20);
																																																									BgL_argsz00_1515
																																																										=
																																																										BgL_argsz00_5414;
																																																									BgL_bodyz00_1514
																																																										=
																																																										BgL_bodyz00_5412;
																																																									BgL_varsz00_1513
																																																										=
																																																										BgL_varsz00_5410;
																																																									goto
																																																										BgL_tagzd2376zd2_1516;
																																																								}
																																																							}
																																																					}
																																																				else
																																																					{	/* Ast/sexp.scm 106 */
																																																						obj_t
																																																							BgL_cdrzd21052zd2_1641;
																																																						BgL_cdrzd21052zd2_1641
																																																							=
																																																							CDR
																																																							(BgL_carzd2842zd2_1579);
																																																						{
																																																							obj_t
																																																								BgL_argsz00_5421;
																																																							obj_t
																																																								BgL_bodyz00_5419;
																																																							obj_t
																																																								BgL_varsz00_5417;
																																																							BgL_varsz00_5417
																																																								=
																																																								CAR
																																																								(BgL_cdrzd21052zd2_1641);
																																																							BgL_bodyz00_5419
																																																								=
																																																								CDR
																																																								(BgL_cdrzd21052zd2_1641);
																																																							BgL_argsz00_5421
																																																								=
																																																								CDR
																																																								(BgL_expz00_20);
																																																							BgL_argsz00_1515
																																																								=
																																																								BgL_argsz00_5421;
																																																							BgL_bodyz00_1514
																																																								=
																																																								BgL_bodyz00_5419;
																																																							BgL_varsz00_1513
																																																								=
																																																								BgL_varsz00_5417;
																																																							goto
																																																								BgL_tagzd2376zd2_1516;
																																																						}
																																																					}
																																																			}
																																																		else
																																																			{	/* Ast/sexp.scm 106 */
																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_20))
																																																					{
																																																						obj_t
																																																							BgL_auxz00_5425;
																																																						goto
																																																							BgL_tagzd2388zd2_1532;
																																																						return
																																																							(
																																																							(BgL_nodez00_bglt)
																																																							BgL_auxz00_5425);
																																																					}
																																																				else
																																																					{	/* Ast/sexp.scm 106 */
																																																						goto
																																																							BgL_tagzd2389zd2_1533;
																																																					}
																																																			}
																																																	}
																																																else
																																																	{	/* Ast/sexp.scm 106 */
																																																		if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_20))
																																																			{
																																																				obj_t
																																																					BgL_auxz00_5429;
																																																				goto
																																																					BgL_tagzd2388zd2_1532;
																																																				return
																																																					(
																																																					(BgL_nodez00_bglt)
																																																					BgL_auxz00_5429);
																																																			}
																																																		else
																																																			{	/* Ast/sexp.scm 106 */
																																																				goto
																																																					BgL_tagzd2389zd2_1533;
																																																			}
																																																	}
																																															}
																																														}
																																												}
																																										}
																																								}
																																						}
																																				}
																																		}
																																}
																															}
																														else
																															{	/* Ast/sexp.scm 106 */
																																if (
																																	(BgL_carzd2604zd2_1567
																																		==
																																		CNST_TABLE_REF
																																		(((long)
																																				17))))
																																	{	/* Ast/sexp.scm 106 */
																																		goto
																																			BgL_tagzd2373zd2_1507;
																																	}
																																else
																																	{	/* Ast/sexp.scm 106 */
																																		if (CBOOL
																																			(BGl_letzd2symzf3z21zzast_letz00
																																				(BgL_carzd2604zd2_1567)))
																																			{	/* Ast/sexp.scm 106 */
																																				goto
																																					BgL_tagzd2373zd2_1507;
																																			}
																																		else
																																			{	/* Ast/sexp.scm 106 */
																																				if (
																																					(BgL_carzd2604zd2_1567
																																						==
																																						CNST_TABLE_REF
																																						(((long) 18))))
																																					{	/* Ast/sexp.scm 106 */
																																						goto
																																							BgL_tagzd2373zd2_1507;
																																					}
																																				else
																																					{	/* Ast/sexp.scm 106 */
																																						if (
																																							(BgL_carzd2604zd2_1567
																																								==
																																								CNST_TABLE_REF
																																								(((long) 20))))
																																							{	/* Ast/sexp.scm 106 */
																																								goto
																																									BgL_tagzd2373zd2_1507;
																																							}
																																						else
																																							{	/* Ast/sexp.scm 106 */
																																								obj_t
																																									BgL_carzd21123zd2_1692;
																																								BgL_carzd21123zd2_1692
																																									=
																																									CAR
																																									(BgL_expz00_20);
																																								if ((BgL_carzd21123zd2_1692 == CNST_TABLE_REF(((long) 19))))
																																									{
																																										BgL_letzd2funzd2_bglt
																																											BgL_auxz00_5447;
																																										goto
																																											BgL_tagzd2374zd2_1508;
																																										return
																																											(
																																											(BgL_nodez00_bglt)
																																											BgL_auxz00_5447);
																																									}
																																								else
																																									{	/* Ast/sexp.scm 106 */
																																										if (CBOOL(BGl_labelszd2symzf3z21zzast_labelsz00(BgL_carzd21123zd2_1692)))
																																											{
																																												BgL_letzd2funzd2_bglt
																																													BgL_auxz00_5452;
																																												goto
																																													BgL_tagzd2374zd2_1508;
																																												return
																																													(
																																													(BgL_nodez00_bglt)
																																													BgL_auxz00_5452);
																																											}
																																										else
																																											{	/* Ast/sexp.scm 106 */
																																												if ((CAR(BgL_expz00_20) == CNST_TABLE_REF(((long) 16))))
																																													{	/* Ast/sexp.scm 106 */
																																													BgL_tagzd2377zd2_1517:
																																														{
																																															obj_t
																																																BgL_argsz00_2313;
																																															obj_t
																																																BgL_bodyz00_2314;
																																															if (PAIRP(BgL_expz00_20))
																																																{	/* Ast/sexp.scm 106 */
																																																	obj_t
																																																		BgL_cdrzd22143zd2_2319;
																																																	BgL_cdrzd22143zd2_2319
																																																		=
																																																		CDR
																																																		(BgL_expz00_20);
																																																	if (PAIRP(BgL_cdrzd22143zd2_2319))
																																																		{	/* Ast/sexp.scm 106 */
																																																			BgL_argsz00_2313
																																																				=
																																																				CAR
																																																				(BgL_cdrzd22143zd2_2319);
																																																			BgL_bodyz00_2314
																																																				=
																																																				CDR
																																																				(BgL_cdrzd22143zd2_2319);
																																																			{	/* Ast/sexp.scm 383 */
																																																				obj_t
																																																					BgL_locz00_2323;
																																																				obj_t
																																																					BgL_funz00_2324;
																																																				BgL_locz00_2323
																																																					=
																																																					BGl_findzd2locationzf2locz20zztools_locationz00
																																																					(BgL_expz00_20,
																																																					BgL_locz00_22);
																																																				BgL_funz00_2324
																																																					=
																																																					BGl_makezd2anonymouszd2namez00zzast_sexpz00
																																																					(BgL_locz00_22,
																																																					BNIL);
																																																				{	/* Ast/sexp.scm 385 */
																																																					obj_t
																																																						BgL_arg2574z00_2325;
																																																					{	/* Ast/sexp.scm 385 */
																																																						obj_t
																																																							BgL_arg2575z00_2326;
																																																						obj_t
																																																							BgL_arg2576z00_2327;
																																																						BgL_arg2575z00_2326
																																																							=
																																																							BGl_labelszd2symzd2zzast_labelsz00
																																																							();
																																																						{	/* Ast/sexp.scm 385 */
																																																							obj_t
																																																								BgL_arg2578z00_2328;
																																																							obj_t
																																																								BgL_arg2579z00_2329;
																																																							{	/* Ast/sexp.scm 385 */
																																																								obj_t
																																																									BgL_arg2580z00_2330;
																																																								{	/* Ast/sexp.scm 385 */
																																																									obj_t
																																																										BgL_arg2581z00_2331;
																																																									{	/* Ast/sexp.scm 385 */
																																																										obj_t
																																																											BgL_arg2582z00_2332;
																																																										BgL_arg2582z00_2332
																																																											=
																																																											MAKE_PAIR
																																																											(BGl_normaliza7ezd2prognz75zztools_prognz00
																																																											(BgL_bodyz00_2314),
																																																											BNIL);
																																																										BgL_arg2581z00_2331
																																																											=
																																																											MAKE_PAIR
																																																											(BgL_argsz00_2313,
																																																											BgL_arg2582z00_2332);
																																																									}
																																																									BgL_arg2580z00_2330
																																																										=
																																																										MAKE_PAIR
																																																										(BgL_funz00_2324,
																																																										BgL_arg2581z00_2331);
																																																								}
																																																								BgL_arg2578z00_2328
																																																									=
																																																									MAKE_PAIR
																																																									(BgL_arg2580z00_2330,
																																																									BNIL);
																																																							}
																																																							BgL_arg2579z00_2329
																																																								=
																																																								MAKE_PAIR
																																																								(BgL_funz00_2324,
																																																								BNIL);
																																																							BgL_arg2576z00_2327
																																																								=
																																																								MAKE_PAIR
																																																								(BgL_arg2578z00_2328,
																																																								BgL_arg2579z00_2329);
																																																						}
																																																						BgL_arg2574z00_2325
																																																							=
																																																							MAKE_PAIR
																																																							(BgL_arg2575z00_2326,
																																																							BgL_arg2576z00_2327);
																																																					}
																																																					{
																																																						obj_t
																																																							BgL_locz00_5475;
																																																						obj_t
																																																							BgL_expz00_5474;
																																																						BgL_expz00_5474
																																																							=
																																																							BgL_arg2574z00_2325;
																																																						BgL_locz00_5475
																																																							=
																																																							BgL_locz00_2323;
																																																						BgL_locz00_22
																																																							=
																																																							BgL_locz00_5475;
																																																						BgL_expz00_20
																																																							=
																																																							BgL_expz00_5474;
																																																						goto
																																																							BGl_sexpzd2ze3nodez31zzast_sexpz00;
																																																					}
																																																				}
																																																			}
																																																		}
																																																	else
																																																		{	/* Ast/sexp.scm 106 */
																																																		BgL_tagzd22136zd2_2316:
																																																			return BGl_errorzd2sexpzd2ze3nodeze3zzast_sexpz00(BGl_string3056z00zzast_sexpz00, BgL_expz00_20, BGl_findzd2locationzf2locz20zztools_locationz00(BgL_expz00_20, BgL_locz00_22));
																																																		}
																																																}
																																															else
																																																{	/* Ast/sexp.scm 106 */
																																																	goto
																																																		BgL_tagzd22136zd2_2316;
																																																}
																																														}
																																													}
																																												else
																																													{	/* Ast/sexp.scm 106 */
																																														if ((CAR(BgL_expz00_20) == CNST_TABLE_REF(((long) 4))))
																																															{	/* Ast/sexp.scm 106 */
																																															BgL_tagzd2378zd2_1518:
																																																return BGl_pragmazf2typezd2ze3nodezc3zzast_pragmaz00(((bool_t) 0), BFALSE, ((BgL_typez00_bglt) BGl_za2unspecza2z00zztype_cachez00), BgL_expz00_20, BgL_stackz00_21, BgL_locz00_22, BgL_sitez00_23);
																																															}
																																														else
																																															{	/* Ast/sexp.scm 106 */
																																																obj_t
																																																	BgL_cdrzd21157zd2_1697;
																																																BgL_cdrzd21157zd2_1697
																																																	=
																																																	CDR
																																																	(BgL_expz00_20);
																																																if ((CAR(BgL_expz00_20) == CNST_TABLE_REF(((long) 21))))
																																																	{	/* Ast/sexp.scm 106 */
																																																		if (PAIRP(BgL_cdrzd21157zd2_1697))
																																																			{	/* Ast/sexp.scm 106 */
																																																				BgL_effectz00_1519
																																																					=
																																																					CAR
																																																					(BgL_cdrzd21157zd2_1697);
																																																				BgL_restz00_1520
																																																					=
																																																					CDR
																																																					(BgL_cdrzd21157zd2_1697);
																																																			BgL_tagzd2379zd2_1521:
																																																				{	/* Ast/sexp.scm 399 */
																																																					BgL_feffectz00_bglt
																																																						BgL_arg2586z00_2336;
																																																					obj_t
																																																						BgL_arg2587z00_2337;
																																																					BgL_arg2586z00_2336
																																																						=
																																																						BGl_parsezd2effectzd2zzeffect_feffectz00
																																																						(BgL_effectz00_1519);
																																																					{	/* Ast/sexp.scm 400 */
																																																						obj_t
																																																							BgL_arg2588z00_2338;
																																																						BgL_arg2588z00_2338
																																																							=
																																																							BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																																																							(BgL_restz00_1520,
																																																							BNIL);
																																																						BgL_arg2587z00_2337
																																																							=
																																																							MAKE_PAIR
																																																							(CNST_TABLE_REF
																																																							(((long) 4)), BgL_arg2588z00_2338);
																																																					}
																																																					return
																																																						BGl_pragmazf2typezd2ze3nodezc3zzast_pragmaz00
																																																						(
																																																						((bool_t) 0), ((obj_t) BgL_arg2586z00_2336), ((BgL_typez00_bglt) BGl_za2unspecza2z00zztype_cachez00), BgL_arg2587z00_2337, BgL_stackz00_21, BgL_locz00_22, BgL_sitez00_23);
																																																				}
																																																			}
																																																		else
																																																			{	/* Ast/sexp.scm 106 */
																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_20))
																																																					{
																																																						obj_t
																																																							BgL_auxz00_5504;
																																																						goto
																																																							BgL_tagzd2388zd2_1532;
																																																						return
																																																							(
																																																							(BgL_nodez00_bglt)
																																																							BgL_auxz00_5504);
																																																					}
																																																				else
																																																					{	/* Ast/sexp.scm 106 */
																																																						goto
																																																							BgL_tagzd2389zd2_1533;
																																																					}
																																																			}
																																																	}
																																																else
																																																	{	/* Ast/sexp.scm 106 */
																																																		if ((CAR(BgL_expz00_20) == CNST_TABLE_REF(((long) 22))))
																																																			{	/* Ast/sexp.scm 106 */
																																																			BgL_tagzd2380zd2_1522:
																																																				return BGl_pragmazf2typezd2ze3nodezc3zzast_pragmaz00(((bool_t) 1), BFALSE, ((BgL_typez00_bglt) BGl_za2unspecza2z00zztype_cachez00), BgL_expz00_20, BgL_stackz00_21, BgL_locz00_22, BgL_sitez00_23);
																																																			}
																																																		else
																																																			{	/* Ast/sexp.scm 106 */
																																																				if ((CAR(BgL_expz00_20) == CNST_TABLE_REF(((long) 23))))
																																																					{	/* Ast/sexp.scm 106 */
																																																						if (PAIRP(BgL_cdrzd21157zd2_1697))
																																																							{	/* Ast/sexp.scm 106 */
																																																								BgL_effectz00_1523
																																																									=
																																																									CAR
																																																									(BgL_cdrzd21157zd2_1697);
																																																								BgL_restz00_1524
																																																									=
																																																									CDR
																																																									(BgL_cdrzd21157zd2_1697);
																																																							BgL_tagzd2381zd2_1525:
																																																								{	/* Ast/sexp.scm 407 */
																																																									BgL_feffectz00_bglt
																																																										BgL_arg2589z00_2339;
																																																									obj_t
																																																										BgL_arg2590z00_2340;
																																																									BgL_arg2589z00_2339
																																																										=
																																																										BGl_parsezd2effectzd2zzeffect_feffectz00
																																																										(BgL_effectz00_1523);
																																																									{	/* Ast/sexp.scm 408 */
																																																										obj_t
																																																											BgL_arg2591z00_2341;
																																																										BgL_arg2591z00_2341
																																																											=
																																																											BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																																																											(BgL_restz00_1524,
																																																											BNIL);
																																																										BgL_arg2590z00_2340
																																																											=
																																																											MAKE_PAIR
																																																											(CNST_TABLE_REF
																																																											(((long) 4)), BgL_arg2591z00_2341);
																																																									}
																																																									return
																																																										BGl_pragmazf2typezd2ze3nodezc3zzast_pragmaz00
																																																										(
																																																										((bool_t) 1), ((obj_t) BgL_arg2589z00_2339), ((BgL_typez00_bglt) BGl_za2unspecza2z00zztype_cachez00), BgL_arg2590z00_2340, BgL_stackz00_21, BgL_locz00_22, BgL_sitez00_23);
																																																								}
																																																							}
																																																						else
																																																							{	/* Ast/sexp.scm 106 */
																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_20))
																																																									{
																																																										obj_t
																																																											BgL_auxz00_5529;
																																																										goto
																																																											BgL_tagzd2388zd2_1532;
																																																										return
																																																											(
																																																											(BgL_nodez00_bglt)
																																																											BgL_auxz00_5529);
																																																									}
																																																								else
																																																									{	/* Ast/sexp.scm 106 */
																																																										goto
																																																											BgL_tagzd2389zd2_1533;
																																																									}
																																																							}
																																																					}
																																																				else
																																																					{	/* Ast/sexp.scm 106 */
																																																						if ((CAR(BgL_expz00_20) == CNST_TABLE_REF(((long) 24))))
																																																							{	/* Ast/sexp.scm 106 */
																																																							BgL_tagzd2382zd2_1526:
																																																								{
																																																									obj_t
																																																										BgL_procz00_2342;
																																																									obj_t
																																																										BgL_msgz00_2343;
																																																									obj_t
																																																										BgL_objz00_2344;
																																																									if (PAIRP(BgL_expz00_20))
																																																										{	/* Ast/sexp.scm 106 */
																																																											obj_t
																																																												BgL_cdrzd22160zd2_2349;
																																																											BgL_cdrzd22160zd2_2349
																																																												=
																																																												CDR
																																																												(BgL_expz00_20);
																																																											if (PAIRP(BgL_cdrzd22160zd2_2349))
																																																												{	/* Ast/sexp.scm 106 */
																																																													obj_t
																																																														BgL_cdrzd22165zd2_2351;
																																																													BgL_cdrzd22165zd2_2351
																																																														=
																																																														CDR
																																																														(BgL_cdrzd22160zd2_2349);
																																																													if (PAIRP(BgL_cdrzd22165zd2_2351))
																																																														{	/* Ast/sexp.scm 106 */
																																																															obj_t
																																																																BgL_cdrzd22170zd2_2353;
																																																															BgL_cdrzd22170zd2_2353
																																																																=
																																																																CDR
																																																																(BgL_cdrzd22165zd2_2351);
																																																															if (PAIRP(BgL_cdrzd22170zd2_2353))
																																																																{	/* Ast/sexp.scm 106 */
																																																																	if (NULLP(CDR(BgL_cdrzd22170zd2_2353)))
																																																																		{	/* Ast/sexp.scm 106 */
																																																																			obj_t
																																																																				BgL_arg2597z00_2356;
																																																																			obj_t
																																																																				BgL_arg2598z00_2357;
																																																																			obj_t
																																																																				BgL_arg2599z00_2358;
																																																																			BgL_arg2597z00_2356
																																																																				=
																																																																				CAR
																																																																				(BgL_cdrzd22160zd2_2349);
																																																																			BgL_arg2598z00_2357
																																																																				=
																																																																				CAR
																																																																				(BgL_cdrzd22165zd2_2351);
																																																																			BgL_arg2599z00_2358
																																																																				=
																																																																				CAR
																																																																				(BgL_cdrzd22170zd2_2353);
																																																																			{
																																																																				BgL_failz00_bglt
																																																																					BgL_auxz00_5552;
																																																																				BgL_procz00_2342
																																																																					=
																																																																					BgL_arg2597z00_2356;
																																																																				BgL_msgz00_2343
																																																																					=
																																																																					BgL_arg2598z00_2357;
																																																																				BgL_objz00_2344
																																																																					=
																																																																					BgL_arg2599z00_2358;
																																																																				{	/* Ast/sexp.scm 413 */
																																																																					obj_t
																																																																						BgL_locz00_2360;
																																																																					BgL_locz00_2360
																																																																						=
																																																																						BGl_findzd2locationzf2locz20zztools_locationz00
																																																																						(BgL_expz00_20,
																																																																						BgL_locz00_22);
																																																																					{	/* Ast/sexp.scm 413 */
																																																																						obj_t
																																																																							BgL_cdlocz00_2361;
																																																																						BgL_cdlocz00_2361
																																																																							=
																																																																							BGl_findzd2locationzf2locz20zztools_locationz00
																																																																							(CDR
																																																																							(BgL_expz00_20),
																																																																							BgL_locz00_2360);
																																																																						{	/* Ast/sexp.scm 414 */
																																																																							obj_t
																																																																								BgL_cddlocz00_2362;
																																																																							{	/* Ast/sexp.scm 415 */
																																																																								obj_t
																																																																									BgL_arg2603z00_2374;
																																																																								{	/* Ast/sexp.scm 415 */
																																																																									obj_t
																																																																										BgL_pairz00_3813;
																																																																									BgL_pairz00_3813
																																																																										=
																																																																										BgL_expz00_20;
																																																																									BgL_arg2603z00_2374
																																																																										=
																																																																										CDR
																																																																										(CDR
																																																																										(BgL_pairz00_3813));
																																																																								}
																																																																								BgL_cddlocz00_2362
																																																																									=
																																																																									BGl_findzd2locationzf2locz20zztools_locationz00
																																																																									(BgL_arg2603z00_2374,
																																																																									BgL_locz00_2360);
																																																																							}
																																																																							{	/* Ast/sexp.scm 415 */
																																																																								obj_t
																																																																									BgL_cdddlocz00_2363;
																																																																								{	/* Ast/sexp.scm 416 */
																																																																									obj_t
																																																																										BgL_arg2602z00_2373;
																																																																									{	/* Ast/sexp.scm 416 */
																																																																										obj_t
																																																																											BgL_pairz00_3817;
																																																																										BgL_pairz00_3817
																																																																											=
																																																																											BgL_expz00_20;
																																																																										BgL_arg2602z00_2373
																																																																											=
																																																																											CDR
																																																																											(CDR
																																																																											(CDR
																																																																												(BgL_pairz00_3817)));
																																																																									}
																																																																									BgL_cdddlocz00_2363
																																																																										=
																																																																										BGl_findzd2locationzf2locz20zztools_locationz00
																																																																										(BgL_arg2602z00_2373,
																																																																										BgL_locz00_2360);
																																																																								}
																																																																								{	/* Ast/sexp.scm 416 */
																																																																									obj_t
																																																																										BgL_loczd2proczd2_2364;
																																																																									BgL_loczd2proczd2_2364
																																																																										=
																																																																										BGl_findzd2locationzf2locz20zztools_locationz00
																																																																										(BgL_procz00_2342,
																																																																										BgL_cdlocz00_2361);
																																																																									{	/* Ast/sexp.scm 417 */
																																																																										obj_t
																																																																											BgL_loczd2msgzd2_2365;
																																																																										BgL_loczd2msgzd2_2365
																																																																											=
																																																																											BGl_findzd2locationzf2locz20zztools_locationz00
																																																																											(BgL_msgz00_2343,
																																																																											BgL_cddlocz00_2362);
																																																																										{	/* Ast/sexp.scm 418 */
																																																																											obj_t
																																																																												BgL_loczd2objzd2_2366;
																																																																											BgL_loczd2objzd2_2366
																																																																												=
																																																																												BGl_findzd2locationzf2locz20zztools_locationz00
																																																																												(BgL_objz00_2344,
																																																																												BgL_cdddlocz00_2363);
																																																																											{	/* Ast/sexp.scm 419 */
																																																																												BgL_nodez00_bglt
																																																																													BgL_procz00_2367;
																																																																												BgL_procz00_2367
																																																																													=
																																																																													BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																																													(BgL_procz00_2342,
																																																																													BgL_stackz00_21,
																																																																													BgL_loczd2proczd2_2364,
																																																																													CNST_TABLE_REF
																																																																													(((long) 2)));
																																																																												{	/* Ast/sexp.scm 420 */
																																																																													BgL_nodez00_bglt
																																																																														BgL_msgz00_2368;
																																																																													BgL_msgz00_2368
																																																																														=
																																																																														BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																																														(BgL_msgz00_2343,
																																																																														BgL_stackz00_21,
																																																																														BgL_loczd2msgzd2_2365,
																																																																														CNST_TABLE_REF
																																																																														(((long) 2)));
																																																																													{	/* Ast/sexp.scm 421 */
																																																																														BgL_nodez00_bglt
																																																																															BgL_objz00_2369;
																																																																														BgL_objz00_2369
																																																																															=
																																																																															BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																																															(BgL_objz00_2344,
																																																																															BgL_stackz00_21,
																																																																															BgL_loczd2objzd2_2366,
																																																																															CNST_TABLE_REF
																																																																															(((long) 2)));
																																																																														{	/* Ast/sexp.scm 422 */

																																																																															{	/* Ast/sexp.scm 423 */
																																																																																BgL_failz00_bglt
																																																																																	BgL_new1134z00_2370;
																																																																																{	/* Ast/sexp.scm 423 */
																																																																																	BgL_failz00_bglt
																																																																																		BgL_new1133z00_2371;
																																																																																	BgL_new1133z00_2371
																																																																																		=
																																																																																		(
																																																																																		(BgL_failz00_bglt)
																																																																																		BREF
																																																																																		(GC_MALLOC
																																																																																			(sizeof
																																																																																				(struct
																																																																																					BgL_failz00_bgl))));
																																																																																	{	/* Ast/sexp.scm 423 */
																																																																																		long
																																																																																			BgL_arg2601z00_2372;
																																																																																		{	/* Ast/sexp.scm 423 */
																																																																																			long
																																																																																				BgL_res2932z00_3826;
																																																																																			{	/* Ast/sexp.scm 423 */
																																																																																				obj_t
																																																																																					BgL_classz00_3823;
																																																																																				BgL_classz00_3823
																																																																																					=
																																																																																					BGl_failz00zzast_nodez00;
																																																																																				{	/* Ast/sexp.scm 423 */
																																																																																					obj_t
																																																																																						BgL_vectorz00_3824;
																																																																																					int
																																																																																						BgL_kz00_3825;
																																																																																					BgL_vectorz00_3824
																																																																																						=
																																																																																						BgL_classz00_3823;
																																																																																					BgL_kz00_3825
																																																																																						=
																																																																																						(int)
																																																																																						(
																																																																																						((long) 1));
																																																																																					BgL_res2932z00_3826
																																																																																						=
																																																																																						(long)
																																																																																						CINT
																																																																																						(VECTOR_REF
																																																																																						(BgL_vectorz00_3824,
																																																																																							BgL_kz00_3825));
																																																																																			}}
																																																																																			BgL_arg2601z00_2372
																																																																																				=
																																																																																				BgL_res2932z00_3826;
																																																																																		}
																																																																																		{	/* Ast/sexp.scm 423 */
																																																																																			BgL_objectz00_bglt
																																																																																				BgL_objz00_3827;
																																																																																			BgL_objz00_3827
																																																																																				=
																																																																																				(
																																																																																				(BgL_objectz00_bglt)
																																																																																				BgL_new1133z00_2371);
																																																																																			BGL_OBJECT_CLASS_NUM_SET
																																																																																				(BgL_objz00_3827,
																																																																																				BgL_arg2601z00_2372);
																																																																																	}}
																																																																																	{	/* Ast/sexp.scm 423 */
																																																																																		BgL_objectz00_bglt
																																																																																			BgL_auxz00_5578;
																																																																																		BgL_auxz00_5578
																																																																																			=
																																																																																			(
																																																																																			(BgL_objectz00_bglt)
																																																																																			BgL_new1133z00_2371);
																																																																																		BGL_OBJECT_WIDENING_SET
																																																																																			(BgL_auxz00_5578,
																																																																																			BFALSE);
																																																																																	}
																																																																																	BgL_new1134z00_2370
																																																																																		=
																																																																																		BgL_new1133z00_2371;
																																																																																}
																																																																																((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt) BgL_new1134z00_2370)))->BgL_locz00) = ((obj_t) BgL_locz00_2360), BUNSPEC);
																																																																																((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt) BgL_new1134z00_2370)))->BgL_typez00) = ((BgL_typez00_bglt) ((BgL_typez00_bglt) BGl_za2magicza2z00zztype_cachez00)), BUNSPEC);
																																																																																((((BgL_failz00_bglt) CREF(BgL_new1134z00_2370))->BgL_procz00) = ((BgL_nodez00_bglt) BgL_procz00_2367), BUNSPEC);
																																																																																((((BgL_failz00_bglt) CREF(BgL_new1134z00_2370))->BgL_msgz00) = ((BgL_nodez00_bglt) BgL_msgz00_2368), BUNSPEC);
																																																																																((((BgL_failz00_bglt) CREF(BgL_new1134z00_2370))->BgL_objz00) = ((BgL_nodez00_bglt) BgL_objz00_2369), BUNSPEC);
																																																																																BgL_auxz00_5552
																																																																																	=
																																																																																	BgL_new1134z00_2370;
																																																																				}}}}}}}}}}}}
																																																																				return
																																																																					(
																																																																					(BgL_nodez00_bglt)
																																																																					BgL_auxz00_5552);
																																																																			}
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 106 */
																																																																		BgL_tagzd22151zd2_2346:
																																																																			return BGl_errorzd2sexpzd2ze3nodeze3zzast_sexpz00(BGl_string3055z00zzast_sexpz00, BgL_expz00_20, BGl_findzd2locationzf2locz20zztools_locationz00(BgL_expz00_20, BgL_locz00_22));
																																																																		}
																																																																}
																																																															else
																																																																{	/* Ast/sexp.scm 106 */
																																																																	goto
																																																																		BgL_tagzd22151zd2_2346;
																																																																}
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 106 */
																																																															goto
																																																																BgL_tagzd22151zd2_2346;
																																																														}
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 106 */
																																																													goto
																																																														BgL_tagzd22151zd2_2346;
																																																												}
																																																										}
																																																									else
																																																										{	/* Ast/sexp.scm 106 */
																																																											goto
																																																												BgL_tagzd22151zd2_2346;
																																																										}
																																																								}
																																																							}
																																																						else
																																																							{	/* Ast/sexp.scm 106 */
																																																								if ((CAR(BgL_expz00_20) == CNST_TABLE_REF(((long) 25))))
																																																									{	/* Ast/sexp.scm 106 */
																																																									BgL_tagzd2383zd2_1527:
																																																										{
																																																											obj_t
																																																												BgL_testz00_2377;
																																																											obj_t
																																																												BgL_clausesz00_2378;
																																																											if (PAIRP(BgL_expz00_20))
																																																												{	/* Ast/sexp.scm 106 */
																																																													obj_t
																																																														BgL_cdrzd22184zd2_2383;
																																																													BgL_cdrzd22184zd2_2383
																																																														=
																																																														CDR
																																																														(BgL_expz00_20);
																																																													if (PAIRP(BgL_cdrzd22184zd2_2383))
																																																														{	/* Ast/sexp.scm 106 */
																																																															BgL_testz00_2377
																																																																=
																																																																CAR
																																																																(BgL_cdrzd22184zd2_2383);
																																																															BgL_clausesz00_2378
																																																																=
																																																																CDR
																																																																(BgL_cdrzd22184zd2_2383);
																																																															{	/* Ast/sexp.scm 442 */
																																																																obj_t
																																																																	BgL_locz00_2387;
																																																																BgL_locz00_2387
																																																																	=
																																																																	BGl_findzd2locationzf2locz20zztools_locationz00
																																																																	(BgL_expz00_20,
																																																																	BgL_locz00_22);
																																																																{	/* Ast/sexp.scm 442 */
																																																																	obj_t
																																																																		BgL_cdlocz00_2388;
																																																																	BgL_cdlocz00_2388
																																																																		=
																																																																		BGl_findzd2locationzf2locz20zztools_locationz00
																																																																		(CDR
																																																																		(BgL_expz00_20),
																																																																		BgL_locz00_2387);
																																																																	{	/* Ast/sexp.scm 443 */
																																																																		obj_t
																																																																			BgL_cddlocz00_2389;
																																																																		BgL_cddlocz00_2389
																																																																			=
																																																																			BGl_findzd2locationzf2locz20zztools_locationz00
																																																																			(CDR
																																																																			(BgL_expz00_20),
																																																																			BgL_locz00_2387);
																																																																		{	/* Ast/sexp.scm 444 */
																																																																			BgL_nodez00_bglt
																																																																				BgL_testz00_2390;
																																																																			{	/* Ast/sexp.scm 447 */
																																																																				obj_t
																																																																					BgL_arg2631z00_2420;
																																																																				BgL_arg2631z00_2420
																																																																					=
																																																																					BGl_findzd2locationzf2locz20zztools_locationz00
																																																																					(BgL_testz00_2377,
																																																																					BgL_cdlocz00_2388);
																																																																				BgL_testz00_2390
																																																																					=
																																																																					BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																																					(BgL_testz00_2377,
																																																																					BgL_stackz00_21,
																																																																					BgL_arg2631z00_2420,
																																																																					CNST_TABLE_REF
																																																																					(((long) 2)));
																																																																			}
																																																																			{	/* Ast/sexp.scm 445 */

																																																																				{
																																																																					obj_t
																																																																						BgL_clsz00_2393;
																																																																					obj_t
																																																																						BgL_nclausesz00_2394;
																																																																					BgL_clsz00_2393
																																																																						=
																																																																						BgL_clausesz00_2378;
																																																																					BgL_nclausesz00_2394
																																																																						=
																																																																						BNIL;
																																																																				BgL_zc3anonymousza32611ze3z83_2395:
																																																																					if (NULLP(BgL_clsz00_2393))
																																																																						{	/* Ast/sexp.scm 452 */
																																																																							BgL_selectz00_bglt
																																																																								BgL_new1137z00_2397;
																																																																							{	/* Ast/sexp.scm 452 */
																																																																								BgL_selectz00_bglt
																																																																									BgL_new1136z00_2401;
																																																																								BgL_new1136z00_2401
																																																																									=
																																																																									(
																																																																									(BgL_selectz00_bglt)
																																																																									BREF
																																																																									(GC_MALLOC
																																																																										(sizeof
																																																																											(struct
																																																																												BgL_selectz00_bgl))));
																																																																								{	/* Ast/sexp.scm 452 */
																																																																									long
																																																																										BgL_arg2616z00_2402;
																																																																									{	/* Ast/sexp.scm 452 */
																																																																										long
																																																																											BgL_res2939z00_3853;
																																																																										{	/* Ast/sexp.scm 452 */
																																																																											obj_t
																																																																												BgL_classz00_3850;
																																																																											BgL_classz00_3850
																																																																												=
																																																																												BGl_selectz00zzast_nodez00;
																																																																											{	/* Ast/sexp.scm 452 */
																																																																												obj_t
																																																																													BgL_vectorz00_3851;
																																																																												int
																																																																													BgL_kz00_3852;
																																																																												BgL_vectorz00_3851
																																																																													=
																																																																													BgL_classz00_3850;
																																																																												BgL_kz00_3852
																																																																													=
																																																																													(int)
																																																																													(
																																																																													((long) 1));
																																																																												BgL_res2939z00_3853
																																																																													=
																																																																													(long)
																																																																													CINT
																																																																													(VECTOR_REF
																																																																													(BgL_vectorz00_3851,
																																																																														BgL_kz00_3852));
																																																																										}}
																																																																										BgL_arg2616z00_2402
																																																																											=
																																																																											BgL_res2939z00_3853;
																																																																									}
																																																																									{	/* Ast/sexp.scm 452 */
																																																																										BgL_objectz00_bglt
																																																																											BgL_objz00_3854;
																																																																										BgL_objz00_3854
																																																																											=
																																																																											(
																																																																											(BgL_objectz00_bglt)
																																																																											BgL_new1136z00_2401);
																																																																										BGL_OBJECT_CLASS_NUM_SET
																																																																											(BgL_objz00_3854,
																																																																											BgL_arg2616z00_2402);
																																																																								}}
																																																																								{	/* Ast/sexp.scm 452 */
																																																																									BgL_objectz00_bglt
																																																																										BgL_auxz00_5617;
																																																																									BgL_auxz00_5617
																																																																										=
																																																																										(
																																																																										(BgL_objectz00_bglt)
																																																																										BgL_new1136z00_2401);
																																																																									BGL_OBJECT_WIDENING_SET
																																																																										(BgL_auxz00_5617,
																																																																										BFALSE);
																																																																								}
																																																																								BgL_new1137z00_2397
																																																																									=
																																																																									BgL_new1136z00_2401;
																																																																							}
																																																																							((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt) BgL_new1137z00_2397)))->BgL_locz00) = ((obj_t) BgL_locz00_2387), BUNSPEC);
																																																																							((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt) BgL_new1137z00_2397)))->BgL_typez00) = ((BgL_typez00_bglt) ((BgL_typez00_bglt) BGl_za2_za2z00zztype_cachez00)), BUNSPEC);
																																																																							((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt) BgL_new1137z00_2397)))->BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
																																																																							((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt) BgL_new1137z00_2397)))->BgL_keyz00) = ((obj_t) BINT(((long) -1))), BUNSPEC);
																																																																							((((BgL_selectz00_bglt) CREF(BgL_new1137z00_2397))->BgL_testz00) = ((BgL_nodez00_bglt) BgL_testz00_2390), BUNSPEC);
																																																																							((((BgL_selectz00_bglt) CREF(BgL_new1137z00_2397))->BgL_clausesz00) = ((obj_t) bgl_reverse_bang(BgL_nclausesz00_2394)), BUNSPEC);
																																																																							{
																																																																								BgL_typez00_bglt
																																																																									BgL_auxz00_5633;
																																																																								{	/* Ast/sexp.scm 456 */
																																																																									obj_t
																																																																										BgL_arg2613z00_2398;
																																																																									{	/* Ast/sexp.scm 456 */
																																																																										obj_t
																																																																											BgL_pairz00_3858;
																																																																										{	/* Ast/sexp.scm 456 */
																																																																											obj_t
																																																																												BgL_pairz00_3857;
																																																																											{	/* Ast/sexp.scm 456 */
																																																																												obj_t
																																																																													BgL_pairz00_3856;
																																																																												BgL_pairz00_3856
																																																																													=
																																																																													BgL_clausesz00_2378;
																																																																												BgL_pairz00_3857
																																																																													=
																																																																													CAR
																																																																													(BgL_pairz00_3856);
																																																																											}
																																																																											BgL_pairz00_3858
																																																																												=
																																																																												CAR
																																																																												(BgL_pairz00_3857);
																																																																										}
																																																																										BgL_arg2613z00_2398
																																																																											=
																																																																											CAR
																																																																											(BgL_pairz00_3858);
																																																																									}
																																																																									BgL_auxz00_5633
																																																																										=
																																																																										BGl_getzd2typezd2atomz00zztype_typeofz00
																																																																										(BgL_arg2613z00_2398);
																																																																								}
																																																																								((((BgL_selectz00_bglt) CREF(BgL_new1137z00_2397))->BgL_itemzd2typezd2) = ((BgL_typez00_bglt) BgL_auxz00_5633), BUNSPEC);
																																																																							}
																																																																							return
																																																																								(
																																																																								(BgL_nodez00_bglt)
																																																																								BgL_new1137z00_2397);
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 458 */
																																																																							obj_t
																																																																								BgL_clausez00_2403;
																																																																							BgL_clausez00_2403
																																																																								=
																																																																								CAR
																																																																								(BgL_clsz00_2393);
																																																																							{	/* Ast/sexp.scm 458 */
																																																																								BgL_nodez00_bglt
																																																																									BgL_bodyz00_2404;
																																																																								{	/* Ast/sexp.scm 459 */
																																																																									obj_t
																																																																										BgL_arg2627z00_2416;
																																																																									obj_t
																																																																										BgL_arg2628z00_2417;
																																																																									BgL_arg2627z00_2416
																																																																										=
																																																																										BGl_normaliza7ezd2prognz75zztools_prognz00
																																																																										(CDR
																																																																										(BgL_clausez00_2403));
																																																																									BgL_arg2628z00_2417
																																																																										=
																																																																										BGl_findzd2locationzf2locz20zztools_locationz00
																																																																										(BgL_clausez00_2403,
																																																																										BgL_cddlocz00_2389);
																																																																									BgL_bodyz00_2404
																																																																										=
																																																																										BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																																										(BgL_arg2627z00_2416,
																																																																										BgL_stackz00_21,
																																																																										BgL_arg2628z00_2417,
																																																																										CNST_TABLE_REF
																																																																										(((long) 2)));
																																																																								}
																																																																								{	/* Ast/sexp.scm 459 */
																																																																									obj_t
																																																																										BgL_nclausez00_2405;
																																																																									{	/* Ast/sexp.scm 463 */
																																																																										obj_t
																																																																											BgL_arg2626z00_2415;
																																																																										BgL_arg2626z00_2415
																																																																											=
																																																																											CAR
																																																																											(BgL_clausez00_2403);
																																																																										BgL_nclausez00_2405
																																																																											=
																																																																											MAKE_PAIR
																																																																											(BgL_arg2626z00_2415,
																																																																											((obj_t) BgL_bodyz00_2404));
																																																																									}
																																																																									{	/* Ast/sexp.scm 463 */

																																																																										{	/* Ast/sexp.scm 465 */
																																																																											bool_t
																																																																												BgL_testz00_5649;
																																																																											if ((CAR(BgL_clausez00_2403) == CNST_TABLE_REF(((long) 3))))
																																																																												{	/* Ast/sexp.scm 465 */
																																																																													if (NULLP(CDR(BgL_clsz00_2393)))
																																																																														{	/* Ast/sexp.scm 466 */
																																																																															BgL_testz00_5649
																																																																																=
																																																																																(
																																																																																(bool_t)
																																																																																0);
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 466 */
																																																																															BgL_testz00_5649
																																																																																=
																																																																																(
																																																																																(bool_t)
																																																																																1);
																																																																														}
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 465 */
																																																																													BgL_testz00_5649
																																																																														=
																																																																														(
																																																																														(bool_t)
																																																																														0);
																																																																												}
																																																																											if (BgL_testz00_5649)
																																																																												{	/* Ast/sexp.scm 465 */
																																																																													return
																																																																														BGl_errorzd2sexpzd2ze3nodeze3zzast_sexpz00
																																																																														(BGl_string3054z00zzast_sexpz00,
																																																																														BgL_expz00_20,
																																																																														BGl_findzd2locationzf2locz20zztools_locationz00
																																																																														(BgL_expz00_20,
																																																																															BgL_locz00_2387));
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 469 */
																																																																													obj_t
																																																																														BgL_arg2619z00_2408;
																																																																													obj_t
																																																																														BgL_arg2620z00_2409;
																																																																													BgL_arg2619z00_2408
																																																																														=
																																																																														CDR
																																																																														(BgL_clsz00_2393);
																																																																													BgL_arg2620z00_2409
																																																																														=
																																																																														MAKE_PAIR
																																																																														(BGl_epairifyz00zztools_miscz00
																																																																														(BgL_nclausez00_2405,
																																																																															BgL_clausez00_2403),
																																																																														BgL_nclausesz00_2394);
																																																																													{
																																																																														obj_t
																																																																															BgL_nclausesz00_5663;
																																																																														obj_t
																																																																															BgL_clsz00_5662;
																																																																														BgL_clsz00_5662
																																																																															=
																																																																															BgL_arg2619z00_2408;
																																																																														BgL_nclausesz00_5663
																																																																															=
																																																																															BgL_arg2620z00_2409;
																																																																														BgL_nclausesz00_2394
																																																																															=
																																																																															BgL_nclausesz00_5663;
																																																																														BgL_clsz00_2393
																																																																															=
																																																																															BgL_clsz00_5662;
																																																																														goto
																																																																															BgL_zc3anonymousza32611ze3z83_2395;
																																																																													}
																																																																												}
																																																																										}
																																																																									}
																																																																								}
																																																																							}
																																																																						}
																																																																				}
																																																																			}
																																																																		}
																																																																	}
																																																																}
																																																															}
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 106 */
																																																														BgL_tagzd22177zd2_2380:
																																																															return BGl_errorzd2sexpzd2ze3nodeze3zzast_sexpz00(BGl_string3054z00zzast_sexpz00, BgL_expz00_20, BGl_findzd2locationzf2locz20zztools_locationz00(BgL_expz00_20, BgL_locz00_22));
																																																														}
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 106 */
																																																													goto
																																																														BgL_tagzd22177zd2_2380;
																																																												}
																																																										}
																																																									}
																																																								else
																																																									{	/* Ast/sexp.scm 106 */
																																																										if ((CAR(BgL_expz00_20) == CNST_TABLE_REF(((long) 26))))
																																																											{
																																																												BgL_letzd2funzd2_bglt
																																																													BgL_auxz00_5672;
																																																											BgL_tagzd2384zd2_1528:
																																																												BgL_auxz00_5672 = BGl_setzd2exitzd2ze3nodeze3zzast_exitz00(BgL_expz00_20, BgL_stackz00_21, BgL_locz00_22, BgL_sitez00_23);
																																																												return
																																																													(
																																																													(BgL_nodez00_bglt)
																																																													BgL_auxz00_5672);
																																																											}
																																																										else
																																																											{	/* Ast/sexp.scm 106 */
																																																												if ((CAR(BgL_expz00_20) == CNST_TABLE_REF(((long) 27))))
																																																													{
																																																														BgL_jumpzd2exzd2itz00_bglt
																																																															BgL_auxz00_5679;
																																																													BgL_tagzd2385zd2_1529:
																																																														BgL_auxz00_5679 = BGl_jumpzd2exitzd2ze3nodeze3zzast_exitz00(BgL_expz00_20, BgL_stackz00_21, BgL_locz00_22, BgL_sitez00_23);
																																																														return
																																																															(
																																																															(BgL_nodez00_bglt)
																																																															BgL_auxz00_5679);
																																																													}
																																																												else
																																																													{	/* Ast/sexp.scm 106 */
																																																														obj_t
																																																															BgL_cdrzd21195zd2_1714;
																																																														BgL_cdrzd21195zd2_1714
																																																															=
																																																															CDR
																																																															(BgL_expz00_20);
																																																														if ((CAR(BgL_expz00_20) == CNST_TABLE_REF(((long) 28))))
																																																															{	/* Ast/sexp.scm 106 */
																																																																if (PAIRP(BgL_cdrzd21195zd2_1714))
																																																																	{	/* Ast/sexp.scm 106 */
																																																																		obj_t
																																																																			BgL_cdrzd21197zd2_1717;
																																																																		BgL_cdrzd21197zd2_1717
																																																																			=
																																																																			CDR
																																																																			(BgL_cdrzd21195zd2_1714);
																																																																		if (PAIRP(BgL_cdrzd21197zd2_1717))
																																																																			{	/* Ast/sexp.scm 106 */
																																																																				if (NULLP(CDR(BgL_cdrzd21197zd2_1717)))
																																																																					{	/* Ast/sexp.scm 106 */
																																																																					BgL_tagzd2386zd2_1530:
																																																																						return BGl_applycationzd2ze3nodez31zzast_applyz00(BgL_expz00_20, BgL_stackz00_21, BgL_locz00_22, BgL_sitez00_23);
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 106 */
																																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_20))
																																																																							{
																																																																								obj_t
																																																																									BgL_auxz00_5698;
																																																																								goto
																																																																									BgL_tagzd2388zd2_1532;
																																																																								return
																																																																									(
																																																																									(BgL_nodez00_bglt)
																																																																									BgL_auxz00_5698);
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 106 */
																																																																								goto
																																																																									BgL_tagzd2389zd2_1533;
																																																																							}
																																																																					}
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 106 */
																																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_20))
																																																																					{
																																																																						obj_t
																																																																							BgL_auxz00_5702;
																																																																						goto
																																																																							BgL_tagzd2388zd2_1532;
																																																																						return
																																																																							(
																																																																							(BgL_nodez00_bglt)
																																																																							BgL_auxz00_5702);
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 106 */
																																																																						goto
																																																																							BgL_tagzd2389zd2_1533;
																																																																					}
																																																																			}
																																																																	}
																																																																else
																																																																	{	/* Ast/sexp.scm 106 */
																																																																		if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_20))
																																																																			{
																																																																				obj_t
																																																																					BgL_auxz00_5706;
																																																																				goto
																																																																					BgL_tagzd2388zd2_1532;
																																																																				return
																																																																					(
																																																																					(BgL_nodez00_bglt)
																																																																					BgL_auxz00_5706);
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 106 */
																																																																				goto
																																																																					BgL_tagzd2389zd2_1533;
																																																																			}
																																																																	}
																																																															}
																																																														else
																																																															{	/* Ast/sexp.scm 106 */
																																																																if (BGl_equalzf3zf3zz__r4_equivalence_6_2z00(CAR(BgL_expz00_20), BUNSPEC))
																																																																	{	/* Ast/sexp.scm 106 */
																																																																		if (NULLP(BgL_cdrzd21195zd2_1714))
																																																																			{	/* Ast/sexp.scm 106 */
																																																																			BgL_tagzd2387zd2_1531:
																																																																				return BGl_errorzd2sexpzd2ze3nodeze3zzast_sexpz00(BGl_string3053z00zzast_sexpz00, BgL_expz00_20, BGl_findzd2locationzf2locz20zztools_locationz00(BgL_expz00_20, BgL_locz00_22));
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 106 */
																																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_20))
																																																																					{
																																																																						obj_t
																																																																							BgL_auxz00_5717;
																																																																						goto
																																																																							BgL_tagzd2388zd2_1532;
																																																																						return
																																																																							(
																																																																							(BgL_nodez00_bglt)
																																																																							BgL_auxz00_5717);
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 106 */
																																																																						goto
																																																																							BgL_tagzd2389zd2_1533;
																																																																					}
																																																																			}
																																																																	}
																																																																else
																																																																	{	/* Ast/sexp.scm 106 */
																																																																		if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_20))
																																																																			{
																																																																				obj_t
																																																																					BgL_auxz00_5721;
																																																																				goto
																																																																					BgL_tagzd2388zd2_1532;
																																																																				return
																																																																					(
																																																																					(BgL_nodez00_bglt)
																																																																					BgL_auxz00_5721);
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 106 */
																																																																				goto
																																																																					BgL_tagzd2389zd2_1533;
																																																																			}
																																																																	}
																																																															}
																																																													}
																																																											}
																																																									}
																																																							}
																																																					}
																																																			}
																																																	}
																																															}
																																													}
																																											}
																																									}
																																							}
																																					}
																																			}
																																	}
																															}
																													}
																											}
																									}
																							}
																					}
																			}
																	}
															}
													}
											}
										else
											{	/* Ast/sexp.scm 106 */
												if (
													(BgL_carzd2435zd2_1538 ==
														CNST_TABLE_REF(((long) 10))))
													{	/* Ast/sexp.scm 106 */
														goto BgL_tagzd2363zd2_1491;
													}
												else
													{	/* Ast/sexp.scm 106 */
														if (
															(CAR(BgL_expz00_20) ==
																CNST_TABLE_REF(((long) 13))))
															{
																obj_t BgL_lz00_5730;

																BgL_lz00_5730 = CDR(BgL_expz00_20);
																BgL_lz00_1492 = BgL_lz00_5730;
																goto BgL_tagzd2364zd2_1493;
															}
														else
															{	/* Ast/sexp.scm 106 */
																if (
																	(CAR(BgL_expz00_20) ==
																		CNST_TABLE_REF(((long) 11))))
																	{	/* Ast/sexp.scm 106 */
																		goto BgL_tagzd2365zd2_1494;
																	}
																else
																	{	/* Ast/sexp.scm 106 */
																		if (
																			(CAR(BgL_expz00_20) ==
																				CNST_TABLE_REF(((long) 14))))
																			{	/* Ast/sexp.scm 106 */
																				if (NULLP(CDR(BgL_expz00_20)))
																					{	/* Ast/sexp.scm 106 */
																						goto BgL_tagzd2366zd2_1495;
																					}
																				else
																					{	/* Ast/sexp.scm 106 */
																						obj_t BgL_arg2169z00_1758;

																						BgL_arg2169z00_1758 =
																							CDR(BgL_expz00_20);
																						{
																							BgL_sequencez00_bglt
																								BgL_auxz00_5744;
																							{
																								obj_t BgL_bodyz00_5745;

																								BgL_bodyz00_5745 =
																									BgL_arg2169z00_1758;
																								BgL_bodyz00_1496 =
																									BgL_bodyz00_5745;
																								goto BgL_tagzd2367zd2_1497;
																							}
																							return
																								((BgL_nodez00_bglt)
																								BgL_auxz00_5744);
																						}
																					}
																			}
																		else
																			{	/* Ast/sexp.scm 106 */
																				obj_t BgL_carzd21280zd2_1760;

																				BgL_carzd21280zd2_1760 =
																					CAR(BgL_expz00_20);
																				if (
																					(BgL_carzd21280zd2_1760 ==
																						CNST_TABLE_REF(((long) 1))))
																					{	/* Ast/sexp.scm 106 */
																						goto BgL_tagzd2368zd2_1498;
																					}
																				else
																					{	/* Ast/sexp.scm 106 */
																						if (
																							(BgL_carzd21280zd2_1760 ==
																								BGl_za2ifza2z00zzast_sexpz00))
																							{	/* Ast/sexp.scm 106 */
																								goto BgL_tagzd2368zd2_1498;
																							}
																						else
																							{	/* Ast/sexp.scm 106 */
																								obj_t BgL_cdrzd21295zd2_1763;

																								BgL_cdrzd21295zd2_1763 =
																									CDR(BgL_expz00_20);
																								if (
																									(CAR(BgL_expz00_20) ==
																										CNST_TABLE_REF(((long) 5))))
																									{	/* Ast/sexp.scm 106 */
																										if (PAIRP
																											(BgL_cdrzd21295zd2_1763))
																											{	/* Ast/sexp.scm 106 */
																												obj_t
																													BgL_carzd21298zd2_1766;
																												obj_t
																													BgL_cdrzd21299zd2_1767;
																												BgL_carzd21298zd2_1766 =
																													CAR
																													(BgL_cdrzd21295zd2_1763);
																												BgL_cdrzd21299zd2_1767 =
																													CDR
																													(BgL_cdrzd21295zd2_1763);
																												if (PAIRP
																													(BgL_carzd21298zd2_1766))
																													{	/* Ast/sexp.scm 106 */
																														if (
																															(CAR
																																(BgL_carzd21298zd2_1766)
																																==
																																CNST_TABLE_REF((
																																		(long)
																																		13))))
																															{	/* Ast/sexp.scm 106 */
																																if (PAIRP
																																	(BgL_cdrzd21299zd2_1767))
																																	{	/* Ast/sexp.scm 106 */
																																		if (NULLP
																																			(CDR
																																				(BgL_cdrzd21299zd2_1767)))
																																			{
																																				obj_t
																																					BgL_valz00_5775;
																																				obj_t
																																					BgL_lz00_5773;
																																				BgL_lz00_5773
																																					=
																																					CDR
																																					(BgL_carzd21298zd2_1766);
																																				BgL_valz00_5775
																																					=
																																					CAR
																																					(BgL_cdrzd21299zd2_1767);
																																				BgL_valz00_1500
																																					=
																																					BgL_valz00_5775;
																																				BgL_lz00_1499
																																					=
																																					BgL_lz00_5773;
																																				goto
																																					BgL_tagzd2369zd2_1501;
																																			}
																																		else
																																			{	/* Ast/sexp.scm 106 */
																																				goto
																																					BgL_tagzd2370zd2_1502;
																																			}
																																	}
																																else
																																	{	/* Ast/sexp.scm 106 */
																																		goto
																																			BgL_tagzd2370zd2_1502;
																																	}
																															}
																														else
																															{	/* Ast/sexp.scm 106 */
																																goto
																																	BgL_tagzd2370zd2_1502;
																															}
																													}
																												else
																													{	/* Ast/sexp.scm 106 */
																														goto
																															BgL_tagzd2370zd2_1502;
																													}
																											}
																										else
																											{	/* Ast/sexp.scm 106 */
																												goto
																													BgL_tagzd2370zd2_1502;
																											}
																									}
																								else
																									{	/* Ast/sexp.scm 106 */
																										if (
																											(CAR(BgL_expz00_20) ==
																												CNST_TABLE_REF(((long)
																														15))))
																											{	/* Ast/sexp.scm 106 */
																												goto
																													BgL_tagzd2371zd2_1503;
																											}
																										else
																											{	/* Ast/sexp.scm 106 */
																												obj_t
																													BgL_carzd21368zd2_1777;
																												BgL_carzd21368zd2_1777 =
																													CAR(BgL_expz00_20);
																												if (PAIRP
																													(BgL_carzd21368zd2_1777))
																													{	/* Ast/sexp.scm 106 */
																														obj_t
																															BgL_carzd21371zd2_1779;
																														obj_t
																															BgL_cdrzd21372zd2_1780;
																														BgL_carzd21371zd2_1779
																															=
																															CAR
																															(BgL_carzd21368zd2_1777);
																														BgL_cdrzd21372zd2_1780
																															=
																															CDR
																															(BgL_carzd21368zd2_1777);
																														{

																															if (
																																(BgL_carzd21371zd2_1779
																																	==
																																	CNST_TABLE_REF
																																	(((long)
																																			17))))
																																{
																																	obj_t
																																		BgL_auxz00_5789;
																																BgL_kapzd21373zd2_1781:
																																	if (PAIRP
																																		(BgL_cdrzd21372zd2_1780))
																																		{	/* Ast/sexp.scm 106 */
																																			obj_t
																																				BgL_cdrzd21376zd2_1862;
																																			BgL_cdrzd21376zd2_1862
																																				=
																																				CDR
																																				(BgL_cdrzd21372zd2_1780);
																																			if (PAIRP
																																				(BgL_cdrzd21376zd2_1862))
																																				{	/* Ast/sexp.scm 106 */
																																					if (NULLP(CDR(BgL_cdrzd21376zd2_1862)))
																																						{	/* Ast/sexp.scm 106 */
																																							obj_t
																																								BgL_arg2254z00_1865;
																																							obj_t
																																								BgL_arg2255z00_1866;
																																							BgL_arg2254z00_1865
																																								=
																																								CAR
																																								(BgL_cdrzd21376zd2_1862);
																																							BgL_arg2255z00_1866
																																								=
																																								CDR
																																								(BgL_expz00_20);
																																							{
																																								BgL_nodez00_bglt
																																									BgL_auxz00_5800;
																																								{
																																									obj_t
																																										BgL_argsz00_5802;
																																									obj_t
																																										BgL_bodyz00_5801;
																																									BgL_bodyz00_5801
																																										=
																																										BgL_arg2254z00_1865;
																																									BgL_argsz00_5802
																																										=
																																										BgL_arg2255z00_1866;
																																									BgL_argsz00_1505
																																										=
																																										BgL_argsz00_5802;
																																									BgL_bodyz00_1504
																																										=
																																										BgL_bodyz00_5801;
																																									goto
																																										BgL_tagzd2372zd2_1506;
																																								}
																																								BgL_auxz00_5789
																																									=
																																									(
																																									(obj_t)
																																									BgL_auxz00_5800);
																																							}
																																						}
																																					else
																																						{	/* Ast/sexp.scm 106 */
																																							bool_t
																																								BgL_testz00_5804;
																																							{	/* Ast/sexp.scm 106 */
																																								obj_t
																																									BgL_arg2265z00_1878;
																																								BgL_arg2265z00_1878
																																									=
																																									CAR
																																									(BgL_expz00_20);
																																								BgL_testz00_5804
																																									=
																																									CBOOL
																																									(BGl_letzd2symzf3z21zzast_letz00
																																									(BgL_arg2265z00_1878));
																																							}
																																							if (BgL_testz00_5804)
																																								{
																																									BgL_nodez00_bglt
																																										BgL_auxz00_5808;
																																									goto
																																										BgL_tagzd2373zd2_1507;
																																									BgL_auxz00_5789
																																										=
																																										(
																																										(obj_t)
																																										BgL_auxz00_5808);
																																								}
																																							else
																																								{	/* Ast/sexp.scm 106 */
																																									bool_t
																																										BgL_testz00_5810;
																																									{	/* Ast/sexp.scm 106 */
																																										obj_t
																																											BgL_arg2264z00_1877;
																																										BgL_arg2264z00_1877
																																											=
																																											CAR
																																											(BgL_expz00_20);
																																										BgL_testz00_5810
																																											=
																																											CBOOL
																																											(BGl_labelszd2symzf3z21zzast_labelsz00
																																											(BgL_arg2264z00_1877));
																																									}
																																									if (BgL_testz00_5810)
																																										{
																																											BgL_letzd2funzd2_bglt
																																												BgL_auxz00_5814;
																																											goto
																																												BgL_tagzd2374zd2_1508;
																																											BgL_auxz00_5789
																																												=
																																												(
																																												(obj_t)
																																												BgL_auxz00_5814);
																																										}
																																									else
																																										{	/* Ast/sexp.scm 106 */
																																											obj_t
																																												BgL_carzd21423zd2_1869;
																																											BgL_carzd21423zd2_1869
																																												=
																																												CAR
																																												(BgL_expz00_20);
																																											{	/* Ast/sexp.scm 106 */
																																												obj_t
																																													BgL_cdrzd21428zd2_1870;
																																												BgL_cdrzd21428zd2_1870
																																													=
																																													CDR
																																													(BgL_carzd21423zd2_1869);
																																												if ((CAR(BgL_carzd21423zd2_1869) == CNST_TABLE_REF(((long) 16))))
																																													{	/* Ast/sexp.scm 106 */
																																														obj_t
																																															BgL_arg2259z00_1872;
																																														obj_t
																																															BgL_arg2260z00_1873;
																																														obj_t
																																															BgL_arg2261z00_1874;
																																														BgL_arg2259z00_1872
																																															=
																																															CAR
																																															(BgL_cdrzd21428zd2_1870);
																																														BgL_arg2260z00_1873
																																															=
																																															CDR
																																															(BgL_cdrzd21428zd2_1870);
																																														BgL_arg2261z00_1874
																																															=
																																															CDR
																																															(BgL_expz00_20);
																																														{
																																															BgL_nodez00_bglt
																																																BgL_auxz00_5825;
																																															{
																																																obj_t
																																																	BgL_argsz00_5828;
																																																obj_t
																																																	BgL_bodyz00_5827;
																																																obj_t
																																																	BgL_varsz00_5826;
																																																BgL_varsz00_5826
																																																	=
																																																	BgL_arg2259z00_1872;
																																																BgL_bodyz00_5827
																																																	=
																																																	BgL_arg2260z00_1873;
																																																BgL_argsz00_5828
																																																	=
																																																	BgL_arg2261z00_1874;
																																																BgL_argsz00_1515
																																																	=
																																																	BgL_argsz00_5828;
																																																BgL_bodyz00_1514
																																																	=
																																																	BgL_bodyz00_5827;
																																																BgL_varsz00_1513
																																																	=
																																																	BgL_varsz00_5826;
																																																goto
																																																	BgL_tagzd2376zd2_1516;
																																															}
																																															BgL_auxz00_5789
																																																=
																																																(
																																																(obj_t)
																																																BgL_auxz00_5825);
																																														}
																																													}
																																												else
																																													{	/* Ast/sexp.scm 106 */
																																														if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_20))
																																															{	/* Ast/sexp.scm 106 */
																																																goto
																																																	BgL_tagzd2388zd2_1532;
																																															}
																																														else
																																															{
																																																BgL_nodez00_bglt
																																																	BgL_auxz00_5832;
																																																goto
																																																	BgL_tagzd2389zd2_1533;
																																																BgL_auxz00_5789
																																																	=
																																																	(
																																																	(obj_t)
																																																	BgL_auxz00_5832);
																																															}
																																													}
																																											}
																																										}
																																								}
																																						}
																																				}
																																			else
																																				{	/* Ast/sexp.scm 106 */
																																					bool_t
																																						BgL_testz00_5834;
																																					{	/* Ast/sexp.scm 106 */
																																						obj_t
																																							BgL_arg2276z00_1891;
																																						BgL_arg2276z00_1891
																																							=
																																							CAR
																																							(BgL_expz00_20);
																																						BgL_testz00_5834
																																							=
																																							CBOOL
																																							(BGl_letzd2symzf3z21zzast_letz00
																																							(BgL_arg2276z00_1891));
																																					}
																																					if (BgL_testz00_5834)
																																						{
																																							BgL_nodez00_bglt
																																								BgL_auxz00_5838;
																																							goto
																																								BgL_tagzd2373zd2_1507;
																																							BgL_auxz00_5789
																																								=
																																								(
																																								(obj_t)
																																								BgL_auxz00_5838);
																																						}
																																					else
																																						{	/* Ast/sexp.scm 106 */
																																							bool_t
																																								BgL_testz00_5840;
																																							{	/* Ast/sexp.scm 106 */
																																								obj_t
																																									BgL_arg2275z00_1890;
																																								BgL_arg2275z00_1890
																																									=
																																									CAR
																																									(BgL_expz00_20);
																																								BgL_testz00_5840
																																									=
																																									CBOOL
																																									(BGl_labelszd2symzf3z21zzast_labelsz00
																																									(BgL_arg2275z00_1890));
																																							}
																																							if (BgL_testz00_5840)
																																								{
																																									BgL_letzd2funzd2_bglt
																																										BgL_auxz00_5844;
																																									goto
																																										BgL_tagzd2374zd2_1508;
																																									BgL_auxz00_5789
																																										=
																																										(
																																										(obj_t)
																																										BgL_auxz00_5844);
																																								}
																																							else
																																								{	/* Ast/sexp.scm 106 */
																																									obj_t
																																										BgL_carzd21490zd2_1882;
																																									BgL_carzd21490zd2_1882
																																										=
																																										CAR
																																										(BgL_expz00_20);
																																									{	/* Ast/sexp.scm 106 */
																																										obj_t
																																											BgL_cdrzd21495zd2_1883;
																																										BgL_cdrzd21495zd2_1883
																																											=
																																											CDR
																																											(BgL_carzd21490zd2_1882);
																																										if ((CAR(BgL_carzd21490zd2_1882) == CNST_TABLE_REF(((long) 16))))
																																											{	/* Ast/sexp.scm 106 */
																																												obj_t
																																													BgL_arg2270z00_1885;
																																												obj_t
																																													BgL_arg2271z00_1886;
																																												obj_t
																																													BgL_arg2272z00_1887;
																																												BgL_arg2270z00_1885
																																													=
																																													CAR
																																													(BgL_cdrzd21495zd2_1883);
																																												BgL_arg2271z00_1886
																																													=
																																													CDR
																																													(BgL_cdrzd21495zd2_1883);
																																												BgL_arg2272z00_1887
																																													=
																																													CDR
																																													(BgL_expz00_20);
																																												{
																																													BgL_nodez00_bglt
																																														BgL_auxz00_5855;
																																													{
																																														obj_t
																																															BgL_argsz00_5858;
																																														obj_t
																																															BgL_bodyz00_5857;
																																														obj_t
																																															BgL_varsz00_5856;
																																														BgL_varsz00_5856
																																															=
																																															BgL_arg2270z00_1885;
																																														BgL_bodyz00_5857
																																															=
																																															BgL_arg2271z00_1886;
																																														BgL_argsz00_5858
																																															=
																																															BgL_arg2272z00_1887;
																																														BgL_argsz00_1515
																																															=
																																															BgL_argsz00_5858;
																																														BgL_bodyz00_1514
																																															=
																																															BgL_bodyz00_5857;
																																														BgL_varsz00_1513
																																															=
																																															BgL_varsz00_5856;
																																														goto
																																															BgL_tagzd2376zd2_1516;
																																													}
																																													BgL_auxz00_5789
																																														=
																																														(
																																														(obj_t)
																																														BgL_auxz00_5855);
																																												}
																																											}
																																										else
																																											{	/* Ast/sexp.scm 106 */
																																												if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_20))
																																													{	/* Ast/sexp.scm 106 */
																																														goto
																																															BgL_tagzd2388zd2_1532;
																																													}
																																												else
																																													{
																																														BgL_nodez00_bglt
																																															BgL_auxz00_5862;
																																														goto
																																															BgL_tagzd2389zd2_1533;
																																														BgL_auxz00_5789
																																															=
																																															(
																																															(obj_t)
																																															BgL_auxz00_5862);
																																													}
																																											}
																																									}
																																								}
																																						}
																																				}
																																		}
																																	else
																																		{	/* Ast/sexp.scm 106 */
																																			bool_t
																																				BgL_testz00_5864;
																																			{	/* Ast/sexp.scm 106 */
																																				obj_t
																																					BgL_arg2281z00_1896;
																																				BgL_arg2281z00_1896
																																					=
																																					CAR
																																					(BgL_expz00_20);
																																				BgL_testz00_5864
																																					=
																																					CBOOL
																																					(BGl_letzd2symzf3z21zzast_letz00
																																					(BgL_arg2281z00_1896));
																																			}
																																			if (BgL_testz00_5864)
																																				{
																																					BgL_nodez00_bglt
																																						BgL_auxz00_5868;
																																					goto
																																						BgL_tagzd2373zd2_1507;
																																					BgL_auxz00_5789
																																						=
																																						(
																																						(obj_t)
																																						BgL_auxz00_5868);
																																				}
																																			else
																																				{	/* Ast/sexp.scm 106 */
																																					bool_t
																																						BgL_testz00_5870;
																																					{	/* Ast/sexp.scm 106 */
																																						obj_t
																																							BgL_arg2280z00_1895;
																																						BgL_arg2280z00_1895
																																							=
																																							CAR
																																							(BgL_expz00_20);
																																						BgL_testz00_5870
																																							=
																																							CBOOL
																																							(BGl_labelszd2symzf3z21zzast_labelsz00
																																							(BgL_arg2280z00_1895));
																																					}
																																					if (BgL_testz00_5870)
																																						{
																																							BgL_letzd2funzd2_bglt
																																								BgL_auxz00_5874;
																																							goto
																																								BgL_tagzd2374zd2_1508;
																																							BgL_auxz00_5789
																																								=
																																								(
																																								(obj_t)
																																								BgL_auxz00_5874);
																																						}
																																					else
																																						{	/* Ast/sexp.scm 106 */
																																							if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_20))
																																								{	/* Ast/sexp.scm 106 */
																																									goto
																																										BgL_tagzd2388zd2_1532;
																																								}
																																							else
																																								{
																																									BgL_nodez00_bglt
																																										BgL_auxz00_5878;
																																									goto
																																										BgL_tagzd2389zd2_1533;
																																									BgL_auxz00_5789
																																										=
																																										(
																																										(obj_t)
																																										BgL_auxz00_5878);
																																								}
																																						}
																																				}
																																		}
																																	return
																																		(
																																		(BgL_nodez00_bglt)
																																		BgL_auxz00_5789);
																																}
																															else
																																{	/* Ast/sexp.scm 106 */
																																	if (CBOOL
																																		(BGl_letzd2symzf3z21zzast_letz00
																																			(BgL_carzd21371zd2_1779)))
																																		{
																																			obj_t
																																				BgL_auxz00_5884;
																																			goto
																																				BgL_kapzd21373zd2_1781;
																																			return (
																																				(BgL_nodez00_bglt)
																																				BgL_auxz00_5884);
																																		}
																																	else
																																		{	/* Ast/sexp.scm 106 */
																																			if (
																																				(BgL_carzd21371zd2_1779
																																					==
																																					CNST_TABLE_REF
																																					(((long) 18))))
																																				{
																																					obj_t
																																						BgL_auxz00_5889;
																																					goto
																																						BgL_kapzd21373zd2_1781;
																																					return
																																						(
																																						(BgL_nodez00_bglt)
																																						BgL_auxz00_5889);
																																				}
																																			else
																																				{	/* Ast/sexp.scm 106 */
																																					if (
																																						(BgL_carzd21371zd2_1779
																																							==
																																							CNST_TABLE_REF
																																							(((long) 19))))
																																						{
																																							obj_t
																																								BgL_auxz00_5894;
																																							goto
																																								BgL_kapzd21373zd2_1781;
																																							return
																																								(
																																								(BgL_nodez00_bglt)
																																								BgL_auxz00_5894);
																																						}
																																					else
																																						{	/* Ast/sexp.scm 106 */
																																							if (CBOOL(BGl_labelszd2symzf3z21zzast_labelsz00(BgL_carzd21371zd2_1779)))
																																								{
																																									obj_t
																																										BgL_auxz00_5899;
																																									goto
																																										BgL_kapzd21373zd2_1781;
																																									return
																																										(
																																										(BgL_nodez00_bglt)
																																										BgL_auxz00_5899);
																																								}
																																							else
																																								{	/* Ast/sexp.scm 106 */
																																									bool_t
																																										BgL_testz00_5901;
																																									{	/* Ast/sexp.scm 106 */
																																										obj_t
																																											BgL_arg2250z00_1860;
																																										BgL_arg2250z00_1860
																																											=
																																											CAR
																																											(BgL_expz00_20);
																																										BgL_testz00_5901
																																											=
																																											CBOOL
																																											(BGl_letzd2symzf3z21zzast_letz00
																																											(BgL_arg2250z00_1860));
																																									}
																																									if (BgL_testz00_5901)
																																										{	/* Ast/sexp.scm 106 */
																																											goto
																																												BgL_tagzd2373zd2_1507;
																																										}
																																									else
																																										{	/* Ast/sexp.scm 106 */
																																											bool_t
																																												BgL_testz00_5905;
																																											{	/* Ast/sexp.scm 106 */
																																												obj_t
																																													BgL_arg2249z00_1859;
																																												BgL_arg2249z00_1859
																																													=
																																													CAR
																																													(BgL_expz00_20);
																																												BgL_testz00_5905
																																													=
																																													CBOOL
																																													(BGl_labelszd2symzf3z21zzast_labelsz00
																																													(BgL_arg2249z00_1859));
																																											}
																																											if (BgL_testz00_5905)
																																												{
																																													BgL_letzd2funzd2_bglt
																																														BgL_auxz00_5909;
																																													goto
																																														BgL_tagzd2374zd2_1508;
																																													return
																																														(
																																														(BgL_nodez00_bglt)
																																														BgL_auxz00_5909);
																																												}
																																											else
																																												{	/* Ast/sexp.scm 106 */
																																													obj_t
																																														BgL_carzd21606zd2_1789;
																																													obj_t
																																														BgL_cdrzd21607zd2_1790;
																																													BgL_carzd21606zd2_1789
																																														=
																																														CAR
																																														(BgL_expz00_20);
																																													BgL_cdrzd21607zd2_1790
																																														=
																																														CDR
																																														(BgL_expz00_20);
																																													{	/* Ast/sexp.scm 106 */
																																														obj_t
																																															BgL_cdrzd21611zd2_1791;
																																														BgL_cdrzd21611zd2_1791
																																															=
																																															CDR
																																															(BgL_carzd21606zd2_1789);
																																														if ((CAR(BgL_carzd21606zd2_1789) == CNST_TABLE_REF(((long) 16))))
																																															{	/* Ast/sexp.scm 106 */
																																																if (PAIRP(BgL_cdrzd21611zd2_1791))
																																																	{	/* Ast/sexp.scm 106 */
																																																		obj_t
																																																			BgL_carzd21614zd2_1794;
																																																		obj_t
																																																			BgL_cdrzd21615zd2_1795;
																																																		BgL_carzd21614zd2_1794
																																																			=
																																																			CAR
																																																			(BgL_cdrzd21611zd2_1791);
																																																		BgL_cdrzd21615zd2_1795
																																																			=
																																																			CDR
																																																			(BgL_cdrzd21611zd2_1791);
																																																		if (PAIRP(BgL_carzd21614zd2_1794))
																																																			{	/* Ast/sexp.scm 106 */
																																																				if (NULLP(CDR(BgL_carzd21614zd2_1794)))
																																																					{	/* Ast/sexp.scm 106 */
																																																						if (PAIRP(BgL_cdrzd21615zd2_1795))
																																																							{	/* Ast/sexp.scm 106 */
																																																								obj_t
																																																									BgL_carzd21621zd2_1799;
																																																								BgL_carzd21621zd2_1799
																																																									=
																																																									CAR
																																																									(BgL_cdrzd21615zd2_1795);
																																																								if (PAIRP(BgL_carzd21621zd2_1799))
																																																									{	/* Ast/sexp.scm 106 */
																																																										if (BGl_castzd2sexpzf3z21zzast_privatez00(BgL_carzd21621zd2_1799))
																																																											{	/* Ast/sexp.scm 106 */
																																																												if (NULLP(CDR(BgL_cdrzd21615zd2_1795)))
																																																													{	/* Ast/sexp.scm 106 */
																																																														if (PAIRP(BgL_cdrzd21607zd2_1790))
																																																															{	/* Ast/sexp.scm 106 */
																																																																obj_t
																																																																	BgL_carzd21628zd2_1804;
																																																																BgL_carzd21628zd2_1804
																																																																	=
																																																																	CAR
																																																																	(BgL_cdrzd21607zd2_1790);
																																																																if (PAIRP(BgL_carzd21628zd2_1804))
																																																																	{	/* Ast/sexp.scm 106 */
																																																																		obj_t
																																																																			BgL_cdrzd21647zd2_1806;
																																																																		BgL_cdrzd21647zd2_1806
																																																																			=
																																																																			CDR
																																																																			(CAR
																																																																			(BgL_expz00_20));
																																																																		{
																																																																			obj_t
																																																																				BgL_argsz00_5948;
																																																																			obj_t
																																																																				BgL_bodyz00_5946;
																																																																			obj_t
																																																																				BgL_varsz00_5944;
																																																																			BgL_varsz00_5944
																																																																				=
																																																																				CAR
																																																																				(BgL_cdrzd21647zd2_1806);
																																																																			BgL_bodyz00_5946
																																																																				=
																																																																				CDR
																																																																				(BgL_cdrzd21647zd2_1806);
																																																																			BgL_argsz00_5948
																																																																				=
																																																																				CDR
																																																																				(BgL_expz00_20);
																																																																			BgL_argsz00_1515
																																																																				=
																																																																				BgL_argsz00_5948;
																																																																			BgL_bodyz00_1514
																																																																				=
																																																																				BgL_bodyz00_5946;
																																																																			BgL_varsz00_1513
																																																																				=
																																																																				BgL_varsz00_5944;
																																																																			goto
																																																																				BgL_tagzd2376zd2_1516;
																																																																		}
																																																																	}
																																																																else
																																																																	{	/* Ast/sexp.scm 106 */
																																																																		if (NULLP(CDR(BgL_cdrzd21607zd2_1790)))
																																																																			{	/* Ast/sexp.scm 106 */
																																																																				obj_t
																																																																					BgL_arg2207z00_1812;
																																																																				BgL_arg2207z00_1812
																																																																					=
																																																																					CAR
																																																																					(BgL_carzd21614zd2_1794);
																																																																				{
																																																																					BgL_castz00_bglt
																																																																						BgL_auxz00_5954;
																																																																					{
																																																																						obj_t
																																																																							BgL_argz00_5957;
																																																																						obj_t
																																																																							BgL_bodyz00_5956;
																																																																						obj_t
																																																																							BgL_varz00_5955;
																																																																						BgL_varz00_5955
																																																																							=
																																																																							BgL_arg2207z00_1812;
																																																																						BgL_bodyz00_5956
																																																																							=
																																																																							BgL_carzd21621zd2_1799;
																																																																						BgL_argz00_5957
																																																																							=
																																																																							BgL_carzd21628zd2_1804;
																																																																						BgL_argz00_1511
																																																																							=
																																																																							BgL_argz00_5957;
																																																																						BgL_bodyz00_1510
																																																																							=
																																																																							BgL_bodyz00_5956;
																																																																						BgL_varz00_1509
																																																																							=
																																																																							BgL_varz00_5955;
																																																																						goto
																																																																							BgL_tagzd2375zd2_1512;
																																																																					}
																																																																					return
																																																																						(
																																																																						(BgL_nodez00_bglt)
																																																																						BgL_auxz00_5954);
																																																																				}
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 106 */
																																																																				obj_t
																																																																					BgL_cdrzd21669zd2_1813;
																																																																				BgL_cdrzd21669zd2_1813
																																																																					=
																																																																					CDR
																																																																					(CAR
																																																																					(BgL_expz00_20));
																																																																				{
																																																																					obj_t
																																																																						BgL_argsz00_5965;
																																																																					obj_t
																																																																						BgL_bodyz00_5963;
																																																																					obj_t
																																																																						BgL_varsz00_5961;
																																																																					BgL_varsz00_5961
																																																																						=
																																																																						CAR
																																																																						(BgL_cdrzd21669zd2_1813);
																																																																					BgL_bodyz00_5963
																																																																						=
																																																																						CDR
																																																																						(BgL_cdrzd21669zd2_1813);
																																																																					BgL_argsz00_5965
																																																																						=
																																																																						CDR
																																																																						(BgL_expz00_20);
																																																																					BgL_argsz00_1515
																																																																						=
																																																																						BgL_argsz00_5965;
																																																																					BgL_bodyz00_1514
																																																																						=
																																																																						BgL_bodyz00_5963;
																																																																					BgL_varsz00_1513
																																																																						=
																																																																						BgL_varsz00_5961;
																																																																					goto
																																																																						BgL_tagzd2376zd2_1516;
																																																																				}
																																																																			}
																																																																	}
																																																															}
																																																														else
																																																															{	/* Ast/sexp.scm 106 */
																																																																obj_t
																																																																	BgL_cdrzd21690zd2_1819;
																																																																BgL_cdrzd21690zd2_1819
																																																																	=
																																																																	CDR
																																																																	(CAR
																																																																	(BgL_expz00_20));
																																																																{
																																																																	obj_t
																																																																		BgL_argsz00_5973;
																																																																	obj_t
																																																																		BgL_bodyz00_5971;
																																																																	obj_t
																																																																		BgL_varsz00_5969;
																																																																	BgL_varsz00_5969
																																																																		=
																																																																		CAR
																																																																		(BgL_cdrzd21690zd2_1819);
																																																																	BgL_bodyz00_5971
																																																																		=
																																																																		CDR
																																																																		(BgL_cdrzd21690zd2_1819);
																																																																	BgL_argsz00_5973
																																																																		=
																																																																		CDR
																																																																		(BgL_expz00_20);
																																																																	BgL_argsz00_1515
																																																																		=
																																																																		BgL_argsz00_5973;
																																																																	BgL_bodyz00_1514
																																																																		=
																																																																		BgL_bodyz00_5971;
																																																																	BgL_varsz00_1513
																																																																		=
																																																																		BgL_varsz00_5969;
																																																																	goto
																																																																		BgL_tagzd2376zd2_1516;
																																																																}
																																																															}
																																																													}
																																																												else
																																																													{	/* Ast/sexp.scm 106 */
																																																														obj_t
																																																															BgL_cdrzd21711zd2_1824;
																																																														BgL_cdrzd21711zd2_1824
																																																															=
																																																															CDR
																																																															(CAR
																																																															(BgL_expz00_20));
																																																														{
																																																															obj_t
																																																																BgL_argsz00_5981;
																																																															obj_t
																																																																BgL_bodyz00_5979;
																																																															obj_t
																																																																BgL_varsz00_5977;
																																																															BgL_varsz00_5977
																																																																=
																																																																CAR
																																																																(BgL_cdrzd21711zd2_1824);
																																																															BgL_bodyz00_5979
																																																																=
																																																																CDR
																																																																(BgL_cdrzd21711zd2_1824);
																																																															BgL_argsz00_5981
																																																																=
																																																																CDR
																																																																(BgL_expz00_20);
																																																															BgL_argsz00_1515
																																																																=
																																																																BgL_argsz00_5981;
																																																															BgL_bodyz00_1514
																																																																=
																																																																BgL_bodyz00_5979;
																																																															BgL_varsz00_1513
																																																																=
																																																																BgL_varsz00_5977;
																																																															goto
																																																																BgL_tagzd2376zd2_1516;
																																																														}
																																																													}
																																																											}
																																																										else
																																																											{	/* Ast/sexp.scm 106 */
																																																												obj_t
																																																													BgL_cdrzd21732zd2_1830;
																																																												BgL_cdrzd21732zd2_1830
																																																													=
																																																													CDR
																																																													(CAR
																																																													(BgL_expz00_20));
																																																												{
																																																													obj_t
																																																														BgL_argsz00_5989;
																																																													obj_t
																																																														BgL_bodyz00_5987;
																																																													obj_t
																																																														BgL_varsz00_5985;
																																																													BgL_varsz00_5985
																																																														=
																																																														CAR
																																																														(BgL_cdrzd21732zd2_1830);
																																																													BgL_bodyz00_5987
																																																														=
																																																														CDR
																																																														(BgL_cdrzd21732zd2_1830);
																																																													BgL_argsz00_5989
																																																														=
																																																														CDR
																																																														(BgL_expz00_20);
																																																													BgL_argsz00_1515
																																																														=
																																																														BgL_argsz00_5989;
																																																													BgL_bodyz00_1514
																																																														=
																																																														BgL_bodyz00_5987;
																																																													BgL_varsz00_1513
																																																														=
																																																														BgL_varsz00_5985;
																																																													goto
																																																														BgL_tagzd2376zd2_1516;
																																																												}
																																																											}
																																																									}
																																																								else
																																																									{	/* Ast/sexp.scm 106 */
																																																										obj_t
																																																											BgL_cdrzd21753zd2_1835;
																																																										BgL_cdrzd21753zd2_1835
																																																											=
																																																											CDR
																																																											(BgL_carzd21606zd2_1789);
																																																										{
																																																											obj_t
																																																												BgL_argsz00_5996;
																																																											obj_t
																																																												BgL_bodyz00_5994;
																																																											obj_t
																																																												BgL_varsz00_5992;
																																																											BgL_varsz00_5992
																																																												=
																																																												CAR
																																																												(BgL_cdrzd21753zd2_1835);
																																																											BgL_bodyz00_5994
																																																												=
																																																												CDR
																																																												(BgL_cdrzd21753zd2_1835);
																																																											BgL_argsz00_5996
																																																												=
																																																												CDR
																																																												(BgL_expz00_20);
																																																											BgL_argsz00_1515
																																																												=
																																																												BgL_argsz00_5996;
																																																											BgL_bodyz00_1514
																																																												=
																																																												BgL_bodyz00_5994;
																																																											BgL_varsz00_1513
																																																												=
																																																												BgL_varsz00_5992;
																																																											goto
																																																												BgL_tagzd2376zd2_1516;
																																																										}
																																																									}
																																																							}
																																																						else
																																																							{	/* Ast/sexp.scm 106 */
																																																								obj_t
																																																									BgL_cdrzd21774zd2_1840;
																																																								BgL_cdrzd21774zd2_1840
																																																									=
																																																									CDR
																																																									(BgL_carzd21606zd2_1789);
																																																								{
																																																									obj_t
																																																										BgL_argsz00_6003;
																																																									obj_t
																																																										BgL_bodyz00_6001;
																																																									obj_t
																																																										BgL_varsz00_5999;
																																																									BgL_varsz00_5999
																																																										=
																																																										CAR
																																																										(BgL_cdrzd21774zd2_1840);
																																																									BgL_bodyz00_6001
																																																										=
																																																										CDR
																																																										(BgL_cdrzd21774zd2_1840);
																																																									BgL_argsz00_6003
																																																										=
																																																										CDR
																																																										(BgL_expz00_20);
																																																									BgL_argsz00_1515
																																																										=
																																																										BgL_argsz00_6003;
																																																									BgL_bodyz00_1514
																																																										=
																																																										BgL_bodyz00_6001;
																																																									BgL_varsz00_1513
																																																										=
																																																										BgL_varsz00_5999;
																																																									goto
																																																										BgL_tagzd2376zd2_1516;
																																																								}
																																																							}
																																																					}
																																																				else
																																																					{	/* Ast/sexp.scm 106 */
																																																						obj_t
																																																							BgL_cdrzd21795zd2_1845;
																																																						BgL_cdrzd21795zd2_1845
																																																							=
																																																							CDR
																																																							(BgL_carzd21606zd2_1789);
																																																						{
																																																							obj_t
																																																								BgL_argsz00_6010;
																																																							obj_t
																																																								BgL_bodyz00_6008;
																																																							obj_t
																																																								BgL_varsz00_6006;
																																																							BgL_varsz00_6006
																																																								=
																																																								CAR
																																																								(BgL_cdrzd21795zd2_1845);
																																																							BgL_bodyz00_6008
																																																								=
																																																								CDR
																																																								(BgL_cdrzd21795zd2_1845);
																																																							BgL_argsz00_6010
																																																								=
																																																								CDR
																																																								(BgL_expz00_20);
																																																							BgL_argsz00_1515
																																																								=
																																																								BgL_argsz00_6010;
																																																							BgL_bodyz00_1514
																																																								=
																																																								BgL_bodyz00_6008;
																																																							BgL_varsz00_1513
																																																								=
																																																								BgL_varsz00_6006;
																																																							goto
																																																								BgL_tagzd2376zd2_1516;
																																																						}
																																																					}
																																																			}
																																																		else
																																																			{	/* Ast/sexp.scm 106 */
																																																				obj_t
																																																					BgL_cdrzd21816zd2_1851;
																																																				BgL_cdrzd21816zd2_1851
																																																					=
																																																					CDR
																																																					(BgL_carzd21606zd2_1789);
																																																				{
																																																					obj_t
																																																						BgL_argsz00_6017;
																																																					obj_t
																																																						BgL_bodyz00_6015;
																																																					obj_t
																																																						BgL_varsz00_6013;
																																																					BgL_varsz00_6013
																																																						=
																																																						CAR
																																																						(BgL_cdrzd21816zd2_1851);
																																																					BgL_bodyz00_6015
																																																						=
																																																						CDR
																																																						(BgL_cdrzd21816zd2_1851);
																																																					BgL_argsz00_6017
																																																						=
																																																						CDR
																																																						(BgL_expz00_20);
																																																					BgL_argsz00_1515
																																																						=
																																																						BgL_argsz00_6017;
																																																					BgL_bodyz00_1514
																																																						=
																																																						BgL_bodyz00_6015;
																																																					BgL_varsz00_1513
																																																						=
																																																						BgL_varsz00_6013;
																																																					goto
																																																						BgL_tagzd2376zd2_1516;
																																																				}
																																																			}
																																																	}
																																																else
																																																	{	/* Ast/sexp.scm 106 */
																																																		if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_20))
																																																			{
																																																				obj_t
																																																					BgL_auxz00_6021;
																																																				goto
																																																					BgL_tagzd2388zd2_1532;
																																																				return
																																																					(
																																																					(BgL_nodez00_bglt)
																																																					BgL_auxz00_6021);
																																																			}
																																																		else
																																																			{	/* Ast/sexp.scm 106 */
																																																				goto
																																																					BgL_tagzd2389zd2_1533;
																																																			}
																																																	}
																																															}
																																														else
																																															{	/* Ast/sexp.scm 106 */
																																																if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_20))
																																																	{
																																																		obj_t
																																																			BgL_auxz00_6025;
																																																		goto
																																																			BgL_tagzd2388zd2_1532;
																																																		return
																																																			(
																																																			(BgL_nodez00_bglt)
																																																			BgL_auxz00_6025);
																																																	}
																																																else
																																																	{	/* Ast/sexp.scm 106 */
																																																		goto
																																																			BgL_tagzd2389zd2_1533;
																																																	}
																																															}
																																													}
																																												}
																																										}
																																								}
																																						}
																																				}
																																		}
																																}
																														}
																													}
																												else
																													{	/* Ast/sexp.scm 106 */
																														if (
																															(BgL_carzd21368zd2_1777
																																==
																																CNST_TABLE_REF((
																																		(long)
																																		17))))
																															{	/* Ast/sexp.scm 106 */
																																goto
																																	BgL_tagzd2373zd2_1507;
																															}
																														else
																															{	/* Ast/sexp.scm 106 */
																																if (CBOOL
																																	(BGl_letzd2symzf3z21zzast_letz00
																																		(BgL_carzd21368zd2_1777)))
																																	{	/* Ast/sexp.scm 106 */
																																		goto
																																			BgL_tagzd2373zd2_1507;
																																	}
																																else
																																	{	/* Ast/sexp.scm 106 */
																																		if (
																																			(BgL_carzd21368zd2_1777
																																				==
																																				CNST_TABLE_REF
																																				(((long)
																																						18))))
																																			{	/* Ast/sexp.scm 106 */
																																				goto
																																					BgL_tagzd2373zd2_1507;
																																			}
																																		else
																																			{	/* Ast/sexp.scm 106 */
																																				if (
																																					(BgL_carzd21368zd2_1777
																																						==
																																						CNST_TABLE_REF
																																						(((long) 20))))
																																					{	/* Ast/sexp.scm 106 */
																																						goto
																																							BgL_tagzd2373zd2_1507;
																																					}
																																				else
																																					{	/* Ast/sexp.scm 106 */
																																						obj_t
																																							BgL_carzd21887zd2_1902;
																																						BgL_carzd21887zd2_1902
																																							=
																																							CAR
																																							(BgL_expz00_20);
																																						if (
																																							(BgL_carzd21887zd2_1902
																																								==
																																								CNST_TABLE_REF
																																								(((long) 19))))
																																							{
																																								BgL_letzd2funzd2_bglt
																																									BgL_auxz00_6043;
																																								goto
																																									BgL_tagzd2374zd2_1508;
																																								return
																																									(
																																									(BgL_nodez00_bglt)
																																									BgL_auxz00_6043);
																																							}
																																						else
																																							{	/* Ast/sexp.scm 106 */
																																								if (CBOOL(BGl_labelszd2symzf3z21zzast_labelsz00(BgL_carzd21887zd2_1902)))
																																									{
																																										BgL_letzd2funzd2_bglt
																																											BgL_auxz00_6048;
																																										goto
																																											BgL_tagzd2374zd2_1508;
																																										return
																																											(
																																											(BgL_nodez00_bglt)
																																											BgL_auxz00_6048);
																																									}
																																								else
																																									{	/* Ast/sexp.scm 106 */
																																										if ((CAR(BgL_expz00_20) == CNST_TABLE_REF(((long) 16))))
																																											{	/* Ast/sexp.scm 106 */
																																												goto
																																													BgL_tagzd2377zd2_1517;
																																											}
																																										else
																																											{	/* Ast/sexp.scm 106 */
																																												if ((CAR(BgL_expz00_20) == CNST_TABLE_REF(((long) 4))))
																																													{	/* Ast/sexp.scm 106 */
																																														goto
																																															BgL_tagzd2378zd2_1518;
																																													}
																																												else
																																													{	/* Ast/sexp.scm 106 */
																																														obj_t
																																															BgL_cdrzd21921zd2_1907;
																																														BgL_cdrzd21921zd2_1907
																																															=
																																															CDR
																																															(BgL_expz00_20);
																																														if ((CAR(BgL_expz00_20) == CNST_TABLE_REF(((long) 21))))
																																															{	/* Ast/sexp.scm 106 */
																																																if (PAIRP(BgL_cdrzd21921zd2_1907))
																																																	{
																																																		obj_t
																																																			BgL_restz00_6067;
																																																		obj_t
																																																			BgL_effectz00_6065;
																																																		BgL_effectz00_6065
																																																			=
																																																			CAR
																																																			(BgL_cdrzd21921zd2_1907);
																																																		BgL_restz00_6067
																																																			=
																																																			CDR
																																																			(BgL_cdrzd21921zd2_1907);
																																																		BgL_restz00_1520
																																																			=
																																																			BgL_restz00_6067;
																																																		BgL_effectz00_1519
																																																			=
																																																			BgL_effectz00_6065;
																																																		goto
																																																			BgL_tagzd2379zd2_1521;
																																																	}
																																																else
																																																	{	/* Ast/sexp.scm 106 */
																																																		if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_20))
																																																			{
																																																				obj_t
																																																					BgL_auxz00_6071;
																																																				goto
																																																					BgL_tagzd2388zd2_1532;
																																																				return
																																																					(
																																																					(BgL_nodez00_bglt)
																																																					BgL_auxz00_6071);
																																																			}
																																																		else
																																																			{	/* Ast/sexp.scm 106 */
																																																				goto
																																																					BgL_tagzd2389zd2_1533;
																																																			}
																																																	}
																																															}
																																														else
																																															{	/* Ast/sexp.scm 106 */
																																																if ((CAR(BgL_expz00_20) == CNST_TABLE_REF(((long) 22))))
																																																	{	/* Ast/sexp.scm 106 */
																																																		goto
																																																			BgL_tagzd2380zd2_1522;
																																																	}
																																																else
																																																	{	/* Ast/sexp.scm 106 */
																																																		if ((CAR(BgL_expz00_20) == CNST_TABLE_REF(((long) 23))))
																																																			{	/* Ast/sexp.scm 106 */
																																																				if (PAIRP(BgL_cdrzd21921zd2_1907))
																																																					{
																																																						obj_t
																																																							BgL_restz00_6085;
																																																						obj_t
																																																							BgL_effectz00_6083;
																																																						BgL_effectz00_6083
																																																							=
																																																							CAR
																																																							(BgL_cdrzd21921zd2_1907);
																																																						BgL_restz00_6085
																																																							=
																																																							CDR
																																																							(BgL_cdrzd21921zd2_1907);
																																																						BgL_restz00_1524
																																																							=
																																																							BgL_restz00_6085;
																																																						BgL_effectz00_1523
																																																							=
																																																							BgL_effectz00_6083;
																																																						goto
																																																							BgL_tagzd2381zd2_1525;
																																																					}
																																																				else
																																																					{	/* Ast/sexp.scm 106 */
																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_20))
																																																							{
																																																								obj_t
																																																									BgL_auxz00_6089;
																																																								goto
																																																									BgL_tagzd2388zd2_1532;
																																																								return
																																																									(
																																																									(BgL_nodez00_bglt)
																																																									BgL_auxz00_6089);
																																																							}
																																																						else
																																																							{	/* Ast/sexp.scm 106 */
																																																								goto
																																																									BgL_tagzd2389zd2_1533;
																																																							}
																																																					}
																																																			}
																																																		else
																																																			{	/* Ast/sexp.scm 106 */
																																																				if ((CAR(BgL_expz00_20) == CNST_TABLE_REF(((long) 24))))
																																																					{	/* Ast/sexp.scm 106 */
																																																						goto
																																																							BgL_tagzd2382zd2_1526;
																																																					}
																																																				else
																																																					{	/* Ast/sexp.scm 106 */
																																																						if ((CAR(BgL_expz00_20) == CNST_TABLE_REF(((long) 25))))
																																																							{	/* Ast/sexp.scm 106 */
																																																								goto
																																																									BgL_tagzd2383zd2_1527;
																																																							}
																																																						else
																																																							{	/* Ast/sexp.scm 106 */
																																																								if ((CAR(BgL_expz00_20) == CNST_TABLE_REF(((long) 26))))
																																																									{
																																																										BgL_letzd2funzd2_bglt
																																																											BgL_auxz00_6103;
																																																										goto
																																																											BgL_tagzd2384zd2_1528;
																																																										return
																																																											(
																																																											(BgL_nodez00_bglt)
																																																											BgL_auxz00_6103);
																																																									}
																																																								else
																																																									{	/* Ast/sexp.scm 106 */
																																																										if ((CAR(BgL_expz00_20) == CNST_TABLE_REF(((long) 27))))
																																																											{
																																																												BgL_jumpzd2exzd2itz00_bglt
																																																													BgL_auxz00_6109;
																																																												goto
																																																													BgL_tagzd2385zd2_1529;
																																																												return
																																																													(
																																																													(BgL_nodez00_bglt)
																																																													BgL_auxz00_6109);
																																																											}
																																																										else
																																																											{	/* Ast/sexp.scm 106 */
																																																												obj_t
																																																													BgL_cdrzd21959zd2_1924;
																																																												BgL_cdrzd21959zd2_1924
																																																													=
																																																													CDR
																																																													(BgL_expz00_20);
																																																												if ((CAR(BgL_expz00_20) == CNST_TABLE_REF(((long) 28))))
																																																													{	/* Ast/sexp.scm 106 */
																																																														if (PAIRP(BgL_cdrzd21959zd2_1924))
																																																															{	/* Ast/sexp.scm 106 */
																																																																obj_t
																																																																	BgL_cdrzd21961zd2_1927;
																																																																BgL_cdrzd21961zd2_1927
																																																																	=
																																																																	CDR
																																																																	(BgL_cdrzd21959zd2_1924);
																																																																if (PAIRP(BgL_cdrzd21961zd2_1927))
																																																																	{	/* Ast/sexp.scm 106 */
																																																																		if (NULLP(CDR(BgL_cdrzd21961zd2_1927)))
																																																																			{	/* Ast/sexp.scm 106 */
																																																																				goto
																																																																					BgL_tagzd2386zd2_1530;
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 106 */
																																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_20))
																																																																					{
																																																																						obj_t
																																																																							BgL_auxz00_6126;
																																																																						goto
																																																																							BgL_tagzd2388zd2_1532;
																																																																						return
																																																																							(
																																																																							(BgL_nodez00_bglt)
																																																																							BgL_auxz00_6126);
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 106 */
																																																																						goto
																																																																							BgL_tagzd2389zd2_1533;
																																																																					}
																																																																			}
																																																																	}
																																																																else
																																																																	{	/* Ast/sexp.scm 106 */
																																																																		if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_20))
																																																																			{
																																																																				obj_t
																																																																					BgL_auxz00_6130;
																																																																				goto
																																																																					BgL_tagzd2388zd2_1532;
																																																																				return
																																																																					(
																																																																					(BgL_nodez00_bglt)
																																																																					BgL_auxz00_6130);
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 106 */
																																																																				goto
																																																																					BgL_tagzd2389zd2_1533;
																																																																			}
																																																																	}
																																																															}
																																																														else
																																																															{	/* Ast/sexp.scm 106 */
																																																																if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_20))
																																																																	{
																																																																		obj_t
																																																																			BgL_auxz00_6134;
																																																																		goto
																																																																			BgL_tagzd2388zd2_1532;
																																																																		return
																																																																			(
																																																																			(BgL_nodez00_bglt)
																																																																			BgL_auxz00_6134);
																																																																	}
																																																																else
																																																																	{	/* Ast/sexp.scm 106 */
																																																																		goto
																																																																			BgL_tagzd2389zd2_1533;
																																																																	}
																																																															}
																																																													}
																																																												else
																																																													{	/* Ast/sexp.scm 106 */
																																																														if (BGl_equalzf3zf3zz__r4_equivalence_6_2z00(CAR(BgL_expz00_20), BUNSPEC))
																																																															{	/* Ast/sexp.scm 106 */
																																																																if (NULLP(BgL_cdrzd21959zd2_1924))
																																																																	{	/* Ast/sexp.scm 106 */
																																																																		goto
																																																																			BgL_tagzd2387zd2_1531;
																																																																	}
																																																																else
																																																																	{	/* Ast/sexp.scm 106 */
																																																																		if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_20))
																																																																			{
																																																																				obj_t
																																																																					BgL_auxz00_6143;
																																																																				goto
																																																																					BgL_tagzd2388zd2_1532;
																																																																				return
																																																																					(
																																																																					(BgL_nodez00_bglt)
																																																																					BgL_auxz00_6143);
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 106 */
																																																																				goto
																																																																					BgL_tagzd2389zd2_1533;
																																																																			}
																																																																	}
																																																															}
																																																														else
																																																															{	/* Ast/sexp.scm 106 */
																																																																if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_20))
																																																																	{
																																																																		obj_t
																																																																			BgL_auxz00_6147;
																																																																		goto
																																																																			BgL_tagzd2388zd2_1532;
																																																																		return
																																																																			(
																																																																			(BgL_nodez00_bglt)
																																																																			BgL_auxz00_6147);
																																																																	}
																																																																else
																																																																	{	/* Ast/sexp.scm 106 */
																																																																		goto
																																																																			BgL_tagzd2389zd2_1533;
																																																																	}
																																																															}
																																																													}
																																																											}
																																																									}
																																																							}
																																																					}
																																																			}
																																																	}
																																															}
																																													}
																																											}
																																									}
																																							}
																																					}
																																			}
																																	}
																															}
																													}
																											}
																									}
																							}
																					}
																			}
																	}
															}
													}
											}
									}
								else
									{	/* Ast/sexp.scm 106 */
										BgL_atomz00_1487 = BgL_expz00_20;
										{	/* Ast/sexp.scm 122 */
											bool_t BgL_testz00_6149;

											if (BGl_isazf3zf3zz__objectz00(BgL_atomz00_1487,
													BGl_localz00zzast_varz00))
												{	/* Ast/sexp.scm 122 */
													BgL_testz00_6149 = ((bool_t) 1);
												}
											else
												{	/* Ast/sexp.scm 122 */
													BgL_testz00_6149 =
														BGl_isazf3zf3zz__objectz00(BgL_atomz00_1487,
														BGl_globalz00zzast_varz00);
												}
											if (BgL_testz00_6149)
												{	/* Ast/sexp.scm 122 */
													return
														BGl_variablezd2ze3nodez31zzast_sexpz00
														(BgL_atomz00_1487, BgL_locz00_22, BgL_sitez00_23);
												}
											else
												{	/* Ast/sexp.scm 124 */
													bool_t BgL_testz00_6154;

													if (STRUCTP(BgL_atomz00_1487))
														{	/* Ast/sexp.scm 124 */
															BgL_testz00_6154 = ((bool_t) 1);
														}
													else
														{	/* Ast/sexp.scm 124 */
															if (VECTORP(BgL_atomz00_1487))
																{	/* Ast/sexp.scm 124 */
																	BgL_testz00_6154 = ((bool_t) 1);
																}
															else
																{	/* Ast/sexp.scm 124 */
																	if (BGL_OBJECTP(BgL_atomz00_1487))
																		{	/* Ast/sexp.scm 124 */
																			BgL_testz00_6154 = ((bool_t) 1);
																		}
																	else
																		{	/* Ast/sexp.scm 124 */
																			BgL_testz00_6154 =
																				PROCEDUREP(BgL_atomz00_1487);
																		}
																}
														}
													if (BgL_testz00_6154)
														{	/* Ast/sexp.scm 124 */
															return
																BGl_errorzd2sexpzd2ze3nodeze3zzast_sexpz00
																(BGl_string3067z00zzast_sexpz00, BgL_expz00_20,
																BgL_locz00_22);
														}
													else
														{	/* Ast/sexp.scm 124 */
															if (SYMBOLP(BgL_atomz00_1487))
																{	/* Ast/sexp.scm 131 */
																	obj_t BgL_g1114z00_1977;

																	BgL_g1114z00_1977 =
																		BGl_findzd2localzd2zzast_sexpz00
																		(BgL_atomz00_1487, BgL_stackz00_21);
																	if (CBOOL(BgL_g1114z00_1977))
																		{	/* Ast/sexp.scm 131 */
																			return
																				BGl_variablezd2ze3nodez31zzast_sexpz00
																				(BgL_g1114z00_1977, BgL_locz00_22,
																				BgL_sitez00_23);
																		}
																	else
																		{	/* Ast/sexp.scm 135 */
																			obj_t BgL_globalz00_1980;

																			BgL_globalz00_1980 =
																				BGl_findzd2globalzd2zzast_envz00
																				(BgL_atomz00_1487, BNIL);
																			if (BGl_isazf3zf3zz__objectz00
																				(BgL_globalz00_1980,
																					BGl_globalz00zzast_varz00))
																				{	/* Ast/sexp.scm 137 */
																					if (
																						((((BgL_globalz00_bglt) CREF(
																										((BgL_globalz00_bglt)
																											BgL_globalz00_1980)))->
																								BgL_importz00) ==
																							CNST_TABLE_REF(((long) 9))))
																						{	/* Ast/sexp.scm 140 */
																							obj_t BgL_arg2356z00_1983;

																							{	/* Ast/sexp.scm 140 */
																								obj_t BgL_arg2357z00_1984;

																								{	/* Ast/sexp.scm 140 */
																									obj_t BgL_arg2358z00_1985;

																									{	/* Ast/sexp.scm 140 */
																										obj_t BgL_arg2359z00_1986;

																										BgL_arg2359z00_1986 =
																											MAKE_PAIR
																											(BgL_atomz00_1487, BNIL);
																										BgL_arg2358z00_1985 =
																											MAKE_PAIR(CNST_TABLE_REF((
																													(long) 11)),
																											BgL_arg2359z00_1986);
																									}
																									BgL_arg2357z00_1984 =
																										MAKE_PAIR
																										(BgL_arg2358z00_1985, BNIL);
																								}
																								BgL_arg2356z00_1983 =
																									MAKE_PAIR(CNST_TABLE_REF((
																											(long) 9)),
																									BgL_arg2357z00_1984);
																							}
																							{
																								obj_t BgL_expz00_6183;

																								BgL_expz00_6183 =
																									BgL_arg2356z00_1983;
																								BgL_expz00_20 = BgL_expz00_6183;
																								goto
																									BGl_sexpzd2ze3nodez31zzast_sexpz00;
																							}
																						}
																					else
																						{	/* Ast/sexp.scm 139 */
																							return
																								BGl_variablezd2ze3nodez31zzast_sexpz00
																								(BgL_globalz00_1980,
																								BgL_locz00_22, BgL_sitez00_23);
																						}
																				}
																			else
																				{	/* Ast/sexp.scm 137 */
																					return
																						BGl_errorzd2sexpzd2ze3nodeze3zzast_sexpz00
																						(BGl_string3066z00zzast_sexpz00,
																						BgL_expz00_20, BgL_locz00_22);
																				}
																		}
																}
															else
																{	/* Ast/sexp.scm 127 */
																	BgL_atomz00_bglt BgL_new1113z00_1989;

																	{	/* Ast/sexp.scm 127 */
																		BgL_atomz00_bglt BgL_new1112z00_1990;

																		BgL_new1112z00_1990 =
																			((BgL_atomz00_bglt)
																			BREF(GC_MALLOC(sizeof(struct
																						BgL_atomz00_bgl))));
																		{	/* Ast/sexp.scm 127 */
																			long BgL_arg2362z00_1991;

																			{	/* Ast/sexp.scm 127 */
																				long BgL_res2855z00_3509;

																				{	/* Ast/sexp.scm 127 */
																					obj_t BgL_classz00_3506;

																					BgL_classz00_3506 =
																						BGl_atomz00zzast_nodez00;
																					{	/* Ast/sexp.scm 127 */
																						obj_t BgL_vectorz00_3507;
																						int BgL_kz00_3508;

																						BgL_vectorz00_3507 =
																							BgL_classz00_3506;
																						BgL_kz00_3508 = (int) (((long) 1));
																						BgL_res2855z00_3509 =
																							(long)
																							CINT(VECTOR_REF
																							(BgL_vectorz00_3507,
																								BgL_kz00_3508));
																				}}
																				BgL_arg2362z00_1991 =
																					BgL_res2855z00_3509;
																			}
																			{	/* Ast/sexp.scm 127 */
																				BgL_objectz00_bglt BgL_objz00_3510;

																				BgL_objz00_3510 =
																					((BgL_objectz00_bglt)
																					BgL_new1112z00_1990);
																				BGL_OBJECT_CLASS_NUM_SET
																					(BgL_objz00_3510,
																					BgL_arg2362z00_1991);
																		}}
																		{	/* Ast/sexp.scm 127 */
																			BgL_objectz00_bglt BgL_auxz00_6192;

																			BgL_auxz00_6192 =
																				((BgL_objectz00_bglt)
																				BgL_new1112z00_1990);
																			BGL_OBJECT_WIDENING_SET(BgL_auxz00_6192,
																				BFALSE);
																		}
																		BgL_new1113z00_1989 = BgL_new1112z00_1990;
																	}
																	((((BgL_nodez00_bglt) CREF(
																					((BgL_nodez00_bglt)
																						BgL_new1113z00_1989)))->
																			BgL_locz00) =
																		((obj_t) BgL_locz00_22), BUNSPEC);
																	((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt)
																						BgL_new1113z00_1989)))->
																			BgL_typez00) =
																		((BgL_typez00_bglt)
																			BGl_getzd2typezd2atomz00zztype_typeofz00
																			(BgL_atomz00_1487)), BUNSPEC);
																	((((BgL_atomz00_bglt)
																				CREF(BgL_new1113z00_1989))->
																			BgL_valuez00) =
																		((obj_t) BgL_atomz00_1487), BUNSPEC);
																	return ((BgL_nodez00_bglt)
																		BgL_new1113z00_1989);
																}
														}
												}
										}
									}
							}
					}
			}
		}
	}



/* liip */
	obj_t BGl_liipz00zzast_sexpz00(obj_t BgL_argsz00_2292)
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 346 */
			if (NULLP(BgL_argsz00_2292))
				{	/* Ast/sexp.scm 347 */
					return CNST_TABLE_REF(((long) 29));
				}
			else
				{	/* Ast/sexp.scm 349 */
					obj_t BgL_arg2558z00_2295;

					{	/* Ast/sexp.scm 349 */
						obj_t BgL_arg2559z00_2296;
						obj_t BgL_arg2560z00_2297;

						BgL_arg2559z00_2296 = CAR(BgL_argsz00_2292);
						BgL_arg2560z00_2297 =
							MAKE_PAIR(BGl_liipz00zzast_sexpz00(CDR(BgL_argsz00_2292)), BNIL);
						BgL_arg2558z00_2295 =
							MAKE_PAIR(BgL_arg2559z00_2296, BgL_arg2560z00_2297);
					}
					return MAKE_PAIR(CNST_TABLE_REF(((long) 30)), BgL_arg2558z00_2295);
		}}
	}



/* loop */
	obj_t BGl_loopz00zzast_sexpz00(obj_t BgL_expz00_4515, obj_t BgL_locz00_4514,
		obj_t BgL_varsz00_2256, obj_t BgL_argsz00_2257)
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 331 */
		BGl_loopz00zzast_sexpz00:
			if (NULLP(BgL_varsz00_2256))
				{	/* Ast/sexp.scm 334 */
					if (NULLP(BgL_argsz00_2257))
						{	/* Ast/sexp.scm 335 */
							return BNIL;
						}
					else
						{	/* Ast/sexp.scm 335 */
							return
								BGl_userzd2errorzf2locationz20zztools_errorz00(BgL_locz00_4514,
								BGl_shapez00zztools_shapez00
								(BGl_currentzd2functionzd2zztools_errorz00()),
								BGl_string3069z00zzast_sexpz00, BgL_expz00_4515, BNIL);
						}
				}
			else
				{	/* Ast/sexp.scm 334 */
					if (PAIRP(BgL_varsz00_2256))
						{	/* Ast/sexp.scm 342 */
							if (BGl_dssslzd2namedzd2constantzf3zf3zz__dssslz00(CAR
									(BgL_varsz00_2256)))
								{	/* Ast/sexp.scm 352 */
									obj_t BgL_argz00_2266;

									BgL_argz00_2266 =
										BGl_dssslzd2findzd2firstzd2formalzd2zztools_dssslz00(CDR
										(BgL_varsz00_2256));
									if (CBOOL(BgL_argz00_2266))
										{
											obj_t BgL_varsz00_6228;

											BgL_varsz00_6228 = BgL_argz00_2266;
											BgL_varsz00_2256 = BgL_varsz00_6228;
											goto BGl_loopz00zzast_sexpz00;
										}
									else
										{
											obj_t BgL_varsz00_6229;

											BgL_varsz00_6229 = BNIL;
											BgL_varsz00_2256 = BgL_varsz00_6229;
											goto BGl_loopz00zzast_sexpz00;
										}
								}
							else
								{	/* Ast/sexp.scm 357 */
									bool_t BgL_testz00_6230;

									{	/* Ast/sexp.scm 357 */
										obj_t BgL_auxz00_6231;

										BgL_auxz00_6231 = CAR(BgL_varsz00_2256);
										BgL_testz00_6230 = SYMBOLP(BgL_auxz00_6231);
									}
									if (BgL_testz00_6230)
										{	/* Ast/sexp.scm 357 */
											if (NULLP(BgL_argsz00_2257))
												{	/* Ast/sexp.scm 363 */
													return
														BGl_userzd2errorzf2locationz20zztools_errorz00
														(BgL_locz00_4514,
														BGl_shapez00zztools_shapez00
														(BGl_currentzd2functionzd2zztools_errorz00()),
														BGl_string3069z00zzast_sexpz00, BgL_expz00_4515,
														BNIL);
												}
											else
												{	/* Ast/sexp.scm 370 */
													obj_t BgL_arg2538z00_2273;
													obj_t BgL_arg2539z00_2274;

													{	/* Ast/sexp.scm 370 */
														obj_t BgL_arg2540z00_2275;
														obj_t BgL_arg2541z00_2276;

														BgL_arg2540z00_2275 = CAR(BgL_varsz00_2256);
														BgL_arg2541z00_2276 = CAR(BgL_argsz00_2257);
														{	/* Ast/sexp.scm 370 */
															obj_t BgL_list2542z00_2277;

															{	/* Ast/sexp.scm 370 */
																obj_t BgL_arg2543z00_2278;

																BgL_arg2543z00_2278 =
																	MAKE_PAIR(BgL_arg2541z00_2276, BNIL);
																BgL_list2542z00_2277 =
																	MAKE_PAIR(BgL_arg2540z00_2275,
																	BgL_arg2543z00_2278);
															}
															BgL_arg2538z00_2273 = BgL_list2542z00_2277;
														}
													}
													BgL_arg2539z00_2274 =
														BGl_loopz00zzast_sexpz00(BgL_expz00_4515,
														BgL_locz00_4514, CDR(BgL_varsz00_2256),
														CDR(BgL_argsz00_2257));
													return MAKE_PAIR(BgL_arg2538z00_2273,
														BgL_arg2539z00_2274);
												}
										}
									else
										{	/* Ast/sexp.scm 357 */
											return
												BGl_userzd2errorzf2locationz20zztools_errorz00
												(BgL_locz00_4514,
												BGl_shapez00zztools_shapez00
												(BGl_currentzd2functionzd2zztools_errorz00()),
												BGl_string3070z00zzast_sexpz00, BgL_expz00_4515, BNIL);
										}
								}
						}
					else
						{	/* Ast/sexp.scm 347 */
							obj_t BgL_arg2551z00_2286;

							{	/* Ast/sexp.scm 347 */
								obj_t BgL_arg2553z00_2288;

								BgL_arg2553z00_2288 =
									BGl_liipz00zzast_sexpz00(BgL_argsz00_2257);
								{	/* Ast/sexp.scm 344 */
									obj_t BgL_list2554z00_2289;

									{	/* Ast/sexp.scm 344 */
										obj_t BgL_arg2555z00_2290;

										BgL_arg2555z00_2290 = MAKE_PAIR(BgL_arg2553z00_2288, BNIL);
										BgL_list2554z00_2289 =
											MAKE_PAIR(BgL_varsz00_2256, BgL_arg2555z00_2290);
									}
									BgL_arg2551z00_2286 = BgL_list2554z00_2289;
								}
							}
							{	/* Ast/sexp.scm 343 */
								obj_t BgL_list2552z00_2287;

								BgL_list2552z00_2287 = MAKE_PAIR(BgL_arg2551z00_2286, BNIL);
								return BgL_list2552z00_2287;
							}
						}
				}
		}
	}



/* &sexp->node */
	BgL_nodez00_bglt BGl_z62sexpzd2ze3nodez53zzast_sexpz00(obj_t BgL_envz00_4468,
		obj_t BgL_expz00_4469, obj_t BgL_stackz00_4470, obj_t BgL_locz00_4471,
		obj_t BgL_sitez00_4472)
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 101 */
			return
				BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_expz00_4469, BgL_stackz00_4470,
				BgL_locz00_4471, BgL_sitez00_4472);
		}
	}



/* &<anonymous:2568> */
	obj_t BGl_z62zc3anonymousza32568ze3ze1zzast_sexpz00(obj_t BgL_envz00_4473,
		obj_t BgL_objz00_4475, obj_t BgL_procz00_4476, obj_t BgL_msgz00_4477)
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 376 */
			{	/* Ast/sexp.scm 377 */
				obj_t BgL_locz00_4474;

				BgL_locz00_4474 = PROCEDURE_REF(BgL_envz00_4473, (int) (((long) 0)));
				{
					obj_t BgL_objz00_2307;
					obj_t BgL_procz00_2308;
					obj_t BgL_msgz00_2309;

					BgL_objz00_2307 = BgL_objz00_4475;
					BgL_procz00_2308 = BgL_procz00_4476;
					BgL_msgz00_2309 = BgL_msgz00_4477;
					return
						BGl_userzd2errorzf2locationz20zztools_errorz00(BgL_locz00_4474,
						BgL_objz00_2307, BgL_procz00_2308, BgL_msgz00_2309, BNIL);
				}
			}
		}
	}



/* &<anonymous:2349> */
	BgL_nodez00_bglt BGl_z62zc3anonymousza32349ze3ze1zzast_sexpz00(obj_t
		BgL_envz00_4478, obj_t BgL_ez00_4481)
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 117 */
			{	/* Ast/sexp.scm 117 */
				BgL_appz00_bglt BgL_i1111z00_4479;
				obj_t BgL_stackz00_4480;

				BgL_i1111z00_4479 =
					((BgL_appz00_bglt)
					PROCEDURE_REF(BgL_envz00_4478, (int) (((long) 0))));
				BgL_stackz00_4480 = PROCEDURE_REF(BgL_envz00_4478, (int) (((long) 1)));
				{
					obj_t BgL_ez00_1970;

					BgL_ez00_1970 = BgL_ez00_4481;
					{	/* Ast/sexp.scm 117 */
						obj_t BgL_arg2350z00_3487;

						BgL_arg2350z00_3487 =
							(((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_i1111z00_4479)))->BgL_locz00);
						return
							BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_ez00_1970,
							BgL_stackz00_4480, BgL_arg2350z00_3487,
							CNST_TABLE_REF(((long) 2)));
		}}}}
	}



/* &<anonymous:2343> */
	BgL_nodez00_bglt BGl_z62zc3anonymousza32343ze3ze1zzast_sexpz00(obj_t
		BgL_envz00_4482, obj_t BgL_ez00_4485)
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 114 */
			{	/* Ast/sexp.scm 114 */
				BgL_externz00_bglt BgL_i1110z00_4483;
				obj_t BgL_stackz00_4484;

				BgL_i1110z00_4483 =
					((BgL_externz00_bglt)
					PROCEDURE_REF(BgL_envz00_4482, (int) (((long) 0))));
				BgL_stackz00_4484 = PROCEDURE_REF(BgL_envz00_4482, (int) (((long) 1)));
				{
					obj_t BgL_ez00_1961;

					BgL_ez00_1961 = BgL_ez00_4485;
					{	/* Ast/sexp.scm 114 */
						obj_t BgL_arg2344z00_3484;

						BgL_arg2344z00_3484 =
							(((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_i1110z00_4483)))->BgL_locz00);
						return
							BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_ez00_1961,
							BgL_stackz00_4484, BgL_arg2344z00_3484,
							CNST_TABLE_REF(((long) 2)));
		}}}}
	}



/* variable->node */
	BgL_nodez00_bglt BGl_variablezd2ze3nodez31zzast_sexpz00(obj_t BgL_vz00_24,
		obj_t BgL_locz00_25, obj_t BgL_sitez00_26)
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 502 */
			BGl_usezd2variablez12zc0zzast_sexpz00(
				((BgL_variablez00_bglt) BgL_vz00_24), BgL_locz00_25, BgL_sitez00_26);
			{	/* Ast/sexp.scm 504 */
				bool_t BgL_testz00_6278;

				if ((BgL_sitez00_26 == CNST_TABLE_REF(((long) 31))))
					{	/* Ast/sexp.scm 504 */
						BgL_testz00_6278 = ((bool_t) 0);
					}
				else
					{	/* Ast/sexp.scm 504 */
						BgL_valuez00_bglt BgL_arg2653z00_2446;

						BgL_arg2653z00_2446 =
							(((BgL_variablez00_bglt) CREF(
									((BgL_variablez00_bglt) BgL_vz00_24)))->BgL_valuez00);
						{	/* Ast/sexp.scm 504 */
							bool_t BgL_res2997z00_4238;

							{	/* Ast/sexp.scm 504 */
								obj_t BgL_objz00_4237;

								BgL_objz00_4237 = ((obj_t) BgL_arg2653z00_2446);
								BgL_res2997z00_4238 =
									BGl_isazf3zf3zz__objectz00(BgL_objz00_4237,
									BGl_funz00zzast_varz00);
							}
							BgL_testz00_6278 = BgL_res2997z00_4238;
						}
					}
				if (BgL_testz00_6278)
					{	/* Ast/sexp.scm 505 */
						bool_t BgL_testz00_6286;

						if (BGl_isazf3zf3zz__objectz00(BgL_vz00_24,
								BGl_globalz00zzast_varz00))
							{	/* Ast/sexp.scm 506 */
								bool_t BgL_testz00_6289;

								{	/* Ast/sexp.scm 506 */
									BgL_valuez00_bglt BgL_arg2649z00_2440;

									BgL_arg2649z00_2440 =
										(((BgL_variablez00_bglt) CREF(
												((BgL_variablez00_bglt)
													((BgL_globalz00_bglt) BgL_vz00_24))))->BgL_valuez00);
									{	/* Ast/sexp.scm 506 */
										bool_t BgL_res3000z00_4245;

										{	/* Ast/sexp.scm 506 */
											obj_t BgL_objz00_4244;

											BgL_objz00_4244 = ((obj_t) BgL_arg2649z00_2440);
											BgL_res3000z00_4245 =
												BGl_isazf3zf3zz__objectz00(BgL_objz00_4244,
												BGl_cfunz00zzast_varz00);
										}
										BgL_testz00_6289 = BgL_res3000z00_4245;
									}
								}
								if (BgL_testz00_6289)
									{	/* Ast/sexp.scm 507 */
										bool_t BgL_testz00_6295;

										{	/* Ast/sexp.scm 507 */
											obj_t BgL_arg2648z00_2439;

											BgL_arg2648z00_2439 =
												BGl_thezd2backendzd2zzbackend_backendz00();
											BgL_testz00_6295 =
												(((BgL_backendz00_bglt) CREF(
														((BgL_backendz00_bglt) BgL_arg2648z00_2439)))->
												BgL_foreignzd2closurezd2);
										}
										if (BgL_testz00_6295)
											{	/* Ast/sexp.scm 507 */
												BgL_testz00_6286 = ((bool_t) 0);
											}
										else
											{	/* Ast/sexp.scm 507 */
												if ((BgL_sitez00_26 == CNST_TABLE_REF(((long) 28))))
													{	/* Ast/sexp.scm 508 */
														BgL_testz00_6286 = ((bool_t) 0);
													}
												else
													{	/* Ast/sexp.scm 508 */
														BgL_testz00_6286 = ((bool_t) 1);
													}
											}
									}
								else
									{	/* Ast/sexp.scm 506 */
										BgL_testz00_6286 = ((bool_t) 0);
									}
							}
						else
							{	/* Ast/sexp.scm 505 */
								BgL_testz00_6286 = ((bool_t) 0);
							}
						if (BgL_testz00_6286)
							{	/* Ast/sexp.scm 510 */
								obj_t BgL_arg2638z00_2427;

								{	/* Ast/sexp.scm 510 */
									obj_t BgL_arg2639z00_2428;

									{	/* Ast/sexp.scm 510 */
										obj_t BgL_arg2641z00_2430;

										BgL_arg2641z00_2430 =
											BGl_thezd2backendzd2zzbackend_backendz00();
										BgL_arg2639z00_2428 =
											(((BgL_backendz00_bglt) CREF(
													((BgL_backendz00_bglt) BgL_arg2641z00_2430)))->
											BgL_namez00);
									}
									{	/* Ast/sexp.scm 510 */
										obj_t BgL_list2640z00_2429;

										BgL_list2640z00_2429 = MAKE_PAIR(BgL_arg2639z00_2428, BNIL);
										BgL_arg2638z00_2427 =
											BGl_formatz00zz__r4_output_6_10_3z00
											(BGl_string3071z00zzast_sexpz00, BgL_list2640z00_2429);
									}
								}
								return
									BGl_errorzd2sexpzd2ze3nodeze3zzast_sexpz00
									(BgL_arg2638z00_2427, BGl_expzd2envzd2zz__r4_numbers_6_5z00,
									BgL_locz00_25);
							}
						else
							{	/* Ast/sexp.scm 511 */
								BgL_closurez00_bglt BgL_new1140z00_2431;

								{	/* Ast/sexp.scm 511 */
									BgL_closurez00_bglt BgL_new1139z00_2433;

									BgL_new1139z00_2433 =
										((BgL_closurez00_bglt) BREF(GC_MALLOC(sizeof(struct
													BgL_closurez00_bgl))));
									{	/* Ast/sexp.scm 511 */
										long BgL_arg2643z00_2434;

										{	/* Ast/sexp.scm 511 */
											long BgL_res3003z00_4255;

											{	/* Ast/sexp.scm 511 */
												obj_t BgL_classz00_4252;

												BgL_classz00_4252 = BGl_closurez00zzast_nodez00;
												{	/* Ast/sexp.scm 511 */
													obj_t BgL_vectorz00_4253;
													int BgL_kz00_4254;

													BgL_vectorz00_4253 = BgL_classz00_4252;
													BgL_kz00_4254 = (int) (((long) 1));
													BgL_res3003z00_4255 =
														(long) CINT(VECTOR_REF(BgL_vectorz00_4253,
															BgL_kz00_4254));
											}}
											BgL_arg2643z00_2434 = BgL_res3003z00_4255;
										}
										{	/* Ast/sexp.scm 511 */
											BgL_objectz00_bglt BgL_objz00_4256;

											BgL_objz00_4256 =
												((BgL_objectz00_bglt) BgL_new1139z00_2433);
											BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_4256,
												BgL_arg2643z00_2434);
									}}
									{	/* Ast/sexp.scm 511 */
										BgL_objectz00_bglt BgL_auxz00_6314;

										BgL_auxz00_6314 =
											((BgL_objectz00_bglt) BgL_new1139z00_2433);
										BGL_OBJECT_WIDENING_SET(BgL_auxz00_6314, BFALSE);
									}
									BgL_new1140z00_2431 = BgL_new1139z00_2433;
								}
								((((BgL_nodez00_bglt) CREF(
												((BgL_nodez00_bglt) BgL_new1140z00_2431)))->
										BgL_locz00) = ((obj_t) BgL_locz00_25), BUNSPEC);
								{
									BgL_typez00_bglt BgL_auxz00_6319;

									{	/* Ast/sexp.scm 513 */
										BgL_typez00_bglt BgL_arg2642z00_2432;

										BgL_arg2642z00_2432 =
											(((BgL_variablez00_bglt) CREF(
													((BgL_variablez00_bglt) BgL_vz00_24)))->BgL_typez00);
										BgL_auxz00_6319 =
											BGl_strictzd2nodezd2typez00zzast_nodez00(
											((BgL_typez00_bglt)
												BGl_za2procedureza2z00zztype_cachez00),
											BgL_arg2642z00_2432);
									}
									((((BgL_nodez00_bglt) CREF(
													((BgL_nodez00_bglt) BgL_new1140z00_2431)))->
											BgL_typez00) =
										((BgL_typez00_bglt) BgL_auxz00_6319), BUNSPEC);
								}
								((((BgL_varz00_bglt) CREF(
												((BgL_varz00_bglt) BgL_new1140z00_2431)))->
										BgL_variablez00) =
									((BgL_variablez00_bglt) ((BgL_variablez00_bglt) BgL_vz00_24)),
									BUNSPEC);
								return ((BgL_nodez00_bglt) BgL_new1140z00_2431);
							}
					}
				else
					{	/* Ast/sexp.scm 515 */
						BgL_varz00_bglt BgL_new1142z00_2441;

						{	/* Ast/sexp.scm 515 */
							BgL_varz00_bglt BgL_new1141z00_2443;

							BgL_new1141z00_2443 =
								((BgL_varz00_bglt) BREF(GC_MALLOC(sizeof(struct
											BgL_varz00_bgl))));
							{	/* Ast/sexp.scm 515 */
								long BgL_arg2651z00_2444;

								{	/* Ast/sexp.scm 515 */
									long BgL_res3005z00_4264;

									{	/* Ast/sexp.scm 515 */
										obj_t BgL_classz00_4261;

										BgL_classz00_4261 = BGl_varz00zzast_nodez00;
										{	/* Ast/sexp.scm 515 */
											obj_t BgL_vectorz00_4262;
											int BgL_kz00_4263;

											BgL_vectorz00_4262 = BgL_classz00_4261;
											BgL_kz00_4263 = (int) (((long) 1));
											BgL_res3005z00_4264 =
												(long) CINT(VECTOR_REF(BgL_vectorz00_4262,
													BgL_kz00_4263));
									}}
									BgL_arg2651z00_2444 = BgL_res3005z00_4264;
								}
								{	/* Ast/sexp.scm 515 */
									BgL_objectz00_bglt BgL_objz00_4265;

									BgL_objz00_4265 = ((BgL_objectz00_bglt) BgL_new1141z00_2443);
									BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_4265,
										BgL_arg2651z00_2444);
							}}
							{	/* Ast/sexp.scm 515 */
								BgL_objectz00_bglt BgL_auxz00_6336;

								BgL_auxz00_6336 = ((BgL_objectz00_bglt) BgL_new1141z00_2443);
								BGL_OBJECT_WIDENING_SET(BgL_auxz00_6336, BFALSE);
							}
							BgL_new1142z00_2441 = BgL_new1141z00_2443;
						}
						((((BgL_nodez00_bglt) CREF(
										((BgL_nodez00_bglt) BgL_new1142z00_2441)))->BgL_locz00) =
							((obj_t) BgL_locz00_25), BUNSPEC);
						{
							BgL_typez00_bglt BgL_auxz00_6341;

							{	/* Ast/sexp.scm 517 */
								BgL_typez00_bglt BgL_arg2650z00_2442;

								BgL_arg2650z00_2442 =
									(((BgL_variablez00_bglt) CREF(
											((BgL_variablez00_bglt) BgL_vz00_24)))->BgL_typez00);
								BgL_auxz00_6341 =
									BGl_strictzd2nodezd2typez00zzast_nodez00(
									((BgL_typez00_bglt) BGl_za2_za2z00zztype_cachez00),
									BgL_arg2650z00_2442);
							}
							((((BgL_nodez00_bglt) CREF(
											((BgL_nodez00_bglt) BgL_new1142z00_2441)))->BgL_typez00) =
								((BgL_typez00_bglt) BgL_auxz00_6341), BUNSPEC);
						}
						((((BgL_varz00_bglt) CREF(BgL_new1142z00_2441))->BgL_variablez00) =
							((BgL_variablez00_bglt) ((BgL_variablez00_bglt) BgL_vz00_24)),
							BUNSPEC);
						return ((BgL_nodez00_bglt) BgL_new1142z00_2441);
					}
			}
		}
	}



/* call->node */
	BgL_nodez00_bglt BGl_callzd2ze3nodez31zzast_sexpz00(obj_t BgL_expz00_27,
		obj_t BgL_stackz00_28, obj_t BgL_locz00_29, obj_t BgL_sitez00_30)
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 523 */
			{	/* Ast/sexp.scm 524 */
				obj_t BgL_callerz00_2447;
				obj_t BgL_locz00_2448;

				BgL_callerz00_2447 = CAR(BgL_expz00_27);
				BgL_locz00_2448 =
					BGl_findzd2locationzf2locz20zztools_locationz00(BgL_expz00_27,
					BgL_locz00_29);
				if (SYMBOLP(BgL_callerz00_2447))
					{	/* Ast/sexp.scm 528 */
						obj_t BgL_pidz00_2450;

						BgL_pidz00_2450 =
							BGl_parsezd2idzd2zzast_identz00(BgL_callerz00_2447,
							BgL_locz00_2448);
						{	/* Ast/sexp.scm 528 */
							obj_t BgL_idz00_2451;

							BgL_idz00_2451 = CAR(BgL_pidz00_2450);
							{	/* Ast/sexp.scm 529 */
								obj_t BgL_typez00_2452;

								BgL_typez00_2452 = CDR(BgL_pidz00_2450);
								{	/* Ast/sexp.scm 530 */

									if ((BgL_idz00_2451 == CNST_TABLE_REF(((long) 4))))
										{	/* Ast/sexp.scm 531 */
											return
												BGl_pragmazf2typezd2ze3nodezc3zzast_pragmaz00(((bool_t)
													0), BFALSE, ((BgL_typez00_bglt) BgL_typez00_2452),
												BgL_expz00_27, BgL_stackz00_28, BgL_locz00_2448,
												BgL_sitez00_30);
										}
									else
										{	/* Ast/sexp.scm 531 */
											if ((BgL_idz00_2451 == CNST_TABLE_REF(((long) 21))))
												{	/* Ast/sexp.scm 535 */
													bool_t BgL_testz00_6366;

													{	/* Ast/sexp.scm 535 */
														obj_t BgL_auxz00_6367;

														BgL_auxz00_6367 = CDR(BgL_expz00_27);
														BgL_testz00_6366 = PAIRP(BgL_auxz00_6367);
													}
													if (BgL_testz00_6366)
														{	/* Ast/sexp.scm 539 */
															BgL_feffectz00_bglt BgL_arg2658z00_2457;
															obj_t BgL_arg2660z00_2458;

															{	/* Ast/sexp.scm 539 */
																obj_t BgL_arg2661z00_2459;

																{	/* Ast/sexp.scm 539 */
																	obj_t BgL_pairz00_4284;

																	BgL_pairz00_4284 = BgL_expz00_27;
																	BgL_arg2661z00_2459 =
																		CAR(CDR(BgL_pairz00_4284));
																}
																BgL_arg2658z00_2457 =
																	BGl_parsezd2effectzd2zzeffect_feffectz00
																	(BgL_arg2661z00_2459);
															}
															{	/* Ast/sexp.scm 540 */
																obj_t BgL_arg2662z00_2460;
																obj_t BgL_arg2663z00_2461;

																{	/* Ast/sexp.scm 540 */
																	obj_t BgL_arg2664z00_2462;

																	BgL_arg2664z00_2462 =
																		MAKE_PAIR(CNST_TABLE_REF(((long) 32)),
																		BNIL);
																	BgL_arg2662z00_2460 =
																		MAKE_PAIR(CNST_TABLE_REF(((long) 33)),
																		BgL_arg2664z00_2462);
																}
																{	/* Ast/sexp.scm 540 */
																	obj_t BgL_auxz00_6377;

																	{	/* Ast/sexp.scm 540 */
																		obj_t BgL_pairz00_4288;

																		BgL_pairz00_4288 = BgL_expz00_27;
																		BgL_auxz00_6377 =
																			CDR(CDR(BgL_pairz00_4288));
																	}
																	BgL_arg2663z00_2461 =
																		BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																		(BgL_auxz00_6377, BNIL);
																}
																BgL_arg2660z00_2458 =
																	MAKE_PAIR(BgL_arg2662z00_2460,
																	BgL_arg2663z00_2461);
															}
															return
																BGl_pragmazf2typezd2ze3nodezc3zzast_pragmaz00((
																	(bool_t) 0), ((obj_t) BgL_arg2658z00_2457),
																((BgL_typez00_bglt) BgL_typez00_2452),
																BgL_arg2660z00_2458, BgL_stackz00_28,
																BgL_locz00_2448, BgL_sitez00_30);
														}
													else
														{	/* Ast/sexp.scm 535 */
															return
																BGl_errorzd2sexpzd2ze3nodeze3zzast_sexpz00
																(BGl_string3072z00zzast_sexpz00, BgL_expz00_27,
																BGl_findzd2locationzf2locz20zztools_locationz00
																(BgL_expz00_27, BgL_locz00_2448));
														}
												}
											else
												{	/* Ast/sexp.scm 531 */
													if ((BgL_idz00_2451 == CNST_TABLE_REF(((long) 22))))
														{	/* Ast/sexp.scm 531 */
															return
																BGl_pragmazf2typezd2ze3nodezc3zzast_pragmaz00((
																	(bool_t) 1), BFALSE,
																((BgL_typez00_bglt) BgL_typez00_2452),
																BgL_expz00_27, BgL_stackz00_28, BgL_locz00_2448,
																BgL_sitez00_30);
														}
													else
														{	/* Ast/sexp.scm 531 */
															if (
																(BgL_idz00_2451 == CNST_TABLE_REF(((long) 23))))
																{	/* Ast/sexp.scm 545 */
																	bool_t BgL_testz00_6395;

																	{	/* Ast/sexp.scm 545 */
																		obj_t BgL_auxz00_6396;

																		BgL_auxz00_6396 = CDR(BgL_expz00_27);
																		BgL_testz00_6395 = PAIRP(BgL_auxz00_6396);
																	}
																	if (BgL_testz00_6395)
																		{	/* Ast/sexp.scm 549 */
																			BgL_feffectz00_bglt BgL_arg2671z00_2469;
																			obj_t BgL_arg2672z00_2470;

																			{	/* Ast/sexp.scm 549 */
																				obj_t BgL_arg2673z00_2471;

																				{	/* Ast/sexp.scm 549 */
																					obj_t BgL_pairz00_4301;

																					BgL_pairz00_4301 = BgL_expz00_27;
																					BgL_arg2673z00_2471 =
																						CAR(CDR(BgL_pairz00_4301));
																				}
																				BgL_arg2671z00_2469 =
																					BGl_parsezd2effectzd2zzeffect_feffectz00
																					(BgL_arg2673z00_2471);
																			}
																			{	/* Ast/sexp.scm 550 */
																				obj_t BgL_arg2674z00_2472;
																				obj_t BgL_arg2675z00_2473;

																				{	/* Ast/sexp.scm 550 */
																					obj_t BgL_arg2676z00_2474;

																					BgL_arg2676z00_2474 =
																						MAKE_PAIR(CNST_TABLE_REF(((long)
																								32)), BNIL);
																					BgL_arg2674z00_2472 =
																						MAKE_PAIR(CNST_TABLE_REF(((long)
																								33)), BgL_arg2676z00_2474);
																				}
																				{	/* Ast/sexp.scm 550 */
																					obj_t BgL_auxz00_6406;

																					{	/* Ast/sexp.scm 550 */
																						obj_t BgL_pairz00_4305;

																						BgL_pairz00_4305 = BgL_expz00_27;
																						BgL_auxz00_6406 =
																							CDR(CDR(BgL_pairz00_4305));
																					}
																					BgL_arg2675z00_2473 =
																						BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																						(BgL_auxz00_6406, BNIL);
																				}
																				BgL_arg2672z00_2470 =
																					MAKE_PAIR(BgL_arg2674z00_2472,
																					BgL_arg2675z00_2473);
																			}
																			return
																				BGl_pragmazf2typezd2ze3nodezc3zzast_pragmaz00
																				(((bool_t) 1),
																				((obj_t) BgL_arg2671z00_2469),
																				((BgL_typez00_bglt) BgL_typez00_2452),
																				BgL_arg2672z00_2470, BgL_stackz00_28,
																				BgL_locz00_2448, BgL_sitez00_30);
																		}
																	else
																		{	/* Ast/sexp.scm 545 */
																			return
																				BGl_errorzd2sexpzd2ze3nodeze3zzast_sexpz00
																				(BGl_string3073z00zzast_sexpz00,
																				BgL_expz00_27,
																				BGl_findzd2locationzf2locz20zztools_locationz00
																				(BgL_expz00_27, BgL_locz00_2448));
																		}
																}
															else
																{	/* Ast/sexp.scm 531 */
																	if (
																		(BgL_idz00_2451 ==
																			CNST_TABLE_REF(((long) 16))))
																		{
																			obj_t BgL_argsz00_2479;
																			obj_t BgL_bodyz00_2480;

																			if (PAIRP(BgL_expz00_27))
																				{	/* Ast/sexp.scm 553 */
																					obj_t BgL_cdrzd22199zd2_2485;

																					BgL_cdrzd22199zd2_2485 =
																						CDR(BgL_expz00_27);
																					if (PAIRP(BgL_cdrzd22199zd2_2485))
																						{	/* Ast/sexp.scm 553 */
																							BgL_argsz00_2479 =
																								CAR(BgL_cdrzd22199zd2_2485);
																							BgL_bodyz00_2480 =
																								CDR(BgL_cdrzd22199zd2_2485);
																							{	/* Ast/sexp.scm 555 */
																								obj_t BgL_locz00_2489;

																								BgL_locz00_2489 =
																									BGl_findzd2locationzf2locz20zztools_locationz00
																									(BgL_expz00_27,
																									BgL_locz00_2448);
																								{	/* Ast/sexp.scm 555 */
																									obj_t BgL_funz00_2490;

																									BgL_funz00_2490 =
																										BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00
																										(BGl_gensymz00zz__r4_symbols_6_4z00
																										(CNST_TABLE_REF(((long)
																													16))));
																									{	/* Ast/sexp.scm 556 */
																										obj_t BgL_tfunz00_2491;

																										if (BGl_bigloozd2typezf3z21zztype_typez00(((BgL_typez00_bglt) BgL_typez00_2452)))
																											{	/* Ast/sexp.scm 558 */
																												obj_t
																													BgL_arg2698z00_2502;
																												BgL_arg2698z00_2502 =
																													(((BgL_typez00_bglt)
																														CREF((
																																(BgL_typez00_bglt)
																																BgL_typez00_2452)))->
																													BgL_idz00);
																												BgL_tfunz00_2491 =
																													BGl_makezd2typedzd2identz00zzast_identz00
																													(BgL_funz00_2490,
																													BgL_arg2698z00_2502);
																											}
																										else
																											{	/* Ast/sexp.scm 557 */
																												BgL_tfunz00_2491 =
																													BgL_funz00_2490;
																											}
																										{	/* Ast/sexp.scm 557 */

																											{	/* Ast/sexp.scm 561 */
																												obj_t
																													BgL_arg2686z00_2492;
																												{	/* Ast/sexp.scm 561 */
																													obj_t
																														BgL_arg2687z00_2493;
																													obj_t
																														BgL_arg2689z00_2494;
																													BgL_arg2687z00_2493 =
																														BGl_labelszd2symzd2zzast_labelsz00
																														();
																													{	/* Ast/sexp.scm 561 */
																														obj_t
																															BgL_arg2690z00_2495;
																														obj_t
																															BgL_arg2691z00_2496;
																														{	/* Ast/sexp.scm 561 */
																															obj_t
																																BgL_arg2692z00_2497;
																															{	/* Ast/sexp.scm 561 */
																																obj_t
																																	BgL_arg2693z00_2498;
																																{	/* Ast/sexp.scm 561 */
																																	obj_t
																																		BgL_arg2694z00_2499;
																																	BgL_arg2694z00_2499
																																		=
																																		MAKE_PAIR
																																		(BGl_normaliza7ezd2prognz75zztools_prognz00
																																		(BgL_bodyz00_2480),
																																		BNIL);
																																	BgL_arg2693z00_2498
																																		=
																																		MAKE_PAIR
																																		(BgL_argsz00_2479,
																																		BgL_arg2694z00_2499);
																																}
																																BgL_arg2692z00_2497
																																	=
																																	MAKE_PAIR
																																	(BgL_tfunz00_2491,
																																	BgL_arg2693z00_2498);
																															}
																															BgL_arg2690z00_2495
																																=
																																MAKE_PAIR
																																(BgL_arg2692z00_2497,
																																BNIL);
																														}
																														BgL_arg2691z00_2496
																															=
																															MAKE_PAIR
																															(BgL_funz00_2490,
																															BNIL);
																														BgL_arg2689z00_2494
																															=
																															MAKE_PAIR
																															(BgL_arg2690z00_2495,
																															BgL_arg2691z00_2496);
																													}
																													BgL_arg2686z00_2492 =
																														MAKE_PAIR
																														(BgL_arg2687z00_2493,
																														BgL_arg2689z00_2494);
																												}
																												return
																													BGl_sexpzd2ze3nodez31zzast_sexpz00
																													(BgL_arg2686z00_2492,
																													BgL_stackz00_28,
																													BgL_locz00_2489,
																													BgL_sitez00_30);
																											}
																										}
																									}
																								}
																							}
																						}
																					else
																						{	/* Ast/sexp.scm 553 */
																						BgL_tagzd22192zd2_2482:
																							return
																								BGl_errorzd2sexpzd2ze3nodeze3zzast_sexpz00
																								(BGl_string3074z00zzast_sexpz00,
																								BgL_expz00_27, BgL_locz00_2448);
																						}
																				}
																			else
																				{	/* Ast/sexp.scm 553 */
																					goto BgL_tagzd22192zd2_2482;
																				}
																		}
																	else
																		{	/* Ast/sexp.scm 531 */
																			return
																				BGl_applicationzd2ze3nodez31zzast_appz00
																				(BgL_expz00_27, BgL_stackz00_28,
																				BgL_locz00_2448, BgL_sitez00_30);
																		}
																}
														}
												}
										}
								}
							}
						}
					}
				else
					{	/* Ast/sexp.scm 526 */
						return
							BGl_applicationzd2ze3nodez31zzast_appz00(BgL_expz00_27,
							BgL_stackz00_28, BgL_locz00_2448, BgL_sitez00_30);
					}
			}
		}
	}



/* sexp*->node */
	BGL_EXPORTED_DEF obj_t BGl_sexpza2zd2ze3nodez93zzast_sexpz00(obj_t
		BgL_expza2za2_31, obj_t BgL_stackz00_32, obj_t BgL_locz00_33,
		obj_t BgL_sitez00_34)
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 575 */
			{
				obj_t BgL_expsz00_2506;
				obj_t BgL_resz00_2507;
				obj_t BgL_locz00_2508;

				BgL_expsz00_2506 = BgL_expza2za2_31;
				BgL_resz00_2507 = BNIL;
				BgL_locz00_2508 = BgL_locz00_33;
			BgL_zc3anonymousza32700ze3z83_2509:
				if (NULLP(BgL_expsz00_2506))
					{	/* Ast/sexp.scm 580 */
						return
							((obj_t)
							BGl_errorzd2sexpzd2ze3nodeze3zzast_sexpz00
							(BGl_string3075z00zzast_sexpz00, BgL_expsz00_2506,
								BgL_locz00_2508));
					}
				else
					{	/* Ast/sexp.scm 580 */
						if (NULLP(CDR(BgL_expsz00_2506)))
							{	/* Ast/sexp.scm 583 */
								obj_t BgL_locz00_2512;
								obj_t BgL_nsitez00_2513;

								BgL_locz00_2512 =
									BGl_findzd2locationzf2locz20zztools_locationz00(CAR
									(BgL_expsz00_2506),
									BGl_findzd2locationzf2locz20zztools_locationz00
									(BgL_expsz00_2506, BgL_locz00_2508));
								if ((BgL_sitez00_34 == CNST_TABLE_REF(((long) 31))))
									{	/* Ast/sexp.scm 585 */
										BgL_nsitez00_2513 = CNST_TABLE_REF(((long) 2));
									}
								else
									{	/* Ast/sexp.scm 585 */
										BgL_nsitez00_2513 = BgL_sitez00_34;
									}
								{	/* Ast/sexp.scm 586 */
									obj_t BgL_arg2703z00_2514;

									{	/* Ast/sexp.scm 586 */
										BgL_nodez00_bglt BgL_arg2704z00_2515;

										BgL_arg2704z00_2515 =
											BGl_sexpzd2ze3nodez31zzast_sexpz00(CAR(BgL_expsz00_2506),
											BgL_stackz00_32, BgL_locz00_2512, BgL_nsitez00_2513);
										BgL_arg2703z00_2514 =
											MAKE_PAIR(((obj_t) BgL_arg2704z00_2515), BgL_resz00_2507);
									}
									return bgl_reverse_bang(BgL_arg2703z00_2514);
								}
							}
						else
							{	/* Ast/sexp.scm 588 */
								obj_t BgL_locz00_2520;

								BgL_locz00_2520 =
									BGl_findzd2locationzf2locz20zztools_locationz00(CAR
									(BgL_expsz00_2506),
									BGl_findzd2locationzf2locz20zztools_locationz00
									(BgL_expsz00_2506, BgL_locz00_2508));
								{	/* Ast/sexp.scm 590 */
									obj_t BgL_arg2709z00_2521;
									obj_t BgL_arg2710z00_2522;

									BgL_arg2709z00_2521 = CDR(BgL_expsz00_2506);
									{	/* Ast/sexp.scm 591 */
										BgL_nodez00_bglt BgL_arg2712z00_2523;

										{	/* Ast/sexp.scm 591 */
											obj_t BgL_arg2713z00_2524;

											BgL_arg2713z00_2524 = CAR(BgL_expsz00_2506);
											BgL_arg2712z00_2523 =
												BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_arg2713z00_2524,
												BgL_stackz00_32, BgL_locz00_2520,
												CNST_TABLE_REF(((long) 2)));
										}
										BgL_arg2710z00_2522 =
											MAKE_PAIR(((obj_t) BgL_arg2712z00_2523), BgL_resz00_2507);
									}
									{
										obj_t BgL_locz00_6479;
										obj_t BgL_resz00_6478;
										obj_t BgL_expsz00_6477;

										BgL_expsz00_6477 = BgL_arg2709z00_2521;
										BgL_resz00_6478 = BgL_arg2710z00_2522;
										BgL_locz00_6479 = BgL_locz00_2520;
										BgL_locz00_2508 = BgL_locz00_6479;
										BgL_resz00_2507 = BgL_resz00_6478;
										BgL_expsz00_2506 = BgL_expsz00_6477;
										goto BgL_zc3anonymousza32700ze3z83_2509;
									}
								}
							}
					}
			}
		}
	}



/* &sexp*->node */
	obj_t BGl_z62sexpza2zd2ze3nodezf1zzast_sexpz00(obj_t BgL_envz00_4488,
		obj_t BgL_expza2za2_4489, obj_t BgL_stackz00_4490, obj_t BgL_locz00_4491,
		obj_t BgL_sitez00_4492)
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 575 */
			return
				BGl_sexpza2zd2ze3nodez93zzast_sexpz00(BgL_expza2za2_4489,
				BgL_stackz00_4490, BgL_locz00_4491, BgL_sitez00_4492);
		}
	}



/* find-local */
	BGL_EXPORTED_DEF obj_t BGl_findzd2localzd2zzast_sexpz00(obj_t BgL_namez00_35,
		obj_t BgL_stackz00_36)
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 604 */
			{	/* Ast/sexp.scm 605 */
				bool_t BgL_testz00_6481;

				if ((BgL_namez00_35 == BGl_za2cachezd2nameza2zd2zzast_sexpz00))
					{	/* Ast/sexp.scm 605 */
						BgL_testz00_6481 =
							(BgL_stackz00_36 == BGl_za2cachezd2stackza2zd2zzast_sexpz00);
					}
				else
					{	/* Ast/sexp.scm 605 */
						BgL_testz00_6481 = ((bool_t) 0);
					}
				if (BgL_testz00_6481)
					{	/* Ast/sexp.scm 605 */
						return BGl_za2cachezd2resza2zd2zzast_sexpz00;
					}
				else
					{	/* Ast/sexp.scm 605 */
						BGl_za2cachezd2nameza2zd2zzast_sexpz00 = BgL_namez00_35;
						BGl_za2cachezd2stackza2zd2zzast_sexpz00 = BgL_stackz00_36;
						{
							obj_t BgL_stackz00_2531;

							BgL_stackz00_2531 = BgL_stackz00_36;
						BgL_zc3anonymousza32718ze3z83_2532:
							if (NULLP(BgL_stackz00_2531))
								{	/* Ast/sexp.scm 612 */
									BGl_za2cachezd2resza2zd2zzast_sexpz00 = BFALSE;
									return BFALSE;
								}
							else
								{	/* Ast/sexp.scm 615 */
									bool_t BgL_testz00_6487;

									{	/* Ast/sexp.scm 615 */
										obj_t BgL_auxz00_6488;

										{
											BgL_variablez00_bglt BgL_auxz00_6489;

											{
												BgL_localz00_bglt BgL_auxz00_6490;

												{	/* Ast/sexp.scm 615 */
													obj_t BgL_pairz00_4334;

													BgL_pairz00_4334 = BgL_stackz00_2531;
													BgL_auxz00_6490 =
														((BgL_localz00_bglt) CAR(BgL_pairz00_4334));
												}
												BgL_auxz00_6489 =
													((BgL_variablez00_bglt) BgL_auxz00_6490);
											}
											BgL_auxz00_6488 =
												(((BgL_variablez00_bglt) CREF(BgL_auxz00_6489))->
												BgL_idz00);
										}
										BgL_testz00_6487 = (BgL_auxz00_6488 == BgL_namez00_35);
									}
									if (BgL_testz00_6487)
										{	/* Ast/sexp.scm 615 */
											BGl_za2cachezd2resza2zd2zzast_sexpz00 =
												CAR(BgL_stackz00_2531);
											return CAR(BgL_stackz00_2531);
										}
									else
										{
											obj_t BgL_stackz00_6498;

											BgL_stackz00_6498 = CDR(BgL_stackz00_2531);
											BgL_stackz00_2531 = BgL_stackz00_6498;
											goto BgL_zc3anonymousza32718ze3z83_2532;
										}
								}
						}
					}
			}
		}
	}



/* &find-local */
	obj_t BGl_z62findzd2localzb0zzast_sexpz00(obj_t BgL_envz00_4493,
		obj_t BgL_namez00_4494, obj_t BgL_stackz00_4495)
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 604 */
			return
				BGl_findzd2localzd2zzast_sexpz00(BgL_namez00_4494, BgL_stackz00_4495);
		}
	}



/* use-variable! */
	BGL_EXPORTED_DEF obj_t
		BGl_usezd2variablez12zc0zzast_sexpz00(BgL_variablez00_bglt BgL_varz00_37,
		obj_t BgL_locz00_38, obj_t BgL_sitez00_39)
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 624 */
			if ((BgL_sitez00_39 == CNST_TABLE_REF(((long) 5))))
				{	/* Ast/sexp.scm 627 */
					obj_t BgL_vz00_4342;

					BgL_vz00_4342 = CNST_TABLE_REF(((long) 34));
					((((BgL_variablez00_bglt) CREF(BgL_varz00_37))->BgL_accessz00) =
						((obj_t) BgL_vz00_4342), BUNSPEC);
				}
			else
				{	/* Ast/sexp.scm 626 */
					BFALSE;
				}
			{	/* Ast/sexp.scm 628 */
				BgL_valuez00_bglt BgL_valz00_2541;

				BgL_valz00_2541 =
					(((BgL_variablez00_bglt) CREF(BgL_varz00_37))->BgL_valuez00);
				{	/* Ast/sexp.scm 629 */
					bool_t BgL_testz00_6507;

					if ((BgL_sitez00_39 == CNST_TABLE_REF(((long) 5))))
						{	/* Ast/sexp.scm 629 */
							bool_t BgL_res3023z00_4348;

							{	/* Ast/sexp.scm 629 */
								obj_t BgL_objz00_4347;

								BgL_objz00_4347 = ((obj_t) BgL_valz00_2541);
								BgL_res3023z00_4348 =
									BGl_isazf3zf3zz__objectz00(BgL_objz00_4347,
									BGl_funz00zzast_varz00);
							}
							BgL_testz00_6507 = BgL_res3023z00_4348;
						}
					else
						{	/* Ast/sexp.scm 629 */
							BgL_testz00_6507 = ((bool_t) 0);
						}
					if (BgL_testz00_6507)
						{	/* Ast/sexp.scm 630 */
							obj_t BgL_arg2727z00_2543;

							BgL_arg2727z00_2543 =
								BGl_shapez00zztools_shapez00(((obj_t) BgL_varz00_37));
							return
								((obj_t)
								BGl_errorzd2sexpzd2ze3nodeze3zzast_sexpz00
								(BGl_string3076z00zzast_sexpz00, BgL_arg2727z00_2543,
									BgL_locz00_38));
						}
					else
						{	/* Ast/sexp.scm 629 */
							return BFALSE;
						}
				}
			}
		}
	}



/* &use-variable! */
	obj_t BGl_z62usezd2variablez12za2zzast_sexpz00(obj_t BgL_envz00_4496,
		obj_t BgL_varz00_4497, obj_t BgL_locz00_4498, obj_t BgL_sitez00_4499)
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 624 */
			return
				BGl_usezd2variablez12zc0zzast_sexpz00(
				((BgL_variablez00_bglt) BgL_varz00_4497), BgL_locz00_4498,
				BgL_sitez00_4499);
		}
	}



/* error-sexp->node */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_errorzd2sexpzd2ze3nodeze3zzast_sexpz00(obj_t BgL_msgz00_40,
		obj_t BgL_expz00_41, obj_t BgL_locz00_42)
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 635 */
			{	/* Ast/sexp.scm 637 */
				obj_t BgL_arg2729z00_2545;
				BgL_nodez00_bglt BgL_arg2730z00_2546;

				BgL_arg2729z00_2545 =
					BGl_shapez00zztools_shapez00(BGl_currentzd2functionzd2zztools_errorz00
					());
				BgL_arg2730z00_2546 =
					BGl_sexpzd2ze3nodez31zzast_sexpz00(CNST_TABLE_REF(((long) 29)), BNIL,
					BgL_locz00_42, CNST_TABLE_REF(((long) 2)));
				{	/* Ast/sexp.scm 636 */
					obj_t BgL_list2731z00_2547;

					BgL_list2731z00_2547 = MAKE_PAIR(((obj_t) BgL_arg2730z00_2546), BNIL);
					return
						((BgL_nodez00_bglt)
						BGl_userzd2errorzf2locationz20zztools_errorz00(BgL_locz00_42,
							BgL_arg2729z00_2545, BgL_msgz00_40, BgL_expz00_41,
							BgL_list2731z00_2547));
				}
			}
		}
	}



/* &error-sexp->node */
	BgL_nodez00_bglt BGl_z62errorzd2sexpzd2ze3nodez81zzast_sexpz00(obj_t
		BgL_envz00_4500, obj_t BgL_msgz00_4501, obj_t BgL_expz00_4502,
		obj_t BgL_locz00_4503)
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 635 */
			return
				BGl_errorzd2sexpzd2ze3nodeze3zzast_sexpz00(BgL_msgz00_4501,
				BgL_expz00_4502, BgL_locz00_4503);
		}
	}



/* define-primop-ref->node */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_definezd2primopzd2refzd2ze3nodez31zzast_sexpz00(BgL_globalz00_bglt
		BgL_globalz00_43, BgL_nodez00_bglt BgL_refz00_44)
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 645 */
			{	/* Ast/sexp.scm 646 */
				BgL_nodez00_bglt BgL_funz00_2549;

				BgL_funz00_2549 =
					BGl_sexpzd2ze3nodez31zzast_sexpz00(CNST_TABLE_REF(((long) 35)), BNIL,
					BFALSE, CNST_TABLE_REF(((long) 31)));
				{	/* Ast/sexp.scm 647 */
					bool_t BgL_testz00_6532;

					{	/* Ast/sexp.scm 647 */
						bool_t BgL_res3024z00_4350;

						{	/* Ast/sexp.scm 647 */
							obj_t BgL_objz00_4349;

							BgL_objz00_4349 = ((obj_t) BgL_funz00_2549);
							BgL_res3024z00_4350 =
								BGl_isazf3zf3zz__objectz00(BgL_objz00_4349,
								BGl_varz00zzast_nodez00);
						}
						BgL_testz00_6532 = BgL_res3024z00_4350;
					}
					if (BgL_testz00_6532)
						{	/* Ast/sexp.scm 648 */
							BgL_appz00_bglt BgL_new1145z00_2551;

							{	/* Ast/sexp.scm 648 */
								BgL_appz00_bglt BgL_new1144z00_2558;

								BgL_new1144z00_2558 =
									((BgL_appz00_bglt) BREF(GC_MALLOC(sizeof(struct
												BgL_appz00_bgl))));
								{	/* Ast/sexp.scm 648 */
									long BgL_arg2740z00_2559;

									{	/* Ast/sexp.scm 648 */
										long BgL_res3025z00_4354;

										{	/* Ast/sexp.scm 648 */
											obj_t BgL_classz00_4351;

											BgL_classz00_4351 = BGl_appz00zzast_nodez00;
											{	/* Ast/sexp.scm 648 */
												obj_t BgL_vectorz00_4352;
												int BgL_kz00_4353;

												BgL_vectorz00_4352 = BgL_classz00_4351;
												BgL_kz00_4353 = (int) (((long) 1));
												BgL_res3025z00_4354 =
													(long) CINT(VECTOR_REF(BgL_vectorz00_4352,
														BgL_kz00_4353));
										}}
										BgL_arg2740z00_2559 = BgL_res3025z00_4354;
									}
									{	/* Ast/sexp.scm 648 */
										BgL_objectz00_bglt BgL_objz00_4355;

										BgL_objz00_4355 =
											((BgL_objectz00_bglt) BgL_new1144z00_2558);
										BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_4355,
											BgL_arg2740z00_2559);
								}}
								{	/* Ast/sexp.scm 648 */
									BgL_objectz00_bglt BgL_auxz00_6541;

									BgL_auxz00_6541 = ((BgL_objectz00_bglt) BgL_new1144z00_2558);
									BGL_OBJECT_WIDENING_SET(BgL_auxz00_6541, BFALSE);
								}
								BgL_new1145z00_2551 = BgL_new1144z00_2558;
							}
							((((BgL_nodez00_bglt) CREF(
											((BgL_nodez00_bglt) BgL_new1145z00_2551)))->BgL_locz00) =
								((obj_t) BFALSE), BUNSPEC);
							((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt)
												BgL_new1145z00_2551)))->BgL_typez00) =
								((BgL_typez00_bglt) ((BgL_typez00_bglt)
										BGl_za2_za2z00zztype_cachez00)), BUNSPEC);
							((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
												BgL_new1145z00_2551)))->BgL_sidezd2effectzd2) =
								((obj_t) BUNSPEC), BUNSPEC);
							((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
												BgL_new1145z00_2551)))->BgL_keyz00) =
								((obj_t) BINT(((long) -1))), BUNSPEC);
							((((BgL_appz00_bglt) CREF(BgL_new1145z00_2551))->BgL_funz00) =
								((BgL_varz00_bglt) ((BgL_varz00_bglt) BgL_funz00_2549)),
								BUNSPEC);
							{
								obj_t BgL_auxz00_6556;

								{	/* Ast/sexp.scm 651 */
									BgL_nodez00_bglt BgL_arg2734z00_2552;

									{	/* Ast/sexp.scm 651 */
										obj_t BgL_arg2737z00_2555;

										{	/* Ast/sexp.scm 651 */
											obj_t BgL_arg2738z00_2556;

											{	/* Ast/sexp.scm 651 */
												obj_t BgL_arg2739z00_2557;

												BgL_arg2739z00_2557 =
													(((BgL_variablez00_bglt) CREF(
															((BgL_variablez00_bglt) BgL_globalz00_43)))->
													BgL_idz00);
												BgL_arg2738z00_2556 =
													MAKE_PAIR(BgL_arg2739z00_2557, BNIL);
											}
											BgL_arg2737z00_2555 =
												MAKE_PAIR(CNST_TABLE_REF(((long) 11)),
												BgL_arg2738z00_2556);
										}
										BgL_arg2734z00_2552 =
											BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_arg2737z00_2555,
											BNIL, BFALSE, CNST_TABLE_REF(((long) 2)));
									}
									{	/* Ast/sexp.scm 651 */
										obj_t BgL_list2735z00_2553;

										{	/* Ast/sexp.scm 651 */
											obj_t BgL_arg2736z00_2554;

											BgL_arg2736z00_2554 =
												MAKE_PAIR(((obj_t) BgL_refz00_44), BNIL);
											BgL_list2735z00_2553 =
												MAKE_PAIR(
												((obj_t) BgL_arg2734z00_2552), BgL_arg2736z00_2554);
										}
										BgL_auxz00_6556 = BgL_list2735z00_2553;
								}}
								((((BgL_appz00_bglt) CREF(BgL_new1145z00_2551))->BgL_argsz00) =
									((obj_t) BgL_auxz00_6556), BUNSPEC);
							}
							return ((BgL_nodez00_bglt) BgL_new1145z00_2551);
						}
					else
						{	/* Ast/sexp.scm 647 */
							return BgL_funz00_2549;
						}
				}
			}
		}
	}



/* &define-primop-ref->node */
	BgL_nodez00_bglt BGl_z62definezd2primopzd2refzd2ze3nodez53zzast_sexpz00(obj_t
		BgL_envz00_4504, obj_t BgL_globalz00_4505, obj_t BgL_refz00_4506)
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 645 */
			return
				BGl_definezd2primopzd2refzd2ze3nodez31zzast_sexpz00(
				((BgL_globalz00_bglt) BgL_globalz00_4505),
				((BgL_nodez00_bglt) BgL_refz00_4506));
		}
	}



/* define-primop->node */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_definezd2primopzd2ze3nodeze3zzast_sexpz00(BgL_globalz00_bglt
		BgL_globalz00_45)
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 657 */
			BGl_usezd2variablez12zc0zzast_sexpz00(
				((BgL_variablez00_bglt) BgL_globalz00_45), BFALSE,
				CNST_TABLE_REF(((long) 2)));
			{	/* Ast/sexp.scm 659 */
				BgL_nodez00_bglt BgL_funz00_2560;

				BgL_funz00_2560 =
					BGl_sexpzd2ze3nodez31zzast_sexpz00(CNST_TABLE_REF(((long) 36)), BNIL,
					BFALSE, CNST_TABLE_REF(((long) 31)));
				{	/* Ast/sexp.scm 660 */
					bool_t BgL_testz00_6579;

					{	/* Ast/sexp.scm 660 */
						bool_t BgL_res3028z00_4363;

						{	/* Ast/sexp.scm 660 */
							obj_t BgL_objz00_4362;

							BgL_objz00_4362 = ((obj_t) BgL_funz00_2560);
							BgL_res3028z00_4363 =
								BGl_isazf3zf3zz__objectz00(BgL_objz00_4362,
								BGl_varz00zzast_nodez00);
						}
						BgL_testz00_6579 = BgL_res3028z00_4363;
					}
					if (BgL_testz00_6579)
						{	/* Ast/sexp.scm 661 */
							BgL_appz00_bglt BgL_new1147z00_2562;

							{	/* Ast/sexp.scm 661 */
								BgL_appz00_bglt BgL_new1146z00_2570;

								BgL_new1146z00_2570 =
									((BgL_appz00_bglt) BREF(GC_MALLOC(sizeof(struct
												BgL_appz00_bgl))));
								{	/* Ast/sexp.scm 661 */
									long BgL_arg2749z00_2571;

									{	/* Ast/sexp.scm 661 */
										long BgL_res3029z00_4367;

										{	/* Ast/sexp.scm 661 */
											obj_t BgL_classz00_4364;

											BgL_classz00_4364 = BGl_appz00zzast_nodez00;
											{	/* Ast/sexp.scm 661 */
												obj_t BgL_vectorz00_4365;
												int BgL_kz00_4366;

												BgL_vectorz00_4365 = BgL_classz00_4364;
												BgL_kz00_4366 = (int) (((long) 1));
												BgL_res3029z00_4367 =
													(long) CINT(VECTOR_REF(BgL_vectorz00_4365,
														BgL_kz00_4366));
										}}
										BgL_arg2749z00_2571 = BgL_res3029z00_4367;
									}
									{	/* Ast/sexp.scm 661 */
										BgL_objectz00_bglt BgL_objz00_4368;

										BgL_objz00_4368 =
											((BgL_objectz00_bglt) BgL_new1146z00_2570);
										BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_4368,
											BgL_arg2749z00_2571);
								}}
								{	/* Ast/sexp.scm 661 */
									BgL_objectz00_bglt BgL_auxz00_6588;

									BgL_auxz00_6588 = ((BgL_objectz00_bglt) BgL_new1146z00_2570);
									BGL_OBJECT_WIDENING_SET(BgL_auxz00_6588, BFALSE);
								}
								BgL_new1147z00_2562 = BgL_new1146z00_2570;
							}
							((((BgL_nodez00_bglt) CREF(
											((BgL_nodez00_bglt) BgL_new1147z00_2562)))->BgL_locz00) =
								((obj_t) BFALSE), BUNSPEC);
							((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt)
												BgL_new1147z00_2562)))->BgL_typez00) =
								((BgL_typez00_bglt) ((BgL_typez00_bglt)
										BGl_za2_za2z00zztype_cachez00)), BUNSPEC);
							((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
												BgL_new1147z00_2562)))->BgL_sidezd2effectzd2) =
								((obj_t) BUNSPEC), BUNSPEC);
							((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
												BgL_new1147z00_2562)))->BgL_keyz00) =
								((obj_t) BINT(((long) -1))), BUNSPEC);
							((((BgL_appz00_bglt) CREF(BgL_new1147z00_2562))->BgL_funz00) =
								((BgL_varz00_bglt) ((BgL_varz00_bglt) BgL_funz00_2560)),
								BUNSPEC);
							{
								obj_t BgL_auxz00_6603;

								{	/* Ast/sexp.scm 664 */
									BgL_nodez00_bglt BgL_arg2742z00_2563;
									BgL_nodez00_bglt BgL_arg2743z00_2564;

									{	/* Ast/sexp.scm 664 */
										obj_t BgL_arg2746z00_2567;

										{	/* Ast/sexp.scm 664 */
											obj_t BgL_arg2747z00_2568;

											{	/* Ast/sexp.scm 664 */
												obj_t BgL_arg2748z00_2569;

												BgL_arg2748z00_2569 =
													(((BgL_variablez00_bglt) CREF(
															((BgL_variablez00_bglt) BgL_globalz00_45)))->
													BgL_idz00);
												BgL_arg2747z00_2568 =
													MAKE_PAIR(BgL_arg2748z00_2569, BNIL);
											}
											BgL_arg2746z00_2567 =
												MAKE_PAIR(CNST_TABLE_REF(((long) 11)),
												BgL_arg2747z00_2568);
										}
										BgL_arg2742z00_2563 =
											BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_arg2746z00_2567,
											BNIL, BFALSE, CNST_TABLE_REF(((long) 2)));
									}
									BgL_arg2743z00_2564 =
										BGl_sexpzd2ze3nodez31zzast_sexpz00(
										((obj_t) BgL_globalz00_45), BNIL, BFALSE,
										CNST_TABLE_REF(((long) 2)));
									{	/* Ast/sexp.scm 664 */
										obj_t BgL_list2744z00_2565;

										{	/* Ast/sexp.scm 664 */
											obj_t BgL_arg2745z00_2566;

											BgL_arg2745z00_2566 =
												MAKE_PAIR(((obj_t) BgL_arg2743z00_2564), BNIL);
											BgL_list2744z00_2565 =
												MAKE_PAIR(
												((obj_t) BgL_arg2742z00_2563), BgL_arg2745z00_2566);
										}
										BgL_auxz00_6603 = BgL_list2744z00_2565;
								}}
								((((BgL_appz00_bglt) CREF(BgL_new1147z00_2562))->BgL_argsz00) =
									((obj_t) BgL_auxz00_6603), BUNSPEC);
							}
							return ((BgL_nodez00_bglt) BgL_new1147z00_2562);
						}
					else
						{	/* Ast/sexp.scm 660 */
							return BgL_funz00_2560;
						}
				}
			}
		}
	}



/* &define-primop->node */
	BgL_nodez00_bglt BGl_z62definezd2primopzd2ze3nodez81zzast_sexpz00(obj_t
		BgL_envz00_4507, obj_t BgL_globalz00_4508)
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 657 */
			return
				BGl_definezd2primopzd2ze3nodeze3zzast_sexpz00(
				((BgL_globalz00_bglt) BgL_globalz00_4508));
		}
	}



/* location->node */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_locationzd2ze3nodez31zzast_sexpz00(BgL_globalz00_bglt BgL_globalz00_46)
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 671 */
			BGl_usezd2variablez12zc0zzast_sexpz00(
				((BgL_variablez00_bglt) BgL_globalz00_46), BFALSE,
				CNST_TABLE_REF(((long) 2)));
			{	/* Ast/sexp.scm 673 */
				BgL_nodez00_bglt BgL_funz00_2572;

				BgL_funz00_2572 =
					BGl_sexpzd2ze3nodez31zzast_sexpz00(CNST_TABLE_REF(((long) 37)), BNIL,
					BFALSE, CNST_TABLE_REF(((long) 31)));
				{	/* Ast/sexp.scm 674 */
					bool_t BgL_testz00_6628;

					{	/* Ast/sexp.scm 674 */
						bool_t BgL_res3032z00_4376;

						{	/* Ast/sexp.scm 674 */
							obj_t BgL_objz00_4375;

							BgL_objz00_4375 = ((obj_t) BgL_funz00_2572);
							BgL_res3032z00_4376 =
								BGl_isazf3zf3zz__objectz00(BgL_objz00_4375,
								BGl_varz00zzast_nodez00);
						}
						BgL_testz00_6628 = BgL_res3032z00_4376;
					}
					if (BgL_testz00_6628)
						{	/* Ast/sexp.scm 675 */
							obj_t BgL_exprz00_2574;

							{	/* Ast/sexp.scm 675 */
								bool_t BgL_testz00_6631;

								{	/* Ast/sexp.scm 675 */
									obj_t BgL_arg2757z00_2583;

									BgL_arg2757z00_2583 =
										BGl_thezd2backendzd2zzbackend_backendz00();
									BgL_testz00_6631 =
										(((BgL_backendz00_bglt) CREF(
												((BgL_backendz00_bglt) BgL_arg2757z00_2583)))->
										BgL_pragmazd2supportzd2);
								}
								if (BgL_testz00_6631)
									{	/* Ast/sexp.scm 676 */
										obj_t BgL_arg2755z00_2581;

										{	/* Ast/sexp.scm 676 */
											obj_t BgL_arg2756z00_2582;

											BgL_arg2756z00_2582 =
												MAKE_PAIR(((obj_t) BgL_globalz00_46), BNIL);
											BgL_arg2755z00_2581 =
												MAKE_PAIR(BGl_string3077z00zzast_sexpz00,
												BgL_arg2756z00_2582);
										}
										BgL_exprz00_2574 =
											MAKE_PAIR(CNST_TABLE_REF(((long) 38)),
											BgL_arg2755z00_2581);
									}
								else
									{	/* Ast/sexp.scm 675 */
										BgL_exprz00_2574 = ((obj_t) BgL_globalz00_46);
									}
							}
							{	/* Ast/sexp.scm 678 */
								BgL_appz00_bglt BgL_new1149z00_2575;

								{	/* Ast/sexp.scm 678 */
									BgL_appz00_bglt BgL_new1148z00_2578;

									BgL_new1148z00_2578 =
										((BgL_appz00_bglt) BREF(GC_MALLOC(sizeof(struct
													BgL_appz00_bgl))));
									{	/* Ast/sexp.scm 678 */
										long BgL_arg2753z00_2579;

										{	/* Ast/sexp.scm 678 */
											long BgL_res3034z00_4383;

											{	/* Ast/sexp.scm 678 */
												obj_t BgL_classz00_4380;

												BgL_classz00_4380 = BGl_appz00zzast_nodez00;
												{	/* Ast/sexp.scm 678 */
													obj_t BgL_vectorz00_4381;
													int BgL_kz00_4382;

													BgL_vectorz00_4381 = BgL_classz00_4380;
													BgL_kz00_4382 = (int) (((long) 1));
													BgL_res3034z00_4383 =
														(long) CINT(VECTOR_REF(BgL_vectorz00_4381,
															BgL_kz00_4382));
											}}
											BgL_arg2753z00_2579 = BgL_res3034z00_4383;
										}
										{	/* Ast/sexp.scm 678 */
											BgL_objectz00_bglt BgL_objz00_4384;

											BgL_objz00_4384 =
												((BgL_objectz00_bglt) BgL_new1148z00_2578);
											BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_4384,
												BgL_arg2753z00_2579);
									}}
									{	/* Ast/sexp.scm 678 */
										BgL_objectz00_bglt BgL_auxz00_6647;

										BgL_auxz00_6647 =
											((BgL_objectz00_bglt) BgL_new1148z00_2578);
										BGL_OBJECT_WIDENING_SET(BgL_auxz00_6647, BFALSE);
									}
									BgL_new1149z00_2575 = BgL_new1148z00_2578;
								}
								((((BgL_nodez00_bglt) CREF(
												((BgL_nodez00_bglt) BgL_new1149z00_2575)))->
										BgL_locz00) = ((obj_t) BFALSE), BUNSPEC);
								((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt)
													BgL_new1149z00_2575)))->BgL_typez00) =
									((BgL_typez00_bglt)
										BGl_strictzd2nodezd2typez00zzast_nodez00(((BgL_typez00_bglt)
												BGl_za2_za2z00zztype_cachez00),
											((BgL_typez00_bglt) BGl_za2objza2z00zztype_cachez00))),
									BUNSPEC);
								((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
													BgL_new1149z00_2575)))->BgL_sidezd2effectzd2) =
									((obj_t) BUNSPEC), BUNSPEC);
								((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
													BgL_new1149z00_2575)))->BgL_keyz00) =
									((obj_t) BINT(((long) -1))), BUNSPEC);
								((((BgL_appz00_bglt) CREF(BgL_new1149z00_2575))->BgL_funz00) =
									((BgL_varz00_bglt) ((BgL_varz00_bglt) BgL_funz00_2572)),
									BUNSPEC);
								{
									obj_t BgL_auxz00_6664;

									{	/* Ast/sexp.scm 681 */
										BgL_nodez00_bglt BgL_arg2751z00_2576;

										BgL_arg2751z00_2576 =
											BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_exprz00_2574, BNIL,
											BFALSE, CNST_TABLE_REF(((long) 2)));
										{	/* Ast/sexp.scm 681 */
											obj_t BgL_list2752z00_2577;

											BgL_list2752z00_2577 =
												MAKE_PAIR(((obj_t) BgL_arg2751z00_2576), BNIL);
											BgL_auxz00_6664 = BgL_list2752z00_2577;
									}}
									((((BgL_appz00_bglt) CREF(BgL_new1149z00_2575))->
											BgL_argsz00) = ((obj_t) BgL_auxz00_6664), BUNSPEC);
								}
								return ((BgL_nodez00_bglt) BgL_new1149z00_2575);
							}
						}
					else
						{	/* Ast/sexp.scm 674 */
							return BgL_funz00_2572;
						}
				}
			}
		}
	}



/* &location->node */
	BgL_nodez00_bglt BGl_z62locationzd2ze3nodez53zzast_sexpz00(obj_t
		BgL_envz00_4509, obj_t BgL_globalz00_4510)
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 671 */
			return
				BGl_locationzd2ze3nodez31zzast_sexpz00(
				((BgL_globalz00_bglt) BgL_globalz00_4510));
		}
	}



/* make-anonymous-name */
	BGL_EXPORTED_DEF obj_t BGl_makezd2anonymouszd2namez00zzast_sexpz00(obj_t
		BgL_locz00_47, obj_t BgL_prefz00_48)
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 687 */
			{	/* Ast/sexp.scm 688 */
				obj_t BgL_prefz00_2584;

				{	/* Ast/sexp.scm 688 */
					bool_t BgL_testz00_6673;

					if (PAIRP(BgL_prefz00_48))
						{	/* Ast/sexp.scm 688 */
							obj_t BgL_auxz00_6676;

							BgL_auxz00_6676 = CAR(BgL_prefz00_48);
							BgL_testz00_6673 = STRINGP(BgL_auxz00_6676);
						}
					else
						{	/* Ast/sexp.scm 688 */
							BgL_testz00_6673 = ((bool_t) 0);
						}
					if (BgL_testz00_6673)
						{	/* Ast/sexp.scm 688 */
							BgL_prefz00_2584 = CAR(BgL_prefz00_48);
						}
					else
						{	/* Ast/sexp.scm 688 */
							BgL_prefz00_2584 = BGl_string3078z00zzast_sexpz00;
						}
				}
				{	/* Ast/sexp.scm 691 */
					bool_t BgL_testz00_6680;

					if (STRUCTP(BgL_locz00_47))
						{	/* Ast/sexp.scm 691 */
							BgL_testz00_6680 =
								(STRUCT_KEY(BgL_locz00_47) == CNST_TABLE_REF(((long) 39)));
						}
					else
						{	/* Ast/sexp.scm 691 */
							BgL_testz00_6680 = ((bool_t) 0);
						}
					if (BgL_testz00_6680)
						{	/* Ast/sexp.scm 692 */
							obj_t BgL_filez00_2586;
							obj_t BgL_linez00_2587;
							obj_t BgL_basez00_2588;

							BgL_filez00_2586 =
								BGl_locationzd2fullzd2fnamez00zztools_locationz00
								(BgL_locz00_47);
							BgL_linez00_2587 = STRUCT_REF(BgL_locz00_47, (int) (((long) 2)));
							{	/* Ast/sexp.scm 694 */
								obj_t BgL_arg2777z00_2610;

								BgL_arg2777z00_2610 =
									BGl_gensymz00zz__r4_symbols_6_4z00(string_append_3
									(BGl_string3079z00zzast_sexpz00, BgL_prefz00_2584,
										BGl_string3080z00zzast_sexpz00));
								{	/* Ast/sexp.scm 694 */
									obj_t BgL_res3040z00_4406;

									{	/* Ast/sexp.scm 694 */
										obj_t BgL_arg1291z00_4405;

										BgL_arg1291z00_4405 = SYMBOL_TO_STRING(BgL_arg2777z00_2610);
										BgL_res3040z00_4406 =
											BGl_stringzd2copyzd2zz__r4_strings_6_7z00
											(BgL_arg1291z00_4405);
									}
									BgL_basez00_2588 = BgL_res3040z00_4406;
							}}
							{	/* Ast/sexp.scm 696 */
								bool_t BgL_testz00_6693;

								{	/* Ast/sexp.scm 696 */
									bool_t BgL_testz00_6694;

									if (
										((long) CINT(BGl_za2bdbzd2debugza2zd2zzengine_paramz00) >=
											((long) 1)))
										{	/* Ast/sexp.scm 697 */
											obj_t BgL_arg2775z00_2608;

											{	/* Ast/sexp.scm 697 */
												obj_t BgL_arg2776z00_2609;

												BgL_arg2776z00_2609 =
													BGl_thezd2backendzd2zzbackend_backendz00();
												BgL_arg2775z00_2608 =
													(((BgL_backendz00_bglt) CREF(
															((BgL_backendz00_bglt) BgL_arg2776z00_2609)))->
													BgL_debugzd2supportzd2);
											}
											BgL_testz00_6694 =
												CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
												(CNST_TABLE_REF(((long) 40)), BgL_arg2775z00_2608));
										}
									else
										{	/* Ast/sexp.scm 696 */
											BgL_testz00_6694 = ((bool_t) 0);
										}
									if (BgL_testz00_6694)
										{	/* Ast/sexp.scm 696 */
											BgL_testz00_6693 = ((bool_t) 1);
										}
									else
										{	/* Ast/sexp.scm 696 */
											BgL_testz00_6693 =
												(
												(long)
												CINT(BGl_za2compilerzd2debugza2zd2zzengine_paramz00) >=
												((long) 1));
								}}
								if (BgL_testz00_6693)
									{	/* Ast/sexp.scm 699 */
										obj_t BgL_filez00_2590;

										if (bigloo_strncmp(BgL_filez00_2586,
												BGl_string3081z00zzast_sexpz00, ((long) 2)))
											{	/* Ast/sexp.scm 699 */
												BgL_filez00_2590 =
													c_substring(BgL_filez00_2586, ((long) 2),
													STRING_LENGTH(BgL_filez00_2586));
											}
										else
											{	/* Ast/sexp.scm 699 */
												BgL_filez00_2590 = BgL_filez00_2586;
											}
										{	/* Ast/sexp.scm 704 */
											obj_t BgL_arg2760z00_2591;

											{	/* Ast/sexp.scm 704 */
												obj_t BgL_arg2761z00_2592;
												obj_t BgL_arg2762z00_2593;

												BgL_arg2761z00_2592 =
													BGl_stringzd2replacezd2zz__r4_strings_6_7z00
													(BgL_filez00_2590, (char) (((unsigned char) '.')),
													(char) (((unsigned char) ',')));
												{	/* Ast/sexp.scm 705 */

													BgL_arg2762z00_2593 =
														BGl_numberzd2ze3stringz31zz__r4_numbers_6_5z00
														(BgL_linez00_2587, BINT(((long) 10)));
												}
												{	/* Ast/sexp.scm 703 */
													obj_t BgL_list2763z00_2594;

													{	/* Ast/sexp.scm 703 */
														obj_t BgL_arg2764z00_2595;

														{	/* Ast/sexp.scm 703 */
															obj_t BgL_arg2765z00_2596;

															{	/* Ast/sexp.scm 703 */
																obj_t BgL_arg2766z00_2597;

																{	/* Ast/sexp.scm 703 */
																	obj_t BgL_arg2767z00_2598;

																	{	/* Ast/sexp.scm 703 */
																		obj_t BgL_arg2768z00_2599;

																		BgL_arg2768z00_2599 =
																			MAKE_PAIR(BGl_string3082z00zzast_sexpz00,
																			BNIL);
																		BgL_arg2767z00_2598 =
																			MAKE_PAIR(BgL_arg2762z00_2593,
																			BgL_arg2768z00_2599);
																	}
																	BgL_arg2766z00_2597 =
																		MAKE_PAIR(BGl_string3080z00zzast_sexpz00,
																		BgL_arg2767z00_2598);
																}
																BgL_arg2765z00_2596 =
																	MAKE_PAIR(BgL_arg2761z00_2592,
																	BgL_arg2766z00_2597);
															}
															BgL_arg2764z00_2595 =
																MAKE_PAIR(BGl_string3080z00zzast_sexpz00,
																BgL_arg2765z00_2596);
														}
														BgL_list2763z00_2594 =
															MAKE_PAIR(BgL_basez00_2588, BgL_arg2764z00_2595);
													}
													BgL_arg2760z00_2591 =
														BGl_stringzd2appendzd2zz__r4_strings_6_7z00
														(BgL_list2763z00_2594);
											}}
											return
												string_to_symbol(BSTRING_TO_STRING
												(BgL_arg2760z00_2591));
										}
									}
								else
									{	/* Ast/sexp.scm 708 */
										obj_t BgL_arg2771z00_2604;

										BgL_arg2771z00_2604 =
											BGl_stringzd2replacezd2zz__r4_strings_6_7z00(string_append
											(BgL_basez00_2588, BGl_string3082z00zzast_sexpz00),
											(char) (((unsigned char) '.')),
											(char) (((unsigned char) ',')));
										{	/* Ast/sexp.scm 708 */
											obj_t BgL_res3048z00_4429;

											{	/* Ast/sexp.scm 708 */
												obj_t BgL_stringz00_4428;

												BgL_stringz00_4428 = BgL_arg2771z00_2604;
												BgL_res3048z00_4429 =
													string_to_symbol(BSTRING_TO_STRING
													(BgL_stringz00_4428));
											}
											return BgL_res3048z00_4429;
										}
									}
							}
						}
					else
						{	/* Ast/sexp.scm 709 */
							obj_t BgL_arg2779z00_2612;

							{	/* Ast/sexp.scm 709 */
								obj_t BgL_arg2780z00_2613;
								obj_t BgL_arg2781z00_2614;

								{	/* Ast/sexp.scm 709 */
									obj_t BgL_arg2782z00_2615;

									BgL_arg2782z00_2615 =
										BGl_gensymz00zz__r4_symbols_6_4z00(string_append_3
										(BGl_string3079z00zzast_sexpz00, BgL_prefz00_2584,
											BGl_string3083z00zzast_sexpz00));
									{	/* Ast/sexp.scm 709 */
										obj_t BgL_res3049z00_4432;

										{	/* Ast/sexp.scm 709 */
											obj_t BgL_arg1291z00_4431;

											BgL_arg1291z00_4431 =
												SYMBOL_TO_STRING(BgL_arg2782z00_2615);
											BgL_res3049z00_4432 =
												BGl_stringzd2copyzd2zz__r4_strings_6_7z00
												(BgL_arg1291z00_4431);
										}
										BgL_arg2780z00_2613 = BgL_res3049z00_4432;
									}
								}
								{	/* Ast/sexp.scm 709 */
									obj_t BgL_res3050z00_4435;

									{	/* Ast/sexp.scm 709 */
										obj_t BgL_symbolz00_4433;

										BgL_symbolz00_4433 = CNST_TABLE_REF(((long) 41));
										{	/* Ast/sexp.scm 709 */
											obj_t BgL_arg1291z00_4434;

											BgL_arg1291z00_4434 =
												SYMBOL_TO_STRING(BgL_symbolz00_4433);
											BgL_res3050z00_4435 =
												BGl_stringzd2copyzd2zz__r4_strings_6_7z00
												(BgL_arg1291z00_4434);
									}}
									BgL_arg2781z00_2614 = BgL_res3050z00_4435;
								}
								BgL_arg2779z00_2612 =
									string_append(BgL_arg2780z00_2613, BgL_arg2781z00_2614);
							}
							return string_to_symbol(BSTRING_TO_STRING(BgL_arg2779z00_2612));
						}
				}
			}
		}
	}



/* &make-anonymous-name */
	obj_t BGl_z62makezd2anonymouszd2namez62zzast_sexpz00(obj_t BgL_envz00_4511,
		obj_t BgL_locz00_4512, obj_t BgL_prefz00_4513)
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 687 */
			return
				BGl_makezd2anonymouszd2namez00zzast_sexpz00(BgL_locz00_4512,
				BgL_prefz00_4513);
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzast_sexpz00()
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 14 */
			return BUNSPEC;
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzast_sexpz00()
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 14 */
			return BUNSPEC;
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzast_sexpz00()
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 14 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzast_sexpz00()
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 14 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 311980),
				BSTRING_TO_STRING(BGl_string3084z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string3084z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string3084z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zztools_prognz00(((long) 301998274),
				BSTRING_TO_STRING(BGl_string3084z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zztools_locationz00(((long) 462333240),
				BSTRING_TO_STRING(BGl_string3084z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zztools_miscz00(((long) 9470071),
				BSTRING_TO_STRING(BGl_string3084z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zztools_dssslz00(((long) 275867955),
				BSTRING_TO_STRING(BGl_string3084z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string3084z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zztype_envz00(((long) 296457443),
				BSTRING_TO_STRING(BGl_string3084z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 39783537),
				BSTRING_TO_STRING(BGl_string3084z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zzobject_classz00(((long) 481724379),
				BSTRING_TO_STRING(BGl_string3084z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zztype_typeofz00(((long) 222352192),
				BSTRING_TO_STRING(BGl_string3084z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 1407764),
				BSTRING_TO_STRING(BGl_string3084z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zzbackend_backendz00(((long) 57787772),
				BSTRING_TO_STRING(BGl_string3084z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zzast_identz00(((long) 174885617),
				BSTRING_TO_STRING(BGl_string3084z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zzast_envz00(((long) 53901219),
				BSTRING_TO_STRING(BGl_string3084z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string3084z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 353660849),
				BSTRING_TO_STRING(BGl_string3084z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zzast_buildz00(((long) 428035925),
				BSTRING_TO_STRING(BGl_string3084z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zzast_pragmaz00(((long) 28685330),
				BSTRING_TO_STRING(BGl_string3084z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zzast_labelsz00(((long) 129879154),
				BSTRING_TO_STRING(BGl_string3084z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zzast_letz00(((long) 254806301),
				BSTRING_TO_STRING(BGl_string3084z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zzast_exitz00(((long) 419066125),
				BSTRING_TO_STRING(BGl_string3084z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zzast_appz00(((long) 449859288),
				BSTRING_TO_STRING(BGl_string3084z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zzast_applyz00(((long) 277780830),
				BSTRING_TO_STRING(BGl_string3084z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zzast_privatez00(((long) 296989457),
				BSTRING_TO_STRING(BGl_string3084z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zzast_objectz00(((long) 115318774),
				BSTRING_TO_STRING(BGl_string3084z00zzast_sexpz00));
			return
				BGl_modulezd2initializa7ationz75zzeffect_feffectz00(((long) 516374368),
				BSTRING_TO_STRING(BGl_string3084z00zzast_sexpz00));
		}
	}

#ifdef __cplusplus
}
#endif
