/*===========================================================================*/
/*   (Effect/cgraph.scm)                                                     */
/*   Bigloo (3.8a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Thu Mar 29 06:52:41 CEST 2012       */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/3.8a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Effect/cgraph.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_nodezf2effectzf2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
	}                       *BgL_nodezf2effectzf2_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_selectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_selectz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_localzf2fromzf2_bgl
	{
		obj_t BgL_fromz00;
	}                      *BgL_localzf2fromzf2_bglt;

	typedef struct BgL_globalzf2fromzf2_bgl
	{
		obj_t BgL_fromz00;
	}                       *BgL_globalzf2fromzf2_bglt;


	static obj_t BGl_z62globalzf2fromzd2modulez42zzeffect_cgraphz00(obj_t, obj_t);
	static obj_t BGl_z62globalzf2fromzd2occurrencez42zzeffect_cgraphz00(obj_t,
		obj_t);
	static obj_t BGl_z62callzd2graphz121933za2zzeffect_cgraphz00(obj_t,
		BgL_nodez00_bglt, BgL_variablez00_bglt);
	static obj_t BGl_z62localzf2fromzd2accessz42zzeffect_cgraphz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2fromzd2evalzf3zd2setz12z13zzeffect_cgraphz00
		(BgL_globalz00_bglt, bool_t);
	static BgL_typez00_bglt
		BGl_z62globalzf2fromzd2typez42zzeffect_cgraphz00(obj_t, obj_t);
	static obj_t
		BGl_z62globalzf2fromzd2occurrencezd2setz12z82zzeffect_cgraphz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2fromzd2fromz20zzeffect_cgraphz00(BgL_globalz00_bglt);
	static obj_t BGl_z62getzd2varzf2allz42zzeffect_cgraphz00(obj_t);
	static obj_t BGl_z62globalzf2fromzd2initz42zzeffect_cgraphz00(obj_t, obj_t);
	static obj_t BGl_z62globalzf2fromzd2importz42zzeffect_cgraphz00(obj_t, obj_t);
	extern obj_t BGl_sfunz00zzast_varz00;
	static obj_t
		BGl_z62globalzf2fromzd2userzf3zd2setz12z71zzeffect_cgraphz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62localzf2fromzd2occurrencewz42zzeffect_cgraphz00(obj_t,
		obj_t);
	extern obj_t BGl_sequencez00zzast_nodez00;
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	extern obj_t BGl_failz00zzast_nodez00;
	static obj_t
		BGl_z62callzd2graphz12zd2letzd2fun1957za2zzeffect_cgraphz00(obj_t,
		BgL_letzd2funzd2_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_localzf2fromzd2accesszd2setz12ze0zzeffect_cgraphz00(BgL_localz00_bglt,
		obj_t);
	static obj_t BGl_z62savezd2callz12zd2global1973z70zzeffect_cgraphz00(obj_t,
		BgL_globalz00_bglt, obj_t);
	static obj_t BGl_objectzd2initzd2zzeffect_cgraphz00();
	static obj_t BGl_z62globalzf2fromzd2srczd2setz12z82zzeffect_cgraphz00(obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_localzf2fromzd2removablezd2setz12ze0zzeffect_cgraphz00
		(BgL_localz00_bglt, obj_t);
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	static obj_t BGl_z62globalzf2fromzd2fastzd2alphaz90zzeffect_cgraphz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2fromzd2removablezd2setz12ze0zzeffect_cgraphz00
		(BgL_globalz00_bglt, obj_t);
	static obj_t BGl_z62callzd2graphz12zd2fail1952z70zzeffect_cgraphz00(obj_t,
		BgL_failz00_bglt, obj_t);
	static BgL_valuez00_bglt
		BGl_z62localzf2fromzd2valuez42zzeffect_cgraphz00(obj_t, obj_t);
	static obj_t BGl_z62localzf2fromzd2userzf3zb1zzeffect_cgraphz00(obj_t, obj_t);
	BGL_EXPORTED_DECL long
		BGl_globalzf2fromzd2occurrencewz20zzeffect_cgraphz00(BgL_globalz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2fromzd2srczd2setz12ze0zzeffect_cgraphz00(BgL_globalz00_bglt,
		obj_t);
	BGL_IMPORT bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzeffect_cgraphz00();
	static obj_t
		BGl_z62globalzf2fromzd2evalzf3zd2setz12z71zzeffect_cgraphz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2fromzd2srcz20zzeffect_cgraphz00(BgL_globalz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_localzf2fromzd2valuezd2setz12ze0zzeffect_cgraphz00(BgL_localz00_bglt,
		BgL_valuez00_bglt);
	extern obj_t BGl_externz00zzast_nodez00;
	static obj_t
		BGl_z62globalzf2fromzd2occurrencewzd2setz12z82zzeffect_cgraphz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL long
		BGl_localzf2fromzd2occurrencez20zzeffect_cgraphz00(BgL_localz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2fromzd2importzd2setz12ze0zzeffect_cgraphz00(BgL_globalz00_bglt,
		obj_t);
	BGL_EXPORTED_DECL BgL_valuez00_bglt
		BGl_globalzf2fromzd2valuez20zzeffect_cgraphz00(BgL_globalz00_bglt);
	BGL_EXPORTED_DECL bool_t
		BGl_globalzf2fromzd2userzf3zd3zzeffect_cgraphz00(BgL_globalz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2fromzd2modulez20zzeffect_cgraphz00(BgL_globalz00_bglt);
	static obj_t
		BGl_z62callzd2graphz12zd2boxzd2setz121969zb0zzeffect_cgraphz00(obj_t,
		BgL_boxzd2setz12zc0_bglt, obj_t);
	static obj_t
		BGl_z62callzd2graphz12zd2setzd2exzd2i1961z70zzeffect_cgraphz00(obj_t,
		BgL_setzd2exzd2itz00_bglt, obj_t);
	static obj_t BGl_z62callzd2graphz12zd2conditio1950z70zzeffect_cgraphz00(obj_t,
		BgL_conditionalz00_bglt, obj_t);
	static obj_t
		BGl_z62callzd2graphz12zd2makezd2box1965za2zzeffect_cgraphz00(obj_t,
		BgL_makezd2boxzd2_bglt, obj_t);
	BGL_EXPORTED_DECL long
		BGl_localzf2fromzd2keyz20zzeffect_cgraphz00(BgL_localz00_bglt);
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62localzf2fromzd2valuezd2setz12z82zzeffect_cgraphz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_localzf2fromzd2namez20zzeffect_cgraphz00(BgL_localz00_bglt);
	static obj_t BGl_z62localzf2fromzd2accesszd2setz12z82zzeffect_cgraphz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_localzf2fromzd2userzf3zd2setz12z13zzeffect_cgraphz00(BgL_localz00_bglt,
		bool_t);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2fromzd2importz20zzeffect_cgraphz00(BgL_globalz00_bglt);
	static obj_t BGl_z62localzf2fromzd2occurrencez42zzeffect_cgraphz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_localzf2fromzd2occurrencewzd2setz12ze0zzeffect_cgraphz00
		(BgL_localz00_bglt, long);
	BGL_EXPORTED_DECL obj_t
		BGl_localzf2fromzd2fastzd2alphazd2setz12z32zzeffect_cgraphz00
		(BgL_localz00_bglt, obj_t);
	static obj_t
		BGl_z62callzd2graphz12zd2letzd2var1959za2zzeffect_cgraphz00(obj_t,
		BgL_letzd2varzd2_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2fromzd2idz20zzeffect_cgraphz00(BgL_globalz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2fromzd2pragmazd2setz12ze0zzeffect_cgraphz00(BgL_globalz00_bglt,
		obj_t);
	static BgL_localz00_bglt
		BGl_z62localzf2fromzd2nilz42zzeffect_cgraphz00(obj_t);
	extern obj_t BGl_cfunz00zzast_varz00;
	extern obj_t BGl_appzd2lyzd2zzast_nodez00;
	static obj_t
		BGl_z62localzf2fromzd2occurrencezd2setz12z82zzeffect_cgraphz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_localzf2fromzd2accessz20zzeffect_cgraphz00(BgL_localz00_bglt);
	static obj_t BGl_z62globalzf2fromzd2evalzf3zb1zzeffect_cgraphz00(obj_t,
		obj_t);
	static obj_t
		BGl_z62globalzf2fromzd2libraryzd2setz12z82zzeffect_cgraphz00(obj_t, obj_t,
		obj_t);
	static obj_t
		BGl_z62localzf2fromzd2userzf3zd2setz12z71zzeffect_cgraphz00(obj_t, obj_t,
		obj_t);
	static obj_t
		BGl_z62savezd2callz12zd2globalzf2fr1976z82zzeffect_cgraphz00(obj_t,
		BgL_globalz00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_localzf2fromzd2fastzd2alphazf2zzeffect_cgraphz00(BgL_localz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2fromzd2namez20zzeffect_cgraphz00(BgL_globalz00_bglt);
	static BgL_globalz00_bglt
		BGl_z62makezd2globalzf2fromz42zzeffect_cgraphz00(obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2fromzd2accesszd2setz12ze0zzeffect_cgraphz00(BgL_globalz00_bglt,
		obj_t);
	static obj_t BGl_savezd2callz12zc0zzeffect_cgraphz00(BgL_variablez00_bglt,
		BgL_variablez00_bglt);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_localzf2fromzd2typez20zzeffect_cgraphz00(BgL_localz00_bglt);
	BGL_IMPORT obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t,
		long, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62globalzf2fromzd2pragmaz42zzeffect_cgraphz00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_globalzf2fromzf3z01zzeffect_cgraphz00(obj_t);
	static obj_t BGl_z62globalzf2fromzd2accessz42zzeffect_cgraphz00(obj_t, obj_t);
	static obj_t BGl_z62savezd2callz12za2zzeffect_cgraphz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_globalz00_bglt
		BGl_globalzf2fromzd2nilz20zzeffect_cgraphz00();
	static obj_t BGl_z62localzf2fromzd2fastzd2alphaz90zzeffect_cgraphz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2fromzd2occurrencezd2setz12ze0zzeffect_cgraphz00
		(BgL_globalz00_bglt, long);
	static obj_t BGl_z62callzd2graphz12zd2app1938z70zzeffect_cgraphz00(obj_t,
		BgL_appz00_bglt, obj_t);
	static obj_t BGl_z62globalzf2fromzd2occurrencewz42zzeffect_cgraphz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_localzf2fromzd2idz20zzeffect_cgraphz00(BgL_localz00_bglt);
	static obj_t BGl_z62funzd2callzd2graphz12z70zzeffect_cgraphz00(obj_t, obj_t);
	static obj_t BGl_za2varzf2allza2zf2zzeffect_cgraphz00 = BUNSPEC;
	BGL_IMPORT obj_t BGl_classzd2nilzd2zz__objectz00(obj_t);
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_globalzf2fromzd2typez20zzeffect_cgraphz00(BgL_globalz00_bglt);
	extern obj_t BGl_variablez00zzast_varz00;
	static obj_t BGl_z62getzd2varzf2sidezd2effectz90zzeffect_cgraphz00(obj_t);
	static obj_t
		BGl_z62globalzf2fromzd2evaluablezf3zd2setz12z71zzeffect_cgraphz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_conditionalz00zzast_nodez00;
	static obj_t BGl_z62localzf2fromzd2fromz42zzeffect_cgraphz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2fromzd2initz20zzeffect_cgraphz00(BgL_globalz00_bglt);
	static obj_t BGl_z62localzf2fromzd2removablez42zzeffect_cgraphz00(obj_t,
		obj_t);
	static BgL_localz00_bglt
		BGl_z62makezd2localzf2fromz42zzeffect_cgraphz00(obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static BgL_localz00_bglt
		BGl_z62zc3anonymousza32008ze3ze1zzeffect_cgraphz00(obj_t, obj_t);
	static obj_t
		BGl_z62globalzf2fromzd2importzd2setz12z82zzeffect_cgraphz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_callzd2graphz12zc0zzeffect_cgraphz00(BgL_nodez00_bglt,
		BgL_variablez00_bglt);
	extern obj_t BGl_selectz00zzast_nodez00;
	BGL_EXPORTED_DECL obj_t
		BGl_localzf2fromzd2removablez20zzeffect_cgraphz00(BgL_localz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2fromzd2occurrencewzd2setz12ze0zzeffect_cgraphz00
		(BgL_globalz00_bglt, long);
	extern obj_t BGl_setqz00zzast_nodez00;
	static obj_t
		BGl_z62globalzf2fromzd2fastzd2alphazd2setz12z50zzeffect_cgraphz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzeffect_cgraphz00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2fromzd2removablez20zzeffect_cgraphz00(BgL_globalz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2fromzd2modulezd2setz12ze0zzeffect_cgraphz00(BgL_globalz00_bglt,
		obj_t);
	BGL_EXPORTED_DECL BgL_valuez00_bglt
		BGl_localzf2fromzd2valuez20zzeffect_cgraphz00(BgL_localz00_bglt);
	static obj_t
		BGl_z62globalzf2fromzd2pragmazd2setz12z82zzeffect_cgraphz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_localzf2fromzd2userzf3zd3zzeffect_cgraphz00(BgL_localz00_bglt);
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2fromzd2jvmzd2typezd2namez20zzeffect_cgraphz00
		(BgL_globalz00_bglt);
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62localzf2fromzd2removablezd2setz12z82zzeffect_cgraphz00(obj_t, obj_t,
		obj_t);
	static obj_t
		BGl_markzd2sidezd2effectz12z12zzeffect_cgraphz00(BgL_variablez00_bglt);
	BGL_EXPORTED_DECL obj_t BGl_getzd2varzf2sidezd2effectzf2zzeffect_cgraphz00();
	static obj_t BGl_z62resetzd2effectzd2tablesz12z70zzeffect_cgraphz00(obj_t);
	static obj_t BGl_toplevelzd2initzd2zzeffect_cgraphz00();
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2fromzd2pragmaz20zzeffect_cgraphz00(BgL_globalz00_bglt);
	static obj_t
		BGl_z62globalzf2fromzd2jvmzd2typezd2namezd2setz12z82zzeffect_cgraphz00
		(obj_t, obj_t, obj_t);
	static obj_t BGl_z62callzd2graphz12zd2cast1946z70zzeffect_cgraphz00(obj_t,
		BgL_castz00_bglt, obj_t);
	static obj_t
		BGl_z62globalzf2fromzd2accesszd2setz12z82zzeffect_cgraphz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2fromzd2accessz20zzeffect_cgraphz00(BgL_globalz00_bglt);
	static obj_t BGl_z62globalzf2fromzf3z63zzeffect_cgraphz00(obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zzeffect_cgraphz00();
	static obj_t BGl_z62callzd2graphz12za2zzeffect_cgraphz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62globalzf2fromzd2removablez42zzeffect_cgraphz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_resetzd2effectzd2tablesz12z12zzeffect_cgraphz00();
	BGL_IMPORT obj_t BGl_makezd2classzd2fieldz00zz__objectz00(obj_t, obj_t, obj_t,
		bool_t, bool_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62callzd2graphz12zd2setq1948z70zzeffect_cgraphz00(obj_t,
		BgL_setqz00_bglt, obj_t);
	extern obj_t BGl_castz00zzast_nodez00;
	static obj_t BGl_z62globalzf2fromzd2fromz42zzeffect_cgraphz00(obj_t, obj_t);
	extern obj_t BGl_typez00zztype_typez00;
	BGL_EXPORTED_DECL bool_t
		BGl_globalzf2fromzd2evalzf3zd3zzeffect_cgraphz00(BgL_globalz00_bglt);
	static bool_t BGl_callzd2graphza2z12z62zzeffect_cgraphz00(obj_t, obj_t);
	static obj_t BGl_z62localzf2fromzd2keyz42zzeffect_cgraphz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_localzf2fromzf3z01zzeffect_cgraphz00(obj_t);
	static obj_t BGl_z62savezd2callz121970za2zzeffect_cgraphz00(obj_t,
		BgL_variablez00_bglt, BgL_variablez00_bglt);
	static obj_t BGl_z62localzf2fromzd2namezd2setz12z82zzeffect_cgraphz00(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62globalzf2fromzd2removablezd2setz12z82zzeffect_cgraphz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2fromzd2jvmzd2typezd2namezd2setz12ze0zzeffect_cgraphz00
		(BgL_globalz00_bglt, obj_t);
	static obj_t BGl_z62globalzf2fromzd2srcz42zzeffect_cgraphz00(obj_t, obj_t);
	static obj_t BGl_z62globalzf2fromzd2idz42zzeffect_cgraphz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_localzf2fromzd2namezd2setz12ze0zzeffect_cgraphz00(BgL_localz00_bglt,
		obj_t);
	static obj_t BGl_z62localzf2fromzd2idz42zzeffect_cgraphz00(obj_t, obj_t);
	static BgL_localz00_bglt BGl_z62lambda2003z62zzeffect_cgraphz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t);
	static BgL_localz00_bglt BGl_z62lambda2006z62zzeffect_cgraphz00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_globalzf2fromzd2evaluablezf3zd3zzeffect_cgraphz00(BgL_globalz00_bglt);
	static BgL_localz00_bglt BGl_z62lambda2009z62zzeffect_cgraphz00(obj_t, obj_t);
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	BGL_EXPORTED_DECL BgL_globalz00_bglt
		BGl_makezd2globalzf2fromz20zzeffect_cgraphz00(obj_t, obj_t,
		BgL_typez00_bglt, BgL_valuez00_bglt, obj_t, obj_t, obj_t, long, long,
		bool_t, obj_t, obj_t, bool_t, bool_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62callzd2graphz12zd2select1954z70zzeffect_cgraphz00(obj_t,
		BgL_selectz00_bglt, obj_t);
	static obj_t BGl_z62callzd2graphz12zd2appzd2ly1940za2zzeffect_cgraphz00(obj_t,
		BgL_appzd2lyzd2_bglt, obj_t);
	static obj_t BGl_z62lambda2017z62zzeffect_cgraphz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2018z62zzeffect_cgraphz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2fromzd2namezd2setz12ze0zzeffect_cgraphz00(BgL_globalz00_bglt,
		obj_t);
	static obj_t BGl_z62localzf2fromzd2namez42zzeffect_cgraphz00(obj_t, obj_t);
	static BgL_globalz00_bglt BGl_z62lambda2028z62zzeffect_cgraphz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62callzd2graphz12zd2funcall1942z70zzeffect_cgraphz00(obj_t,
		BgL_funcallz00_bglt, obj_t);
	static BgL_globalz00_bglt BGl_z62lambda2031z62zzeffect_cgraphz00(obj_t,
		obj_t);
	static BgL_globalz00_bglt BGl_z62lambda2035z62zzeffect_cgraphz00(obj_t,
		obj_t);
	static obj_t
		BGl_z62callzd2graphz12zd2jumpzd2exzd21963z70zzeffect_cgraphz00(obj_t,
		BgL_jumpzd2exzd2itz00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_localzf2fromzd2occurrencezd2setz12ze0zzeffect_cgraphz00
		(BgL_localz00_bglt, long);
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	static obj_t
		BGl_z62globalzf2fromzd2modulezd2setz12z82zzeffect_cgraphz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_za2varzf2sidezd2effectza2z20zzeffect_cgraphz00 = BUNSPEC;
	static obj_t BGl_z62lambda2045z62zzeffect_cgraphz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2046z62zzeffect_cgraphz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62localzf2fromzf3z63zzeffect_cgraphz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzeffect_cgraphz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t BGl_appz00zzast_nodez00;
	static obj_t BGl_z62callzd2graphz12zd2extern1944z70zzeffect_cgraphz00(obj_t,
		BgL_externz00_bglt, obj_t);
	static obj_t
		BGl_z62localzf2fromzd2fastzd2alphazd2setz12z50zzeffect_cgraphz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62globalzf2fromzd2namezd2setz12z82zzeffect_cgraphz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2fromzd2evaluablezf3zd2setz12z13zzeffect_cgraphz00
		(BgL_globalz00_bglt, bool_t);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2fromzd2valuezd2setz12ze0zzeffect_cgraphz00(BgL_globalz00_bglt,
		BgL_valuez00_bglt);
	static obj_t
		BGl_z62callzd2graphz12zd2boxzd2ref1967za2zzeffect_cgraphz00(obj_t,
		BgL_boxzd2refzd2_bglt, obj_t);
	extern obj_t BGl_nodez00zzast_nodez00;
	extern obj_t BGl_localz00zzast_varz00;
	BGL_EXPORTED_DEF obj_t BGl_localzf2fromzf2zzeffect_cgraphz00 = BUNSPEC;
	extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
	static obj_t BGl_cnstzd2initzd2zzeffect_cgraphz00();
	static obj_t BGl_z62callzd2graphz12zd2sequence1936z70zzeffect_cgraphz00(obj_t,
		BgL_sequencez00_bglt, obj_t);
	static obj_t BGl_libraryzd2moduleszd2initz00zzeffect_cgraphz00();
	static obj_t BGl_z62localzf2fromzd2typezd2setz12z82zzeffect_cgraphz00(obj_t,
		obj_t, obj_t);
	static BgL_typez00_bglt BGl_z62localzf2fromzd2typez42zzeffect_cgraphz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL long
		BGl_globalzf2fromzd2occurrencez20zzeffect_cgraphz00(BgL_globalz00_bglt);
	static obj_t BGl_importedzd2moduleszd2initz00zzeffect_cgraphz00();
	static obj_t BGl_z62localzf2fromzd2fromzd2setz12z82zzeffect_cgraphz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2fromzd2initzd2setz12ze0zzeffect_cgraphz00(BgL_globalz00_bglt,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_localzf2fromzd2typezd2setz12ze0zzeffect_cgraphz00(BgL_localz00_bglt,
		BgL_typez00_bglt);
	static obj_t BGl_z62globalzf2fromzd2libraryz42zzeffect_cgraphz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_localzf2fromzd2fromzd2setz12ze0zzeffect_cgraphz00(BgL_localz00_bglt,
		obj_t);
	static BgL_globalz00_bglt
		BGl_z62globalzf2fromzd2nilz42zzeffect_cgraphz00(obj_t);
	static obj_t BGl_z62globalzf2fromzd2evaluablezf3zb1zzeffect_cgraphz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2fromzd2fastzd2alphazd2setz12z32zzeffect_cgraphz00
		(BgL_globalz00_bglt, obj_t);
	BGL_EXPORTED_DECL BgL_localz00_bglt
		BGl_localzf2fromzd2nilz20zzeffect_cgraphz00();
	static obj_t
		BGl_z62savezd2callz12zd2localzf2fro1980z82zzeffect_cgraphz00(obj_t,
		BgL_localz00_bglt, obj_t);
	static obj_t BGl_z62savezd2callz12zd2local1978z70zzeffect_cgraphz00(obj_t,
		BgL_localz00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_funzd2callzd2graphz12z12zzeffect_cgraphz00(BgL_variablez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2fromzd2userzf3zd2setz12z13zzeffect_cgraphz00
		(BgL_globalz00_bglt, bool_t);
	static obj_t
		BGl_z62localzf2fromzd2occurrencewzd2setz12z82zzeffect_cgraphz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL long
		BGl_localzf2fromzd2occurrencewz20zzeffect_cgraphz00(BgL_localz00_bglt);
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	extern obj_t BGl_valuez00zzast_varz00;
	BGL_EXPORTED_DECL obj_t BGl_getzd2varzf2allz20zzeffect_cgraphz00();
	static BgL_valuez00_bglt
		BGl_z62globalzf2fromzd2valuez42zzeffect_cgraphz00(obj_t, obj_t);
	static obj_t BGl_z62globalzf2fromzd2userzf3zb1zzeffect_cgraphz00(obj_t,
		obj_t);
	static obj_t BGl_z62globalzf2fromzd2initzd2setz12z82zzeffect_cgraphz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2fromzd2typezd2setz12ze0zzeffect_cgraphz00(BgL_globalz00_bglt,
		BgL_typez00_bglt);
	static obj_t BGl_z62globalzf2fromzd2namez42zzeffect_cgraphz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2fromzd2fromzd2setz12ze0zzeffect_cgraphz00(BgL_globalz00_bglt,
		obj_t);
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	BGL_EXPORTED_DECL obj_t
		BGl_localzf2fromzd2fromz20zzeffect_cgraphz00(BgL_localz00_bglt);
	BGL_IMPORT obj_t BGl_classzd2superzd2zz__objectz00(obj_t);
	BGL_EXPORTED_DEF obj_t BGl_globalzf2fromzf2zzeffect_cgraphz00 = BUNSPEC;
	BGL_EXPORTED_DECL BgL_localz00_bglt
		BGl_makezd2localzf2fromz20zzeffect_cgraphz00(obj_t, obj_t, BgL_typez00_bglt,
		BgL_valuez00_bglt, obj_t, obj_t, obj_t, long, long, bool_t, long, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2fromzd2fastzd2alphazf2zzeffect_cgraphz00(BgL_globalz00_bglt);
	extern obj_t BGl_funcallz00zzast_nodez00;
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2fromzd2libraryzd2setz12ze0zzeffect_cgraphz00
		(BgL_globalz00_bglt, obj_t);
	extern obj_t BGl_globalz00zzast_varz00;
	static obj_t BGl_z62globalzf2fromzd2valuezd2setz12z82zzeffect_cgraphz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62globalzf2fromzd2typezd2setz12z82zzeffect_cgraphz00(obj_t,
		obj_t, obj_t);
	static BgL_globalz00_bglt
		BGl_z62zc3anonymousza32034ze3ze1zzeffect_cgraphz00(obj_t, obj_t);
	static obj_t
		BGl_z62globalzf2fromzd2jvmzd2typezd2namez42zzeffect_cgraphz00(obj_t, obj_t);
	static obj_t BGl_z62globalzf2fromzd2fromzd2setz12z82zzeffect_cgraphz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2fromzd2libraryz20zzeffect_cgraphz00(BgL_globalz00_bglt);
	static obj_t __cnst[10];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2fromzd2accesszd2setz12zd2envz32zzeffect_cgraphz00,
		BgL_bgl_za762localza7f2fromza72269za7,
		BGl_z62localzf2fromzd2accesszd2setz12z82zzeffect_cgraphz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_globalzf2fromzf3zd2envzd3zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from2270z00,
		BGl_z62globalzf2fromzf3z63zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2224z00zzeffect_cgraphz00,
		BgL_bgl_za762lambda2018za7622271z00, BGl_z62lambda2018z62zzeffect_cgraphz00,
		0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2225z00zzeffect_cgraphz00,
		BgL_bgl_za762lambda2017za7622272z00, BGl_z62lambda2017z62zzeffect_cgraphz00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2226z00zzeffect_cgraphz00,
		BgL_bgl_za762lambda2009za7622273z00, BGl_z62lambda2009z62zzeffect_cgraphz00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2227z00zzeffect_cgraphz00,
		BgL_bgl_za762za7c3anonymousza72274za7,
		BGl_z62zc3anonymousza32008ze3ze1zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2228z00zzeffect_cgraphz00,
		BgL_bgl_za762lambda2006za7622275z00, BGl_z62lambda2006z62zzeffect_cgraphz00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2229z00zzeffect_cgraphz00,
		BgL_bgl_za762lambda2003za7622276z00, BGl_z62lambda2003z62zzeffect_cgraphz00,
		0L, BUNSPEC, 12);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2230z00zzeffect_cgraphz00,
		BgL_bgl_za762lambda2046za7622277z00, BGl_z62lambda2046z62zzeffect_cgraphz00,
		0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2231z00zzeffect_cgraphz00,
		BgL_bgl_za762lambda2045za7622278z00, BGl_z62lambda2045z62zzeffect_cgraphz00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2232z00zzeffect_cgraphz00,
		BgL_bgl_za762lambda2035za7622279z00, BGl_z62lambda2035z62zzeffect_cgraphz00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2233z00zzeffect_cgraphz00,
		BgL_bgl_za762za7c3anonymousza72280za7,
		BGl_z62zc3anonymousza32034ze3ze1zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2234z00zzeffect_cgraphz00,
		BgL_bgl_za762lambda2031za7622281z00, BGl_z62lambda2031z62zzeffect_cgraphz00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2235z00zzeffect_cgraphz00,
		BgL_bgl_za762lambda2028za7622282z00, BGl_z62lambda2028z62zzeffect_cgraphz00,
		0L, BUNSPEC, 20);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2237z00zzeffect_cgraphz00,
		BgL_bgl_za762callza7d2graphza72283za7,
		BGl_z62callzd2graphz121933za2zzeffect_cgraphz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2239z00zzeffect_cgraphz00,
		BgL_bgl_za762saveza7d2callza712284za7,
		BGl_z62savezd2callz121970za2zzeffect_cgraphz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2fromzd2occurrencewzd2setz12zd2envz32zzeffect_cgraphz00,
		BgL_bgl_za762localza7f2fromza72285za7,
		BGl_z62localzf2fromzd2occurrencewzd2setz12z82zzeffect_cgraphz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2importzd2setz12zd2envz32zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from2286z00,
		BGl_z62globalzf2fromzd2importzd2setz12z82zzeffect_cgraphz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2fromzd2occurrencewzd2envzf2zzeffect_cgraphz00,
		BgL_bgl_za762localza7f2fromza72287za7,
		BGl_z62localzf2fromzd2occurrencewz42zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2modulezd2setz12zd2envz32zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from2288z00,
		BGl_z62globalzf2fromzd2modulezd2setz12z82zzeffect_cgraphz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2242z00zzeffect_cgraphz00,
		BgL_bgl_za762callza7d2graphza72289za7,
		BGl_z62callzd2graphz12zd2sequence1936z70zzeffect_cgraphz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2244z00zzeffect_cgraphz00,
		BgL_bgl_za762callza7d2graphza72290za7,
		BGl_z62callzd2graphz12zd2app1938z70zzeffect_cgraphz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2245z00zzeffect_cgraphz00,
		BgL_bgl_za762callza7d2graphza72291za7,
		BGl_z62callzd2graphz12zd2appzd2ly1940za2zzeffect_cgraphz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2246z00zzeffect_cgraphz00,
		BgL_bgl_za762callza7d2graphza72292za7,
		BGl_z62callzd2graphz12zd2funcall1942z70zzeffect_cgraphz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2247z00zzeffect_cgraphz00,
		BgL_bgl_za762callza7d2graphza72293za7,
		BGl_z62callzd2graphz12zd2extern1944z70zzeffect_cgraphz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2248z00zzeffect_cgraphz00,
		BgL_bgl_za762callza7d2graphza72294za7,
		BGl_z62callzd2graphz12zd2cast1946z70zzeffect_cgraphz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2249z00zzeffect_cgraphz00,
		BgL_bgl_za762callza7d2graphza72295za7,
		BGl_z62callzd2graphz12zd2setq1948z70zzeffect_cgraphz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2typezd2envzf2zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from2296z00,
		BGl_z62globalzf2fromzd2typez42zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2250z00zzeffect_cgraphz00,
		BgL_bgl_za762callza7d2graphza72297za7,
		BGl_z62callzd2graphz12zd2conditio1950z70zzeffect_cgraphz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2251z00zzeffect_cgraphz00,
		BgL_bgl_za762callza7d2graphza72298za7,
		BGl_z62callzd2graphz12zd2fail1952z70zzeffect_cgraphz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2252z00zzeffect_cgraphz00,
		BgL_bgl_za762callza7d2graphza72299za7,
		BGl_z62callzd2graphz12zd2select1954z70zzeffect_cgraphz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2253z00zzeffect_cgraphz00,
		BgL_bgl_za762callza7d2graphza72300za7,
		BGl_z62callzd2graphz12zd2letzd2fun1957za2zzeffect_cgraphz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2254z00zzeffect_cgraphz00,
		BgL_bgl_za762callza7d2graphza72301za7,
		BGl_z62callzd2graphz12zd2letzd2var1959za2zzeffect_cgraphz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2255z00zzeffect_cgraphz00,
		BgL_bgl_za762callza7d2graphza72302za7,
		BGl_z62callzd2graphz12zd2setzd2exzd2i1961z70zzeffect_cgraphz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2256z00zzeffect_cgraphz00,
		BgL_bgl_za762callza7d2graphza72303za7,
		BGl_z62callzd2graphz12zd2jumpzd2exzd21963z70zzeffect_cgraphz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2257z00zzeffect_cgraphz00,
		BgL_bgl_za762callza7d2graphza72304za7,
		BGl_z62callzd2graphz12zd2makezd2box1965za2zzeffect_cgraphz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2258z00zzeffect_cgraphz00,
		BgL_bgl_za762callza7d2graphza72305za7,
		BGl_z62callzd2graphz12zd2boxzd2ref1967za2zzeffect_cgraphz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2259z00zzeffect_cgraphz00,
		BgL_bgl_za762callza7d2graphza72306za7,
		BGl_z62callzd2graphz12zd2boxzd2setz121969zb0zzeffect_cgraphz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2nilzd2envzf2zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from2307z00,
		BGl_z62globalzf2fromzd2nilz42zzeffect_cgraphz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2260z00zzeffect_cgraphz00,
		BgL_bgl_za762saveza7d2callza712308za7,
		BGl_z62savezd2callz12zd2global1973z70zzeffect_cgraphz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2262z00zzeffect_cgraphz00,
		BgL_bgl_za762saveza7d2callza712309za7,
		BGl_z62savezd2callz12zd2globalzf2fr1976z82zzeffect_cgraphz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2263z00zzeffect_cgraphz00,
		BgL_bgl_za762saveza7d2callza712310za7,
		BGl_z62savezd2callz12zd2local1978z70zzeffect_cgraphz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2264z00zzeffect_cgraphz00,
		BgL_bgl_za762saveza7d2callza712311za7,
		BGl_z62savezd2callz12zd2localzf2fro1980z82zzeffect_cgraphz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2removablezd2setz12zd2envz32zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from2312z00,
		BGl_z62globalzf2fromzd2removablezd2setz12z82zzeffect_cgraphz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2fastzd2alphazd2setz12zd2envze0zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from2313z00,
		BGl_z62globalzf2fromzd2fastzd2alphazd2setz12z50zzeffect_cgraphz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2occurrencezd2setz12zd2envz32zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from2314z00,
		BGl_z62globalzf2fromzd2occurrencezd2setz12z82zzeffect_cgraphz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2fromzd2fastzd2alphazd2setz12zd2envze0zzeffect_cgraphz00,
		BgL_bgl_za762localza7f2fromza72315za7,
		BGl_z62localzf2fromzd2fastzd2alphazd2setz12z50zzeffect_cgraphz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2fromzd2occurrencezd2setz12zd2envz32zzeffect_cgraphz00,
		BgL_bgl_za762localza7f2fromza72316za7,
		BGl_z62localzf2fromzd2occurrencezd2setz12z82zzeffect_cgraphz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2modulezd2envzf2zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from2317z00,
		BGl_z62globalzf2fromzd2modulez42zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2globalzf2fromzd2envzf2zzeffect_cgraphz00,
		BgL_bgl_za762makeza7d2global2318z00,
		BGl_z62makezd2globalzf2fromz42zzeffect_cgraphz00, 0L, BUNSPEC, 20);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2typezd2setz12zd2envz32zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from2319z00,
		BGl_z62globalzf2fromzd2typezd2setz12z82zzeffect_cgraphz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2srczd2envzf2zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from2320z00,
		BGl_z62globalzf2fromzd2srcz42zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2initzd2envzf2zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from2321z00,
		BGl_z62globalzf2fromzd2initz42zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2fromzd2nilzd2envzf2zzeffect_cgraphz00,
		BgL_bgl_za762localza7f2fromza72322za7,
		BGl_z62localzf2fromzd2nilz42zzeffect_cgraphz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2accesszd2envzf2zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from2323z00,
		BGl_z62globalzf2fromzd2accessz42zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_getzd2varzf2allzd2envzf2zzeffect_cgraphz00,
		BgL_bgl_za762getza7d2varza7f2a2324za7,
		BGl_z62getzd2varzf2allz42zzeffect_cgraphz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2initzd2setz12zd2envz32zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from2325z00,
		BGl_z62globalzf2fromzd2initzd2setz12z82zzeffect_cgraphz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2evaluablezf3zd2envz01zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from2326z00,
		BGl_z62globalzf2fromzd2evaluablezf3zb1zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_getzd2varzf2sidezd2effectzd2envz20zzeffect_cgraphz00,
		BgL_bgl_za762getza7d2varza7f2s2327za7,
		BGl_z62getzd2varzf2sidezd2effectz90zzeffect_cgraphz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2fromzd2setz12zd2envz32zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from2328z00,
		BGl_z62globalzf2fromzd2fromzd2setz12z82zzeffect_cgraphz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2fromzd2fromzd2envzf2zzeffect_cgraphz00,
		BgL_bgl_za762localza7f2fromza72329za7,
		BGl_z62localzf2fromzd2fromz42zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2fromzd2idzd2envzf2zzeffect_cgraphz00,
		BgL_bgl_za762localza7f2fromza72330za7,
		BGl_z62localzf2fromzd2idz42zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_GENERIC(BGl_savezd2callz12zd2envz12zzeffect_cgraphz00,
		BgL_bgl_za762saveza7d2callza712331za7,
		BGl_z62savezd2callz12za2zzeffect_cgraphz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_resetzd2effectzd2tablesz12zd2envzc0zzeffect_cgraphz00,
		BgL_bgl_za762resetza7d2effec2332z00,
		BGl_z62resetzd2effectzd2tablesz12z70zzeffect_cgraphz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2libraryzd2setz12zd2envz32zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from2333z00,
		BGl_z62globalzf2fromzd2libraryzd2setz12z82zzeffect_cgraphz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2fromzd2removablezd2envzf2zzeffect_cgraphz00,
		BgL_bgl_za762localza7f2fromza72334za7,
		BGl_z62localzf2fromzd2removablez42zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2jvmzd2typezd2namezd2setz12zd2envz32zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from2335z00,
		BGl_z62globalzf2fromzd2jvmzd2typezd2namezd2setz12z82zzeffect_cgraphz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2fromzd2namezd2envzf2zzeffect_cgraphz00,
		BgL_bgl_za762localza7f2fromza72336za7,
		BGl_z62localzf2fromzd2namez42zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2importzd2envzf2zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from2337z00,
		BGl_z62globalzf2fromzd2importz42zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_funzd2callzd2graphz12zd2envzc0zzeffect_cgraphz00,
		BgL_bgl_za762funza7d2callza7d22338za7,
		BGl_z62funzd2callzd2graphz12z70zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2fromzd2valuezd2envzf2zzeffect_cgraphz00,
		BgL_bgl_za762localza7f2fromza72339za7,
		BGl_z62localzf2fromzd2valuez42zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2236z00zzeffect_cgraphz00,
		BgL_bgl_string2236za700za7za7e2340za7, "", 0);
	      DEFINE_STRING(BGl_string2238z00zzeffect_cgraphz00,
		BgL_bgl_string2238za700za7za7e2341za7, "call-graph!1933", 15);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2fromzd2namezd2setz12zd2envz32zzeffect_cgraphz00,
		BgL_bgl_za762localza7f2fromza72342za7,
		BGl_z62localzf2fromzd2namezd2setz12z82zzeffect_cgraphz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2fromzd2fastzd2alphazd2envz20zzeffect_cgraphz00,
		BgL_bgl_za762localza7f2fromza72343za7,
		BGl_z62localzf2fromzd2fastzd2alphaz90zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2240z00zzeffect_cgraphz00,
		BgL_bgl_string2240za700za7za7e2344za7, "save-call!1970", 14);
	      DEFINE_STRING(BGl_string2241z00zzeffect_cgraphz00,
		BgL_bgl_string2241za700za7za7e2345za7, "No method for this object", 25);
	      DEFINE_STRING(BGl_string2243z00zzeffect_cgraphz00,
		BgL_bgl_string2243za700za7za7e2346za7, "call-graph!", 11);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2valuezd2envzf2zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from2347z00,
		BGl_z62globalzf2fromzd2valuez42zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2fastzd2alphazd2envz20zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from2348z00,
		BGl_z62globalzf2fromzd2fastzd2alphaz90zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2fromzd2userzf3zd2envz01zzeffect_cgraphz00,
		BgL_bgl_za762localza7f2fromza72349za7,
		BGl_z62localzf2fromzd2userzf3zb1zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2261z00zzeffect_cgraphz00,
		BgL_bgl_string2261za700za7za7e2350za7, "save-call!", 10);
	      DEFINE_STRING(BGl_string2265z00zzeffect_cgraphz00,
		BgL_bgl_string2265za700za7za7e2351za7, "effect_cgraph", 13);
	      DEFINE_STRING(BGl_string2266z00zzeffect_cgraphz00,
		BgL_bgl_string2266za700za7za7e2352za7,
		"import done save-call!1970 _ global/from effect_cgraph local/from obj from nothing ",
		83);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2evalzf3zd2envz01zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from2353z00,
		BGl_z62globalzf2fromzd2evalzf3zb1zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2fromzd2accesszd2envzf2zzeffect_cgraphz00,
		BgL_bgl_za762localza7f2fromza72354za7,
		BGl_z62localzf2fromzd2accessz42zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2pragmazd2envzf2zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from2355z00,
		BGl_z62globalzf2fromzd2pragmaz42zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2evalzf3zd2setz12zd2envzc1zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from2356z00,
		BGl_z62globalzf2fromzd2evalzf3zd2setz12z71zzeffect_cgraphz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2accesszd2setz12zd2envz32zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from2357z00,
		BGl_z62globalzf2fromzd2accesszd2setz12z82zzeffect_cgraphz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2fromzd2typezd2envzf2zzeffect_cgraphz00,
		BgL_bgl_za762localza7f2fromza72358za7,
		BGl_z62localzf2fromzd2typez42zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2userzf3zd2envz01zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from2359z00,
		BGl_z62globalzf2fromzd2userzf3zb1zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2idzd2envzf2zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from2360z00,
		BGl_z62globalzf2fromzd2idz42zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2occurrencewzd2setz12zd2envz32zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from2361z00,
		BGl_z62globalzf2fromzd2occurrencewzd2setz12z82zzeffect_cgraphz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2occurrencewzd2envzf2zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from2362z00,
		BGl_z62globalzf2fromzd2occurrencewz42zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	     
		DEFINE_STATIC_BGL_GENERIC(BGl_callzd2graphz12zd2envz12zzeffect_cgraphz00,
		BgL_bgl_za762callza7d2graphza72363za7,
		BGl_z62callzd2graphz12za2zzeffect_cgraphz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2jvmzd2typezd2namezd2envzf2zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from2364z00,
		BGl_z62globalzf2fromzd2jvmzd2typezd2namez42zzeffect_cgraphz00, 0L, BUNSPEC,
		1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2fromzd2removablezd2setz12zd2envz32zzeffect_cgraphz00,
		BgL_bgl_za762localza7f2fromza72365za7,
		BGl_z62localzf2fromzd2removablezd2setz12z82zzeffect_cgraphz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2fromzd2valuezd2setz12zd2envz32zzeffect_cgraphz00,
		BgL_bgl_za762localza7f2fromza72366za7,
		BGl_z62localzf2fromzd2valuezd2setz12z82zzeffect_cgraphz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2fromzd2typezd2setz12zd2envz32zzeffect_cgraphz00,
		BgL_bgl_za762localza7f2fromza72367za7,
		BGl_z62localzf2fromzd2typezd2setz12z82zzeffect_cgraphz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2valuezd2setz12zd2envz32zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from2368z00,
		BGl_z62globalzf2fromzd2valuezd2setz12z82zzeffect_cgraphz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2srczd2setz12zd2envz32zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from2369z00,
		BGl_z62globalzf2fromzd2srczd2setz12z82zzeffect_cgraphz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2fromzd2envzf2zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from2370z00,
		BGl_z62globalzf2fromzd2fromz42zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2libraryzd2envzf2zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from2371z00,
		BGl_z62globalzf2fromzd2libraryz42zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2removablezd2envzf2zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from2372z00,
		BGl_z62globalzf2fromzd2removablez42zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2fromzd2fromzd2setz12zd2envz32zzeffect_cgraphz00,
		BgL_bgl_za762localza7f2fromza72373za7,
		BGl_z62localzf2fromzd2fromzd2setz12z82zzeffect_cgraphz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2fromzd2userzf3zd2setz12zd2envzc1zzeffect_cgraphz00,
		BgL_bgl_za762localza7f2fromza72374za7,
		BGl_z62localzf2fromzd2userzf3zd2setz12z71zzeffect_cgraphz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2namezd2envzf2zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from2375z00,
		BGl_z62globalzf2fromzd2namez42zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2fromzd2occurrencezd2envzf2zzeffect_cgraphz00,
		BgL_bgl_za762localza7f2fromza72376za7,
		BGl_z62localzf2fromzd2occurrencez42zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2userzf3zd2setz12zd2envzc1zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from2377z00,
		BGl_z62globalzf2fromzd2userzf3zd2setz12z71zzeffect_cgraphz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2occurrencezd2envzf2zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from2378z00,
		BGl_z62globalzf2fromzd2occurrencez42zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_localzf2fromzf3zd2envzd3zzeffect_cgraphz00,
		BgL_bgl_za762localza7f2fromza72379za7,
		BGl_z62localzf2fromzf3z63zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2pragmazd2setz12zd2envz32zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from2380z00,
		BGl_z62globalzf2fromzd2pragmazd2setz12z82zzeffect_cgraphz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2fromzd2keyzd2envzf2zzeffect_cgraphz00,
		BgL_bgl_za762localza7f2fromza72381za7,
		BGl_z62localzf2fromzd2keyz42zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2namezd2setz12zd2envz32zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from2382z00,
		BGl_z62globalzf2fromzd2namezd2setz12z82zzeffect_cgraphz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2evaluablezf3zd2setz12zd2envzc1zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from2383z00,
		BGl_z62globalzf2fromzd2evaluablezf3zd2setz12z71zzeffect_cgraphz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2localzf2fromzd2envzf2zzeffect_cgraphz00,
		BgL_bgl_za762makeza7d2localza72384za7,
		BGl_z62makezd2localzf2fromz42zzeffect_cgraphz00, 0L, BUNSPEC, 12);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzeffect_cgraphz00(long
		BgL_checksumz00_3283, char *BgL_fromz00_3284)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzeffect_cgraphz00))
				{
					BGl_requirezd2initializa7ationz75zzeffect_cgraphz00 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzeffect_cgraphz00();
					BGl_cnstzd2initzd2zzeffect_cgraphz00();
					BGl_importedzd2moduleszd2initz00zzeffect_cgraphz00();
					BGl_objectzd2initzd2zzeffect_cgraphz00();
					BGl_genericzd2initzd2zzeffect_cgraphz00();
					BGl_methodzd2initzd2zzeffect_cgraphz00();
					BGl_toplevelzd2initzd2zzeffect_cgraphz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzeffect_cgraphz00()
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 15 */
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"effect_cgraph");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0),
				"effect_cgraph");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "effect_cgraph");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"effect_cgraph");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"effect_cgraph");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"effect_cgraph");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzeffect_cgraphz00()
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 15 */
			{	/* Effect/cgraph.scm 15 */
				obj_t BgL_cportz00_3085;

				BgL_cportz00_3085 =
					bgl_open_input_string(BGl_string2266z00zzeffect_cgraphz00,
					(int) (((long) 0)));
				{
					long BgL_iz00_3086;

					BgL_iz00_3086 = ((long) 9);
				BgL_loopz00_3087:
					if ((BgL_iz00_3086 == ((long) -1)))
						{	/* Effect/cgraph.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Effect/cgraph.scm 15 */
							{	/* Effect/cgraph.scm 15 */
								obj_t BgL_arg2268z00_3089;

								{	/* Effect/cgraph.scm 15 */

									{	/* Effect/cgraph.scm 15 */
										obj_t BgL_locationz00_3091;

										BgL_locationz00_3091 = BBOOL(((bool_t) 0));
										{	/* Effect/cgraph.scm 15 */

											BgL_arg2268z00_3089 =
												BGl_readz00zz__readerz00(BgL_cportz00_3085,
												BgL_locationz00_3091);
										}
									}
								}
								{	/* Effect/cgraph.scm 15 */
									int BgL_auxz00_3307;

									BgL_auxz00_3307 = (int) (BgL_iz00_3086);
									CNST_TABLE_SET(BgL_auxz00_3307, BgL_arg2268z00_3089);
							}}
							{	/* Effect/cgraph.scm 15 */
								int BgL_auxz00_3092;

								BgL_auxz00_3092 = (int) ((BgL_iz00_3086 - ((long) 1)));
								{
									long BgL_iz00_3312;

									BgL_iz00_3312 = (long) (BgL_auxz00_3092);
									BgL_iz00_3086 = BgL_iz00_3312;
									goto BgL_loopz00_3087;
								}
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzeffect_cgraphz00()
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 15 */
			BGl_za2varzf2sidezd2effectza2z20zzeffect_cgraphz00 = BNIL;
			return (BGl_za2varzf2allza2zf2zzeffect_cgraphz00 = BNIL, BUNSPEC);
		}
	}



/* make-local/from */
	BGL_EXPORTED_DEF BgL_localz00_bglt
		BGl_makezd2localzf2fromz20zzeffect_cgraphz00(obj_t BgL_id1212z00_3,
		obj_t BgL_name1213z00_4, BgL_typez00_bglt BgL_type1214z00_5,
		BgL_valuez00_bglt BgL_value1215z00_6, obj_t BgL_access1216z00_7,
		obj_t BgL_fastzd2alpha1217zd2_8, obj_t BgL_removable1218z00_9,
		long BgL_occurrence1219z00_10, long BgL_occurrencew1220z00_11,
		bool_t BgL_userzf31221zf3_12, long BgL_key1222z00_13,
		obj_t BgL_from1223z00_14)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 89 */
			{	/* Effect/cgraph.sch 89 */
				BgL_localz00_bglt BgL_new1146z00_3093;

				{	/* Effect/cgraph.sch 89 */
					BgL_localz00_bglt BgL_tmp1144z00_3094;
					BgL_localzf2fromzf2_bglt BgL_wide1145z00_3095;

					{
						BgL_localz00_bglt BgL_auxz00_3314;

						{	/* Effect/cgraph.sch 89 */
							BgL_localz00_bglt BgL_new1143z00_3096;

							BgL_new1143z00_3096 =
								((BgL_localz00_bglt) BREF(GC_MALLOC(sizeof(struct
											BgL_localz00_bgl))));
							{	/* Effect/cgraph.sch 89 */
								long BgL_arg1986z00_3097;

								{	/* Effect/cgraph.sch 89 */
									long BgL_res2173z00_3098;

									{	/* Effect/cgraph.sch 89 */
										obj_t BgL_classz00_3099;

										BgL_classz00_3099 = BGl_localz00zzast_varz00;
										{	/* Effect/cgraph.sch 89 */
											obj_t BgL_vectorz00_3100;
											int BgL_kz00_3101;

											BgL_vectorz00_3100 = BgL_classz00_3099;
											BgL_kz00_3101 = (int) (((long) 1));
											BgL_res2173z00_3098 =
												(long) CINT(VECTOR_REF(BgL_vectorz00_3100,
													BgL_kz00_3101));
									}}
									BgL_arg1986z00_3097 = BgL_res2173z00_3098;
								}
								{	/* Effect/cgraph.sch 89 */
									BgL_objectz00_bglt BgL_objz00_3102;

									BgL_objz00_3102 = ((BgL_objectz00_bglt) BgL_new1143z00_3096);
									BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_3102,
										BgL_arg1986z00_3097);
							}}
							{	/* Effect/cgraph.sch 89 */
								BgL_objectz00_bglt BgL_auxz00_3321;

								BgL_auxz00_3321 = ((BgL_objectz00_bglt) BgL_new1143z00_3096);
								BGL_OBJECT_WIDENING_SET(BgL_auxz00_3321, BFALSE);
							}
							BgL_auxz00_3314 = BgL_new1143z00_3096;
						}
						BgL_tmp1144z00_3094 = ((BgL_localz00_bglt) BgL_auxz00_3314);
					}
					BgL_wide1145z00_3095 =
						((BgL_localzf2fromzf2_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_localzf2fromzf2_bgl))));
					{	/* Effect/cgraph.sch 89 */
						obj_t BgL_auxz00_3328;
						BgL_objectz00_bglt BgL_auxz00_3326;

						BgL_auxz00_3328 = ((obj_t) BgL_wide1145z00_3095);
						BgL_auxz00_3326 = ((BgL_objectz00_bglt) BgL_tmp1144z00_3094);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_3326, BgL_auxz00_3328);
					}
					{	/* Effect/cgraph.sch 89 */
						long BgL_arg1985z00_3103;

						{	/* Effect/cgraph.sch 89 */
							long BgL_res2174z00_3104;

							{	/* Effect/cgraph.sch 89 */
								obj_t BgL_classz00_3105;

								BgL_classz00_3105 = BGl_localzf2fromzf2zzeffect_cgraphz00;
								{	/* Effect/cgraph.sch 89 */
									obj_t BgL_vectorz00_3106;
									int BgL_kz00_3107;

									BgL_vectorz00_3106 = BgL_classz00_3105;
									BgL_kz00_3107 = (int) (((long) 1));
									BgL_res2174z00_3104 =
										(long) CINT(VECTOR_REF(BgL_vectorz00_3106, BgL_kz00_3107));
							}}
							BgL_arg1985z00_3103 = BgL_res2174z00_3104;
						}
						{	/* Effect/cgraph.sch 89 */
							BgL_objectz00_bglt BgL_objz00_3108;

							BgL_objz00_3108 = ((BgL_objectz00_bglt) BgL_tmp1144z00_3094);
							((BgL_localz00_bglt)
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_3108, BgL_arg1985z00_3103));
					}}
					BgL_new1146z00_3093 = ((BgL_localz00_bglt) BgL_tmp1144z00_3094);
				}
				((((BgL_variablez00_bglt) CREF(
								((BgL_variablez00_bglt) BgL_new1146z00_3093)))->BgL_idz00) =
					((obj_t) BgL_id1212z00_3), BUNSPEC);
				((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
									BgL_new1146z00_3093)))->BgL_namez00) =
					((obj_t) BgL_name1213z00_4), BUNSPEC);
				((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
									BgL_new1146z00_3093)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1214z00_5), BUNSPEC);
				((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
									BgL_new1146z00_3093)))->BgL_valuez00) =
					((BgL_valuez00_bglt) BgL_value1215z00_6), BUNSPEC);
				((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
									BgL_new1146z00_3093)))->BgL_accessz00) =
					((obj_t) BgL_access1216z00_7), BUNSPEC);
				((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
									BgL_new1146z00_3093)))->BgL_fastzd2alphazd2) =
					((obj_t) BgL_fastzd2alpha1217zd2_8), BUNSPEC);
				((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
									BgL_new1146z00_3093)))->BgL_removablez00) =
					((obj_t) BgL_removable1218z00_9), BUNSPEC);
				((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
									BgL_new1146z00_3093)))->BgL_occurrencez00) =
					((long) BgL_occurrence1219z00_10), BUNSPEC);
				((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
									BgL_new1146z00_3093)))->BgL_occurrencewz00) =
					((long) BgL_occurrencew1220z00_11), BUNSPEC);
				((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
									BgL_new1146z00_3093)))->BgL_userzf3zf3) =
					((bool_t) BgL_userzf31221zf3_12), BUNSPEC);
				((((BgL_localz00_bglt) CREF(((BgL_localz00_bglt)
									BgL_new1146z00_3093)))->BgL_keyz00) =
					((long) BgL_key1222z00_13), BUNSPEC);
				{
					BgL_localzf2fromzf2_bglt BgL_auxz00_3360;

					{
						obj_t BgL_auxz00_3361;

						{	/* Effect/cgraph.sch 89 */
							BgL_objectz00_bglt BgL_auxz00_3362;

							BgL_auxz00_3362 = ((BgL_objectz00_bglt) BgL_new1146z00_3093);
							BgL_auxz00_3361 = BGL_OBJECT_WIDENING(BgL_auxz00_3362);
						}
						BgL_auxz00_3360 = ((BgL_localzf2fromzf2_bglt) BgL_auxz00_3361);
					}
					((((BgL_localzf2fromzf2_bglt) CREF(BgL_auxz00_3360))->BgL_fromz00) =
						((obj_t) BgL_from1223z00_14), BUNSPEC);
				}
				return BgL_new1146z00_3093;
			}
		}
	}



/* &make-local/from */
	BgL_localz00_bglt BGl_z62makezd2localzf2fromz42zzeffect_cgraphz00(obj_t
		BgL_envz00_2723, obj_t BgL_id1212z00_2724, obj_t BgL_name1213z00_2725,
		obj_t BgL_type1214z00_2726, obj_t BgL_value1215z00_2727,
		obj_t BgL_access1216z00_2728, obj_t BgL_fastzd2alpha1217zd2_2729,
		obj_t BgL_removable1218z00_2730, obj_t BgL_occurrence1219z00_2731,
		obj_t BgL_occurrencew1220z00_2732, obj_t BgL_userzf31221zf3_2733,
		obj_t BgL_key1222z00_2734, obj_t BgL_from1223z00_2735)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 89 */
			{	/* Effect/cgraph.sch 89 */
				obj_t BgL_id1212z00_3109;
				BgL_typez00_bglt BgL_type1214z00_3111;
				BgL_valuez00_bglt BgL_value1215z00_3112;
				long BgL_occurrence1219z00_3116;
				long BgL_occurrencew1220z00_3117;
				bool_t BgL_userzf31221zf3_3118;
				long BgL_key1222z00_3119;

				BgL_id1212z00_3109 = BgL_id1212z00_2724;
				BgL_type1214z00_3111 = ((BgL_typez00_bglt) BgL_type1214z00_2726);
				BgL_value1215z00_3112 = ((BgL_valuez00_bglt) BgL_value1215z00_2727);
				BgL_occurrence1219z00_3116 = (long) CINT(BgL_occurrence1219z00_2731);
				BgL_occurrencew1220z00_3117 = (long) CINT(BgL_occurrencew1220z00_2732);
				BgL_userzf31221zf3_3118 = CBOOL(BgL_userzf31221zf3_2733);
				BgL_key1222z00_3119 = (long) CINT(BgL_key1222z00_2734);
				{	/* Effect/cgraph.sch 89 */
					BgL_localz00_bglt BgL_new1146z00_3121;

					{	/* Effect/cgraph.sch 89 */
						BgL_localz00_bglt BgL_tmp1144z00_3122;
						BgL_localzf2fromzf2_bglt BgL_wide1145z00_3123;

						{
							BgL_localz00_bglt BgL_auxz00_3373;

							{	/* Effect/cgraph.sch 89 */
								BgL_localz00_bglt BgL_new1143z00_3124;

								BgL_new1143z00_3124 =
									((BgL_localz00_bglt) BREF(GC_MALLOC(sizeof(struct
												BgL_localz00_bgl))));
								{	/* Effect/cgraph.sch 89 */
									long BgL_arg1986z00_3125;

									{	/* Effect/cgraph.sch 89 */
										long BgL_res2173z00_3126;

										{	/* Effect/cgraph.sch 89 */
											obj_t BgL_classz00_3127;

											BgL_classz00_3127 = BGl_localz00zzast_varz00;
											{	/* Effect/cgraph.sch 89 */
												obj_t BgL_vectorz00_3128;
												int BgL_kz00_3129;

												BgL_vectorz00_3128 = BgL_classz00_3127;
												BgL_kz00_3129 = (int) (((long) 1));
												BgL_res2173z00_3126 =
													(long) CINT(VECTOR_REF(BgL_vectorz00_3128,
														BgL_kz00_3129));
										}}
										BgL_arg1986z00_3125 = BgL_res2173z00_3126;
									}
									{	/* Effect/cgraph.sch 89 */
										BgL_objectz00_bglt BgL_objz00_3130;

										BgL_objz00_3130 =
											((BgL_objectz00_bglt) BgL_new1143z00_3124);
										BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_3130,
											BgL_arg1986z00_3125);
								}}
								{	/* Effect/cgraph.sch 89 */
									BgL_objectz00_bglt BgL_auxz00_3380;

									BgL_auxz00_3380 = ((BgL_objectz00_bglt) BgL_new1143z00_3124);
									BGL_OBJECT_WIDENING_SET(BgL_auxz00_3380, BFALSE);
								}
								BgL_auxz00_3373 = BgL_new1143z00_3124;
							}
							BgL_tmp1144z00_3122 = ((BgL_localz00_bglt) BgL_auxz00_3373);
						}
						BgL_wide1145z00_3123 =
							((BgL_localzf2fromzf2_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_localzf2fromzf2_bgl))));
						{	/* Effect/cgraph.sch 89 */
							obj_t BgL_auxz00_3387;
							BgL_objectz00_bglt BgL_auxz00_3385;

							BgL_auxz00_3387 = ((obj_t) BgL_wide1145z00_3123);
							BgL_auxz00_3385 = ((BgL_objectz00_bglt) BgL_tmp1144z00_3122);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_3385, BgL_auxz00_3387);
						}
						{	/* Effect/cgraph.sch 89 */
							long BgL_arg1985z00_3131;

							{	/* Effect/cgraph.sch 89 */
								long BgL_res2174z00_3132;

								{	/* Effect/cgraph.sch 89 */
									obj_t BgL_classz00_3133;

									BgL_classz00_3133 = BGl_localzf2fromzf2zzeffect_cgraphz00;
									{	/* Effect/cgraph.sch 89 */
										obj_t BgL_vectorz00_3134;
										int BgL_kz00_3135;

										BgL_vectorz00_3134 = BgL_classz00_3133;
										BgL_kz00_3135 = (int) (((long) 1));
										BgL_res2174z00_3132 =
											(long) CINT(VECTOR_REF(BgL_vectorz00_3134,
												BgL_kz00_3135));
								}}
								BgL_arg1985z00_3131 = BgL_res2174z00_3132;
							}
							{	/* Effect/cgraph.sch 89 */
								BgL_objectz00_bglt BgL_objz00_3136;

								BgL_objz00_3136 = ((BgL_objectz00_bglt) BgL_tmp1144z00_3122);
								((BgL_localz00_bglt)
									BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_3136,
										BgL_arg1985z00_3131));
						}}
						BgL_new1146z00_3121 = ((BgL_localz00_bglt) BgL_tmp1144z00_3122);
					}
					((((BgL_variablez00_bglt) CREF(
									((BgL_variablez00_bglt) BgL_new1146z00_3121)))->BgL_idz00) =
						((obj_t) BgL_id1212z00_3109), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1146z00_3121)))->BgL_namez00) =
						((obj_t) BgL_name1213z00_2725), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1146z00_3121)))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_type1214z00_3111), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1146z00_3121)))->BgL_valuez00) =
						((BgL_valuez00_bglt) BgL_value1215z00_3112), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1146z00_3121)))->BgL_accessz00) =
						((obj_t) BgL_access1216z00_2728), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1146z00_3121)))->BgL_fastzd2alphazd2) =
						((obj_t) BgL_fastzd2alpha1217zd2_2729), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1146z00_3121)))->BgL_removablez00) =
						((obj_t) BgL_removable1218z00_2730), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1146z00_3121)))->BgL_occurrencez00) =
						((long) BgL_occurrence1219z00_3116), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1146z00_3121)))->BgL_occurrencewz00) =
						((long) BgL_occurrencew1220z00_3117), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1146z00_3121)))->BgL_userzf3zf3) =
						((bool_t) BgL_userzf31221zf3_3118), BUNSPEC);
					((((BgL_localz00_bglt) CREF(((BgL_localz00_bglt)
										BgL_new1146z00_3121)))->BgL_keyz00) =
						((long) BgL_key1222z00_3119), BUNSPEC);
					{
						BgL_localzf2fromzf2_bglt BgL_auxz00_3419;

						{
							obj_t BgL_auxz00_3420;

							{	/* Effect/cgraph.sch 89 */
								BgL_objectz00_bglt BgL_auxz00_3421;

								BgL_auxz00_3421 = ((BgL_objectz00_bglt) BgL_new1146z00_3121);
								BgL_auxz00_3420 = BGL_OBJECT_WIDENING(BgL_auxz00_3421);
							}
							BgL_auxz00_3419 = ((BgL_localzf2fromzf2_bglt) BgL_auxz00_3420);
						}
						((((BgL_localzf2fromzf2_bglt) CREF(BgL_auxz00_3419))->BgL_fromz00) =
							((obj_t) BgL_from1223z00_2735), BUNSPEC);
					}
					return BgL_new1146z00_3121;
				}
			}
		}
	}



/* local/from? */
	BGL_EXPORTED_DEF bool_t BGl_localzf2fromzf3z01zzeffect_cgraphz00(obj_t
		BgL_objz00_15)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 90 */
			return
				BGl_isazf3zf3zz__objectz00(BgL_objz00_15,
				BGl_localzf2fromzf2zzeffect_cgraphz00);
		}
	}



/* &local/from? */
	obj_t BGl_z62localzf2fromzf3z63zzeffect_cgraphz00(obj_t BgL_envz00_2736,
		obj_t BgL_objz00_2737)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 90 */
			return
				BBOOL(BGl_isazf3zf3zz__objectz00(BgL_objz00_2737,
					BGl_localzf2fromzf2zzeffect_cgraphz00));
		}
	}



/* local/from-nil */
	BGL_EXPORTED_DEF BgL_localz00_bglt
		BGl_localzf2fromzd2nilz20zzeffect_cgraphz00()
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 91 */
			return
				((BgL_localz00_bglt)
				BGl_classzd2nilzd2zz__objectz00(BGl_localzf2fromzf2zzeffect_cgraphz00));
		}
	}



/* &local/from-nil */
	BgL_localz00_bglt BGl_z62localzf2fromzd2nilz42zzeffect_cgraphz00(obj_t
		BgL_envz00_2738)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 91 */
			return BGl_localzf2fromzd2nilz20zzeffect_cgraphz00();
		}
	}



/* local/from-from */
	BGL_EXPORTED_DEF obj_t
		BGl_localzf2fromzd2fromz20zzeffect_cgraphz00(BgL_localz00_bglt BgL_oz00_16)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 92 */
			{
				BgL_localzf2fromzf2_bglt BgL_auxz00_3432;

				{
					obj_t BgL_auxz00_3433;

					{	/* Effect/cgraph.sch 92 */
						BgL_objectz00_bglt BgL_auxz00_3434;

						BgL_auxz00_3434 = ((BgL_objectz00_bglt) BgL_oz00_16);
						BgL_auxz00_3433 = BGL_OBJECT_WIDENING(BgL_auxz00_3434);
					}
					BgL_auxz00_3432 = ((BgL_localzf2fromzf2_bglt) BgL_auxz00_3433);
				}
				return
					(((BgL_localzf2fromzf2_bglt) CREF(BgL_auxz00_3432))->BgL_fromz00);
			}
		}
	}



/* &local/from-from */
	obj_t BGl_z62localzf2fromzd2fromz42zzeffect_cgraphz00(obj_t BgL_envz00_2739,
		obj_t BgL_oz00_2740)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 92 */
			{
				BgL_localzf2fromzf2_bglt BgL_auxz00_3439;

				{
					obj_t BgL_auxz00_3440;

					{	/* Effect/cgraph.sch 92 */
						BgL_objectz00_bglt BgL_auxz00_3441;

						BgL_auxz00_3441 =
							((BgL_objectz00_bglt) ((BgL_localz00_bglt) BgL_oz00_2740));
						BgL_auxz00_3440 = BGL_OBJECT_WIDENING(BgL_auxz00_3441);
					}
					BgL_auxz00_3439 = ((BgL_localzf2fromzf2_bglt) BgL_auxz00_3440);
				}
				return
					(((BgL_localzf2fromzf2_bglt) CREF(BgL_auxz00_3439))->BgL_fromz00);
			}
		}
	}



/* local/from-from-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_localzf2fromzd2fromzd2setz12ze0zzeffect_cgraphz00(BgL_localz00_bglt
		BgL_oz00_17, obj_t BgL_vz00_18)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 93 */
			{
				BgL_localzf2fromzf2_bglt BgL_auxz00_3447;

				{
					obj_t BgL_auxz00_3448;

					{	/* Effect/cgraph.sch 93 */
						BgL_objectz00_bglt BgL_auxz00_3449;

						BgL_auxz00_3449 = ((BgL_objectz00_bglt) BgL_oz00_17);
						BgL_auxz00_3448 = BGL_OBJECT_WIDENING(BgL_auxz00_3449);
					}
					BgL_auxz00_3447 = ((BgL_localzf2fromzf2_bglt) BgL_auxz00_3448);
				}
				return
					((((BgL_localzf2fromzf2_bglt) CREF(BgL_auxz00_3447))->BgL_fromz00) =
					((obj_t) BgL_vz00_18), BUNSPEC);
			}
		}
	}



/* &local/from-from-set! */
	obj_t BGl_z62localzf2fromzd2fromzd2setz12z82zzeffect_cgraphz00(obj_t
		BgL_envz00_2741, obj_t BgL_oz00_2742, obj_t BgL_vz00_2743)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 93 */
			{	/* Effect/cgraph.sch 93 */
				BgL_localz00_bglt BgL_oz00_3139;

				BgL_oz00_3139 = ((BgL_localz00_bglt) BgL_oz00_2742);
				{
					BgL_localzf2fromzf2_bglt BgL_auxz00_3455;

					{
						obj_t BgL_auxz00_3456;

						{	/* Effect/cgraph.sch 93 */
							BgL_objectz00_bglt BgL_auxz00_3457;

							BgL_auxz00_3457 = ((BgL_objectz00_bglt) BgL_oz00_3139);
							BgL_auxz00_3456 = BGL_OBJECT_WIDENING(BgL_auxz00_3457);
						}
						BgL_auxz00_3455 = ((BgL_localzf2fromzf2_bglt) BgL_auxz00_3456);
					}
					return
						((((BgL_localzf2fromzf2_bglt) CREF(BgL_auxz00_3455))->BgL_fromz00) =
						((obj_t) BgL_vz00_2743), BUNSPEC);
				}
			}
		}
	}



/* local/from-key */
	BGL_EXPORTED_DEF long
		BGl_localzf2fromzd2keyz20zzeffect_cgraphz00(BgL_localz00_bglt BgL_oz00_19)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 94 */
			return
				(((BgL_localz00_bglt) CREF(
						((BgL_localz00_bglt) BgL_oz00_19)))->BgL_keyz00);
		}
	}



/* &local/from-key */
	obj_t BGl_z62localzf2fromzd2keyz42zzeffect_cgraphz00(obj_t BgL_envz00_2744,
		obj_t BgL_oz00_2745)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 94 */
			return
				BINT(
				(((BgL_localz00_bglt) CREF(
							((BgL_localz00_bglt)
								((BgL_localz00_bglt) BgL_oz00_2745))))->BgL_keyz00));
		}
	}



/* local/from-user? */
	BGL_EXPORTED_DEF bool_t
		BGl_localzf2fromzd2userzf3zd3zzeffect_cgraphz00(BgL_localz00_bglt
		BgL_oz00_22)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 96 */
			return
				(((BgL_variablez00_bglt) CREF(
						((BgL_variablez00_bglt) BgL_oz00_22)))->BgL_userzf3zf3);
		}
	}



/* &local/from-user? */
	obj_t BGl_z62localzf2fromzd2userzf3zb1zzeffect_cgraphz00(obj_t
		BgL_envz00_2746, obj_t BgL_oz00_2747)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 96 */
			return
				BBOOL(
				(((BgL_variablez00_bglt) CREF(
							((BgL_variablez00_bglt)
								((BgL_localz00_bglt) BgL_oz00_2747))))->BgL_userzf3zf3));
		}
	}



/* local/from-user?-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_localzf2fromzd2userzf3zd2setz12z13zzeffect_cgraphz00(BgL_localz00_bglt
		BgL_oz00_23, bool_t BgL_vz00_24)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 97 */
			return
				((((BgL_variablez00_bglt) CREF(
							((BgL_variablez00_bglt) BgL_oz00_23)))->BgL_userzf3zf3) =
				((bool_t) BgL_vz00_24), BUNSPEC);
		}
	}



/* &local/from-user?-set! */
	obj_t BGl_z62localzf2fromzd2userzf3zd2setz12z71zzeffect_cgraphz00(obj_t
		BgL_envz00_2748, obj_t BgL_oz00_2749, obj_t BgL_vz00_2750)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 97 */
			{	/* Effect/cgraph.sch 97 */
				BgL_localz00_bglt BgL_oz00_3143;
				bool_t BgL_vz00_3144;

				BgL_oz00_3143 = ((BgL_localz00_bglt) BgL_oz00_2749);
				BgL_vz00_3144 = CBOOL(BgL_vz00_2750);
				return
					((((BgL_variablez00_bglt) CREF(
								((BgL_variablez00_bglt) BgL_oz00_3143)))->BgL_userzf3zf3) =
					((bool_t) BgL_vz00_3144), BUNSPEC);
			}
		}
	}



/* local/from-occurrencew */
	BGL_EXPORTED_DEF long
		BGl_localzf2fromzd2occurrencewz20zzeffect_cgraphz00(BgL_localz00_bglt
		BgL_oz00_25)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 98 */
			return
				(((BgL_variablez00_bglt) CREF(
						((BgL_variablez00_bglt) BgL_oz00_25)))->BgL_occurrencewz00);
		}
	}



/* &local/from-occurrencew */
	obj_t BGl_z62localzf2fromzd2occurrencewz42zzeffect_cgraphz00(obj_t
		BgL_envz00_2751, obj_t BgL_oz00_2752)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 98 */
			return
				BINT(
				(((BgL_variablez00_bglt) CREF(
							((BgL_variablez00_bglt)
								((BgL_localz00_bglt) BgL_oz00_2752))))->BgL_occurrencewz00));
		}
	}



/* local/from-occurrencew-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_localzf2fromzd2occurrencewzd2setz12ze0zzeffect_cgraphz00
		(BgL_localz00_bglt BgL_oz00_26, long BgL_vz00_27)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 99 */
			return
				((((BgL_variablez00_bglt) CREF(
							((BgL_variablez00_bglt) BgL_oz00_26)))->BgL_occurrencewz00) =
				((long) BgL_vz00_27), BUNSPEC);
		}
	}



/* &local/from-occurrencew-set! */
	obj_t BGl_z62localzf2fromzd2occurrencewzd2setz12z82zzeffect_cgraphz00(obj_t
		BgL_envz00_2753, obj_t BgL_oz00_2754, obj_t BgL_vz00_2755)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 99 */
			{	/* Effect/cgraph.sch 99 */
				BgL_localz00_bglt BgL_oz00_3146;
				long BgL_vz00_3147;

				BgL_oz00_3146 = ((BgL_localz00_bglt) BgL_oz00_2754);
				BgL_vz00_3147 = (long) CINT(BgL_vz00_2755);
				return
					((((BgL_variablez00_bglt) CREF(
								((BgL_variablez00_bglt) BgL_oz00_3146)))->BgL_occurrencewz00) =
					((long) BgL_vz00_3147), BUNSPEC);
		}}
	}



/* local/from-occurrence */
	BGL_EXPORTED_DEF long
		BGl_localzf2fromzd2occurrencez20zzeffect_cgraphz00(BgL_localz00_bglt
		BgL_oz00_28)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 100 */
			return
				(((BgL_variablez00_bglt) CREF(
						((BgL_variablez00_bglt) BgL_oz00_28)))->BgL_occurrencez00);
		}
	}



/* &local/from-occurrence */
	obj_t BGl_z62localzf2fromzd2occurrencez42zzeffect_cgraphz00(obj_t
		BgL_envz00_2756, obj_t BgL_oz00_2757)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 100 */
			return
				BINT(
				(((BgL_variablez00_bglt) CREF(
							((BgL_variablez00_bglt)
								((BgL_localz00_bglt) BgL_oz00_2757))))->BgL_occurrencez00));
		}
	}



/* local/from-occurrence-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_localzf2fromzd2occurrencezd2setz12ze0zzeffect_cgraphz00
		(BgL_localz00_bglt BgL_oz00_29, long BgL_vz00_30)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 101 */
			return
				((((BgL_variablez00_bglt) CREF(
							((BgL_variablez00_bglt) BgL_oz00_29)))->BgL_occurrencez00) =
				((long) BgL_vz00_30), BUNSPEC);
		}
	}



/* &local/from-occurrence-set! */
	obj_t BGl_z62localzf2fromzd2occurrencezd2setz12z82zzeffect_cgraphz00(obj_t
		BgL_envz00_2758, obj_t BgL_oz00_2759, obj_t BgL_vz00_2760)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 101 */
			{	/* Effect/cgraph.sch 101 */
				BgL_localz00_bglt BgL_oz00_3149;
				long BgL_vz00_3150;

				BgL_oz00_3149 = ((BgL_localz00_bglt) BgL_oz00_2759);
				BgL_vz00_3150 = (long) CINT(BgL_vz00_2760);
				return
					((((BgL_variablez00_bglt) CREF(
								((BgL_variablez00_bglt) BgL_oz00_3149)))->BgL_occurrencez00) =
					((long) BgL_vz00_3150), BUNSPEC);
		}}
	}



/* local/from-removable */
	BGL_EXPORTED_DEF obj_t
		BGl_localzf2fromzd2removablez20zzeffect_cgraphz00(BgL_localz00_bglt
		BgL_oz00_31)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 102 */
			return
				(((BgL_variablez00_bglt) CREF(
						((BgL_variablez00_bglt) BgL_oz00_31)))->BgL_removablez00);
		}
	}



/* &local/from-removable */
	obj_t BGl_z62localzf2fromzd2removablez42zzeffect_cgraphz00(obj_t
		BgL_envz00_2761, obj_t BgL_oz00_2762)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 102 */
			return
				(((BgL_variablez00_bglt) CREF(
						((BgL_variablez00_bglt)
							((BgL_localz00_bglt) BgL_oz00_2762))))->BgL_removablez00);
		}
	}



/* local/from-removable-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_localzf2fromzd2removablezd2setz12ze0zzeffect_cgraphz00(BgL_localz00_bglt
		BgL_oz00_32, obj_t BgL_vz00_33)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 103 */
			return
				((((BgL_variablez00_bglt) CREF(
							((BgL_variablez00_bglt) BgL_oz00_32)))->BgL_removablez00) =
				((obj_t) BgL_vz00_33), BUNSPEC);
		}
	}



/* &local/from-removable-set! */
	obj_t BGl_z62localzf2fromzd2removablezd2setz12z82zzeffect_cgraphz00(obj_t
		BgL_envz00_2763, obj_t BgL_oz00_2764, obj_t BgL_vz00_2765)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 103 */
			{	/* Effect/cgraph.sch 103 */
				BgL_localz00_bglt BgL_oz00_3152;

				BgL_oz00_3152 = ((BgL_localz00_bglt) BgL_oz00_2764);
				return
					((((BgL_variablez00_bglt) CREF(
								((BgL_variablez00_bglt) BgL_oz00_3152)))->BgL_removablez00) =
					((obj_t) BgL_vz00_2765), BUNSPEC);
			}
		}
	}



/* local/from-fast-alpha */
	BGL_EXPORTED_DEF obj_t
		BGl_localzf2fromzd2fastzd2alphazf2zzeffect_cgraphz00(BgL_localz00_bglt
		BgL_oz00_34)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 104 */
			return
				(((BgL_variablez00_bglt) CREF(
						((BgL_variablez00_bglt) BgL_oz00_34)))->BgL_fastzd2alphazd2);
		}
	}



/* &local/from-fast-alpha */
	obj_t BGl_z62localzf2fromzd2fastzd2alphaz90zzeffect_cgraphz00(obj_t
		BgL_envz00_2766, obj_t BgL_oz00_2767)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 104 */
			return
				(((BgL_variablez00_bglt) CREF(
						((BgL_variablez00_bglt)
							((BgL_localz00_bglt) BgL_oz00_2767))))->BgL_fastzd2alphazd2);
		}
	}



/* local/from-fast-alpha-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_localzf2fromzd2fastzd2alphazd2setz12z32zzeffect_cgraphz00
		(BgL_localz00_bglt BgL_oz00_35, obj_t BgL_vz00_36)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 105 */
			return
				((((BgL_variablez00_bglt) CREF(
							((BgL_variablez00_bglt) BgL_oz00_35)))->BgL_fastzd2alphazd2) =
				((obj_t) BgL_vz00_36), BUNSPEC);
		}
	}



/* &local/from-fast-alpha-set! */
	obj_t BGl_z62localzf2fromzd2fastzd2alphazd2setz12z50zzeffect_cgraphz00(obj_t
		BgL_envz00_2768, obj_t BgL_oz00_2769, obj_t BgL_vz00_2770)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 105 */
			{	/* Effect/cgraph.sch 105 */
				BgL_localz00_bglt BgL_oz00_3155;

				BgL_oz00_3155 = ((BgL_localz00_bglt) BgL_oz00_2769);
				return
					((((BgL_variablez00_bglt) CREF(
								((BgL_variablez00_bglt) BgL_oz00_3155)))->BgL_fastzd2alphazd2) =
					((obj_t) BgL_vz00_2770), BUNSPEC);
			}
		}
	}



/* local/from-access */
	BGL_EXPORTED_DEF obj_t
		BGl_localzf2fromzd2accessz20zzeffect_cgraphz00(BgL_localz00_bglt
		BgL_oz00_37)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 106 */
			return
				(((BgL_variablez00_bglt) CREF(
						((BgL_variablez00_bglt) BgL_oz00_37)))->BgL_accessz00);
		}
	}



/* &local/from-access */
	obj_t BGl_z62localzf2fromzd2accessz42zzeffect_cgraphz00(obj_t BgL_envz00_2771,
		obj_t BgL_oz00_2772)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 106 */
			return
				(((BgL_variablez00_bglt) CREF(
						((BgL_variablez00_bglt)
							((BgL_localz00_bglt) BgL_oz00_2772))))->BgL_accessz00);
		}
	}



/* local/from-access-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_localzf2fromzd2accesszd2setz12ze0zzeffect_cgraphz00(BgL_localz00_bglt
		BgL_oz00_38, obj_t BgL_vz00_39)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 107 */
			return
				((((BgL_variablez00_bglt) CREF(
							((BgL_variablez00_bglt) BgL_oz00_38)))->BgL_accessz00) =
				((obj_t) BgL_vz00_39), BUNSPEC);
		}
	}



/* &local/from-access-set! */
	obj_t BGl_z62localzf2fromzd2accesszd2setz12z82zzeffect_cgraphz00(obj_t
		BgL_envz00_2773, obj_t BgL_oz00_2774, obj_t BgL_vz00_2775)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 107 */
			{	/* Effect/cgraph.sch 107 */
				BgL_localz00_bglt BgL_oz00_3158;

				BgL_oz00_3158 = ((BgL_localz00_bglt) BgL_oz00_2774);
				return
					((((BgL_variablez00_bglt) CREF(
								((BgL_variablez00_bglt) BgL_oz00_3158)))->BgL_accessz00) =
					((obj_t) BgL_vz00_2775), BUNSPEC);
			}
		}
	}



/* local/from-value */
	BGL_EXPORTED_DEF BgL_valuez00_bglt
		BGl_localzf2fromzd2valuez20zzeffect_cgraphz00(BgL_localz00_bglt BgL_oz00_40)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 108 */
			return
				(((BgL_variablez00_bglt) CREF(
						((BgL_variablez00_bglt) BgL_oz00_40)))->BgL_valuez00);
		}
	}



/* &local/from-value */
	BgL_valuez00_bglt BGl_z62localzf2fromzd2valuez42zzeffect_cgraphz00(obj_t
		BgL_envz00_2776, obj_t BgL_oz00_2777)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 108 */
			return
				(((BgL_variablez00_bglt) CREF(
						((BgL_variablez00_bglt)
							((BgL_localz00_bglt) BgL_oz00_2777))))->BgL_valuez00);
		}
	}



/* local/from-value-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_localzf2fromzd2valuezd2setz12ze0zzeffect_cgraphz00(BgL_localz00_bglt
		BgL_oz00_41, BgL_valuez00_bglt BgL_vz00_42)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 109 */
			return
				((((BgL_variablez00_bglt) CREF(
							((BgL_variablez00_bglt) BgL_oz00_41)))->BgL_valuez00) =
				((BgL_valuez00_bglt) BgL_vz00_42), BUNSPEC);
		}
	}



/* &local/from-value-set! */
	obj_t BGl_z62localzf2fromzd2valuezd2setz12z82zzeffect_cgraphz00(obj_t
		BgL_envz00_2778, obj_t BgL_oz00_2779, obj_t BgL_vz00_2780)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 109 */
			{	/* Effect/cgraph.sch 109 */
				BgL_localz00_bglt BgL_oz00_3161;
				BgL_valuez00_bglt BgL_vz00_3162;

				BgL_oz00_3161 = ((BgL_localz00_bglt) BgL_oz00_2779);
				BgL_vz00_3162 = ((BgL_valuez00_bglt) BgL_vz00_2780);
				return
					((((BgL_variablez00_bglt) CREF(
								((BgL_variablez00_bglt) BgL_oz00_3161)))->BgL_valuez00) =
					((BgL_valuez00_bglt) BgL_vz00_3162), BUNSPEC);
			}
		}
	}



/* local/from-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_localzf2fromzd2typez20zzeffect_cgraphz00(BgL_localz00_bglt BgL_oz00_43)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 110 */
			return
				(((BgL_variablez00_bglt) CREF(
						((BgL_variablez00_bglt) BgL_oz00_43)))->BgL_typez00);
		}
	}



/* &local/from-type */
	BgL_typez00_bglt BGl_z62localzf2fromzd2typez42zzeffect_cgraphz00(obj_t
		BgL_envz00_2781, obj_t BgL_oz00_2782)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 110 */
			return
				(((BgL_variablez00_bglt) CREF(
						((BgL_variablez00_bglt)
							((BgL_localz00_bglt) BgL_oz00_2782))))->BgL_typez00);
		}
	}



/* local/from-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_localzf2fromzd2typezd2setz12ze0zzeffect_cgraphz00(BgL_localz00_bglt
		BgL_oz00_44, BgL_typez00_bglt BgL_vz00_45)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 111 */
			return
				((((BgL_variablez00_bglt) CREF(
							((BgL_variablez00_bglt) BgL_oz00_44)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_45), BUNSPEC);
		}
	}



/* &local/from-type-set! */
	obj_t BGl_z62localzf2fromzd2typezd2setz12z82zzeffect_cgraphz00(obj_t
		BgL_envz00_2783, obj_t BgL_oz00_2784, obj_t BgL_vz00_2785)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 111 */
			{	/* Effect/cgraph.sch 111 */
				BgL_localz00_bglt BgL_oz00_3164;
				BgL_typez00_bglt BgL_vz00_3165;

				BgL_oz00_3164 = ((BgL_localz00_bglt) BgL_oz00_2784);
				BgL_vz00_3165 = ((BgL_typez00_bglt) BgL_vz00_2785);
				return
					((((BgL_variablez00_bglt) CREF(
								((BgL_variablez00_bglt) BgL_oz00_3164)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_vz00_3165), BUNSPEC);
			}
		}
	}



/* local/from-name */
	BGL_EXPORTED_DEF obj_t
		BGl_localzf2fromzd2namez20zzeffect_cgraphz00(BgL_localz00_bglt BgL_oz00_46)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 112 */
			return
				(((BgL_variablez00_bglt) CREF(
						((BgL_variablez00_bglt) BgL_oz00_46)))->BgL_namez00);
		}
	}



/* &local/from-name */
	obj_t BGl_z62localzf2fromzd2namez42zzeffect_cgraphz00(obj_t BgL_envz00_2786,
		obj_t BgL_oz00_2787)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 112 */
			return
				(((BgL_variablez00_bglt) CREF(
						((BgL_variablez00_bglt)
							((BgL_localz00_bglt) BgL_oz00_2787))))->BgL_namez00);
		}
	}



/* local/from-name-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_localzf2fromzd2namezd2setz12ze0zzeffect_cgraphz00(BgL_localz00_bglt
		BgL_oz00_47, obj_t BgL_vz00_48)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 113 */
			return
				((((BgL_variablez00_bglt) CREF(
							((BgL_variablez00_bglt) BgL_oz00_47)))->BgL_namez00) =
				((obj_t) BgL_vz00_48), BUNSPEC);
		}
	}



/* &local/from-name-set! */
	obj_t BGl_z62localzf2fromzd2namezd2setz12z82zzeffect_cgraphz00(obj_t
		BgL_envz00_2788, obj_t BgL_oz00_2789, obj_t BgL_vz00_2790)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 113 */
			{	/* Effect/cgraph.sch 113 */
				BgL_localz00_bglt BgL_oz00_3167;

				BgL_oz00_3167 = ((BgL_localz00_bglt) BgL_oz00_2789);
				return
					((((BgL_variablez00_bglt) CREF(
								((BgL_variablez00_bglt) BgL_oz00_3167)))->BgL_namez00) =
					((obj_t) BgL_vz00_2790), BUNSPEC);
			}
		}
	}



/* local/from-id */
	BGL_EXPORTED_DEF obj_t
		BGl_localzf2fromzd2idz20zzeffect_cgraphz00(BgL_localz00_bglt BgL_oz00_49)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 114 */
			return
				(((BgL_variablez00_bglt) CREF(
						((BgL_variablez00_bglt) BgL_oz00_49)))->BgL_idz00);
		}
	}



/* &local/from-id */
	obj_t BGl_z62localzf2fromzd2idz42zzeffect_cgraphz00(obj_t BgL_envz00_2791,
		obj_t BgL_oz00_2792)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 114 */
			return
				(((BgL_variablez00_bglt) CREF(
						((BgL_variablez00_bglt)
							((BgL_localz00_bglt) BgL_oz00_2792))))->BgL_idz00);
		}
	}



/* make-global/from */
	BGL_EXPORTED_DEF BgL_globalz00_bglt
		BGl_makezd2globalzf2fromz20zzeffect_cgraphz00(obj_t BgL_id1191z00_52,
		obj_t BgL_name1192z00_53, BgL_typez00_bglt BgL_type1193z00_54,
		BgL_valuez00_bglt BgL_value1194z00_55, obj_t BgL_access1195z00_56,
		obj_t BgL_fastzd2alpha1196zd2_57, obj_t BgL_removable1197z00_58,
		long BgL_occurrence1198z00_59, long BgL_occurrencew1199z00_60,
		bool_t BgL_userzf31200zf3_61, obj_t BgL_module1201z00_62,
		obj_t BgL_import1202z00_63, bool_t BgL_evaluablezf31203zf3_64,
		bool_t BgL_evalzf31204zf3_65, obj_t BgL_library1205z00_66,
		obj_t BgL_pragma1206z00_67, obj_t BgL_src1207z00_68,
		obj_t BgL_jvmzd2typezd2name1208z00_69, obj_t BgL_init1209z00_70,
		obj_t BgL_from1210z00_71)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 118 */
			{	/* Effect/cgraph.sch 118 */
				BgL_globalz00_bglt BgL_new1175z00_3170;

				{	/* Effect/cgraph.sch 118 */
					BgL_globalz00_bglt BgL_tmp1173z00_3171;
					BgL_globalzf2fromzf2_bglt BgL_wide1174z00_3172;

					{
						BgL_globalz00_bglt BgL_auxz00_3571;

						{	/* Effect/cgraph.sch 118 */
							BgL_globalz00_bglt BgL_new1172z00_3173;

							BgL_new1172z00_3173 =
								((BgL_globalz00_bglt) BREF(GC_MALLOC(sizeof(struct
											BgL_globalz00_bgl))));
							{	/* Effect/cgraph.sch 118 */
								long BgL_arg1988z00_3174;

								{	/* Effect/cgraph.sch 118 */
									long BgL_res2175z00_3175;

									{	/* Effect/cgraph.sch 118 */
										obj_t BgL_classz00_3176;

										BgL_classz00_3176 = BGl_globalz00zzast_varz00;
										{	/* Effect/cgraph.sch 118 */
											obj_t BgL_vectorz00_3177;
											int BgL_kz00_3178;

											BgL_vectorz00_3177 = BgL_classz00_3176;
											BgL_kz00_3178 = (int) (((long) 1));
											BgL_res2175z00_3175 =
												(long) CINT(VECTOR_REF(BgL_vectorz00_3177,
													BgL_kz00_3178));
									}}
									BgL_arg1988z00_3174 = BgL_res2175z00_3175;
								}
								{	/* Effect/cgraph.sch 118 */
									BgL_objectz00_bglt BgL_objz00_3179;

									BgL_objz00_3179 = ((BgL_objectz00_bglt) BgL_new1172z00_3173);
									BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_3179,
										BgL_arg1988z00_3174);
							}}
							{	/* Effect/cgraph.sch 118 */
								BgL_objectz00_bglt BgL_auxz00_3578;

								BgL_auxz00_3578 = ((BgL_objectz00_bglt) BgL_new1172z00_3173);
								BGL_OBJECT_WIDENING_SET(BgL_auxz00_3578, BFALSE);
							}
							BgL_auxz00_3571 = BgL_new1172z00_3173;
						}
						BgL_tmp1173z00_3171 = ((BgL_globalz00_bglt) BgL_auxz00_3571);
					}
					BgL_wide1174z00_3172 =
						((BgL_globalzf2fromzf2_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_globalzf2fromzf2_bgl))));
					{	/* Effect/cgraph.sch 118 */
						obj_t BgL_auxz00_3585;
						BgL_objectz00_bglt BgL_auxz00_3583;

						BgL_auxz00_3585 = ((obj_t) BgL_wide1174z00_3172);
						BgL_auxz00_3583 = ((BgL_objectz00_bglt) BgL_tmp1173z00_3171);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_3583, BgL_auxz00_3585);
					}
					{	/* Effect/cgraph.sch 118 */
						long BgL_arg1987z00_3180;

						{	/* Effect/cgraph.sch 118 */
							long BgL_res2176z00_3181;

							{	/* Effect/cgraph.sch 118 */
								obj_t BgL_classz00_3182;

								BgL_classz00_3182 = BGl_globalzf2fromzf2zzeffect_cgraphz00;
								{	/* Effect/cgraph.sch 118 */
									obj_t BgL_vectorz00_3183;
									int BgL_kz00_3184;

									BgL_vectorz00_3183 = BgL_classz00_3182;
									BgL_kz00_3184 = (int) (((long) 1));
									BgL_res2176z00_3181 =
										(long) CINT(VECTOR_REF(BgL_vectorz00_3183, BgL_kz00_3184));
							}}
							BgL_arg1987z00_3180 = BgL_res2176z00_3181;
						}
						{	/* Effect/cgraph.sch 118 */
							BgL_objectz00_bglt BgL_objz00_3185;

							BgL_objz00_3185 = ((BgL_objectz00_bglt) BgL_tmp1173z00_3171);
							((BgL_globalz00_bglt)
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_3185, BgL_arg1987z00_3180));
					}}
					BgL_new1175z00_3170 = ((BgL_globalz00_bglt) BgL_tmp1173z00_3171);
				}
				((((BgL_variablez00_bglt) CREF(
								((BgL_variablez00_bglt) BgL_new1175z00_3170)))->BgL_idz00) =
					((obj_t) BgL_id1191z00_52), BUNSPEC);
				((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
									BgL_new1175z00_3170)))->BgL_namez00) =
					((obj_t) BgL_name1192z00_53), BUNSPEC);
				((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
									BgL_new1175z00_3170)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1193z00_54), BUNSPEC);
				((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
									BgL_new1175z00_3170)))->BgL_valuez00) =
					((BgL_valuez00_bglt) BgL_value1194z00_55), BUNSPEC);
				((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
									BgL_new1175z00_3170)))->BgL_accessz00) =
					((obj_t) BgL_access1195z00_56), BUNSPEC);
				((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
									BgL_new1175z00_3170)))->BgL_fastzd2alphazd2) =
					((obj_t) BgL_fastzd2alpha1196zd2_57), BUNSPEC);
				((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
									BgL_new1175z00_3170)))->BgL_removablez00) =
					((obj_t) BgL_removable1197z00_58), BUNSPEC);
				((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
									BgL_new1175z00_3170)))->BgL_occurrencez00) =
					((long) BgL_occurrence1198z00_59), BUNSPEC);
				((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
									BgL_new1175z00_3170)))->BgL_occurrencewz00) =
					((long) BgL_occurrencew1199z00_60), BUNSPEC);
				((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
									BgL_new1175z00_3170)))->BgL_userzf3zf3) =
					((bool_t) BgL_userzf31200zf3_61), BUNSPEC);
				((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt)
									BgL_new1175z00_3170)))->BgL_modulez00) =
					((obj_t) BgL_module1201z00_62), BUNSPEC);
				((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt)
									BgL_new1175z00_3170)))->BgL_importz00) =
					((obj_t) BgL_import1202z00_63), BUNSPEC);
				((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt)
									BgL_new1175z00_3170)))->BgL_evaluablezf3zf3) =
					((bool_t) BgL_evaluablezf31203zf3_64), BUNSPEC);
				((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt)
									BgL_new1175z00_3170)))->BgL_evalzf3zf3) =
					((bool_t) BgL_evalzf31204zf3_65), BUNSPEC);
				((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt)
									BgL_new1175z00_3170)))->BgL_libraryz00) =
					((obj_t) BgL_library1205z00_66), BUNSPEC);
				((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt)
									BgL_new1175z00_3170)))->BgL_pragmaz00) =
					((obj_t) BgL_pragma1206z00_67), BUNSPEC);
				((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt)
									BgL_new1175z00_3170)))->BgL_srcz00) =
					((obj_t) BgL_src1207z00_68), BUNSPEC);
				((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt)
									BgL_new1175z00_3170)))->BgL_jvmzd2typezd2namez00) =
					((obj_t) BgL_jvmzd2typezd2name1208z00_69), BUNSPEC);
				((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt)
									BgL_new1175z00_3170)))->BgL_initz00) =
					((obj_t) BgL_init1209z00_70), BUNSPEC);
				{
					BgL_globalzf2fromzf2_bglt BgL_auxz00_3633;

					{
						obj_t BgL_auxz00_3634;

						{	/* Effect/cgraph.sch 118 */
							BgL_objectz00_bglt BgL_auxz00_3635;

							BgL_auxz00_3635 = ((BgL_objectz00_bglt) BgL_new1175z00_3170);
							BgL_auxz00_3634 = BGL_OBJECT_WIDENING(BgL_auxz00_3635);
						}
						BgL_auxz00_3633 = ((BgL_globalzf2fromzf2_bglt) BgL_auxz00_3634);
					}
					((((BgL_globalzf2fromzf2_bglt) CREF(BgL_auxz00_3633))->BgL_fromz00) =
						((obj_t) BgL_from1210z00_71), BUNSPEC);
				}
				return BgL_new1175z00_3170;
			}
		}
	}



/* &make-global/from */
	BgL_globalz00_bglt BGl_z62makezd2globalzf2fromz42zzeffect_cgraphz00(obj_t
		BgL_envz00_2793, obj_t BgL_id1191z00_2794, obj_t BgL_name1192z00_2795,
		obj_t BgL_type1193z00_2796, obj_t BgL_value1194z00_2797,
		obj_t BgL_access1195z00_2798, obj_t BgL_fastzd2alpha1196zd2_2799,
		obj_t BgL_removable1197z00_2800, obj_t BgL_occurrence1198z00_2801,
		obj_t BgL_occurrencew1199z00_2802, obj_t BgL_userzf31200zf3_2803,
		obj_t BgL_module1201z00_2804, obj_t BgL_import1202z00_2805,
		obj_t BgL_evaluablezf31203zf3_2806, obj_t BgL_evalzf31204zf3_2807,
		obj_t BgL_library1205z00_2808, obj_t BgL_pragma1206z00_2809,
		obj_t BgL_src1207z00_2810, obj_t BgL_jvmzd2typezd2name1208z00_2811,
		obj_t BgL_init1209z00_2812, obj_t BgL_from1210z00_2813)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 118 */
			{	/* Effect/cgraph.sch 118 */
				obj_t BgL_id1191z00_3186;
				BgL_typez00_bglt BgL_type1193z00_3188;
				BgL_valuez00_bglt BgL_value1194z00_3189;
				long BgL_occurrence1198z00_3193;
				long BgL_occurrencew1199z00_3194;
				bool_t BgL_userzf31200zf3_3195;
				obj_t BgL_module1201z00_3196;
				bool_t BgL_evaluablezf31203zf3_3198;
				bool_t BgL_evalzf31204zf3_3199;
				obj_t BgL_jvmzd2typezd2name1208z00_3203;

				BgL_id1191z00_3186 = BgL_id1191z00_2794;
				BgL_type1193z00_3188 = ((BgL_typez00_bglt) BgL_type1193z00_2796);
				BgL_value1194z00_3189 = ((BgL_valuez00_bglt) BgL_value1194z00_2797);
				BgL_occurrence1198z00_3193 = (long) CINT(BgL_occurrence1198z00_2801);
				BgL_occurrencew1199z00_3194 = (long) CINT(BgL_occurrencew1199z00_2802);
				BgL_userzf31200zf3_3195 = CBOOL(BgL_userzf31200zf3_2803);
				BgL_module1201z00_3196 = BgL_module1201z00_2804;
				BgL_evaluablezf31203zf3_3198 = CBOOL(BgL_evaluablezf31203zf3_2806);
				BgL_evalzf31204zf3_3199 = CBOOL(BgL_evalzf31204zf3_2807);
				BgL_jvmzd2typezd2name1208z00_3203 = BgL_jvmzd2typezd2name1208z00_2811;
				{	/* Effect/cgraph.sch 118 */
					BgL_globalz00_bglt BgL_new1175z00_3206;

					{	/* Effect/cgraph.sch 118 */
						BgL_globalz00_bglt BgL_tmp1173z00_3207;
						BgL_globalzf2fromzf2_bglt BgL_wide1174z00_3208;

						{
							BgL_globalz00_bglt BgL_auxz00_3647;

							{	/* Effect/cgraph.sch 118 */
								BgL_globalz00_bglt BgL_new1172z00_3209;

								BgL_new1172z00_3209 =
									((BgL_globalz00_bglt) BREF(GC_MALLOC(sizeof(struct
												BgL_globalz00_bgl))));
								{	/* Effect/cgraph.sch 118 */
									long BgL_arg1988z00_3210;

									{	/* Effect/cgraph.sch 118 */
										long BgL_res2175z00_3211;

										{	/* Effect/cgraph.sch 118 */
											obj_t BgL_classz00_3212;

											BgL_classz00_3212 = BGl_globalz00zzast_varz00;
											{	/* Effect/cgraph.sch 118 */
												obj_t BgL_vectorz00_3213;
												int BgL_kz00_3214;

												BgL_vectorz00_3213 = BgL_classz00_3212;
												BgL_kz00_3214 = (int) (((long) 1));
												BgL_res2175z00_3211 =
													(long) CINT(VECTOR_REF(BgL_vectorz00_3213,
														BgL_kz00_3214));
										}}
										BgL_arg1988z00_3210 = BgL_res2175z00_3211;
									}
									{	/* Effect/cgraph.sch 118 */
										BgL_objectz00_bglt BgL_objz00_3215;

										BgL_objz00_3215 =
											((BgL_objectz00_bglt) BgL_new1172z00_3209);
										BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_3215,
											BgL_arg1988z00_3210);
								}}
								{	/* Effect/cgraph.sch 118 */
									BgL_objectz00_bglt BgL_auxz00_3654;

									BgL_auxz00_3654 = ((BgL_objectz00_bglt) BgL_new1172z00_3209);
									BGL_OBJECT_WIDENING_SET(BgL_auxz00_3654, BFALSE);
								}
								BgL_auxz00_3647 = BgL_new1172z00_3209;
							}
							BgL_tmp1173z00_3207 = ((BgL_globalz00_bglt) BgL_auxz00_3647);
						}
						BgL_wide1174z00_3208 =
							((BgL_globalzf2fromzf2_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_globalzf2fromzf2_bgl))));
						{	/* Effect/cgraph.sch 118 */
							obj_t BgL_auxz00_3661;
							BgL_objectz00_bglt BgL_auxz00_3659;

							BgL_auxz00_3661 = ((obj_t) BgL_wide1174z00_3208);
							BgL_auxz00_3659 = ((BgL_objectz00_bglt) BgL_tmp1173z00_3207);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_3659, BgL_auxz00_3661);
						}
						{	/* Effect/cgraph.sch 118 */
							long BgL_arg1987z00_3216;

							{	/* Effect/cgraph.sch 118 */
								long BgL_res2176z00_3217;

								{	/* Effect/cgraph.sch 118 */
									obj_t BgL_classz00_3218;

									BgL_classz00_3218 = BGl_globalzf2fromzf2zzeffect_cgraphz00;
									{	/* Effect/cgraph.sch 118 */
										obj_t BgL_vectorz00_3219;
										int BgL_kz00_3220;

										BgL_vectorz00_3219 = BgL_classz00_3218;
										BgL_kz00_3220 = (int) (((long) 1));
										BgL_res2176z00_3217 =
											(long) CINT(VECTOR_REF(BgL_vectorz00_3219,
												BgL_kz00_3220));
								}}
								BgL_arg1987z00_3216 = BgL_res2176z00_3217;
							}
							{	/* Effect/cgraph.sch 118 */
								BgL_objectz00_bglt BgL_objz00_3221;

								BgL_objz00_3221 = ((BgL_objectz00_bglt) BgL_tmp1173z00_3207);
								((BgL_globalz00_bglt)
									BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_3221,
										BgL_arg1987z00_3216));
						}}
						BgL_new1175z00_3206 = ((BgL_globalz00_bglt) BgL_tmp1173z00_3207);
					}
					((((BgL_variablez00_bglt) CREF(
									((BgL_variablez00_bglt) BgL_new1175z00_3206)))->BgL_idz00) =
						((obj_t) BgL_id1191z00_3186), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1175z00_3206)))->BgL_namez00) =
						((obj_t) BgL_name1192z00_2795), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1175z00_3206)))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_type1193z00_3188), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1175z00_3206)))->BgL_valuez00) =
						((BgL_valuez00_bglt) BgL_value1194z00_3189), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1175z00_3206)))->BgL_accessz00) =
						((obj_t) BgL_access1195z00_2798), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1175z00_3206)))->BgL_fastzd2alphazd2) =
						((obj_t) BgL_fastzd2alpha1196zd2_2799), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1175z00_3206)))->BgL_removablez00) =
						((obj_t) BgL_removable1197z00_2800), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1175z00_3206)))->BgL_occurrencez00) =
						((long) BgL_occurrence1198z00_3193), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1175z00_3206)))->BgL_occurrencewz00) =
						((long) BgL_occurrencew1199z00_3194), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1175z00_3206)))->BgL_userzf3zf3) =
						((bool_t) BgL_userzf31200zf3_3195), BUNSPEC);
					((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt)
										BgL_new1175z00_3206)))->BgL_modulez00) =
						((obj_t) BgL_module1201z00_3196), BUNSPEC);
					((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt)
										BgL_new1175z00_3206)))->BgL_importz00) =
						((obj_t) BgL_import1202z00_2805), BUNSPEC);
					((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt)
										BgL_new1175z00_3206)))->BgL_evaluablezf3zf3) =
						((bool_t) BgL_evaluablezf31203zf3_3198), BUNSPEC);
					((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt)
										BgL_new1175z00_3206)))->BgL_evalzf3zf3) =
						((bool_t) BgL_evalzf31204zf3_3199), BUNSPEC);
					((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt)
										BgL_new1175z00_3206)))->BgL_libraryz00) =
						((obj_t) BgL_library1205z00_2808), BUNSPEC);
					((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt)
										BgL_new1175z00_3206)))->BgL_pragmaz00) =
						((obj_t) BgL_pragma1206z00_2809), BUNSPEC);
					((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt)
										BgL_new1175z00_3206)))->BgL_srcz00) =
						((obj_t) BgL_src1207z00_2810), BUNSPEC);
					((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt)
										BgL_new1175z00_3206)))->BgL_jvmzd2typezd2namez00) =
						((obj_t) BgL_jvmzd2typezd2name1208z00_3203), BUNSPEC);
					((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt)
										BgL_new1175z00_3206)))->BgL_initz00) =
						((obj_t) BgL_init1209z00_2812), BUNSPEC);
					{
						BgL_globalzf2fromzf2_bglt BgL_auxz00_3709;

						{
							obj_t BgL_auxz00_3710;

							{	/* Effect/cgraph.sch 118 */
								BgL_objectz00_bglt BgL_auxz00_3711;

								BgL_auxz00_3711 = ((BgL_objectz00_bglt) BgL_new1175z00_3206);
								BgL_auxz00_3710 = BGL_OBJECT_WIDENING(BgL_auxz00_3711);
							}
							BgL_auxz00_3709 = ((BgL_globalzf2fromzf2_bglt) BgL_auxz00_3710);
						}
						((((BgL_globalzf2fromzf2_bglt) CREF(BgL_auxz00_3709))->
								BgL_fromz00) = ((obj_t) BgL_from1210z00_2813), BUNSPEC);
					}
					return BgL_new1175z00_3206;
				}
			}
		}
	}



/* global/from? */
	BGL_EXPORTED_DEF bool_t BGl_globalzf2fromzf3z01zzeffect_cgraphz00(obj_t
		BgL_objz00_72)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 119 */
			return
				BGl_isazf3zf3zz__objectz00(BgL_objz00_72,
				BGl_globalzf2fromzf2zzeffect_cgraphz00);
		}
	}



/* &global/from? */
	obj_t BGl_z62globalzf2fromzf3z63zzeffect_cgraphz00(obj_t BgL_envz00_2814,
		obj_t BgL_objz00_2815)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 119 */
			return
				BBOOL(BGl_isazf3zf3zz__objectz00(BgL_objz00_2815,
					BGl_globalzf2fromzf2zzeffect_cgraphz00));
		}
	}



/* global/from-nil */
	BGL_EXPORTED_DEF BgL_globalz00_bglt
		BGl_globalzf2fromzd2nilz20zzeffect_cgraphz00()
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 120 */
			return
				((BgL_globalz00_bglt)
				BGl_classzd2nilzd2zz__objectz00
				(BGl_globalzf2fromzf2zzeffect_cgraphz00));
		}
	}



/* &global/from-nil */
	BgL_globalz00_bglt BGl_z62globalzf2fromzd2nilz42zzeffect_cgraphz00(obj_t
		BgL_envz00_2816)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 120 */
			return BGl_globalzf2fromzd2nilz20zzeffect_cgraphz00();
		}
	}



/* global/from-from */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2fromzd2fromz20zzeffect_cgraphz00(BgL_globalz00_bglt
		BgL_oz00_73)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 121 */
			{
				BgL_globalzf2fromzf2_bglt BgL_auxz00_3722;

				{
					obj_t BgL_auxz00_3723;

					{	/* Effect/cgraph.sch 121 */
						BgL_objectz00_bglt BgL_auxz00_3724;

						BgL_auxz00_3724 = ((BgL_objectz00_bglt) BgL_oz00_73);
						BgL_auxz00_3723 = BGL_OBJECT_WIDENING(BgL_auxz00_3724);
					}
					BgL_auxz00_3722 = ((BgL_globalzf2fromzf2_bglt) BgL_auxz00_3723);
				}
				return
					(((BgL_globalzf2fromzf2_bglt) CREF(BgL_auxz00_3722))->BgL_fromz00);
			}
		}
	}



/* &global/from-from */
	obj_t BGl_z62globalzf2fromzd2fromz42zzeffect_cgraphz00(obj_t BgL_envz00_2817,
		obj_t BgL_oz00_2818)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 121 */
			{
				BgL_globalzf2fromzf2_bglt BgL_auxz00_3729;

				{
					obj_t BgL_auxz00_3730;

					{	/* Effect/cgraph.sch 121 */
						BgL_objectz00_bglt BgL_auxz00_3731;

						BgL_auxz00_3731 =
							((BgL_objectz00_bglt) ((BgL_globalz00_bglt) BgL_oz00_2818));
						BgL_auxz00_3730 = BGL_OBJECT_WIDENING(BgL_auxz00_3731);
					}
					BgL_auxz00_3729 = ((BgL_globalzf2fromzf2_bglt) BgL_auxz00_3730);
				}
				return
					(((BgL_globalzf2fromzf2_bglt) CREF(BgL_auxz00_3729))->BgL_fromz00);
			}
		}
	}



/* global/from-from-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2fromzd2fromzd2setz12ze0zzeffect_cgraphz00(BgL_globalz00_bglt
		BgL_oz00_74, obj_t BgL_vz00_75)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 122 */
			{
				BgL_globalzf2fromzf2_bglt BgL_auxz00_3737;

				{
					obj_t BgL_auxz00_3738;

					{	/* Effect/cgraph.sch 122 */
						BgL_objectz00_bglt BgL_auxz00_3739;

						BgL_auxz00_3739 = ((BgL_objectz00_bglt) BgL_oz00_74);
						BgL_auxz00_3738 = BGL_OBJECT_WIDENING(BgL_auxz00_3739);
					}
					BgL_auxz00_3737 = ((BgL_globalzf2fromzf2_bglt) BgL_auxz00_3738);
				}
				return
					((((BgL_globalzf2fromzf2_bglt) CREF(BgL_auxz00_3737))->BgL_fromz00) =
					((obj_t) BgL_vz00_75), BUNSPEC);
			}
		}
	}



/* &global/from-from-set! */
	obj_t BGl_z62globalzf2fromzd2fromzd2setz12z82zzeffect_cgraphz00(obj_t
		BgL_envz00_2819, obj_t BgL_oz00_2820, obj_t BgL_vz00_2821)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 122 */
			{	/* Effect/cgraph.sch 122 */
				BgL_globalz00_bglt BgL_oz00_3224;

				BgL_oz00_3224 = ((BgL_globalz00_bglt) BgL_oz00_2820);
				{
					BgL_globalzf2fromzf2_bglt BgL_auxz00_3745;

					{
						obj_t BgL_auxz00_3746;

						{	/* Effect/cgraph.sch 122 */
							BgL_objectz00_bglt BgL_auxz00_3747;

							BgL_auxz00_3747 = ((BgL_objectz00_bglt) BgL_oz00_3224);
							BgL_auxz00_3746 = BGL_OBJECT_WIDENING(BgL_auxz00_3747);
						}
						BgL_auxz00_3745 = ((BgL_globalzf2fromzf2_bglt) BgL_auxz00_3746);
					}
					return
						((((BgL_globalzf2fromzf2_bglt) CREF(BgL_auxz00_3745))->
							BgL_fromz00) = ((obj_t) BgL_vz00_2821), BUNSPEC);
				}
			}
		}
	}



/* global/from-init */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2fromzd2initz20zzeffect_cgraphz00(BgL_globalz00_bglt
		BgL_oz00_76)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 123 */
			return
				(((BgL_globalz00_bglt) CREF(
						((BgL_globalz00_bglt) BgL_oz00_76)))->BgL_initz00);
		}
	}



/* &global/from-init */
	obj_t BGl_z62globalzf2fromzd2initz42zzeffect_cgraphz00(obj_t BgL_envz00_2822,
		obj_t BgL_oz00_2823)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 123 */
			return
				(((BgL_globalz00_bglt) CREF(
						((BgL_globalz00_bglt)
							((BgL_globalz00_bglt) BgL_oz00_2823))))->BgL_initz00);
		}
	}



/* global/from-init-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2fromzd2initzd2setz12ze0zzeffect_cgraphz00(BgL_globalz00_bglt
		BgL_oz00_77, obj_t BgL_vz00_78)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 124 */
			return
				((((BgL_globalz00_bglt) CREF(
							((BgL_globalz00_bglt) BgL_oz00_77)))->BgL_initz00) =
				((obj_t) BgL_vz00_78), BUNSPEC);
		}
	}



/* &global/from-init-set! */
	obj_t BGl_z62globalzf2fromzd2initzd2setz12z82zzeffect_cgraphz00(obj_t
		BgL_envz00_2824, obj_t BgL_oz00_2825, obj_t BgL_vz00_2826)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 124 */
			{	/* Effect/cgraph.sch 124 */
				BgL_globalz00_bglt BgL_oz00_3227;

				BgL_oz00_3227 = ((BgL_globalz00_bglt) BgL_oz00_2825);
				return
					((((BgL_globalz00_bglt) CREF(
								((BgL_globalz00_bglt) BgL_oz00_3227)))->BgL_initz00) =
					((obj_t) BgL_vz00_2826), BUNSPEC);
			}
		}
	}



/* global/from-jvm-type-name */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2fromzd2jvmzd2typezd2namez20zzeffect_cgraphz00
		(BgL_globalz00_bglt BgL_oz00_79)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 125 */
			return
				(((BgL_globalz00_bglt) CREF(
						((BgL_globalz00_bglt) BgL_oz00_79)))->BgL_jvmzd2typezd2namez00);
		}
	}



/* &global/from-jvm-type-name */
	obj_t BGl_z62globalzf2fromzd2jvmzd2typezd2namez42zzeffect_cgraphz00(obj_t
		BgL_envz00_2827, obj_t BgL_oz00_2828)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 125 */
			return
				(((BgL_globalz00_bglt) CREF(
						((BgL_globalz00_bglt)
							((BgL_globalz00_bglt) BgL_oz00_2828))))->
				BgL_jvmzd2typezd2namez00);
		}
	}



/* global/from-jvm-type-name-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2fromzd2jvmzd2typezd2namezd2setz12ze0zzeffect_cgraphz00
		(BgL_globalz00_bglt BgL_oz00_80, obj_t BgL_vz00_81)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 126 */
			return
				((((BgL_globalz00_bglt) CREF(
							((BgL_globalz00_bglt) BgL_oz00_80)))->BgL_jvmzd2typezd2namez00) =
				((obj_t) BgL_vz00_81), BUNSPEC);
		}
	}



/* &global/from-jvm-type-name-set! */
	obj_t
		BGl_z62globalzf2fromzd2jvmzd2typezd2namezd2setz12z82zzeffect_cgraphz00(obj_t
		BgL_envz00_2829, obj_t BgL_oz00_2830, obj_t BgL_vz00_2831)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 126 */
			{	/* Effect/cgraph.sch 126 */
				BgL_globalz00_bglt BgL_oz00_3230;
				obj_t BgL_vz00_3231;

				BgL_oz00_3230 = ((BgL_globalz00_bglt) BgL_oz00_2830);
				BgL_vz00_3231 = BgL_vz00_2831;
				return
					((((BgL_globalz00_bglt) CREF(
								((BgL_globalz00_bglt) BgL_oz00_3230)))->
						BgL_jvmzd2typezd2namez00) = ((obj_t) BgL_vz00_3231), BUNSPEC);
			}
		}
	}



/* global/from-src */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2fromzd2srcz20zzeffect_cgraphz00(BgL_globalz00_bglt BgL_oz00_82)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 127 */
			return
				(((BgL_globalz00_bglt) CREF(
						((BgL_globalz00_bglt) BgL_oz00_82)))->BgL_srcz00);
		}
	}



/* &global/from-src */
	obj_t BGl_z62globalzf2fromzd2srcz42zzeffect_cgraphz00(obj_t BgL_envz00_2832,
		obj_t BgL_oz00_2833)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 127 */
			return
				(((BgL_globalz00_bglt) CREF(
						((BgL_globalz00_bglt)
							((BgL_globalz00_bglt) BgL_oz00_2833))))->BgL_srcz00);
		}
	}



/* global/from-src-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2fromzd2srczd2setz12ze0zzeffect_cgraphz00(BgL_globalz00_bglt
		BgL_oz00_83, obj_t BgL_vz00_84)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 128 */
			return
				((((BgL_globalz00_bglt) CREF(
							((BgL_globalz00_bglt) BgL_oz00_83)))->BgL_srcz00) =
				((obj_t) BgL_vz00_84), BUNSPEC);
		}
	}



/* &global/from-src-set! */
	obj_t BGl_z62globalzf2fromzd2srczd2setz12z82zzeffect_cgraphz00(obj_t
		BgL_envz00_2834, obj_t BgL_oz00_2835, obj_t BgL_vz00_2836)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 128 */
			{	/* Effect/cgraph.sch 128 */
				BgL_globalz00_bglt BgL_oz00_3233;

				BgL_oz00_3233 = ((BgL_globalz00_bglt) BgL_oz00_2835);
				return
					((((BgL_globalz00_bglt) CREF(
								((BgL_globalz00_bglt) BgL_oz00_3233)))->BgL_srcz00) =
					((obj_t) BgL_vz00_2836), BUNSPEC);
			}
		}
	}



/* global/from-pragma */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2fromzd2pragmaz20zzeffect_cgraphz00(BgL_globalz00_bglt
		BgL_oz00_85)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 129 */
			return
				(((BgL_globalz00_bglt) CREF(
						((BgL_globalz00_bglt) BgL_oz00_85)))->BgL_pragmaz00);
		}
	}



/* &global/from-pragma */
	obj_t BGl_z62globalzf2fromzd2pragmaz42zzeffect_cgraphz00(obj_t
		BgL_envz00_2837, obj_t BgL_oz00_2838)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 129 */
			return
				(((BgL_globalz00_bglt) CREF(
						((BgL_globalz00_bglt)
							((BgL_globalz00_bglt) BgL_oz00_2838))))->BgL_pragmaz00);
		}
	}



/* global/from-pragma-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2fromzd2pragmazd2setz12ze0zzeffect_cgraphz00(BgL_globalz00_bglt
		BgL_oz00_86, obj_t BgL_vz00_87)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 130 */
			return
				((((BgL_globalz00_bglt) CREF(
							((BgL_globalz00_bglt) BgL_oz00_86)))->BgL_pragmaz00) =
				((obj_t) BgL_vz00_87), BUNSPEC);
		}
	}



/* &global/from-pragma-set! */
	obj_t BGl_z62globalzf2fromzd2pragmazd2setz12z82zzeffect_cgraphz00(obj_t
		BgL_envz00_2839, obj_t BgL_oz00_2840, obj_t BgL_vz00_2841)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 130 */
			{	/* Effect/cgraph.sch 130 */
				BgL_globalz00_bglt BgL_oz00_3236;

				BgL_oz00_3236 = ((BgL_globalz00_bglt) BgL_oz00_2840);
				return
					((((BgL_globalz00_bglt) CREF(
								((BgL_globalz00_bglt) BgL_oz00_3236)))->BgL_pragmaz00) =
					((obj_t) BgL_vz00_2841), BUNSPEC);
			}
		}
	}



/* global/from-library */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2fromzd2libraryz20zzeffect_cgraphz00(BgL_globalz00_bglt
		BgL_oz00_88)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 131 */
			return
				(((BgL_globalz00_bglt) CREF(
						((BgL_globalz00_bglt) BgL_oz00_88)))->BgL_libraryz00);
		}
	}



/* &global/from-library */
	obj_t BGl_z62globalzf2fromzd2libraryz42zzeffect_cgraphz00(obj_t
		BgL_envz00_2842, obj_t BgL_oz00_2843)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 131 */
			return
				(((BgL_globalz00_bglt) CREF(
						((BgL_globalz00_bglt)
							((BgL_globalz00_bglt) BgL_oz00_2843))))->BgL_libraryz00);
		}
	}



/* global/from-library-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2fromzd2libraryzd2setz12ze0zzeffect_cgraphz00(BgL_globalz00_bglt
		BgL_oz00_89, obj_t BgL_vz00_90)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 132 */
			return
				((((BgL_globalz00_bglt) CREF(
							((BgL_globalz00_bglt) BgL_oz00_89)))->BgL_libraryz00) =
				((obj_t) BgL_vz00_90), BUNSPEC);
		}
	}



/* &global/from-library-set! */
	obj_t BGl_z62globalzf2fromzd2libraryzd2setz12z82zzeffect_cgraphz00(obj_t
		BgL_envz00_2844, obj_t BgL_oz00_2845, obj_t BgL_vz00_2846)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 132 */
			{	/* Effect/cgraph.sch 132 */
				BgL_globalz00_bglt BgL_oz00_3239;

				BgL_oz00_3239 = ((BgL_globalz00_bglt) BgL_oz00_2845);
				return
					((((BgL_globalz00_bglt) CREF(
								((BgL_globalz00_bglt) BgL_oz00_3239)))->BgL_libraryz00) =
					((obj_t) BgL_vz00_2846), BUNSPEC);
			}
		}
	}



/* global/from-eval? */
	BGL_EXPORTED_DEF bool_t
		BGl_globalzf2fromzd2evalzf3zd3zzeffect_cgraphz00(BgL_globalz00_bglt
		BgL_oz00_91)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 133 */
			return
				(((BgL_globalz00_bglt) CREF(
						((BgL_globalz00_bglt) BgL_oz00_91)))->BgL_evalzf3zf3);
		}
	}



/* &global/from-eval? */
	obj_t BGl_z62globalzf2fromzd2evalzf3zb1zzeffect_cgraphz00(obj_t
		BgL_envz00_2847, obj_t BgL_oz00_2848)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 133 */
			return
				BBOOL(
				(((BgL_globalz00_bglt) CREF(
							((BgL_globalz00_bglt)
								((BgL_globalz00_bglt) BgL_oz00_2848))))->BgL_evalzf3zf3));
		}
	}



/* global/from-eval?-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2fromzd2evalzf3zd2setz12z13zzeffect_cgraphz00(BgL_globalz00_bglt
		BgL_oz00_92, bool_t BgL_vz00_93)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 134 */
			return
				((((BgL_globalz00_bglt) CREF(
							((BgL_globalz00_bglt) BgL_oz00_92)))->BgL_evalzf3zf3) =
				((bool_t) BgL_vz00_93), BUNSPEC);
		}
	}



/* &global/from-eval?-set! */
	obj_t BGl_z62globalzf2fromzd2evalzf3zd2setz12z71zzeffect_cgraphz00(obj_t
		BgL_envz00_2849, obj_t BgL_oz00_2850, obj_t BgL_vz00_2851)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 134 */
			{	/* Effect/cgraph.sch 134 */
				BgL_globalz00_bglt BgL_oz00_3242;
				bool_t BgL_vz00_3243;

				BgL_oz00_3242 = ((BgL_globalz00_bglt) BgL_oz00_2850);
				BgL_vz00_3243 = CBOOL(BgL_vz00_2851);
				return
					((((BgL_globalz00_bglt) CREF(
								((BgL_globalz00_bglt) BgL_oz00_3242)))->BgL_evalzf3zf3) =
					((bool_t) BgL_vz00_3243), BUNSPEC);
			}
		}
	}



/* global/from-evaluable? */
	BGL_EXPORTED_DEF bool_t
		BGl_globalzf2fromzd2evaluablezf3zd3zzeffect_cgraphz00(BgL_globalz00_bglt
		BgL_oz00_94)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 135 */
			return
				(((BgL_globalz00_bglt) CREF(
						((BgL_globalz00_bglt) BgL_oz00_94)))->BgL_evaluablezf3zf3);
		}
	}



/* &global/from-evaluable? */
	obj_t BGl_z62globalzf2fromzd2evaluablezf3zb1zzeffect_cgraphz00(obj_t
		BgL_envz00_2852, obj_t BgL_oz00_2853)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 135 */
			return
				BBOOL(
				(((BgL_globalz00_bglt) CREF(
							((BgL_globalz00_bglt)
								((BgL_globalz00_bglt) BgL_oz00_2853))))->BgL_evaluablezf3zf3));
		}
	}



/* global/from-evaluable?-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2fromzd2evaluablezf3zd2setz12z13zzeffect_cgraphz00
		(BgL_globalz00_bglt BgL_oz00_95, bool_t BgL_vz00_96)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 136 */
			return
				((((BgL_globalz00_bglt) CREF(
							((BgL_globalz00_bglt) BgL_oz00_95)))->BgL_evaluablezf3zf3) =
				((bool_t) BgL_vz00_96), BUNSPEC);
		}
	}



/* &global/from-evaluable?-set! */
	obj_t BGl_z62globalzf2fromzd2evaluablezf3zd2setz12z71zzeffect_cgraphz00(obj_t
		BgL_envz00_2854, obj_t BgL_oz00_2855, obj_t BgL_vz00_2856)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 136 */
			{	/* Effect/cgraph.sch 136 */
				BgL_globalz00_bglt BgL_oz00_3245;
				bool_t BgL_vz00_3246;

				BgL_oz00_3245 = ((BgL_globalz00_bglt) BgL_oz00_2855);
				BgL_vz00_3246 = CBOOL(BgL_vz00_2856);
				return
					((((BgL_globalz00_bglt) CREF(
								((BgL_globalz00_bglt) BgL_oz00_3245)))->BgL_evaluablezf3zf3) =
					((bool_t) BgL_vz00_3246), BUNSPEC);
			}
		}
	}



/* global/from-import */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2fromzd2importz20zzeffect_cgraphz00(BgL_globalz00_bglt
		BgL_oz00_97)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 137 */
			return
				(((BgL_globalz00_bglt) CREF(
						((BgL_globalz00_bglt) BgL_oz00_97)))->BgL_importz00);
		}
	}



/* &global/from-import */
	obj_t BGl_z62globalzf2fromzd2importz42zzeffect_cgraphz00(obj_t
		BgL_envz00_2857, obj_t BgL_oz00_2858)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 137 */
			return
				(((BgL_globalz00_bglt) CREF(
						((BgL_globalz00_bglt)
							((BgL_globalz00_bglt) BgL_oz00_2858))))->BgL_importz00);
		}
	}



/* global/from-import-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2fromzd2importzd2setz12ze0zzeffect_cgraphz00(BgL_globalz00_bglt
		BgL_oz00_98, obj_t BgL_vz00_99)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 138 */
			return
				((((BgL_globalz00_bglt) CREF(
							((BgL_globalz00_bglt) BgL_oz00_98)))->BgL_importz00) =
				((obj_t) BgL_vz00_99), BUNSPEC);
		}
	}



/* &global/from-import-set! */
	obj_t BGl_z62globalzf2fromzd2importzd2setz12z82zzeffect_cgraphz00(obj_t
		BgL_envz00_2859, obj_t BgL_oz00_2860, obj_t BgL_vz00_2861)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 138 */
			{	/* Effect/cgraph.sch 138 */
				BgL_globalz00_bglt BgL_oz00_3248;

				BgL_oz00_3248 = ((BgL_globalz00_bglt) BgL_oz00_2860);
				return
					((((BgL_globalz00_bglt) CREF(
								((BgL_globalz00_bglt) BgL_oz00_3248)))->BgL_importz00) =
					((obj_t) BgL_vz00_2861), BUNSPEC);
			}
		}
	}



/* global/from-module */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2fromzd2modulez20zzeffect_cgraphz00(BgL_globalz00_bglt
		BgL_oz00_100)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 139 */
			return
				(((BgL_globalz00_bglt) CREF(
						((BgL_globalz00_bglt) BgL_oz00_100)))->BgL_modulez00);
		}
	}



/* &global/from-module */
	obj_t BGl_z62globalzf2fromzd2modulez42zzeffect_cgraphz00(obj_t
		BgL_envz00_2862, obj_t BgL_oz00_2863)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 139 */
			return
				(((BgL_globalz00_bglt) CREF(
						((BgL_globalz00_bglt)
							((BgL_globalz00_bglt) BgL_oz00_2863))))->BgL_modulez00);
		}
	}



/* global/from-module-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2fromzd2modulezd2setz12ze0zzeffect_cgraphz00(BgL_globalz00_bglt
		BgL_oz00_101, obj_t BgL_vz00_102)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 140 */
			return
				((((BgL_globalz00_bglt) CREF(
							((BgL_globalz00_bglt) BgL_oz00_101)))->BgL_modulez00) =
				((obj_t) BgL_vz00_102), BUNSPEC);
		}
	}



/* &global/from-module-set! */
	obj_t BGl_z62globalzf2fromzd2modulezd2setz12z82zzeffect_cgraphz00(obj_t
		BgL_envz00_2864, obj_t BgL_oz00_2865, obj_t BgL_vz00_2866)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 140 */
			{	/* Effect/cgraph.sch 140 */
				BgL_globalz00_bglt BgL_oz00_3251;
				obj_t BgL_vz00_3252;

				BgL_oz00_3251 = ((BgL_globalz00_bglt) BgL_oz00_2865);
				BgL_vz00_3252 = BgL_vz00_2866;
				return
					((((BgL_globalz00_bglt) CREF(
								((BgL_globalz00_bglt) BgL_oz00_3251)))->BgL_modulez00) =
					((obj_t) BgL_vz00_3252), BUNSPEC);
			}
		}
	}



/* global/from-user? */
	BGL_EXPORTED_DEF bool_t
		BGl_globalzf2fromzd2userzf3zd3zzeffect_cgraphz00(BgL_globalz00_bglt
		BgL_oz00_103)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 141 */
			return
				(((BgL_variablez00_bglt) CREF(
						((BgL_variablez00_bglt) BgL_oz00_103)))->BgL_userzf3zf3);
		}
	}



/* &global/from-user? */
	obj_t BGl_z62globalzf2fromzd2userzf3zb1zzeffect_cgraphz00(obj_t
		BgL_envz00_2867, obj_t BgL_oz00_2868)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 141 */
			return
				BBOOL(
				(((BgL_variablez00_bglt) CREF(
							((BgL_variablez00_bglt)
								((BgL_globalz00_bglt) BgL_oz00_2868))))->BgL_userzf3zf3));
		}
	}



/* global/from-user?-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2fromzd2userzf3zd2setz12z13zzeffect_cgraphz00(BgL_globalz00_bglt
		BgL_oz00_104, bool_t BgL_vz00_105)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 142 */
			return
				((((BgL_variablez00_bglt) CREF(
							((BgL_variablez00_bglt) BgL_oz00_104)))->BgL_userzf3zf3) =
				((bool_t) BgL_vz00_105), BUNSPEC);
		}
	}



/* &global/from-user?-set! */
	obj_t BGl_z62globalzf2fromzd2userzf3zd2setz12z71zzeffect_cgraphz00(obj_t
		BgL_envz00_2869, obj_t BgL_oz00_2870, obj_t BgL_vz00_2871)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 142 */
			{	/* Effect/cgraph.sch 142 */
				BgL_globalz00_bglt BgL_oz00_3254;
				bool_t BgL_vz00_3255;

				BgL_oz00_3254 = ((BgL_globalz00_bglt) BgL_oz00_2870);
				BgL_vz00_3255 = CBOOL(BgL_vz00_2871);
				return
					((((BgL_variablez00_bglt) CREF(
								((BgL_variablez00_bglt) BgL_oz00_3254)))->BgL_userzf3zf3) =
					((bool_t) BgL_vz00_3255), BUNSPEC);
			}
		}
	}



/* global/from-occurrencew */
	BGL_EXPORTED_DEF long
		BGl_globalzf2fromzd2occurrencewz20zzeffect_cgraphz00(BgL_globalz00_bglt
		BgL_oz00_106)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 143 */
			return
				(((BgL_variablez00_bglt) CREF(
						((BgL_variablez00_bglt) BgL_oz00_106)))->BgL_occurrencewz00);
		}
	}



/* &global/from-occurrencew */
	obj_t BGl_z62globalzf2fromzd2occurrencewz42zzeffect_cgraphz00(obj_t
		BgL_envz00_2872, obj_t BgL_oz00_2873)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 143 */
			return
				BINT(
				(((BgL_variablez00_bglt) CREF(
							((BgL_variablez00_bglt)
								((BgL_globalz00_bglt) BgL_oz00_2873))))->BgL_occurrencewz00));
		}
	}



/* global/from-occurrencew-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2fromzd2occurrencewzd2setz12ze0zzeffect_cgraphz00
		(BgL_globalz00_bglt BgL_oz00_107, long BgL_vz00_108)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 144 */
			return
				((((BgL_variablez00_bglt) CREF(
							((BgL_variablez00_bglt) BgL_oz00_107)))->BgL_occurrencewz00) =
				((long) BgL_vz00_108), BUNSPEC);
		}
	}



/* &global/from-occurrencew-set! */
	obj_t BGl_z62globalzf2fromzd2occurrencewzd2setz12z82zzeffect_cgraphz00(obj_t
		BgL_envz00_2874, obj_t BgL_oz00_2875, obj_t BgL_vz00_2876)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 144 */
			{	/* Effect/cgraph.sch 144 */
				BgL_globalz00_bglt BgL_oz00_3257;
				long BgL_vz00_3258;

				BgL_oz00_3257 = ((BgL_globalz00_bglt) BgL_oz00_2875);
				BgL_vz00_3258 = (long) CINT(BgL_vz00_2876);
				return
					((((BgL_variablez00_bglt) CREF(
								((BgL_variablez00_bglt) BgL_oz00_3257)))->BgL_occurrencewz00) =
					((long) BgL_vz00_3258), BUNSPEC);
		}}
	}



/* global/from-occurrence */
	BGL_EXPORTED_DEF long
		BGl_globalzf2fromzd2occurrencez20zzeffect_cgraphz00(BgL_globalz00_bglt
		BgL_oz00_109)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 145 */
			return
				(((BgL_variablez00_bglt) CREF(
						((BgL_variablez00_bglt) BgL_oz00_109)))->BgL_occurrencez00);
		}
	}



/* &global/from-occurrence */
	obj_t BGl_z62globalzf2fromzd2occurrencez42zzeffect_cgraphz00(obj_t
		BgL_envz00_2877, obj_t BgL_oz00_2878)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 145 */
			return
				BINT(
				(((BgL_variablez00_bglt) CREF(
							((BgL_variablez00_bglt)
								((BgL_globalz00_bglt) BgL_oz00_2878))))->BgL_occurrencez00));
		}
	}



/* global/from-occurrence-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2fromzd2occurrencezd2setz12ze0zzeffect_cgraphz00
		(BgL_globalz00_bglt BgL_oz00_110, long BgL_vz00_111)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 146 */
			return
				((((BgL_variablez00_bglt) CREF(
							((BgL_variablez00_bglt) BgL_oz00_110)))->BgL_occurrencez00) =
				((long) BgL_vz00_111), BUNSPEC);
		}
	}



/* &global/from-occurrence-set! */
	obj_t BGl_z62globalzf2fromzd2occurrencezd2setz12z82zzeffect_cgraphz00(obj_t
		BgL_envz00_2879, obj_t BgL_oz00_2880, obj_t BgL_vz00_2881)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 146 */
			{	/* Effect/cgraph.sch 146 */
				BgL_globalz00_bglt BgL_oz00_3260;
				long BgL_vz00_3261;

				BgL_oz00_3260 = ((BgL_globalz00_bglt) BgL_oz00_2880);
				BgL_vz00_3261 = (long) CINT(BgL_vz00_2881);
				return
					((((BgL_variablez00_bglt) CREF(
								((BgL_variablez00_bglt) BgL_oz00_3260)))->BgL_occurrencez00) =
					((long) BgL_vz00_3261), BUNSPEC);
		}}
	}



/* global/from-removable */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2fromzd2removablez20zzeffect_cgraphz00(BgL_globalz00_bglt
		BgL_oz00_112)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 147 */
			return
				(((BgL_variablez00_bglt) CREF(
						((BgL_variablez00_bglt) BgL_oz00_112)))->BgL_removablez00);
		}
	}



/* &global/from-removable */
	obj_t BGl_z62globalzf2fromzd2removablez42zzeffect_cgraphz00(obj_t
		BgL_envz00_2882, obj_t BgL_oz00_2883)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 147 */
			return
				(((BgL_variablez00_bglt) CREF(
						((BgL_variablez00_bglt)
							((BgL_globalz00_bglt) BgL_oz00_2883))))->BgL_removablez00);
		}
	}



/* global/from-removable-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2fromzd2removablezd2setz12ze0zzeffect_cgraphz00
		(BgL_globalz00_bglt BgL_oz00_113, obj_t BgL_vz00_114)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 148 */
			return
				((((BgL_variablez00_bglt) CREF(
							((BgL_variablez00_bglt) BgL_oz00_113)))->BgL_removablez00) =
				((obj_t) BgL_vz00_114), BUNSPEC);
		}
	}



/* &global/from-removable-set! */
	obj_t BGl_z62globalzf2fromzd2removablezd2setz12z82zzeffect_cgraphz00(obj_t
		BgL_envz00_2884, obj_t BgL_oz00_2885, obj_t BgL_vz00_2886)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 148 */
			{	/* Effect/cgraph.sch 148 */
				BgL_globalz00_bglt BgL_oz00_3263;

				BgL_oz00_3263 = ((BgL_globalz00_bglt) BgL_oz00_2885);
				return
					((((BgL_variablez00_bglt) CREF(
								((BgL_variablez00_bglt) BgL_oz00_3263)))->BgL_removablez00) =
					((obj_t) BgL_vz00_2886), BUNSPEC);
			}
		}
	}



/* global/from-fast-alpha */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2fromzd2fastzd2alphazf2zzeffect_cgraphz00(BgL_globalz00_bglt
		BgL_oz00_115)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 149 */
			return
				(((BgL_variablez00_bglt) CREF(
						((BgL_variablez00_bglt) BgL_oz00_115)))->BgL_fastzd2alphazd2);
		}
	}



/* &global/from-fast-alpha */
	obj_t BGl_z62globalzf2fromzd2fastzd2alphaz90zzeffect_cgraphz00(obj_t
		BgL_envz00_2887, obj_t BgL_oz00_2888)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 149 */
			return
				(((BgL_variablez00_bglt) CREF(
						((BgL_variablez00_bglt)
							((BgL_globalz00_bglt) BgL_oz00_2888))))->BgL_fastzd2alphazd2);
		}
	}



/* global/from-fast-alpha-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2fromzd2fastzd2alphazd2setz12z32zzeffect_cgraphz00
		(BgL_globalz00_bglt BgL_oz00_116, obj_t BgL_vz00_117)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 150 */
			return
				((((BgL_variablez00_bglt) CREF(
							((BgL_variablez00_bglt) BgL_oz00_116)))->BgL_fastzd2alphazd2) =
				((obj_t) BgL_vz00_117), BUNSPEC);
		}
	}



/* &global/from-fast-alpha-set! */
	obj_t BGl_z62globalzf2fromzd2fastzd2alphazd2setz12z50zzeffect_cgraphz00(obj_t
		BgL_envz00_2889, obj_t BgL_oz00_2890, obj_t BgL_vz00_2891)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 150 */
			{	/* Effect/cgraph.sch 150 */
				BgL_globalz00_bglt BgL_oz00_3266;

				BgL_oz00_3266 = ((BgL_globalz00_bglt) BgL_oz00_2890);
				return
					((((BgL_variablez00_bglt) CREF(
								((BgL_variablez00_bglt) BgL_oz00_3266)))->BgL_fastzd2alphazd2) =
					((obj_t) BgL_vz00_2891), BUNSPEC);
			}
		}
	}



/* global/from-access */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2fromzd2accessz20zzeffect_cgraphz00(BgL_globalz00_bglt
		BgL_oz00_118)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 151 */
			return
				(((BgL_variablez00_bglt) CREF(
						((BgL_variablez00_bglt) BgL_oz00_118)))->BgL_accessz00);
		}
	}



/* &global/from-access */
	obj_t BGl_z62globalzf2fromzd2accessz42zzeffect_cgraphz00(obj_t
		BgL_envz00_2892, obj_t BgL_oz00_2893)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 151 */
			return
				(((BgL_variablez00_bglt) CREF(
						((BgL_variablez00_bglt)
							((BgL_globalz00_bglt) BgL_oz00_2893))))->BgL_accessz00);
		}
	}



/* global/from-access-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2fromzd2accesszd2setz12ze0zzeffect_cgraphz00(BgL_globalz00_bglt
		BgL_oz00_119, obj_t BgL_vz00_120)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 152 */
			return
				((((BgL_variablez00_bglt) CREF(
							((BgL_variablez00_bglt) BgL_oz00_119)))->BgL_accessz00) =
				((obj_t) BgL_vz00_120), BUNSPEC);
		}
	}



/* &global/from-access-set! */
	obj_t BGl_z62globalzf2fromzd2accesszd2setz12z82zzeffect_cgraphz00(obj_t
		BgL_envz00_2894, obj_t BgL_oz00_2895, obj_t BgL_vz00_2896)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 152 */
			{	/* Effect/cgraph.sch 152 */
				BgL_globalz00_bglt BgL_oz00_3269;

				BgL_oz00_3269 = ((BgL_globalz00_bglt) BgL_oz00_2895);
				return
					((((BgL_variablez00_bglt) CREF(
								((BgL_variablez00_bglt) BgL_oz00_3269)))->BgL_accessz00) =
					((obj_t) BgL_vz00_2896), BUNSPEC);
			}
		}
	}



/* global/from-value */
	BGL_EXPORTED_DEF BgL_valuez00_bglt
		BGl_globalzf2fromzd2valuez20zzeffect_cgraphz00(BgL_globalz00_bglt
		BgL_oz00_121)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 153 */
			return
				(((BgL_variablez00_bglt) CREF(
						((BgL_variablez00_bglt) BgL_oz00_121)))->BgL_valuez00);
		}
	}



/* &global/from-value */
	BgL_valuez00_bglt BGl_z62globalzf2fromzd2valuez42zzeffect_cgraphz00(obj_t
		BgL_envz00_2897, obj_t BgL_oz00_2898)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 153 */
			return
				(((BgL_variablez00_bglt) CREF(
						((BgL_variablez00_bglt)
							((BgL_globalz00_bglt) BgL_oz00_2898))))->BgL_valuez00);
		}
	}



/* global/from-value-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2fromzd2valuezd2setz12ze0zzeffect_cgraphz00(BgL_globalz00_bglt
		BgL_oz00_122, BgL_valuez00_bglt BgL_vz00_123)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 154 */
			return
				((((BgL_variablez00_bglt) CREF(
							((BgL_variablez00_bglt) BgL_oz00_122)))->BgL_valuez00) =
				((BgL_valuez00_bglt) BgL_vz00_123), BUNSPEC);
		}
	}



/* &global/from-value-set! */
	obj_t BGl_z62globalzf2fromzd2valuezd2setz12z82zzeffect_cgraphz00(obj_t
		BgL_envz00_2899, obj_t BgL_oz00_2900, obj_t BgL_vz00_2901)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 154 */
			{	/* Effect/cgraph.sch 154 */
				BgL_globalz00_bglt BgL_oz00_3272;
				BgL_valuez00_bglt BgL_vz00_3273;

				BgL_oz00_3272 = ((BgL_globalz00_bglt) BgL_oz00_2900);
				BgL_vz00_3273 = ((BgL_valuez00_bglt) BgL_vz00_2901);
				return
					((((BgL_variablez00_bglt) CREF(
								((BgL_variablez00_bglt) BgL_oz00_3272)))->BgL_valuez00) =
					((BgL_valuez00_bglt) BgL_vz00_3273), BUNSPEC);
			}
		}
	}



/* global/from-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_globalzf2fromzd2typez20zzeffect_cgraphz00(BgL_globalz00_bglt
		BgL_oz00_124)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 155 */
			return
				(((BgL_variablez00_bglt) CREF(
						((BgL_variablez00_bglt) BgL_oz00_124)))->BgL_typez00);
		}
	}



/* &global/from-type */
	BgL_typez00_bglt BGl_z62globalzf2fromzd2typez42zzeffect_cgraphz00(obj_t
		BgL_envz00_2902, obj_t BgL_oz00_2903)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 155 */
			return
				(((BgL_variablez00_bglt) CREF(
						((BgL_variablez00_bglt)
							((BgL_globalz00_bglt) BgL_oz00_2903))))->BgL_typez00);
		}
	}



/* global/from-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2fromzd2typezd2setz12ze0zzeffect_cgraphz00(BgL_globalz00_bglt
		BgL_oz00_125, BgL_typez00_bglt BgL_vz00_126)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 156 */
			return
				((((BgL_variablez00_bglt) CREF(
							((BgL_variablez00_bglt) BgL_oz00_125)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_126), BUNSPEC);
		}
	}



/* &global/from-type-set! */
	obj_t BGl_z62globalzf2fromzd2typezd2setz12z82zzeffect_cgraphz00(obj_t
		BgL_envz00_2904, obj_t BgL_oz00_2905, obj_t BgL_vz00_2906)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 156 */
			{	/* Effect/cgraph.sch 156 */
				BgL_globalz00_bglt BgL_oz00_3275;
				BgL_typez00_bglt BgL_vz00_3276;

				BgL_oz00_3275 = ((BgL_globalz00_bglt) BgL_oz00_2905);
				BgL_vz00_3276 = ((BgL_typez00_bglt) BgL_vz00_2906);
				return
					((((BgL_variablez00_bglt) CREF(
								((BgL_variablez00_bglt) BgL_oz00_3275)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_vz00_3276), BUNSPEC);
			}
		}
	}



/* global/from-name */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2fromzd2namez20zzeffect_cgraphz00(BgL_globalz00_bglt
		BgL_oz00_127)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 157 */
			return
				(((BgL_variablez00_bglt) CREF(
						((BgL_variablez00_bglt) BgL_oz00_127)))->BgL_namez00);
		}
	}



/* &global/from-name */
	obj_t BGl_z62globalzf2fromzd2namez42zzeffect_cgraphz00(obj_t BgL_envz00_2907,
		obj_t BgL_oz00_2908)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 157 */
			return
				(((BgL_variablez00_bglt) CREF(
						((BgL_variablez00_bglt)
							((BgL_globalz00_bglt) BgL_oz00_2908))))->BgL_namez00);
		}
	}



/* global/from-name-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2fromzd2namezd2setz12ze0zzeffect_cgraphz00(BgL_globalz00_bglt
		BgL_oz00_128, obj_t BgL_vz00_129)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 158 */
			return
				((((BgL_variablez00_bglt) CREF(
							((BgL_variablez00_bglt) BgL_oz00_128)))->BgL_namez00) =
				((obj_t) BgL_vz00_129), BUNSPEC);
		}
	}



/* &global/from-name-set! */
	obj_t BGl_z62globalzf2fromzd2namezd2setz12z82zzeffect_cgraphz00(obj_t
		BgL_envz00_2909, obj_t BgL_oz00_2910, obj_t BgL_vz00_2911)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 158 */
			{	/* Effect/cgraph.sch 158 */
				BgL_globalz00_bglt BgL_oz00_3278;

				BgL_oz00_3278 = ((BgL_globalz00_bglt) BgL_oz00_2910);
				return
					((((BgL_variablez00_bglt) CREF(
								((BgL_variablez00_bglt) BgL_oz00_3278)))->BgL_namez00) =
					((obj_t) BgL_vz00_2911), BUNSPEC);
			}
		}
	}



/* global/from-id */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2fromzd2idz20zzeffect_cgraphz00(BgL_globalz00_bglt BgL_oz00_130)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 159 */
			return
				(((BgL_variablez00_bglt) CREF(
						((BgL_variablez00_bglt) BgL_oz00_130)))->BgL_idz00);
		}
	}



/* &global/from-id */
	obj_t BGl_z62globalzf2fromzd2idz42zzeffect_cgraphz00(obj_t BgL_envz00_2912,
		obj_t BgL_oz00_2913)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 159 */
			return
				(((BgL_variablez00_bglt) CREF(
						((BgL_variablez00_bglt)
							((BgL_globalz00_bglt) BgL_oz00_2913))))->BgL_idz00);
		}
	}



/* fun-call-graph! */
	BGL_EXPORTED_DEF obj_t
		BGl_funzd2callzd2graphz12z12zzeffect_cgraphz00(BgL_variablez00_bglt
		BgL_variablez00_133)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 31 */
			BGl_za2varzf2allza2zf2zzeffect_cgraphz00 =
				MAKE_PAIR(
				((obj_t) BgL_variablez00_133),
				BGl_za2varzf2allza2zf2zzeffect_cgraphz00);
			{	/* Effect/cgraph.scm 33 */
				obj_t BgL_arg1989z00_1366;

				BgL_arg1989z00_1366 =
					(((BgL_sfunz00_bglt) CREF(
							((BgL_sfunz00_bglt)
								(((BgL_variablez00_bglt) CREF(BgL_variablez00_133))->
									BgL_valuez00))))->BgL_bodyz00);
				return BGl_callzd2graphz12zc0zzeffect_cgraphz00(((BgL_nodez00_bglt)
						BgL_arg1989z00_1366), BgL_variablez00_133);
			}
		}
	}



/* &fun-call-graph! */
	obj_t BGl_z62funzd2callzd2graphz12z70zzeffect_cgraphz00(obj_t BgL_envz00_2914,
		obj_t BgL_variablez00_2915)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 31 */
			return
				BGl_funzd2callzd2graphz12z12zzeffect_cgraphz00(
				((BgL_variablez00_bglt) BgL_variablez00_2915));
		}
	}



/* call-graph*! */
	bool_t BGl_callzd2graphza2z12z62zzeffect_cgraphz00(obj_t BgL_nodeza2za2_170,
		obj_t BgL_ownerz00_171)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 198 */
			{
				obj_t BgL_l1927z00_1369;

				BgL_l1927z00_1369 = BgL_nodeza2za2_170;
			BgL_zc3anonymousza31991ze3z83_1370:
				if (PAIRP(BgL_l1927z00_1369))
					{	/* Effect/cgraph.scm 199 */
						{	/* Effect/cgraph.scm 199 */
							obj_t BgL_nodez00_1372;

							BgL_nodez00_1372 = CAR(BgL_l1927z00_1369);
							BGl_callzd2graphz12zc0zzeffect_cgraphz00(
								((BgL_nodez00_bglt) BgL_nodez00_1372),
								((BgL_variablez00_bglt) BgL_ownerz00_171));
						}
						{
							obj_t BgL_l1927z00_3964;

							BgL_l1927z00_3964 = CDR(BgL_l1927z00_1369);
							BgL_l1927z00_1369 = BgL_l1927z00_3964;
							goto BgL_zc3anonymousza31991ze3z83_1370;
						}
					}
				else
					{	/* Effect/cgraph.scm 199 */
						return ((bool_t) 1);
					}
			}
		}
	}



/* get-var/side-effect */
	BGL_EXPORTED_DEF obj_t BGl_getzd2varzf2sidezd2effectzf2zzeffect_cgraphz00()
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 243 */
			return BGl_za2varzf2sidezd2effectza2z20zzeffect_cgraphz00;
		}
	}



/* &get-var/side-effect */
	obj_t BGl_z62getzd2varzf2sidezd2effectz90zzeffect_cgraphz00(obj_t
		BgL_envz00_2916)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 243 */
			return BGl_za2varzf2sidezd2effectza2z20zzeffect_cgraphz00;
		}
	}



/* get-var/all */
	BGL_EXPORTED_DEF obj_t BGl_getzd2varzf2allz20zzeffect_cgraphz00()
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 254 */
			return BGl_za2varzf2allza2zf2zzeffect_cgraphz00;
		}
	}



/* &get-var/all */
	obj_t BGl_z62getzd2varzf2allz42zzeffect_cgraphz00(obj_t BgL_envz00_2917)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 254 */
			return BGl_za2varzf2allza2zf2zzeffect_cgraphz00;
		}
	}



/* reset-effect-tables! */
	BGL_EXPORTED_DEF obj_t BGl_resetzd2effectzd2tablesz12z12zzeffect_cgraphz00()
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 265 */
			BGl_za2varzf2sidezd2effectza2z20zzeffect_cgraphz00 = BNIL;
			return (BGl_za2varzf2allza2zf2zzeffect_cgraphz00 = BNIL, BUNSPEC);
		}
	}



/* &reset-effect-tables! */
	obj_t BGl_z62resetzd2effectzd2tablesz12z70zzeffect_cgraphz00(obj_t
		BgL_envz00_2918)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 265 */
			return BGl_resetzd2effectzd2tablesz12z12zzeffect_cgraphz00();
		}
	}



/* mark-side-effect! */
	obj_t BGl_markzd2sidezd2effectz12z12zzeffect_cgraphz00(BgL_variablez00_bglt
		BgL_vz00_182)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 272 */
			{	/* Effect/cgraph.scm 274 */
				BgL_valuez00_bglt BgL_funz00_1375;

				BgL_funz00_1375 =
					(((BgL_variablez00_bglt) CREF(BgL_vz00_182))->BgL_valuez00);
				if (CBOOL(
						(((BgL_funz00_bglt) CREF(
									((BgL_funz00_bglt) BgL_funz00_1375)))->BgL_sidezd2effectzd2)))
					{	/* Effect/cgraph.scm 276 */
						if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
									((obj_t) BgL_vz00_182),
									BGl_za2varzf2sidezd2effectza2z20zzeffect_cgraphz00)))
							{	/* Effect/cgraph.scm 279 */
								return CNST_TABLE_REF(((long) 0));
							}
						else
							{	/* Effect/cgraph.scm 279 */
								return (BGl_za2varzf2sidezd2effectza2z20zzeffect_cgraphz00 =
									MAKE_PAIR(
										((obj_t) BgL_vz00_182),
										BGl_za2varzf2sidezd2effectza2z20zzeffect_cgraphz00),
									BUNSPEC);
							}
					}
				else
					{	/* Effect/cgraph.scm 276 */
						BGl_za2varzf2sidezd2effectza2z20zzeffect_cgraphz00 =
							MAKE_PAIR(
							((obj_t) BgL_vz00_182),
							BGl_za2varzf2sidezd2effectza2z20zzeffect_cgraphz00);
						{	/* Effect/cgraph.scm 278 */
							BgL_funz00_bglt BgL_oz00_2496;

							BgL_oz00_2496 = ((BgL_funz00_bglt) BgL_funz00_1375);
							return
								((((BgL_funz00_bglt) CREF(BgL_oz00_2496))->
									BgL_sidezd2effectzd2) = ((obj_t) BTRUE), BUNSPEC);
						}
					}
			}
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzeffect_cgraphz00()
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 15 */
			{	/* Effect/cgraph.scm 21 */
				obj_t BgL_arg2001z00_1382;
				obj_t BgL_arg2002z00_1383;

				{	/* Effect/cgraph.scm 21 */
					obj_t BgL_v1929z00_1416;

					BgL_v1929z00_1416 = create_vector((int) (((long) 1)));
					{	/* Effect/cgraph.scm 21 */
						obj_t BgL_arg2014z00_1417;

						BgL_arg2014z00_1417 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									1)), BGl_proc2225z00zzeffect_cgraphz00,
							BGl_proc2224z00zzeffect_cgraphz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, CNST_TABLE_REF(((long) 2)));
						VECTOR_SET(BgL_v1929z00_1416, (int) (((long) 0)),
							BgL_arg2014z00_1417);
					}
					BgL_arg2001z00_1382 = BgL_v1929z00_1416;
				}
				{	/* Effect/cgraph.scm 21 */
					obj_t BgL_v1930z00_1429;

					BgL_v1930z00_1429 = create_vector((int) (((long) 0)));
					BgL_arg2002z00_1383 = BgL_v1930z00_1429;
				}
				BGl_localzf2fromzf2zzeffect_cgraphz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 3)),
					CNST_TABLE_REF(((long) 4)), BGl_localz00zzast_varz00, ((long) 19676),
					BGl_proc2229z00zzeffect_cgraphz00, BGl_proc2228z00zzeffect_cgraphz00,
					BFALSE, BGl_proc2227z00zzeffect_cgraphz00,
					BGl_proc2226z00zzeffect_cgraphz00, BgL_arg2001z00_1382,
					BgL_arg2002z00_1383);
			}
			{	/* Effect/cgraph.scm 22 */
				obj_t BgL_arg2025z00_1438;
				obj_t BgL_arg2027z00_1439;

				{	/* Effect/cgraph.scm 22 */
					obj_t BgL_v1931z00_1480;

					BgL_v1931z00_1480 = create_vector((int) (((long) 1)));
					{	/* Effect/cgraph.scm 22 */
						obj_t BgL_arg2040z00_1481;

						BgL_arg2040z00_1481 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									1)), BGl_proc2231z00zzeffect_cgraphz00,
							BGl_proc2230z00zzeffect_cgraphz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, CNST_TABLE_REF(((long) 2)));
						VECTOR_SET(BgL_v1931z00_1480, (int) (((long) 0)),
							BgL_arg2040z00_1481);
					}
					BgL_arg2025z00_1438 = BgL_v1931z00_1480;
				}
				{	/* Effect/cgraph.scm 22 */
					obj_t BgL_v1932z00_1493;

					BgL_v1932z00_1493 = create_vector((int) (((long) 0)));
					BgL_arg2027z00_1439 = BgL_v1932z00_1493;
				}
				return (BGl_globalzf2fromzf2zzeffect_cgraphz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 5)),
						CNST_TABLE_REF(((long) 4)), BGl_globalz00zzast_varz00,
						((long) 6288), BGl_proc2235z00zzeffect_cgraphz00,
						BGl_proc2234z00zzeffect_cgraphz00, BFALSE,
						BGl_proc2233z00zzeffect_cgraphz00,
						BGl_proc2232z00zzeffect_cgraphz00, BgL_arg2025z00_1438,
						BgL_arg2027z00_1439), BUNSPEC);
		}}
	}



/* &lambda2035 */
	BgL_globalz00_bglt BGl_z62lambda2035z62zzeffect_cgraphz00(obj_t
		BgL_envz00_2931, obj_t BgL_o1138z00_2932)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 22 */
			{
				BgL_globalz00_bglt BgL_o1138z00_1474;

				BgL_o1138z00_1474 = ((BgL_globalz00_bglt) BgL_o1138z00_2932);
				{	/* Effect/cgraph.scm 22 */
					long BgL_arg2036z00_1477;

					{	/* Effect/cgraph.scm 22 */
						obj_t BgL_arg2038z00_1478;

						{	/* Effect/cgraph.scm 22 */
							obj_t BgL_arg2039z00_1479;

							{	/* Effect/cgraph.scm 22 */
								BgL_objectz00_bglt BgL_objectz00_2567;

								BgL_objectz00_2567 = ((BgL_objectz00_bglt) BgL_o1138z00_1474);
								{	/* Effect/cgraph.scm 22 */
									long BgL_arg1810z00_2568;

									{	/* Effect/cgraph.scm 22 */
										long BgL_arg1811z00_2569;

										{	/* Effect/cgraph.scm 22 */
											long BgL_res2189z00_2571;

											BgL_res2189z00_2571 =
												BGL_OBJECT_CLASS_NUM(BgL_objectz00_2567);
											BgL_arg1811z00_2569 = BgL_res2189z00_2571;
										}
										BgL_arg1810z00_2568 = (BgL_arg1811z00_2569 - OBJECT_TYPE);
									}
									BgL_arg2039z00_1479 =
										VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
										(int) (BgL_arg1810z00_2568));
							}}
							BgL_arg2038z00_1478 =
								BGl_classzd2superzd2zz__objectz00(BgL_arg2039z00_1479);
						}
						{	/* Effect/cgraph.scm 22 */
							long BgL_res2191z00_2580;

							{	/* Effect/cgraph.scm 22 */
								obj_t BgL_classz00_2577;

								BgL_classz00_2577 = BgL_arg2038z00_1478;
								{	/* Effect/cgraph.scm 22 */
									obj_t BgL_vectorz00_2578;
									int BgL_kz00_2579;

									BgL_vectorz00_2578 = BgL_classz00_2577;
									BgL_kz00_2579 = (int) (((long) 1));
									BgL_res2191z00_2580 =
										(long) CINT(VECTOR_REF(BgL_vectorz00_2578, BgL_kz00_2579));
							}}
							BgL_arg2036z00_1477 = BgL_res2191z00_2580;
					}}
					{	/* Effect/cgraph.scm 22 */
						BgL_objectz00_bglt BgL_objz00_2581;

						BgL_objz00_2581 = ((BgL_objectz00_bglt) BgL_o1138z00_1474);
						BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2581, BgL_arg2036z00_1477);
				}}
				{	/* Effect/cgraph.scm 22 */
					BgL_objectz00_bglt BgL_auxz00_4018;

					BgL_auxz00_4018 = ((BgL_objectz00_bglt) BgL_o1138z00_1474);
					BGL_OBJECT_WIDENING_SET(BgL_auxz00_4018, BFALSE);
				}
				return ((BgL_globalz00_bglt) BgL_o1138z00_1474);
			}
		}
	}



/* &<anonymous:2034> */
	BgL_globalz00_bglt BGl_z62zc3anonymousza32034ze3ze1zzeffect_cgraphz00(obj_t
		BgL_envz00_2933, obj_t BgL_new1137z00_2934)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 22 */
			{
				BgL_globalz00_bglt BgL_new1137z00_1472;

				BgL_new1137z00_1472 = ((BgL_globalz00_bglt) BgL_new1137z00_2934);
				((((BgL_variablez00_bglt) CREF(
								((BgL_variablez00_bglt) BgL_new1137z00_1472)))->BgL_idz00) =
					((obj_t) CNST_TABLE_REF(((long) 6))), BUNSPEC);
				((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
									BgL_new1137z00_1472)))->BgL_namez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
									BgL_new1137z00_1472)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt)
							BGl_classzd2nilzd2zz__objectz00(BGl_typez00zztype_typez00))),
					BUNSPEC);
				((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
									BgL_new1137z00_1472)))->BgL_valuez00) =
					((BgL_valuez00_bglt) ((BgL_valuez00_bglt)
							BGl_classzd2nilzd2zz__objectz00(BGl_valuez00zzast_varz00))),
					BUNSPEC);
				((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
									BgL_new1137z00_1472)))->BgL_accessz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
									BgL_new1137z00_1472)))->BgL_fastzd2alphazd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
									BgL_new1137z00_1472)))->BgL_removablez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
									BgL_new1137z00_1472)))->BgL_occurrencez00) =
					((long) ((long) 0)), BUNSPEC);
				((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
									BgL_new1137z00_1472)))->BgL_occurrencewz00) =
					((long) ((long) 0)), BUNSPEC);
				((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
									BgL_new1137z00_1472)))->BgL_userzf3zf3) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt)
									BgL_new1137z00_1472)))->BgL_modulez00) =
					((obj_t) CNST_TABLE_REF(((long) 6))), BUNSPEC);
				((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt)
									BgL_new1137z00_1472)))->BgL_importz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt)
									BgL_new1137z00_1472)))->BgL_evaluablezf3zf3) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt)
									BgL_new1137z00_1472)))->BgL_evalzf3zf3) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt)
									BgL_new1137z00_1472)))->BgL_libraryz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt)
									BgL_new1137z00_1472)))->BgL_pragmaz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt)
									BgL_new1137z00_1472)))->BgL_srcz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt)
									BgL_new1137z00_1472)))->BgL_jvmzd2typezd2namez00) =
					((obj_t) BGl_string2236z00zzeffect_cgraphz00), BUNSPEC);
				((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt)
									BgL_new1137z00_1472)))->BgL_initz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_globalzf2fromzf2_bglt BgL_auxz00_4067;

					{
						obj_t BgL_auxz00_4068;

						{	/* Effect/cgraph.scm 22 */
							BgL_objectz00_bglt BgL_auxz00_4069;

							BgL_auxz00_4069 = ((BgL_objectz00_bglt) BgL_new1137z00_1472);
							BgL_auxz00_4068 = BGL_OBJECT_WIDENING(BgL_auxz00_4069);
						}
						BgL_auxz00_4067 = ((BgL_globalzf2fromzf2_bglt) BgL_auxz00_4068);
					}
					((((BgL_globalzf2fromzf2_bglt) CREF(BgL_auxz00_4067))->BgL_fromz00) =
						((obj_t) BUNSPEC), BUNSPEC);
				}
				return BgL_new1137z00_1472;
			}
		}
	}



/* &lambda2031 */
	BgL_globalz00_bglt BGl_z62lambda2031z62zzeffect_cgraphz00(obj_t
		BgL_envz00_2935, obj_t BgL_o1134z00_2936)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 22 */
			{
				BgL_globalz00_bglt BgL_o1134z00_1467;

				BgL_o1134z00_1467 = ((BgL_globalz00_bglt) BgL_o1134z00_2936);
				{	/* Effect/cgraph.scm 22 */
					BgL_globalz00_bglt BgL_tmp1135z00_1469;
					BgL_globalzf2fromzf2_bglt BgL_wide1136z00_1470;

					BgL_tmp1135z00_1469 = ((BgL_globalz00_bglt) BgL_o1134z00_1467);
					BgL_wide1136z00_1470 =
						((BgL_globalzf2fromzf2_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_globalzf2fromzf2_bgl))));
					{	/* Effect/cgraph.scm 22 */
						obj_t BgL_auxz00_4079;
						BgL_objectz00_bglt BgL_auxz00_4077;

						BgL_auxz00_4079 = ((obj_t) BgL_wide1136z00_1470);
						BgL_auxz00_4077 = ((BgL_objectz00_bglt) BgL_tmp1135z00_1469);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_4077, BgL_auxz00_4079);
					}
					{	/* Effect/cgraph.scm 22 */
						long BgL_arg2033z00_1471;

						{	/* Effect/cgraph.scm 22 */
							long BgL_res2188z00_2564;

							{	/* Effect/cgraph.scm 22 */
								obj_t BgL_classz00_2561;

								BgL_classz00_2561 = BGl_globalzf2fromzf2zzeffect_cgraphz00;
								{	/* Effect/cgraph.scm 22 */
									obj_t BgL_vectorz00_2562;
									int BgL_kz00_2563;

									BgL_vectorz00_2562 = BgL_classz00_2561;
									BgL_kz00_2563 = (int) (((long) 1));
									BgL_res2188z00_2564 =
										(long) CINT(VECTOR_REF(BgL_vectorz00_2562, BgL_kz00_2563));
							}}
							BgL_arg2033z00_1471 = BgL_res2188z00_2564;
						}
						{	/* Effect/cgraph.scm 22 */
							BgL_objectz00_bglt BgL_objz00_2565;

							BgL_objz00_2565 = ((BgL_objectz00_bglt) BgL_tmp1135z00_1469);
							((BgL_globalz00_bglt)
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2565, BgL_arg2033z00_1471));
					}}
					return ((BgL_globalz00_bglt) BgL_tmp1135z00_1469);
				}
			}
		}
	}



/* &lambda2028 */
	BgL_globalz00_bglt BGl_z62lambda2028z62zzeffect_cgraphz00(obj_t
		BgL_envz00_2937, obj_t BgL_id1114z00_2938, obj_t BgL_name1115z00_2939,
		obj_t BgL_type1116z00_2940, obj_t BgL_value1117z00_2941,
		obj_t BgL_access1118z00_2942, obj_t BgL_fastzd2alpha1119zd2_2943,
		obj_t BgL_removable1120z00_2944, obj_t BgL_occurrence1121z00_2945,
		obj_t BgL_occurrencew1122z00_2946, obj_t BgL_userzf31123zf3_2947,
		obj_t BgL_module1124z00_2948, obj_t BgL_import1125z00_2949,
		obj_t BgL_evaluablezf31126zf3_2950, obj_t BgL_evalzf31127zf3_2951,
		obj_t BgL_library1128z00_2952, obj_t BgL_pragma1129z00_2953,
		obj_t BgL_src1130z00_2954, obj_t BgL_jvmzd2typezd2name1131z00_2955,
		obj_t BgL_init1132z00_2956, obj_t BgL_from1133z00_2957)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 22 */
			{
				obj_t BgL_id1114z00_1440;
				obj_t BgL_name1115z00_1441;
				BgL_typez00_bglt BgL_type1116z00_1442;
				BgL_valuez00_bglt BgL_value1117z00_1443;
				obj_t BgL_access1118z00_1444;
				obj_t BgL_fastzd2alpha1119zd2_1445;
				obj_t BgL_removable1120z00_1446;
				long BgL_occurrence1121z00_1447;
				long BgL_occurrencew1122z00_1448;
				bool_t BgL_userzf31123zf3_1449;
				obj_t BgL_module1124z00_1450;
				obj_t BgL_import1125z00_1451;
				bool_t BgL_evaluablezf31126zf3_1452;
				bool_t BgL_evalzf31127zf3_1453;
				obj_t BgL_library1128z00_1454;
				obj_t BgL_pragma1129z00_1455;
				obj_t BgL_src1130z00_1456;
				obj_t BgL_jvmzd2typezd2name1131z00_1457;
				obj_t BgL_init1132z00_1458;
				obj_t BgL_from1133z00_1459;

				BgL_id1114z00_1440 = BgL_id1114z00_2938;
				BgL_name1115z00_1441 = BgL_name1115z00_2939;
				BgL_type1116z00_1442 = ((BgL_typez00_bglt) BgL_type1116z00_2940);
				BgL_value1117z00_1443 = ((BgL_valuez00_bglt) BgL_value1117z00_2941);
				BgL_access1118z00_1444 = BgL_access1118z00_2942;
				BgL_fastzd2alpha1119zd2_1445 = BgL_fastzd2alpha1119zd2_2943;
				BgL_removable1120z00_1446 = BgL_removable1120z00_2944;
				BgL_occurrence1121z00_1447 = (long) CINT(BgL_occurrence1121z00_2945);
				BgL_occurrencew1122z00_1448 = (long) CINT(BgL_occurrencew1122z00_2946);
				BgL_userzf31123zf3_1449 = CBOOL(BgL_userzf31123zf3_2947);
				BgL_module1124z00_1450 = BgL_module1124z00_2948;
				BgL_import1125z00_1451 = BgL_import1125z00_2949;
				BgL_evaluablezf31126zf3_1452 = CBOOL(BgL_evaluablezf31126zf3_2950);
				BgL_evalzf31127zf3_1453 = CBOOL(BgL_evalzf31127zf3_2951);
				BgL_library1128z00_1454 = BgL_library1128z00_2952;
				BgL_pragma1129z00_1455 = BgL_pragma1129z00_2953;
				BgL_src1130z00_1456 = BgL_src1130z00_2954;
				BgL_jvmzd2typezd2name1131z00_1457 = BgL_jvmzd2typezd2name1131z00_2955;
				BgL_init1132z00_1458 = BgL_init1132z00_2956;
				BgL_from1133z00_1459 = BgL_from1133z00_2957;
				{	/* Effect/cgraph.scm 22 */
					BgL_globalz00_bglt BgL_new1252z00_2543;

					{	/* Effect/cgraph.scm 22 */
						BgL_globalz00_bglt BgL_tmp1250z00_2544;
						BgL_globalzf2fromzf2_bglt BgL_wide1251z00_2545;

						{
							BgL_globalz00_bglt BgL_auxz00_4090;

							{	/* Effect/cgraph.scm 22 */
								BgL_globalz00_bglt BgL_new1249z00_2546;

								BgL_new1249z00_2546 =
									((BgL_globalz00_bglt) BREF(GC_MALLOC(sizeof(struct
												BgL_globalz00_bgl))));
								{	/* Effect/cgraph.scm 22 */
									long BgL_arg2030z00_2547;

									{	/* Effect/cgraph.scm 22 */
										long BgL_res2186z00_2552;

										{	/* Effect/cgraph.scm 22 */
											obj_t BgL_classz00_2549;

											BgL_classz00_2549 = BGl_globalz00zzast_varz00;
											{	/* Effect/cgraph.scm 22 */
												obj_t BgL_vectorz00_2550;
												int BgL_kz00_2551;

												BgL_vectorz00_2550 = BgL_classz00_2549;
												BgL_kz00_2551 = (int) (((long) 1));
												BgL_res2186z00_2552 =
													(long) CINT(VECTOR_REF(BgL_vectorz00_2550,
														BgL_kz00_2551));
										}}
										BgL_arg2030z00_2547 = BgL_res2186z00_2552;
									}
									{	/* Effect/cgraph.scm 22 */
										BgL_objectz00_bglt BgL_objz00_2553;

										BgL_objz00_2553 =
											((BgL_objectz00_bglt) BgL_new1249z00_2546);
										BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2553,
											BgL_arg2030z00_2547);
								}}
								{	/* Effect/cgraph.scm 22 */
									BgL_objectz00_bglt BgL_auxz00_4097;

									BgL_auxz00_4097 = ((BgL_objectz00_bglt) BgL_new1249z00_2546);
									BGL_OBJECT_WIDENING_SET(BgL_auxz00_4097, BFALSE);
								}
								BgL_auxz00_4090 = BgL_new1249z00_2546;
							}
							BgL_tmp1250z00_2544 = ((BgL_globalz00_bglt) BgL_auxz00_4090);
						}
						BgL_wide1251z00_2545 =
							((BgL_globalzf2fromzf2_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_globalzf2fromzf2_bgl))));
						{	/* Effect/cgraph.scm 22 */
							obj_t BgL_auxz00_4104;
							BgL_objectz00_bglt BgL_auxz00_4102;

							BgL_auxz00_4104 = ((obj_t) BgL_wide1251z00_2545);
							BgL_auxz00_4102 = ((BgL_objectz00_bglt) BgL_tmp1250z00_2544);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_4102, BgL_auxz00_4104);
						}
						{	/* Effect/cgraph.scm 22 */
							long BgL_arg2029z00_2548;

							{	/* Effect/cgraph.scm 22 */
								long BgL_res2187z00_2558;

								{	/* Effect/cgraph.scm 22 */
									obj_t BgL_classz00_2555;

									BgL_classz00_2555 = BGl_globalzf2fromzf2zzeffect_cgraphz00;
									{	/* Effect/cgraph.scm 22 */
										obj_t BgL_vectorz00_2556;
										int BgL_kz00_2557;

										BgL_vectorz00_2556 = BgL_classz00_2555;
										BgL_kz00_2557 = (int) (((long) 1));
										BgL_res2187z00_2558 =
											(long) CINT(VECTOR_REF(BgL_vectorz00_2556,
												BgL_kz00_2557));
								}}
								BgL_arg2029z00_2548 = BgL_res2187z00_2558;
							}
							{	/* Effect/cgraph.scm 22 */
								BgL_objectz00_bglt BgL_objz00_2559;

								BgL_objz00_2559 = ((BgL_objectz00_bglt) BgL_tmp1250z00_2544);
								((BgL_globalz00_bglt)
									BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2559,
										BgL_arg2029z00_2548));
						}}
						BgL_new1252z00_2543 = ((BgL_globalz00_bglt) BgL_tmp1250z00_2544);
					}
					((((BgL_variablez00_bglt) CREF(
									((BgL_variablez00_bglt) BgL_new1252z00_2543)))->BgL_idz00) =
						((obj_t) BgL_id1114z00_1440), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1252z00_2543)))->BgL_namez00) =
						((obj_t) BgL_name1115z00_1441), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1252z00_2543)))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_type1116z00_1442), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1252z00_2543)))->BgL_valuez00) =
						((BgL_valuez00_bglt) BgL_value1117z00_1443), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1252z00_2543)))->BgL_accessz00) =
						((obj_t) BgL_access1118z00_1444), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1252z00_2543)))->BgL_fastzd2alphazd2) =
						((obj_t) BgL_fastzd2alpha1119zd2_1445), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1252z00_2543)))->BgL_removablez00) =
						((obj_t) BgL_removable1120z00_1446), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1252z00_2543)))->BgL_occurrencez00) =
						((long) BgL_occurrence1121z00_1447), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1252z00_2543)))->BgL_occurrencewz00) =
						((long) BgL_occurrencew1122z00_1448), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1252z00_2543)))->BgL_userzf3zf3) =
						((bool_t) BgL_userzf31123zf3_1449), BUNSPEC);
					((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt)
										BgL_new1252z00_2543)))->BgL_modulez00) =
						((obj_t) BgL_module1124z00_1450), BUNSPEC);
					((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt)
										BgL_new1252z00_2543)))->BgL_importz00) =
						((obj_t) BgL_import1125z00_1451), BUNSPEC);
					((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt)
										BgL_new1252z00_2543)))->BgL_evaluablezf3zf3) =
						((bool_t) BgL_evaluablezf31126zf3_1452), BUNSPEC);
					((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt)
										BgL_new1252z00_2543)))->BgL_evalzf3zf3) =
						((bool_t) BgL_evalzf31127zf3_1453), BUNSPEC);
					((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt)
										BgL_new1252z00_2543)))->BgL_libraryz00) =
						((obj_t) BgL_library1128z00_1454), BUNSPEC);
					((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt)
										BgL_new1252z00_2543)))->BgL_pragmaz00) =
						((obj_t) BgL_pragma1129z00_1455), BUNSPEC);
					((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt)
										BgL_new1252z00_2543)))->BgL_srcz00) =
						((obj_t) BgL_src1130z00_1456), BUNSPEC);
					((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt)
										BgL_new1252z00_2543)))->BgL_jvmzd2typezd2namez00) =
						((obj_t) BgL_jvmzd2typezd2name1131z00_1457), BUNSPEC);
					((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt)
										BgL_new1252z00_2543)))->BgL_initz00) =
						((obj_t) BgL_init1132z00_1458), BUNSPEC);
					{
						BgL_globalzf2fromzf2_bglt BgL_auxz00_4152;

						{
							obj_t BgL_auxz00_4153;

							{	/* Effect/cgraph.scm 22 */
								BgL_objectz00_bglt BgL_auxz00_4154;

								BgL_auxz00_4154 = ((BgL_objectz00_bglt) BgL_new1252z00_2543);
								BgL_auxz00_4153 = BGL_OBJECT_WIDENING(BgL_auxz00_4154);
							}
							BgL_auxz00_4152 = ((BgL_globalzf2fromzf2_bglt) BgL_auxz00_4153);
						}
						((((BgL_globalzf2fromzf2_bglt) CREF(BgL_auxz00_4152))->
								BgL_fromz00) = ((obj_t) BgL_from1133z00_1459), BUNSPEC);
					}
					return BgL_new1252z00_2543;
				}
			}
		}
	}



/* &lambda2046 */
	obj_t BGl_z62lambda2046z62zzeffect_cgraphz00(obj_t BgL_envz00_2958,
		obj_t BgL_oz00_2959, obj_t BgL_vz00_2960)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 22 */
			{
				BgL_globalz00_bglt BgL_oz00_1487;
				obj_t BgL_vz00_1488;

				BgL_oz00_1487 = ((BgL_globalz00_bglt) BgL_oz00_2959);
				BgL_vz00_1488 = BgL_vz00_2960;
				{
					BgL_globalzf2fromzf2_bglt BgL_auxz00_4166;

					{
						obj_t BgL_auxz00_4167;

						{	/* Effect/cgraph.scm 22 */
							BgL_objectz00_bglt BgL_auxz00_4168;

							BgL_auxz00_4168 = ((BgL_objectz00_bglt) BgL_oz00_1487);
							BgL_auxz00_4167 = BGL_OBJECT_WIDENING(BgL_auxz00_4168);
						}
						BgL_auxz00_4166 = ((BgL_globalzf2fromzf2_bglt) BgL_auxz00_4167);
					}
					return
						((((BgL_globalzf2fromzf2_bglt) CREF(BgL_auxz00_4166))->
							BgL_fromz00) = ((obj_t) BgL_vz00_1488), BUNSPEC);
				}
			}
		}
	}



/* &lambda2045 */
	obj_t BGl_z62lambda2045z62zzeffect_cgraphz00(obj_t BgL_envz00_2961,
		obj_t BgL_oz00_2962)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 22 */
			{
				BgL_globalz00_bglt BgL_oz00_1484;

				BgL_oz00_1484 = ((BgL_globalz00_bglt) BgL_oz00_2962);
				{
					BgL_globalzf2fromzf2_bglt BgL_auxz00_4174;

					{
						obj_t BgL_auxz00_4175;

						{	/* Effect/cgraph.scm 22 */
							BgL_objectz00_bglt BgL_auxz00_4176;

							BgL_auxz00_4176 = ((BgL_objectz00_bglt) BgL_oz00_1484);
							BgL_auxz00_4175 = BGL_OBJECT_WIDENING(BgL_auxz00_4176);
						}
						BgL_auxz00_4174 = ((BgL_globalzf2fromzf2_bglt) BgL_auxz00_4175);
					}
					return
						(((BgL_globalzf2fromzf2_bglt) CREF(BgL_auxz00_4174))->BgL_fromz00);
				}
			}
		}
	}



/* &lambda2009 */
	BgL_localz00_bglt BGl_z62lambda2009z62zzeffect_cgraphz00(obj_t
		BgL_envz00_2963, obj_t BgL_o1111z00_2964)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 21 */
			{
				BgL_localz00_bglt BgL_o1111z00_1410;

				BgL_o1111z00_1410 = ((BgL_localz00_bglt) BgL_o1111z00_2964);
				{	/* Effect/cgraph.scm 21 */
					long BgL_arg2010z00_1413;

					{	/* Effect/cgraph.scm 21 */
						obj_t BgL_arg2011z00_1414;

						{	/* Effect/cgraph.scm 21 */
							obj_t BgL_arg2012z00_1415;

							{	/* Effect/cgraph.scm 21 */
								BgL_objectz00_bglt BgL_objectz00_2522;

								BgL_objectz00_2522 = ((BgL_objectz00_bglt) BgL_o1111z00_1410);
								{	/* Effect/cgraph.scm 21 */
									long BgL_arg1810z00_2523;

									{	/* Effect/cgraph.scm 21 */
										long BgL_arg1811z00_2524;

										{	/* Effect/cgraph.scm 21 */
											long BgL_res2183z00_2526;

											BgL_res2183z00_2526 =
												BGL_OBJECT_CLASS_NUM(BgL_objectz00_2522);
											BgL_arg1811z00_2524 = BgL_res2183z00_2526;
										}
										BgL_arg1810z00_2523 = (BgL_arg1811z00_2524 - OBJECT_TYPE);
									}
									BgL_arg2012z00_1415 =
										VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
										(int) (BgL_arg1810z00_2523));
							}}
							BgL_arg2011z00_1414 =
								BGl_classzd2superzd2zz__objectz00(BgL_arg2012z00_1415);
						}
						{	/* Effect/cgraph.scm 21 */
							long BgL_res2185z00_2535;

							{	/* Effect/cgraph.scm 21 */
								obj_t BgL_classz00_2532;

								BgL_classz00_2532 = BgL_arg2011z00_1414;
								{	/* Effect/cgraph.scm 21 */
									obj_t BgL_vectorz00_2533;
									int BgL_kz00_2534;

									BgL_vectorz00_2533 = BgL_classz00_2532;
									BgL_kz00_2534 = (int) (((long) 1));
									BgL_res2185z00_2535 =
										(long) CINT(VECTOR_REF(BgL_vectorz00_2533, BgL_kz00_2534));
							}}
							BgL_arg2010z00_1413 = BgL_res2185z00_2535;
					}}
					{	/* Effect/cgraph.scm 21 */
						BgL_objectz00_bglt BgL_objz00_2536;

						BgL_objz00_2536 = ((BgL_objectz00_bglt) BgL_o1111z00_1410);
						BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2536, BgL_arg2010z00_1413);
				}}
				{	/* Effect/cgraph.scm 21 */
					BgL_objectz00_bglt BgL_auxz00_4193;

					BgL_auxz00_4193 = ((BgL_objectz00_bglt) BgL_o1111z00_1410);
					BGL_OBJECT_WIDENING_SET(BgL_auxz00_4193, BFALSE);
				}
				return ((BgL_localz00_bglt) BgL_o1111z00_1410);
			}
		}
	}



/* &<anonymous:2008> */
	BgL_localz00_bglt BGl_z62zc3anonymousza32008ze3ze1zzeffect_cgraphz00(obj_t
		BgL_envz00_2965, obj_t BgL_new1110z00_2966)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 21 */
			{
				BgL_localz00_bglt BgL_new1110z00_1408;

				BgL_new1110z00_1408 = ((BgL_localz00_bglt) BgL_new1110z00_2966);
				((((BgL_variablez00_bglt) CREF(
								((BgL_variablez00_bglt) BgL_new1110z00_1408)))->BgL_idz00) =
					((obj_t) CNST_TABLE_REF(((long) 6))), BUNSPEC);
				((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
									BgL_new1110z00_1408)))->BgL_namez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
									BgL_new1110z00_1408)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt)
							BGl_classzd2nilzd2zz__objectz00(BGl_typez00zztype_typez00))),
					BUNSPEC);
				((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
									BgL_new1110z00_1408)))->BgL_valuez00) =
					((BgL_valuez00_bglt) ((BgL_valuez00_bglt)
							BGl_classzd2nilzd2zz__objectz00(BGl_valuez00zzast_varz00))),
					BUNSPEC);
				((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
									BgL_new1110z00_1408)))->BgL_accessz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
									BgL_new1110z00_1408)))->BgL_fastzd2alphazd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
									BgL_new1110z00_1408)))->BgL_removablez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
									BgL_new1110z00_1408)))->BgL_occurrencez00) =
					((long) ((long) 0)), BUNSPEC);
				((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
									BgL_new1110z00_1408)))->BgL_occurrencewz00) =
					((long) ((long) 0)), BUNSPEC);
				((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
									BgL_new1110z00_1408)))->BgL_userzf3zf3) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_localz00_bglt) CREF(((BgL_localz00_bglt)
									BgL_new1110z00_1408)))->BgL_keyz00) =
					((long) ((long) 0)), BUNSPEC);
				{
					BgL_localzf2fromzf2_bglt BgL_auxz00_4225;

					{
						obj_t BgL_auxz00_4226;

						{	/* Effect/cgraph.scm 21 */
							BgL_objectz00_bglt BgL_auxz00_4227;

							BgL_auxz00_4227 = ((BgL_objectz00_bglt) BgL_new1110z00_1408);
							BgL_auxz00_4226 = BGL_OBJECT_WIDENING(BgL_auxz00_4227);
						}
						BgL_auxz00_4225 = ((BgL_localzf2fromzf2_bglt) BgL_auxz00_4226);
					}
					((((BgL_localzf2fromzf2_bglt) CREF(BgL_auxz00_4225))->BgL_fromz00) =
						((obj_t) BUNSPEC), BUNSPEC);
				}
				return BgL_new1110z00_1408;
			}
		}
	}



/* &lambda2006 */
	BgL_localz00_bglt BGl_z62lambda2006z62zzeffect_cgraphz00(obj_t
		BgL_envz00_2967, obj_t BgL_o1107z00_2968)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 21 */
			{
				BgL_localz00_bglt BgL_o1107z00_1403;

				BgL_o1107z00_1403 = ((BgL_localz00_bglt) BgL_o1107z00_2968);
				{	/* Effect/cgraph.scm 21 */
					BgL_localz00_bglt BgL_tmp1108z00_1405;
					BgL_localzf2fromzf2_bglt BgL_wide1109z00_1406;

					BgL_tmp1108z00_1405 = ((BgL_localz00_bglt) BgL_o1107z00_1403);
					BgL_wide1109z00_1406 =
						((BgL_localzf2fromzf2_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_localzf2fromzf2_bgl))));
					{	/* Effect/cgraph.scm 21 */
						obj_t BgL_auxz00_4237;
						BgL_objectz00_bglt BgL_auxz00_4235;

						BgL_auxz00_4237 = ((obj_t) BgL_wide1109z00_1406);
						BgL_auxz00_4235 = ((BgL_objectz00_bglt) BgL_tmp1108z00_1405);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_4235, BgL_auxz00_4237);
					}
					{	/* Effect/cgraph.scm 21 */
						long BgL_arg2007z00_1407;

						{	/* Effect/cgraph.scm 21 */
							long BgL_res2182z00_2519;

							{	/* Effect/cgraph.scm 21 */
								obj_t BgL_classz00_2516;

								BgL_classz00_2516 = BGl_localzf2fromzf2zzeffect_cgraphz00;
								{	/* Effect/cgraph.scm 21 */
									obj_t BgL_vectorz00_2517;
									int BgL_kz00_2518;

									BgL_vectorz00_2517 = BgL_classz00_2516;
									BgL_kz00_2518 = (int) (((long) 1));
									BgL_res2182z00_2519 =
										(long) CINT(VECTOR_REF(BgL_vectorz00_2517, BgL_kz00_2518));
							}}
							BgL_arg2007z00_1407 = BgL_res2182z00_2519;
						}
						{	/* Effect/cgraph.scm 21 */
							BgL_objectz00_bglt BgL_objz00_2520;

							BgL_objz00_2520 = ((BgL_objectz00_bglt) BgL_tmp1108z00_1405);
							((BgL_localz00_bglt)
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2520, BgL_arg2007z00_1407));
					}}
					return ((BgL_localz00_bglt) BgL_tmp1108z00_1405);
				}
			}
		}
	}



/* &lambda2003 */
	BgL_localz00_bglt BGl_z62lambda2003z62zzeffect_cgraphz00(obj_t
		BgL_envz00_2969, obj_t BgL_id1095z00_2970, obj_t BgL_name1096z00_2971,
		obj_t BgL_type1097z00_2972, obj_t BgL_value1098z00_2973,
		obj_t BgL_access1099z00_2974, obj_t BgL_fastzd2alpha1100zd2_2975,
		obj_t BgL_removable1101z00_2976, obj_t BgL_occurrence1102z00_2977,
		obj_t BgL_occurrencew1103z00_2978, obj_t BgL_userzf31104zf3_2979,
		obj_t BgL_key1105z00_2980, obj_t BgL_from1106z00_2981)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 21 */
			{
				obj_t BgL_id1095z00_1384;
				obj_t BgL_name1096z00_1385;
				BgL_typez00_bglt BgL_type1097z00_1386;
				BgL_valuez00_bglt BgL_value1098z00_1387;
				obj_t BgL_access1099z00_1388;
				obj_t BgL_fastzd2alpha1100zd2_1389;
				obj_t BgL_removable1101z00_1390;
				long BgL_occurrence1102z00_1391;
				long BgL_occurrencew1103z00_1392;
				bool_t BgL_userzf31104zf3_1393;
				long BgL_key1105z00_1394;
				obj_t BgL_from1106z00_1395;

				BgL_id1095z00_1384 = BgL_id1095z00_2970;
				BgL_name1096z00_1385 = BgL_name1096z00_2971;
				BgL_type1097z00_1386 = ((BgL_typez00_bglt) BgL_type1097z00_2972);
				BgL_value1098z00_1387 = ((BgL_valuez00_bglt) BgL_value1098z00_2973);
				BgL_access1099z00_1388 = BgL_access1099z00_2974;
				BgL_fastzd2alpha1100zd2_1389 = BgL_fastzd2alpha1100zd2_2975;
				BgL_removable1101z00_1390 = BgL_removable1101z00_2976;
				BgL_occurrence1102z00_1391 = (long) CINT(BgL_occurrence1102z00_2977);
				BgL_occurrencew1103z00_1392 = (long) CINT(BgL_occurrencew1103z00_2978);
				BgL_userzf31104zf3_1393 = CBOOL(BgL_userzf31104zf3_2979);
				BgL_key1105z00_1394 = (long) CINT(BgL_key1105z00_2980);
				BgL_from1106z00_1395 = BgL_from1106z00_2981;
				{	/* Effect/cgraph.scm 21 */
					BgL_localz00_bglt BgL_new1245z00_1397;

					{	/* Effect/cgraph.scm 21 */
						BgL_localz00_bglt BgL_tmp1243z00_1398;
						BgL_localzf2fromzf2_bglt BgL_wide1244z00_1399;

						{
							BgL_localz00_bglt BgL_auxz00_4248;

							{	/* Effect/cgraph.scm 21 */
								BgL_localz00_bglt BgL_new1242z00_1401;

								BgL_new1242z00_1401 =
									((BgL_localz00_bglt) BREF(GC_MALLOC(sizeof(struct
												BgL_localz00_bgl))));
								{	/* Effect/cgraph.scm 21 */
									long BgL_arg2005z00_1402;

									{	/* Effect/cgraph.scm 21 */
										long BgL_res2180z00_2507;

										{	/* Effect/cgraph.scm 21 */
											obj_t BgL_classz00_2504;

											BgL_classz00_2504 = BGl_localz00zzast_varz00;
											{	/* Effect/cgraph.scm 21 */
												obj_t BgL_vectorz00_2505;
												int BgL_kz00_2506;

												BgL_vectorz00_2505 = BgL_classz00_2504;
												BgL_kz00_2506 = (int) (((long) 1));
												BgL_res2180z00_2507 =
													(long) CINT(VECTOR_REF(BgL_vectorz00_2505,
														BgL_kz00_2506));
										}}
										BgL_arg2005z00_1402 = BgL_res2180z00_2507;
									}
									{	/* Effect/cgraph.scm 21 */
										BgL_objectz00_bglt BgL_objz00_2508;

										BgL_objz00_2508 =
											((BgL_objectz00_bglt) BgL_new1242z00_1401);
										BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2508,
											BgL_arg2005z00_1402);
								}}
								{	/* Effect/cgraph.scm 21 */
									BgL_objectz00_bglt BgL_auxz00_4255;

									BgL_auxz00_4255 = ((BgL_objectz00_bglt) BgL_new1242z00_1401);
									BGL_OBJECT_WIDENING_SET(BgL_auxz00_4255, BFALSE);
								}
								BgL_auxz00_4248 = BgL_new1242z00_1401;
							}
							BgL_tmp1243z00_1398 = ((BgL_localz00_bglt) BgL_auxz00_4248);
						}
						BgL_wide1244z00_1399 =
							((BgL_localzf2fromzf2_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_localzf2fromzf2_bgl))));
						{	/* Effect/cgraph.scm 21 */
							obj_t BgL_auxz00_4262;
							BgL_objectz00_bglt BgL_auxz00_4260;

							BgL_auxz00_4262 = ((obj_t) BgL_wide1244z00_1399);
							BgL_auxz00_4260 = ((BgL_objectz00_bglt) BgL_tmp1243z00_1398);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_4260, BgL_auxz00_4262);
						}
						{	/* Effect/cgraph.scm 21 */
							long BgL_arg2004z00_1400;

							{	/* Effect/cgraph.scm 21 */
								long BgL_res2181z00_2513;

								{	/* Effect/cgraph.scm 21 */
									obj_t BgL_classz00_2510;

									BgL_classz00_2510 = BGl_localzf2fromzf2zzeffect_cgraphz00;
									{	/* Effect/cgraph.scm 21 */
										obj_t BgL_vectorz00_2511;
										int BgL_kz00_2512;

										BgL_vectorz00_2511 = BgL_classz00_2510;
										BgL_kz00_2512 = (int) (((long) 1));
										BgL_res2181z00_2513 =
											(long) CINT(VECTOR_REF(BgL_vectorz00_2511,
												BgL_kz00_2512));
								}}
								BgL_arg2004z00_1400 = BgL_res2181z00_2513;
							}
							{	/* Effect/cgraph.scm 21 */
								BgL_objectz00_bglt BgL_objz00_2514;

								BgL_objz00_2514 = ((BgL_objectz00_bglt) BgL_tmp1243z00_1398);
								((BgL_localz00_bglt)
									BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2514,
										BgL_arg2004z00_1400));
						}}
						BgL_new1245z00_1397 = ((BgL_localz00_bglt) BgL_tmp1243z00_1398);
					}
					((((BgL_variablez00_bglt) CREF(
									((BgL_variablez00_bglt) BgL_new1245z00_1397)))->BgL_idz00) =
						((obj_t) BgL_id1095z00_1384), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1245z00_1397)))->BgL_namez00) =
						((obj_t) BgL_name1096z00_1385), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1245z00_1397)))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_type1097z00_1386), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1245z00_1397)))->BgL_valuez00) =
						((BgL_valuez00_bglt) BgL_value1098z00_1387), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1245z00_1397)))->BgL_accessz00) =
						((obj_t) BgL_access1099z00_1388), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1245z00_1397)))->BgL_fastzd2alphazd2) =
						((obj_t) BgL_fastzd2alpha1100zd2_1389), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1245z00_1397)))->BgL_removablez00) =
						((obj_t) BgL_removable1101z00_1390), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1245z00_1397)))->BgL_occurrencez00) =
						((long) BgL_occurrence1102z00_1391), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1245z00_1397)))->BgL_occurrencewz00) =
						((long) BgL_occurrencew1103z00_1392), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1245z00_1397)))->BgL_userzf3zf3) =
						((bool_t) BgL_userzf31104zf3_1393), BUNSPEC);
					((((BgL_localz00_bglt) CREF(((BgL_localz00_bglt)
										BgL_new1245z00_1397)))->BgL_keyz00) =
						((long) BgL_key1105z00_1394), BUNSPEC);
					{
						BgL_localzf2fromzf2_bglt BgL_auxz00_4294;

						{
							obj_t BgL_auxz00_4295;

							{	/* Effect/cgraph.scm 21 */
								BgL_objectz00_bglt BgL_auxz00_4296;

								BgL_auxz00_4296 = ((BgL_objectz00_bglt) BgL_new1245z00_1397);
								BgL_auxz00_4295 = BGL_OBJECT_WIDENING(BgL_auxz00_4296);
							}
							BgL_auxz00_4294 = ((BgL_localzf2fromzf2_bglt) BgL_auxz00_4295);
						}
						((((BgL_localzf2fromzf2_bglt) CREF(BgL_auxz00_4294))->BgL_fromz00) =
							((obj_t) BgL_from1106z00_1395), BUNSPEC);
					}
					return BgL_new1245z00_1397;
				}
			}
		}
	}



/* &lambda2018 */
	obj_t BGl_z62lambda2018z62zzeffect_cgraphz00(obj_t BgL_envz00_2982,
		obj_t BgL_oz00_2983, obj_t BgL_vz00_2984)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 21 */
			{
				BgL_localz00_bglt BgL_oz00_1423;
				obj_t BgL_vz00_1424;

				BgL_oz00_1423 = ((BgL_localz00_bglt) BgL_oz00_2983);
				BgL_vz00_1424 = BgL_vz00_2984;
				{
					BgL_localzf2fromzf2_bglt BgL_auxz00_4307;

					{
						obj_t BgL_auxz00_4308;

						{	/* Effect/cgraph.scm 21 */
							BgL_objectz00_bglt BgL_auxz00_4309;

							BgL_auxz00_4309 = ((BgL_objectz00_bglt) BgL_oz00_1423);
							BgL_auxz00_4308 = BGL_OBJECT_WIDENING(BgL_auxz00_4309);
						}
						BgL_auxz00_4307 = ((BgL_localzf2fromzf2_bglt) BgL_auxz00_4308);
					}
					return
						((((BgL_localzf2fromzf2_bglt) CREF(BgL_auxz00_4307))->BgL_fromz00) =
						((obj_t) BgL_vz00_1424), BUNSPEC);
				}
			}
		}
	}



/* &lambda2017 */
	obj_t BGl_z62lambda2017z62zzeffect_cgraphz00(obj_t BgL_envz00_2985,
		obj_t BgL_oz00_2986)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 21 */
			{
				BgL_localz00_bglt BgL_oz00_1420;

				BgL_oz00_1420 = ((BgL_localz00_bglt) BgL_oz00_2986);
				{
					BgL_localzf2fromzf2_bglt BgL_auxz00_4315;

					{
						obj_t BgL_auxz00_4316;

						{	/* Effect/cgraph.scm 21 */
							BgL_objectz00_bglt BgL_auxz00_4317;

							BgL_auxz00_4317 = ((BgL_objectz00_bglt) BgL_oz00_1420);
							BgL_auxz00_4316 = BGL_OBJECT_WIDENING(BgL_auxz00_4317);
						}
						BgL_auxz00_4315 = ((BgL_localzf2fromzf2_bglt) BgL_auxz00_4316);
					}
					return
						(((BgL_localzf2fromzf2_bglt) CREF(BgL_auxz00_4315))->BgL_fromz00);
				}
			}
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzeffect_cgraphz00()
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 15 */
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_callzd2graphz12zd2envz12zzeffect_cgraphz00,
				BGl_proc2237z00zzeffect_cgraphz00, BGl_nodez00zzast_nodez00,
				BGl_string2238z00zzeffect_cgraphz00);
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_savezd2callz12zd2envz12zzeffect_cgraphz00,
				BGl_proc2239z00zzeffect_cgraphz00, BGl_variablez00zzast_varz00,
				BGl_string2240z00zzeffect_cgraphz00);
		}
	}



/* &save-call!1970 */
	obj_t BGl_z62savezd2callz121970za2zzeffect_cgraphz00(obj_t BgL_envz00_2989,
		BgL_variablez00_bglt BgL_calleez00_2990,
		BgL_variablez00_bglt BgL_ownerz00_2991)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 204 */
			{
				BgL_variablez00_bglt BgL_calleez00_1504;
				BgL_variablez00_bglt BgL_ownerz00_1505;

				BgL_calleez00_1504 = BgL_calleez00_2990;
				BgL_ownerz00_1505 = BgL_ownerz00_2991;
				return
					BGl_errorz00zz__errorz00(CNST_TABLE_REF(((long) 7)),
					BGl_string2241z00zzeffect_cgraphz00, ((obj_t) BgL_calleez00_1504));
		}}
	}



/* &call-graph!1933 */
	obj_t BGl_z62callzd2graphz121933za2zzeffect_cgraphz00(obj_t BgL_envz00_2992,
		BgL_nodez00_bglt BgL_nodez00_2993, BgL_variablez00_bglt BgL_ownerz00_2994)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 38 */
			return CNST_TABLE_REF(((long) 8));
		}
	}



/* call-graph! */
	obj_t BGl_callzd2graphz12zc0zzeffect_cgraphz00(BgL_nodez00_bglt
		BgL_nodez00_134, BgL_variablez00_bglt BgL_ownerz00_135)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 38 */
			{	/* Effect/cgraph.scm 38 */
				obj_t BgL_method1934z00_1508;

				{	/* Effect/cgraph.scm 38 */
					obj_t BgL_res2198z00_2611;

					{	/* Effect/cgraph.scm 38 */
						BgL_objectz00_bglt BgL_objz00_2583;

						BgL_objz00_2583 = ((BgL_objectz00_bglt) BgL_nodez00_134);
						{	/* Effect/cgraph.scm 38 */
							long BgL_objzd2classzd2numz00_2584;

							{	/* Effect/cgraph.scm 38 */
								long BgL_res2192z00_2587;

								BgL_res2192z00_2587 = BGL_OBJECT_CLASS_NUM(BgL_objz00_2583);
								BgL_objzd2classzd2numz00_2584 = BgL_res2192z00_2587;
							}
							{	/* Effect/cgraph.scm 38 */
								obj_t BgL_arg1806z00_2585;

								BgL_arg1806z00_2585 =
									PROCEDURE_REF(BGl_callzd2graphz12zd2envz12zzeffect_cgraphz00,
									(int) (((long) 1)));
								{	/* Effect/cgraph.scm 38 */
									obj_t BgL_arrayz00_2588;
									int BgL_offsetz00_2589;

									BgL_arrayz00_2588 = BgL_arg1806z00_2585;
									BgL_offsetz00_2589 = (int) (BgL_objzd2classzd2numz00_2584);
									{	/* Effect/cgraph.scm 38 */
										long BgL_offsetz00_2590;

										BgL_offsetz00_2590 =
											((long) (BgL_offsetz00_2589) - OBJECT_TYPE);
										{	/* Effect/cgraph.scm 38 */
											long BgL_modz00_2591;

											{	/* Effect/cgraph.scm 38 */
												int BgL_arg1809z00_2592;

												BgL_arg1809z00_2592 = (int) (((long) 16));
												{	/* Effect/cgraph.scm 38 */
													long BgL_res2195z00_2602;

													{	/* Effect/cgraph.scm 38 */
														long BgL_auxz00_4337;

														BgL_auxz00_4337 = (long) (BgL_arg1809z00_2592);
														BgL_res2195z00_2602 =
															(BgL_offsetz00_2590 / BgL_auxz00_4337);
													}
													BgL_modz00_2591 = BgL_res2195z00_2602;
											}}
											{	/* Effect/cgraph.scm 38 */
												long BgL_restz00_2593;

												{	/* Effect/cgraph.scm 38 */
													int BgL_arg1808z00_2594;

													BgL_arg1808z00_2594 = (int) (((long) 16));
													{	/* Effect/cgraph.scm 38 */
														long BgL_res2197z00_2606;

														{	/* Effect/cgraph.scm 38 */
															long BgL_auxz00_4341;

															BgL_auxz00_4341 = (long) (BgL_arg1808z00_2594);
															BgL_res2197z00_2606 =
																(BgL_offsetz00_2590 % BgL_auxz00_4341);
														}
														BgL_restz00_2593 = BgL_res2197z00_2606;
												}}
												{	/* Effect/cgraph.scm 38 */

													BgL_res2198z00_2611 =
														VECTOR_REF(VECTOR_REF(BgL_arrayz00_2588,
															(int) (BgL_modz00_2591)),
														(int) (BgL_restz00_2593));
					}}}}}}}}
					BgL_method1934z00_1508 = BgL_res2198z00_2611;
				}
				return
					PROCEDURE_ENTRY(BgL_method1934z00_1508) (BgL_method1934z00_1508,
					((obj_t) BgL_nodez00_134), ((obj_t) BgL_ownerz00_135), BEOA);
			}
		}
	}



/* &call-graph! */
	obj_t BGl_z62callzd2graphz12za2zzeffect_cgraphz00(obj_t BgL_envz00_2995,
		obj_t BgL_nodez00_2996, obj_t BgL_ownerz00_2997)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 38 */
			return
				BGl_callzd2graphz12zc0zzeffect_cgraphz00(
				((BgL_nodez00_bglt) BgL_nodez00_2996),
				((BgL_variablez00_bglt) BgL_ownerz00_2997));
		}
	}



/* save-call! */
	obj_t BGl_savezd2callz12zc0zzeffect_cgraphz00(BgL_variablez00_bglt
		BgL_calleez00_172, BgL_variablez00_bglt BgL_ownerz00_173)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 204 */
			{	/* Effect/cgraph.scm 204 */
				obj_t BgL_method1971z00_1509;

				{	/* Effect/cgraph.scm 204 */
					obj_t BgL_res2205z00_2640;

					{	/* Effect/cgraph.scm 204 */
						BgL_objectz00_bglt BgL_objz00_2612;

						BgL_objz00_2612 = ((BgL_objectz00_bglt) BgL_calleez00_172);
						{	/* Effect/cgraph.scm 204 */
							long BgL_objzd2classzd2numz00_2613;

							{	/* Effect/cgraph.scm 204 */
								long BgL_res2199z00_2616;

								BgL_res2199z00_2616 = BGL_OBJECT_CLASS_NUM(BgL_objz00_2612);
								BgL_objzd2classzd2numz00_2613 = BgL_res2199z00_2616;
							}
							{	/* Effect/cgraph.scm 204 */
								obj_t BgL_arg1806z00_2614;

								BgL_arg1806z00_2614 =
									PROCEDURE_REF(BGl_savezd2callz12zd2envz12zzeffect_cgraphz00,
									(int) (((long) 1)));
								{	/* Effect/cgraph.scm 204 */
									obj_t BgL_arrayz00_2617;
									int BgL_offsetz00_2618;

									BgL_arrayz00_2617 = BgL_arg1806z00_2614;
									BgL_offsetz00_2618 = (int) (BgL_objzd2classzd2numz00_2613);
									{	/* Effect/cgraph.scm 204 */
										long BgL_offsetz00_2619;

										BgL_offsetz00_2619 =
											((long) (BgL_offsetz00_2618) - OBJECT_TYPE);
										{	/* Effect/cgraph.scm 204 */
											long BgL_modz00_2620;

											{	/* Effect/cgraph.scm 204 */
												int BgL_arg1809z00_2621;

												BgL_arg1809z00_2621 = (int) (((long) 16));
												{	/* Effect/cgraph.scm 204 */
													long BgL_res2202z00_2631;

													{	/* Effect/cgraph.scm 204 */
														long BgL_auxz00_4366;

														BgL_auxz00_4366 = (long) (BgL_arg1809z00_2621);
														BgL_res2202z00_2631 =
															(BgL_offsetz00_2619 / BgL_auxz00_4366);
													}
													BgL_modz00_2620 = BgL_res2202z00_2631;
											}}
											{	/* Effect/cgraph.scm 204 */
												long BgL_restz00_2622;

												{	/* Effect/cgraph.scm 204 */
													int BgL_arg1808z00_2623;

													BgL_arg1808z00_2623 = (int) (((long) 16));
													{	/* Effect/cgraph.scm 204 */
														long BgL_res2204z00_2635;

														{	/* Effect/cgraph.scm 204 */
															long BgL_auxz00_4370;

															BgL_auxz00_4370 = (long) (BgL_arg1808z00_2623);
															BgL_res2204z00_2635 =
																(BgL_offsetz00_2619 % BgL_auxz00_4370);
														}
														BgL_restz00_2622 = BgL_res2204z00_2635;
												}}
												{	/* Effect/cgraph.scm 204 */

													BgL_res2205z00_2640 =
														VECTOR_REF(VECTOR_REF(BgL_arrayz00_2617,
															(int) (BgL_modz00_2620)),
														(int) (BgL_restz00_2622));
					}}}}}}}}
					BgL_method1971z00_1509 = BgL_res2205z00_2640;
				}
				return
					PROCEDURE_ENTRY(BgL_method1971z00_1509) (BgL_method1971z00_1509,
					((obj_t) BgL_calleez00_172), ((obj_t) BgL_ownerz00_173), BEOA);
			}
		}
	}



/* &save-call! */
	obj_t BGl_z62savezd2callz12za2zzeffect_cgraphz00(obj_t BgL_envz00_2998,
		obj_t BgL_calleez00_2999, obj_t BgL_ownerz00_3000)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 204 */
			return
				BGl_savezd2callz12zc0zzeffect_cgraphz00(
				((BgL_variablez00_bglt) BgL_calleez00_2999),
				((BgL_variablez00_bglt) BgL_ownerz00_3000));
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzeffect_cgraphz00()
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 15 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_callzd2graphz12zd2envz12zzeffect_cgraphz00,
				BGl_sequencez00zzast_nodez00, BGl_proc2242z00zzeffect_cgraphz00,
				BGl_string2243z00zzeffect_cgraphz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_callzd2graphz12zd2envz12zzeffect_cgraphz00,
				BGl_appz00zzast_nodez00, BGl_proc2244z00zzeffect_cgraphz00,
				BGl_string2243z00zzeffect_cgraphz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_callzd2graphz12zd2envz12zzeffect_cgraphz00,
				BGl_appzd2lyzd2zzast_nodez00, BGl_proc2245z00zzeffect_cgraphz00,
				BGl_string2243z00zzeffect_cgraphz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_callzd2graphz12zd2envz12zzeffect_cgraphz00,
				BGl_funcallz00zzast_nodez00, BGl_proc2246z00zzeffect_cgraphz00,
				BGl_string2243z00zzeffect_cgraphz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_callzd2graphz12zd2envz12zzeffect_cgraphz00,
				BGl_externz00zzast_nodez00, BGl_proc2247z00zzeffect_cgraphz00,
				BGl_string2243z00zzeffect_cgraphz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_callzd2graphz12zd2envz12zzeffect_cgraphz00,
				BGl_castz00zzast_nodez00, BGl_proc2248z00zzeffect_cgraphz00,
				BGl_string2243z00zzeffect_cgraphz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_callzd2graphz12zd2envz12zzeffect_cgraphz00,
				BGl_setqz00zzast_nodez00, BGl_proc2249z00zzeffect_cgraphz00,
				BGl_string2243z00zzeffect_cgraphz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_callzd2graphz12zd2envz12zzeffect_cgraphz00,
				BGl_conditionalz00zzast_nodez00, BGl_proc2250z00zzeffect_cgraphz00,
				BGl_string2243z00zzeffect_cgraphz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_callzd2graphz12zd2envz12zzeffect_cgraphz00,
				BGl_failz00zzast_nodez00, BGl_proc2251z00zzeffect_cgraphz00,
				BGl_string2243z00zzeffect_cgraphz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_callzd2graphz12zd2envz12zzeffect_cgraphz00,
				BGl_selectz00zzast_nodez00, BGl_proc2252z00zzeffect_cgraphz00,
				BGl_string2243z00zzeffect_cgraphz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_callzd2graphz12zd2envz12zzeffect_cgraphz00,
				BGl_letzd2funzd2zzast_nodez00, BGl_proc2253z00zzeffect_cgraphz00,
				BGl_string2243z00zzeffect_cgraphz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_callzd2graphz12zd2envz12zzeffect_cgraphz00,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc2254z00zzeffect_cgraphz00,
				BGl_string2243z00zzeffect_cgraphz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_callzd2graphz12zd2envz12zzeffect_cgraphz00,
				BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc2255z00zzeffect_cgraphz00,
				BGl_string2243z00zzeffect_cgraphz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_callzd2graphz12zd2envz12zzeffect_cgraphz00,
				BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc2256z00zzeffect_cgraphz00,
				BGl_string2243z00zzeffect_cgraphz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_callzd2graphz12zd2envz12zzeffect_cgraphz00,
				BGl_makezd2boxzd2zzast_nodez00, BGl_proc2257z00zzeffect_cgraphz00,
				BGl_string2243z00zzeffect_cgraphz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_callzd2graphz12zd2envz12zzeffect_cgraphz00,
				BGl_boxzd2refzd2zzast_nodez00, BGl_proc2258z00zzeffect_cgraphz00,
				BGl_string2243z00zzeffect_cgraphz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_callzd2graphz12zd2envz12zzeffect_cgraphz00,
				BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc2259z00zzeffect_cgraphz00,
				BGl_string2243z00zzeffect_cgraphz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_savezd2callz12zd2envz12zzeffect_cgraphz00,
				BGl_globalz00zzast_varz00, BGl_proc2260z00zzeffect_cgraphz00,
				BGl_string2261z00zzeffect_cgraphz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_savezd2callz12zd2envz12zzeffect_cgraphz00,
				BGl_globalzf2fromzf2zzeffect_cgraphz00,
				BGl_proc2262z00zzeffect_cgraphz00, BGl_string2261z00zzeffect_cgraphz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_savezd2callz12zd2envz12zzeffect_cgraphz00,
				BGl_localz00zzast_varz00, BGl_proc2263z00zzeffect_cgraphz00,
				BGl_string2261z00zzeffect_cgraphz00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_savezd2callz12zd2envz12zzeffect_cgraphz00,
				BGl_localzf2fromzf2zzeffect_cgraphz00,
				BGl_proc2264z00zzeffect_cgraphz00, BGl_string2261z00zzeffect_cgraphz00);
		}
	}



/* &save-call!-local/fro1980 */
	obj_t BGl_z62savezd2callz12zd2localzf2fro1980z82zzeffect_cgraphz00(obj_t
		BgL_envz00_3022, BgL_localz00_bglt BgL_calleez00_3023,
		obj_t BgL_ownerz00_3024)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 235 */
			{
				BgL_localz00_bglt BgL_calleez00_1709;
				obj_t BgL_ownerz00_1710;

				BgL_calleez00_1709 = BgL_calleez00_3023;
				BgL_ownerz00_1710 = BgL_ownerz00_3024;
				{	/* Effect/cgraph.scm 237 */
					bool_t BgL_testz00_4408;

					{	/* Effect/cgraph.scm 237 */
						obj_t BgL_auxz00_4409;

						{	/* Effect/cgraph.scm 237 */
							obj_t BgL_auxz00_4410;

							{
								BgL_localzf2fromzf2_bglt BgL_auxz00_4411;

								{
									obj_t BgL_auxz00_4412;

									{	/* Effect/cgraph.scm 237 */
										BgL_objectz00_bglt BgL_auxz00_4413;

										BgL_auxz00_4413 = ((BgL_objectz00_bglt) BgL_calleez00_1709);
										BgL_auxz00_4412 = BGL_OBJECT_WIDENING(BgL_auxz00_4413);
									}
									BgL_auxz00_4411 =
										((BgL_localzf2fromzf2_bglt) BgL_auxz00_4412);
								}
								BgL_auxz00_4410 =
									(((BgL_localzf2fromzf2_bglt) CREF(BgL_auxz00_4411))->
									BgL_fromz00);
							}
							BgL_auxz00_4409 =
								BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_ownerz00_1710,
								BgL_auxz00_4410);
						}
						BgL_testz00_4408 = CBOOL(BgL_auxz00_4409);
					}
					if (BgL_testz00_4408)
						{	/* Effect/cgraph.scm 237 */
							return BFALSE;
						}
					else
						{
							obj_t BgL_auxz00_4426;
							BgL_localzf2fromzf2_bglt BgL_auxz00_4420;

							{	/* Effect/cgraph.scm 238 */
								obj_t BgL_arg2116z00_1715;

								{
									BgL_localzf2fromzf2_bglt BgL_auxz00_4427;

									{
										obj_t BgL_auxz00_4428;

										{	/* Effect/cgraph.scm 238 */
											BgL_objectz00_bglt BgL_auxz00_4429;

											BgL_auxz00_4429 =
												((BgL_objectz00_bglt) BgL_calleez00_1709);
											BgL_auxz00_4428 = BGL_OBJECT_WIDENING(BgL_auxz00_4429);
										}
										BgL_auxz00_4427 =
											((BgL_localzf2fromzf2_bglt) BgL_auxz00_4428);
									}
									BgL_arg2116z00_1715 =
										(((BgL_localzf2fromzf2_bglt) CREF(BgL_auxz00_4427))->
										BgL_fromz00);
								}
								BgL_auxz00_4426 =
									MAKE_PAIR(BgL_ownerz00_1710, BgL_arg2116z00_1715);
							}
							{
								obj_t BgL_auxz00_4421;

								{	/* Effect/cgraph.scm 238 */
									BgL_objectz00_bglt BgL_auxz00_4422;

									BgL_auxz00_4422 = ((BgL_objectz00_bglt) BgL_calleez00_1709);
									BgL_auxz00_4421 = BGL_OBJECT_WIDENING(BgL_auxz00_4422);
								}
								BgL_auxz00_4420 = ((BgL_localzf2fromzf2_bglt) BgL_auxz00_4421);
							}
							return
								((((BgL_localzf2fromzf2_bglt) CREF(BgL_auxz00_4420))->
									BgL_fromz00) = ((obj_t) BgL_auxz00_4426), BUNSPEC);
						}
				}
			}
		}
	}



/* &save-call!-local1978 */
	obj_t BGl_z62savezd2callz12zd2local1978z70zzeffect_cgraphz00(obj_t
		BgL_envz00_3025, BgL_localz00_bglt BgL_calleez00_3026,
		obj_t BgL_ownerz00_3027)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 229 */
			{
				BgL_localz00_bglt BgL_calleez00_1698;
				obj_t BgL_ownerz00_1699;

				BgL_calleez00_1698 = BgL_calleez00_3026;
				BgL_ownerz00_1699 = BgL_ownerz00_3027;
				{	/* Effect/cgraph.scm 230 */
					BgL_localz00_bglt BgL_arg2113z00_1702;

					{	/* Effect/cgraph.scm 230 */
						BgL_localz00_bglt BgL_tmp1238z00_1704;
						BgL_localzf2fromzf2_bglt BgL_wide1239z00_1705;

						BgL_tmp1238z00_1704 = ((BgL_localz00_bglt) BgL_calleez00_1698);
						BgL_wide1239z00_1705 =
							((BgL_localzf2fromzf2_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_localzf2fromzf2_bgl))));
						{	/* Effect/cgraph.scm 230 */
							obj_t BgL_auxz00_4440;
							BgL_objectz00_bglt BgL_auxz00_4438;

							BgL_auxz00_4440 = ((obj_t) BgL_wide1239z00_1705);
							BgL_auxz00_4438 = ((BgL_objectz00_bglt) BgL_tmp1238z00_1704);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_4438, BgL_auxz00_4440);
						}
						{	/* Effect/cgraph.scm 230 */
							long BgL_arg2114z00_1706;

							{	/* Effect/cgraph.scm 230 */
								long BgL_res2223z00_2709;

								{	/* Effect/cgraph.scm 230 */
									obj_t BgL_classz00_2706;

									BgL_classz00_2706 = BGl_localzf2fromzf2zzeffect_cgraphz00;
									{	/* Effect/cgraph.scm 230 */
										obj_t BgL_vectorz00_2707;
										int BgL_kz00_2708;

										BgL_vectorz00_2707 = BgL_classz00_2706;
										BgL_kz00_2708 = (int) (((long) 1));
										BgL_res2223z00_2709 =
											(long) CINT(VECTOR_REF(BgL_vectorz00_2707,
												BgL_kz00_2708));
								}}
								BgL_arg2114z00_1706 = BgL_res2223z00_2709;
							}
							{	/* Effect/cgraph.scm 230 */
								BgL_objectz00_bglt BgL_objz00_2710;

								BgL_objz00_2710 = ((BgL_objectz00_bglt) BgL_tmp1238z00_1704);
								((BgL_localz00_bglt)
									BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2710,
										BgL_arg2114z00_1706));
						}} BgL_tmp1238z00_1704;
					}
					{	/* Effect/cgraph.scm 230 */
						BgL_localz00_bglt BgL_new1240z00_1707;

						BgL_new1240z00_1707 = ((BgL_localz00_bglt) BgL_calleez00_1698);
						{
							BgL_localzf2fromzf2_bglt BgL_auxz00_4450;

							{
								obj_t BgL_auxz00_4451;

								{	/* Effect/cgraph.scm 230 */
									BgL_objectz00_bglt BgL_auxz00_4452;

									BgL_auxz00_4452 = ((BgL_objectz00_bglt) BgL_new1240z00_1707);
									BgL_auxz00_4451 = BGL_OBJECT_WIDENING(BgL_auxz00_4452);
								}
								BgL_auxz00_4450 = ((BgL_localzf2fromzf2_bglt) BgL_auxz00_4451);
							}
							((((BgL_localzf2fromzf2_bglt) CREF(BgL_auxz00_4450))->
									BgL_fromz00) = ((obj_t) BNIL), BUNSPEC);
						}
						BgL_arg2113z00_1702 = BgL_new1240z00_1707;
					}
					return
						BGl_savezd2callz12zc0zzeffect_cgraphz00(
						((BgL_variablez00_bglt) BgL_arg2113z00_1702),
						((BgL_variablez00_bglt) BgL_ownerz00_1699));
				}
			}
		}
	}



/* &save-call!-global/fr1976 */
	obj_t BGl_z62savezd2callz12zd2globalzf2fr1976z82zzeffect_cgraphz00(obj_t
		BgL_envz00_3028, BgL_globalz00_bglt BgL_calleez00_3029,
		obj_t BgL_ownerz00_3030)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 221 */
			{
				BgL_globalz00_bglt BgL_calleez00_1689;
				obj_t BgL_ownerz00_1690;

				BgL_calleez00_1689 = BgL_calleez00_3029;
				BgL_ownerz00_1690 = BgL_ownerz00_3030;
				{	/* Effect/cgraph.scm 223 */
					bool_t BgL_testz00_4460;

					{	/* Effect/cgraph.scm 223 */
						obj_t BgL_auxz00_4461;

						{	/* Effect/cgraph.scm 223 */
							obj_t BgL_auxz00_4462;

							{
								BgL_globalzf2fromzf2_bglt BgL_auxz00_4463;

								{
									obj_t BgL_auxz00_4464;

									{	/* Effect/cgraph.scm 223 */
										BgL_objectz00_bglt BgL_auxz00_4465;

										BgL_auxz00_4465 = ((BgL_objectz00_bglt) BgL_calleez00_1689);
										BgL_auxz00_4464 = BGL_OBJECT_WIDENING(BgL_auxz00_4465);
									}
									BgL_auxz00_4463 =
										((BgL_globalzf2fromzf2_bglt) BgL_auxz00_4464);
								}
								BgL_auxz00_4462 =
									(((BgL_globalzf2fromzf2_bglt) CREF(BgL_auxz00_4463))->
									BgL_fromz00);
							}
							BgL_auxz00_4461 =
								BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_ownerz00_1690,
								BgL_auxz00_4462);
						}
						BgL_testz00_4460 = CBOOL(BgL_auxz00_4461);
					}
					if (BgL_testz00_4460)
						{	/* Effect/cgraph.scm 223 */
							return BFALSE;
						}
					else
						{
							obj_t BgL_auxz00_4478;
							BgL_globalzf2fromzf2_bglt BgL_auxz00_4472;

							{	/* Effect/cgraph.scm 224 */
								obj_t BgL_arg2111z00_1695;

								{
									BgL_globalzf2fromzf2_bglt BgL_auxz00_4479;

									{
										obj_t BgL_auxz00_4480;

										{	/* Effect/cgraph.scm 224 */
											BgL_objectz00_bglt BgL_auxz00_4481;

											BgL_auxz00_4481 =
												((BgL_objectz00_bglt) BgL_calleez00_1689);
											BgL_auxz00_4480 = BGL_OBJECT_WIDENING(BgL_auxz00_4481);
										}
										BgL_auxz00_4479 =
											((BgL_globalzf2fromzf2_bglt) BgL_auxz00_4480);
									}
									BgL_arg2111z00_1695 =
										(((BgL_globalzf2fromzf2_bglt) CREF(BgL_auxz00_4479))->
										BgL_fromz00);
								}
								BgL_auxz00_4478 =
									MAKE_PAIR(BgL_ownerz00_1690, BgL_arg2111z00_1695);
							}
							{
								obj_t BgL_auxz00_4473;

								{	/* Effect/cgraph.scm 224 */
									BgL_objectz00_bglt BgL_auxz00_4474;

									BgL_auxz00_4474 = ((BgL_objectz00_bglt) BgL_calleez00_1689);
									BgL_auxz00_4473 = BGL_OBJECT_WIDENING(BgL_auxz00_4474);
								}
								BgL_auxz00_4472 = ((BgL_globalzf2fromzf2_bglt) BgL_auxz00_4473);
							}
							return
								((((BgL_globalzf2fromzf2_bglt) CREF(BgL_auxz00_4472))->
									BgL_fromz00) = ((obj_t) BgL_auxz00_4478), BUNSPEC);
						}
				}
			}
		}
	}



/* &save-call!-global1973 */
	obj_t BGl_z62savezd2callz12zd2global1973z70zzeffect_cgraphz00(obj_t
		BgL_envz00_3031, BgL_globalz00_bglt BgL_calleez00_3032,
		obj_t BgL_ownerz00_3033)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 209 */
			{
				BgL_globalz00_bglt BgL_calleez00_1672;
				obj_t BgL_ownerz00_1673;

				BgL_calleez00_1672 = BgL_calleez00_3032;
				BgL_ownerz00_1673 = BgL_ownerz00_3033;
				{	/* Effect/cgraph.scm 210 */
					BgL_valuez00_bglt BgL_funz00_1676;

					BgL_funz00_1676 =
						(((BgL_variablez00_bglt) CREF(
								((BgL_variablez00_bglt) BgL_calleez00_1672)))->BgL_valuez00);
					{	/* Effect/cgraph.scm 211 */
						bool_t BgL_testz00_4490;

						{	/* Effect/cgraph.scm 211 */
							bool_t BgL_testz00_4491;

							{	/* Effect/cgraph.scm 211 */
								bool_t BgL_res2220z00_2693;

								{	/* Effect/cgraph.scm 211 */
									obj_t BgL_objz00_2692;

									BgL_objz00_2692 = ((obj_t) BgL_funz00_1676);
									BgL_res2220z00_2693 =
										BGl_isazf3zf3zz__objectz00(BgL_objz00_2692,
										BGl_cfunz00zzast_varz00);
								}
								BgL_testz00_4491 = BgL_res2220z00_2693;
							}
							if (BgL_testz00_4491)
								{	/* Effect/cgraph.scm 211 */
									BgL_testz00_4490 = ((bool_t) 1);
								}
							else
								{	/* Effect/cgraph.scm 212 */
									bool_t BgL_testz00_4494;

									{	/* Effect/cgraph.scm 212 */
										bool_t BgL_res2221z00_2695;

										{	/* Effect/cgraph.scm 212 */
											obj_t BgL_objz00_2694;

											BgL_objz00_2694 = ((obj_t) BgL_funz00_1676);
											BgL_res2221z00_2695 =
												BGl_isazf3zf3zz__objectz00(BgL_objz00_2694,
												BGl_sfunz00zzast_varz00);
										}
										BgL_testz00_4494 = BgL_res2221z00_2695;
									}
									if (BgL_testz00_4494)
										{	/* Effect/cgraph.scm 212 */
											BgL_testz00_4490 =
												(
												(((BgL_globalz00_bglt) CREF(BgL_calleez00_1672))->
													BgL_importz00) == CNST_TABLE_REF(((long) 9)));
										}
									else
										{	/* Effect/cgraph.scm 212 */
											BgL_testz00_4490 = ((bool_t) 0);
										}
								}
						}
						if (BgL_testz00_4490)
							{	/* Effect/cgraph.scm 211 */
								if (CBOOL(
										(((BgL_funz00_bglt) CREF(
													((BgL_funz00_bglt) BgL_funz00_1676)))->
											BgL_sidezd2effectzd2)))
									{	/* Effect/cgraph.scm 214 */
										return
											BGl_markzd2sidezd2effectz12z12zzeffect_cgraphz00(
											((BgL_variablez00_bglt) BgL_ownerz00_1673));
									}
								else
									{	/* Effect/cgraph.scm 214 */
										return BFALSE;
									}
							}
						else
							{	/* Effect/cgraph.scm 216 */
								BgL_globalz00_bglt BgL_arg2105z00_1679;

								{	/* Effect/cgraph.scm 216 */
									BgL_globalz00_bglt BgL_tmp1232z00_1681;
									BgL_globalzf2fromzf2_bglt BgL_wide1233z00_1682;

									BgL_tmp1232z00_1681 =
										((BgL_globalz00_bglt) BgL_calleez00_1672);
									BgL_wide1233z00_1682 =
										((BgL_globalzf2fromzf2_bglt) BREF(GC_MALLOC(sizeof(struct
													BgL_globalzf2fromzf2_bgl))));
									{	/* Effect/cgraph.scm 216 */
										obj_t BgL_auxz00_4510;
										BgL_objectz00_bglt BgL_auxz00_4508;

										BgL_auxz00_4510 = ((obj_t) BgL_wide1233z00_1682);
										BgL_auxz00_4508 =
											((BgL_objectz00_bglt) BgL_tmp1232z00_1681);
										BGL_OBJECT_WIDENING_SET(BgL_auxz00_4508, BgL_auxz00_4510);
									}
									{	/* Effect/cgraph.scm 216 */
										long BgL_arg2106z00_1683;

										{	/* Effect/cgraph.scm 216 */
											long BgL_res2222z00_2703;

											{	/* Effect/cgraph.scm 216 */
												obj_t BgL_classz00_2700;

												BgL_classz00_2700 =
													BGl_globalzf2fromzf2zzeffect_cgraphz00;
												{	/* Effect/cgraph.scm 216 */
													obj_t BgL_vectorz00_2701;
													int BgL_kz00_2702;

													BgL_vectorz00_2701 = BgL_classz00_2700;
													BgL_kz00_2702 = (int) (((long) 1));
													BgL_res2222z00_2703 =
														(long) CINT(VECTOR_REF(BgL_vectorz00_2701,
															BgL_kz00_2702));
											}}
											BgL_arg2106z00_1683 = BgL_res2222z00_2703;
										}
										{	/* Effect/cgraph.scm 216 */
											BgL_objectz00_bglt BgL_objz00_2704;

											BgL_objz00_2704 =
												((BgL_objectz00_bglt) BgL_tmp1232z00_1681);
											((BgL_globalz00_bglt)
												BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2704,
													BgL_arg2106z00_1683));
									}} BgL_tmp1232z00_1681;
								}
								{	/* Effect/cgraph.scm 216 */
									BgL_globalz00_bglt BgL_new1235z00_1684;

									BgL_new1235z00_1684 =
										((BgL_globalz00_bglt) BgL_calleez00_1672);
									{
										BgL_globalzf2fromzf2_bglt BgL_auxz00_4520;

										{
											obj_t BgL_auxz00_4521;

											{	/* Effect/cgraph.scm 216 */
												BgL_objectz00_bglt BgL_auxz00_4522;

												BgL_auxz00_4522 =
													((BgL_objectz00_bglt) BgL_new1235z00_1684);
												BgL_auxz00_4521 = BGL_OBJECT_WIDENING(BgL_auxz00_4522);
											}
											BgL_auxz00_4520 =
												((BgL_globalzf2fromzf2_bglt) BgL_auxz00_4521);
										}
										((((BgL_globalzf2fromzf2_bglt) CREF(BgL_auxz00_4520))->
												BgL_fromz00) = ((obj_t) BNIL), BUNSPEC);
									}
									BgL_arg2105z00_1679 = BgL_new1235z00_1684;
								}
								return
									BGl_savezd2callz12zc0zzeffect_cgraphz00(
									((BgL_variablez00_bglt) BgL_arg2105z00_1679),
									((BgL_variablez00_bglt) BgL_ownerz00_1673));
							}
					}
				}
			}
		}
	}



/* &call-graph!-box-set!1969 */
	obj_t BGl_z62callzd2graphz12zd2boxzd2setz121969zb0zzeffect_cgraphz00(obj_t
		BgL_envz00_3034, BgL_boxzd2setz12zc0_bglt BgL_nodez00_3035,
		obj_t BgL_ownerz00_3036)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 188 */
			{
				BgL_boxzd2setz12zc0_bglt BgL_nodez00_1660;
				obj_t BgL_ownerz00_1661;

				BgL_nodez00_1660 = BgL_nodez00_3035;
				BgL_ownerz00_1661 = BgL_ownerz00_3036;
				{	/* Effect/cgraph.scm 190 */
					bool_t BgL_testz00_4530;

					if (BGl_isazf3zf3zz__objectz00(BgL_ownerz00_1661,
							BGl_localz00zzast_varz00))
						{	/* Effect/cgraph.scm 190 */
							BgL_testz00_4530 = ((bool_t) 1);
						}
					else
						{	/* Effect/cgraph.scm 190 */
							BgL_variablez00_bglt BgL_arg2099z00_1667;

							BgL_arg2099z00_1667 =
								(((BgL_varz00_bglt) CREF(
										(((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nodez00_1660))->
											BgL_varz00)))->BgL_variablez00);
							{	/* Effect/cgraph.scm 190 */
								bool_t BgL_res2218z00_2688;

								{	/* Effect/cgraph.scm 190 */
									obj_t BgL_objz00_2687;

									BgL_objz00_2687 = ((obj_t) BgL_arg2099z00_1667);
									BgL_res2218z00_2688 =
										BGl_isazf3zf3zz__objectz00(BgL_objz00_2687,
										BGl_globalz00zzast_varz00);
								}
								BgL_testz00_4530 = BgL_res2218z00_2688;
							}
						}
					if (BgL_testz00_4530)
						{	/* Effect/cgraph.scm 190 */
							BGl_markzd2sidezd2effectz12z12zzeffect_cgraphz00(
								((BgL_variablez00_bglt) BgL_ownerz00_1661));
						}
					else
						{	/* Effect/cgraph.scm 190 */
							BFALSE;
						}
				}
				{	/* Effect/cgraph.scm 192 */
					BgL_varz00_bglt BgL_arg2101z00_1669;

					BgL_arg2101z00_1669 =
						(((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nodez00_1660))->BgL_varz00);
					BGl_callzd2graphz12zc0zzeffect_cgraphz00(
						((BgL_nodez00_bglt) BgL_arg2101z00_1669),
						((BgL_variablez00_bglt) BgL_ownerz00_1661));
				}
				{	/* Effect/cgraph.scm 193 */
					BgL_nodez00_bglt BgL_arg2102z00_1670;

					BgL_arg2102z00_1670 =
						(((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nodez00_1660))->BgL_valuez00);
					return
						BGl_callzd2graphz12zc0zzeffect_cgraphz00(BgL_arg2102z00_1670,
						((BgL_variablez00_bglt) BgL_ownerz00_1661));
				}
			}
		}
	}



/* &call-graph!-box-ref1967 */
	obj_t BGl_z62callzd2graphz12zd2boxzd2ref1967za2zzeffect_cgraphz00(obj_t
		BgL_envz00_3037, BgL_boxzd2refzd2_bglt BgL_nodez00_3038,
		obj_t BgL_ownerz00_3039)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 180 */
			{
				BgL_boxzd2refzd2_bglt BgL_nodez00_1654;
				obj_t BgL_ownerz00_1655;

				BgL_nodez00_1654 = BgL_nodez00_3038;
				BgL_ownerz00_1655 = BgL_ownerz00_3039;
				{	/* Effect/cgraph.scm 181 */
					BgL_varz00_bglt BgL_arg2096z00_2678;

					BgL_arg2096z00_2678 =
						(((BgL_boxzd2refzd2_bglt) CREF(BgL_nodez00_1654))->BgL_varz00);
					return
						BGl_callzd2graphz12zc0zzeffect_cgraphz00(
						((BgL_nodez00_bglt) BgL_arg2096z00_2678),
						((BgL_variablez00_bglt) BgL_ownerz00_1655));
				}
			}
		}
	}



/* &call-graph!-make-box1965 */
	obj_t BGl_z62callzd2graphz12zd2makezd2box1965za2zzeffect_cgraphz00(obj_t
		BgL_envz00_3040, BgL_makezd2boxzd2_bglt BgL_nodez00_3041,
		obj_t BgL_ownerz00_3042)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 174 */
			{
				BgL_makezd2boxzd2_bglt BgL_nodez00_1648;
				obj_t BgL_ownerz00_1649;

				BgL_nodez00_1648 = BgL_nodez00_3041;
				BgL_ownerz00_1649 = BgL_ownerz00_3042;
				{	/* Effect/cgraph.scm 175 */
					BgL_nodez00_bglt BgL_arg2095z00_2674;

					BgL_arg2095z00_2674 =
						(((BgL_makezd2boxzd2_bglt) CREF(BgL_nodez00_1648))->BgL_valuez00);
					return
						BGl_callzd2graphz12zc0zzeffect_cgraphz00(BgL_arg2095z00_2674,
						((BgL_variablez00_bglt) BgL_ownerz00_1649));
				}
			}
		}
	}



/* &call-graph!-jump-ex-1963 */
	obj_t BGl_z62callzd2graphz12zd2jumpzd2exzd21963z70zzeffect_cgraphz00(obj_t
		BgL_envz00_3043, BgL_jumpzd2exzd2itz00_bglt BgL_nodez00_3044,
		obj_t BgL_ownerz00_3045)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 165 */
			{
				BgL_jumpzd2exzd2itz00_bglt BgL_nodez00_1640;
				obj_t BgL_ownerz00_1641;

				BgL_nodez00_1640 = BgL_nodez00_3044;
				BgL_ownerz00_1641 = BgL_ownerz00_3045;
				BGl_markzd2sidezd2effectz12z12zzeffect_cgraphz00(
					((BgL_variablez00_bglt) BgL_ownerz00_1641));
				{	/* Effect/cgraph.scm 168 */
					BgL_nodez00_bglt BgL_arg2093z00_1645;

					BgL_arg2093z00_1645 =
						(((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_1640))->
						BgL_exitz00);
					BGl_callzd2graphz12zc0zzeffect_cgraphz00(BgL_arg2093z00_1645,
						((BgL_variablez00_bglt) BgL_ownerz00_1641));
				}
				{	/* Effect/cgraph.scm 169 */
					BgL_nodez00_bglt BgL_arg2094z00_1646;

					BgL_arg2094z00_1646 =
						(((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_1640))->
						BgL_valuez00);
					return BGl_callzd2graphz12zc0zzeffect_cgraphz00(BgL_arg2094z00_1646,
						((BgL_variablez00_bglt) BgL_ownerz00_1641));
				}
			}
		}
	}



/* &call-graph!-set-ex-i1961 */
	obj_t BGl_z62callzd2graphz12zd2setzd2exzd2i1961z70zzeffect_cgraphz00(obj_t
		BgL_envz00_3046, BgL_setzd2exzd2itz00_bglt BgL_nodez00_3047,
		obj_t BgL_ownerz00_3048)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 157 */
			{
				BgL_setzd2exzd2itz00_bglt BgL_nodez00_1633;
				obj_t BgL_ownerz00_1634;

				BgL_nodez00_1633 = BgL_nodez00_3047;
				BgL_ownerz00_1634 = BgL_ownerz00_3048;
				BGl_markzd2sidezd2effectz12z12zzeffect_cgraphz00(
					((BgL_variablez00_bglt) BgL_ownerz00_1634));
				{	/* Effect/cgraph.scm 160 */
					BgL_nodez00_bglt BgL_arg2092z00_2670;

					BgL_arg2092z00_2670 =
						(((BgL_setzd2exzd2itz00_bglt) CREF(BgL_nodez00_1633))->BgL_bodyz00);
					return
						BGl_callzd2graphz12zc0zzeffect_cgraphz00(BgL_arg2092z00_2670,
						((BgL_variablez00_bglt) BgL_ownerz00_1634));
				}
			}
		}
	}



/* &call-graph!-let-var1959 */
	obj_t BGl_z62callzd2graphz12zd2letzd2var1959za2zzeffect_cgraphz00(obj_t
		BgL_envz00_3049, BgL_letzd2varzd2_bglt BgL_nodez00_3050,
		obj_t BgL_ownerz00_3051)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 147 */
			{
				BgL_letzd2varzd2_bglt BgL_nodez00_1617;
				obj_t BgL_ownerz00_1618;

				{	/* Effect/cgraph.scm 148 */
					bool_t BgL_auxz00_4566;

					BgL_nodez00_1617 = BgL_nodez00_3050;
					BgL_ownerz00_1618 = BgL_ownerz00_3051;
					{	/* Effect/cgraph.scm 149 */
						BgL_nodez00_bglt BgL_arg2087z00_1622;

						BgL_arg2087z00_1622 =
							(((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_1617))->BgL_bodyz00);
						BGl_callzd2graphz12zc0zzeffect_cgraphz00(BgL_arg2087z00_1622,
							((BgL_variablez00_bglt) BgL_ownerz00_1618));
					}
					{	/* Effect/cgraph.scm 150 */
						obj_t BgL_g1926z00_1623;

						BgL_g1926z00_1623 =
							(((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_1617))->
							BgL_bindingsz00);
						{
							obj_t BgL_l1924z00_1625;

							BgL_l1924z00_1625 = BgL_g1926z00_1623;
						BgL_zc3anonymousza32088ze3z83_1626:
							if (PAIRP(BgL_l1924z00_1625))
								{	/* Effect/cgraph.scm 150 */
									{	/* Effect/cgraph.scm 151 */
										obj_t BgL_bindingz00_1628;

										BgL_bindingz00_1628 = CAR(BgL_l1924z00_1625);
										{	/* Effect/cgraph.scm 151 */
											obj_t BgL_arg2090z00_1629;

											BgL_arg2090z00_1629 = CDR(BgL_bindingz00_1628);
											BGl_callzd2graphz12zc0zzeffect_cgraphz00(
												((BgL_nodez00_bglt) BgL_arg2090z00_1629),
												((BgL_variablez00_bglt) BgL_ownerz00_1618));
										}
									}
									{
										obj_t BgL_l1924z00_4578;

										BgL_l1924z00_4578 = CDR(BgL_l1924z00_1625);
										BgL_l1924z00_1625 = BgL_l1924z00_4578;
										goto BgL_zc3anonymousza32088ze3z83_1626;
									}
								}
							else
								{	/* Effect/cgraph.scm 150 */
									BgL_auxz00_4566 = ((bool_t) 1);
								}
						}
					}
					return BBOOL(BgL_auxz00_4566);
				}
			}
		}
	}



/* &call-graph!-let-fun1957 */
	obj_t BGl_z62callzd2graphz12zd2letzd2fun1957za2zzeffect_cgraphz00(obj_t
		BgL_envz00_3052, BgL_letzd2funzd2_bglt BgL_nodez00_3053,
		obj_t BgL_ownerz00_3054)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 137 */
			{
				BgL_letzd2funzd2_bglt BgL_nodez00_1602;
				obj_t BgL_ownerz00_1603;

				BgL_nodez00_1602 = BgL_nodez00_3053;
				BgL_ownerz00_1603 = BgL_ownerz00_3054;
				{	/* Effect/cgraph.scm 139 */
					obj_t BgL_g1923z00_1607;

					BgL_g1923z00_1607 =
						(((BgL_letzd2funzd2_bglt) CREF(BgL_nodez00_1602))->BgL_localsz00);
					{
						obj_t BgL_l1921z00_1609;

						BgL_l1921z00_1609 = BgL_g1923z00_1607;
					BgL_zc3anonymousza32081ze3z83_1610:
						if (PAIRP(BgL_l1921z00_1609))
							{	/* Effect/cgraph.scm 139 */
								{	/* Effect/cgraph.scm 140 */
									obj_t BgL_localz00_1612;

									BgL_localz00_1612 = CAR(BgL_l1921z00_1609);
									BGl_funzd2callzd2graphz12z12zzeffect_cgraphz00(
										((BgL_variablez00_bglt) BgL_localz00_1612));
								}
								{
									obj_t BgL_l1921z00_4587;

									BgL_l1921z00_4587 = CDR(BgL_l1921z00_1609);
									BgL_l1921z00_1609 = BgL_l1921z00_4587;
									goto BgL_zc3anonymousza32081ze3z83_1610;
								}
							}
						else
							{	/* Effect/cgraph.scm 139 */
								((bool_t) 1);
							}
					}
				}
				{	/* Effect/cgraph.scm 142 */
					BgL_nodez00_bglt BgL_arg2086z00_1615;

					BgL_arg2086z00_1615 =
						(((BgL_letzd2funzd2_bglt) CREF(BgL_nodez00_1602))->BgL_bodyz00);
					return
						BGl_callzd2graphz12zc0zzeffect_cgraphz00(BgL_arg2086z00_1615,
						((BgL_variablez00_bglt) BgL_ownerz00_1603));
				}
			}
		}
	}



/* &call-graph!-select1954 */
	obj_t BGl_z62callzd2graphz12zd2select1954z70zzeffect_cgraphz00(obj_t
		BgL_envz00_3055, BgL_selectz00_bglt BgL_nodez00_3056,
		obj_t BgL_ownerz00_3057)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 127 */
			{
				BgL_selectz00_bglt BgL_nodez00_1586;
				obj_t BgL_ownerz00_1587;

				{	/* Effect/cgraph.scm 128 */
					bool_t BgL_auxz00_4592;

					BgL_nodez00_1586 = BgL_nodez00_3056;
					BgL_ownerz00_1587 = BgL_ownerz00_3057;
					{	/* Effect/cgraph.scm 129 */
						BgL_nodez00_bglt BgL_arg2075z00_1591;

						BgL_arg2075z00_1591 =
							(((BgL_selectz00_bglt) CREF(BgL_nodez00_1586))->BgL_testz00);
						BGl_callzd2graphz12zc0zzeffect_cgraphz00(BgL_arg2075z00_1591,
							((BgL_variablez00_bglt) BgL_ownerz00_1587));
					}
					{	/* Effect/cgraph.scm 130 */
						obj_t BgL_g1920z00_1592;

						BgL_g1920z00_1592 =
							(((BgL_selectz00_bglt) CREF(BgL_nodez00_1586))->BgL_clausesz00);
						{
							obj_t BgL_l1879z00_1594;

							BgL_l1879z00_1594 = BgL_g1920z00_1592;
						BgL_zc3anonymousza32076ze3z83_1595:
							if (PAIRP(BgL_l1879z00_1594))
								{	/* Effect/cgraph.scm 130 */
									{	/* Effect/cgraph.scm 131 */
										obj_t BgL_clausez00_1597;

										BgL_clausez00_1597 = CAR(BgL_l1879z00_1594);
										{	/* Effect/cgraph.scm 131 */
											obj_t BgL_arg2078z00_1598;

											BgL_arg2078z00_1598 = CDR(BgL_clausez00_1597);
											BGl_callzd2graphz12zc0zzeffect_cgraphz00(
												((BgL_nodez00_bglt) BgL_arg2078z00_1598),
												((BgL_variablez00_bglt) BgL_ownerz00_1587));
										}
									}
									{
										obj_t BgL_l1879z00_4604;

										BgL_l1879z00_4604 = CDR(BgL_l1879z00_1594);
										BgL_l1879z00_1594 = BgL_l1879z00_4604;
										goto BgL_zc3anonymousza32076ze3z83_1595;
									}
								}
							else
								{	/* Effect/cgraph.scm 130 */
									BgL_auxz00_4592 = ((bool_t) 1);
								}
						}
					}
					return BBOOL(BgL_auxz00_4592);
				}
			}
		}
	}



/* &call-graph!-fail1952 */
	obj_t BGl_z62callzd2graphz12zd2fail1952z70zzeffect_cgraphz00(obj_t
		BgL_envz00_3058, BgL_failz00_bglt BgL_nodez00_3059, obj_t BgL_ownerz00_3060)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 117 */
			{
				BgL_failz00_bglt BgL_nodez00_1577;
				obj_t BgL_ownerz00_1578;

				BgL_nodez00_1577 = BgL_nodez00_3059;
				BgL_ownerz00_1578 = BgL_ownerz00_3060;
				BGl_markzd2sidezd2effectz12z12zzeffect_cgraphz00(
					((BgL_variablez00_bglt) BgL_ownerz00_1578));
				{	/* Effect/cgraph.scm 120 */
					BgL_nodez00_bglt BgL_arg2071z00_1582;

					BgL_arg2071z00_1582 =
						(((BgL_failz00_bglt) CREF(BgL_nodez00_1577))->BgL_procz00);
					BGl_callzd2graphz12zc0zzeffect_cgraphz00(BgL_arg2071z00_1582,
						((BgL_variablez00_bglt) BgL_ownerz00_1578));
				}
				{	/* Effect/cgraph.scm 121 */
					BgL_nodez00_bglt BgL_arg2073z00_1583;

					BgL_arg2073z00_1583 =
						(((BgL_failz00_bglt) CREF(BgL_nodez00_1577))->BgL_msgz00);
					BGl_callzd2graphz12zc0zzeffect_cgraphz00(BgL_arg2073z00_1583,
						((BgL_variablez00_bglt) BgL_ownerz00_1578));
				}
				{	/* Effect/cgraph.scm 122 */
					BgL_nodez00_bglt BgL_arg2074z00_1584;

					BgL_arg2074z00_1584 =
						(((BgL_failz00_bglt) CREF(BgL_nodez00_1577))->BgL_objz00);
					return
						BGl_callzd2graphz12zc0zzeffect_cgraphz00(BgL_arg2074z00_1584,
						((BgL_variablez00_bglt) BgL_ownerz00_1578));
				}
			}
		}
	}



/* &call-graph!-conditio1950 */
	obj_t BGl_z62callzd2graphz12zd2conditio1950z70zzeffect_cgraphz00(obj_t
		BgL_envz00_3061, BgL_conditionalz00_bglt BgL_nodez00_3062,
		obj_t BgL_ownerz00_3063)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 108 */
			{
				BgL_conditionalz00_bglt BgL_nodez00_1568;
				obj_t BgL_ownerz00_1569;

				BgL_nodez00_1568 = BgL_nodez00_3062;
				BgL_ownerz00_1569 = BgL_ownerz00_3063;
				{	/* Effect/cgraph.scm 110 */
					BgL_nodez00_bglt BgL_arg2068z00_1573;

					BgL_arg2068z00_1573 =
						(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1568))->BgL_testz00);
					BGl_callzd2graphz12zc0zzeffect_cgraphz00(BgL_arg2068z00_1573,
						((BgL_variablez00_bglt) BgL_ownerz00_1569));
				}
				{	/* Effect/cgraph.scm 111 */
					BgL_nodez00_bglt BgL_arg2069z00_1574;

					BgL_arg2069z00_1574 =
						(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1568))->BgL_truez00);
					BGl_callzd2graphz12zc0zzeffect_cgraphz00(BgL_arg2069z00_1574,
						((BgL_variablez00_bglt) BgL_ownerz00_1569));
				}
				{	/* Effect/cgraph.scm 112 */
					BgL_nodez00_bglt BgL_arg2070z00_1575;

					BgL_arg2070z00_1575 =
						(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1568))->BgL_falsez00);
					return
						BGl_callzd2graphz12zc0zzeffect_cgraphz00(BgL_arg2070z00_1575,
						((BgL_variablez00_bglt) BgL_ownerz00_1569));
				}
			}
		}
	}



/* &call-graph!-setq1948 */
	obj_t BGl_z62callzd2graphz12zd2setq1948z70zzeffect_cgraphz00(obj_t
		BgL_envz00_3064, BgL_setqz00_bglt BgL_nodez00_3065, obj_t BgL_ownerz00_3066)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 98 */
			{
				BgL_setqz00_bglt BgL_nodez00_1556;
				obj_t BgL_ownerz00_1557;

				BgL_nodez00_1556 = BgL_nodez00_3065;
				BgL_ownerz00_1557 = BgL_ownerz00_3066;
				{	/* Effect/cgraph.scm 100 */
					bool_t BgL_testz00_4627;

					if (BGl_isazf3zf3zz__objectz00(BgL_ownerz00_1557,
							BGl_localz00zzast_varz00))
						{	/* Effect/cgraph.scm 100 */
							BgL_testz00_4627 = ((bool_t) 1);
						}
					else
						{	/* Effect/cgraph.scm 100 */
							BgL_variablez00_bglt BgL_arg2064z00_1563;

							BgL_arg2064z00_1563 =
								(((BgL_varz00_bglt) CREF(
										(((BgL_setqz00_bglt) CREF(BgL_nodez00_1556))->
											BgL_varz00)))->BgL_variablez00);
							{	/* Effect/cgraph.scm 100 */
								bool_t BgL_res2209z00_2655;

								{	/* Effect/cgraph.scm 100 */
									obj_t BgL_objz00_2654;

									BgL_objz00_2654 = ((obj_t) BgL_arg2064z00_1563);
									BgL_res2209z00_2655 =
										BGl_isazf3zf3zz__objectz00(BgL_objz00_2654,
										BGl_globalz00zzast_varz00);
								}
								BgL_testz00_4627 = BgL_res2209z00_2655;
							}
						}
					if (BgL_testz00_4627)
						{	/* Effect/cgraph.scm 100 */
							BGl_markzd2sidezd2effectz12z12zzeffect_cgraphz00(
								((BgL_variablez00_bglt) BgL_ownerz00_1557));
						}
					else
						{	/* Effect/cgraph.scm 100 */
							BFALSE;
						}
				}
				{	/* Effect/cgraph.scm 102 */
					BgL_varz00_bglt BgL_arg2066z00_1565;

					BgL_arg2066z00_1565 =
						(((BgL_setqz00_bglt) CREF(BgL_nodez00_1556))->BgL_varz00);
					BGl_callzd2graphz12zc0zzeffect_cgraphz00(
						((BgL_nodez00_bglt) BgL_arg2066z00_1565),
						((BgL_variablez00_bglt) BgL_ownerz00_1557));
				}
				{	/* Effect/cgraph.scm 103 */
					BgL_nodez00_bglt BgL_arg2067z00_1566;

					BgL_arg2067z00_1566 =
						(((BgL_setqz00_bglt) CREF(BgL_nodez00_1556))->BgL_valuez00);
					return
						BGl_callzd2graphz12zc0zzeffect_cgraphz00(BgL_arg2067z00_1566,
						((BgL_variablez00_bglt) BgL_ownerz00_1557));
				}
			}
		}
	}



/* &call-graph!-cast1946 */
	obj_t BGl_z62callzd2graphz12zd2cast1946z70zzeffect_cgraphz00(obj_t
		BgL_envz00_3067, BgL_castz00_bglt BgL_nodez00_3068, obj_t BgL_ownerz00_3069)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 87 */
			{
				BgL_castz00_bglt BgL_nodez00_1549;
				obj_t BgL_ownerz00_1550;

				BgL_nodez00_1549 = BgL_nodez00_3068;
				BgL_ownerz00_1550 = BgL_ownerz00_3069;
				{	/* Effect/cgraph.scm 88 */
					BgL_nodez00_bglt BgL_arg2061z00_2648;

					BgL_arg2061z00_2648 =
						(((BgL_castz00_bglt) CREF(BgL_nodez00_1549))->BgL_argz00);
					return
						BGl_callzd2graphz12zc0zzeffect_cgraphz00(BgL_arg2061z00_2648,
						((BgL_variablez00_bglt) BgL_ownerz00_1550));
				}
			}
		}
	}



/* &call-graph!-extern1944 */
	obj_t BGl_z62callzd2graphz12zd2extern1944z70zzeffect_cgraphz00(obj_t
		BgL_envz00_3070, BgL_externz00_bglt BgL_nodez00_3071,
		obj_t BgL_ownerz00_3072)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 78 */
			{
				BgL_externz00_bglt BgL_nodez00_1541;
				obj_t BgL_ownerz00_1542;

				{	/* Effect/cgraph.scm 79 */
					bool_t BgL_auxz00_4646;

					BgL_nodez00_1541 = BgL_nodez00_3071;
					BgL_ownerz00_1542 = BgL_ownerz00_3072;
					if (CBOOL(
							(((BgL_nodezf2effectzf2_bglt) CREF(
										((BgL_nodezf2effectzf2_bglt) BgL_nodez00_1541)))->
								BgL_sidezd2effectzd2)))
						{	/* Effect/cgraph.scm 80 */
							BGl_markzd2sidezd2effectz12z12zzeffect_cgraphz00(
								((BgL_variablez00_bglt) BgL_ownerz00_1542));
						}
					else
						{	/* Effect/cgraph.scm 80 */
							BFALSE;
						}
					BgL_auxz00_4646 =
						BGl_callzd2graphza2z12z62zzeffect_cgraphz00(
						(((BgL_externz00_bglt) CREF(BgL_nodez00_1541))->BgL_exprza2za2),
						BgL_ownerz00_1542);
					return BBOOL(BgL_auxz00_4646);
				}
			}
		}
	}



/* &call-graph!-funcall1942 */
	obj_t BGl_z62callzd2graphz12zd2funcall1942z70zzeffect_cgraphz00(obj_t
		BgL_envz00_3073, BgL_funcallz00_bglt BgL_nodez00_3074,
		obj_t BgL_ownerz00_3075)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 69 */
			{
				BgL_funcallz00_bglt BgL_nodez00_1533;
				obj_t BgL_ownerz00_1534;

				{	/* Effect/cgraph.scm 70 */
					bool_t BgL_auxz00_4656;

					BgL_nodez00_1533 = BgL_nodez00_3074;
					BgL_ownerz00_1534 = BgL_ownerz00_3075;
					BGl_markzd2sidezd2effectz12z12zzeffect_cgraphz00(
						((BgL_variablez00_bglt) BgL_ownerz00_1534));
					{	/* Effect/cgraph.scm 72 */
						BgL_nodez00_bglt BgL_arg2057z00_1538;

						BgL_arg2057z00_1538 =
							(((BgL_funcallz00_bglt) CREF(BgL_nodez00_1533))->BgL_funz00);
						BGl_callzd2graphz12zc0zzeffect_cgraphz00(BgL_arg2057z00_1538,
							((BgL_variablez00_bglt) BgL_ownerz00_1534));
					}
					BgL_auxz00_4656 =
						BGl_callzd2graphza2z12z62zzeffect_cgraphz00(
						(((BgL_funcallz00_bglt) CREF(BgL_nodez00_1533))->BgL_argsz00),
						BgL_ownerz00_1534);
					return BBOOL(BgL_auxz00_4656);
				}
			}
		}
	}



/* &call-graph!-app-ly1940 */
	obj_t BGl_z62callzd2graphz12zd2appzd2ly1940za2zzeffect_cgraphz00(obj_t
		BgL_envz00_3076, BgL_appzd2lyzd2_bglt BgL_nodez00_3077,
		obj_t BgL_ownerz00_3078)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 60 */
			{
				BgL_appzd2lyzd2_bglt BgL_nodez00_1525;
				obj_t BgL_ownerz00_1526;

				BgL_nodez00_1525 = BgL_nodez00_3077;
				BgL_ownerz00_1526 = BgL_ownerz00_3078;
				BGl_markzd2sidezd2effectz12z12zzeffect_cgraphz00(
					((BgL_variablez00_bglt) BgL_ownerz00_1526));
				{	/* Effect/cgraph.scm 63 */
					BgL_nodez00_bglt BgL_arg2055z00_1530;

					BgL_arg2055z00_1530 =
						(((BgL_appzd2lyzd2_bglt) CREF(BgL_nodez00_1525))->BgL_funz00);
					BGl_callzd2graphz12zc0zzeffect_cgraphz00(BgL_arg2055z00_1530,
						((BgL_variablez00_bglt) BgL_ownerz00_1526));
				}
				{	/* Effect/cgraph.scm 64 */
					BgL_nodez00_bglt BgL_arg2056z00_1531;

					BgL_arg2056z00_1531 =
						(((BgL_appzd2lyzd2_bglt) CREF(BgL_nodez00_1525))->BgL_argz00);
					return
						BGl_callzd2graphz12zc0zzeffect_cgraphz00(BgL_arg2056z00_1531,
						((BgL_variablez00_bglt) BgL_ownerz00_1526));
				}
			}
		}
	}



/* &call-graph!-app1938 */
	obj_t BGl_z62callzd2graphz12zd2app1938z70zzeffect_cgraphz00(obj_t
		BgL_envz00_3079, BgL_appz00_bglt BgL_nodez00_3080, obj_t BgL_ownerz00_3081)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 50 */
			{
				BgL_appz00_bglt BgL_nodez00_1516;
				obj_t BgL_ownerz00_1517;

				{	/* Effect/cgraph.scm 51 */
					bool_t BgL_auxz00_4673;

					BgL_nodez00_1516 = BgL_nodez00_3080;
					BgL_ownerz00_1517 = BgL_ownerz00_3081;
					{	/* Effect/cgraph.scm 54 */
						BgL_variablez00_bglt BgL_arg2051z00_1521;

						BgL_arg2051z00_1521 =
							(((BgL_varz00_bglt) CREF(
									(((BgL_appz00_bglt) CREF(BgL_nodez00_1516))->BgL_funz00)))->
							BgL_variablez00);
						BGl_savezd2callz12zc0zzeffect_cgraphz00(BgL_arg2051z00_1521,
							((BgL_variablez00_bglt) BgL_ownerz00_1517));
					}
					BgL_auxz00_4673 =
						BGl_callzd2graphza2z12z62zzeffect_cgraphz00(
						(((BgL_appz00_bglt) CREF(BgL_nodez00_1516))->BgL_argsz00),
						BgL_ownerz00_1517);
					return BBOOL(BgL_auxz00_4673);
				}
			}
		}
	}



/* &call-graph!-sequence1936 */
	obj_t BGl_z62callzd2graphz12zd2sequence1936z70zzeffect_cgraphz00(obj_t
		BgL_envz00_3082, BgL_sequencez00_bglt BgL_nodez00_3083,
		obj_t BgL_ownerz00_3084)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 44 */
			{
				BgL_sequencez00_bglt BgL_nodez00_1510;
				obj_t BgL_ownerz00_1511;

				{	/* Effect/cgraph.scm 45 */
					bool_t BgL_auxz00_4681;

					BgL_nodez00_1510 = BgL_nodez00_3083;
					BgL_ownerz00_1511 = BgL_ownerz00_3084;
					BgL_auxz00_4681 =
						BGl_callzd2graphza2z12z62zzeffect_cgraphz00(
						(((BgL_sequencez00_bglt) CREF(BgL_nodez00_1510))->BgL_nodesz00),
						BgL_ownerz00_1511);
					return BBOOL(BgL_auxz00_4681);
				}
			}
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzeffect_cgraphz00()
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 15 */
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string2265z00zzeffect_cgraphz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string2265z00zzeffect_cgraphz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 353660849),
				BSTRING_TO_STRING(BGl_string2265z00zzeffect_cgraphz00));
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 311980),
				BSTRING_TO_STRING(BGl_string2265z00zzeffect_cgraphz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string2265z00zzeffect_cgraphz00));
			return
				BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string2265z00zzeffect_cgraphz00));
		}
	}

#ifdef __cplusplus
}
#endif
