/*===========================================================================*/
/*   (Inline/inline.scm)                                                     */
/*   Bigloo (3.8a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Thu Mar 29 06:52:41 CEST 2012       */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/3.8a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Inline/inline.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_atomz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}              *BgL_atomz00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_kwotez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}               *BgL_kwotez00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_selectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_selectz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_isfunz00_bgl
	{
		struct BgL_nodez00_bgl *BgL_originalzd2bodyzd2;
		obj_t BgL_recursivezd2callszd2;
	}               *BgL_isfunz00_bglt;


	BGL_EXPORTED_DECL obj_t BGl_inlinezd2nodeza2z12z62zzinline_inlinez00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_sfunz00_bglt BGl_makezd2isfunzd2zzinline_inlinez00(long,
		obj_t, obj_t, obj_t, bool_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, BgL_nodez00_bglt, obj_t);
	static obj_t BGl_z62isfunzd2effectzd2setz12z70zzinline_inlinez00(obj_t, obj_t,
		obj_t);
	static BgL_nodez00_bglt
		BGl_z62inlinezd2nodezd2kwote1936z62zzinline_inlinez00(obj_t,
		BgL_kwotez00_bglt, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_isfunzd2argszd2namez00zzinline_inlinez00(BgL_sfunz00_bglt);
	static BgL_nodez00_bglt
		BGl_z62inlinezd2nodezd2letzd2var1961zb0zzinline_inlinez00(obj_t,
		BgL_letzd2varzd2_bglt, obj_t, obj_t);
	static BgL_sfunz00_bglt BGl_z62makezd2isfunzb0zzinline_inlinez00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62isfunzd2classzd2setz12z70zzinline_inlinez00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_sfunz00zzast_varz00;
	BGL_EXPORTED_DECL obj_t
		BGl_isfunzd2predicatezd2ofz00zzinline_inlinez00(BgL_sfunz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_isfunzd2classzd2zzinline_inlinez00(BgL_sfunz00_bglt);
	extern obj_t BGl_sequencez00zzast_nodez00;
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_inlinezd2nodezd2zzinline_inlinez00(BgL_nodez00_bglt, long, obj_t);
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	extern obj_t BGl_failz00zzast_nodez00;
	BGL_EXPORTED_DECL obj_t
		BGl_isfunzd2strengthzd2zzinline_inlinez00(BgL_sfunz00_bglt);
	static BgL_nodez00_bglt
		BGl_z62inlinezd2nodezd2atom1932z62zzinline_inlinez00(obj_t,
		BgL_atomz00_bglt, obj_t, obj_t);
	static obj_t BGl_objectzd2initzd2zzinline_inlinez00();
	static BgL_sfunz00_bglt BGl_z62lambda1997z62zzinline_inlinez00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	BGL_EXPORTED_DECL obj_t
		BGl_isfunzd2effectzd2zzinline_inlinez00(BgL_sfunz00_bglt);
	BGL_IMPORT bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
	static obj_t BGl_z62isfunzd2optionalszb0zzinline_inlinez00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzinline_inlinez00();
	extern obj_t BGl_externz00zzast_nodez00;
	static BgL_sfunz00_bglt BGl_z62isfunzd2nilzb0zzinline_inlinez00(obj_t);
	static BgL_nodez00_bglt
		BGl_z62inlinezd2nodezd2var1934z62zzinline_inlinez00(obj_t, BgL_varz00_bglt,
		obj_t, obj_t);
	static obj_t BGl_z62isfunzd2classzb0zzinline_inlinez00(obj_t, obj_t);
	static obj_t BGl_z62isfunzd2loczd2setz12z70zzinline_inlinez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62isfunzd2loczb0zzinline_inlinez00(obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62inlinezd2nodezb0zzinline_inlinez00(obj_t,
		obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_isfunzd2thezd2closurez00zzinline_inlinez00(BgL_sfunz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_isfunzd2predicatezd2ofzd2setz12zc0zzinline_inlinez00(BgL_sfunz00_bglt,
		obj_t);
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_sfunz00_bglt BGl_isfunzd2nilzd2zzinline_inlinez00();
	BGL_EXPORTED_DECL obj_t
		BGl_isfunzd2dssslzd2keywordszd2setz12zc0zzinline_inlinez00(BgL_sfunz00_bglt,
		obj_t);
	static obj_t
		BGl_z62isfunzd2recursivezd2callszd2setz12za2zzinline_inlinez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_isfunzd2loczd2zzinline_inlinez00(BgL_sfunz00_bglt);
	static obj_t BGl_z62isfunzd2topzf3zd2setz12z83zzinline_inlinez00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_appzd2lyzd2zzast_nodez00;
	static obj_t BGl_z62inlinezd2nodeza2z12z00zzinline_inlinez00(obj_t, obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_isfunzd2effectzd2setz12z12zzinline_inlinez00(BgL_sfunz00_bglt, obj_t);
	BGL_IMPORT long bgl_list_length(obj_t);
	BGL_IMPORT obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t,
		long, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62inlinezd2nodezd2fail1954z62zzinline_inlinez00(obj_t,
		BgL_failz00_bglt, obj_t, obj_t);
	static obj_t BGl_z62isfunzd2sidezd2effectz62zzinline_inlinez00(obj_t, obj_t);
	static obj_t BGl_z62isfunzd2effectzb0zzinline_inlinez00(obj_t, obj_t);
	static BgL_sfunz00_bglt
		BGl_z62zc3anonymousza32002ze3ze1zzinline_inlinez00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62inlinezd2nodezd2jumpzd2exzd21965z62zzinline_inlinez00(obj_t,
		BgL_jumpzd2exzd2itz00_bglt, obj_t, obj_t);
	static obj_t
		BGl_z62isfunzd2stackzd2allocatorzd2setz12za2zzinline_inlinez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62isfunzd2propertyzd2setz12z70zzinline_inlinez00(obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_classzd2nilzd2zz__objectz00(obj_t);
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62inlinezd2nodezd2sequence1938z62zzinline_inlinez00(obj_t,
		BgL_sequencez00_bglt, obj_t, obj_t);
	extern obj_t BGl_conditionalz00zzast_nodez00;
	BGL_EXPORTED_DECL obj_t
		BGl_isfunzd2classzd2setz12z12zzinline_inlinez00(BgL_sfunz00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_isfunzd2propertyzd2zzinline_inlinez00(BgL_sfunz00_bglt);
	extern obj_t BGl_selectz00zzast_nodez00;
	static obj_t BGl_z62isfunzd2bodyzd2setz12z70zzinline_inlinez00(obj_t, obj_t,
		obj_t);
	static obj_t
		BGl_z62isfunzd2predicatezd2ofzd2setz12za2zzinline_inlinez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62isfunzd2dssslzd2keywordsz62zzinline_inlinez00(obj_t,
		obj_t);
	static obj_t BGl_z62isfunzd2argszd2setz12z70zzinline_inlinez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL long
		BGl_isfunzd2arityzd2zzinline_inlinez00(BgL_sfunz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_isfunzd2dssslzd2keywordsz00zzinline_inlinez00(BgL_sfunz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_isfunzd2recursivezd2callsz00zzinline_inlinez00(BgL_sfunz00_bglt);
	static obj_t BGl_z62isfunzd2strengthzb0zzinline_inlinez00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62inlinezd2nodezd2funcall1944z62zzinline_inlinez00(obj_t,
		BgL_funcallz00_bglt, obj_t, obj_t);
	extern obj_t BGl_setqz00zzast_nodez00;
	extern obj_t BGl_za2optimza2z00zzengine_paramz00;
	BGL_EXPORTED_DECL obj_t
		BGl_isfunzd2propertyzd2setz12z12zzinline_inlinez00(BgL_sfunz00_bglt, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzinline_inlinez00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t
		BGl_inlinezd2sfunz12zc0zzinline_inlinez00(BgL_variablez00_bglt, long,
		obj_t);
	static obj_t BGl_z62isfunzd2argszd2namez62zzinline_inlinez00(obj_t, obj_t);
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	extern BgL_nodez00_bglt BGl_alphatiza7eza7zzast_alphatiza7eza7(obj_t, obj_t,
		obj_t, BgL_nodez00_bglt);
	static BgL_nodez00_bglt
		BGl_z62isfunzd2originalzd2bodyz62zzinline_inlinez00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_atomz00zzast_nodez00;
	BGL_EXPORTED_DECL obj_t
		BGl_isfunzd2thezd2closurezd2globalzd2zzinline_inlinez00(BgL_sfunz00_bglt);
	static obj_t BGl_toplevelzd2initzd2zzinline_inlinez00();
	static obj_t BGl_z62isfunzd2recursivezd2callsz62zzinline_inlinez00(obj_t,
		obj_t);
	static BgL_nodez00_bglt
		BGl_z62inlinezd2nodezd2boxzd2ref1969zb0zzinline_inlinez00(obj_t,
		BgL_boxzd2refzd2_bglt, obj_t, obj_t);
	extern obj_t BGl_za2nonzd2inlinedzd2callsza2z00zzinline_walkz00;
	static obj_t BGl_genericzd2initzd2zzinline_inlinez00();
	static obj_t BGl_z62isfunzf3z91zzinline_inlinez00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_makezd2classzd2fieldz00zz__objectz00(obj_t, obj_t, obj_t,
		bool_t, bool_t, obj_t, obj_t, obj_t);
	extern obj_t BGl_castz00zzast_nodez00;
	static obj_t BGl_z62isfunzd2arityzb0zzinline_inlinez00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62inlinezd2nodezd2select1957z62zzinline_inlinez00(obj_t,
		BgL_selectz00_bglt, obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62inlinezd2nodezd2appzd2ly1942zb0zzinline_inlinez00(obj_t,
		BgL_appzd2lyzd2_bglt, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_isfunzd2keyszd2zzinline_inlinez00(BgL_sfunz00_bglt);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_isfunzd2optionalszd2zzinline_inlinez00(BgL_sfunz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_isfunzd2sidezd2effectz00zzinline_inlinez00(BgL_sfunz00_bglt);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_isfunzd2originalzd2bodyz00zzinline_inlinez00(BgL_sfunz00_bglt);
	extern bool_t BGl_inlinezd2appzf3z21zzinline_appz00(BgL_variablez00_bglt,
		long, long, obj_t);
	static obj_t BGl_z62isfunzd2keyszb0zzinline_inlinez00(obj_t, obj_t);
	extern obj_t BGl_za2kfactorza2z00zzinline_walkz00;
	BGL_EXPORTED_DECL obj_t
		BGl_isfunzd2bodyzd2zzinline_inlinez00(BgL_sfunz00_bglt);
	static obj_t
		BGl_z62isfunzd2dssslzd2keywordszd2setz12za2zzinline_inlinez00(obj_t, obj_t,
		obj_t);
	static BgL_nodez00_bglt
		BGl_z62inlinezd2nodezd2extern1946z62zzinline_inlinez00(obj_t,
		BgL_externz00_bglt, obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_isfunzd2topzf3z21zzinline_inlinez00(BgL_sfunz00_bglt);
	static BgL_sfunz00_bglt BGl_z62lambda2000z62zzinline_inlinez00(obj_t, obj_t);
	extern obj_t BGl_varz00zzast_nodez00;
	static BgL_sfunz00_bglt BGl_z62lambda2003z62zzinline_inlinez00(obj_t, obj_t);
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	BGL_EXPORTED_DECL obj_t
		BGl_isfunzd2recursivezd2callszd2setz12zc0zzinline_inlinez00
		(BgL_sfunz00_bglt, obj_t);
	static obj_t BGl_z62isfunzd2bodyzb0zzinline_inlinez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2013z62zzinline_inlinez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2014z62zzinline_inlinez00(obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62lambda2019z62zzinline_inlinez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_isfunzd2thezd2closurezd2setz12zc0zzinline_inlinez00(BgL_sfunz00_bglt,
		obj_t);
	static obj_t
		BGl_z62isfunzd2thezd2closurezd2globalzd2setz12z70zzinline_inlinez00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_isfunz00zzinline_inlinez00 = BUNSPEC;
	static obj_t BGl_z62isfunzd2topzf3z43zzinline_inlinez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2020z62zzinline_inlinez00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_isfunzd2sidezd2effectzd2setz12zc0zzinline_inlinez00(BgL_sfunz00_bglt,
		obj_t);
	static obj_t BGl_z62inlinezd2sfunz12za2zzinline_inlinez00(obj_t, obj_t, obj_t,
		obj_t);
	static BgL_nodez00_bglt
		BGl_z62inlinezd2nodezd2app1940z62zzinline_inlinez00(obj_t, BgL_appz00_bglt,
		obj_t, obj_t);
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	BGL_EXPORTED_DECL obj_t
		BGl_isfunzd2loczd2setz12z12zzinline_inlinez00(BgL_sfunz00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzinline_inlinez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_alphatiza7eza7(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzinline_appz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzinline_walkz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	BGL_EXPORTED_DECL obj_t
		BGl_isfunzd2topzf3zd2setz12ze1zzinline_inlinez00(BgL_sfunz00_bglt, bool_t);
	BGL_EXPORTED_DECL obj_t
		BGl_isfunzd2argszd2zzinline_inlinez00(BgL_sfunz00_bglt);
	extern obj_t BGl_appz00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62inlinezd2nodezd2cast1948z62zzinline_inlinez00(obj_t,
		BgL_castz00_bglt, obj_t, obj_t);
	static obj_t BGl_z62isfunzd2strengthzd2setz12z70zzinline_inlinez00(obj_t,
		obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62inlinezd2nodezd2setzd2exzd2i1963z62zzinline_inlinez00(obj_t,
		BgL_setzd2exzd2itz00_bglt, obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62inlinezd2nodezd2conditio1952z62zzinline_inlinez00(obj_t,
		BgL_conditionalz00_bglt, obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62inlinezd2nodezd2makezd2box1967zb0zzinline_inlinez00(obj_t,
		BgL_makezd2boxzd2_bglt, obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62inlinezd2nodezd2boxzd2setz121971za2zzinline_inlinez00(obj_t,
		BgL_boxzd2setz12zc0_bglt, obj_t, obj_t);
	static obj_t BGl_z62isfunzd2argszb0zzinline_inlinez00(obj_t, obj_t);
	extern obj_t BGl_nodez00zzast_nodez00;
	extern obj_t BGl_kwotez00zzast_nodez00;
	extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62inlinezd2nodezd2setq1950z62zzinline_inlinez00(obj_t,
		BgL_setqz00_bglt, obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62inlinezd2nodezd2letzd2fun1959zb0zzinline_inlinez00(obj_t,
		BgL_letzd2funzd2_bglt, obj_t, obj_t);
	static obj_t BGl_cnstzd2initzd2zzinline_inlinez00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzinline_inlinez00();
	static obj_t BGl_z62isfunzd2predicatezd2ofz62zzinline_inlinez00(obj_t, obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zzinline_inlinez00();
	BGL_EXPORTED_DECL obj_t
		BGl_isfunzd2stackzd2allocatorzd2setz12zc0zzinline_inlinez00
		(BgL_sfunz00_bglt, obj_t);
	extern BgL_nodez00_bglt BGl_inlinezd2appzd2zzinline_appz00(BgL_appz00_bglt,
		long, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_isfunzd2stackzd2allocatorz00zzinline_inlinez00(BgL_sfunz00_bglt);
	static obj_t BGl_z62isfunzd2propertyzb0zzinline_inlinez00(obj_t, obj_t);
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	static obj_t BGl_z62isfunzd2thezd2closurezd2setz12za2zzinline_inlinez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62isfunzd2thezd2closurezd2globalzb0zzinline_inlinez00(obj_t,
		obj_t);
	static obj_t BGl_z62isfunzd2thezd2closurez62zzinline_inlinez00(obj_t, obj_t);
	static obj_t BGl_z62isfunzd2sidezd2effectzd2setz12za2zzinline_inlinez00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_isfunzd2thezd2closurezd2globalzd2setz12z12zzinline_inlinez00
		(BgL_sfunz00_bglt, obj_t);
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	BGL_EXPORTED_DECL obj_t
		BGl_isfunzd2strengthzd2setz12z12zzinline_inlinez00(BgL_sfunz00_bglt, obj_t);
	static obj_t BGl_z62isfunzd2stackzd2allocatorz62zzinline_inlinez00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL bool_t BGl_isfunzf3zf3zzinline_inlinez00(obj_t);
	static obj_t BGl_z62zc3anonymousza32015ze3ze1zzinline_inlinez00(obj_t);
	BGL_IMPORT obj_t BGl_classzd2superzd2zz__objectz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_isfunzd2bodyzd2setz12z12zzinline_inlinez00(BgL_sfunz00_bglt, obj_t);
	extern obj_t BGl_funcallz00zzast_nodez00;
	extern obj_t BGl_globalz00zzast_varz00;
	BGL_EXPORTED_DECL obj_t
		BGl_isfunzd2argszd2setz12z12zzinline_inlinez00(BgL_sfunz00_bglt, obj_t);
	static obj_t BGl_z62inlinezd2node1929zb0zzinline_inlinez00(obj_t,
		BgL_nodez00_bglt, obj_t, obj_t);
	static obj_t __cnst[10];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_isfunzd2keyszd2envz00zzinline_inlinez00,
		BgL_bgl_za762isfunza7d2keysza72239za7,
		BGl_z62isfunzd2keyszb0zzinline_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2200z00zzinline_inlinez00,
		BgL_bgl_za762za7c3anonymousza72240za7,
		BGl_z62zc3anonymousza32015ze3ze1zzinline_inlinez00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2201z00zzinline_inlinez00,
		BgL_bgl_za762lambda2014za7622241z00, BGl_z62lambda2014z62zzinline_inlinez00,
		0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2202z00zzinline_inlinez00,
		BgL_bgl_za762lambda2013za7622242z00, BGl_z62lambda2013z62zzinline_inlinez00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2203z00zzinline_inlinez00,
		BgL_bgl_za762lambda2020za7622243z00, BGl_z62lambda2020z62zzinline_inlinez00,
		0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2204z00zzinline_inlinez00,
		BgL_bgl_za762lambda2019za7622244z00, BGl_z62lambda2019z62zzinline_inlinez00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2205z00zzinline_inlinez00,
		BgL_bgl_za762lambda2003za7622245z00, BGl_z62lambda2003z62zzinline_inlinez00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2206z00zzinline_inlinez00,
		BgL_bgl_za762za7c3anonymousza72246za7,
		BGl_z62zc3anonymousza32002ze3ze1zzinline_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2207z00zzinline_inlinez00,
		BgL_bgl_za762lambda2000za7622247z00, BGl_z62lambda2000z62zzinline_inlinez00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2208z00zzinline_inlinez00,
		BgL_bgl_za762lambda1997za7622248z00, BGl_z62lambda1997z62zzinline_inlinez00,
		0L, BUNSPEC, 20);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2209z00zzinline_inlinez00,
		BgL_bgl_za762inlineza7d2node2249z00,
		BGl_z62inlinezd2node1929zb0zzinline_inlinez00, 0L, BUNSPEC, 3);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_isfunzd2argszd2setz12zd2envzc0zzinline_inlinez00,
		BgL_bgl_za762isfunza7d2argsza72250za7,
		BGl_z62isfunzd2argszd2setz12z70zzinline_inlinez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2212z00zzinline_inlinez00,
		BgL_bgl_za762inlineza7d2node2251z00,
		BGl_z62inlinezd2nodezd2atom1932z62zzinline_inlinez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2214z00zzinline_inlinez00,
		BgL_bgl_za762inlineza7d2node2252z00,
		BGl_z62inlinezd2nodezd2var1934z62zzinline_inlinez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2215z00zzinline_inlinez00,
		BgL_bgl_za762inlineza7d2node2253z00,
		BGl_z62inlinezd2nodezd2kwote1936z62zzinline_inlinez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2216z00zzinline_inlinez00,
		BgL_bgl_za762inlineza7d2node2254z00,
		BGl_z62inlinezd2nodezd2sequence1938z62zzinline_inlinez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2217z00zzinline_inlinez00,
		BgL_bgl_za762inlineza7d2node2255z00,
		BGl_z62inlinezd2nodezd2app1940z62zzinline_inlinez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2218z00zzinline_inlinez00,
		BgL_bgl_za762inlineza7d2node2256z00,
		BGl_z62inlinezd2nodezd2appzd2ly1942zb0zzinline_inlinez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2219z00zzinline_inlinez00,
		BgL_bgl_za762inlineza7d2node2257z00,
		BGl_z62inlinezd2nodezd2funcall1944z62zzinline_inlinez00, 0L, BUNSPEC, 3);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_isfunzd2nilzd2envz00zzinline_inlinez00,
		BgL_bgl_za762isfunza7d2nilza7b2258za7,
		BGl_z62isfunzd2nilzb0zzinline_inlinez00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2220z00zzinline_inlinez00,
		BgL_bgl_za762inlineza7d2node2259z00,
		BGl_z62inlinezd2nodezd2extern1946z62zzinline_inlinez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2221z00zzinline_inlinez00,
		BgL_bgl_za762inlineza7d2node2260z00,
		BGl_z62inlinezd2nodezd2cast1948z62zzinline_inlinez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2222z00zzinline_inlinez00,
		BgL_bgl_za762inlineza7d2node2261z00,
		BGl_z62inlinezd2nodezd2setq1950z62zzinline_inlinez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2223z00zzinline_inlinez00,
		BgL_bgl_za762inlineza7d2node2262z00,
		BGl_z62inlinezd2nodezd2conditio1952z62zzinline_inlinez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2224z00zzinline_inlinez00,
		BgL_bgl_za762inlineza7d2node2263z00,
		BGl_z62inlinezd2nodezd2fail1954z62zzinline_inlinez00, 0L, BUNSPEC, 3);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_isfunzd2classzd2envz00zzinline_inlinez00,
		BgL_bgl_za762isfunza7d2class2264z00,
		BGl_z62isfunzd2classzb0zzinline_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2225z00zzinline_inlinez00,
		BgL_bgl_za762inlineza7d2node2265z00,
		BGl_z62inlinezd2nodezd2select1957z62zzinline_inlinez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2226z00zzinline_inlinez00,
		BgL_bgl_za762inlineza7d2node2266z00,
		BGl_z62inlinezd2nodezd2letzd2fun1959zb0zzinline_inlinez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2227z00zzinline_inlinez00,
		BgL_bgl_za762inlineza7d2node2267z00,
		BGl_z62inlinezd2nodezd2letzd2var1961zb0zzinline_inlinez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2228z00zzinline_inlinez00,
		BgL_bgl_za762inlineza7d2node2268z00,
		BGl_z62inlinezd2nodezd2setzd2exzd2i1963z62zzinline_inlinez00, 0L, BUNSPEC,
		3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2229z00zzinline_inlinez00,
		BgL_bgl_za762inlineza7d2node2269z00,
		BGl_z62inlinezd2nodezd2jumpzd2exzd21965z62zzinline_inlinez00, 0L, BUNSPEC,
		3);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_isfunzd2classzd2setz12zd2envzc0zzinline_inlinez00,
		BgL_bgl_za762isfunza7d2class2270z00,
		BGl_z62isfunzd2classzd2setz12z70zzinline_inlinez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2230z00zzinline_inlinez00,
		BgL_bgl_za762inlineza7d2node2271z00,
		BGl_z62inlinezd2nodezd2makezd2box1967zb0zzinline_inlinez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2231z00zzinline_inlinez00,
		BgL_bgl_za762inlineza7d2node2272z00,
		BGl_z62inlinezd2nodezd2boxzd2ref1969zb0zzinline_inlinez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2232z00zzinline_inlinez00,
		BgL_bgl_za762inlineza7d2node2273z00,
		BGl_z62inlinezd2nodezd2boxzd2setz121971za2zzinline_inlinez00, 0L, BUNSPEC,
		3);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_isfunzd2propertyzd2setz12zd2envzc0zzinline_inlinez00,
		BgL_bgl_za762isfunza7d2prope2274z00,
		BGl_z62isfunzd2propertyzd2setz12z70zzinline_inlinez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_isfunzd2bodyzd2setz12zd2envzc0zzinline_inlinez00,
		BgL_bgl_za762isfunza7d2bodyza72275za7,
		BGl_z62isfunzd2bodyzd2setz12z70zzinline_inlinez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_isfunzd2strengthzd2setz12zd2envzc0zzinline_inlinez00,
		BgL_bgl_za762isfunza7d2stren2276z00,
		BGl_z62isfunzd2strengthzd2setz12z70zzinline_inlinez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_isfunzd2topzf3zd2setz12zd2envz33zzinline_inlinez00,
		BgL_bgl_za762isfunza7d2topza7f2277za7,
		BGl_z62isfunzd2topzf3zd2setz12z83zzinline_inlinez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_isfunzd2bodyzd2envz00zzinline_inlinez00,
		BgL_bgl_za762isfunza7d2bodyza72278za7,
		BGl_z62isfunzd2bodyzb0zzinline_inlinez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_isfunzd2sidezd2effectzd2envzd2zzinline_inlinez00,
		BgL_bgl_za762isfunza7d2sideza72279za7,
		BGl_z62isfunzd2sidezd2effectz62zzinline_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_isfunzd2argszd2envz00zzinline_inlinez00,
		BgL_bgl_za762isfunza7d2argsza72280za7,
		BGl_z62isfunzd2argszb0zzinline_inlinez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_isfunzd2recursivezd2callszd2setz12zd2envz12zzinline_inlinez00,
		BgL_bgl_za762isfunza7d2recur2281z00,
		BGl_z62isfunzd2recursivezd2callszd2setz12za2zzinline_inlinez00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_isfunzd2originalzd2bodyzd2envzd2zzinline_inlinez00,
		BgL_bgl_za762isfunza7d2origi2282z00,
		BGl_z62isfunzd2originalzd2bodyz62zzinline_inlinez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_inlinezd2nodeza2z12zd2envzb0zzinline_inlinez00,
		BgL_bgl_za762inlineza7d2node2283z00,
		BGl_z62inlinezd2nodeza2z12z00zzinline_inlinez00, 0L, BUNSPEC, 3);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_isfunzd2argszd2namezd2envzd2zzinline_inlinez00,
		BgL_bgl_za762isfunza7d2argsza72284za7,
		BGl_z62isfunzd2argszd2namez62zzinline_inlinez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_isfunzd2stackzd2allocatorzd2setz12zd2envz12zzinline_inlinez00,
		BgL_bgl_za762isfunza7d2stack2285z00,
		BGl_z62isfunzd2stackzd2allocatorzd2setz12za2zzinline_inlinez00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_isfunzd2recursivezd2callszd2envzd2zzinline_inlinez00,
		BgL_bgl_za762isfunza7d2recur2286z00,
		BGl_z62isfunzd2recursivezd2callsz62zzinline_inlinez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_isfunzd2effectzd2setz12zd2envzc0zzinline_inlinez00,
		BgL_bgl_za762isfunza7d2effec2287z00,
		BGl_z62isfunzd2effectzd2setz12z70zzinline_inlinez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_isfunzd2dssslzd2keywordszd2setz12zd2envz12zzinline_inlinez00,
		BgL_bgl_za762isfunza7d2dsssl2288z00,
		BGl_z62isfunzd2dssslzd2keywordszd2setz12za2zzinline_inlinez00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_isfunzd2propertyzd2envz00zzinline_inlinez00,
		BgL_bgl_za762isfunza7d2prope2289z00,
		BGl_z62isfunzd2propertyzb0zzinline_inlinez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_isfunzd2topzf3zd2envzf3zzinline_inlinez00,
		BgL_bgl_za762isfunza7d2topza7f2290za7,
		BGl_z62isfunzd2topzf3z43zzinline_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2isfunzd2envz00zzinline_inlinez00,
		BgL_bgl_za762makeza7d2isfunza72291za7,
		BGl_z62makezd2isfunzb0zzinline_inlinez00, 0L, BUNSPEC, 20);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_isfunzd2thezd2closurezd2envzd2zzinline_inlinez00,
		BgL_bgl_za762isfunza7d2theza7d2292za7,
		BGl_z62isfunzd2thezd2closurez62zzinline_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2210z00zzinline_inlinez00,
		BgL_bgl_string2210za700za7za7i2293za7, "inline-node1929", 15);
	      DEFINE_STRING(BGl_string2211z00zzinline_inlinez00,
		BgL_bgl_string2211za700za7za7i2294za7, "No method for this object", 25);
	      DEFINE_STRING(BGl_string2213z00zzinline_inlinez00,
		BgL_bgl_string2213za700za7za7i2295za7, "inline-node", 11);
	      DEFINE_STRING(BGl_string2233z00zzinline_inlinez00,
		BgL_bgl_string2233za700za7za7i2296za7, "inline_inline", 13);
	      DEFINE_STRING(BGl_string2234z00zzinline_inlinez00,
		BgL_bgl_string2234za700za7za7i2297za7,
		"read static inline-node1929 _ inline_inline isfun original-body obj recursive-calls done ",
		89);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_isfunzd2effectzd2envz00zzinline_inlinez00,
		BgL_bgl_za762isfunza7d2effec2298z00,
		BGl_z62isfunzd2effectzb0zzinline_inlinez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_inlinezd2sfunz12zd2envz12zzinline_inlinez00,
		BgL_bgl_za762inlineza7d2sfun2299z00,
		BGl_z62inlinezd2sfunz12za2zzinline_inlinez00, 0L, BUNSPEC, 3);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_isfunzd2predicatezd2ofzd2setz12zd2envz12zzinline_inlinez00,
		BgL_bgl_za762isfunza7d2predi2300z00,
		BGl_z62isfunzd2predicatezd2ofzd2setz12za2zzinline_inlinez00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_isfunzd2strengthzd2envz00zzinline_inlinez00,
		BgL_bgl_za762isfunza7d2stren2301z00,
		BGl_z62isfunzd2strengthzb0zzinline_inlinez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_isfunzd2thezd2closurezd2setz12zd2envz12zzinline_inlinez00,
		BgL_bgl_za762isfunza7d2theza7d2302za7,
		BGl_z62isfunzd2thezd2closurezd2setz12za2zzinline_inlinez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_isfunzd2arityzd2envz00zzinline_inlinez00,
		BgL_bgl_za762isfunza7d2arity2303z00,
		BGl_z62isfunzd2arityzb0zzinline_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_isfunzf3zd2envz21zzinline_inlinez00,
		BgL_bgl_za762isfunza7f3za791za7za72304za7,
		BGl_z62isfunzf3z91zzinline_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_GENERIC(BGl_inlinezd2nodezd2envz00zzinline_inlinez00,
		BgL_bgl_za762inlineza7d2node2305z00,
		BGl_z62inlinezd2nodezb0zzinline_inlinez00, 0L, BUNSPEC, 3);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_isfunzd2thezd2closurezd2globalzd2setz12zd2envzc0zzinline_inlinez00,
		BgL_bgl_za762isfunza7d2theza7d2306za7,
		BGl_z62isfunzd2thezd2closurezd2globalzd2setz12z70zzinline_inlinez00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_isfunzd2stackzd2allocatorzd2envzd2zzinline_inlinez00,
		BgL_bgl_za762isfunza7d2stack2307z00,
		BGl_z62isfunzd2stackzd2allocatorz62zzinline_inlinez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_isfunzd2thezd2closurezd2globalzd2envz00zzinline_inlinez00,
		BgL_bgl_za762isfunza7d2theza7d2308za7,
		BGl_z62isfunzd2thezd2closurezd2globalzb0zzinline_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_isfunzd2loczd2envz00zzinline_inlinez00,
		BgL_bgl_za762isfunza7d2locza7b2309za7,
		BGl_z62isfunzd2loczb0zzinline_inlinez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_isfunzd2optionalszd2envz00zzinline_inlinez00,
		BgL_bgl_za762isfunza7d2optio2310z00,
		BGl_z62isfunzd2optionalszb0zzinline_inlinez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_isfunzd2predicatezd2ofzd2envzd2zzinline_inlinez00,
		BgL_bgl_za762isfunza7d2predi2311z00,
		BGl_z62isfunzd2predicatezd2ofz62zzinline_inlinez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_isfunzd2loczd2setz12zd2envzc0zzinline_inlinez00,
		BgL_bgl_za762isfunza7d2locza7d2312za7,
		BGl_z62isfunzd2loczd2setz12z70zzinline_inlinez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_isfunzd2sidezd2effectzd2setz12zd2envz12zzinline_inlinez00,
		BgL_bgl_za762isfunza7d2sideza72313za7,
		BGl_z62isfunzd2sidezd2effectzd2setz12za2zzinline_inlinez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_isfunzd2dssslzd2keywordszd2envzd2zzinline_inlinez00,
		BgL_bgl_za762isfunza7d2dsssl2314z00,
		BGl_z62isfunzd2dssslzd2keywordsz62zzinline_inlinez00, 0L, BUNSPEC, 1);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzinline_inlinez00(long
		BgL_checksumz00_3002, char *BgL_fromz00_3003)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzinline_inlinez00))
				{
					BGl_requirezd2initializa7ationz75zzinline_inlinez00 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzinline_inlinez00();
					BGl_cnstzd2initzd2zzinline_inlinez00();
					BGl_importedzd2moduleszd2initz00zzinline_inlinez00();
					BGl_objectzd2initzd2zzinline_inlinez00();
					BGl_genericzd2initzd2zzinline_inlinez00();
					BGl_methodzd2initzd2zzinline_inlinez00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzinline_inlinez00()
	{
		AN_OBJECT;
		{	/* Inline/inline.scm 15 */
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0),
				"inline_inline");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "inline_inline");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"inline_inline");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"inline_inline");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"inline_inline");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"inline_inline");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzinline_inlinez00()
	{
		AN_OBJECT;
		{	/* Inline/inline.scm 15 */
			{	/* Inline/inline.scm 15 */
				obj_t BgL_cportz00_2882;

				BgL_cportz00_2882 =
					bgl_open_input_string(BGl_string2234z00zzinline_inlinez00,
					(int) (((long) 0)));
				{
					long BgL_iz00_2883;

					BgL_iz00_2883 = ((long) 9);
				BgL_loopz00_2884:
					if ((BgL_iz00_2883 == ((long) -1)))
						{	/* Inline/inline.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Inline/inline.scm 15 */
							{	/* Inline/inline.scm 15 */
								obj_t BgL_arg2237z00_2886;

								{	/* Inline/inline.scm 15 */

									{	/* Inline/inline.scm 15 */
										obj_t BgL_locationz00_2888;

										BgL_locationz00_2888 = BBOOL(((bool_t) 0));
										{	/* Inline/inline.scm 15 */

											BgL_arg2237z00_2886 =
												BGl_readz00zz__readerz00(BgL_cportz00_2882,
												BgL_locationz00_2888);
										}
									}
								}
								{	/* Inline/inline.scm 15 */
									int BgL_auxz00_3025;

									BgL_auxz00_3025 = (int) (BgL_iz00_2883);
									CNST_TABLE_SET(BgL_auxz00_3025, BgL_arg2237z00_2886);
							}}
							{	/* Inline/inline.scm 15 */
								int BgL_auxz00_2889;

								BgL_auxz00_2889 = (int) ((BgL_iz00_2883 - ((long) 1)));
								{
									long BgL_iz00_3030;

									BgL_iz00_3030 = (long) (BgL_auxz00_2889);
									BgL_iz00_2883 = BgL_iz00_3030;
									goto BgL_loopz00_2884;
								}
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzinline_inlinez00()
	{
		AN_OBJECT;
		{	/* Inline/inline.scm 15 */
			return BUNSPEC;
		}
	}



/* make-isfun */
	BGL_EXPORTED_DEF BgL_sfunz00_bglt BGl_makezd2isfunzd2zzinline_inlinez00(long
		BgL_arity1172z00_3, obj_t BgL_sidezd2effect1173zd2_4,
		obj_t BgL_predicatezd2of1174zd2_5, obj_t BgL_stackzd2allocator1175zd2_6,
		bool_t BgL_topzf31176zf3_7, obj_t BgL_thezd2closure1177zd2_8,
		obj_t BgL_effect1178z00_9, obj_t BgL_property1179z00_10,
		obj_t BgL_args1180z00_11, obj_t BgL_argszd2name1181zd2_12,
		obj_t BgL_body1182z00_13, obj_t BgL_class1183z00_14,
		obj_t BgL_dssslzd2keywords1184zd2_15, obj_t BgL_loc1185z00_16,
		obj_t BgL_optionals1186z00_17, obj_t BgL_keys1187z00_18,
		obj_t BgL_thezd2closurezd2global1188z00_19, obj_t BgL_strength1189z00_20,
		BgL_nodez00_bglt BgL_originalzd2body1190zd2_21,
		obj_t BgL_recursivezd2calls1191zd2_22)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 56 */
			{	/* Inline/inline.sch 56 */
				BgL_sfunz00_bglt BgL_new1131z00_2890;

				{	/* Inline/inline.sch 56 */
					BgL_sfunz00_bglt BgL_tmp1129z00_2891;
					BgL_isfunz00_bglt BgL_wide1130z00_2892;

					{
						BgL_sfunz00_bglt BgL_auxz00_3032;

						{	/* Inline/inline.sch 56 */
							BgL_sfunz00_bglt BgL_new1128z00_2893;

							BgL_new1128z00_2893 =
								((BgL_sfunz00_bglt) BREF(GC_MALLOC(sizeof(struct
											BgL_sfunz00_bgl))));
							{	/* Inline/inline.sch 56 */
								long BgL_arg1976z00_2894;

								{	/* Inline/inline.sch 56 */
									long BgL_res2159z00_2895;

									{	/* Inline/inline.sch 56 */
										obj_t BgL_classz00_2896;

										BgL_classz00_2896 = BGl_sfunz00zzast_varz00;
										{	/* Inline/inline.sch 56 */
											obj_t BgL_vectorz00_2897;
											int BgL_kz00_2898;

											BgL_vectorz00_2897 = BgL_classz00_2896;
											BgL_kz00_2898 = (int) (((long) 1));
											BgL_res2159z00_2895 =
												(long) CINT(VECTOR_REF(BgL_vectorz00_2897,
													BgL_kz00_2898));
									}}
									BgL_arg1976z00_2894 = BgL_res2159z00_2895;
								}
								{	/* Inline/inline.sch 56 */
									BgL_objectz00_bglt BgL_objz00_2899;

									BgL_objz00_2899 = ((BgL_objectz00_bglt) BgL_new1128z00_2893);
									BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2899,
										BgL_arg1976z00_2894);
							}}
							{	/* Inline/inline.sch 56 */
								BgL_objectz00_bglt BgL_auxz00_3039;

								BgL_auxz00_3039 = ((BgL_objectz00_bglt) BgL_new1128z00_2893);
								BGL_OBJECT_WIDENING_SET(BgL_auxz00_3039, BFALSE);
							}
							BgL_auxz00_3032 = BgL_new1128z00_2893;
						}
						BgL_tmp1129z00_2891 = ((BgL_sfunz00_bglt) BgL_auxz00_3032);
					}
					BgL_wide1130z00_2892 =
						((BgL_isfunz00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_isfunz00_bgl))));
					{	/* Inline/inline.sch 56 */
						obj_t BgL_auxz00_3046;
						BgL_objectz00_bglt BgL_auxz00_3044;

						BgL_auxz00_3046 = ((obj_t) BgL_wide1130z00_2892);
						BgL_auxz00_3044 = ((BgL_objectz00_bglt) BgL_tmp1129z00_2891);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_3044, BgL_auxz00_3046);
					}
					{	/* Inline/inline.sch 56 */
						long BgL_arg1975z00_2900;

						{	/* Inline/inline.sch 56 */
							long BgL_res2160z00_2901;

							{	/* Inline/inline.sch 56 */
								obj_t BgL_classz00_2902;

								BgL_classz00_2902 = BGl_isfunz00zzinline_inlinez00;
								{	/* Inline/inline.sch 56 */
									obj_t BgL_vectorz00_2903;
									int BgL_kz00_2904;

									BgL_vectorz00_2903 = BgL_classz00_2902;
									BgL_kz00_2904 = (int) (((long) 1));
									BgL_res2160z00_2901 =
										(long) CINT(VECTOR_REF(BgL_vectorz00_2903, BgL_kz00_2904));
							}}
							BgL_arg1975z00_2900 = BgL_res2160z00_2901;
						}
						{	/* Inline/inline.sch 56 */
							BgL_objectz00_bglt BgL_objz00_2905;

							BgL_objz00_2905 = ((BgL_objectz00_bglt) BgL_tmp1129z00_2891);
							((BgL_sfunz00_bglt)
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2905, BgL_arg1975z00_2900));
					}}
					BgL_new1131z00_2890 = ((BgL_sfunz00_bglt) BgL_tmp1129z00_2891);
				}
				((((BgL_funz00_bglt) CREF(
								((BgL_funz00_bglt) BgL_new1131z00_2890)))->BgL_arityz00) =
					((long) BgL_arity1172z00_3), BUNSPEC);
				((((BgL_funz00_bglt) CREF(((BgL_funz00_bglt) BgL_new1131z00_2890)))->
						BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1173zd2_4), BUNSPEC);
				((((BgL_funz00_bglt) CREF(((BgL_funz00_bglt) BgL_new1131z00_2890)))->
						BgL_predicatezd2ofzd2) =
					((obj_t) BgL_predicatezd2of1174zd2_5), BUNSPEC);
				((((BgL_funz00_bglt) CREF(((BgL_funz00_bglt) BgL_new1131z00_2890)))->
						BgL_stackzd2allocatorzd2) =
					((obj_t) BgL_stackzd2allocator1175zd2_6), BUNSPEC);
				((((BgL_funz00_bglt) CREF(((BgL_funz00_bglt) BgL_new1131z00_2890)))->
						BgL_topzf3zf3) = ((bool_t) BgL_topzf31176zf3_7), BUNSPEC);
				((((BgL_funz00_bglt) CREF(((BgL_funz00_bglt) BgL_new1131z00_2890)))->
						BgL_thezd2closurezd2) =
					((obj_t) BgL_thezd2closure1177zd2_8), BUNSPEC);
				((((BgL_funz00_bglt) CREF(((BgL_funz00_bglt) BgL_new1131z00_2890)))->
						BgL_effectz00) = ((obj_t) BgL_effect1178z00_9), BUNSPEC);
				((((BgL_sfunz00_bglt) CREF(((BgL_sfunz00_bglt) BgL_new1131z00_2890)))->
						BgL_propertyz00) = ((obj_t) BgL_property1179z00_10), BUNSPEC);
				((((BgL_sfunz00_bglt) CREF(((BgL_sfunz00_bglt) BgL_new1131z00_2890)))->
						BgL_argsz00) = ((obj_t) BgL_args1180z00_11), BUNSPEC);
				((((BgL_sfunz00_bglt) CREF(((BgL_sfunz00_bglt) BgL_new1131z00_2890)))->
						BgL_argszd2namezd2) = ((obj_t) BgL_argszd2name1181zd2_12), BUNSPEC);
				((((BgL_sfunz00_bglt) CREF(((BgL_sfunz00_bglt) BgL_new1131z00_2890)))->
						BgL_bodyz00) = ((obj_t) BgL_body1182z00_13), BUNSPEC);
				((((BgL_sfunz00_bglt) CREF(((BgL_sfunz00_bglt) BgL_new1131z00_2890)))->
						BgL_classz00) = ((obj_t) BgL_class1183z00_14), BUNSPEC);
				((((BgL_sfunz00_bglt) CREF(((BgL_sfunz00_bglt) BgL_new1131z00_2890)))->
						BgL_dssslzd2keywordszd2) =
					((obj_t) BgL_dssslzd2keywords1184zd2_15), BUNSPEC);
				((((BgL_sfunz00_bglt) CREF(((BgL_sfunz00_bglt) BgL_new1131z00_2890)))->
						BgL_locz00) = ((obj_t) BgL_loc1185z00_16), BUNSPEC);
				((((BgL_sfunz00_bglt) CREF(((BgL_sfunz00_bglt) BgL_new1131z00_2890)))->
						BgL_optionalsz00) = ((obj_t) BgL_optionals1186z00_17), BUNSPEC);
				((((BgL_sfunz00_bglt) CREF(((BgL_sfunz00_bglt) BgL_new1131z00_2890)))->
						BgL_keysz00) = ((obj_t) BgL_keys1187z00_18), BUNSPEC);
				((((BgL_sfunz00_bglt) CREF(((BgL_sfunz00_bglt) BgL_new1131z00_2890)))->
						BgL_thezd2closurezd2globalz00) =
					((obj_t) BgL_thezd2closurezd2global1188z00_19), BUNSPEC);
				((((BgL_sfunz00_bglt) CREF(((BgL_sfunz00_bglt) BgL_new1131z00_2890)))->
						BgL_strengthz00) = ((obj_t) BgL_strength1189z00_20), BUNSPEC);
				{
					BgL_isfunz00_bglt BgL_auxz00_3092;

					{
						obj_t BgL_auxz00_3093;

						{	/* Inline/inline.sch 56 */
							BgL_objectz00_bglt BgL_auxz00_3094;

							BgL_auxz00_3094 = ((BgL_objectz00_bglt) BgL_new1131z00_2890);
							BgL_auxz00_3093 = BGL_OBJECT_WIDENING(BgL_auxz00_3094);
						}
						BgL_auxz00_3092 = ((BgL_isfunz00_bglt) BgL_auxz00_3093);
					}
					((((BgL_isfunz00_bglt) CREF(BgL_auxz00_3092))->
							BgL_originalzd2bodyzd2) =
						((BgL_nodez00_bglt) BgL_originalzd2body1190zd2_21), BUNSPEC);
				}
				{
					BgL_isfunz00_bglt BgL_auxz00_3099;

					{
						obj_t BgL_auxz00_3100;

						{	/* Inline/inline.sch 56 */
							BgL_objectz00_bglt BgL_auxz00_3101;

							BgL_auxz00_3101 = ((BgL_objectz00_bglt) BgL_new1131z00_2890);
							BgL_auxz00_3100 = BGL_OBJECT_WIDENING(BgL_auxz00_3101);
						}
						BgL_auxz00_3099 = ((BgL_isfunz00_bglt) BgL_auxz00_3100);
					}
					((((BgL_isfunz00_bglt) CREF(BgL_auxz00_3099))->
							BgL_recursivezd2callszd2) =
						((obj_t) BgL_recursivezd2calls1191zd2_22), BUNSPEC);
				}
				return BgL_new1131z00_2890;
			}
		}
	}



/* &make-isfun */
	BgL_sfunz00_bglt BGl_z62makezd2isfunzb0zzinline_inlinez00(obj_t
		BgL_envz00_2607, obj_t BgL_arity1172z00_2608,
		obj_t BgL_sidezd2effect1173zd2_2609, obj_t BgL_predicatezd2of1174zd2_2610,
		obj_t BgL_stackzd2allocator1175zd2_2611, obj_t BgL_topzf31176zf3_2612,
		obj_t BgL_thezd2closure1177zd2_2613, obj_t BgL_effect1178z00_2614,
		obj_t BgL_property1179z00_2615, obj_t BgL_args1180z00_2616,
		obj_t BgL_argszd2name1181zd2_2617, obj_t BgL_body1182z00_2618,
		obj_t BgL_class1183z00_2619, obj_t BgL_dssslzd2keywords1184zd2_2620,
		obj_t BgL_loc1185z00_2621, obj_t BgL_optionals1186z00_2622,
		obj_t BgL_keys1187z00_2623, obj_t BgL_thezd2closurezd2global1188z00_2624,
		obj_t BgL_strength1189z00_2625, obj_t BgL_originalzd2body1190zd2_2626,
		obj_t BgL_recursivezd2calls1191zd2_2627)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 56 */
			{	/* Inline/inline.sch 56 */
				long BgL_arity1172z00_2906;
				bool_t BgL_topzf31176zf3_2910;
				obj_t BgL_strength1189z00_2923;
				BgL_nodez00_bglt BgL_originalzd2body1190zd2_2924;

				BgL_arity1172z00_2906 = (long) CINT(BgL_arity1172z00_2608);
				BgL_topzf31176zf3_2910 = CBOOL(BgL_topzf31176zf3_2612);
				BgL_strength1189z00_2923 = BgL_strength1189z00_2625;
				BgL_originalzd2body1190zd2_2924 =
					((BgL_nodez00_bglt) BgL_originalzd2body1190zd2_2626);
				{	/* Inline/inline.sch 56 */
					BgL_sfunz00_bglt BgL_new1131z00_2926;

					{	/* Inline/inline.sch 56 */
						BgL_sfunz00_bglt BgL_tmp1129z00_2927;
						BgL_isfunz00_bglt BgL_wide1130z00_2928;

						{
							BgL_sfunz00_bglt BgL_auxz00_3109;

							{	/* Inline/inline.sch 56 */
								BgL_sfunz00_bglt BgL_new1128z00_2929;

								BgL_new1128z00_2929 =
									((BgL_sfunz00_bglt) BREF(GC_MALLOC(sizeof(struct
												BgL_sfunz00_bgl))));
								{	/* Inline/inline.sch 56 */
									long BgL_arg1976z00_2930;

									{	/* Inline/inline.sch 56 */
										long BgL_res2159z00_2931;

										{	/* Inline/inline.sch 56 */
											obj_t BgL_classz00_2932;

											BgL_classz00_2932 = BGl_sfunz00zzast_varz00;
											{	/* Inline/inline.sch 56 */
												obj_t BgL_vectorz00_2933;
												int BgL_kz00_2934;

												BgL_vectorz00_2933 = BgL_classz00_2932;
												BgL_kz00_2934 = (int) (((long) 1));
												BgL_res2159z00_2931 =
													(long) CINT(VECTOR_REF(BgL_vectorz00_2933,
														BgL_kz00_2934));
										}}
										BgL_arg1976z00_2930 = BgL_res2159z00_2931;
									}
									{	/* Inline/inline.sch 56 */
										BgL_objectz00_bglt BgL_objz00_2935;

										BgL_objz00_2935 =
											((BgL_objectz00_bglt) BgL_new1128z00_2929);
										BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2935,
											BgL_arg1976z00_2930);
								}}
								{	/* Inline/inline.sch 56 */
									BgL_objectz00_bglt BgL_auxz00_3116;

									BgL_auxz00_3116 = ((BgL_objectz00_bglt) BgL_new1128z00_2929);
									BGL_OBJECT_WIDENING_SET(BgL_auxz00_3116, BFALSE);
								}
								BgL_auxz00_3109 = BgL_new1128z00_2929;
							}
							BgL_tmp1129z00_2927 = ((BgL_sfunz00_bglt) BgL_auxz00_3109);
						}
						BgL_wide1130z00_2928 =
							((BgL_isfunz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_isfunz00_bgl))));
						{	/* Inline/inline.sch 56 */
							obj_t BgL_auxz00_3123;
							BgL_objectz00_bglt BgL_auxz00_3121;

							BgL_auxz00_3123 = ((obj_t) BgL_wide1130z00_2928);
							BgL_auxz00_3121 = ((BgL_objectz00_bglt) BgL_tmp1129z00_2927);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_3121, BgL_auxz00_3123);
						}
						{	/* Inline/inline.sch 56 */
							long BgL_arg1975z00_2936;

							{	/* Inline/inline.sch 56 */
								long BgL_res2160z00_2937;

								{	/* Inline/inline.sch 56 */
									obj_t BgL_classz00_2938;

									BgL_classz00_2938 = BGl_isfunz00zzinline_inlinez00;
									{	/* Inline/inline.sch 56 */
										obj_t BgL_vectorz00_2939;
										int BgL_kz00_2940;

										BgL_vectorz00_2939 = BgL_classz00_2938;
										BgL_kz00_2940 = (int) (((long) 1));
										BgL_res2160z00_2937 =
											(long) CINT(VECTOR_REF(BgL_vectorz00_2939,
												BgL_kz00_2940));
								}}
								BgL_arg1975z00_2936 = BgL_res2160z00_2937;
							}
							{	/* Inline/inline.sch 56 */
								BgL_objectz00_bglt BgL_objz00_2941;

								BgL_objz00_2941 = ((BgL_objectz00_bglt) BgL_tmp1129z00_2927);
								((BgL_sfunz00_bglt)
									BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2941,
										BgL_arg1975z00_2936));
						}}
						BgL_new1131z00_2926 = ((BgL_sfunz00_bglt) BgL_tmp1129z00_2927);
					}
					((((BgL_funz00_bglt) CREF(
									((BgL_funz00_bglt) BgL_new1131z00_2926)))->BgL_arityz00) =
						((long) BgL_arity1172z00_2906), BUNSPEC);
					((((BgL_funz00_bglt) CREF(((BgL_funz00_bglt) BgL_new1131z00_2926)))->
							BgL_sidezd2effectzd2) =
						((obj_t) BgL_sidezd2effect1173zd2_2609), BUNSPEC);
					((((BgL_funz00_bglt) CREF(((BgL_funz00_bglt) BgL_new1131z00_2926)))->
							BgL_predicatezd2ofzd2) =
						((obj_t) BgL_predicatezd2of1174zd2_2610), BUNSPEC);
					((((BgL_funz00_bglt) CREF(((BgL_funz00_bglt) BgL_new1131z00_2926)))->
							BgL_stackzd2allocatorzd2) =
						((obj_t) BgL_stackzd2allocator1175zd2_2611), BUNSPEC);
					((((BgL_funz00_bglt) CREF(((BgL_funz00_bglt) BgL_new1131z00_2926)))->
							BgL_topzf3zf3) = ((bool_t) BgL_topzf31176zf3_2910), BUNSPEC);
					((((BgL_funz00_bglt) CREF(((BgL_funz00_bglt) BgL_new1131z00_2926)))->
							BgL_thezd2closurezd2) =
						((obj_t) BgL_thezd2closure1177zd2_2613), BUNSPEC);
					((((BgL_funz00_bglt) CREF(((BgL_funz00_bglt) BgL_new1131z00_2926)))->
							BgL_effectz00) = ((obj_t) BgL_effect1178z00_2614), BUNSPEC);
					((((BgL_sfunz00_bglt) CREF(((BgL_sfunz00_bglt)
										BgL_new1131z00_2926)))->BgL_propertyz00) =
						((obj_t) BgL_property1179z00_2615), BUNSPEC);
					((((BgL_sfunz00_bglt) CREF(((BgL_sfunz00_bglt)
										BgL_new1131z00_2926)))->BgL_argsz00) =
						((obj_t) BgL_args1180z00_2616), BUNSPEC);
					((((BgL_sfunz00_bglt) CREF(((BgL_sfunz00_bglt)
										BgL_new1131z00_2926)))->BgL_argszd2namezd2) =
						((obj_t) BgL_argszd2name1181zd2_2617), BUNSPEC);
					((((BgL_sfunz00_bglt) CREF(((BgL_sfunz00_bglt)
										BgL_new1131z00_2926)))->BgL_bodyz00) =
						((obj_t) BgL_body1182z00_2618), BUNSPEC);
					((((BgL_sfunz00_bglt) CREF(((BgL_sfunz00_bglt)
										BgL_new1131z00_2926)))->BgL_classz00) =
						((obj_t) BgL_class1183z00_2619), BUNSPEC);
					((((BgL_sfunz00_bglt) CREF(((BgL_sfunz00_bglt)
										BgL_new1131z00_2926)))->BgL_dssslzd2keywordszd2) =
						((obj_t) BgL_dssslzd2keywords1184zd2_2620), BUNSPEC);
					((((BgL_sfunz00_bglt) CREF(((BgL_sfunz00_bglt)
										BgL_new1131z00_2926)))->BgL_locz00) =
						((obj_t) BgL_loc1185z00_2621), BUNSPEC);
					((((BgL_sfunz00_bglt) CREF(((BgL_sfunz00_bglt)
										BgL_new1131z00_2926)))->BgL_optionalsz00) =
						((obj_t) BgL_optionals1186z00_2622), BUNSPEC);
					((((BgL_sfunz00_bglt) CREF(((BgL_sfunz00_bglt)
										BgL_new1131z00_2926)))->BgL_keysz00) =
						((obj_t) BgL_keys1187z00_2623), BUNSPEC);
					((((BgL_sfunz00_bglt) CREF(((BgL_sfunz00_bglt)
										BgL_new1131z00_2926)))->BgL_thezd2closurezd2globalz00) =
						((obj_t) BgL_thezd2closurezd2global1188z00_2624), BUNSPEC);
					((((BgL_sfunz00_bglt) CREF(((BgL_sfunz00_bglt)
										BgL_new1131z00_2926)))->BgL_strengthz00) =
						((obj_t) BgL_strength1189z00_2923), BUNSPEC);
					{
						BgL_isfunz00_bglt BgL_auxz00_3169;

						{
							obj_t BgL_auxz00_3170;

							{	/* Inline/inline.sch 56 */
								BgL_objectz00_bglt BgL_auxz00_3171;

								BgL_auxz00_3171 = ((BgL_objectz00_bglt) BgL_new1131z00_2926);
								BgL_auxz00_3170 = BGL_OBJECT_WIDENING(BgL_auxz00_3171);
							}
							BgL_auxz00_3169 = ((BgL_isfunz00_bglt) BgL_auxz00_3170);
						}
						((((BgL_isfunz00_bglt) CREF(BgL_auxz00_3169))->
								BgL_originalzd2bodyzd2) =
							((BgL_nodez00_bglt) BgL_originalzd2body1190zd2_2924), BUNSPEC);
					}
					{
						BgL_isfunz00_bglt BgL_auxz00_3176;

						{
							obj_t BgL_auxz00_3177;

							{	/* Inline/inline.sch 56 */
								BgL_objectz00_bglt BgL_auxz00_3178;

								BgL_auxz00_3178 = ((BgL_objectz00_bglt) BgL_new1131z00_2926);
								BgL_auxz00_3177 = BGL_OBJECT_WIDENING(BgL_auxz00_3178);
							}
							BgL_auxz00_3176 = ((BgL_isfunz00_bglt) BgL_auxz00_3177);
						}
						((((BgL_isfunz00_bglt) CREF(BgL_auxz00_3176))->
								BgL_recursivezd2callszd2) =
							((obj_t) BgL_recursivezd2calls1191zd2_2627), BUNSPEC);
					}
					return BgL_new1131z00_2926;
				}
			}
		}
	}



/* isfun? */
	BGL_EXPORTED_DEF bool_t BGl_isfunzf3zf3zzinline_inlinez00(obj_t BgL_objz00_23)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 57 */
			return
				BGl_isazf3zf3zz__objectz00(BgL_objz00_23,
				BGl_isfunz00zzinline_inlinez00);
		}
	}



/* &isfun? */
	obj_t BGl_z62isfunzf3z91zzinline_inlinez00(obj_t BgL_envz00_2628,
		obj_t BgL_objz00_2629)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 57 */
			return
				BBOOL(BGl_isazf3zf3zz__objectz00(BgL_objz00_2629,
					BGl_isfunz00zzinline_inlinez00));
		}
	}



/* isfun-nil */
	BGL_EXPORTED_DEF BgL_sfunz00_bglt BGl_isfunzd2nilzd2zzinline_inlinez00()
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 58 */
			return
				((BgL_sfunz00_bglt)
				BGl_classzd2nilzd2zz__objectz00(BGl_isfunz00zzinline_inlinez00));
		}
	}



/* &isfun-nil */
	BgL_sfunz00_bglt BGl_z62isfunzd2nilzb0zzinline_inlinez00(obj_t
		BgL_envz00_2630)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 58 */
			return BGl_isfunzd2nilzd2zzinline_inlinez00();
		}
	}



/* isfun-recursive-calls */
	BGL_EXPORTED_DEF obj_t
		BGl_isfunzd2recursivezd2callsz00zzinline_inlinez00(BgL_sfunz00_bglt
		BgL_oz00_24)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 59 */
			{
				BgL_isfunz00_bglt BgL_auxz00_3189;

				{
					obj_t BgL_auxz00_3190;

					{	/* Inline/inline.sch 59 */
						BgL_objectz00_bglt BgL_auxz00_3191;

						BgL_auxz00_3191 = ((BgL_objectz00_bglt) BgL_oz00_24);
						BgL_auxz00_3190 = BGL_OBJECT_WIDENING(BgL_auxz00_3191);
					}
					BgL_auxz00_3189 = ((BgL_isfunz00_bglt) BgL_auxz00_3190);
				}
				return
					(((BgL_isfunz00_bglt) CREF(BgL_auxz00_3189))->
					BgL_recursivezd2callszd2);
			}
		}
	}



/* &isfun-recursive-calls */
	obj_t BGl_z62isfunzd2recursivezd2callsz62zzinline_inlinez00(obj_t
		BgL_envz00_2631, obj_t BgL_oz00_2632)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 59 */
			{
				BgL_isfunz00_bglt BgL_auxz00_3196;

				{
					obj_t BgL_auxz00_3197;

					{	/* Inline/inline.sch 59 */
						BgL_objectz00_bglt BgL_auxz00_3198;

						BgL_auxz00_3198 =
							((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_oz00_2632));
						BgL_auxz00_3197 = BGL_OBJECT_WIDENING(BgL_auxz00_3198);
					}
					BgL_auxz00_3196 = ((BgL_isfunz00_bglt) BgL_auxz00_3197);
				}
				return
					(((BgL_isfunz00_bglt) CREF(BgL_auxz00_3196))->
					BgL_recursivezd2callszd2);
			}
		}
	}



/* isfun-recursive-calls-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_isfunzd2recursivezd2callszd2setz12zc0zzinline_inlinez00(BgL_sfunz00_bglt
		BgL_oz00_25, obj_t BgL_vz00_26)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 60 */
			{
				BgL_isfunz00_bglt BgL_auxz00_3204;

				{
					obj_t BgL_auxz00_3205;

					{	/* Inline/inline.sch 60 */
						BgL_objectz00_bglt BgL_auxz00_3206;

						BgL_auxz00_3206 = ((BgL_objectz00_bglt) BgL_oz00_25);
						BgL_auxz00_3205 = BGL_OBJECT_WIDENING(BgL_auxz00_3206);
					}
					BgL_auxz00_3204 = ((BgL_isfunz00_bglt) BgL_auxz00_3205);
				}
				return
					((((BgL_isfunz00_bglt) CREF(BgL_auxz00_3204))->
						BgL_recursivezd2callszd2) = ((obj_t) BgL_vz00_26), BUNSPEC);
			}
		}
	}



/* &isfun-recursive-calls-set! */
	obj_t BGl_z62isfunzd2recursivezd2callszd2setz12za2zzinline_inlinez00(obj_t
		BgL_envz00_2633, obj_t BgL_oz00_2634, obj_t BgL_vz00_2635)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 60 */
			{	/* Inline/inline.sch 60 */
				BgL_sfunz00_bglt BgL_oz00_2944;

				BgL_oz00_2944 = ((BgL_sfunz00_bglt) BgL_oz00_2634);
				{
					BgL_isfunz00_bglt BgL_auxz00_3212;

					{
						obj_t BgL_auxz00_3213;

						{	/* Inline/inline.sch 60 */
							BgL_objectz00_bglt BgL_auxz00_3214;

							BgL_auxz00_3214 = ((BgL_objectz00_bglt) BgL_oz00_2944);
							BgL_auxz00_3213 = BGL_OBJECT_WIDENING(BgL_auxz00_3214);
						}
						BgL_auxz00_3212 = ((BgL_isfunz00_bglt) BgL_auxz00_3213);
					}
					return
						((((BgL_isfunz00_bglt) CREF(BgL_auxz00_3212))->
							BgL_recursivezd2callszd2) = ((obj_t) BgL_vz00_2635), BUNSPEC);
				}
			}
		}
	}



/* isfun-original-body */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_isfunzd2originalzd2bodyz00zzinline_inlinez00(BgL_sfunz00_bglt
		BgL_oz00_27)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 61 */
			{
				BgL_isfunz00_bglt BgL_auxz00_3219;

				{
					obj_t BgL_auxz00_3220;

					{	/* Inline/inline.sch 61 */
						BgL_objectz00_bglt BgL_auxz00_3221;

						BgL_auxz00_3221 = ((BgL_objectz00_bglt) BgL_oz00_27);
						BgL_auxz00_3220 = BGL_OBJECT_WIDENING(BgL_auxz00_3221);
					}
					BgL_auxz00_3219 = ((BgL_isfunz00_bglt) BgL_auxz00_3220);
				}
				return
					(((BgL_isfunz00_bglt) CREF(BgL_auxz00_3219))->BgL_originalzd2bodyzd2);
			}
		}
	}



/* &isfun-original-body */
	BgL_nodez00_bglt BGl_z62isfunzd2originalzd2bodyz62zzinline_inlinez00(obj_t
		BgL_envz00_2636, obj_t BgL_oz00_2637)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 61 */
			{
				BgL_isfunz00_bglt BgL_auxz00_3226;

				{
					obj_t BgL_auxz00_3227;

					{	/* Inline/inline.sch 61 */
						BgL_objectz00_bglt BgL_auxz00_3228;

						BgL_auxz00_3228 =
							((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_oz00_2637));
						BgL_auxz00_3227 = BGL_OBJECT_WIDENING(BgL_auxz00_3228);
					}
					BgL_auxz00_3226 = ((BgL_isfunz00_bglt) BgL_auxz00_3227);
				}
				return
					(((BgL_isfunz00_bglt) CREF(BgL_auxz00_3226))->BgL_originalzd2bodyzd2);
			}
		}
	}



/* isfun-strength */
	BGL_EXPORTED_DEF obj_t
		BGl_isfunzd2strengthzd2zzinline_inlinez00(BgL_sfunz00_bglt BgL_oz00_30)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 63 */
			return
				(((BgL_sfunz00_bglt) CREF(
						((BgL_sfunz00_bglt) BgL_oz00_30)))->BgL_strengthz00);
		}
	}



/* &isfun-strength */
	obj_t BGl_z62isfunzd2strengthzb0zzinline_inlinez00(obj_t BgL_envz00_2638,
		obj_t BgL_oz00_2639)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 63 */
			return
				(((BgL_sfunz00_bglt) CREF(
						((BgL_sfunz00_bglt)
							((BgL_sfunz00_bglt) BgL_oz00_2639))))->BgL_strengthz00);
		}
	}



/* isfun-strength-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_isfunzd2strengthzd2setz12z12zzinline_inlinez00(BgL_sfunz00_bglt
		BgL_oz00_31, obj_t BgL_vz00_32)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 64 */
			return
				((((BgL_sfunz00_bglt) CREF(
							((BgL_sfunz00_bglt) BgL_oz00_31)))->BgL_strengthz00) =
				((obj_t) BgL_vz00_32), BUNSPEC);
		}
	}



/* &isfun-strength-set! */
	obj_t BGl_z62isfunzd2strengthzd2setz12z70zzinline_inlinez00(obj_t
		BgL_envz00_2640, obj_t BgL_oz00_2641, obj_t BgL_vz00_2642)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 64 */
			{	/* Inline/inline.sch 64 */
				BgL_sfunz00_bglt BgL_oz00_2948;
				obj_t BgL_vz00_2949;

				BgL_oz00_2948 = ((BgL_sfunz00_bglt) BgL_oz00_2641);
				BgL_vz00_2949 = BgL_vz00_2642;
				return
					((((BgL_sfunz00_bglt) CREF(
								((BgL_sfunz00_bglt) BgL_oz00_2948)))->BgL_strengthz00) =
					((obj_t) BgL_vz00_2949), BUNSPEC);
			}
		}
	}



/* isfun-the-closure-global */
	BGL_EXPORTED_DEF obj_t
		BGl_isfunzd2thezd2closurezd2globalzd2zzinline_inlinez00(BgL_sfunz00_bglt
		BgL_oz00_33)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 65 */
			return
				(((BgL_sfunz00_bglt) CREF(
						((BgL_sfunz00_bglt) BgL_oz00_33)))->BgL_thezd2closurezd2globalz00);
		}
	}



/* &isfun-the-closure-global */
	obj_t BGl_z62isfunzd2thezd2closurezd2globalzb0zzinline_inlinez00(obj_t
		BgL_envz00_2643, obj_t BgL_oz00_2644)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 65 */
			return
				(((BgL_sfunz00_bglt) CREF(
						((BgL_sfunz00_bglt)
							((BgL_sfunz00_bglt) BgL_oz00_2644))))->
				BgL_thezd2closurezd2globalz00);
		}
	}



/* isfun-the-closure-global-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_isfunzd2thezd2closurezd2globalzd2setz12z12zzinline_inlinez00
		(BgL_sfunz00_bglt BgL_oz00_34, obj_t BgL_vz00_35)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 66 */
			return
				((((BgL_sfunz00_bglt) CREF(
							((BgL_sfunz00_bglt) BgL_oz00_34)))->
					BgL_thezd2closurezd2globalz00) = ((obj_t) BgL_vz00_35), BUNSPEC);
		}
	}



/* &isfun-the-closure-global-set! */
	obj_t
		BGl_z62isfunzd2thezd2closurezd2globalzd2setz12z70zzinline_inlinez00(obj_t
		BgL_envz00_2645, obj_t BgL_oz00_2646, obj_t BgL_vz00_2647)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 66 */
			{	/* Inline/inline.sch 66 */
				BgL_sfunz00_bglt BgL_oz00_2951;

				BgL_oz00_2951 = ((BgL_sfunz00_bglt) BgL_oz00_2646);
				return
					((((BgL_sfunz00_bglt) CREF(
								((BgL_sfunz00_bglt) BgL_oz00_2951)))->
						BgL_thezd2closurezd2globalz00) = ((obj_t) BgL_vz00_2647), BUNSPEC);
			}
		}
	}



/* isfun-keys */
	BGL_EXPORTED_DEF obj_t BGl_isfunzd2keyszd2zzinline_inlinez00(BgL_sfunz00_bglt
		BgL_oz00_36)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 67 */
			return
				(((BgL_sfunz00_bglt) CREF(
						((BgL_sfunz00_bglt) BgL_oz00_36)))->BgL_keysz00);
		}
	}



/* &isfun-keys */
	obj_t BGl_z62isfunzd2keyszb0zzinline_inlinez00(obj_t BgL_envz00_2648,
		obj_t BgL_oz00_2649)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 67 */
			return
				(((BgL_sfunz00_bglt) CREF(
						((BgL_sfunz00_bglt)
							((BgL_sfunz00_bglt) BgL_oz00_2649))))->BgL_keysz00);
		}
	}



/* isfun-optionals */
	BGL_EXPORTED_DEF obj_t
		BGl_isfunzd2optionalszd2zzinline_inlinez00(BgL_sfunz00_bglt BgL_oz00_39)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 69 */
			return
				(((BgL_sfunz00_bglt) CREF(
						((BgL_sfunz00_bglt) BgL_oz00_39)))->BgL_optionalsz00);
		}
	}



/* &isfun-optionals */
	obj_t BGl_z62isfunzd2optionalszb0zzinline_inlinez00(obj_t BgL_envz00_2650,
		obj_t BgL_oz00_2651)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 69 */
			return
				(((BgL_sfunz00_bglt) CREF(
						((BgL_sfunz00_bglt)
							((BgL_sfunz00_bglt) BgL_oz00_2651))))->BgL_optionalsz00);
		}
	}



/* isfun-loc */
	BGL_EXPORTED_DEF obj_t BGl_isfunzd2loczd2zzinline_inlinez00(BgL_sfunz00_bglt
		BgL_oz00_42)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 71 */
			return
				(((BgL_sfunz00_bglt) CREF(
						((BgL_sfunz00_bglt) BgL_oz00_42)))->BgL_locz00);
		}
	}



/* &isfun-loc */
	obj_t BGl_z62isfunzd2loczb0zzinline_inlinez00(obj_t BgL_envz00_2652,
		obj_t BgL_oz00_2653)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 71 */
			return
				(((BgL_sfunz00_bglt) CREF(
						((BgL_sfunz00_bglt)
							((BgL_sfunz00_bglt) BgL_oz00_2653))))->BgL_locz00);
		}
	}



/* isfun-loc-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_isfunzd2loczd2setz12z12zzinline_inlinez00(BgL_sfunz00_bglt BgL_oz00_43,
		obj_t BgL_vz00_44)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 72 */
			return
				((((BgL_sfunz00_bglt) CREF(
							((BgL_sfunz00_bglt) BgL_oz00_43)))->BgL_locz00) =
				((obj_t) BgL_vz00_44), BUNSPEC);
		}
	}



/* &isfun-loc-set! */
	obj_t BGl_z62isfunzd2loczd2setz12z70zzinline_inlinez00(obj_t BgL_envz00_2654,
		obj_t BgL_oz00_2655, obj_t BgL_vz00_2656)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 72 */
			{	/* Inline/inline.sch 72 */
				BgL_sfunz00_bglt BgL_oz00_2956;

				BgL_oz00_2956 = ((BgL_sfunz00_bglt) BgL_oz00_2655);
				return
					((((BgL_sfunz00_bglt) CREF(
								((BgL_sfunz00_bglt) BgL_oz00_2956)))->BgL_locz00) =
					((obj_t) BgL_vz00_2656), BUNSPEC);
			}
		}
	}



/* isfun-dsssl-keywords */
	BGL_EXPORTED_DEF obj_t
		BGl_isfunzd2dssslzd2keywordsz00zzinline_inlinez00(BgL_sfunz00_bglt
		BgL_oz00_45)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 73 */
			return
				(((BgL_sfunz00_bglt) CREF(
						((BgL_sfunz00_bglt) BgL_oz00_45)))->BgL_dssslzd2keywordszd2);
		}
	}



/* &isfun-dsssl-keywords */
	obj_t BGl_z62isfunzd2dssslzd2keywordsz62zzinline_inlinez00(obj_t
		BgL_envz00_2657, obj_t BgL_oz00_2658)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 73 */
			return
				(((BgL_sfunz00_bglt) CREF(
						((BgL_sfunz00_bglt)
							((BgL_sfunz00_bglt) BgL_oz00_2658))))->BgL_dssslzd2keywordszd2);
		}
	}



/* isfun-dsssl-keywords-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_isfunzd2dssslzd2keywordszd2setz12zc0zzinline_inlinez00(BgL_sfunz00_bglt
		BgL_oz00_46, obj_t BgL_vz00_47)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 74 */
			return
				((((BgL_sfunz00_bglt) CREF(
							((BgL_sfunz00_bglt) BgL_oz00_46)))->BgL_dssslzd2keywordszd2) =
				((obj_t) BgL_vz00_47), BUNSPEC);
		}
	}



/* &isfun-dsssl-keywords-set! */
	obj_t BGl_z62isfunzd2dssslzd2keywordszd2setz12za2zzinline_inlinez00(obj_t
		BgL_envz00_2659, obj_t BgL_oz00_2660, obj_t BgL_vz00_2661)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 74 */
			{	/* Inline/inline.sch 74 */
				BgL_sfunz00_bglt BgL_oz00_2959;

				BgL_oz00_2959 = ((BgL_sfunz00_bglt) BgL_oz00_2660);
				return
					((((BgL_sfunz00_bglt) CREF(
								((BgL_sfunz00_bglt) BgL_oz00_2959)))->BgL_dssslzd2keywordszd2) =
					((obj_t) BgL_vz00_2661), BUNSPEC);
			}
		}
	}



/* isfun-class */
	BGL_EXPORTED_DEF obj_t BGl_isfunzd2classzd2zzinline_inlinez00(BgL_sfunz00_bglt
		BgL_oz00_48)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 75 */
			return
				(((BgL_sfunz00_bglt) CREF(
						((BgL_sfunz00_bglt) BgL_oz00_48)))->BgL_classz00);
		}
	}



/* &isfun-class */
	obj_t BGl_z62isfunzd2classzb0zzinline_inlinez00(obj_t BgL_envz00_2662,
		obj_t BgL_oz00_2663)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 75 */
			return
				(((BgL_sfunz00_bglt) CREF(
						((BgL_sfunz00_bglt)
							((BgL_sfunz00_bglt) BgL_oz00_2663))))->BgL_classz00);
		}
	}



/* isfun-class-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_isfunzd2classzd2setz12z12zzinline_inlinez00(BgL_sfunz00_bglt
		BgL_oz00_49, obj_t BgL_vz00_50)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 76 */
			return
				((((BgL_sfunz00_bglt) CREF(
							((BgL_sfunz00_bglt) BgL_oz00_49)))->BgL_classz00) =
				((obj_t) BgL_vz00_50), BUNSPEC);
		}
	}



/* &isfun-class-set! */
	obj_t BGl_z62isfunzd2classzd2setz12z70zzinline_inlinez00(obj_t
		BgL_envz00_2664, obj_t BgL_oz00_2665, obj_t BgL_vz00_2666)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 76 */
			{	/* Inline/inline.sch 76 */
				BgL_sfunz00_bglt BgL_oz00_2962;

				BgL_oz00_2962 = ((BgL_sfunz00_bglt) BgL_oz00_2665);
				return
					((((BgL_sfunz00_bglt) CREF(
								((BgL_sfunz00_bglt) BgL_oz00_2962)))->BgL_classz00) =
					((obj_t) BgL_vz00_2666), BUNSPEC);
			}
		}
	}



/* isfun-body */
	BGL_EXPORTED_DEF obj_t BGl_isfunzd2bodyzd2zzinline_inlinez00(BgL_sfunz00_bglt
		BgL_oz00_51)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 77 */
			return
				(((BgL_sfunz00_bglt) CREF(
						((BgL_sfunz00_bglt) BgL_oz00_51)))->BgL_bodyz00);
		}
	}



/* &isfun-body */
	obj_t BGl_z62isfunzd2bodyzb0zzinline_inlinez00(obj_t BgL_envz00_2667,
		obj_t BgL_oz00_2668)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 77 */
			return
				(((BgL_sfunz00_bglt) CREF(
						((BgL_sfunz00_bglt)
							((BgL_sfunz00_bglt) BgL_oz00_2668))))->BgL_bodyz00);
		}
	}



/* isfun-body-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_isfunzd2bodyzd2setz12z12zzinline_inlinez00(BgL_sfunz00_bglt BgL_oz00_52,
		obj_t BgL_vz00_53)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 78 */
			return
				((((BgL_sfunz00_bglt) CREF(
							((BgL_sfunz00_bglt) BgL_oz00_52)))->BgL_bodyz00) =
				((obj_t) BgL_vz00_53), BUNSPEC);
		}
	}



/* &isfun-body-set! */
	obj_t BGl_z62isfunzd2bodyzd2setz12z70zzinline_inlinez00(obj_t BgL_envz00_2669,
		obj_t BgL_oz00_2670, obj_t BgL_vz00_2671)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 78 */
			{	/* Inline/inline.sch 78 */
				BgL_sfunz00_bglt BgL_oz00_2965;

				BgL_oz00_2965 = ((BgL_sfunz00_bglt) BgL_oz00_2670);
				return
					((((BgL_sfunz00_bglt) CREF(
								((BgL_sfunz00_bglt) BgL_oz00_2965)))->BgL_bodyz00) =
					((obj_t) BgL_vz00_2671), BUNSPEC);
			}
		}
	}



/* isfun-args-name */
	BGL_EXPORTED_DEF obj_t
		BGl_isfunzd2argszd2namez00zzinline_inlinez00(BgL_sfunz00_bglt BgL_oz00_54)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 79 */
			return
				(((BgL_sfunz00_bglt) CREF(
						((BgL_sfunz00_bglt) BgL_oz00_54)))->BgL_argszd2namezd2);
		}
	}



/* &isfun-args-name */
	obj_t BGl_z62isfunzd2argszd2namez62zzinline_inlinez00(obj_t BgL_envz00_2672,
		obj_t BgL_oz00_2673)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 79 */
			return
				(((BgL_sfunz00_bglt) CREF(
						((BgL_sfunz00_bglt)
							((BgL_sfunz00_bglt) BgL_oz00_2673))))->BgL_argszd2namezd2);
		}
	}



/* isfun-args */
	BGL_EXPORTED_DEF obj_t BGl_isfunzd2argszd2zzinline_inlinez00(BgL_sfunz00_bglt
		BgL_oz00_57)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 81 */
			return
				(((BgL_sfunz00_bglt) CREF(
						((BgL_sfunz00_bglt) BgL_oz00_57)))->BgL_argsz00);
		}
	}



/* &isfun-args */
	obj_t BGl_z62isfunzd2argszb0zzinline_inlinez00(obj_t BgL_envz00_2674,
		obj_t BgL_oz00_2675)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 81 */
			return
				(((BgL_sfunz00_bglt) CREF(
						((BgL_sfunz00_bglt)
							((BgL_sfunz00_bglt) BgL_oz00_2675))))->BgL_argsz00);
		}
	}



/* isfun-args-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_isfunzd2argszd2setz12z12zzinline_inlinez00(BgL_sfunz00_bglt BgL_oz00_58,
		obj_t BgL_vz00_59)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 82 */
			return
				((((BgL_sfunz00_bglt) CREF(
							((BgL_sfunz00_bglt) BgL_oz00_58)))->BgL_argsz00) =
				((obj_t) BgL_vz00_59), BUNSPEC);
		}
	}



/* &isfun-args-set! */
	obj_t BGl_z62isfunzd2argszd2setz12z70zzinline_inlinez00(obj_t BgL_envz00_2676,
		obj_t BgL_oz00_2677, obj_t BgL_vz00_2678)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 82 */
			{	/* Inline/inline.sch 82 */
				BgL_sfunz00_bglt BgL_oz00_2969;

				BgL_oz00_2969 = ((BgL_sfunz00_bglt) BgL_oz00_2677);
				return
					((((BgL_sfunz00_bglt) CREF(
								((BgL_sfunz00_bglt) BgL_oz00_2969)))->BgL_argsz00) =
					((obj_t) BgL_vz00_2678), BUNSPEC);
			}
		}
	}



/* isfun-property */
	BGL_EXPORTED_DEF obj_t
		BGl_isfunzd2propertyzd2zzinline_inlinez00(BgL_sfunz00_bglt BgL_oz00_60)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 83 */
			return
				(((BgL_sfunz00_bglt) CREF(
						((BgL_sfunz00_bglt) BgL_oz00_60)))->BgL_propertyz00);
		}
	}



/* &isfun-property */
	obj_t BGl_z62isfunzd2propertyzb0zzinline_inlinez00(obj_t BgL_envz00_2679,
		obj_t BgL_oz00_2680)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 83 */
			return
				(((BgL_sfunz00_bglt) CREF(
						((BgL_sfunz00_bglt)
							((BgL_sfunz00_bglt) BgL_oz00_2680))))->BgL_propertyz00);
		}
	}



/* isfun-property-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_isfunzd2propertyzd2setz12z12zzinline_inlinez00(BgL_sfunz00_bglt
		BgL_oz00_61, obj_t BgL_vz00_62)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 84 */
			return
				((((BgL_sfunz00_bglt) CREF(
							((BgL_sfunz00_bglt) BgL_oz00_61)))->BgL_propertyz00) =
				((obj_t) BgL_vz00_62), BUNSPEC);
		}
	}



/* &isfun-property-set! */
	obj_t BGl_z62isfunzd2propertyzd2setz12z70zzinline_inlinez00(obj_t
		BgL_envz00_2681, obj_t BgL_oz00_2682, obj_t BgL_vz00_2683)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 84 */
			{	/* Inline/inline.sch 84 */
				BgL_sfunz00_bglt BgL_oz00_2972;

				BgL_oz00_2972 = ((BgL_sfunz00_bglt) BgL_oz00_2682);
				return
					((((BgL_sfunz00_bglt) CREF(
								((BgL_sfunz00_bglt) BgL_oz00_2972)))->BgL_propertyz00) =
					((obj_t) BgL_vz00_2683), BUNSPEC);
			}
		}
	}



/* isfun-effect */
	BGL_EXPORTED_DEF obj_t
		BGl_isfunzd2effectzd2zzinline_inlinez00(BgL_sfunz00_bglt BgL_oz00_63)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 85 */
			return
				(((BgL_funz00_bglt) CREF(
						((BgL_funz00_bglt) BgL_oz00_63)))->BgL_effectz00);
		}
	}



/* &isfun-effect */
	obj_t BGl_z62isfunzd2effectzb0zzinline_inlinez00(obj_t BgL_envz00_2684,
		obj_t BgL_oz00_2685)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 85 */
			return
				(((BgL_funz00_bglt) CREF(
						((BgL_funz00_bglt)
							((BgL_sfunz00_bglt) BgL_oz00_2685))))->BgL_effectz00);
		}
	}



/* isfun-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_isfunzd2effectzd2setz12z12zzinline_inlinez00(BgL_sfunz00_bglt
		BgL_oz00_64, obj_t BgL_vz00_65)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 86 */
			return
				((((BgL_funz00_bglt) CREF(
							((BgL_funz00_bglt) BgL_oz00_64)))->BgL_effectz00) =
				((obj_t) BgL_vz00_65), BUNSPEC);
		}
	}



/* &isfun-effect-set! */
	obj_t BGl_z62isfunzd2effectzd2setz12z70zzinline_inlinez00(obj_t
		BgL_envz00_2686, obj_t BgL_oz00_2687, obj_t BgL_vz00_2688)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 86 */
			{	/* Inline/inline.sch 86 */
				BgL_sfunz00_bglt BgL_oz00_2975;

				BgL_oz00_2975 = ((BgL_sfunz00_bglt) BgL_oz00_2687);
				return
					((((BgL_funz00_bglt) CREF(
								((BgL_funz00_bglt) BgL_oz00_2975)))->BgL_effectz00) =
					((obj_t) BgL_vz00_2688), BUNSPEC);
			}
		}
	}



/* isfun-the-closure */
	BGL_EXPORTED_DEF obj_t
		BGl_isfunzd2thezd2closurez00zzinline_inlinez00(BgL_sfunz00_bglt BgL_oz00_66)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 87 */
			return
				(((BgL_funz00_bglt) CREF(
						((BgL_funz00_bglt) BgL_oz00_66)))->BgL_thezd2closurezd2);
		}
	}



/* &isfun-the-closure */
	obj_t BGl_z62isfunzd2thezd2closurez62zzinline_inlinez00(obj_t BgL_envz00_2689,
		obj_t BgL_oz00_2690)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 87 */
			return
				(((BgL_funz00_bglt) CREF(
						((BgL_funz00_bglt)
							((BgL_sfunz00_bglt) BgL_oz00_2690))))->BgL_thezd2closurezd2);
		}
	}



/* isfun-the-closure-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_isfunzd2thezd2closurezd2setz12zc0zzinline_inlinez00(BgL_sfunz00_bglt
		BgL_oz00_67, obj_t BgL_vz00_68)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 88 */
			return
				((((BgL_funz00_bglt) CREF(
							((BgL_funz00_bglt) BgL_oz00_67)))->BgL_thezd2closurezd2) =
				((obj_t) BgL_vz00_68), BUNSPEC);
		}
	}



/* &isfun-the-closure-set! */
	obj_t BGl_z62isfunzd2thezd2closurezd2setz12za2zzinline_inlinez00(obj_t
		BgL_envz00_2691, obj_t BgL_oz00_2692, obj_t BgL_vz00_2693)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 88 */
			{	/* Inline/inline.sch 88 */
				BgL_sfunz00_bglt BgL_oz00_2978;

				BgL_oz00_2978 = ((BgL_sfunz00_bglt) BgL_oz00_2692);
				return
					((((BgL_funz00_bglt) CREF(
								((BgL_funz00_bglt) BgL_oz00_2978)))->BgL_thezd2closurezd2) =
					((obj_t) BgL_vz00_2693), BUNSPEC);
			}
		}
	}



/* isfun-top? */
	BGL_EXPORTED_DEF bool_t
		BGl_isfunzd2topzf3z21zzinline_inlinez00(BgL_sfunz00_bglt BgL_oz00_69)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 89 */
			return
				(((BgL_funz00_bglt) CREF(
						((BgL_funz00_bglt) BgL_oz00_69)))->BgL_topzf3zf3);
		}
	}



/* &isfun-top? */
	obj_t BGl_z62isfunzd2topzf3z43zzinline_inlinez00(obj_t BgL_envz00_2694,
		obj_t BgL_oz00_2695)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 89 */
			return
				BBOOL(
				(((BgL_funz00_bglt) CREF(
							((BgL_funz00_bglt)
								((BgL_sfunz00_bglt) BgL_oz00_2695))))->BgL_topzf3zf3));
		}
	}



/* isfun-top?-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_isfunzd2topzf3zd2setz12ze1zzinline_inlinez00(BgL_sfunz00_bglt
		BgL_oz00_70, bool_t BgL_vz00_71)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 90 */
			return
				((((BgL_funz00_bglt) CREF(
							((BgL_funz00_bglt) BgL_oz00_70)))->BgL_topzf3zf3) =
				((bool_t) BgL_vz00_71), BUNSPEC);
		}
	}



/* &isfun-top?-set! */
	obj_t BGl_z62isfunzd2topzf3zd2setz12z83zzinline_inlinez00(obj_t
		BgL_envz00_2696, obj_t BgL_oz00_2697, obj_t BgL_vz00_2698)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 90 */
			{	/* Inline/inline.sch 90 */
				BgL_sfunz00_bglt BgL_oz00_2981;
				bool_t BgL_vz00_2982;

				BgL_oz00_2981 = ((BgL_sfunz00_bglt) BgL_oz00_2697);
				BgL_vz00_2982 = CBOOL(BgL_vz00_2698);
				return
					((((BgL_funz00_bglt) CREF(
								((BgL_funz00_bglt) BgL_oz00_2981)))->BgL_topzf3zf3) =
					((bool_t) BgL_vz00_2982), BUNSPEC);
			}
		}
	}



/* isfun-stack-allocator */
	BGL_EXPORTED_DEF obj_t
		BGl_isfunzd2stackzd2allocatorz00zzinline_inlinez00(BgL_sfunz00_bglt
		BgL_oz00_72)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 91 */
			return
				(((BgL_funz00_bglt) CREF(
						((BgL_funz00_bglt) BgL_oz00_72)))->BgL_stackzd2allocatorzd2);
		}
	}



/* &isfun-stack-allocator */
	obj_t BGl_z62isfunzd2stackzd2allocatorz62zzinline_inlinez00(obj_t
		BgL_envz00_2699, obj_t BgL_oz00_2700)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 91 */
			return
				(((BgL_funz00_bglt) CREF(
						((BgL_funz00_bglt)
							((BgL_sfunz00_bglt) BgL_oz00_2700))))->BgL_stackzd2allocatorzd2);
		}
	}



/* isfun-stack-allocator-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_isfunzd2stackzd2allocatorzd2setz12zc0zzinline_inlinez00(BgL_sfunz00_bglt
		BgL_oz00_73, obj_t BgL_vz00_74)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 92 */
			return
				((((BgL_funz00_bglt) CREF(
							((BgL_funz00_bglt) BgL_oz00_73)))->BgL_stackzd2allocatorzd2) =
				((obj_t) BgL_vz00_74), BUNSPEC);
		}
	}



/* &isfun-stack-allocator-set! */
	obj_t BGl_z62isfunzd2stackzd2allocatorzd2setz12za2zzinline_inlinez00(obj_t
		BgL_envz00_2701, obj_t BgL_oz00_2702, obj_t BgL_vz00_2703)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 92 */
			{	/* Inline/inline.sch 92 */
				BgL_sfunz00_bglt BgL_oz00_2984;

				BgL_oz00_2984 = ((BgL_sfunz00_bglt) BgL_oz00_2702);
				return
					((((BgL_funz00_bglt) CREF(
								((BgL_funz00_bglt) BgL_oz00_2984)))->BgL_stackzd2allocatorzd2) =
					((obj_t) BgL_vz00_2703), BUNSPEC);
			}
		}
	}



/* isfun-predicate-of */
	BGL_EXPORTED_DEF obj_t
		BGl_isfunzd2predicatezd2ofz00zzinline_inlinez00(BgL_sfunz00_bglt
		BgL_oz00_75)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 93 */
			return
				(((BgL_funz00_bglt) CREF(
						((BgL_funz00_bglt) BgL_oz00_75)))->BgL_predicatezd2ofzd2);
		}
	}



/* &isfun-predicate-of */
	obj_t BGl_z62isfunzd2predicatezd2ofz62zzinline_inlinez00(obj_t
		BgL_envz00_2704, obj_t BgL_oz00_2705)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 93 */
			return
				(((BgL_funz00_bglt) CREF(
						((BgL_funz00_bglt)
							((BgL_sfunz00_bglt) BgL_oz00_2705))))->BgL_predicatezd2ofzd2);
		}
	}



/* isfun-predicate-of-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_isfunzd2predicatezd2ofzd2setz12zc0zzinline_inlinez00(BgL_sfunz00_bglt
		BgL_oz00_76, obj_t BgL_vz00_77)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 94 */
			return
				((((BgL_funz00_bglt) CREF(
							((BgL_funz00_bglt) BgL_oz00_76)))->BgL_predicatezd2ofzd2) =
				((obj_t) BgL_vz00_77), BUNSPEC);
		}
	}



/* &isfun-predicate-of-set! */
	obj_t BGl_z62isfunzd2predicatezd2ofzd2setz12za2zzinline_inlinez00(obj_t
		BgL_envz00_2706, obj_t BgL_oz00_2707, obj_t BgL_vz00_2708)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 94 */
			{	/* Inline/inline.sch 94 */
				BgL_sfunz00_bglt BgL_oz00_2987;

				BgL_oz00_2987 = ((BgL_sfunz00_bglt) BgL_oz00_2707);
				return
					((((BgL_funz00_bglt) CREF(
								((BgL_funz00_bglt) BgL_oz00_2987)))->BgL_predicatezd2ofzd2) =
					((obj_t) BgL_vz00_2708), BUNSPEC);
			}
		}
	}



/* isfun-side-effect */
	BGL_EXPORTED_DEF obj_t
		BGl_isfunzd2sidezd2effectz00zzinline_inlinez00(BgL_sfunz00_bglt BgL_oz00_78)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 95 */
			return
				(((BgL_funz00_bglt) CREF(
						((BgL_funz00_bglt) BgL_oz00_78)))->BgL_sidezd2effectzd2);
		}
	}



/* &isfun-side-effect */
	obj_t BGl_z62isfunzd2sidezd2effectz62zzinline_inlinez00(obj_t BgL_envz00_2709,
		obj_t BgL_oz00_2710)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 95 */
			return
				(((BgL_funz00_bglt) CREF(
						((BgL_funz00_bglt)
							((BgL_sfunz00_bglt) BgL_oz00_2710))))->BgL_sidezd2effectzd2);
		}
	}



/* isfun-side-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_isfunzd2sidezd2effectzd2setz12zc0zzinline_inlinez00(BgL_sfunz00_bglt
		BgL_oz00_79, obj_t BgL_vz00_80)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 96 */
			return
				((((BgL_funz00_bglt) CREF(
							((BgL_funz00_bglt) BgL_oz00_79)))->BgL_sidezd2effectzd2) =
				((obj_t) BgL_vz00_80), BUNSPEC);
		}
	}



/* &isfun-side-effect-set! */
	obj_t BGl_z62isfunzd2sidezd2effectzd2setz12za2zzinline_inlinez00(obj_t
		BgL_envz00_2711, obj_t BgL_oz00_2712, obj_t BgL_vz00_2713)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 96 */
			{	/* Inline/inline.sch 96 */
				BgL_sfunz00_bglt BgL_oz00_2990;

				BgL_oz00_2990 = ((BgL_sfunz00_bglt) BgL_oz00_2712);
				return
					((((BgL_funz00_bglt) CREF(
								((BgL_funz00_bglt) BgL_oz00_2990)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_vz00_2713), BUNSPEC);
			}
		}
	}



/* isfun-arity */
	BGL_EXPORTED_DEF long BGl_isfunzd2arityzd2zzinline_inlinez00(BgL_sfunz00_bglt
		BgL_oz00_81)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 97 */
			return
				(((BgL_funz00_bglt) CREF(
						((BgL_funz00_bglt) BgL_oz00_81)))->BgL_arityz00);
		}
	}



/* &isfun-arity */
	obj_t BGl_z62isfunzd2arityzb0zzinline_inlinez00(obj_t BgL_envz00_2714,
		obj_t BgL_oz00_2715)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 97 */
			return
				BINT(
				(((BgL_funz00_bglt) CREF(
							((BgL_funz00_bglt)
								((BgL_sfunz00_bglt) BgL_oz00_2715))))->BgL_arityz00));
		}
	}



/* inline-sfun! */
	BGL_EXPORTED_DEF obj_t
		BGl_inlinezd2sfunz12zc0zzinline_inlinez00(BgL_variablez00_bglt
		BgL_variablez00_84, long BgL_kfactorz00_85, obj_t BgL_stackz00_86)
	{
		AN_OBJECT;
		{	/* Inline/inline.scm 35 */
			{	/* Inline/inline.scm 38 */
				BgL_valuez00_bglt BgL_sfunz00_1306;

				BgL_sfunz00_1306 =
					(((BgL_variablez00_bglt) CREF(BgL_variablez00_84))->BgL_valuez00);
				{	/* Inline/inline.scm 38 */
					BgL_valuez00_bglt BgL_isfunz00_1307;

					{	/* Inline/inline.scm 41 */
						BgL_sfunz00_bglt BgL_tmp1172z00_1317;

						BgL_tmp1172z00_1317 = ((BgL_sfunz00_bglt) BgL_sfunz00_1306);
						{	/* Inline/inline.scm 41 */
							BgL_sfunz00_bglt BgL_tmp1173z00_1318;
							BgL_isfunz00_bglt BgL_wide1174z00_1319;

							BgL_tmp1173z00_1318 = ((BgL_sfunz00_bglt) BgL_tmp1172z00_1317);
							BgL_wide1174z00_1319 =
								((BgL_isfunz00_bglt) BREF(GC_MALLOC(sizeof(struct
											BgL_isfunz00_bgl))));
							{	/* Inline/inline.scm 41 */
								obj_t BgL_auxz00_3403;
								BgL_objectz00_bglt BgL_auxz00_3401;

								BgL_auxz00_3403 = ((obj_t) BgL_wide1174z00_1319);
								BgL_auxz00_3401 = ((BgL_objectz00_bglt) BgL_tmp1173z00_1318);
								BGL_OBJECT_WIDENING_SET(BgL_auxz00_3401, BgL_auxz00_3403);
							}
							{	/* Inline/inline.scm 41 */
								long BgL_arg1985z00_1320;

								{	/* Inline/inline.scm 41 */
									long BgL_res2163z00_2352;

									{	/* Inline/inline.scm 41 */
										obj_t BgL_classz00_2349;

										BgL_classz00_2349 = BGl_isfunz00zzinline_inlinez00;
										{	/* Inline/inline.scm 41 */
											obj_t BgL_vectorz00_2350;
											int BgL_kz00_2351;

											BgL_vectorz00_2350 = BgL_classz00_2349;
											BgL_kz00_2351 = (int) (((long) 1));
											BgL_res2163z00_2352 =
												(long) CINT(VECTOR_REF(BgL_vectorz00_2350,
													BgL_kz00_2351));
									}}
									BgL_arg1985z00_1320 = BgL_res2163z00_2352;
								}
								{	/* Inline/inline.scm 41 */
									BgL_objectz00_bglt BgL_objz00_2353;

									BgL_objz00_2353 = ((BgL_objectz00_bglt) BgL_tmp1173z00_1318);
									((BgL_sfunz00_bglt)
										BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2353,
											BgL_arg1985z00_1320));
							}} BgL_tmp1173z00_1318;
						}
						{	/* Inline/inline.scm 41 */
							BgL_sfunz00_bglt BgL_new1175z00_1321;

							BgL_new1175z00_1321 = ((BgL_sfunz00_bglt) BgL_tmp1172z00_1317);
							{
								BgL_isfunz00_bglt BgL_auxz00_3413;

								{
									obj_t BgL_auxz00_3414;

									{	/* Inline/inline.scm 41 */
										BgL_objectz00_bglt BgL_auxz00_3415;

										BgL_auxz00_3415 =
											((BgL_objectz00_bglt) BgL_new1175z00_1321);
										BgL_auxz00_3414 = BGL_OBJECT_WIDENING(BgL_auxz00_3415);
									}
									BgL_auxz00_3413 = ((BgL_isfunz00_bglt) BgL_auxz00_3414);
								}
								((((BgL_isfunz00_bglt) CREF(BgL_auxz00_3413))->
										BgL_originalzd2bodyzd2) =
									((BgL_nodez00_bglt) ((BgL_nodez00_bglt) (((BgL_sfunz00_bglt)
													CREF(((BgL_sfunz00_bglt) BgL_sfunz00_1306)))->
												BgL_bodyz00))), BUNSPEC);
							}
							{
								BgL_isfunz00_bglt BgL_auxz00_3423;

								{
									obj_t BgL_auxz00_3424;

									{	/* Inline/inline.scm 41 */
										BgL_objectz00_bglt BgL_auxz00_3425;

										BgL_auxz00_3425 =
											((BgL_objectz00_bglt) BgL_new1175z00_1321);
										BgL_auxz00_3424 = BGL_OBJECT_WIDENING(BgL_auxz00_3425);
									}
									BgL_auxz00_3423 = ((BgL_isfunz00_bglt) BgL_auxz00_3424);
								}
								((((BgL_isfunz00_bglt) CREF(BgL_auxz00_3423))->
										BgL_recursivezd2callszd2) = ((obj_t) BUNSPEC), BUNSPEC);
							}
							BgL_isfunz00_1307 = ((BgL_valuez00_bglt) BgL_new1175z00_1321);
					}}
					{	/* Inline/inline.scm 39 */
						BgL_nodez00_bglt BgL_ozd2bodyzd2_1308;

						{
							BgL_isfunz00_bglt BgL_auxz00_3431;

							{
								obj_t BgL_auxz00_3432;

								{	/* Inline/inline.scm 42 */
									BgL_objectz00_bglt BgL_auxz00_3433;

									BgL_auxz00_3433 =
										((BgL_objectz00_bglt)
										((BgL_sfunz00_bglt) BgL_isfunz00_1307));
									BgL_auxz00_3432 = BGL_OBJECT_WIDENING(BgL_auxz00_3433);
								}
								BgL_auxz00_3431 = ((BgL_isfunz00_bglt) BgL_auxz00_3432);
							}
							BgL_ozd2bodyzd2_1308 =
								(((BgL_isfunz00_bglt) CREF(BgL_auxz00_3431))->
								BgL_originalzd2bodyzd2);
						}
						{	/* Inline/inline.scm 42 */
							BgL_nodez00_bglt BgL_inlzd2bodyzd2_1309;

							{	/* Inline/inline.scm 43 */
								bool_t BgL_testz00_3439;

								{	/* Inline/inline.scm 45 */
									long BgL_arg1980z00_1313;

									BgL_arg1980z00_1313 =
										(((long) 1) +
										bgl_list_length(
											(((BgL_sfunz00_bglt) CREF(
														((BgL_sfunz00_bglt) BgL_sfunz00_1306)))->
												BgL_argsz00)));
									BgL_testz00_3439 =
										BGl_inlinezd2appzf3z21zzinline_appz00(BgL_variablez00_84,
										(long) CINT(BGl_za2kfactorza2z00zzinline_walkz00),
										BgL_arg1980z00_1313, BNIL);
								}
								if (BgL_testz00_3439)
									{	/* Inline/inline.scm 43 */
										BgL_inlzd2bodyzd2_1309 =
											BGl_alphatiza7eza7zzast_alphatiza7eza7(BNIL, BNIL, BFALSE,
											BgL_ozd2bodyzd2_1308);
									}
								else
									{	/* Inline/inline.scm 43 */
										BgL_inlzd2bodyzd2_1309 = BgL_ozd2bodyzd2_1308;
									}
							}
							{	/* Inline/inline.scm 43 */

								{	/* Inline/inline.scm 56 */
									BgL_nodez00_bglt BgL_arg1977z00_1310;

									{	/* Inline/inline.scm 56 */
										obj_t BgL_arg1978z00_1311;

										BgL_arg1978z00_1311 =
											MAKE_PAIR(((obj_t) BgL_variablez00_84), BgL_stackz00_86);
										BgL_arg1977z00_1310 =
											BGl_inlinezd2nodezd2zzinline_inlinez00
											(BgL_inlzd2bodyzd2_1309, BgL_kfactorz00_85,
											BgL_arg1978z00_1311);
									}
									{	/* Inline/inline.scm 54 */
										BgL_sfunz00_bglt BgL_oz00_2365;
										obj_t BgL_vz00_2366;

										BgL_oz00_2365 = ((BgL_sfunz00_bglt) BgL_sfunz00_1306);
										BgL_vz00_2366 = ((obj_t) BgL_arg1977z00_1310);
										((((BgL_sfunz00_bglt) CREF(BgL_oz00_2365))->BgL_bodyz00) =
											((obj_t) BgL_vz00_2366), BUNSPEC);
									}
								}
								return BNIL;
							}
						}
					}
				}
			}
		}
	}



/* &inline-sfun! */
	obj_t BGl_z62inlinezd2sfunz12za2zzinline_inlinez00(obj_t BgL_envz00_2716,
		obj_t BgL_variablez00_2717, obj_t BgL_kfactorz00_2718,
		obj_t BgL_stackz00_2719)
	{
		AN_OBJECT;
		{	/* Inline/inline.scm 35 */
			return
				BGl_inlinezd2sfunz12zc0zzinline_inlinez00(
				((BgL_variablez00_bglt) BgL_variablez00_2717),
				(long) CINT(BgL_kfactorz00_2718), BgL_stackz00_2719);
		}
	}



/* inline-node*! */
	BGL_EXPORTED_DEF obj_t BGl_inlinezd2nodeza2z12z62zzinline_inlinez00(obj_t
		BgL_nodeza2za2_150, obj_t BgL_kfactorz00_151, obj_t BgL_stackz00_152)
	{
		AN_OBJECT;
		{	/* Inline/inline.scm 246 */
		BGl_inlinezd2nodeza2z12z62zzinline_inlinez00:
			if (NULLP(BgL_nodeza2za2_150))
				{	/* Inline/inline.scm 247 */
					return CNST_TABLE_REF(((long) 0));
				}
			else
				{	/* Inline/inline.scm 247 */
					{	/* Inline/inline.scm 250 */
						BgL_nodez00_bglt BgL_arg1987z00_1323;

						{	/* Inline/inline.scm 250 */
							obj_t BgL_arg1988z00_1324;

							BgL_arg1988z00_1324 = CAR(BgL_nodeza2za2_150);
							BgL_arg1987z00_1323 =
								BGl_inlinezd2nodezd2zzinline_inlinez00(
								((BgL_nodez00_bglt) BgL_arg1988z00_1324),
								(long) CINT(BgL_kfactorz00_151), BgL_stackz00_152);
						}
						{	/* Inline/inline.scm 250 */
							obj_t BgL_pairz00_2371;
							obj_t BgL_objz00_2372;

							BgL_pairz00_2371 = BgL_nodeza2za2_150;
							BgL_objz00_2372 = ((obj_t) BgL_arg1987z00_1323);
							SET_CAR(BgL_pairz00_2371, BgL_objz00_2372);
					}}
					{
						obj_t BgL_nodeza2za2_3465;

						BgL_nodeza2za2_3465 = CDR(BgL_nodeza2za2_150);
						BgL_nodeza2za2_150 = BgL_nodeza2za2_3465;
						goto BGl_inlinezd2nodeza2z12z62zzinline_inlinez00;
					}
				}
		}
	}



/* &inline-node*! */
	obj_t BGl_z62inlinezd2nodeza2z12z00zzinline_inlinez00(obj_t BgL_envz00_2722,
		obj_t BgL_nodeza2za2_2723, obj_t BgL_kfactorz00_2724,
		obj_t BgL_stackz00_2725)
	{
		AN_OBJECT;
		{	/* Inline/inline.scm 246 */
			return
				BGl_inlinezd2nodeza2z12z62zzinline_inlinez00(BgL_nodeza2za2_2723,
				BgL_kfactorz00_2724, BgL_stackz00_2725);
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzinline_inlinez00()
	{
		AN_OBJECT;
		{	/* Inline/inline.scm 15 */
			{	/* Inline/inline.scm 26 */
				obj_t BgL_arg1994z00_1330;
				obj_t BgL_arg1996z00_1331;

				{	/* Inline/inline.scm 26 */
					obj_t BgL_v1927z00_1372;

					BgL_v1927z00_1372 = create_vector((int) (((long) 2)));
					{	/* Inline/inline.scm 26 */
						obj_t BgL_arg2007z00_1373;

						BgL_arg2007z00_1373 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									1)), BGl_proc2202z00zzinline_inlinez00,
							BGl_proc2201z00zzinline_inlinez00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2200z00zzinline_inlinez00,
							CNST_TABLE_REF(((long) 2)));
						VECTOR_SET(BgL_v1927z00_1372, (int) (((long) 1)),
							BgL_arg2007z00_1373);
					}
					{	/* Inline/inline.scm 26 */
						obj_t BgL_arg2016z00_1388;

						BgL_arg2016z00_1388 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									3)), BGl_proc2204z00zzinline_inlinez00,
							BGl_proc2203z00zzinline_inlinez00, ((bool_t) 1), ((bool_t) 0),
							BFALSE, BFALSE, BGl_nodez00zzast_nodez00);
						VECTOR_SET(BgL_v1927z00_1372, (int) (((long) 0)),
							BgL_arg2016z00_1388);
					}
					BgL_arg1994z00_1330 = BgL_v1927z00_1372;
				}
				{	/* Inline/inline.scm 26 */
					obj_t BgL_v1928z00_1400;

					BgL_v1928z00_1400 = create_vector((int) (((long) 0)));
					BgL_arg1996z00_1331 = BgL_v1928z00_1400;
				}
				return (BGl_isfunz00zzinline_inlinez00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 4)),
						CNST_TABLE_REF(((long) 5)), BGl_sfunz00zzast_varz00, ((long) 59763),
						BGl_proc2208z00zzinline_inlinez00,
						BGl_proc2207z00zzinline_inlinez00, BFALSE,
						BGl_proc2206z00zzinline_inlinez00,
						BGl_proc2205z00zzinline_inlinez00, BgL_arg1994z00_1330,
						BgL_arg1996z00_1331), BUNSPEC);
		}}
	}



/* &lambda2003 */
	BgL_sfunz00_bglt BGl_z62lambda2003z62zzinline_inlinez00(obj_t BgL_envz00_2735,
		obj_t BgL_o1120z00_2736)
	{
		AN_OBJECT;
		{	/* Inline/inline.scm 26 */
			{
				BgL_sfunz00_bglt BgL_o1120z00_1366;

				BgL_o1120z00_1366 = ((BgL_sfunz00_bglt) BgL_o1120z00_2736);
				{	/* Inline/inline.scm 26 */
					long BgL_arg2004z00_1369;

					{	/* Inline/inline.scm 26 */
						obj_t BgL_arg2005z00_1370;

						{	/* Inline/inline.scm 26 */
							obj_t BgL_arg2006z00_1371;

							{	/* Inline/inline.scm 26 */
								BgL_objectz00_bglt BgL_objectz00_2402;

								BgL_objectz00_2402 = ((BgL_objectz00_bglt) BgL_o1120z00_1366);
								{	/* Inline/inline.scm 26 */
									long BgL_arg1810z00_2403;

									{	/* Inline/inline.scm 26 */
										long BgL_arg1811z00_2404;

										{	/* Inline/inline.scm 26 */
											long BgL_res2170z00_2406;

											BgL_res2170z00_2406 =
												BGL_OBJECT_CLASS_NUM(BgL_objectz00_2402);
											BgL_arg1811z00_2404 = BgL_res2170z00_2406;
										}
										BgL_arg1810z00_2403 = (BgL_arg1811z00_2404 - OBJECT_TYPE);
									}
									BgL_arg2006z00_1371 =
										VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
										(int) (BgL_arg1810z00_2403));
							}}
							BgL_arg2005z00_1370 =
								BGl_classzd2superzd2zz__objectz00(BgL_arg2006z00_1371);
						}
						{	/* Inline/inline.scm 26 */
							long BgL_res2172z00_2415;

							{	/* Inline/inline.scm 26 */
								obj_t BgL_classz00_2412;

								BgL_classz00_2412 = BgL_arg2005z00_1370;
								{	/* Inline/inline.scm 26 */
									obj_t BgL_vectorz00_2413;
									int BgL_kz00_2414;

									BgL_vectorz00_2413 = BgL_classz00_2412;
									BgL_kz00_2414 = (int) (((long) 1));
									BgL_res2172z00_2415 =
										(long) CINT(VECTOR_REF(BgL_vectorz00_2413, BgL_kz00_2414));
							}}
							BgL_arg2004z00_1369 = BgL_res2172z00_2415;
					}}
					{	/* Inline/inline.scm 26 */
						BgL_objectz00_bglt BgL_objz00_2416;

						BgL_objz00_2416 = ((BgL_objectz00_bglt) BgL_o1120z00_1366);
						BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2416, BgL_arg2004z00_1369);
				}}
				{	/* Inline/inline.scm 26 */
					BgL_objectz00_bglt BgL_auxz00_3495;

					BgL_auxz00_3495 = ((BgL_objectz00_bglt) BgL_o1120z00_1366);
					BGL_OBJECT_WIDENING_SET(BgL_auxz00_3495, BFALSE);
				}
				return ((BgL_sfunz00_bglt) BgL_o1120z00_1366);
			}
		}
	}



/* &<anonymous:2002> */
	BgL_sfunz00_bglt BGl_z62zc3anonymousza32002ze3ze1zzinline_inlinez00(obj_t
		BgL_envz00_2737, obj_t BgL_new1119z00_2738)
	{
		AN_OBJECT;
		{	/* Inline/inline.scm 26 */
			{
				BgL_sfunz00_bglt BgL_new1119z00_1364;

				BgL_new1119z00_1364 = ((BgL_sfunz00_bglt) BgL_new1119z00_2738);
				((((BgL_funz00_bglt) CREF(
								((BgL_funz00_bglt) BgL_new1119z00_1364)))->BgL_arityz00) =
					((long) ((long) 0)), BUNSPEC);
				((((BgL_funz00_bglt) CREF(((BgL_funz00_bglt) BgL_new1119z00_1364)))->
						BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_funz00_bglt) CREF(((BgL_funz00_bglt) BgL_new1119z00_1364)))->
						BgL_predicatezd2ofzd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_funz00_bglt) CREF(((BgL_funz00_bglt) BgL_new1119z00_1364)))->
						BgL_stackzd2allocatorzd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_funz00_bglt) CREF(((BgL_funz00_bglt) BgL_new1119z00_1364)))->
						BgL_topzf3zf3) = ((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_funz00_bglt) CREF(((BgL_funz00_bglt) BgL_new1119z00_1364)))->
						BgL_thezd2closurezd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_funz00_bglt) CREF(((BgL_funz00_bglt) BgL_new1119z00_1364)))->
						BgL_effectz00) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sfunz00_bglt) CREF(((BgL_sfunz00_bglt) BgL_new1119z00_1364)))->
						BgL_propertyz00) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sfunz00_bglt) CREF(((BgL_sfunz00_bglt) BgL_new1119z00_1364)))->
						BgL_argsz00) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sfunz00_bglt) CREF(((BgL_sfunz00_bglt) BgL_new1119z00_1364)))->
						BgL_argszd2namezd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sfunz00_bglt) CREF(((BgL_sfunz00_bglt) BgL_new1119z00_1364)))->
						BgL_bodyz00) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sfunz00_bglt) CREF(((BgL_sfunz00_bglt) BgL_new1119z00_1364)))->
						BgL_classz00) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sfunz00_bglt) CREF(((BgL_sfunz00_bglt) BgL_new1119z00_1364)))->
						BgL_dssslzd2keywordszd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sfunz00_bglt) CREF(((BgL_sfunz00_bglt) BgL_new1119z00_1364)))->
						BgL_locz00) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sfunz00_bglt) CREF(((BgL_sfunz00_bglt) BgL_new1119z00_1364)))->
						BgL_optionalsz00) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sfunz00_bglt) CREF(((BgL_sfunz00_bglt) BgL_new1119z00_1364)))->
						BgL_keysz00) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sfunz00_bglt) CREF(((BgL_sfunz00_bglt) BgL_new1119z00_1364)))->
						BgL_thezd2closurezd2globalz00) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sfunz00_bglt) CREF(((BgL_sfunz00_bglt) BgL_new1119z00_1364)))->
						BgL_strengthz00) = ((obj_t) CNST_TABLE_REF(((long) 6))), BUNSPEC);
				{
					BgL_isfunz00_bglt BgL_auxz00_3537;

					{
						obj_t BgL_auxz00_3538;

						{	/* Inline/inline.scm 26 */
							BgL_objectz00_bglt BgL_auxz00_3539;

							BgL_auxz00_3539 = ((BgL_objectz00_bglt) BgL_new1119z00_1364);
							BgL_auxz00_3538 = BGL_OBJECT_WIDENING(BgL_auxz00_3539);
						}
						BgL_auxz00_3537 = ((BgL_isfunz00_bglt) BgL_auxz00_3538);
					}
					((((BgL_isfunz00_bglt) CREF(BgL_auxz00_3537))->
							BgL_originalzd2bodyzd2) =
						((BgL_nodez00_bglt) ((BgL_nodez00_bglt)
								BGl_classzd2nilzd2zz__objectz00(BGl_nodez00zzast_nodez00))),
						BUNSPEC);
				}
				{
					BgL_isfunz00_bglt BgL_auxz00_3546;

					{
						obj_t BgL_auxz00_3547;

						{	/* Inline/inline.scm 26 */
							BgL_objectz00_bglt BgL_auxz00_3548;

							BgL_auxz00_3548 = ((BgL_objectz00_bglt) BgL_new1119z00_1364);
							BgL_auxz00_3547 = BGL_OBJECT_WIDENING(BgL_auxz00_3548);
						}
						BgL_auxz00_3546 = ((BgL_isfunz00_bglt) BgL_auxz00_3547);
					}
					((((BgL_isfunz00_bglt) CREF(BgL_auxz00_3546))->
							BgL_recursivezd2callszd2) = ((obj_t) BUNSPEC), BUNSPEC);
				}
				return BgL_new1119z00_1364;
			}
		}
	}



/* &lambda2000 */
	BgL_sfunz00_bglt BGl_z62lambda2000z62zzinline_inlinez00(obj_t BgL_envz00_2739,
		obj_t BgL_o1115z00_2740)
	{
		AN_OBJECT;
		{	/* Inline/inline.scm 26 */
			{
				BgL_sfunz00_bglt BgL_o1115z00_1359;

				BgL_o1115z00_1359 = ((BgL_sfunz00_bglt) BgL_o1115z00_2740);
				{	/* Inline/inline.scm 26 */
					BgL_sfunz00_bglt BgL_tmp1116z00_1361;
					BgL_isfunz00_bglt BgL_wide1117z00_1362;

					BgL_tmp1116z00_1361 = ((BgL_sfunz00_bglt) BgL_o1115z00_1359);
					BgL_wide1117z00_1362 =
						((BgL_isfunz00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_isfunz00_bgl))));
					{	/* Inline/inline.scm 26 */
						obj_t BgL_auxz00_3558;
						BgL_objectz00_bglt BgL_auxz00_3556;

						BgL_auxz00_3558 = ((obj_t) BgL_wide1117z00_1362);
						BgL_auxz00_3556 = ((BgL_objectz00_bglt) BgL_tmp1116z00_1361);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_3556, BgL_auxz00_3558);
					}
					{	/* Inline/inline.scm 26 */
						long BgL_arg2001z00_1363;

						{	/* Inline/inline.scm 26 */
							long BgL_res2169z00_2399;

							{	/* Inline/inline.scm 26 */
								obj_t BgL_classz00_2396;

								BgL_classz00_2396 = BGl_isfunz00zzinline_inlinez00;
								{	/* Inline/inline.scm 26 */
									obj_t BgL_vectorz00_2397;
									int BgL_kz00_2398;

									BgL_vectorz00_2397 = BgL_classz00_2396;
									BgL_kz00_2398 = (int) (((long) 1));
									BgL_res2169z00_2399 =
										(long) CINT(VECTOR_REF(BgL_vectorz00_2397, BgL_kz00_2398));
							}}
							BgL_arg2001z00_1363 = BgL_res2169z00_2399;
						}
						{	/* Inline/inline.scm 26 */
							BgL_objectz00_bglt BgL_objz00_2400;

							BgL_objz00_2400 = ((BgL_objectz00_bglt) BgL_tmp1116z00_1361);
							((BgL_sfunz00_bglt)
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2400, BgL_arg2001z00_1363));
					}}
					return ((BgL_sfunz00_bglt) BgL_tmp1116z00_1361);
				}
			}
		}
	}



/* &lambda1997 */
	BgL_sfunz00_bglt BGl_z62lambda1997z62zzinline_inlinez00(obj_t BgL_envz00_2741,
		obj_t BgL_arity1095z00_2742, obj_t BgL_sidezd2effect1096zd2_2743,
		obj_t BgL_predicatezd2of1097zd2_2744,
		obj_t BgL_stackzd2allocator1098zd2_2745, obj_t BgL_topzf31099zf3_2746,
		obj_t BgL_thezd2closure1100zd2_2747, obj_t BgL_effect1101z00_2748,
		obj_t BgL_property1102z00_2749, obj_t BgL_args1103z00_2750,
		obj_t BgL_argszd2name1104zd2_2751, obj_t BgL_body1105z00_2752,
		obj_t BgL_class1106z00_2753, obj_t BgL_dssslzd2keywords1107zd2_2754,
		obj_t BgL_loc1108z00_2755, obj_t BgL_optionals1109z00_2756,
		obj_t BgL_keys1110z00_2757, obj_t BgL_thezd2closurezd2global1111z00_2758,
		obj_t BgL_strength1112z00_2759, obj_t BgL_originalzd2body1113zd2_2760,
		obj_t BgL_recursivezd2calls1114zd2_2761)
	{
		AN_OBJECT;
		{	/* Inline/inline.scm 26 */
			{
				long BgL_arity1095z00_1332;
				obj_t BgL_sidezd2effect1096zd2_1333;
				obj_t BgL_predicatezd2of1097zd2_1334;
				obj_t BgL_stackzd2allocator1098zd2_1335;
				bool_t BgL_topzf31099zf3_1336;
				obj_t BgL_thezd2closure1100zd2_1337;
				obj_t BgL_effect1101z00_1338;
				obj_t BgL_property1102z00_1339;
				obj_t BgL_args1103z00_1340;
				obj_t BgL_argszd2name1104zd2_1341;
				obj_t BgL_body1105z00_1342;
				obj_t BgL_class1106z00_1343;
				obj_t BgL_dssslzd2keywords1107zd2_1344;
				obj_t BgL_loc1108z00_1345;
				obj_t BgL_optionals1109z00_1346;
				obj_t BgL_keys1110z00_1347;
				obj_t BgL_thezd2closurezd2global1111z00_1348;
				obj_t BgL_strength1112z00_1349;
				BgL_nodez00_bglt BgL_originalzd2body1113zd2_1350;
				obj_t BgL_recursivezd2calls1114zd2_1351;

				BgL_arity1095z00_1332 = (long) CINT(BgL_arity1095z00_2742);
				BgL_sidezd2effect1096zd2_1333 = BgL_sidezd2effect1096zd2_2743;
				BgL_predicatezd2of1097zd2_1334 = BgL_predicatezd2of1097zd2_2744;
				BgL_stackzd2allocator1098zd2_1335 = BgL_stackzd2allocator1098zd2_2745;
				BgL_topzf31099zf3_1336 = CBOOL(BgL_topzf31099zf3_2746);
				BgL_thezd2closure1100zd2_1337 = BgL_thezd2closure1100zd2_2747;
				BgL_effect1101z00_1338 = BgL_effect1101z00_2748;
				BgL_property1102z00_1339 = BgL_property1102z00_2749;
				BgL_args1103z00_1340 = BgL_args1103z00_2750;
				BgL_argszd2name1104zd2_1341 = BgL_argszd2name1104zd2_2751;
				BgL_body1105z00_1342 = BgL_body1105z00_2752;
				BgL_class1106z00_1343 = BgL_class1106z00_2753;
				BgL_dssslzd2keywords1107zd2_1344 = BgL_dssslzd2keywords1107zd2_2754;
				BgL_loc1108z00_1345 = BgL_loc1108z00_2755;
				BgL_optionals1109z00_1346 = BgL_optionals1109z00_2756;
				BgL_keys1110z00_1347 = BgL_keys1110z00_2757;
				BgL_thezd2closurezd2global1111z00_1348 =
					BgL_thezd2closurezd2global1111z00_2758;
				BgL_strength1112z00_1349 = BgL_strength1112z00_2759;
				BgL_originalzd2body1113zd2_1350 =
					((BgL_nodez00_bglt) BgL_originalzd2body1113zd2_2760);
				BgL_recursivezd2calls1114zd2_1351 = BgL_recursivezd2calls1114zd2_2761;
				{	/* Inline/inline.scm 26 */
					BgL_sfunz00_bglt BgL_new1187z00_1353;

					{	/* Inline/inline.scm 26 */
						BgL_sfunz00_bglt BgL_tmp1185z00_1354;
						BgL_isfunz00_bglt BgL_wide1186z00_1355;

						{
							BgL_sfunz00_bglt BgL_auxz00_3569;

							{	/* Inline/inline.scm 26 */
								BgL_sfunz00_bglt BgL_new1184z00_1357;

								BgL_new1184z00_1357 =
									((BgL_sfunz00_bglt) BREF(GC_MALLOC(sizeof(struct
												BgL_sfunz00_bgl))));
								{	/* Inline/inline.scm 26 */
									long BgL_arg1999z00_1358;

									{	/* Inline/inline.scm 26 */
										long BgL_res2167z00_2387;

										{	/* Inline/inline.scm 26 */
											obj_t BgL_classz00_2384;

											BgL_classz00_2384 = BGl_sfunz00zzast_varz00;
											{	/* Inline/inline.scm 26 */
												obj_t BgL_vectorz00_2385;
												int BgL_kz00_2386;

												BgL_vectorz00_2385 = BgL_classz00_2384;
												BgL_kz00_2386 = (int) (((long) 1));
												BgL_res2167z00_2387 =
													(long) CINT(VECTOR_REF(BgL_vectorz00_2385,
														BgL_kz00_2386));
										}}
										BgL_arg1999z00_1358 = BgL_res2167z00_2387;
									}
									{	/* Inline/inline.scm 26 */
										BgL_objectz00_bglt BgL_objz00_2388;

										BgL_objz00_2388 =
											((BgL_objectz00_bglt) BgL_new1184z00_1357);
										BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2388,
											BgL_arg1999z00_1358);
								}}
								{	/* Inline/inline.scm 26 */
									BgL_objectz00_bglt BgL_auxz00_3576;

									BgL_auxz00_3576 = ((BgL_objectz00_bglt) BgL_new1184z00_1357);
									BGL_OBJECT_WIDENING_SET(BgL_auxz00_3576, BFALSE);
								}
								BgL_auxz00_3569 = BgL_new1184z00_1357;
							}
							BgL_tmp1185z00_1354 = ((BgL_sfunz00_bglt) BgL_auxz00_3569);
						}
						BgL_wide1186z00_1355 =
							((BgL_isfunz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_isfunz00_bgl))));
						{	/* Inline/inline.scm 26 */
							obj_t BgL_auxz00_3583;
							BgL_objectz00_bglt BgL_auxz00_3581;

							BgL_auxz00_3583 = ((obj_t) BgL_wide1186z00_1355);
							BgL_auxz00_3581 = ((BgL_objectz00_bglt) BgL_tmp1185z00_1354);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_3581, BgL_auxz00_3583);
						}
						{	/* Inline/inline.scm 26 */
							long BgL_arg1998z00_1356;

							{	/* Inline/inline.scm 26 */
								long BgL_res2168z00_2393;

								{	/* Inline/inline.scm 26 */
									obj_t BgL_classz00_2390;

									BgL_classz00_2390 = BGl_isfunz00zzinline_inlinez00;
									{	/* Inline/inline.scm 26 */
										obj_t BgL_vectorz00_2391;
										int BgL_kz00_2392;

										BgL_vectorz00_2391 = BgL_classz00_2390;
										BgL_kz00_2392 = (int) (((long) 1));
										BgL_res2168z00_2393 =
											(long) CINT(VECTOR_REF(BgL_vectorz00_2391,
												BgL_kz00_2392));
								}}
								BgL_arg1998z00_1356 = BgL_res2168z00_2393;
							}
							{	/* Inline/inline.scm 26 */
								BgL_objectz00_bglt BgL_objz00_2394;

								BgL_objz00_2394 = ((BgL_objectz00_bglt) BgL_tmp1185z00_1354);
								((BgL_sfunz00_bglt)
									BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2394,
										BgL_arg1998z00_1356));
						}}
						BgL_new1187z00_1353 = ((BgL_sfunz00_bglt) BgL_tmp1185z00_1354);
					}
					((((BgL_funz00_bglt) CREF(
									((BgL_funz00_bglt) BgL_new1187z00_1353)))->BgL_arityz00) =
						((long) BgL_arity1095z00_1332), BUNSPEC);
					((((BgL_funz00_bglt) CREF(((BgL_funz00_bglt) BgL_new1187z00_1353)))->
							BgL_sidezd2effectzd2) =
						((obj_t) BgL_sidezd2effect1096zd2_1333), BUNSPEC);
					((((BgL_funz00_bglt) CREF(((BgL_funz00_bglt) BgL_new1187z00_1353)))->
							BgL_predicatezd2ofzd2) =
						((obj_t) BgL_predicatezd2of1097zd2_1334), BUNSPEC);
					((((BgL_funz00_bglt) CREF(((BgL_funz00_bglt) BgL_new1187z00_1353)))->
							BgL_stackzd2allocatorzd2) =
						((obj_t) BgL_stackzd2allocator1098zd2_1335), BUNSPEC);
					((((BgL_funz00_bglt) CREF(((BgL_funz00_bglt) BgL_new1187z00_1353)))->
							BgL_topzf3zf3) = ((bool_t) BgL_topzf31099zf3_1336), BUNSPEC);
					((((BgL_funz00_bglt) CREF(((BgL_funz00_bglt) BgL_new1187z00_1353)))->
							BgL_thezd2closurezd2) =
						((obj_t) BgL_thezd2closure1100zd2_1337), BUNSPEC);
					((((BgL_funz00_bglt) CREF(((BgL_funz00_bglt) BgL_new1187z00_1353)))->
							BgL_effectz00) = ((obj_t) BgL_effect1101z00_1338), BUNSPEC);
					((((BgL_sfunz00_bglt) CREF(((BgL_sfunz00_bglt)
										BgL_new1187z00_1353)))->BgL_propertyz00) =
						((obj_t) BgL_property1102z00_1339), BUNSPEC);
					((((BgL_sfunz00_bglt) CREF(((BgL_sfunz00_bglt)
										BgL_new1187z00_1353)))->BgL_argsz00) =
						((obj_t) BgL_args1103z00_1340), BUNSPEC);
					((((BgL_sfunz00_bglt) CREF(((BgL_sfunz00_bglt)
										BgL_new1187z00_1353)))->BgL_argszd2namezd2) =
						((obj_t) BgL_argszd2name1104zd2_1341), BUNSPEC);
					((((BgL_sfunz00_bglt) CREF(((BgL_sfunz00_bglt)
										BgL_new1187z00_1353)))->BgL_bodyz00) =
						((obj_t) BgL_body1105z00_1342), BUNSPEC);
					((((BgL_sfunz00_bglt) CREF(((BgL_sfunz00_bglt)
										BgL_new1187z00_1353)))->BgL_classz00) =
						((obj_t) BgL_class1106z00_1343), BUNSPEC);
					((((BgL_sfunz00_bglt) CREF(((BgL_sfunz00_bglt)
										BgL_new1187z00_1353)))->BgL_dssslzd2keywordszd2) =
						((obj_t) BgL_dssslzd2keywords1107zd2_1344), BUNSPEC);
					((((BgL_sfunz00_bglt) CREF(((BgL_sfunz00_bglt)
										BgL_new1187z00_1353)))->BgL_locz00) =
						((obj_t) BgL_loc1108z00_1345), BUNSPEC);
					((((BgL_sfunz00_bglt) CREF(((BgL_sfunz00_bglt)
										BgL_new1187z00_1353)))->BgL_optionalsz00) =
						((obj_t) BgL_optionals1109z00_1346), BUNSPEC);
					((((BgL_sfunz00_bglt) CREF(((BgL_sfunz00_bglt)
										BgL_new1187z00_1353)))->BgL_keysz00) =
						((obj_t) BgL_keys1110z00_1347), BUNSPEC);
					((((BgL_sfunz00_bglt) CREF(((BgL_sfunz00_bglt)
										BgL_new1187z00_1353)))->BgL_thezd2closurezd2globalz00) =
						((obj_t) BgL_thezd2closurezd2global1111z00_1348), BUNSPEC);
					((((BgL_sfunz00_bglt) CREF(((BgL_sfunz00_bglt)
										BgL_new1187z00_1353)))->BgL_strengthz00) =
						((obj_t) BgL_strength1112z00_1349), BUNSPEC);
					{
						BgL_isfunz00_bglt BgL_auxz00_3629;

						{
							obj_t BgL_auxz00_3630;

							{	/* Inline/inline.scm 26 */
								BgL_objectz00_bglt BgL_auxz00_3631;

								BgL_auxz00_3631 = ((BgL_objectz00_bglt) BgL_new1187z00_1353);
								BgL_auxz00_3630 = BGL_OBJECT_WIDENING(BgL_auxz00_3631);
							}
							BgL_auxz00_3629 = ((BgL_isfunz00_bglt) BgL_auxz00_3630);
						}
						((((BgL_isfunz00_bglt) CREF(BgL_auxz00_3629))->
								BgL_originalzd2bodyzd2) =
							((BgL_nodez00_bglt) BgL_originalzd2body1113zd2_1350), BUNSPEC);
					}
					{
						BgL_isfunz00_bglt BgL_auxz00_3636;

						{
							obj_t BgL_auxz00_3637;

							{	/* Inline/inline.scm 26 */
								BgL_objectz00_bglt BgL_auxz00_3638;

								BgL_auxz00_3638 = ((BgL_objectz00_bglt) BgL_new1187z00_1353);
								BgL_auxz00_3637 = BGL_OBJECT_WIDENING(BgL_auxz00_3638);
							}
							BgL_auxz00_3636 = ((BgL_isfunz00_bglt) BgL_auxz00_3637);
						}
						((((BgL_isfunz00_bglt) CREF(BgL_auxz00_3636))->
								BgL_recursivezd2callszd2) =
							((obj_t) BgL_recursivezd2calls1114zd2_1351), BUNSPEC);
					}
					return BgL_new1187z00_1353;
				}
			}
		}
	}



/* &lambda2020 */
	obj_t BGl_z62lambda2020z62zzinline_inlinez00(obj_t BgL_envz00_2762,
		obj_t BgL_oz00_2763, obj_t BgL_vz00_2764)
	{
		AN_OBJECT;
		{	/* Inline/inline.scm 26 */
			{
				BgL_sfunz00_bglt BgL_oz00_1394;
				BgL_nodez00_bglt BgL_vz00_1395;

				BgL_oz00_1394 = ((BgL_sfunz00_bglt) BgL_oz00_2763);
				BgL_vz00_1395 = ((BgL_nodez00_bglt) BgL_vz00_2764);
				{
					BgL_isfunz00_bglt BgL_auxz00_3646;

					{
						obj_t BgL_auxz00_3647;

						{	/* Inline/inline.scm 26 */
							BgL_objectz00_bglt BgL_auxz00_3648;

							BgL_auxz00_3648 = ((BgL_objectz00_bglt) BgL_oz00_1394);
							BgL_auxz00_3647 = BGL_OBJECT_WIDENING(BgL_auxz00_3648);
						}
						BgL_auxz00_3646 = ((BgL_isfunz00_bglt) BgL_auxz00_3647);
					}
					return
						((((BgL_isfunz00_bglt) CREF(BgL_auxz00_3646))->
							BgL_originalzd2bodyzd2) =
						((BgL_nodez00_bglt) BgL_vz00_1395), BUNSPEC);
				}
			}
		}
	}



/* &lambda2019 */
	BgL_nodez00_bglt BGl_z62lambda2019z62zzinline_inlinez00(obj_t BgL_envz00_2765,
		obj_t BgL_oz00_2766)
	{
		AN_OBJECT;
		{	/* Inline/inline.scm 26 */
			{
				BgL_sfunz00_bglt BgL_oz00_1391;

				BgL_oz00_1391 = ((BgL_sfunz00_bglt) BgL_oz00_2766);
				{
					BgL_isfunz00_bglt BgL_auxz00_3655;

					{
						obj_t BgL_auxz00_3656;

						{	/* Inline/inline.scm 26 */
							BgL_objectz00_bglt BgL_auxz00_3657;

							BgL_auxz00_3657 = ((BgL_objectz00_bglt) BgL_oz00_1391);
							BgL_auxz00_3656 = BGL_OBJECT_WIDENING(BgL_auxz00_3657);
						}
						BgL_auxz00_3655 = ((BgL_isfunz00_bglt) BgL_auxz00_3656);
					}
					return
						(((BgL_isfunz00_bglt) CREF(BgL_auxz00_3655))->
						BgL_originalzd2bodyzd2);
				}
			}
		}
	}



/* &<anonymous:2015> */
	obj_t BGl_z62zc3anonymousza32015ze3ze1zzinline_inlinez00(obj_t
		BgL_envz00_2767)
	{
		AN_OBJECT;
		{	/* Inline/inline.scm 26 */
			return BUNSPEC;
		}
	}



/* &lambda2014 */
	obj_t BGl_z62lambda2014z62zzinline_inlinez00(obj_t BgL_envz00_2768,
		obj_t BgL_oz00_2769, obj_t BgL_vz00_2770)
	{
		AN_OBJECT;
		{	/* Inline/inline.scm 26 */
			{
				BgL_sfunz00_bglt BgL_oz00_1380;
				obj_t BgL_vz00_1381;

				BgL_oz00_1380 = ((BgL_sfunz00_bglt) BgL_oz00_2769);
				BgL_vz00_1381 = BgL_vz00_2770;
				{
					BgL_isfunz00_bglt BgL_auxz00_3663;

					{
						obj_t BgL_auxz00_3664;

						{	/* Inline/inline.scm 26 */
							BgL_objectz00_bglt BgL_auxz00_3665;

							BgL_auxz00_3665 = ((BgL_objectz00_bglt) BgL_oz00_1380);
							BgL_auxz00_3664 = BGL_OBJECT_WIDENING(BgL_auxz00_3665);
						}
						BgL_auxz00_3663 = ((BgL_isfunz00_bglt) BgL_auxz00_3664);
					}
					return
						((((BgL_isfunz00_bglt) CREF(BgL_auxz00_3663))->
							BgL_recursivezd2callszd2) = ((obj_t) BgL_vz00_1381), BUNSPEC);
				}
			}
		}
	}



/* &lambda2013 */
	obj_t BGl_z62lambda2013z62zzinline_inlinez00(obj_t BgL_envz00_2771,
		obj_t BgL_oz00_2772)
	{
		AN_OBJECT;
		{	/* Inline/inline.scm 26 */
			{
				BgL_sfunz00_bglt BgL_oz00_1377;

				BgL_oz00_1377 = ((BgL_sfunz00_bglt) BgL_oz00_2772);
				{
					BgL_isfunz00_bglt BgL_auxz00_3671;

					{
						obj_t BgL_auxz00_3672;

						{	/* Inline/inline.scm 26 */
							BgL_objectz00_bglt BgL_auxz00_3673;

							BgL_auxz00_3673 = ((BgL_objectz00_bglt) BgL_oz00_1377);
							BgL_auxz00_3672 = BGL_OBJECT_WIDENING(BgL_auxz00_3673);
						}
						BgL_auxz00_3671 = ((BgL_isfunz00_bglt) BgL_auxz00_3672);
					}
					return
						(((BgL_isfunz00_bglt) CREF(BgL_auxz00_3671))->
						BgL_recursivezd2callszd2);
				}
			}
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzinline_inlinez00()
	{
		AN_OBJECT;
		{	/* Inline/inline.scm 15 */
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_inlinezd2nodezd2envz00zzinline_inlinez00,
				BGl_proc2209z00zzinline_inlinez00, BGl_nodez00zzast_nodez00,
				BGl_string2210z00zzinline_inlinez00);
		}
	}



/* &inline-node1929 */
	obj_t BGl_z62inlinezd2node1929zb0zzinline_inlinez00(obj_t BgL_envz00_2774,
		BgL_nodez00_bglt BgL_nodez00_2775, obj_t BgL_kfactorz00_2776,
		obj_t BgL_stackz00_2777)
	{
		AN_OBJECT;
		{	/* Inline/inline.scm 63 */
			{
				BgL_nodez00_bglt BgL_nodez00_1406;
				long BgL_kfactorz00_1407;
				obj_t BgL_stackz00_1408;

				BgL_nodez00_1406 = BgL_nodez00_2775;
				BgL_kfactorz00_1407 = (long) CINT(BgL_kfactorz00_2776);
				BgL_stackz00_1408 = BgL_stackz00_2777;
				return
					BGl_errorz00zz__errorz00(CNST_TABLE_REF(((long) 7)),
					BGl_string2211z00zzinline_inlinez00, ((obj_t) BgL_nodez00_1406));
		}}
	}



/* inline-node */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_inlinezd2nodezd2zzinline_inlinez00(BgL_nodez00_bglt BgL_nodez00_87,
		long BgL_kfactorz00_88, obj_t BgL_stackz00_89)
	{
		AN_OBJECT;
		{	/* Inline/inline.scm 63 */
			{	/* Inline/inline.scm 63 */
				obj_t BgL_method1930z00_1411;

				{	/* Inline/inline.scm 63 */
					obj_t BgL_res2179z00_2446;

					{	/* Inline/inline.scm 63 */
						BgL_objectz00_bglt BgL_objz00_2418;

						BgL_objz00_2418 = ((BgL_objectz00_bglt) BgL_nodez00_87);
						{	/* Inline/inline.scm 63 */
							long BgL_objzd2classzd2numz00_2419;

							{	/* Inline/inline.scm 63 */
								long BgL_res2173z00_2422;

								BgL_res2173z00_2422 = BGL_OBJECT_CLASS_NUM(BgL_objz00_2418);
								BgL_objzd2classzd2numz00_2419 = BgL_res2173z00_2422;
							}
							{	/* Inline/inline.scm 63 */
								obj_t BgL_arg1806z00_2420;

								BgL_arg1806z00_2420 =
									PROCEDURE_REF(BGl_inlinezd2nodezd2envz00zzinline_inlinez00,
									(int) (((long) 1)));
								{	/* Inline/inline.scm 63 */
									obj_t BgL_arrayz00_2423;
									int BgL_offsetz00_2424;

									BgL_arrayz00_2423 = BgL_arg1806z00_2420;
									BgL_offsetz00_2424 = (int) (BgL_objzd2classzd2numz00_2419);
									{	/* Inline/inline.scm 63 */
										long BgL_offsetz00_2425;

										BgL_offsetz00_2425 =
											((long) (BgL_offsetz00_2424) - OBJECT_TYPE);
										{	/* Inline/inline.scm 63 */
											long BgL_modz00_2426;

											{	/* Inline/inline.scm 63 */
												int BgL_arg1809z00_2427;

												BgL_arg1809z00_2427 = (int) (((long) 16));
												{	/* Inline/inline.scm 63 */
													long BgL_res2176z00_2437;

													{	/* Inline/inline.scm 63 */
														long BgL_auxz00_3692;

														BgL_auxz00_3692 = (long) (BgL_arg1809z00_2427);
														BgL_res2176z00_2437 =
															(BgL_offsetz00_2425 / BgL_auxz00_3692);
													}
													BgL_modz00_2426 = BgL_res2176z00_2437;
											}}
											{	/* Inline/inline.scm 63 */
												long BgL_restz00_2428;

												{	/* Inline/inline.scm 63 */
													int BgL_arg1808z00_2429;

													BgL_arg1808z00_2429 = (int) (((long) 16));
													{	/* Inline/inline.scm 63 */
														long BgL_res2178z00_2441;

														{	/* Inline/inline.scm 63 */
															long BgL_auxz00_3696;

															BgL_auxz00_3696 = (long) (BgL_arg1808z00_2429);
															BgL_res2178z00_2441 =
																(BgL_offsetz00_2425 % BgL_auxz00_3696);
														}
														BgL_restz00_2428 = BgL_res2178z00_2441;
												}}
												{	/* Inline/inline.scm 63 */

													BgL_res2179z00_2446 =
														VECTOR_REF(VECTOR_REF(BgL_arrayz00_2423,
															(int) (BgL_modz00_2426)),
														(int) (BgL_restz00_2428));
					}}}}}}}}
					BgL_method1930z00_1411 = BgL_res2179z00_2446;
				}
				return
					((BgL_nodez00_bglt)
					PROCEDURE_ENTRY(BgL_method1930z00_1411) (BgL_method1930z00_1411,
						((obj_t) BgL_nodez00_87),
						BINT(BgL_kfactorz00_88), BgL_stackz00_89, BEOA));
			}
		}
	}



/* &inline-node */
	BgL_nodez00_bglt BGl_z62inlinezd2nodezb0zzinline_inlinez00(obj_t
		BgL_envz00_2778, obj_t BgL_nodez00_2779, obj_t BgL_kfactorz00_2780,
		obj_t BgL_stackz00_2781)
	{
		AN_OBJECT;
		{	/* Inline/inline.scm 63 */
			return
				BGl_inlinezd2nodezd2zzinline_inlinez00(
				((BgL_nodez00_bglt) BgL_nodez00_2779),
				(long) CINT(BgL_kfactorz00_2780), BgL_stackz00_2781);
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzinline_inlinez00()
	{
		AN_OBJECT;
		{	/* Inline/inline.scm 15 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inlinezd2nodezd2envz00zzinline_inlinez00, BGl_atomz00zzast_nodez00,
				BGl_proc2212z00zzinline_inlinez00, BGl_string2213z00zzinline_inlinez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inlinezd2nodezd2envz00zzinline_inlinez00, BGl_varz00zzast_nodez00,
				BGl_proc2214z00zzinline_inlinez00, BGl_string2213z00zzinline_inlinez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inlinezd2nodezd2envz00zzinline_inlinez00,
				BGl_kwotez00zzast_nodez00, BGl_proc2215z00zzinline_inlinez00,
				BGl_string2213z00zzinline_inlinez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inlinezd2nodezd2envz00zzinline_inlinez00,
				BGl_sequencez00zzast_nodez00, BGl_proc2216z00zzinline_inlinez00,
				BGl_string2213z00zzinline_inlinez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inlinezd2nodezd2envz00zzinline_inlinez00, BGl_appz00zzast_nodez00,
				BGl_proc2217z00zzinline_inlinez00, BGl_string2213z00zzinline_inlinez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inlinezd2nodezd2envz00zzinline_inlinez00,
				BGl_appzd2lyzd2zzast_nodez00, BGl_proc2218z00zzinline_inlinez00,
				BGl_string2213z00zzinline_inlinez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inlinezd2nodezd2envz00zzinline_inlinez00,
				BGl_funcallz00zzast_nodez00, BGl_proc2219z00zzinline_inlinez00,
				BGl_string2213z00zzinline_inlinez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inlinezd2nodezd2envz00zzinline_inlinez00,
				BGl_externz00zzast_nodez00, BGl_proc2220z00zzinline_inlinez00,
				BGl_string2213z00zzinline_inlinez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inlinezd2nodezd2envz00zzinline_inlinez00, BGl_castz00zzast_nodez00,
				BGl_proc2221z00zzinline_inlinez00, BGl_string2213z00zzinline_inlinez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inlinezd2nodezd2envz00zzinline_inlinez00, BGl_setqz00zzast_nodez00,
				BGl_proc2222z00zzinline_inlinez00, BGl_string2213z00zzinline_inlinez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inlinezd2nodezd2envz00zzinline_inlinez00,
				BGl_conditionalz00zzast_nodez00, BGl_proc2223z00zzinline_inlinez00,
				BGl_string2213z00zzinline_inlinez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inlinezd2nodezd2envz00zzinline_inlinez00, BGl_failz00zzast_nodez00,
				BGl_proc2224z00zzinline_inlinez00, BGl_string2213z00zzinline_inlinez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inlinezd2nodezd2envz00zzinline_inlinez00,
				BGl_selectz00zzast_nodez00, BGl_proc2225z00zzinline_inlinez00,
				BGl_string2213z00zzinline_inlinez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inlinezd2nodezd2envz00zzinline_inlinez00,
				BGl_letzd2funzd2zzast_nodez00, BGl_proc2226z00zzinline_inlinez00,
				BGl_string2213z00zzinline_inlinez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inlinezd2nodezd2envz00zzinline_inlinez00,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc2227z00zzinline_inlinez00,
				BGl_string2213z00zzinline_inlinez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inlinezd2nodezd2envz00zzinline_inlinez00,
				BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc2228z00zzinline_inlinez00,
				BGl_string2213z00zzinline_inlinez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inlinezd2nodezd2envz00zzinline_inlinez00,
				BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc2229z00zzinline_inlinez00,
				BGl_string2213z00zzinline_inlinez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inlinezd2nodezd2envz00zzinline_inlinez00,
				BGl_makezd2boxzd2zzast_nodez00, BGl_proc2230z00zzinline_inlinez00,
				BGl_string2213z00zzinline_inlinez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inlinezd2nodezd2envz00zzinline_inlinez00,
				BGl_boxzd2refzd2zzast_nodez00, BGl_proc2231z00zzinline_inlinez00,
				BGl_string2213z00zzinline_inlinez00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inlinezd2nodezd2envz00zzinline_inlinez00,
				BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc2232z00zzinline_inlinez00,
				BGl_string2213z00zzinline_inlinez00);
		}
	}



/* &inline-node-box-set!1971 */
	BgL_nodez00_bglt
		BGl_z62inlinezd2nodezd2boxzd2setz121971za2zzinline_inlinez00(obj_t
		BgL_envz00_2802, BgL_boxzd2setz12zc0_bglt BgL_nodez00_2803,
		obj_t BgL_kfactorz00_2804, obj_t BgL_stackz00_2805)
	{
		AN_OBJECT;
		{	/* Inline/inline.scm 237 */
			{
				BgL_boxzd2setz12zc0_bglt BgL_nodez00_1616;
				obj_t BgL_kfactorz00_1617;
				obj_t BgL_stackz00_1618;

				BgL_nodez00_1616 = BgL_nodez00_2803;
				BgL_kfactorz00_1617 = BgL_kfactorz00_2804;
				BgL_stackz00_1618 = BgL_stackz00_2805;
				{
					BgL_varz00_bglt BgL_auxz00_3735;

					{	/* Inline/inline.scm 239 */
						BgL_varz00_bglt BgL_arg2100z00_1622;

						BgL_arg2100z00_1622 =
							(((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nodez00_1616))->BgL_varz00);
						BgL_auxz00_3735 =
							((BgL_varz00_bglt)
							BGl_inlinezd2nodezd2zzinline_inlinez00(
								((BgL_nodez00_bglt) BgL_arg2100z00_1622),
								(long) CINT(BgL_kfactorz00_1617), BgL_stackz00_1618));
					}
					((((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nodez00_1616))->BgL_varz00) =
						((BgL_varz00_bglt) BgL_auxz00_3735), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_3742;

					{	/* Inline/inline.scm 240 */
						BgL_nodez00_bglt BgL_arg2101z00_1623;

						BgL_arg2101z00_1623 =
							(((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nodez00_1616))->
							BgL_valuez00);
						BgL_auxz00_3742 =
							BGl_inlinezd2nodezd2zzinline_inlinez00(BgL_arg2101z00_1623,
							(long) CINT(BgL_kfactorz00_1617), BgL_stackz00_1618);
					}
					((((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nodez00_1616))->BgL_valuez00) =
						((BgL_nodez00_bglt) BgL_auxz00_3742), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1616);
			}
		}
	}



/* &inline-node-box-ref1969 */
	BgL_nodez00_bglt
		BGl_z62inlinezd2nodezd2boxzd2ref1969zb0zzinline_inlinez00(obj_t
		BgL_envz00_2806, BgL_boxzd2refzd2_bglt BgL_nodez00_2807,
		obj_t BgL_kfactorz00_2808, obj_t BgL_stackz00_2809)
	{
		AN_OBJECT;
		{	/* Inline/inline.scm 230 */
			{
				BgL_boxzd2refzd2_bglt BgL_nodez00_1608;
				obj_t BgL_kfactorz00_1609;
				obj_t BgL_stackz00_1610;

				BgL_nodez00_1608 = BgL_nodez00_2807;
				BgL_kfactorz00_1609 = BgL_kfactorz00_2808;
				BgL_stackz00_1610 = BgL_stackz00_2809;
				{	/* Inline/inline.scm 231 */
					BgL_nodez00_bglt BgL_arg2097z00_2565;

					{	/* Inline/inline.scm 231 */
						BgL_varz00_bglt BgL_arg2099z00_2566;

						BgL_arg2099z00_2566 =
							(((BgL_boxzd2refzd2_bglt) CREF(BgL_nodez00_1608))->BgL_varz00);
						BgL_arg2097z00_2565 =
							BGl_inlinezd2nodezd2zzinline_inlinez00(
							((BgL_nodez00_bglt) BgL_arg2099z00_2566),
							(long) CINT(BgL_kfactorz00_1609), BgL_stackz00_1610);
					}
					{	/* Inline/inline.scm 231 */
						BgL_varz00_bglt BgL_vz00_2571;

						BgL_vz00_2571 = ((BgL_varz00_bglt) BgL_arg2097z00_2565);
						((((BgL_boxzd2refzd2_bglt) CREF(BgL_nodez00_1608))->BgL_varz00) =
							((BgL_varz00_bglt) BgL_vz00_2571), BUNSPEC);
				}}
				return ((BgL_nodez00_bglt) BgL_nodez00_1608);
			}
		}
	}



/* &inline-node-make-box1967 */
	BgL_nodez00_bglt
		BGl_z62inlinezd2nodezd2makezd2box1967zb0zzinline_inlinez00(obj_t
		BgL_envz00_2810, BgL_makezd2boxzd2_bglt BgL_nodez00_2811,
		obj_t BgL_kfactorz00_2812, obj_t BgL_stackz00_2813)
	{
		AN_OBJECT;
		{	/* Inline/inline.scm 223 */
			{
				BgL_makezd2boxzd2_bglt BgL_nodez00_1600;
				obj_t BgL_kfactorz00_1601;
				obj_t BgL_stackz00_1602;

				BgL_nodez00_1600 = BgL_nodez00_2811;
				BgL_kfactorz00_1601 = BgL_kfactorz00_2812;
				BgL_stackz00_1602 = BgL_stackz00_2813;
				((((BgL_makezd2boxzd2_bglt) CREF(BgL_nodez00_1600))->BgL_valuez00) =
					((BgL_nodez00_bglt)
						BGl_inlinezd2nodezd2zzinline_inlinez00((((BgL_makezd2boxzd2_bglt)
									CREF(BgL_nodez00_1600))->BgL_valuez00),
							(long) CINT(BgL_kfactorz00_1601), BgL_stackz00_1602)), BUNSPEC);
				return ((BgL_nodez00_bglt) BgL_nodez00_1600);
			}
		}
	}



/* &inline-node-jump-ex-1965 */
	BgL_nodez00_bglt
		BGl_z62inlinezd2nodezd2jumpzd2exzd21965z62zzinline_inlinez00(obj_t
		BgL_envz00_2814, BgL_jumpzd2exzd2itz00_bglt BgL_nodez00_2815,
		obj_t BgL_kfactorz00_2816, obj_t BgL_stackz00_2817)
	{
		AN_OBJECT;
		{	/* Inline/inline.scm 214 */
			{
				BgL_jumpzd2exzd2itz00_bglt BgL_nodez00_1591;
				obj_t BgL_kfactorz00_1592;
				obj_t BgL_stackz00_1593;

				BgL_nodez00_1591 = BgL_nodez00_2815;
				BgL_kfactorz00_1592 = BgL_kfactorz00_2816;
				BgL_stackz00_1593 = BgL_stackz00_2817;
				{
					BgL_nodez00_bglt BgL_auxz00_3760;

					{	/* Inline/inline.scm 216 */
						BgL_nodez00_bglt BgL_arg2093z00_1597;

						BgL_arg2093z00_1597 =
							(((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_1591))->
							BgL_exitz00);
						BgL_auxz00_3760 =
							BGl_inlinezd2nodezd2zzinline_inlinez00(BgL_arg2093z00_1597,
							(long) CINT(BgL_kfactorz00_1592), BgL_stackz00_1593);
					}
					((((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_1591))->
							BgL_exitz00) = ((BgL_nodez00_bglt) BgL_auxz00_3760), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_3765;

					{	/* Inline/inline.scm 217 */
						BgL_nodez00_bglt BgL_arg2094z00_1598;

						BgL_arg2094z00_1598 =
							(((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_1591))->
							BgL_valuez00);
						BgL_auxz00_3765 =
							BGl_inlinezd2nodezd2zzinline_inlinez00(BgL_arg2094z00_1598,
							(long) CINT(BgL_kfactorz00_1592), BgL_stackz00_1593);
					}
					((((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_1591))->
							BgL_valuez00) = ((BgL_nodez00_bglt) BgL_auxz00_3765), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1591);
			}
		}
	}



/* &inline-node-set-ex-i1963 */
	BgL_nodez00_bglt
		BGl_z62inlinezd2nodezd2setzd2exzd2i1963z62zzinline_inlinez00(obj_t
		BgL_envz00_2818, BgL_setzd2exzd2itz00_bglt BgL_nodez00_2819,
		obj_t BgL_kfactorz00_2820, obj_t BgL_stackz00_2821)
	{
		AN_OBJECT;
		{	/* Inline/inline.scm 207 */
			{
				BgL_setzd2exzd2itz00_bglt BgL_nodez00_1583;
				obj_t BgL_kfactorz00_1584;
				obj_t BgL_stackz00_1585;

				BgL_nodez00_1583 = BgL_nodez00_2819;
				BgL_kfactorz00_1584 = BgL_kfactorz00_2820;
				BgL_stackz00_1585 = BgL_stackz00_2821;
				((((BgL_setzd2exzd2itz00_bglt) CREF(BgL_nodez00_1583))->BgL_bodyz00) =
					((BgL_nodez00_bglt)
						BGl_inlinezd2nodezd2zzinline_inlinez00((((BgL_setzd2exzd2itz00_bglt)
									CREF(BgL_nodez00_1583))->BgL_bodyz00),
							(long) CINT(BgL_kfactorz00_1584), BgL_stackz00_1585)), BUNSPEC);
				return ((BgL_nodez00_bglt) BgL_nodez00_1583);
			}
		}
	}



/* &inline-node-let-var1961 */
	BgL_nodez00_bglt
		BGl_z62inlinezd2nodezd2letzd2var1961zb0zzinline_inlinez00(obj_t
		BgL_envz00_2822, BgL_letzd2varzd2_bglt BgL_nodez00_2823,
		obj_t BgL_kfactorz00_2824, obj_t BgL_stackz00_2825)
	{
		AN_OBJECT;
		{	/* Inline/inline.scm 197 */
			{
				BgL_letzd2varzd2_bglt BgL_nodez00_1565;
				obj_t BgL_kfactorz00_1566;
				obj_t BgL_stackz00_1567;

				BgL_nodez00_1565 = BgL_nodez00_2823;
				BgL_kfactorz00_1566 = BgL_kfactorz00_2824;
				BgL_stackz00_1567 = BgL_stackz00_2825;
				{	/* Inline/inline.scm 198 */
					obj_t BgL_g1926z00_1570;

					BgL_g1926z00_1570 =
						(((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_1565))->BgL_bindingsz00);
					{
						obj_t BgL_l1924z00_1572;

						BgL_l1924z00_1572 = BgL_g1926z00_1570;
					BgL_zc3anonymousza32084ze3z83_1573:
						if (PAIRP(BgL_l1924z00_1572))
							{	/* Inline/inline.scm 200 */
								{	/* Inline/inline.scm 199 */
									obj_t BgL_bindingz00_1575;

									BgL_bindingz00_1575 = CAR(BgL_l1924z00_1572);
									{	/* Inline/inline.scm 199 */
										BgL_nodez00_bglt BgL_arg2086z00_1576;

										{	/* Inline/inline.scm 199 */
											obj_t BgL_arg2087z00_1577;

											BgL_arg2087z00_1577 = CDR(BgL_bindingz00_1575);
											BgL_arg2086z00_1576 =
												BGl_inlinezd2nodezd2zzinline_inlinez00(
												((BgL_nodez00_bglt) BgL_arg2087z00_1577),
												(long) CINT(BgL_kfactorz00_1566), BgL_stackz00_1567);
										}
										{	/* Inline/inline.scm 199 */
											obj_t BgL_pairz00_2540;
											obj_t BgL_objz00_2541;

											BgL_pairz00_2540 = BgL_bindingz00_1575;
											BgL_objz00_2541 = ((obj_t) BgL_arg2086z00_1576);
											SET_CDR(BgL_pairz00_2540, BgL_objz00_2541);
								}}}
								{
									obj_t BgL_l1924z00_3786;

									BgL_l1924z00_3786 = CDR(BgL_l1924z00_1572);
									BgL_l1924z00_1572 = BgL_l1924z00_3786;
									goto BgL_zc3anonymousza32084ze3z83_1573;
								}
							}
						else
							{	/* Inline/inline.scm 200 */
								((bool_t) 1);
							}
					}
				}
				((((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_1565))->BgL_bodyz00) =
					((BgL_nodez00_bglt)
						BGl_inlinezd2nodezd2zzinline_inlinez00((((BgL_letzd2varzd2_bglt)
									CREF(BgL_nodez00_1565))->BgL_bodyz00),
							(long) CINT(BgL_kfactorz00_1566), BgL_stackz00_1567)), BUNSPEC);
				return ((BgL_nodez00_bglt) BgL_nodez00_1565);
			}
		}
	}



/* &inline-node-let-fun1959 */
	BgL_nodez00_bglt
		BGl_z62inlinezd2nodezd2letzd2fun1959zb0zzinline_inlinez00(obj_t
		BgL_envz00_2826, BgL_letzd2funzd2_bglt BgL_nodez00_2827,
		obj_t BgL_kfactorz00_2828, obj_t BgL_stackz00_2829)
	{
		AN_OBJECT;
		{	/* Inline/inline.scm 184 */
			{
				BgL_letzd2funzd2_bglt BgL_nodez00_1549;
				obj_t BgL_kfactorz00_1550;
				obj_t BgL_stackz00_1551;

				BgL_nodez00_1549 = BgL_nodez00_2827;
				BgL_kfactorz00_1550 = BgL_kfactorz00_2828;
				BgL_stackz00_1551 = BgL_stackz00_2829;
				{	/* Inline/inline.scm 188 */
					obj_t BgL_g1923z00_1554;

					BgL_g1923z00_1554 =
						(((BgL_letzd2funzd2_bglt) CREF(BgL_nodez00_1549))->BgL_localsz00);
					{
						obj_t BgL_l1921z00_1556;

						BgL_l1921z00_1556 = BgL_g1923z00_1554;
					BgL_zc3anonymousza32079ze3z83_1557:
						if (PAIRP(BgL_l1921z00_1556))
							{	/* Inline/inline.scm 190 */
								{	/* Inline/inline.scm 189 */
									obj_t BgL_localz00_1559;

									BgL_localz00_1559 = CAR(BgL_l1921z00_1556);
									BGl_inlinezd2sfunz12zc0zzinline_inlinez00(
										((BgL_variablez00_bglt) BgL_localz00_1559),
										(long) CINT(BgL_kfactorz00_1550), BgL_stackz00_1551);
								}
								{
									obj_t BgL_l1921z00_3800;

									BgL_l1921z00_3800 = CDR(BgL_l1921z00_1556);
									BgL_l1921z00_1556 = BgL_l1921z00_3800;
									goto BgL_zc3anonymousza32079ze3z83_1557;
								}
							}
						else
							{	/* Inline/inline.scm 190 */
								((bool_t) 1);
							}
					}
				}
				((((BgL_letzd2funzd2_bglt) CREF(BgL_nodez00_1549))->BgL_bodyz00) =
					((BgL_nodez00_bglt)
						BGl_inlinezd2nodezd2zzinline_inlinez00((((BgL_letzd2funzd2_bglt)
									CREF(BgL_nodez00_1549))->BgL_bodyz00),
							(long) CINT(BgL_kfactorz00_1550), BgL_stackz00_1551)), BUNSPEC);
				return ((BgL_nodez00_bglt) BgL_nodez00_1549);
			}
		}
	}



/* &inline-node-select1957 */
	BgL_nodez00_bglt BGl_z62inlinezd2nodezd2select1957z62zzinline_inlinez00(obj_t
		BgL_envz00_2830, BgL_selectz00_bglt BgL_nodez00_2831,
		obj_t BgL_kfactorz00_2832, obj_t BgL_stackz00_2833)
	{
		AN_OBJECT;
		{	/* Inline/inline.scm 174 */
			{
				BgL_selectz00_bglt BgL_nodez00_1531;
				obj_t BgL_kfactorz00_1532;
				obj_t BgL_stackz00_1533;

				BgL_nodez00_1531 = BgL_nodez00_2831;
				BgL_kfactorz00_1532 = BgL_kfactorz00_2832;
				BgL_stackz00_1533 = BgL_stackz00_2833;
				((((BgL_selectz00_bglt) CREF(BgL_nodez00_1531))->BgL_testz00) =
					((BgL_nodez00_bglt)
						BGl_inlinezd2nodezd2zzinline_inlinez00((((BgL_selectz00_bglt)
									CREF(BgL_nodez00_1531))->BgL_testz00),
							(long) CINT(BgL_kfactorz00_1532), BgL_stackz00_1533)), BUNSPEC);
				{	/* Inline/inline.scm 176 */
					obj_t BgL_g1920z00_1538;

					BgL_g1920z00_1538 =
						(((BgL_selectz00_bglt) CREF(BgL_nodez00_1531))->BgL_clausesz00);
					{
						obj_t BgL_l1814z00_1540;

						BgL_l1814z00_1540 = BgL_g1920z00_1538;
					BgL_zc3anonymousza32074ze3z83_1541:
						if (PAIRP(BgL_l1814z00_1540))
							{	/* Inline/inline.scm 178 */
								{	/* Inline/inline.scm 177 */
									obj_t BgL_clausez00_1543;

									BgL_clausez00_1543 = CAR(BgL_l1814z00_1540);
									{	/* Inline/inline.scm 177 */
										BgL_nodez00_bglt BgL_arg2076z00_1544;

										{	/* Inline/inline.scm 177 */
											obj_t BgL_arg2077z00_1545;

											BgL_arg2077z00_1545 = CDR(BgL_clausez00_1543);
											BgL_arg2076z00_1544 =
												BGl_inlinezd2nodezd2zzinline_inlinez00(
												((BgL_nodez00_bglt) BgL_arg2077z00_1545),
												(long) CINT(BgL_kfactorz00_1532), BgL_stackz00_1533);
										}
										{	/* Inline/inline.scm 177 */
											obj_t BgL_pairz00_2519;
											obj_t BgL_objz00_2520;

											BgL_pairz00_2519 = BgL_clausez00_1543;
											BgL_objz00_2520 = ((obj_t) BgL_arg2076z00_1544);
											SET_CDR(BgL_pairz00_2519, BgL_objz00_2520);
								}}}
								{
									obj_t BgL_l1814z00_3821;

									BgL_l1814z00_3821 = CDR(BgL_l1814z00_1540);
									BgL_l1814z00_1540 = BgL_l1814z00_3821;
									goto BgL_zc3anonymousza32074ze3z83_1541;
								}
							}
						else
							{	/* Inline/inline.scm 178 */
								((bool_t) 1);
							}
					}
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1531);
			}
		}
	}



/* &inline-node-fail1954 */
	BgL_nodez00_bglt BGl_z62inlinezd2nodezd2fail1954z62zzinline_inlinez00(obj_t
		BgL_envz00_2834, BgL_failz00_bglt BgL_nodez00_2835,
		obj_t BgL_kfactorz00_2836, obj_t BgL_stackz00_2837)
	{
		AN_OBJECT;
		{	/* Inline/inline.scm 164 */
			{
				BgL_failz00_bglt BgL_nodez00_1521;
				obj_t BgL_kfactorz00_1522;
				obj_t BgL_stackz00_1523;

				BgL_nodez00_1521 = BgL_nodez00_2835;
				BgL_kfactorz00_1522 = BgL_kfactorz00_2836;
				BgL_stackz00_1523 = BgL_stackz00_2837;
				{
					BgL_nodez00_bglt BgL_auxz00_3824;

					{	/* Inline/inline.scm 166 */
						BgL_nodez00_bglt BgL_arg2068z00_1527;

						BgL_arg2068z00_1527 =
							(((BgL_failz00_bglt) CREF(BgL_nodez00_1521))->BgL_procz00);
						BgL_auxz00_3824 =
							BGl_inlinezd2nodezd2zzinline_inlinez00(BgL_arg2068z00_1527,
							(long) CINT(BgL_kfactorz00_1522), BgL_stackz00_1523);
					}
					((((BgL_failz00_bglt) CREF(BgL_nodez00_1521))->BgL_procz00) =
						((BgL_nodez00_bglt) BgL_auxz00_3824), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_3829;

					{	/* Inline/inline.scm 167 */
						BgL_nodez00_bglt BgL_arg2069z00_1528;

						BgL_arg2069z00_1528 =
							(((BgL_failz00_bglt) CREF(BgL_nodez00_1521))->BgL_msgz00);
						BgL_auxz00_3829 =
							BGl_inlinezd2nodezd2zzinline_inlinez00(BgL_arg2069z00_1528,
							(long) CINT(BgL_kfactorz00_1522), BgL_stackz00_1523);
					}
					((((BgL_failz00_bglt) CREF(BgL_nodez00_1521))->BgL_msgz00) =
						((BgL_nodez00_bglt) BgL_auxz00_3829), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_3834;

					{	/* Inline/inline.scm 168 */
						BgL_nodez00_bglt BgL_arg2070z00_1529;

						BgL_arg2070z00_1529 =
							(((BgL_failz00_bglt) CREF(BgL_nodez00_1521))->BgL_objz00);
						BgL_auxz00_3834 =
							BGl_inlinezd2nodezd2zzinline_inlinez00(BgL_arg2070z00_1529,
							(long) CINT(BgL_kfactorz00_1522), BgL_stackz00_1523);
					}
					((((BgL_failz00_bglt) CREF(BgL_nodez00_1521))->BgL_objz00) =
						((BgL_nodez00_bglt) BgL_auxz00_3834), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1521);
			}
		}
	}



/* &inline-node-conditio1952 */
	BgL_nodez00_bglt
		BGl_z62inlinezd2nodezd2conditio1952z62zzinline_inlinez00(obj_t
		BgL_envz00_2838, BgL_conditionalz00_bglt BgL_nodez00_2839,
		obj_t BgL_kfactorz00_2840, obj_t BgL_stackz00_2841)
	{
		AN_OBJECT;
		{	/* Inline/inline.scm 154 */
			{
				BgL_conditionalz00_bglt BgL_nodez00_1511;
				obj_t BgL_kfactorz00_1512;
				obj_t BgL_stackz00_1513;

				BgL_nodez00_1511 = BgL_nodez00_2839;
				BgL_kfactorz00_1512 = BgL_kfactorz00_2840;
				BgL_stackz00_1513 = BgL_stackz00_2841;
				{
					BgL_nodez00_bglt BgL_auxz00_3840;

					{	/* Inline/inline.scm 156 */
						BgL_nodez00_bglt BgL_arg2065z00_1517;

						BgL_arg2065z00_1517 =
							(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1511))->BgL_testz00);
						BgL_auxz00_3840 =
							BGl_inlinezd2nodezd2zzinline_inlinez00(BgL_arg2065z00_1517,
							(long) CINT(BgL_kfactorz00_1512), BgL_stackz00_1513);
					}
					((((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1511))->BgL_testz00) =
						((BgL_nodez00_bglt) BgL_auxz00_3840), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_3845;

					{	/* Inline/inline.scm 157 */
						BgL_nodez00_bglt BgL_arg2066z00_1518;

						BgL_arg2066z00_1518 =
							(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1511))->BgL_truez00);
						BgL_auxz00_3845 =
							BGl_inlinezd2nodezd2zzinline_inlinez00(BgL_arg2066z00_1518,
							(long) CINT(BgL_kfactorz00_1512), BgL_stackz00_1513);
					}
					((((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1511))->BgL_truez00) =
						((BgL_nodez00_bglt) BgL_auxz00_3845), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_3850;

					{	/* Inline/inline.scm 158 */
						BgL_nodez00_bglt BgL_arg2067z00_1519;

						BgL_arg2067z00_1519 =
							(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1511))->
							BgL_falsez00);
						BgL_auxz00_3850 =
							BGl_inlinezd2nodezd2zzinline_inlinez00(BgL_arg2067z00_1519,
							(long) CINT(BgL_kfactorz00_1512), BgL_stackz00_1513);
					}
					((((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1511))->BgL_falsez00) =
						((BgL_nodez00_bglt) BgL_auxz00_3850), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1511);
			}
		}
	}



/* &inline-node-setq1950 */
	BgL_nodez00_bglt BGl_z62inlinezd2nodezd2setq1950z62zzinline_inlinez00(obj_t
		BgL_envz00_2842, BgL_setqz00_bglt BgL_nodez00_2843,
		obj_t BgL_kfactorz00_2844, obj_t BgL_stackz00_2845)
	{
		AN_OBJECT;
		{	/* Inline/inline.scm 147 */
			{
				BgL_setqz00_bglt BgL_nodez00_1503;
				obj_t BgL_kfactorz00_1504;
				obj_t BgL_stackz00_1505;

				BgL_nodez00_1503 = BgL_nodez00_2843;
				BgL_kfactorz00_1504 = BgL_kfactorz00_2844;
				BgL_stackz00_1505 = BgL_stackz00_2845;
				((((BgL_setqz00_bglt) CREF(BgL_nodez00_1503))->BgL_valuez00) =
					((BgL_nodez00_bglt)
						BGl_inlinezd2nodezd2zzinline_inlinez00((((BgL_setqz00_bglt)
									CREF(BgL_nodez00_1503))->BgL_valuez00),
							(long) CINT(BgL_kfactorz00_1504), BgL_stackz00_1505)), BUNSPEC);
				return ((BgL_nodez00_bglt) BgL_nodez00_1503);
			}
		}
	}



/* &inline-node-cast1948 */
	BgL_nodez00_bglt BGl_z62inlinezd2nodezd2cast1948z62zzinline_inlinez00(obj_t
		BgL_envz00_2846, BgL_castz00_bglt BgL_nodez00_2847,
		obj_t BgL_kfactorz00_2848, obj_t BgL_stackz00_2849)
	{
		AN_OBJECT;
		{	/* Inline/inline.scm 140 */
			{
				BgL_castz00_bglt BgL_nodez00_1496;
				obj_t BgL_kfactorz00_1497;
				obj_t BgL_stackz00_1498;

				BgL_nodez00_1496 = BgL_nodez00_2847;
				BgL_kfactorz00_1497 = BgL_kfactorz00_2848;
				BgL_stackz00_1498 = BgL_stackz00_2849;
				BGl_inlinezd2nodezd2zzinline_inlinez00(
					(((BgL_castz00_bglt) CREF(BgL_nodez00_1496))->BgL_argz00),
					(long) CINT(BgL_kfactorz00_1497), BgL_stackz00_1498);
				return ((BgL_nodez00_bglt) BgL_nodez00_1496);
			}
		}
	}



/* &inline-node-extern1946 */
	BgL_nodez00_bglt BGl_z62inlinezd2nodezd2extern1946z62zzinline_inlinez00(obj_t
		BgL_envz00_2850, BgL_externz00_bglt BgL_nodez00_2851,
		obj_t BgL_kfactorz00_2852, obj_t BgL_stackz00_2853)
	{
		AN_OBJECT;
		{	/* Inline/inline.scm 133 */
			{
				BgL_externz00_bglt BgL_nodez00_1489;
				obj_t BgL_kfactorz00_1490;
				obj_t BgL_stackz00_1491;

				BgL_nodez00_1489 = BgL_nodez00_2851;
				BgL_kfactorz00_1490 = BgL_kfactorz00_2852;
				BgL_stackz00_1491 = BgL_stackz00_2853;
				BGl_inlinezd2nodeza2z12z62zzinline_inlinez00(
					(((BgL_externz00_bglt) CREF(BgL_nodez00_1489))->BgL_exprza2za2),
					BgL_kfactorz00_1490, BgL_stackz00_1491);
				return ((BgL_nodez00_bglt) BgL_nodez00_1489);
			}
		}
	}



/* &inline-node-funcall1944 */
	BgL_nodez00_bglt BGl_z62inlinezd2nodezd2funcall1944z62zzinline_inlinez00(obj_t
		BgL_envz00_2854, BgL_funcallz00_bglt BgL_nodez00_2855,
		obj_t BgL_kfactorz00_2856, obj_t BgL_stackz00_2857)
	{
		AN_OBJECT;
		{	/* Inline/inline.scm 123 */
			{
				BgL_funcallz00_bglt BgL_nodez00_1480;
				obj_t BgL_kfactorz00_1481;
				obj_t BgL_stackz00_1482;

				BgL_nodez00_1480 = BgL_nodez00_2855;
				BgL_kfactorz00_1481 = BgL_kfactorz00_2856;
				BgL_stackz00_1482 = BgL_stackz00_2857;
				{	/* Inline/inline.scm 125 */
					long BgL_za71za7_2480;

					BgL_za71za7_2480 =
						(long) CINT(BGl_za2nonzd2inlinedzd2callsza2z00zzinline_walkz00);
					BGl_za2nonzd2inlinedzd2callsza2z00zzinline_walkz00 =
						BINT((BgL_za71za7_2480 + ((long) 1)));
				}
				((((BgL_funcallz00_bglt) CREF(BgL_nodez00_1480))->BgL_funz00) =
					((BgL_nodez00_bglt)
						BGl_inlinezd2nodezd2zzinline_inlinez00((((BgL_funcallz00_bglt)
									CREF(BgL_nodez00_1480))->BgL_funz00),
							(long) CINT(BgL_kfactorz00_1481), BgL_stackz00_1482)), BUNSPEC);
				BGl_inlinezd2nodeza2z12z62zzinline_inlinez00((((BgL_funcallz00_bglt)
							CREF(BgL_nodez00_1480))->BgL_argsz00), BgL_kfactorz00_1481,
					BgL_stackz00_1482);
				return ((BgL_nodez00_bglt) BgL_nodez00_1480);
			}
		}
	}



/* &inline-node-app-ly1942 */
	BgL_nodez00_bglt
		BGl_z62inlinezd2nodezd2appzd2ly1942zb0zzinline_inlinez00(obj_t
		BgL_envz00_2858, BgL_appzd2lyzd2_bglt BgL_nodez00_2859,
		obj_t BgL_kfactorz00_2860, obj_t BgL_stackz00_2861)
	{
		AN_OBJECT;
		{	/* Inline/inline.scm 114 */
			{
				BgL_appzd2lyzd2_bglt BgL_nodez00_1471;
				obj_t BgL_kfactorz00_1472;
				obj_t BgL_stackz00_1473;

				BgL_nodez00_1471 = BgL_nodez00_2859;
				BgL_kfactorz00_1472 = BgL_kfactorz00_2860;
				BgL_stackz00_1473 = BgL_stackz00_2861;
				{
					BgL_nodez00_bglt BgL_auxz00_3878;

					{	/* Inline/inline.scm 116 */
						BgL_nodez00_bglt BgL_arg2056z00_1477;

						BgL_arg2056z00_1477 =
							(((BgL_appzd2lyzd2_bglt) CREF(BgL_nodez00_1471))->BgL_funz00);
						BgL_auxz00_3878 =
							BGl_inlinezd2nodezd2zzinline_inlinez00(BgL_arg2056z00_1477,
							(long) CINT(BgL_kfactorz00_1472), BgL_stackz00_1473);
					}
					((((BgL_appzd2lyzd2_bglt) CREF(BgL_nodez00_1471))->BgL_funz00) =
						((BgL_nodez00_bglt) BgL_auxz00_3878), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_3883;

					{	/* Inline/inline.scm 117 */
						BgL_nodez00_bglt BgL_arg2057z00_1478;

						BgL_arg2057z00_1478 =
							(((BgL_appzd2lyzd2_bglt) CREF(BgL_nodez00_1471))->BgL_argz00);
						BgL_auxz00_3883 =
							BGl_inlinezd2nodezd2zzinline_inlinez00(BgL_arg2057z00_1478,
							(long) CINT(BgL_kfactorz00_1472), BgL_stackz00_1473);
					}
					((((BgL_appzd2lyzd2_bglt) CREF(BgL_nodez00_1471))->BgL_argz00) =
						((BgL_nodez00_bglt) BgL_auxz00_3883), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1471);
			}
		}
	}



/* &inline-node-app1940 */
	BgL_nodez00_bglt BGl_z62inlinezd2nodezd2app1940z62zzinline_inlinez00(obj_t
		BgL_envz00_2862, BgL_appz00_bglt BgL_nodez00_2863,
		obj_t BgL_kfactorz00_2864, obj_t BgL_stackz00_2865)
	{
		AN_OBJECT;
		{	/* Inline/inline.scm 107 */
			{
				BgL_appz00_bglt BgL_nodez00_1464;
				obj_t BgL_kfactorz00_1465;
				obj_t BgL_stackz00_1466;

				BgL_nodez00_1464 = BgL_nodez00_2863;
				BgL_kfactorz00_1465 = BgL_kfactorz00_2864;
				BgL_stackz00_1466 = BgL_stackz00_2865;
				BGl_inlinezd2nodeza2z12z62zzinline_inlinez00(
					(((BgL_appz00_bglt) CREF(BgL_nodez00_1464))->BgL_argsz00),
					BgL_kfactorz00_1465, BgL_stackz00_1466);
				return BGl_inlinezd2appzd2zzinline_appz00(BgL_nodez00_1464,
					(long) CINT(BgL_kfactorz00_1465), BgL_stackz00_1466);
		}}
	}



/* &inline-node-sequence1938 */
	BgL_nodez00_bglt
		BGl_z62inlinezd2nodezd2sequence1938z62zzinline_inlinez00(obj_t
		BgL_envz00_2866, BgL_sequencez00_bglt BgL_nodez00_2867,
		obj_t BgL_kfactorz00_2868, obj_t BgL_stackz00_2869)
	{
		AN_OBJECT;
		{	/* Inline/inline.scm 100 */
			{
				BgL_sequencez00_bglt BgL_nodez00_1457;
				obj_t BgL_kfactorz00_1458;
				obj_t BgL_stackz00_1459;

				BgL_nodez00_1457 = BgL_nodez00_2867;
				BgL_kfactorz00_1458 = BgL_kfactorz00_2868;
				BgL_stackz00_1459 = BgL_stackz00_2869;
				BGl_inlinezd2nodeza2z12z62zzinline_inlinez00(
					(((BgL_sequencez00_bglt) CREF(BgL_nodez00_1457))->BgL_nodesz00),
					BgL_kfactorz00_1458, BgL_stackz00_1459);
				return ((BgL_nodez00_bglt) BgL_nodez00_1457);
			}
		}
	}



/* &inline-node-kwote1936 */
	BgL_nodez00_bglt BGl_z62inlinezd2nodezd2kwote1936z62zzinline_inlinez00(obj_t
		BgL_envz00_2870, BgL_kwotez00_bglt BgL_nodez00_2871,
		obj_t BgL_kfactorz00_2872, obj_t BgL_stackz00_2873)
	{
		AN_OBJECT;
		{	/* Inline/inline.scm 94 */
			return ((BgL_nodez00_bglt) BgL_nodez00_2871);
		}
	}



/* &inline-node-var1934 */
	BgL_nodez00_bglt BGl_z62inlinezd2nodezd2var1934z62zzinline_inlinez00(obj_t
		BgL_envz00_2874, BgL_varz00_bglt BgL_nodez00_2875,
		obj_t BgL_kfactorz00_2876, obj_t BgL_stackz00_2877)
	{
		AN_OBJECT;
		{	/* Inline/inline.scm 74 */
			{
				BgL_varz00_bglt BgL_nodez00_1418;
				obj_t BgL_kfactorz00_1419;
				obj_t BgL_stackz00_1420;

				BgL_nodez00_1418 = BgL_nodez00_2875;
				BgL_kfactorz00_1419 = BgL_kfactorz00_2876;
				BgL_stackz00_1420 = BgL_stackz00_2877;
				{	/* Inline/inline.scm 76 */
					bool_t BgL_testz00_3897;

					if (((long) CINT(BGl_za2optimza2z00zzengine_paramz00) > ((long) 0)))
						{	/* Inline/inline.scm 77 */
							bool_t BgL_testz00_3901;

							{	/* Inline/inline.scm 77 */
								BgL_variablez00_bglt BgL_arg2053z00_1449;

								BgL_arg2053z00_1449 =
									(((BgL_varz00_bglt) CREF(BgL_nodez00_1418))->BgL_variablez00);
								{	/* Inline/inline.scm 77 */
									bool_t BgL_res2181z00_2451;

									{	/* Inline/inline.scm 77 */
										obj_t BgL_objz00_2450;

										BgL_objz00_2450 = ((obj_t) BgL_arg2053z00_1449);
										BgL_res2181z00_2451 =
											BGl_isazf3zf3zz__objectz00(BgL_objz00_2450,
											BGl_globalz00zzast_varz00);
									}
									BgL_testz00_3901 = BgL_res2181z00_2451;
							}}
							if (BgL_testz00_3901)
								{	/* Inline/inline.scm 77 */
									if (
										((((BgL_globalz00_bglt) CREF(
														((BgL_globalz00_bglt)
															(((BgL_varz00_bglt) CREF(BgL_nodez00_1418))->
																BgL_variablez00))))->BgL_importz00) ==
											CNST_TABLE_REF(((long) 8))))
										{	/* Inline/inline.scm 78 */
											if (
												(((BgL_globalz00_bglt) CREF(
															((BgL_globalz00_bglt)
																(((BgL_varz00_bglt) CREF(BgL_nodez00_1418))->
																	BgL_variablez00))))->BgL_evalzf3zf3))
												{	/* Inline/inline.scm 79 */
													BgL_testz00_3897 = ((bool_t) 0);
												}
											else
												{	/* Inline/inline.scm 80 */
													bool_t BgL_testz00_3915;

													if (
														((((BgL_variablez00_bglt) CREF(
																		((BgL_variablez00_bglt)
																			((BgL_globalz00_bglt)
																				(((BgL_varz00_bglt)
																						CREF(BgL_nodez00_1418))->
																					BgL_variablez00)))))->
																BgL_accessz00) == CNST_TABLE_REF(((long) 9))))
														{	/* Inline/inline.scm 80 */
															BgL_testz00_3915 = ((bool_t) 1);
														}
													else
														{	/* Inline/inline.scm 80 */
															if (
																((((BgL_globalz00_bglt) CREF(
																				((BgL_globalz00_bglt)
																					(((BgL_varz00_bglt)
																							CREF(BgL_nodez00_1418))->
																						BgL_variablez00))))->BgL_initz00) ==
																	BTRUE))
																{	/* Inline/inline.scm 81 */
																	BgL_testz00_3915 =
																		(
																		(((BgL_variablez00_bglt) CREF(
																					((BgL_variablez00_bglt)
																						((BgL_globalz00_bglt)
																							(((BgL_varz00_bglt)
																									CREF(BgL_nodez00_1418))->
																								BgL_variablez00)))))->
																			BgL_occurrencewz00) == ((long) 1));
																}
															else
																{	/* Inline/inline.scm 81 */
																	BgL_testz00_3915 = ((bool_t) 0);
																}
														}
													if (BgL_testz00_3915)
														{	/* Inline/inline.scm 83 */
															bool_t BgL__ortest_1178z00_1433;

															{	/* Inline/inline.scm 83 */
																obj_t BgL_arg2036z00_1436;

																BgL_arg2036z00_1436 =
																	(((BgL_globalz00_bglt) CREF(
																			((BgL_globalz00_bglt)
																				(((BgL_varz00_bglt)
																						CREF(BgL_nodez00_1418))->
																					BgL_variablez00))))->BgL_srcz00);
																BgL__ortest_1178z00_1433 =
																	BGl_isazf3zf3zz__objectz00
																	(BgL_arg2036z00_1436,
																	BGl_atomz00zzast_nodez00);
															}
															if (BgL__ortest_1178z00_1433)
																{	/* Inline/inline.scm 83 */
																	BgL_testz00_3897 = BgL__ortest_1178z00_1433;
																}
															else
																{	/* Inline/inline.scm 84 */
																	obj_t BgL_arg2034z00_1434;

																	BgL_arg2034z00_1434 =
																		(((BgL_globalz00_bglt) CREF(
																				((BgL_globalz00_bglt)
																					(((BgL_varz00_bglt)
																							CREF(BgL_nodez00_1418))->
																						BgL_variablez00))))->BgL_srcz00);
																	BgL_testz00_3897 =
																		BGl_isazf3zf3zz__objectz00
																		(BgL_arg2034z00_1434,
																		BGl_kwotez00zzast_nodez00);
																}
														}
													else
														{	/* Inline/inline.scm 80 */
															BgL_testz00_3897 = ((bool_t) 0);
														}
												}
										}
									else
										{	/* Inline/inline.scm 78 */
											BgL_testz00_3897 = ((bool_t) 0);
										}
								}
							else
								{	/* Inline/inline.scm 77 */
									BgL_testz00_3897 = ((bool_t) 0);
								}
						}
					else
						{	/* Inline/inline.scm 76 */
							BgL_testz00_3897 = ((bool_t) 0);
						}
					if (BgL_testz00_3897)
						{	/* Inline/inline.scm 76 */
							{	/* Inline/inline.scm 88 */
								obj_t BgL_arg2025z00_1425;
								obj_t BgL_arg2027z00_1426;

								BgL_arg2025z00_1425 =
									(((BgL_nodez00_bglt) CREF(
											((BgL_nodez00_bglt) BgL_nodez00_1418)))->BgL_locz00);
								BgL_arg2027z00_1426 =
									(((BgL_globalz00_bglt) CREF(
											((BgL_globalz00_bglt)
												(((BgL_varz00_bglt) CREF(BgL_nodez00_1418))->
													BgL_variablez00))))->BgL_srcz00);
								return BGl_alphatiza7eza7zzast_alphatiza7eza7(BNIL, BNIL,
									BgL_arg2025z00_1425,
									((BgL_nodez00_bglt) BgL_arg2027z00_1426));
							}
						}
					else
						{	/* Inline/inline.scm 76 */
							return ((BgL_nodez00_bglt) BgL_nodez00_1418);
						}
				}
			}
		}
	}



/* &inline-node-atom1932 */
	BgL_nodez00_bglt BGl_z62inlinezd2nodezd2atom1932z62zzinline_inlinez00(obj_t
		BgL_envz00_2878, BgL_atomz00_bglt BgL_nodez00_2879,
		obj_t BgL_kfactorz00_2880, obj_t BgL_stackz00_2881)
	{
		AN_OBJECT;
		{	/* Inline/inline.scm 68 */
			return ((BgL_nodez00_bglt) BgL_nodez00_2879);
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzinline_inlinez00()
	{
		AN_OBJECT;
		{	/* Inline/inline.scm 15 */
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string2233z00zzinline_inlinez00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string2233z00zzinline_inlinez00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 353660849),
				BSTRING_TO_STRING(BGl_string2233z00zzinline_inlinez00));
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 311980),
				BSTRING_TO_STRING(BGl_string2233z00zzinline_inlinez00));
			BGl_modulezd2initializa7ationz75zzinline_walkz00(((long) 385476819),
				BSTRING_TO_STRING(BGl_string2233z00zzinline_inlinez00));
			BGl_modulezd2initializa7ationz75zzinline_appz00(((long) 148760855),
				BSTRING_TO_STRING(BGl_string2233z00zzinline_inlinez00));
			BGl_modulezd2initializa7ationz75zzast_alphatiza7eza7(((long) 53595773),
				BSTRING_TO_STRING(BGl_string2233z00zzinline_inlinez00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 1407764),
				BSTRING_TO_STRING(BGl_string2233z00zzinline_inlinez00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string2233z00zzinline_inlinez00));
			return
				BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string2233z00zzinline_inlinez00));
		}
	}

#ifdef __cplusplus
}
#endif
