/*===========================================================================*/
/*   (Eval/evaluate.scm)                                                     */
/*   Bigloo (3.8a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Thu Mar 29 06:52:41 CEST 2012       */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -srfi enable-gmp -srfi bigloo-unsafe -O3 -fcfa-arithmetic -q +rm -lib-dir /users/serrano/prgm/project/bigloo/lib/3.8a -mklib -cc gcc -fsharing -q -no-hello -copt -fPIC -unsafe -safee -O4 -c Eval/evaluate.scm -indent -o objs/obj_u/Eval/evaluate.c)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_ev_exprz00_bgl
	{
		header_t header;
		obj_t widening;
	}                 *BgL_ev_exprz00_bglt;

	typedef struct BgL_ev_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
		obj_t BgL_effz00;
		obj_t BgL_typez00;
	}                *BgL_ev_varz00_bglt;

	typedef struct BgL_ev_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_namez00;
		obj_t BgL_modz00;
	}                   *BgL_ev_globalz00_bglt;

	typedef struct BgL_ev_littz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_valuez00;
	}                 *BgL_ev_littz00_bglt;

	typedef struct BgL_ev_ifz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_pz00;
		struct BgL_ev_exprz00_bgl *BgL_tz00;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
	}               *BgL_ev_ifz00_bglt;

	typedef struct BgL_ev_listz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_argsz00;
	}                 *BgL_ev_listz00_bglt;

	typedef struct BgL_ev_orz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_argsz00;
	}               *BgL_ev_orz00_bglt;

	typedef struct BgL_ev_andz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_argsz00;
	}                *BgL_ev_andz00_bglt;

	typedef struct BgL_ev_prog2z00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_e1z00;
		struct BgL_ev_exprz00_bgl *BgL_e2z00;
	}                  *BgL_ev_prog2z00_bglt;

	typedef struct BgL_ev_hookz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
	}                 *BgL_ev_hookz00_bglt;

	typedef struct BgL_ev_trapz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
	}                 *BgL_ev_trapz00_bglt;

	typedef struct BgL_ev_setlocalz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		struct BgL_ev_varz00_bgl *BgL_vz00;
	}                     *BgL_ev_setlocalz00_bglt;

	typedef struct BgL_ev_setglobalz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		obj_t BgL_locz00;
		obj_t BgL_namez00;
		obj_t BgL_modz00;
	}                      *BgL_ev_setglobalz00_bglt;

	typedef struct BgL_ev_defglobalz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		obj_t BgL_locz00;
		obj_t BgL_namez00;
		obj_t BgL_modz00;
	}                      *BgL_ev_defglobalz00_bglt;

	typedef struct BgL_ev_bindzd2exitzd2_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_varz00_bgl *BgL_varz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                        *BgL_ev_bindzd2exitzd2_bglt;

	typedef struct BgL_ev_unwindzd2protectzd2_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                             *BgL_ev_unwindzd2protectzd2_bglt;

	typedef struct BgL_ev_withzd2handlerzd2_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_handlerz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                           *BgL_ev_withzd2handlerzd2_bglt;

	typedef struct BgL_ev_binderz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                   *BgL_ev_binderz00_bglt;

	typedef struct BgL_ev_letz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		obj_t BgL_boxesz00;
	}                *BgL_ev_letz00_bglt;

	typedef struct BgL_ev_letza2za2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		obj_t BgL_boxesz00;
	}                   *BgL_ev_letza2za2_bglt;

	typedef struct BgL_ev_letrecz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                   *BgL_ev_letrecz00_bglt;

	typedef struct BgL_ev_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_ev_exprz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_tailzf3zf3;
	}                *BgL_ev_appz00_bglt;

	typedef struct BgL_ev_absz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_wherez00;
		obj_t BgL_arityz00;
		obj_t BgL_varsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		int BgL_siza7eza7;
		obj_t BgL_bindz00;
		obj_t BgL_freez00;
		obj_t BgL_innerz00;
		obj_t BgL_boxesz00;
	}                *BgL_ev_absz00_bglt;


	static BgL_ev_appz00_bglt
		BGl_makezd2classzd2fieldzd2setzd2zz__evaluatez00(obj_t, obj_t, obj_t,
		obj_t);
	extern obj_t BGl_ev_defglobalz00zz__evaluate_typesz00;
	static obj_t BGl_convzd2beginzd2zz__evaluatez00(obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, bool_t);
	extern obj_t BGl_compilez00zz__evaluate_compz00(BgL_ev_exprz00_bglt);
	static obj_t BGl_requirezd2initializa7ationz75zz__evaluatez00 = BUNSPEC;
	extern bool_t BGl_classzd2fieldzf3z21zz__objectz00(obj_t);
	static obj_t BGl_symbol2586z00zz__evaluatez00 = BUNSPEC;
	extern BgL_ev_exprz00_bglt
		BGl_extractzd2loopszd2zz__evaluate_fsiza7eza7(BgL_ev_exprz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_setzd2evaluationzd2contextz12z12zz__evaluatez00(obj_t);
	static obj_t BGl_getzd2locationzd2zz__evaluatez00(obj_t, obj_t);
	static obj_t BGl_symbol2595z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol2598z00zz__evaluatez00 = BUNSPEC;
	extern obj_t BGl_ev_letrecz00zz__evaluate_typesz00;
	extern obj_t BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(obj_t);
	extern obj_t BGl_ev_letz00zz__evaluate_typesz00;
	extern obj_t BGl_formatz00zz__r4_output_6_10_3z00(obj_t, obj_t);
	extern obj_t bgl_reverse(obj_t);
	static obj_t BGl_genericzd2initzd2zz__evaluatez00();
	extern obj_t BGl_stringzd2copyzd2zz__r4_strings_6_7z00(obj_t);
	extern obj_t BGl_classzd2existszd2zz__objectz00(obj_t);
	extern obj_t BGl_ev_prog2z00zz__evaluate_typesz00;
	extern int BGl_framezd2siza7ez75zz__evaluate_fsiza7eza7(BgL_ev_exprz00_bglt);
	static obj_t BGl_zc3exitza31311ze3z83zz__evaluatez00(obj_t, obj_t);
	static obj_t BGl_objectzd2initzd2zz__evaluatez00();
	extern bool_t BGl_classzd2fieldzd2mutablezf3zf3zz__objectz00(obj_t);
	extern obj_t BGl_ev_bindzd2exitzd2zz__evaluate_typesz00;
	extern bool_t BGl_2ze3ze3zz__r4_numbers_6_5z00(obj_t, obj_t);
	static obj_t BGl_convzd2fieldzd2refz00zz__evaluatez00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, bool_t);
	static obj_t BGl_z62getzd2evaluationzd2contextz62zz__evaluatez00(obj_t);
	extern obj_t bgl_reverse_bang(obj_t);
	extern obj_t BGl_valzd2fromzd2exitzf3zf3zz__bexitz00(obj_t);
	extern obj_t BGl_findzd2classzd2fieldz00zz__objectz00(obj_t, obj_t);
	extern obj_t BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00;
	extern obj_t BGl_ppz00zz__ppz00(obj_t, obj_t);
	extern obj_t bstring_to_symbol(obj_t);
	extern bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
	static obj_t BGl_convzd2fieldzd2setz00zz__evaluatez00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, bool_t);
	extern obj_t BGl_classzd2fieldzd2mutatorz00zz__objectz00(obj_t);
	extern obj_t make_vector(int, obj_t);
	extern obj_t BGl_ev_letza2za2zz__evaluate_typesz00;
	static obj_t BGl_convzd2varzd2zz__evaluatez00(obj_t, obj_t);
	static obj_t BGl_appendzd221011zd2zz__evaluatez00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zz__evaluatez00();
	extern obj_t BGl_ev_absz00zz__evaluate_typesz00;
	extern obj_t BGl_ev_trapz00zz__evaluate_typesz00;
	static BgL_ev_absz00_bglt BGl_convzd2lambdazd2zz__evaluatez00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t);
	extern obj_t BGl_ev_setglobalz00zz__evaluate_typesz00;
	extern obj_t string_append(obj_t, obj_t);
	extern obj_t BGl_classzd2fieldzd2accessorz00zz__objectz00(obj_t);
	extern obj_t BGl_ev_ifz00zz__evaluate_typesz00;
	extern obj_t BGl_analysezd2varszd2zz__evaluate_avarz00(BgL_ev_exprz00_bglt);
	extern obj_t BGl_substringz00zz__r4_strings_6_7z00(obj_t, long, long);
	extern obj_t BGl_findzd2statezd2zz__evaluate_compz00();
	extern obj_t BGl_evmodulez00zz__evmodulez00(obj_t, obj_t);
	static obj_t BGl_untypezd2identzd2zz__evaluatez00(obj_t);
	extern obj_t BGl_classzd2fieldzd2typez00zz__objectz00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__evaluatez00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evaluate_compz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evaluate_uncompz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evaluate_fsiza7eza7(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evaluate_avarz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evaluate_typesz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evmodulez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__everrorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evcompilez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evenvz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__expandz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__prognz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__ppz00(long, char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_input_6_10_2z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonum_dtoaz00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(long, char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__threadz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__dssslz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bignumz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__structurez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__tvectorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__typez00(long, char *);
	extern obj_t BGl_expandz00zz__expandz00(obj_t);
	static obj_t BGl_z62setzd2evaluationzd2contextz12z70zz__evaluatez00(obj_t,
		obj_t);
	extern obj_t BGl_ev_globalz00zz__evaluate_typesz00;
	extern obj_t BGl_unwindzd2untilz12zc0zz__bexitz00(obj_t, obj_t);
	extern bool_t BGl_classzf3zf3zz__objectz00(obj_t);
	extern int bgl_debug();
	extern obj_t BGl_ev_littz00zz__evaluate_typesz00;
	extern obj_t BGl_ev_orz00zz__evaluate_typesz00;
	extern obj_t BGl_ev_varz00zz__evaluate_typesz00;
	extern obj_t BGl_makezd2dssslzd2functionzd2preludezd2zz__dssslz00(obj_t,
		obj_t, obj_t, obj_t);
	extern obj_t string_to_symbol(char *);
	static obj_t BGl_z62evaluate2z62zz__evaluatez00(obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_cnstzd2initzd2zz__evaluatez00();
	static obj_t BGl_importedzd2moduleszd2initz00zz__evaluatez00();
	extern obj_t BGl_ev_withzd2handlerzd2zz__evaluate_typesz00;
	extern obj_t BGl_ev_andz00zz__evaluate_typesz00;
	static obj_t BGl_convzd2valszd2zz__evaluatez00(obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t);
	extern bool_t BGl_evmodulezf3zf3zz__evmodulez00(obj_t);
	extern obj_t BGl_getzd2sourcezd2locationz00zz__readerz00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_evaluate2z00zz__evaluatez00(obj_t, obj_t, obj_t);
	extern obj_t BGl_ev_appz00zz__evaluate_typesz00;
	extern obj_t
		BGl_dssslzd2formalszd2ze3schemezd2typedzd2formalsze3zz__dssslz00(obj_t,
		obj_t, bool_t);
	extern obj_t c_substring(obj_t, long, long);
	extern obj_t BGl_evalzd2findzd2modulez00zz__evmodulez00(obj_t);
	static obj_t BGl_uconvzf2loczf2zz__evaluatez00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_loopz00zz__evaluatez00(obj_t, obj_t, obj_t, obj_t, obj_t);
	extern obj_t BGl_evcompilezd2errorzd2zz__evcompilez00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_symbol2600z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol2602z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol2604z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol2606z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol2608z00zz__evaluatez00 = BUNSPEC;
	extern obj_t BGl_uncompilez00zz__evaluate_uncompz00(BgL_ev_exprz00_bglt);
	static obj_t BGl_symbol2610z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol2612z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol2614z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol2616z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol2618z00zz__evaluatez00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t BGl_getzd2evaluationzd2contextz00zz__evaluatez00();
	static BgL_ev_appz00_bglt
		BGl_makezd2classzd2fieldzd2refzd2zz__evaluatez00(obj_t, BgL_ev_exprz00_bglt,
		obj_t, obj_t);
	static obj_t BGl_symbol2620z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol2622z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol2624z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol2626z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol2628z00zz__evaluatez00 = BUNSPEC;
	extern obj_t BGl_ev_setlocalz00zz__evaluate_typesz00;
	static obj_t BGl_convz00zz__evaluatez00(obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, bool_t);
	static obj_t BGl_symbol2630z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol2632z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol2634z00zz__evaluatez00 = BUNSPEC;
	static obj_t *__cnst;


	   
		 
		DEFINE_STRING(BGl_string2601z00zz__evaluatez00,
		BgL_bgl_string2601za700za7za7_2637za7, "@", 1);
	      DEFINE_STRING(BGl_string2603z00zz__evaluatez00,
		BgL_bgl_string2603za700za7za7_2638za7, "->", 2);
	      DEFINE_STRING(BGl_string2605z00zz__evaluatez00,
		BgL_bgl_string2605za700za7za7_2639za7, "trap", 4);
	      DEFINE_STRING(BGl_string2607z00zz__evaluatez00,
		BgL_bgl_string2607za700za7za7_2640za7, "quote", 5);
	      DEFINE_STRING(BGl_string2609z00zz__evaluatez00,
		BgL_bgl_string2609za700za7za7_2641za7, "if", 2);
	      DEFINE_STRING(BGl_string2611z00zz__evaluatez00,
		BgL_bgl_string2611za700za7za7_2642za7, "or", 2);
	      DEFINE_STRING(BGl_string2613z00zz__evaluatez00,
		BgL_bgl_string2613za700za7za7_2643za7, "and", 3);
	      DEFINE_STRING(BGl_string2615z00zz__evaluatez00,
		BgL_bgl_string2615za700za7za7_2644za7, "begin", 5);
	      DEFINE_STRING(BGl_string2617z00zz__evaluatez00,
		BgL_bgl_string2617za700za7za7_2645za7, "let", 3);
	      DEFINE_STRING(BGl_string2619z00zz__evaluatez00,
		BgL_bgl_string2619za700za7za7_2646za7, "let*", 4);
	      DEFINE_STRING(BGl_string2621z00zz__evaluatez00,
		BgL_bgl_string2621za700za7za7_2647za7, "letrec", 6);
	      DEFINE_STRING(BGl_string2623z00zz__evaluatez00,
		BgL_bgl_string2623za700za7za7_2648za7, "set!", 4);
	      DEFINE_STRING(BGl_string2625z00zz__evaluatez00,
		BgL_bgl_string2625za700za7za7_2649za7, "define", 6);
	      DEFINE_STRING(BGl_string2627z00zz__evaluatez00,
		BgL_bgl_string2627za700za7za7_2650za7, "lambda", 6);
	      DEFINE_STRING(BGl_string2629z00zz__evaluatez00,
		BgL_bgl_string2629za700za7za7_2651za7, "bind-exit", 9);
	      DEFINE_STRING(BGl_string2631z00zz__evaluatez00,
		BgL_bgl_string2631za700za7za7_2652za7, "unwind-protect", 14);
	      DEFINE_STRING(BGl_string2633z00zz__evaluatez00,
		BgL_bgl_string2633za700za7za7_2653za7, "with-handler", 12);
	      DEFINE_STRING(BGl_string2635z00zz__evaluatez00,
		BgL_bgl_string2635za700za7za7_2654za7, "\\@", 2);
	      DEFINE_STRING(BGl_string2636z00zz__evaluatez00,
		BgL_bgl_string2636za700za7za7_2655za7, "__evaluate", 10);
	      DEFINE_STRING(BGl_string2585z00zz__evaluatez00,
		BgL_bgl_string2585za700za7za7_2656za7, "", 0);
	      DEFINE_STRING(BGl_string2587z00zz__evaluatez00,
		BgL_bgl_string2587za700za7za7_2657za7, "toplevel", 8);
	      DEFINE_STRING(BGl_string2588z00zz__evaluatez00,
		BgL_bgl_string2588za700za7za7_2658za7, "eval", 4);
	      DEFINE_STRING(BGl_string2589z00zz__evaluatez00,
		BgL_bgl_string2589za700za7za7_2659za7, "bad syntax", 10);
	      DEFINE_STRING(BGl_string2590z00zz__evaluatez00,
		BgL_bgl_string2590za700za7za7_2660za7, "Class \"~a\" has no field \"~a\"",
		28);
	      DEFINE_STRING(BGl_string2591z00zz__evaluatez00,
		BgL_bgl_string2591za700za7za7_2661za7, "Static type not a class", 23);
	      DEFINE_STRING(BGl_string2592z00zz__evaluatez00,
		BgL_bgl_string2592za700za7za7_2662za7, "Variable unbound", 16);
	      DEFINE_STRING(BGl_string2593z00zz__evaluatez00,
		BgL_bgl_string2593za700za7za7_2663za7, "Field read-only", 15);
	      DEFINE_STRING(BGl_string2594z00zz__evaluatez00,
		BgL_bgl_string2594za700za7za7_2664za7, "Illegal form", 12);
	      DEFINE_STRING(BGl_string2596z00zz__evaluatez00,
		BgL_bgl_string2596za700za7za7_2665za7, " ", 1);
	      DEFINE_STRING(BGl_string2597z00zz__evaluatez00,
		BgL_bgl_string2597za700za7za7_2666za7,
		"Illegal non toplevel module declaration", 39);
	      DEFINE_STRING(BGl_string2599z00zz__evaluatez00,
		BgL_bgl_string2599za700za7za7_2667za7, "module", 6);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_setzd2evaluationzd2contextz12zd2envzc0zz__evaluatez00,
		BgL_bgl_za762setza7d2evaluat2668z00,
		BGl_z62setzd2evaluationzd2contextz12z70zz__evaluatez00, 0L, BUNSPEC, 1);
	extern obj_t BGl_errorzd2envzd2zz__errorz00;
	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_getzd2evaluationzd2contextzd2envzd2zz__evaluatez00,
		BgL_bgl_za762getza7d2evaluat2669z00,
		BGl_z62getzd2evaluationzd2contextz62zz__evaluatez00, 0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_evaluate2zd2envzd2zz__evaluatez00,
		BgL_bgl_za762evaluate2za762za72670za7, BGl_z62evaluate2z62zz__evaluatez00,
		0L, BUNSPEC, 3);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__evaluatez00(long
		BgL_checksumz00_4028, char *BgL_fromz00_4029)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zz__evaluatez00))
				{
					BGl_requirezd2initializa7ationz75zz__evaluatez00 =
						BBOOL(((bool_t) 0));
					BGl_cnstzd2initzd2zz__evaluatez00();
					BGl_importedzd2moduleszd2initz00zz__evaluatez00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zz__evaluatez00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 15 */
			BGl_symbol2586z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2587z00zz__evaluatez00);
			BGl_symbol2595z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2596z00zz__evaluatez00);
			BGl_symbol2598z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2599z00zz__evaluatez00);
			BGl_symbol2600z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2601z00zz__evaluatez00);
			BGl_symbol2602z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2603z00zz__evaluatez00);
			BGl_symbol2604z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2605z00zz__evaluatez00);
			BGl_symbol2606z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2607z00zz__evaluatez00);
			BGl_symbol2608z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2609z00zz__evaluatez00);
			BGl_symbol2610z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2611z00zz__evaluatez00);
			BGl_symbol2612z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2613z00zz__evaluatez00);
			BGl_symbol2614z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2615z00zz__evaluatez00);
			BGl_symbol2616z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2617z00zz__evaluatez00);
			BGl_symbol2618z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2619z00zz__evaluatez00);
			BGl_symbol2620z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2621z00zz__evaluatez00);
			BGl_symbol2622z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2623z00zz__evaluatez00);
			BGl_symbol2624z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2625z00zz__evaluatez00);
			BGl_symbol2626z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2627z00zz__evaluatez00);
			BGl_symbol2628z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2629z00zz__evaluatez00);
			BGl_symbol2630z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2631z00zz__evaluatez00);
			BGl_symbol2632z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2633z00zz__evaluatez00);
			return (BGl_symbol2634z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2635z00zz__evaluatez00), BUNSPEC);
		}
	}



/* append-21011 */
	obj_t BGl_appendzd221011zd2zz__evaluatez00(obj_t BgL_l1z00_1,
		obj_t BgL_l2z00_2)
	{
		AN_OBJECT;
		{
			{
				obj_t BgL_headz00_674;

				BgL_headz00_674 = MAKE_PAIR(BNIL, BgL_l2z00_2);
				{
					obj_t BgL_prevz00_2161;
					obj_t BgL_tailz00_2162;

					BgL_prevz00_2161 = BgL_headz00_674;
					BgL_tailz00_2162 = BgL_l1z00_1;
				BgL_loopz00_2160:
					if (PAIRP(BgL_tailz00_2162))
						{
							obj_t BgL_newzd2prevzd2_2168;

							BgL_newzd2prevzd2_2168 =
								MAKE_PAIR(CAR(BgL_tailz00_2162), BgL_l2z00_2);
							SET_CDR(BgL_prevz00_2161, BgL_newzd2prevzd2_2168);
							{
								obj_t BgL_tailz00_4063;
								obj_t BgL_prevz00_4062;

								BgL_prevz00_4062 = BgL_newzd2prevzd2_2168;
								BgL_tailz00_4063 = CDR(BgL_tailz00_2162);
								BgL_tailz00_2162 = BgL_tailz00_4063;
								BgL_prevz00_2161 = BgL_prevz00_4062;
								goto BgL_loopz00_2160;
							}
						}
					else
						{
							BNIL;
						}
				}
				return CDR(BgL_headz00_674);
			}
		}
	}



/* untype-ident */
	obj_t BGl_untypezd2identzd2zz__evaluatez00(obj_t BgL_idz00_3)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 72 */
			{	/* Eval/evaluate.scm 73 */
				obj_t BgL_stringz00_682;

				{	/* Eval/evaluate.scm 73 */
					obj_t BgL_res2299z00_2180;

					{	/* Eval/evaluate.scm 73 */
						obj_t BgL_arg2227z00_2179;

						BgL_arg2227z00_2179 = SYMBOL_TO_STRING(BgL_idz00_3);
						BgL_res2299z00_2180 =
							BGl_stringzd2copyzd2zz__r4_strings_6_7z00(BgL_arg2227z00_2179);
					}
					BgL_stringz00_682 = BgL_res2299z00_2180;
				}
				{	/* Eval/evaluate.scm 73 */
					long BgL_lenz00_683;

					BgL_lenz00_683 = STRING_LENGTH(BgL_stringz00_682);
					{	/* Eval/evaluate.scm 74 */

						{
							long BgL_walkerz00_685;

							BgL_walkerz00_685 = ((long) 0);
						BgL_zc3anonymousza31264ze3z83_686:
							if ((BgL_walkerz00_685 == BgL_lenz00_683))
								{	/* Eval/evaluate.scm 77 */
									return MAKE_PAIR(BgL_idz00_3, BFALSE);
								}
							else
								{	/* Eval/evaluate.scm 79 */
									bool_t BgL_testz00_4072;

									if (
										(STRING_REF(BgL_stringz00_682,
												BgL_walkerz00_685) == ((unsigned char) ':')))
										{	/* Eval/evaluate.scm 79 */
											if ((BgL_walkerz00_685 < (BgL_lenz00_683 - ((long) 1))))
												{	/* Eval/evaluate.scm 80 */
													BgL_testz00_4072 =
														(STRING_REF(BgL_stringz00_682,
															(BgL_walkerz00_685 + ((long) 1))) ==
														((unsigned char) ':'));
												}
											else
												{	/* Eval/evaluate.scm 80 */
													BgL_testz00_4072 = ((bool_t) 0);
												}
										}
									else
										{	/* Eval/evaluate.scm 79 */
											BgL_testz00_4072 = ((bool_t) 0);
										}
									if (BgL_testz00_4072)
										{	/* Eval/evaluate.scm 82 */
											obj_t BgL_arg1268z00_689;
											obj_t BgL_arg1269z00_690;

											{	/* Eval/evaluate.scm 82 */
												obj_t BgL_arg1270z00_691;

												BgL_arg1270z00_691 =
													c_substring(BgL_stringz00_682, ((long) 0),
													BgL_walkerz00_685);
												BgL_arg1268z00_689 =
													string_to_symbol(BSTRING_TO_STRING
													(BgL_arg1270z00_691));
											}
											{	/* Eval/evaluate.scm 83 */
												obj_t BgL_arg1271z00_692;

												{	/* Eval/evaluate.scm 83 */
													long BgL_arg1272z00_693;

													BgL_arg1272z00_693 = (BgL_walkerz00_685 + ((long) 2));
													{	/* Ieee/string.scm 179 */
														long BgL_endz00_696;

														BgL_endz00_696 = STRING_LENGTH(BgL_stringz00_682);
														{	/* Ieee/string.scm 179 */

															BgL_arg1271z00_692 =
																BGl_substringz00zz__r4_strings_6_7z00
																(BgL_stringz00_682, BgL_arg1272z00_693,
																BgL_endz00_696);
												}}}
												BgL_arg1269z00_690 =
													string_to_symbol(BSTRING_TO_STRING
													(BgL_arg1271z00_692));
											}
											return MAKE_PAIR(BgL_arg1268z00_689, BgL_arg1269z00_690);
										}
									else
										{
											long BgL_walkerz00_4091;

											BgL_walkerz00_4091 = (BgL_walkerz00_685 + ((long) 1));
											BgL_walkerz00_685 = BgL_walkerz00_4091;
											goto BgL_zc3anonymousza31264ze3z83_686;
										}
								}
						}
					}
				}
			}
		}
	}



/* get-evaluation-context */
	BGL_EXPORTED_DEF obj_t BGl_getzd2evaluationzd2contextz00zz__evaluatez00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 90 */
			{	/* Eval/evaluate.scm 91 */
				obj_t BgL_sz00_705;

				BgL_sz00_705 = BGl_findzd2statezd2zz__evaluate_compz00();
				{	/* Eval/evaluate.scm 92 */
					obj_t BgL_bpz00_706;

					BgL_bpz00_706 = VECTOR_REF(BgL_sz00_705, (int) (((long) 0)));
					{	/* Eval/evaluate.scm 93 */
						obj_t BgL_rz00_707;

						BgL_rz00_707 =
							make_vector(CINT(BgL_bpz00_706),
							BGl_string2585z00zz__evaluatez00);
						{
							long BgL_iz00_709;

							BgL_iz00_709 = ((long) 0);
						BgL_zc3anonymousza31293ze3z83_710:
							if ((BgL_iz00_709 < (long) CINT(BgL_bpz00_706)))
								{	/* Eval/evaluate.scm 95 */
									VECTOR_SET(BgL_rz00_707,
										(int) (BgL_iz00_709),
										VECTOR_REF(BgL_sz00_705, (int) (BgL_iz00_709)));
									{
										long BgL_iz00_4105;

										BgL_iz00_4105 = (BgL_iz00_709 + ((long) 1));
										BgL_iz00_709 = BgL_iz00_4105;
										goto BgL_zc3anonymousza31293ze3z83_710;
									}
								}
							else
								{	/* Eval/evaluate.scm 95 */
									((bool_t) 0);
								}
						}
						return BgL_rz00_707;
					}
				}
			}
		}
	}



/* &get-evaluation-context */
	obj_t BGl_z62getzd2evaluationzd2contextz62zz__evaluatez00(obj_t
		BgL_envz00_3978)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 90 */
			return BGl_getzd2evaluationzd2contextz00zz__evaluatez00();
		}
	}



/* set-evaluation-context! */
	BGL_EXPORTED_DEF obj_t
		BGl_setzd2evaluationzd2contextz12z12zz__evaluatez00(obj_t BgL_vz00_4)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 103 */
			{	/* Eval/evaluate.scm 104 */
				obj_t BgL_sz00_715;

				BgL_sz00_715 = BGl_findzd2statezd2zz__evaluate_compz00();
				{	/* Eval/evaluate.scm 105 */
					obj_t BgL_bpz00_716;

					BgL_bpz00_716 = VECTOR_REF(BgL_vz00_4, (int) (((long) 0)));
					{
						long BgL_iz00_718;

						{	/* Eval/evaluate.scm 106 */
							bool_t BgL_auxz00_4111;

							BgL_iz00_718 = ((long) 0);
						BgL_zc3anonymousza31297ze3z83_719:
							if ((BgL_iz00_718 < (long) CINT(BgL_bpz00_716)))
								{	/* Eval/evaluate.scm 107 */
									VECTOR_SET(BgL_sz00_715,
										(int) (BgL_iz00_718),
										VECTOR_REF(BgL_vz00_4, (int) (BgL_iz00_718)));
									{
										long BgL_iz00_4119;

										BgL_iz00_4119 = (BgL_iz00_718 + ((long) 1));
										BgL_iz00_718 = BgL_iz00_4119;
										goto BgL_zc3anonymousza31297ze3z83_719;
									}
								}
							else
								{	/* Eval/evaluate.scm 107 */
									BgL_auxz00_4111 = ((bool_t) 0);
								}
							return BBOOL(BgL_auxz00_4111);
						}
					}
				}
			}
		}
	}



/* &set-evaluation-context! */
	obj_t BGl_z62setzd2evaluationzd2contextz12z70zz__evaluatez00(obj_t
		BgL_envz00_3979, obj_t BgL_vz00_3980)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 103 */
			return BGl_setzd2evaluationzd2contextz12z12zz__evaluatez00(BgL_vz00_3980);
		}
	}



/* evaluate2 */
	BGL_EXPORTED_DEF obj_t BGl_evaluate2z00zz__evaluatez00(obj_t BgL_sexpz00_5,
		obj_t BgL_envz00_6, obj_t BgL_locz00_7)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 114 */
			{	/* Eval/evaluate.scm 115 */
				BgL_ev_exprz00_bglt BgL_astz00_724;

				{	/* Eval/evaluate.scm 115 */
					obj_t BgL_arg1312z00_740;

					BgL_arg1312z00_740 =
						BGl_convz00zz__evaluatez00(BgL_sexpz00_5, BNIL, BgL_envz00_6,
						BFALSE, BGl_symbol2586z00zz__evaluatez00, BgL_locz00_7,
						((bool_t) 1));
					BgL_astz00_724 =
						BGl_extractzd2loopszd2zz__evaluate_fsiza7eza7(((BgL_ev_exprz00_bglt)
							BgL_arg1312z00_740));
				}
				{	/* Eval/evaluate.scm 116 */
					bool_t BgL_testz00_4126;

					{	/* Eval/evaluate.scm 116 */
						int BgL_arg1307z00_728;

						BgL_arg1307z00_728 = bgl_debug();
						BgL_testz00_4126 =
							BGl_2ze3ze3zz__r4_numbers_6_5z00(BINT(BgL_arg1307z00_728),
							BINT(((long) 10)));
					}
					if (BgL_testz00_4126)
						{	/* Eval/evaluate.scm 116 */
							BGl_ppz00zz__ppz00(BGl_uncompilez00zz__evaluate_uncompz00
								(BgL_astz00_724), BNIL);
						}
					else
						{	/* Eval/evaluate.scm 116 */
							BFALSE;
						}
				}
				BGl_analysezd2varszd2zz__evaluate_avarz00(BgL_astz00_724);
				{	/* Eval/evaluate.scm 118 */
					int BgL_nz00_729;

					BgL_nz00_729 =
						BGl_framezd2siza7ez75zz__evaluate_fsiza7eza7(BgL_astz00_724);
					{	/* Eval/evaluate.scm 119 */
						obj_t BgL_fz00_730;

						BgL_fz00_730 = BGl_compilez00zz__evaluate_compz00(BgL_astz00_724);
						{	/* Eval/evaluate.scm 120 */
							obj_t BgL_sz00_731;

							BgL_sz00_731 = BGl_findzd2statezd2zz__evaluate_compz00();
							{	/* Eval/evaluate.scm 121 */
								obj_t BgL_bpz00_732;

								BgL_bpz00_732 = VECTOR_REF(BgL_sz00_731, (int) (((long) 0)));
								{	/* Eval/evaluate.scm 122 */
									obj_t BgL_val1063z00_733;

									BgL_val1063z00_733 =
										BGl_zc3exitza31311ze3z83zz__evaluatez00(BgL_sz00_731,
										BgL_fz00_730);
									VECTOR_SET(BgL_sz00_731, (int) (((long) 0)), BgL_bpz00_732);
									if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
											(BgL_val1063z00_733)))
										{	/* Eval/evaluate.scm 124 */
											return
												BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
												(BgL_val1063z00_733), CDR(BgL_val1063z00_733));
										}
									else
										{	/* Eval/evaluate.scm 124 */
											return BgL_val1063z00_733;
										}
								}
							}
						}
					}
				}
			}
		}
	}



/* <exit:1311> */
	obj_t BGl_zc3exitza31311ze3z83zz__evaluatez00(obj_t BgL_sz00_4007,
		obj_t BgL_fz00_4006)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 124 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1064z00_738;

			if (SET_EXIT(BgL_an_exit1064z00_738))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1064z00_738 = (void *) jmpbuf;
					{	/* Eval/evaluate.scm 124 */

						PUSH_EXIT(BgL_an_exit1064z00_738, ((long) 0));
						{	/* Eval/evaluate.scm 123 */
							obj_t BgL_val1065z00_739;

							BgL_val1065z00_739 =
								PROCEDURE_ENTRY(BgL_fz00_4006) (BgL_fz00_4006, BgL_sz00_4007,
								BEOA);
							POP_EXIT();
							return BgL_val1065z00_739;
						}
					}
				}
		}
	}



/* &evaluate2 */
	obj_t BGl_z62evaluate2z62zz__evaluatez00(obj_t BgL_envz00_3981,
		obj_t BgL_sexpz00_3982, obj_t BgL_envz00_3983, obj_t BgL_locz00_3984)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 114 */
			return
				BGl_evaluate2z00zz__evaluatez00(BgL_sexpz00_3982, BgL_envz00_3983,
				BgL_locz00_3984);
		}
	}



/* get-location */
	obj_t BGl_getzd2locationzd2zz__evaluatez00(obj_t BgL_expz00_8,
		obj_t BgL_locz00_9)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 129 */
			{	/* Eval/evaluate.scm 130 */
				obj_t BgL__ortest_1066z00_2259;

				BgL__ortest_1066z00_2259 =
					BGl_getzd2sourcezd2locationz00zz__readerz00(BgL_expz00_8);
				if (CBOOL(BgL__ortest_1066z00_2259))
					{	/* Eval/evaluate.scm 130 */
						return BgL__ortest_1066z00_2259;
					}
				else
					{	/* Eval/evaluate.scm 130 */
						return BgL_locz00_9;
					}
			}
		}
	}



/* conv-var */
	obj_t BGl_convzd2varzd2zz__evaluatez00(obj_t BgL_vz00_16,
		obj_t BgL_localsz00_17)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 149 */
			{
				obj_t BgL_lz00_745;

				BgL_lz00_745 = BgL_localsz00_17;
			BgL_zc3anonymousza31313ze3z83_746:
				if (NULLP(BgL_lz00_745))
					{	/* Eval/evaluate.scm 151 */
						return BFALSE;
					}
				else
					{	/* Eval/evaluate.scm 153 */
						obj_t BgL_rvz00_748;

						BgL_rvz00_748 = CAR(BgL_lz00_745);
						if (
							(BgL_vz00_16 ==
								(((BgL_ev_varz00_bglt) CREF(
											((BgL_ev_varz00_bglt) BgL_rvz00_748)))->BgL_namez00)))
							{	/* Eval/evaluate.scm 155 */
								return BgL_rvz00_748;
							}
						else
							{
								obj_t BgL_lz00_4167;

								BgL_lz00_4167 = CDR(BgL_lz00_745);
								BgL_lz00_745 = BgL_lz00_4167;
								goto BgL_zc3anonymousza31313ze3z83_746;
							}
					}
			}
		}
	}



/* conv-begin */
	obj_t BGl_convzd2beginzd2zz__evaluatez00(obj_t BgL_lz00_18,
		obj_t BgL_localsz00_19, obj_t BgL_globalsz00_20, obj_t BgL_tailzf3zf3_21,
		obj_t BgL_wherez00_22, obj_t BgL_locz00_23, bool_t BgL_topzf3zf3_24)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 162 */
			{	/* Eval/evaluate.scm 163 */
				obj_t BgL_locz00_754;

				{	/* Eval/evaluate.scm 163 */
					obj_t BgL__ortest_1066z00_2268;

					BgL__ortest_1066z00_2268 =
						BGl_getzd2sourcezd2locationz00zz__readerz00(BgL_lz00_18);
					if (CBOOL(BgL__ortest_1066z00_2268))
						{	/* Eval/evaluate.scm 163 */
							BgL_locz00_754 = BgL__ortest_1066z00_2268;
						}
					else
						{	/* Eval/evaluate.scm 163 */
							BgL_locz00_754 = BgL_locz00_23;
						}
				}
				{
					obj_t BgL_e1z00_758;
					obj_t BgL_rz00_759;

					if (NULLP(BgL_lz00_18))
						{
							BgL_ev_littz00_bglt BgL_auxz00_4174;

							{	/* Eval/evaluate.scm 166 */
								BgL_ev_littz00_bglt BgL_new1071z00_770;

								{	/* Eval/evaluate.scm 166 */
									BgL_ev_littz00_bglt BgL_new1070z00_771;

									BgL_new1070z00_771 =
										((BgL_ev_littz00_bglt) BREF(GC_MALLOC(sizeof(struct
													BgL_ev_littz00_bgl))));
									{	/* Eval/evaluate.scm 166 */
										long BgL_arg1325z00_772;

										{	/* Eval/evaluate.scm 166 */
											long BgL_res2320z00_2272;

											{	/* Eval/evaluate.scm 166 */
												obj_t BgL_classz00_2269;

												BgL_classz00_2269 = BGl_ev_littz00zz__evaluate_typesz00;
												{	/* Eval/evaluate.scm 166 */
													obj_t BgL_vectorz00_2270;
													int BgL_kz00_2271;

													BgL_vectorz00_2270 = BgL_classz00_2269;
													BgL_kz00_2271 = (int) (((long) 1));
													BgL_res2320z00_2272 =
														(long) CINT(VECTOR_REF(BgL_vectorz00_2270,
															BgL_kz00_2271));
											}}
											BgL_arg1325z00_772 = BgL_res2320z00_2272;
										}
										{	/* Eval/evaluate.scm 166 */
											BgL_objectz00_bglt BgL_objz00_2273;

											BgL_objz00_2273 =
												((BgL_objectz00_bglt) BgL_new1070z00_771);
											BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2273,
												BgL_arg1325z00_772);
									}}
									{	/* Eval/evaluate.scm 166 */
										BgL_objectz00_bglt BgL_auxz00_4181;

										BgL_auxz00_4181 = ((BgL_objectz00_bglt) BgL_new1070z00_771);
										BGL_OBJECT_WIDENING_SET(BgL_auxz00_4181, BFALSE);
									}
									BgL_new1071z00_770 = BgL_new1070z00_771;
								}
								((((BgL_ev_littz00_bglt) CREF(BgL_new1071z00_770))->
										BgL_valuez00) = ((obj_t) BUNSPEC), BUNSPEC);
								BgL_auxz00_4174 = BgL_new1071z00_770;
							}
							return ((obj_t) BgL_auxz00_4174);
						}
					else
						{	/* Eval/evaluate.scm 164 */
							if (PAIRP(BgL_lz00_18))
								{	/* Eval/evaluate.scm 164 */
									if (NULLP(CDR(BgL_lz00_18)))
										{	/* Eval/evaluate.scm 164 */
											obj_t BgL_arg1321z00_766;

											BgL_arg1321z00_766 = CAR(BgL_lz00_18);
											{	/* Eval/evaluate.scm 164 */
												obj_t BgL_arg1326z00_2297;

												{	/* Eval/evaluate.scm 164 */
													obj_t BgL__ortest_1066z00_2300;

													BgL__ortest_1066z00_2300 =
														BGl_getzd2sourcezd2locationz00zz__readerz00
														(BgL_arg1321z00_766);
													if (CBOOL(BgL__ortest_1066z00_2300))
														{	/* Eval/evaluate.scm 164 */
															BgL_arg1326z00_2297 = BgL__ortest_1066z00_2300;
														}
													else
														{	/* Eval/evaluate.scm 164 */
															BgL_arg1326z00_2297 = BgL_locz00_754;
														}
												}
												return
													BGl_convz00zz__evaluatez00(BgL_arg1321z00_766,
													BgL_localsz00_19, BgL_globalsz00_20,
													BgL_tailzf3zf3_21, BgL_wherez00_22,
													BgL_arg1326z00_2297, BgL_topzf3zf3_24);
											}
										}
									else
										{	/* Eval/evaluate.scm 164 */
											obj_t BgL_arg1322z00_767;
											obj_t BgL_arg1323z00_768;

											BgL_arg1322z00_767 = CAR(BgL_lz00_18);
											BgL_arg1323z00_768 = CDR(BgL_lz00_18);
											{
												BgL_ev_prog2z00_bglt BgL_auxz00_4198;

												BgL_e1z00_758 = BgL_arg1322z00_767;
												BgL_rz00_759 = BgL_arg1323z00_768;
												{	/* Eval/evaluate.scm 171 */
													BgL_ev_prog2z00_bglt BgL_new1074z00_774;

													{	/* Eval/evaluate.scm 171 */
														BgL_ev_prog2z00_bglt BgL_new1072z00_776;

														BgL_new1072z00_776 =
															((BgL_ev_prog2z00_bglt)
															BREF(GC_MALLOC(sizeof(struct
																		BgL_ev_prog2z00_bgl))));
														{	/* Eval/evaluate.scm 171 */
															long BgL_arg1328z00_777;

															{	/* Eval/evaluate.scm 171 */
																long BgL_res2321z00_2282;

																{	/* Eval/evaluate.scm 171 */
																	obj_t BgL_classz00_2279;

																	BgL_classz00_2279 =
																		BGl_ev_prog2z00zz__evaluate_typesz00;
																	{	/* Eval/evaluate.scm 171 */
																		obj_t BgL_vectorz00_2280;
																		int BgL_kz00_2281;

																		BgL_vectorz00_2280 = BgL_classz00_2279;
																		BgL_kz00_2281 = (int) (((long) 1));
																		BgL_res2321z00_2282 =
																			(long) CINT(VECTOR_REF(BgL_vectorz00_2280,
																				BgL_kz00_2281));
																}}
																BgL_arg1328z00_777 = BgL_res2321z00_2282;
															}
															{	/* Eval/evaluate.scm 171 */
																BgL_objectz00_bglt BgL_objz00_2283;

																BgL_objz00_2283 =
																	((BgL_objectz00_bglt) BgL_new1072z00_776);
																BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2283,
																	BgL_arg1328z00_777);
														}}
														{	/* Eval/evaluate.scm 171 */
															BgL_objectz00_bglt BgL_auxz00_4205;

															BgL_auxz00_4205 =
																((BgL_objectz00_bglt) BgL_new1072z00_776);
															BGL_OBJECT_WIDENING_SET(BgL_auxz00_4205, BFALSE);
														}
														BgL_new1074z00_774 = BgL_new1072z00_776;
													}
													{
														BgL_ev_exprz00_bglt BgL_auxz00_4208;

														{	/* Eval/evaluate.scm 172 */
															obj_t BgL_arg1327z00_775;

															{	/* Eval/evaluate.scm 172 */
																obj_t BgL__ortest_1066z00_2287;

																BgL__ortest_1066z00_2287 =
																	BGl_getzd2sourcezd2locationz00zz__readerz00
																	(BgL_e1z00_758);
																if (CBOOL(BgL__ortest_1066z00_2287))
																	{	/* Eval/evaluate.scm 172 */
																		BgL_arg1327z00_775 =
																			BgL__ortest_1066z00_2287;
																	}
																else
																	{	/* Eval/evaluate.scm 172 */
																		BgL_arg1327z00_775 = BgL_locz00_754;
																	}
															}
															BgL_auxz00_4208 =
																((BgL_ev_exprz00_bglt)
																BGl_convz00zz__evaluatez00(BgL_e1z00_758,
																	BgL_localsz00_19, BgL_globalsz00_20, BFALSE,
																	BgL_wherez00_22, BgL_arg1327z00_775,
																	BgL_topzf3zf3_24));
														}
														((((BgL_ev_prog2z00_bglt)
																	CREF(BgL_new1074z00_774))->BgL_e1z00) =
															((BgL_ev_exprz00_bglt) BgL_auxz00_4208), BUNSPEC);
													}
													((((BgL_ev_prog2z00_bglt) CREF(BgL_new1074z00_774))->
															BgL_e2z00) =
														((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt)
																BGl_convzd2beginzd2zz__evaluatez00(BgL_rz00_759,
																	BgL_localsz00_19, BgL_globalsz00_20,
																	BgL_tailzf3zf3_21, BgL_wherez00_22,
																	BgL_locz00_754, BgL_topzf3zf3_24))), BUNSPEC);
													BgL_auxz00_4198 = BgL_new1074z00_774;
												}
												return ((obj_t) BgL_auxz00_4198);
											}
										}
								}
							else
								{	/* Eval/evaluate.scm 164 */
									return
										BGl_evcompilezd2errorzd2zz__evcompilez00(BgL_locz00_754,
										BGl_string2588z00zz__evaluatez00,
										BGl_string2589z00zz__evaluatez00, BgL_lz00_18);
								}
						}
				}
			}
		}
	}



/* conv-field-ref */
	obj_t BGl_convzd2fieldzd2refz00zz__evaluatez00(obj_t BgL_ez00_25,
		obj_t BgL_localsz00_26, obj_t BgL_globalsz00_27, obj_t BgL_tailzf3zf3_28,
		obj_t BgL_wherez00_29, obj_t BgL_locz00_30, bool_t BgL_topzf3zf3_31)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 180 */
			{	/* Eval/evaluate.scm 181 */
				obj_t BgL_lz00_778;

				BgL_lz00_778 = CDR(BgL_ez00_25);
				{	/* Eval/evaluate.scm 181 */
					obj_t BgL_vz00_779;

					BgL_vz00_779 =
						BGl_convzd2varzd2zz__evaluatez00(CAR(BgL_lz00_778),
						BgL_localsz00_26);
					{	/* Eval/evaluate.scm 182 */

						if (BGl_isazf3zf3zz__objectz00(BgL_vz00_779,
								BGl_ev_varz00zz__evaluate_typesz00))
							{	/* Eval/evaluate.scm 184 */
								BgL_ev_varz00_bglt BgL_i1075z00_781;

								BgL_i1075z00_781 = ((BgL_ev_varz00_bglt) BgL_vz00_779);
								{	/* Eval/evaluate.scm 185 */
									obj_t BgL_g1076z00_782;
									obj_t BgL_g1077z00_783;

									BgL_g1076z00_782 =
										BGl_classzd2existszd2zz__objectz00(
										(((BgL_ev_varz00_bglt) CREF(BgL_i1075z00_781))->
											BgL_typez00));
									BgL_g1077z00_783 = CDR(BgL_lz00_778);
									{
										BgL_ev_exprz00_bglt BgL_nodez00_785;
										obj_t BgL_klassz00_786;
										obj_t BgL_fieldsz00_787;

										BgL_nodez00_785 =
											((BgL_ev_exprz00_bglt)
											((BgL_ev_varz00_bglt) BgL_vz00_779));
										BgL_klassz00_786 = BgL_g1076z00_782;
										BgL_fieldsz00_787 = BgL_g1077z00_783;
									BgL_zc3anonymousza31330ze3z83_788:
										if (NULLP(BgL_fieldsz00_787))
											{	/* Eval/evaluate.scm 189 */
												return ((obj_t) BgL_nodez00_785);
											}
										else
											{	/* Eval/evaluate.scm 189 */
												if (BGl_classzf3zf3zz__objectz00(BgL_klassz00_786))
													{	/* Eval/evaluate.scm 192 */
														obj_t BgL_fieldz00_791;

														BgL_fieldz00_791 =
															BGl_findzd2classzd2fieldz00zz__objectz00
															(BgL_klassz00_786, CAR(BgL_fieldsz00_787));
														if (BGl_classzd2fieldzf3z21zz__objectz00
															(BgL_fieldz00_791))
															{	/* Eval/evaluate.scm 194 */
																BgL_ev_appz00_bglt BgL_nodez00_793;

																BgL_nodez00_793 =
																	BGl_makezd2classzd2fieldzd2refzd2zz__evaluatez00
																	(BgL_fieldz00_791, BgL_nodez00_785,
																	BgL_locz00_30, BgL_tailzf3zf3_28);
																{	/* Eval/evaluate.scm 197 */
																	obj_t BgL_arg1335z00_794;
																	obj_t BgL_arg1336z00_795;

																	BgL_arg1335z00_794 =
																		BGl_classzd2fieldzd2typez00zz__objectz00
																		(BgL_fieldz00_791);
																	BgL_arg1336z00_795 = CDR(BgL_fieldsz00_787);
																	{
																		obj_t BgL_fieldsz00_4244;
																		obj_t BgL_klassz00_4243;
																		BgL_ev_exprz00_bglt BgL_nodez00_4241;

																		BgL_nodez00_4241 =
																			((BgL_ev_exprz00_bglt) BgL_nodez00_793);
																		BgL_klassz00_4243 = BgL_arg1335z00_794;
																		BgL_fieldsz00_4244 = BgL_arg1336z00_795;
																		BgL_fieldsz00_787 = BgL_fieldsz00_4244;
																		BgL_klassz00_786 = BgL_klassz00_4243;
																		BgL_nodez00_785 = BgL_nodez00_4241;
																		goto BgL_zc3anonymousza31330ze3z83_788;
																	}
																}
															}
														else
															{	/* Eval/evaluate.scm 199 */
																obj_t BgL_arg1337z00_796;
																obj_t BgL_arg1338z00_797;

																BgL_arg1337z00_796 =
																	(((BgL_ev_varz00_bglt)
																		CREF(BgL_i1075z00_781))->BgL_typez00);
																{	/* Eval/evaluate.scm 200 */
																	obj_t BgL_arg1340z00_798;
																	obj_t BgL_arg1341z00_799;

																	BgL_arg1340z00_798 =
																		(((BgL_ev_varz00_bglt)
																			CREF(BgL_i1075z00_781))->BgL_typez00);
																	BgL_arg1341z00_799 = CAR(BgL_fieldsz00_787);
																	{	/* Eval/evaluate.scm 200 */
																		obj_t BgL_list1342z00_800;

																		{	/* Eval/evaluate.scm 200 */
																			obj_t BgL_arg1343z00_801;

																			BgL_arg1343z00_801 =
																				MAKE_PAIR(BgL_arg1341z00_799, BNIL);
																			BgL_list1342z00_800 =
																				MAKE_PAIR(BgL_arg1340z00_798,
																				BgL_arg1343z00_801);
																		}
																		BgL_arg1338z00_797 =
																			BGl_formatz00zz__r4_output_6_10_3z00
																			(BGl_string2590z00zz__evaluatez00,
																			BgL_list1342z00_800);
																	}
																}
																return
																	BGl_evcompilezd2errorzd2zz__evcompilez00
																	(BgL_locz00_30, BgL_arg1337z00_796,
																	BgL_arg1338z00_797, BgL_ez00_25);
															}
													}
												else
													{	/* Eval/evaluate.scm 203 */
														obj_t BgL_arg1345z00_803;

														{	/* Eval/evaluate.scm 203 */
															obj_t BgL__ortest_1078z00_804;

															BgL__ortest_1078z00_804 =
																(((BgL_ev_varz00_bglt) CREF(BgL_i1075z00_781))->
																BgL_typez00);
															if (CBOOL(BgL__ortest_1078z00_804))
																{	/* Eval/evaluate.scm 203 */
																	BgL_arg1345z00_803 = BgL__ortest_1078z00_804;
																}
															else
																{	/* Eval/evaluate.scm 203 */
																	BgL_arg1345z00_803 =
																		(((BgL_ev_varz00_bglt)
																			CREF(BgL_i1075z00_781))->BgL_namez00);
																}
														}
														return
															BGl_evcompilezd2errorzd2zz__evcompilez00
															(BgL_locz00_30, BgL_arg1345z00_803,
															BGl_string2591z00zz__evaluatez00, BgL_ez00_25);
													}
											}
									}
								}
							}
						else
							{	/* Eval/evaluate.scm 205 */
								obj_t BgL_arg1347z00_807;

								{	/* Eval/evaluate.scm 205 */
									obj_t BgL_pairz00_2311;

									BgL_pairz00_2311 = BgL_ez00_25;
									BgL_arg1347z00_807 = CAR(CDR(BgL_pairz00_2311));
								}
								return
									BGl_evcompilezd2errorzd2zz__evcompilez00(BgL_locz00_30,
									BgL_arg1347z00_807, BGl_string2592z00zz__evaluatez00,
									BgL_ez00_25);
							}
					}
				}
			}
		}
	}



/* conv-field-set */
	obj_t BGl_convzd2fieldzd2setz00zz__evaluatez00(obj_t BgL_lz00_32,
		obj_t BgL_e2z00_33, obj_t BgL_ez00_34, obj_t BgL_localsz00_35,
		obj_t BgL_globalsz00_36, obj_t BgL_tailzf3zf3_37, obj_t BgL_wherez00_38,
		obj_t BgL_locz00_39, bool_t BgL_topzf3zf3_40)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 210 */
			{	/* Eval/evaluate.scm 211 */
				obj_t BgL_vz00_809;

				BgL_vz00_809 =
					BGl_convzd2varzd2zz__evaluatez00(CAR(BgL_lz00_32), BgL_localsz00_35);
				{	/* Eval/evaluate.scm 211 */
					obj_t BgL_e2z00_810;

					BgL_e2z00_810 =
						BGl_convz00zz__evaluatez00(BgL_e2z00_33, BgL_localsz00_35,
						BgL_globalsz00_36, BFALSE, BgL_wherez00_38, BgL_locz00_39,
						((bool_t) 0));
					{	/* Eval/evaluate.scm 212 */

						if (BGl_isazf3zf3zz__objectz00(BgL_vz00_809,
								BGl_ev_varz00zz__evaluate_typesz00))
							{	/* Eval/evaluate.scm 214 */
								BgL_ev_varz00_bglt BgL_i1079z00_812;

								BgL_i1079z00_812 = ((BgL_ev_varz00_bglt) BgL_vz00_809);
								{	/* Eval/evaluate.scm 215 */
									obj_t BgL_g1080z00_813;
									obj_t BgL_g1081z00_814;

									BgL_g1080z00_813 =
										BGl_classzd2existszd2zz__objectz00(
										(((BgL_ev_varz00_bglt) CREF(BgL_i1079z00_812))->
											BgL_typez00));
									BgL_g1081z00_814 = CDR(BgL_lz00_32);
									{
										BgL_ev_exprz00_bglt BgL_nodez00_816;
										obj_t BgL_klassz00_817;
										obj_t BgL_fieldsz00_818;

										BgL_nodez00_816 =
											((BgL_ev_exprz00_bglt)
											((BgL_ev_varz00_bglt) BgL_vz00_809));
										BgL_klassz00_817 = BgL_g1080z00_813;
										BgL_fieldsz00_818 = BgL_g1081z00_814;
									BgL_zc3anonymousza31350ze3z83_819:
										if (NULLP(BgL_fieldsz00_818))
											{	/* Eval/evaluate.scm 219 */
												return ((obj_t) BgL_nodez00_816);
											}
										else
											{	/* Eval/evaluate.scm 219 */
												if (BGl_classzf3zf3zz__objectz00(BgL_klassz00_817))
													{	/* Eval/evaluate.scm 222 */
														obj_t BgL_fieldz00_822;

														BgL_fieldz00_822 =
															BGl_findzd2classzd2fieldz00zz__objectz00
															(BgL_klassz00_817, CAR(BgL_fieldsz00_818));
														if (BGl_classzd2fieldzf3z21zz__objectz00
															(BgL_fieldz00_822))
															{	/* Eval/evaluate.scm 223 */
																if (NULLP(CDR(BgL_fieldsz00_818)))
																	{	/* Eval/evaluate.scm 224 */
																		if (BGl_classzd2fieldzd2mutablezf3zf3zz__objectz00(BgL_fieldz00_822))
																			{	/* Eval/evaluate.scm 227 */
																				obj_t BgL_arg1356z00_826;

																				{	/* Eval/evaluate.scm 227 */
																					obj_t BgL_list1357z00_827;

																					{	/* Eval/evaluate.scm 227 */
																						obj_t BgL_arg1358z00_828;

																						BgL_arg1358z00_828 =
																							MAKE_PAIR(BgL_e2z00_810, BNIL);
																						BgL_list1357z00_827 =
																							MAKE_PAIR(
																							((obj_t) BgL_nodez00_816),
																							BgL_arg1358z00_828);
																					}
																					BgL_arg1356z00_826 =
																						BgL_list1357z00_827;
																				}
																				return
																					((obj_t)
																					BGl_makezd2classzd2fieldzd2setzd2zz__evaluatez00
																					(BgL_fieldz00_822, BgL_arg1356z00_826,
																						BgL_locz00_39, BgL_tailzf3zf3_37));
																			}
																		else
																			{	/* Eval/evaluate.scm 225 */
																				return
																					BGl_evcompilezd2errorzd2zz__evcompilez00
																					(BgL_locz00_39,
																					CAR(BgL_fieldsz00_818),
																					BGl_string2593z00zz__evaluatez00,
																					BgL_ez00_34);
																			}
																	}
																else
																	{	/* Eval/evaluate.scm 231 */
																		BgL_ev_appz00_bglt BgL_nodez00_830;

																		BgL_nodez00_830 =
																			BGl_makezd2classzd2fieldzd2refzd2zz__evaluatez00
																			(BgL_fieldz00_822, BgL_nodez00_816,
																			BgL_locz00_39, BgL_tailzf3zf3_37);
																		{	/* Eval/evaluate.scm 234 */
																			obj_t BgL_arg1361z00_831;
																			obj_t BgL_arg1362z00_832;

																			BgL_arg1361z00_831 =
																				BGl_classzd2fieldzd2typez00zz__objectz00
																				(BgL_fieldz00_822);
																			BgL_arg1362z00_832 =
																				CDR(BgL_fieldsz00_818);
																			{
																				obj_t BgL_fieldsz00_4298;
																				obj_t BgL_klassz00_4297;
																				BgL_ev_exprz00_bglt BgL_nodez00_4295;

																				BgL_nodez00_4295 =
																					((BgL_ev_exprz00_bglt)
																					BgL_nodez00_830);
																				BgL_klassz00_4297 = BgL_arg1361z00_831;
																				BgL_fieldsz00_4298 = BgL_arg1362z00_832;
																				BgL_fieldsz00_818 = BgL_fieldsz00_4298;
																				BgL_klassz00_817 = BgL_klassz00_4297;
																				BgL_nodez00_816 = BgL_nodez00_4295;
																				goto BgL_zc3anonymousza31350ze3z83_819;
																			}
																		}
																	}
															}
														else
															{	/* Eval/evaluate.scm 236 */
																obj_t BgL_arg1364z00_834;
																obj_t BgL_arg1365z00_835;

																BgL_arg1364z00_834 =
																	(((BgL_ev_varz00_bglt)
																		CREF(BgL_i1079z00_812))->BgL_typez00);
																{	/* Eval/evaluate.scm 237 */
																	obj_t BgL_arg1366z00_836;
																	obj_t BgL_arg1367z00_837;

																	BgL_arg1366z00_836 =
																		(((BgL_ev_varz00_bglt)
																			CREF(BgL_i1079z00_812))->BgL_typez00);
																	BgL_arg1367z00_837 = CAR(BgL_fieldsz00_818);
																	{	/* Eval/evaluate.scm 237 */
																		obj_t BgL_list1368z00_838;

																		{	/* Eval/evaluate.scm 237 */
																			obj_t BgL_arg1371z00_839;

																			BgL_arg1371z00_839 =
																				MAKE_PAIR(BgL_arg1367z00_837, BNIL);
																			BgL_list1368z00_838 =
																				MAKE_PAIR(BgL_arg1366z00_836,
																				BgL_arg1371z00_839);
																		}
																		BgL_arg1365z00_835 =
																			BGl_formatz00zz__r4_output_6_10_3z00
																			(BGl_string2590z00zz__evaluatez00,
																			BgL_list1368z00_838);
																	}
																}
																return
																	BGl_evcompilezd2errorzd2zz__evcompilez00
																	(BgL_locz00_39, BgL_arg1364z00_834,
																	BgL_arg1365z00_835, BgL_ez00_34);
															}
													}
												else
													{	/* Eval/evaluate.scm 241 */
														obj_t BgL_arg1374z00_841;

														{	/* Eval/evaluate.scm 241 */
															obj_t BgL__ortest_1082z00_842;

															BgL__ortest_1082z00_842 =
																(((BgL_ev_varz00_bglt) CREF(BgL_i1079z00_812))->
																BgL_typez00);
															if (CBOOL(BgL__ortest_1082z00_842))
																{	/* Eval/evaluate.scm 241 */
																	BgL_arg1374z00_841 = BgL__ortest_1082z00_842;
																}
															else
																{	/* Eval/evaluate.scm 241 */
																	BgL_arg1374z00_841 =
																		(((BgL_ev_varz00_bglt)
																			CREF(BgL_i1079z00_812))->BgL_namez00);
																}
														}
														return
															BGl_evcompilezd2errorzd2zz__evcompilez00
															(BgL_locz00_39, BgL_arg1374z00_841,
															BGl_string2591z00zz__evaluatez00, BgL_ez00_34);
													}
											}
									}
								}
							}
						else
							{	/* Eval/evaluate.scm 213 */
								return
									BGl_evcompilezd2errorzd2zz__evcompilez00(BgL_locz00_39,
									CAR(BgL_lz00_32), BGl_string2592z00zz__evaluatez00,
									BgL_ez00_34);
							}
					}
				}
			}
		}
	}



/* make-class-field-ref */
	BgL_ev_appz00_bglt BGl_makezd2classzd2fieldzd2refzd2zz__evaluatez00(obj_t
		BgL_fieldz00_41, BgL_ev_exprz00_bglt BgL_argz00_42, obj_t BgL_locz00_43,
		obj_t BgL_tailzf3zf3_44)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 247 */
			{	/* Eval/evaluate.scm 248 */
				obj_t BgL_getz00_847;

				BgL_getz00_847 =
					BGl_classzd2fieldzd2accessorz00zz__objectz00(BgL_fieldz00_41);
				{	/* Eval/evaluate.scm 249 */
					BgL_ev_appz00_bglt BgL_new1084z00_848;

					{	/* Eval/evaluate.scm 249 */
						BgL_ev_appz00_bglt BgL_new1083z00_853;

						BgL_new1083z00_853 =
							((BgL_ev_appz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_ev_appz00_bgl))));
						{	/* Eval/evaluate.scm 249 */
							long BgL_arg1382z00_854;

							{	/* Eval/evaluate.scm 249 */
								long BgL_res2329z00_2332;

								{	/* Eval/evaluate.scm 249 */
									obj_t BgL_classz00_2329;

									BgL_classz00_2329 = BGl_ev_appz00zz__evaluate_typesz00;
									{	/* Eval/evaluate.scm 249 */
										obj_t BgL_vectorz00_2330;
										int BgL_kz00_2331;

										BgL_vectorz00_2330 = BgL_classz00_2329;
										BgL_kz00_2331 = (int) (((long) 1));
										BgL_res2329z00_2332 =
											(long) CINT(VECTOR_REF(BgL_vectorz00_2330,
												BgL_kz00_2331));
								}}
								BgL_arg1382z00_854 = BgL_res2329z00_2332;
							}
							{	/* Eval/evaluate.scm 249 */
								BgL_objectz00_bglt BgL_objz00_2333;

								BgL_objz00_2333 = ((BgL_objectz00_bglt) BgL_new1083z00_853);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2333, BgL_arg1382z00_854);
						}}
						{	/* Eval/evaluate.scm 249 */
							BgL_objectz00_bglt BgL_auxz00_4322;

							BgL_auxz00_4322 = ((BgL_objectz00_bglt) BgL_new1083z00_853);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_4322, BFALSE);
						}
						BgL_new1084z00_848 = BgL_new1083z00_853;
					}
					((((BgL_ev_appz00_bglt) CREF(BgL_new1084z00_848))->BgL_locz00) =
						((obj_t) BgL_locz00_43), BUNSPEC);
					{
						BgL_ev_exprz00_bglt BgL_auxz00_4326;

						{	/* Eval/evaluate.scm 251 */
							BgL_ev_littz00_bglt BgL_new1086z00_849;

							{	/* Eval/evaluate.scm 251 */
								BgL_ev_littz00_bglt BgL_new1085z00_850;

								BgL_new1085z00_850 =
									((BgL_ev_littz00_bglt) BREF(GC_MALLOC(sizeof(struct
												BgL_ev_littz00_bgl))));
								{	/* Eval/evaluate.scm 251 */
									long BgL_arg1380z00_851;

									{	/* Eval/evaluate.scm 251 */
										long BgL_res2330z00_2338;

										{	/* Eval/evaluate.scm 251 */
											obj_t BgL_classz00_2335;

											BgL_classz00_2335 = BGl_ev_littz00zz__evaluate_typesz00;
											{	/* Eval/evaluate.scm 251 */
												obj_t BgL_vectorz00_2336;
												int BgL_kz00_2337;

												BgL_vectorz00_2336 = BgL_classz00_2335;
												BgL_kz00_2337 = (int) (((long) 1));
												BgL_res2330z00_2338 =
													(long) CINT(VECTOR_REF(BgL_vectorz00_2336,
														BgL_kz00_2337));
										}}
										BgL_arg1380z00_851 = BgL_res2330z00_2338;
									}
									{	/* Eval/evaluate.scm 251 */
										BgL_objectz00_bglt BgL_objz00_2339;

										BgL_objz00_2339 = ((BgL_objectz00_bglt) BgL_new1085z00_850);
										BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2339,
											BgL_arg1380z00_851);
								}}
								{	/* Eval/evaluate.scm 251 */
									BgL_objectz00_bglt BgL_auxz00_4333;

									BgL_auxz00_4333 = ((BgL_objectz00_bglt) BgL_new1085z00_850);
									BGL_OBJECT_WIDENING_SET(BgL_auxz00_4333, BFALSE);
								}
								BgL_new1086z00_849 = BgL_new1085z00_850;
							}
							((((BgL_ev_littz00_bglt) CREF(BgL_new1086z00_849))->
									BgL_valuez00) = ((obj_t) BgL_getz00_847), BUNSPEC);
							BgL_auxz00_4326 = ((BgL_ev_exprz00_bglt) BgL_new1086z00_849);
						}
						((((BgL_ev_appz00_bglt) CREF(BgL_new1084z00_848))->BgL_funz00) =
							((BgL_ev_exprz00_bglt) BgL_auxz00_4326), BUNSPEC);
					}
					{
						obj_t BgL_auxz00_4339;

						{	/* Eval/evaluate.scm 252 */
							obj_t BgL_list1381z00_852;

							BgL_list1381z00_852 = MAKE_PAIR(((obj_t) BgL_argz00_42), BNIL);
							BgL_auxz00_4339 = BgL_list1381z00_852;
						}
						((((BgL_ev_appz00_bglt) CREF(BgL_new1084z00_848))->BgL_argsz00) =
							((obj_t) BgL_auxz00_4339), BUNSPEC);
					}
					((((BgL_ev_appz00_bglt) CREF(BgL_new1084z00_848))->BgL_tailzf3zf3) =
						((obj_t) BgL_tailzf3zf3_44), BUNSPEC);
					return BgL_new1084z00_848;
				}
			}
		}
	}



/* make-class-field-set */
	BgL_ev_appz00_bglt BGl_makezd2classzd2fieldzd2setzd2zz__evaluatez00(obj_t
		BgL_fieldz00_45, obj_t BgL_argsz00_46, obj_t BgL_locz00_47,
		obj_t BgL_tailzf3zf3_48)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 258 */
			{	/* Eval/evaluate.scm 259 */
				obj_t BgL_setz00_855;

				BgL_setz00_855 =
					BGl_classzd2fieldzd2mutatorz00zz__objectz00(BgL_fieldz00_45);
				{	/* Eval/evaluate.scm 260 */
					BgL_ev_appz00_bglt BgL_new1088z00_856;

					{	/* Eval/evaluate.scm 260 */
						BgL_ev_appz00_bglt BgL_new1087z00_860;

						BgL_new1087z00_860 =
							((BgL_ev_appz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_ev_appz00_bgl))));
						{	/* Eval/evaluate.scm 260 */
							long BgL_arg1384z00_861;

							{	/* Eval/evaluate.scm 260 */
								long BgL_res2332z00_2346;

								{	/* Eval/evaluate.scm 260 */
									obj_t BgL_classz00_2343;

									BgL_classz00_2343 = BGl_ev_appz00zz__evaluate_typesz00;
									{	/* Eval/evaluate.scm 260 */
										obj_t BgL_vectorz00_2344;
										int BgL_kz00_2345;

										BgL_vectorz00_2344 = BgL_classz00_2343;
										BgL_kz00_2345 = (int) (((long) 1));
										BgL_res2332z00_2346 =
											(long) CINT(VECTOR_REF(BgL_vectorz00_2344,
												BgL_kz00_2345));
								}}
								BgL_arg1384z00_861 = BgL_res2332z00_2346;
							}
							{	/* Eval/evaluate.scm 260 */
								BgL_objectz00_bglt BgL_objz00_2347;

								BgL_objz00_2347 = ((BgL_objectz00_bglt) BgL_new1087z00_860);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2347, BgL_arg1384z00_861);
						}}
						{	/* Eval/evaluate.scm 260 */
							BgL_objectz00_bglt BgL_auxz00_4351;

							BgL_auxz00_4351 = ((BgL_objectz00_bglt) BgL_new1087z00_860);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_4351, BFALSE);
						}
						BgL_new1088z00_856 = BgL_new1087z00_860;
					}
					((((BgL_ev_appz00_bglt) CREF(BgL_new1088z00_856))->BgL_locz00) =
						((obj_t) BgL_locz00_47), BUNSPEC);
					{
						BgL_ev_exprz00_bglt BgL_auxz00_4355;

						{	/* Eval/evaluate.scm 262 */
							BgL_ev_littz00_bglt BgL_new1090z00_857;

							{	/* Eval/evaluate.scm 262 */
								BgL_ev_littz00_bglt BgL_new1089z00_858;

								BgL_new1089z00_858 =
									((BgL_ev_littz00_bglt) BREF(GC_MALLOC(sizeof(struct
												BgL_ev_littz00_bgl))));
								{	/* Eval/evaluate.scm 262 */
									long BgL_arg1383z00_859;

									{	/* Eval/evaluate.scm 262 */
										long BgL_res2333z00_2352;

										{	/* Eval/evaluate.scm 262 */
											obj_t BgL_classz00_2349;

											BgL_classz00_2349 = BGl_ev_littz00zz__evaluate_typesz00;
											{	/* Eval/evaluate.scm 262 */
												obj_t BgL_vectorz00_2350;
												int BgL_kz00_2351;

												BgL_vectorz00_2350 = BgL_classz00_2349;
												BgL_kz00_2351 = (int) (((long) 1));
												BgL_res2333z00_2352 =
													(long) CINT(VECTOR_REF(BgL_vectorz00_2350,
														BgL_kz00_2351));
										}}
										BgL_arg1383z00_859 = BgL_res2333z00_2352;
									}
									{	/* Eval/evaluate.scm 262 */
										BgL_objectz00_bglt BgL_objz00_2353;

										BgL_objz00_2353 = ((BgL_objectz00_bglt) BgL_new1089z00_858);
										BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2353,
											BgL_arg1383z00_859);
								}}
								{	/* Eval/evaluate.scm 262 */
									BgL_objectz00_bglt BgL_auxz00_4362;

									BgL_auxz00_4362 = ((BgL_objectz00_bglt) BgL_new1089z00_858);
									BGL_OBJECT_WIDENING_SET(BgL_auxz00_4362, BFALSE);
								}
								BgL_new1090z00_857 = BgL_new1089z00_858;
							}
							((((BgL_ev_littz00_bglt) CREF(BgL_new1090z00_857))->
									BgL_valuez00) = ((obj_t) BgL_setz00_855), BUNSPEC);
							BgL_auxz00_4355 = ((BgL_ev_exprz00_bglt) BgL_new1090z00_857);
						}
						((((BgL_ev_appz00_bglt) CREF(BgL_new1088z00_856))->BgL_funz00) =
							((BgL_ev_exprz00_bglt) BgL_auxz00_4355), BUNSPEC);
					}
					((((BgL_ev_appz00_bglt) CREF(BgL_new1088z00_856))->BgL_argsz00) =
						((obj_t) BgL_argsz00_46), BUNSPEC);
					((((BgL_ev_appz00_bglt) CREF(BgL_new1088z00_856))->BgL_tailzf3zf3) =
						((obj_t) BgL_tailzf3zf3_48), BUNSPEC);
					return BgL_new1088z00_856;
				}
			}
		}
	}



/* conv */
	obj_t BGl_convz00zz__evaluatez00(obj_t BgL_ez00_49, obj_t BgL_localsz00_50,
		obj_t BgL_globalsz00_51, obj_t BgL_tailzf3zf3_52, obj_t BgL_wherez00_53,
		obj_t BgL_locz00_54, bool_t BgL_topzf3zf3_55)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 269 */
		BGl_convz00zz__evaluatez00:
			{
				obj_t BgL_xz00_868;
				obj_t BgL_bahz00_870;
				obj_t BgL_lz00_875;
				obj_t BgL_funz00_877;
				obj_t BgL_argsz00_878;
				obj_t BgL_ez00_880;
				obj_t BgL_pz00_884;
				obj_t BgL_tz00_885;
				obj_t BgL_oz00_886;
				obj_t BgL_argsz00_888;
				obj_t BgL_argsz00_890;
				obj_t BgL_bindsz00_894;
				obj_t BgL_bodyz00_895;
				obj_t BgL_bindsz00_897;
				obj_t BgL_bodyz00_898;
				obj_t BgL_bindsz00_900;
				obj_t BgL_bodyz00_901;
				obj_t BgL_lz00_907;
				obj_t BgL_e2z00_908;
				obj_t BgL_vz00_910;
				obj_t BgL_ez00_911;
				obj_t BgL_gvz00_914;
				obj_t BgL_formalsz00_915;
				obj_t BgL_bodyz00_916;
				obj_t BgL_gvz00_918;
				obj_t BgL_gez00_919;
				obj_t BgL_vz00_921;
				obj_t BgL_bodyz00_922;
				obj_t BgL_ez00_924;
				obj_t BgL_bodyz00_925;
				obj_t BgL_hz00_927;
				obj_t BgL_bodyz00_928;
				obj_t BgL_fz00_933;
				obj_t BgL_argsz00_934;

				if (PAIRP(BgL_ez00_49))
					{	/* Eval/evaluate.scm 320 */
						if ((CAR(BgL_ez00_49) == BGl_symbol2598z00zz__evaluatez00))
							{	/* Eval/evaluate.scm 320 */
								BgL_bahz00_870 = CDR(BgL_ez00_49);
								if (BgL_topzf3zf3_55)
									{	/* Eval/evaluate.scm 332 */
										obj_t BgL_arg1934z00_1566;

										{	/* Eval/evaluate.scm 332 */
											obj_t BgL_arg1935z00_1567;

											{	/* Eval/evaluate.scm 332 */
												obj_t BgL_arg1936z00_1568;

												{	/* Eval/evaluate.scm 332 */
													obj_t BgL__ortest_1066z00_2439;

													BgL__ortest_1066z00_2439 =
														BGl_getzd2sourcezd2locationz00zz__readerz00
														(BgL_ez00_49);
													if (CBOOL(BgL__ortest_1066z00_2439))
														{	/* Eval/evaluate.scm 332 */
															BgL_arg1936z00_1568 = BgL__ortest_1066z00_2439;
														}
													else
														{	/* Eval/evaluate.scm 332 */
															BgL_arg1936z00_1568 = BgL_locz00_54;
														}
												}
												BgL_arg1935z00_1567 =
													BGl_evmodulez00zz__evmodulez00(BgL_ez00_49,
													BgL_arg1936z00_1568);
											}
											BgL_arg1934z00_1566 =
												BGl_expandz00zz__expandz00(BgL_arg1935z00_1567);
										}
										{
											bool_t BgL_topzf3zf3_4384;
											obj_t BgL_wherez00_4383;
											obj_t BgL_tailzf3zf3_4382;
											obj_t BgL_ez00_4381;

											BgL_ez00_4381 = BgL_arg1934z00_1566;
											BgL_tailzf3zf3_4382 = BgL_wherez00_53;
											BgL_wherez00_4383 = BFALSE;
											BgL_topzf3zf3_4384 = ((bool_t) 1);
											BgL_topzf3zf3_55 = BgL_topzf3zf3_4384;
											BgL_wherez00_53 = BgL_wherez00_4383;
											BgL_tailzf3zf3_52 = BgL_tailzf3zf3_4382;
											BgL_ez00_49 = BgL_ez00_4381;
											goto BGl_convz00zz__evaluatez00;
										}
									}
								else
									{	/* Eval/evaluate.scm 331 */
										return
											BGl_evcompilezd2errorzd2zz__evcompilez00(BgL_locz00_54,
											BGl_string2588z00zz__evaluatez00,
											BGl_string2597z00zz__evaluatez00, BgL_ez00_49);
									}
							}
						else
							{	/* Eval/evaluate.scm 320 */
								obj_t BgL_cdrzd2225zd2_941;

								BgL_cdrzd2225zd2_941 = CDR(BgL_ez00_49);
								if ((CAR(BgL_ez00_49) == BGl_symbol2600z00zz__evaluatez00))
									{	/* Eval/evaluate.scm 320 */
										if (PAIRP(BgL_cdrzd2225zd2_941))
											{	/* Eval/evaluate.scm 320 */
												obj_t BgL_carzd2228zd2_944;
												obj_t BgL_cdrzd2229zd2_945;

												BgL_carzd2228zd2_944 = CAR(BgL_cdrzd2225zd2_941);
												BgL_cdrzd2229zd2_945 = CDR(BgL_cdrzd2225zd2_941);
												if (SYMBOLP(BgL_carzd2228zd2_944))
													{	/* Eval/evaluate.scm 320 */
														if (PAIRP(BgL_cdrzd2229zd2_945))
															{	/* Eval/evaluate.scm 320 */
																obj_t BgL_carzd2233zd2_948;

																BgL_carzd2233zd2_948 =
																	CAR(BgL_cdrzd2229zd2_945);
																if (SYMBOLP(BgL_carzd2233zd2_948))
																	{	/* Eval/evaluate.scm 320 */
																		if (NULLP(CDR(BgL_cdrzd2229zd2_945)))
																			{	/* Eval/evaluate.scm 320 */
																				obj_t BgL_idz00_2982;
																				obj_t BgL_modnamez00_2983;

																				BgL_idz00_2982 = BgL_carzd2228zd2_944;
																				BgL_modnamez00_2983 =
																					BgL_carzd2233zd2_948;
																				{	/* Eval/evaluate.scm 320 */
																					BgL_ev_globalz00_bglt
																						BgL_new1102z00_2984;
																					{	/* Eval/evaluate.scm 320 */
																						BgL_ev_globalz00_bglt
																							BgL_new1101z00_2985;
																						BgL_new1101z00_2985 =
																							((BgL_ev_globalz00_bglt)
																							BREF(GC_MALLOC(sizeof(struct
																										BgL_ev_globalz00_bgl))));
																						{	/* Eval/evaluate.scm 320 */
																							long BgL_arg1937z00_2986;

																							{	/* Eval/evaluate.scm 320 */
																								long BgL_res2417z00_2990;

																								{	/* Eval/evaluate.scm 320 */
																									obj_t BgL_classz00_2987;

																									BgL_classz00_2987 =
																										BGl_ev_globalz00zz__evaluate_typesz00;
																									{	/* Eval/evaluate.scm 320 */
																										obj_t BgL_vectorz00_2988;
																										int BgL_kz00_2989;

																										BgL_vectorz00_2988 =
																											BgL_classz00_2987;
																										BgL_kz00_2989 =
																											(int) (((long) 1));
																										BgL_res2417z00_2990 =
																											(long)
																											CINT(VECTOR_REF
																											(BgL_vectorz00_2988,
																												BgL_kz00_2989));
																								}}
																								BgL_arg1937z00_2986 =
																									BgL_res2417z00_2990;
																							}
																							{	/* Eval/evaluate.scm 320 */
																								BgL_objectz00_bglt
																									BgL_objz00_2991;
																								BgL_objz00_2991 =
																									((BgL_objectz00_bglt)
																									BgL_new1101z00_2985);
																								BGL_OBJECT_CLASS_NUM_SET
																									(BgL_objz00_2991,
																									BgL_arg1937z00_2986);
																						}}
																						{	/* Eval/evaluate.scm 320 */
																							BgL_objectz00_bglt
																								BgL_auxz00_4411;
																							BgL_auxz00_4411 =
																								((BgL_objectz00_bglt)
																								BgL_new1101z00_2985);
																							BGL_OBJECT_WIDENING_SET
																								(BgL_auxz00_4411, BFALSE);
																						}
																						BgL_new1102z00_2984 =
																							BgL_new1101z00_2985;
																					}
																					((((BgL_ev_globalz00_bglt)
																								CREF(BgL_new1102z00_2984))->
																							BgL_locz00) =
																						((obj_t) BgL_locz00_54), BUNSPEC);
																					((((BgL_ev_globalz00_bglt)
																								CREF(BgL_new1102z00_2984))->
																							BgL_namez00) =
																						((obj_t) BgL_idz00_2982), BUNSPEC);
																					((((BgL_ev_globalz00_bglt)
																								CREF(BgL_new1102z00_2984))->
																							BgL_modz00) =
																						((obj_t)
																							BGl_evalzd2findzd2modulez00zz__evmodulez00
																							(BgL_modnamez00_2983)), BUNSPEC);
																					return ((obj_t) BgL_new1102z00_2984);
																				}
																			}
																		else
																			{	/* Eval/evaluate.scm 320 */
																				obj_t BgL_carzd2276zd2_951;

																				BgL_carzd2276zd2_951 = CAR(BgL_ez00_49);
																				if (SYMBOLP(BgL_carzd2276zd2_951))
																					{	/* Eval/evaluate.scm 320 */
																						if (CBOOL
																							(BGl_convzd2varzd2zz__evaluatez00
																								(BgL_carzd2276zd2_951,
																									BgL_localsz00_50)))
																							{
																								BgL_ev_appz00_bglt
																									BgL_auxz00_4425;
																								BgL_funz00_877 =
																									BgL_carzd2276zd2_951;
																								BgL_argsz00_878 =
																									BgL_cdrzd2225zd2_941;
																							BgL_tagzd2134zd2_879:
																								{	/* Eval/evaluate.scm 347 */
																									obj_t BgL_funz00_1584;
																									obj_t BgL_argsz00_1585;

																									{	/* Eval/evaluate.scm 347 */
																										obj_t BgL_arg2056z00_2461;

																										{	/* Eval/evaluate.scm 347 */
																											obj_t
																												BgL__ortest_1066z00_2464;
																											BgL__ortest_1066z00_2464 =
																												BGl_getzd2sourcezd2locationz00zz__readerz00
																												(BgL_funz00_877);
																											if (CBOOL
																												(BgL__ortest_1066z00_2464))
																												{	/* Eval/evaluate.scm 347 */
																													BgL_arg2056z00_2461 =
																														BgL__ortest_1066z00_2464;
																												}
																											else
																												{	/* Eval/evaluate.scm 347 */
																													BgL_arg2056z00_2461 =
																														BgL_locz00_54;
																												}
																										}
																										BgL_funz00_1584 =
																											BGl_convz00zz__evaluatez00
																											(BgL_funz00_877,
																											BgL_localsz00_50,
																											BgL_globalsz00_51, BFALSE,
																											BgL_wherez00_53,
																											BgL_arg2056z00_2461,
																											((bool_t) 0));
																									}
																									BgL_argsz00_1585 =
																										BGl_loopz00zz__evaluatez00
																										(BgL_wherez00_53,
																										BgL_globalsz00_51,
																										BgL_localsz00_50,
																										BgL_locz00_54,
																										BgL_argsz00_878);
																									{	/* Eval/evaluate.scm 348 */
																										BgL_ev_appz00_bglt
																											BgL_new1105z00_1586;
																										{	/* Eval/evaluate.scm 348 */
																											BgL_ev_appz00_bglt
																												BgL_new1103z00_1587;
																											BgL_new1103z00_1587 =
																												((BgL_ev_appz00_bglt)
																												BREF(GC_MALLOC(sizeof
																														(struct
																															BgL_ev_appz00_bgl))));
																											{	/* Eval/evaluate.scm 348 */
																												long
																													BgL_arg1947z00_1588;
																												{	/* Eval/evaluate.scm 348 */
																													long
																														BgL_res2355z00_2470;
																													{	/* Eval/evaluate.scm 348 */
																														obj_t
																															BgL_classz00_2467;
																														BgL_classz00_2467 =
																															BGl_ev_appz00zz__evaluate_typesz00;
																														{	/* Eval/evaluate.scm 348 */
																															obj_t
																																BgL_vectorz00_2468;
																															int BgL_kz00_2469;

																															BgL_vectorz00_2468
																																=
																																BgL_classz00_2467;
																															BgL_kz00_2469 =
																																(int) (((long)
																																	1));
																															BgL_res2355z00_2470
																																=
																																(long)
																																CINT(VECTOR_REF
																																(BgL_vectorz00_2468,
																																	BgL_kz00_2469));
																													}}
																													BgL_arg1947z00_1588 =
																														BgL_res2355z00_2470;
																												}
																												{	/* Eval/evaluate.scm 348 */
																													BgL_objectz00_bglt
																														BgL_objz00_2471;
																													BgL_objz00_2471 =
																														(
																														(BgL_objectz00_bglt)
																														BgL_new1103z00_1587);
																													BGL_OBJECT_CLASS_NUM_SET
																														(BgL_objz00_2471,
																														BgL_arg1947z00_1588);
																											}}
																											{	/* Eval/evaluate.scm 348 */
																												BgL_objectz00_bglt
																													BgL_auxz00_4437;
																												BgL_auxz00_4437 =
																													((BgL_objectz00_bglt)
																													BgL_new1103z00_1587);
																												BGL_OBJECT_WIDENING_SET
																													(BgL_auxz00_4437,
																													BFALSE);
																											}
																											BgL_new1105z00_1586 =
																												BgL_new1103z00_1587;
																										}
																										((((BgL_ev_appz00_bglt)
																													CREF
																													(BgL_new1105z00_1586))->
																												BgL_locz00) =
																											((obj_t) BgL_locz00_54),
																											BUNSPEC);
																										((((BgL_ev_appz00_bglt)
																													CREF
																													(BgL_new1105z00_1586))->
																												BgL_funz00) =
																											((BgL_ev_exprz00_bglt) (
																													(BgL_ev_exprz00_bglt)
																													BgL_funz00_1584)),
																											BUNSPEC);
																										((((BgL_ev_appz00_bglt)
																													CREF
																													(BgL_new1105z00_1586))->
																												BgL_argsz00) =
																											((obj_t)
																												BgL_argsz00_1585),
																											BUNSPEC);
																										((((BgL_ev_appz00_bglt)
																													CREF
																													(BgL_new1105z00_1586))->
																												BgL_tailzf3zf3) =
																											((obj_t)
																												BgL_tailzf3zf3_52),
																											BUNSPEC);
																										BgL_auxz00_4425 =
																											BgL_new1105z00_1586;
																								}}
																								return
																									((obj_t) BgL_auxz00_4425);
																							}
																						else
																							{
																								BgL_ev_appz00_bglt
																									BgL_auxz00_4446;
																								BgL_fz00_933 =
																									BgL_carzd2276zd2_951;
																								BgL_argsz00_934 =
																									BgL_cdrzd2225zd2_941;
																							BgL_tagzd2154zd2_935:
																								{	/* Eval/evaluate.scm 466 */
																									obj_t BgL_funz00_1784;
																									obj_t BgL_argsz00_1785;

																									{	/* Eval/evaluate.scm 466 */
																										obj_t BgL_arg2056z00_2950;

																										{	/* Eval/evaluate.scm 466 */
																											obj_t
																												BgL__ortest_1066z00_2953;
																											BgL__ortest_1066z00_2953 =
																												BGl_getzd2sourcezd2locationz00zz__readerz00
																												(BgL_fz00_933);
																											if (CBOOL
																												(BgL__ortest_1066z00_2953))
																												{	/* Eval/evaluate.scm 466 */
																													BgL_arg2056z00_2950 =
																														BgL__ortest_1066z00_2953;
																												}
																											else
																												{	/* Eval/evaluate.scm 466 */
																													BgL_arg2056z00_2950 =
																														BgL_locz00_54;
																												}
																										}
																										BgL_funz00_1784 =
																											BGl_convz00zz__evaluatez00
																											(BgL_fz00_933,
																											BgL_localsz00_50,
																											BgL_globalsz00_51, BFALSE,
																											BgL_wherez00_53,
																											BgL_arg2056z00_2950,
																											((bool_t) 0));
																									}
																									BgL_argsz00_1785 =
																										BGl_loopz00zz__evaluatez00
																										(BgL_wherez00_53,
																										BgL_globalsz00_51,
																										BgL_localsz00_50,
																										BgL_locz00_54,
																										BgL_argsz00_934);
																									{	/* Eval/evaluate.scm 467 */
																										BgL_ev_appz00_bglt
																											BgL_new1149z00_1786;
																										{	/* Eval/evaluate.scm 467 */
																											BgL_ev_appz00_bglt
																												BgL_new1148z00_1787;
																											BgL_new1148z00_1787 =
																												((BgL_ev_appz00_bglt)
																												BREF(GC_MALLOC(sizeof
																														(struct
																															BgL_ev_appz00_bgl))));
																											{	/* Eval/evaluate.scm 467 */
																												long
																													BgL_arg2050z00_1788;
																												{	/* Eval/evaluate.scm 467 */
																													long
																														BgL_res2410z00_2959;
																													{	/* Eval/evaluate.scm 467 */
																														obj_t
																															BgL_classz00_2956;
																														BgL_classz00_2956 =
																															BGl_ev_appz00zz__evaluate_typesz00;
																														{	/* Eval/evaluate.scm 467 */
																															obj_t
																																BgL_vectorz00_2957;
																															int BgL_kz00_2958;

																															BgL_vectorz00_2957
																																=
																																BgL_classz00_2956;
																															BgL_kz00_2958 =
																																(int) (((long)
																																	1));
																															BgL_res2410z00_2959
																																=
																																(long)
																																CINT(VECTOR_REF
																																(BgL_vectorz00_2957,
																																	BgL_kz00_2958));
																													}}
																													BgL_arg2050z00_1788 =
																														BgL_res2410z00_2959;
																												}
																												{	/* Eval/evaluate.scm 467 */
																													BgL_objectz00_bglt
																														BgL_objz00_2960;
																													BgL_objz00_2960 =
																														(
																														(BgL_objectz00_bglt)
																														BgL_new1148z00_1787);
																													BGL_OBJECT_CLASS_NUM_SET
																														(BgL_objz00_2960,
																														BgL_arg2050z00_1788);
																											}}
																											{	/* Eval/evaluate.scm 467 */
																												BgL_objectz00_bglt
																													BgL_auxz00_4458;
																												BgL_auxz00_4458 =
																													((BgL_objectz00_bglt)
																													BgL_new1148z00_1787);
																												BGL_OBJECT_WIDENING_SET
																													(BgL_auxz00_4458,
																													BFALSE);
																											}
																											BgL_new1149z00_1786 =
																												BgL_new1148z00_1787;
																										}
																										((((BgL_ev_appz00_bglt)
																													CREF
																													(BgL_new1149z00_1786))->
																												BgL_locz00) =
																											((obj_t) BgL_locz00_54),
																											BUNSPEC);
																										((((BgL_ev_appz00_bglt)
																													CREF
																													(BgL_new1149z00_1786))->
																												BgL_funz00) =
																											((BgL_ev_exprz00_bglt) (
																													(BgL_ev_exprz00_bglt)
																													BgL_funz00_1784)),
																											BUNSPEC);
																										((((BgL_ev_appz00_bglt)
																													CREF
																													(BgL_new1149z00_1786))->
																												BgL_argsz00) =
																											((obj_t)
																												BgL_argsz00_1785),
																											BUNSPEC);
																										((((BgL_ev_appz00_bglt)
																													CREF
																													(BgL_new1149z00_1786))->
																												BgL_tailzf3zf3) =
																											((obj_t)
																												BgL_tailzf3zf3_52),
																											BUNSPEC);
																										BgL_auxz00_4446 =
																											BgL_new1149z00_1786;
																								}}
																								return
																									((obj_t) BgL_auxz00_4446);
																							}
																					}
																				else
																					{
																						BgL_ev_appz00_bglt BgL_auxz00_4467;

																						{
																							obj_t BgL_argsz00_4469;
																							obj_t BgL_fz00_4468;

																							BgL_fz00_4468 =
																								BgL_carzd2276zd2_951;
																							BgL_argsz00_4469 =
																								BgL_cdrzd2225zd2_941;
																							BgL_argsz00_934 =
																								BgL_argsz00_4469;
																							BgL_fz00_933 = BgL_fz00_4468;
																							goto BgL_tagzd2154zd2_935;
																						}
																						return ((obj_t) BgL_auxz00_4467);
																					}
																			}
																	}
																else
																	{	/* Eval/evaluate.scm 320 */
																		obj_t BgL_carzd2841zd2_961;

																		BgL_carzd2841zd2_961 = CAR(BgL_ez00_49);
																		if (SYMBOLP(BgL_carzd2841zd2_961))
																			{	/* Eval/evaluate.scm 320 */
																				if (CBOOL
																					(BGl_convzd2varzd2zz__evaluatez00
																						(BgL_carzd2841zd2_961,
																							BgL_localsz00_50)))
																					{
																						BgL_ev_appz00_bglt BgL_auxz00_4477;

																						{
																							obj_t BgL_argsz00_4479;
																							obj_t BgL_funz00_4478;

																							BgL_funz00_4478 =
																								BgL_carzd2841zd2_961;
																							BgL_argsz00_4479 =
																								BgL_cdrzd2225zd2_941;
																							BgL_argsz00_878 =
																								BgL_argsz00_4479;
																							BgL_funz00_877 = BgL_funz00_4478;
																							goto BgL_tagzd2134zd2_879;
																						}
																						return ((obj_t) BgL_auxz00_4477);
																					}
																				else
																					{
																						BgL_ev_appz00_bglt BgL_auxz00_4481;

																						{
																							obj_t BgL_argsz00_4483;
																							obj_t BgL_fz00_4482;

																							BgL_fz00_4482 =
																								BgL_carzd2841zd2_961;
																							BgL_argsz00_4483 =
																								BgL_cdrzd2225zd2_941;
																							BgL_argsz00_934 =
																								BgL_argsz00_4483;
																							BgL_fz00_933 = BgL_fz00_4482;
																							goto BgL_tagzd2154zd2_935;
																						}
																						return ((obj_t) BgL_auxz00_4481);
																					}
																			}
																		else
																			{
																				BgL_ev_appz00_bglt BgL_auxz00_4485;

																				{
																					obj_t BgL_argsz00_4487;
																					obj_t BgL_fz00_4486;

																					BgL_fz00_4486 = BgL_carzd2841zd2_961;
																					BgL_argsz00_4487 =
																						BgL_cdrzd2225zd2_941;
																					BgL_argsz00_934 = BgL_argsz00_4487;
																					BgL_fz00_933 = BgL_fz00_4486;
																					goto BgL_tagzd2154zd2_935;
																				}
																				return ((obj_t) BgL_auxz00_4485);
																			}
																	}
															}
														else
															{	/* Eval/evaluate.scm 320 */
																obj_t BgL_carzd21406zd2_970;

																BgL_carzd21406zd2_970 = CAR(BgL_ez00_49);
																if (SYMBOLP(BgL_carzd21406zd2_970))
																	{	/* Eval/evaluate.scm 320 */
																		if (CBOOL(BGl_convzd2varzd2zz__evaluatez00
																				(BgL_carzd21406zd2_970,
																					BgL_localsz00_50)))
																			{
																				BgL_ev_appz00_bglt BgL_auxz00_4495;

																				{
																					obj_t BgL_argsz00_4497;
																					obj_t BgL_funz00_4496;

																					BgL_funz00_4496 =
																						BgL_carzd21406zd2_970;
																					BgL_argsz00_4497 =
																						BgL_cdrzd2225zd2_941;
																					BgL_argsz00_878 = BgL_argsz00_4497;
																					BgL_funz00_877 = BgL_funz00_4496;
																					goto BgL_tagzd2134zd2_879;
																				}
																				return ((obj_t) BgL_auxz00_4495);
																			}
																		else
																			{
																				BgL_ev_appz00_bglt BgL_auxz00_4499;

																				{
																					obj_t BgL_argsz00_4501;
																					obj_t BgL_fz00_4500;

																					BgL_fz00_4500 = BgL_carzd21406zd2_970;
																					BgL_argsz00_4501 =
																						BgL_cdrzd2225zd2_941;
																					BgL_argsz00_934 = BgL_argsz00_4501;
																					BgL_fz00_933 = BgL_fz00_4500;
																					goto BgL_tagzd2154zd2_935;
																				}
																				return ((obj_t) BgL_auxz00_4499);
																			}
																	}
																else
																	{
																		BgL_ev_appz00_bglt BgL_auxz00_4503;

																		{
																			obj_t BgL_argsz00_4505;
																			obj_t BgL_fz00_4504;

																			BgL_fz00_4504 = BgL_carzd21406zd2_970;
																			BgL_argsz00_4505 = BgL_cdrzd2225zd2_941;
																			BgL_argsz00_934 = BgL_argsz00_4505;
																			BgL_fz00_933 = BgL_fz00_4504;
																			goto BgL_tagzd2154zd2_935;
																		}
																		return ((obj_t) BgL_auxz00_4503);
																	}
															}
													}
												else
													{	/* Eval/evaluate.scm 320 */
														obj_t BgL_carzd21971zd2_979;

														BgL_carzd21971zd2_979 = CAR(BgL_ez00_49);
														if (SYMBOLP(BgL_carzd21971zd2_979))
															{	/* Eval/evaluate.scm 320 */
																if (CBOOL(BGl_convzd2varzd2zz__evaluatez00
																		(BgL_carzd21971zd2_979, BgL_localsz00_50)))
																	{
																		BgL_ev_appz00_bglt BgL_auxz00_4513;

																		{
																			obj_t BgL_argsz00_4515;
																			obj_t BgL_funz00_4514;

																			BgL_funz00_4514 = BgL_carzd21971zd2_979;
																			BgL_argsz00_4515 = BgL_cdrzd2225zd2_941;
																			BgL_argsz00_878 = BgL_argsz00_4515;
																			BgL_funz00_877 = BgL_funz00_4514;
																			goto BgL_tagzd2134zd2_879;
																		}
																		return ((obj_t) BgL_auxz00_4513);
																	}
																else
																	{
																		BgL_ev_appz00_bglt BgL_auxz00_4517;

																		{
																			obj_t BgL_argsz00_4519;
																			obj_t BgL_fz00_4518;

																			BgL_fz00_4518 = BgL_carzd21971zd2_979;
																			BgL_argsz00_4519 = BgL_cdrzd2225zd2_941;
																			BgL_argsz00_934 = BgL_argsz00_4519;
																			BgL_fz00_933 = BgL_fz00_4518;
																			goto BgL_tagzd2154zd2_935;
																		}
																		return ((obj_t) BgL_auxz00_4517);
																	}
															}
														else
															{
																BgL_ev_appz00_bglt BgL_auxz00_4521;

																{
																	obj_t BgL_argsz00_4523;
																	obj_t BgL_fz00_4522;

																	BgL_fz00_4522 = BgL_carzd21971zd2_979;
																	BgL_argsz00_4523 = BgL_cdrzd2225zd2_941;
																	BgL_argsz00_934 = BgL_argsz00_4523;
																	BgL_fz00_933 = BgL_fz00_4522;
																	goto BgL_tagzd2154zd2_935;
																}
																return ((obj_t) BgL_auxz00_4521);
															}
													}
											}
										else
											{	/* Eval/evaluate.scm 320 */
												obj_t BgL_carzd22536zd2_988;

												BgL_carzd22536zd2_988 = CAR(BgL_ez00_49);
												if (SYMBOLP(BgL_carzd22536zd2_988))
													{	/* Eval/evaluate.scm 320 */
														if (CBOOL(BGl_convzd2varzd2zz__evaluatez00
																(BgL_carzd22536zd2_988, BgL_localsz00_50)))
															{
																BgL_ev_appz00_bglt BgL_auxz00_4531;

																{
																	obj_t BgL_argsz00_4533;
																	obj_t BgL_funz00_4532;

																	BgL_funz00_4532 = BgL_carzd22536zd2_988;
																	BgL_argsz00_4533 = BgL_cdrzd2225zd2_941;
																	BgL_argsz00_878 = BgL_argsz00_4533;
																	BgL_funz00_877 = BgL_funz00_4532;
																	goto BgL_tagzd2134zd2_879;
																}
																return ((obj_t) BgL_auxz00_4531);
															}
														else
															{
																BgL_ev_appz00_bglt BgL_auxz00_4535;

																{
																	obj_t BgL_argsz00_4537;
																	obj_t BgL_fz00_4536;

																	BgL_fz00_4536 = BgL_carzd22536zd2_988;
																	BgL_argsz00_4537 = BgL_cdrzd2225zd2_941;
																	BgL_argsz00_934 = BgL_argsz00_4537;
																	BgL_fz00_933 = BgL_fz00_4536;
																	goto BgL_tagzd2154zd2_935;
																}
																return ((obj_t) BgL_auxz00_4535);
															}
													}
												else
													{
														BgL_ev_appz00_bglt BgL_auxz00_4539;

														{
															obj_t BgL_argsz00_4541;
															obj_t BgL_fz00_4540;

															BgL_fz00_4540 = BgL_carzd22536zd2_988;
															BgL_argsz00_4541 = BgL_cdrzd2225zd2_941;
															BgL_argsz00_934 = BgL_argsz00_4541;
															BgL_fz00_933 = BgL_fz00_4540;
															goto BgL_tagzd2154zd2_935;
														}
														return ((obj_t) BgL_auxz00_4539);
													}
											}
									}
								else
									{	/* Eval/evaluate.scm 320 */
										if ((CAR(BgL_ez00_49) == BGl_symbol2602z00zz__evaluatez00))
											{	/* Eval/evaluate.scm 320 */
												BgL_lz00_875 = BgL_cdrzd2225zd2_941;
												{	/* Eval/evaluate.scm 340 */
													bool_t BgL_testz00_4546;

													if (PAIRP(BgL_lz00_875))
														{	/* Eval/evaluate.scm 340 */
															bool_t BgL_testz00_4549;

															{	/* Eval/evaluate.scm 340 */
																obj_t BgL_auxz00_4550;

																BgL_auxz00_4550 = CDR(BgL_lz00_875);
																BgL_testz00_4549 = PAIRP(BgL_auxz00_4550);
															}
															if (BgL_testz00_4549)
																{
																	obj_t BgL_l1184z00_1576;

																	BgL_l1184z00_1576 = BgL_lz00_875;
																BgL_zc3anonymousza31941ze3z83_1577:
																	if (NULLP(BgL_l1184z00_1576))
																		{	/* Eval/evaluate.scm 340 */
																			BgL_testz00_4546 = ((bool_t) 1);
																		}
																	else
																		{	/* Eval/evaluate.scm 340 */
																			bool_t BgL_testz00_4555;

																			{	/* Eval/evaluate.scm 340 */
																				obj_t BgL_auxz00_4556;

																				BgL_auxz00_4556 =
																					CAR(BgL_l1184z00_1576);
																				BgL_testz00_4555 =
																					SYMBOLP(BgL_auxz00_4556);
																			}
																			if (BgL_testz00_4555)
																				{
																					obj_t BgL_l1184z00_4559;

																					BgL_l1184z00_4559 =
																						CDR(BgL_l1184z00_1576);
																					BgL_l1184z00_1576 = BgL_l1184z00_4559;
																					goto
																						BgL_zc3anonymousza31941ze3z83_1577;
																				}
																			else
																				{	/* Eval/evaluate.scm 340 */
																					BgL_testz00_4546 = ((bool_t) 0);
																				}
																		}
																}
															else
																{	/* Eval/evaluate.scm 340 */
																	BgL_testz00_4546 = ((bool_t) 0);
																}
														}
													else
														{	/* Eval/evaluate.scm 340 */
															BgL_testz00_4546 = ((bool_t) 0);
														}
													if (BgL_testz00_4546)
														{	/* Eval/evaluate.scm 340 */
															return
																BGl_convzd2fieldzd2refz00zz__evaluatez00
																(BgL_ez00_49, BgL_localsz00_50,
																BgL_globalsz00_51, BgL_tailzf3zf3_52,
																BgL_wherez00_53, BgL_locz00_54,
																BgL_topzf3zf3_55);
														}
													else
														{	/* Eval/evaluate.scm 340 */
															return
																BGl_evcompilezd2errorzd2zz__evcompilez00
																(BgL_locz00_54,
																BGl_string2588z00zz__evaluatez00,
																BGl_string2594z00zz__evaluatez00, BgL_ez00_49);
														}
												}
											}
										else
											{	/* Eval/evaluate.scm 320 */
												obj_t BgL_carzd23104zd2_999;

												BgL_carzd23104zd2_999 = CAR(BgL_ez00_49);
												if (SYMBOLP(BgL_carzd23104zd2_999))
													{	/* Eval/evaluate.scm 320 */
														if (CBOOL(BGl_convzd2varzd2zz__evaluatez00
																(BgL_carzd23104zd2_999, BgL_localsz00_50)))
															{
																BgL_ev_appz00_bglt BgL_auxz00_4569;

																{
																	obj_t BgL_argsz00_4571;
																	obj_t BgL_funz00_4570;

																	BgL_funz00_4570 = BgL_carzd23104zd2_999;
																	BgL_argsz00_4571 = BgL_cdrzd2225zd2_941;
																	BgL_argsz00_878 = BgL_argsz00_4571;
																	BgL_funz00_877 = BgL_funz00_4570;
																	goto BgL_tagzd2134zd2_879;
																}
																return ((obj_t) BgL_auxz00_4569);
															}
														else
															{	/* Eval/evaluate.scm 320 */
																if (
																	(BgL_carzd23104zd2_999 ==
																		BGl_symbol2604z00zz__evaluatez00))
																	{	/* Eval/evaluate.scm 320 */
																		if (PAIRP(BgL_cdrzd2225zd2_941))
																			{	/* Eval/evaluate.scm 320 */
																				if (NULLP(CDR(BgL_cdrzd2225zd2_941)))
																					{	/* Eval/evaluate.scm 320 */
																						obj_t BgL_arg1445z00_1007;

																						BgL_arg1445z00_1007 =
																							CAR(BgL_cdrzd2225zd2_941);
																						{
																							BgL_ev_trapz00_bglt
																								BgL_auxz00_4581;
																							BgL_ez00_880 =
																								BgL_arg1445z00_1007;
																						BgL_tagzd2135zd2_881:
																							{	/* Eval/evaluate.scm 354 */
																								BgL_ev_trapz00_bglt
																									BgL_new1107z00_1589;
																								{	/* Eval/evaluate.scm 354 */
																									BgL_ev_trapz00_bglt
																										BgL_new1106z00_1590;
																									BgL_new1106z00_1590 =
																										((BgL_ev_trapz00_bglt)
																										BREF(GC_MALLOC(sizeof(struct
																													BgL_ev_trapz00_bgl))));
																									{	/* Eval/evaluate.scm 354 */
																										long BgL_arg1949z00_1591;

																										{	/* Eval/evaluate.scm 354 */
																											long BgL_res2356z00_2476;

																											{	/* Eval/evaluate.scm 354 */
																												obj_t BgL_classz00_2473;

																												BgL_classz00_2473 =
																													BGl_ev_trapz00zz__evaluate_typesz00;
																												{	/* Eval/evaluate.scm 354 */
																													obj_t
																														BgL_vectorz00_2474;
																													int BgL_kz00_2475;

																													BgL_vectorz00_2474 =
																														BgL_classz00_2473;
																													BgL_kz00_2475 =
																														(int) (((long) 1));
																													BgL_res2356z00_2476 =
																														(long)
																														CINT(VECTOR_REF
																														(BgL_vectorz00_2474,
																															BgL_kz00_2475));
																											}}
																											BgL_arg1949z00_1591 =
																												BgL_res2356z00_2476;
																										}
																										{	/* Eval/evaluate.scm 354 */
																											BgL_objectz00_bglt
																												BgL_objz00_2477;
																											BgL_objz00_2477 =
																												((BgL_objectz00_bglt)
																												BgL_new1106z00_1590);
																											BGL_OBJECT_CLASS_NUM_SET
																												(BgL_objz00_2477,
																												BgL_arg1949z00_1591);
																									}}
																									{	/* Eval/evaluate.scm 354 */
																										BgL_objectz00_bglt
																											BgL_auxz00_4588;
																										BgL_auxz00_4588 =
																											((BgL_objectz00_bglt)
																											BgL_new1106z00_1590);
																										BGL_OBJECT_WIDENING_SET
																											(BgL_auxz00_4588, BFALSE);
																									}
																									BgL_new1107z00_1589 =
																										BgL_new1106z00_1590;
																								}
																								{
																									BgL_ev_exprz00_bglt
																										BgL_auxz00_4591;
																									{	/* Eval/evaluate.scm 355 */
																										obj_t BgL_arg2056z00_2480;

																										{	/* Eval/evaluate.scm 355 */
																											obj_t
																												BgL__ortest_1066z00_2483;
																											BgL__ortest_1066z00_2483 =
																												BGl_getzd2sourcezd2locationz00zz__readerz00
																												(BgL_ez00_880);
																											if (CBOOL
																												(BgL__ortest_1066z00_2483))
																												{	/* Eval/evaluate.scm 355 */
																													BgL_arg2056z00_2480 =
																														BgL__ortest_1066z00_2483;
																												}
																											else
																												{	/* Eval/evaluate.scm 355 */
																													BgL_arg2056z00_2480 =
																														BgL_locz00_54;
																												}
																										}
																										BgL_auxz00_4591 =
																											((BgL_ev_exprz00_bglt)
																											BGl_convz00zz__evaluatez00
																											(BgL_ez00_880,
																												BgL_localsz00_50,
																												BgL_globalsz00_51,
																												BFALSE, BgL_wherez00_53,
																												BgL_arg2056z00_2480,
																												((bool_t) 0)));
																									}
																									((((BgL_ev_hookz00_bglt) CREF(
																													((BgL_ev_hookz00_bglt)
																														BgL_new1107z00_1589)))->
																											BgL_ez00) =
																										((BgL_ev_exprz00_bglt)
																											BgL_auxz00_4591),
																										BUNSPEC);
																								}
																								BgL_auxz00_4581 =
																									BgL_new1107z00_1589;
																							}
																							return ((obj_t) BgL_auxz00_4581);
																						}
																					}
																				else
																					{	/* Eval/evaluate.scm 320 */
																						obj_t BgL_arg1446z00_1008;
																						obj_t BgL_arg1447z00_1009;

																						BgL_arg1446z00_1008 =
																							CAR(BgL_ez00_49);
																						BgL_arg1447z00_1009 =
																							CDR(BgL_ez00_49);
																						{
																							BgL_ev_appz00_bglt
																								BgL_auxz00_4602;
																							{
																								obj_t BgL_argsz00_4604;
																								obj_t BgL_fz00_4603;

																								BgL_fz00_4603 =
																									BgL_arg1446z00_1008;
																								BgL_argsz00_4604 =
																									BgL_arg1447z00_1009;
																								BgL_argsz00_934 =
																									BgL_argsz00_4604;
																								BgL_fz00_933 = BgL_fz00_4603;
																								goto BgL_tagzd2154zd2_935;
																							}
																							return ((obj_t) BgL_auxz00_4602);
																						}
																					}
																			}
																		else
																			{	/* Eval/evaluate.scm 320 */
																				obj_t BgL_arg1449z00_1011;
																				obj_t BgL_arg1450z00_1012;

																				BgL_arg1449z00_1011 = CAR(BgL_ez00_49);
																				BgL_arg1450z00_1012 = CDR(BgL_ez00_49);
																				{
																					BgL_ev_appz00_bglt BgL_auxz00_4608;

																					{
																						obj_t BgL_argsz00_4610;
																						obj_t BgL_fz00_4609;

																						BgL_fz00_4609 = BgL_arg1449z00_1011;
																						BgL_argsz00_4610 =
																							BgL_arg1450z00_1012;
																						BgL_argsz00_934 = BgL_argsz00_4610;
																						BgL_fz00_933 = BgL_fz00_4609;
																						goto BgL_tagzd2154zd2_935;
																					}
																					return ((obj_t) BgL_auxz00_4608);
																				}
																			}
																	}
																else
																	{	/* Eval/evaluate.scm 320 */
																		obj_t BgL_cdrzd23637zd2_1013;

																		BgL_cdrzd23637zd2_1013 = CDR(BgL_ez00_49);
																		if (
																			(CAR(BgL_ez00_49) ==
																				BGl_symbol2606z00zz__evaluatez00))
																			{	/* Eval/evaluate.scm 320 */
																				if (PAIRP(BgL_cdrzd23637zd2_1013))
																					{	/* Eval/evaluate.scm 320 */
																						if (NULLP(CDR
																								(BgL_cdrzd23637zd2_1013)))
																							{	/* Eval/evaluate.scm 320 */
																								obj_t BgL_arg1454z00_1017;

																								BgL_arg1454z00_1017 =
																									CAR(BgL_cdrzd23637zd2_1013);
																								{	/* Eval/evaluate.scm 320 */
																									BgL_ev_littz00_bglt
																										BgL_new1109z00_3060;
																									{	/* Eval/evaluate.scm 320 */
																										BgL_ev_littz00_bglt
																											BgL_new1108z00_3061;
																										BgL_new1108z00_3061 =
																											((BgL_ev_littz00_bglt)
																											BREF(GC_MALLOC(sizeof
																													(struct
																														BgL_ev_littz00_bgl))));
																										{	/* Eval/evaluate.scm 320 */
																											long BgL_arg1950z00_3062;

																											{	/* Eval/evaluate.scm 320 */
																												long
																													BgL_res2428z00_3066;
																												{	/* Eval/evaluate.scm 320 */
																													obj_t
																														BgL_classz00_3063;
																													BgL_classz00_3063 =
																														BGl_ev_littz00zz__evaluate_typesz00;
																													{	/* Eval/evaluate.scm 320 */
																														obj_t
																															BgL_vectorz00_3064;
																														int BgL_kz00_3065;

																														BgL_vectorz00_3064 =
																															BgL_classz00_3063;
																														BgL_kz00_3065 =
																															(int) (((long)
																																1));
																														BgL_res2428z00_3066
																															=
																															(long)
																															CINT(VECTOR_REF
																															(BgL_vectorz00_3064,
																																BgL_kz00_3065));
																												}}
																												BgL_arg1950z00_3062 =
																													BgL_res2428z00_3066;
																											}
																											{	/* Eval/evaluate.scm 320 */
																												BgL_objectz00_bglt
																													BgL_objz00_3067;
																												BgL_objz00_3067 =
																													((BgL_objectz00_bglt)
																													BgL_new1108z00_3061);
																												BGL_OBJECT_CLASS_NUM_SET
																													(BgL_objz00_3067,
																													BgL_arg1950z00_3062);
																										}}
																										{	/* Eval/evaluate.scm 320 */
																											BgL_objectz00_bglt
																												BgL_auxz00_4628;
																											BgL_auxz00_4628 =
																												((BgL_objectz00_bglt)
																												BgL_new1108z00_3061);
																											BGL_OBJECT_WIDENING_SET
																												(BgL_auxz00_4628,
																												BFALSE);
																										}
																										BgL_new1109z00_3060 =
																											BgL_new1108z00_3061;
																									}
																									((((BgL_ev_littz00_bglt)
																												CREF
																												(BgL_new1109z00_3060))->
																											BgL_valuez00) =
																										((obj_t)
																											BgL_arg1454z00_1017),
																										BUNSPEC);
																									return ((obj_t)
																										BgL_new1109z00_3060);
																								}
																							}
																						else
																							{	/* Eval/evaluate.scm 320 */
																								obj_t BgL_arg1455z00_1018;

																								BgL_arg1455z00_1018 =
																									CAR(BgL_ez00_49);
																								{
																									BgL_ev_appz00_bglt
																										BgL_auxz00_4634;
																									{
																										obj_t BgL_argsz00_4636;
																										obj_t BgL_fz00_4635;

																										BgL_fz00_4635 =
																											BgL_arg1455z00_1018;
																										BgL_argsz00_4636 =
																											BgL_cdrzd23637zd2_1013;
																										BgL_argsz00_934 =
																											BgL_argsz00_4636;
																										BgL_fz00_933 =
																											BgL_fz00_4635;
																										goto BgL_tagzd2154zd2_935;
																									}
																									return
																										((obj_t) BgL_auxz00_4634);
																								}
																							}
																					}
																				else
																					{	/* Eval/evaluate.scm 320 */
																						obj_t BgL_arg1459z00_1021;

																						BgL_arg1459z00_1021 =
																							CAR(BgL_ez00_49);
																						{
																							BgL_ev_appz00_bglt
																								BgL_auxz00_4639;
																							{
																								obj_t BgL_argsz00_4641;
																								obj_t BgL_fz00_4640;

																								BgL_fz00_4640 =
																									BgL_arg1459z00_1021;
																								BgL_argsz00_4641 =
																									BgL_cdrzd23637zd2_1013;
																								BgL_argsz00_934 =
																									BgL_argsz00_4641;
																								BgL_fz00_933 = BgL_fz00_4640;
																								goto BgL_tagzd2154zd2_935;
																							}
																							return ((obj_t) BgL_auxz00_4639);
																						}
																					}
																			}
																		else
																			{	/* Eval/evaluate.scm 320 */
																				if (
																					(CAR(BgL_ez00_49) ==
																						BGl_symbol2608z00zz__evaluatez00))
																					{	/* Eval/evaluate.scm 320 */
																						if (PAIRP(BgL_cdrzd23637zd2_1013))
																							{	/* Eval/evaluate.scm 320 */
																								obj_t BgL_cdrzd24114zd2_1026;

																								BgL_cdrzd24114zd2_1026 =
																									CDR(BgL_cdrzd23637zd2_1013);
																								if (PAIRP
																									(BgL_cdrzd24114zd2_1026))
																									{	/* Eval/evaluate.scm 320 */
																										obj_t
																											BgL_cdrzd24119zd2_1028;
																										BgL_cdrzd24119zd2_1028 =
																											CDR
																											(BgL_cdrzd24114zd2_1026);
																										if (PAIRP
																											(BgL_cdrzd24119zd2_1028))
																											{	/* Eval/evaluate.scm 320 */
																												if (NULLP(CDR
																														(BgL_cdrzd24119zd2_1028)))
																													{	/* Eval/evaluate.scm 320 */
																														obj_t
																															BgL_arg1466z00_1031;
																														obj_t
																															BgL_arg1467z00_1032;
																														obj_t
																															BgL_arg1468z00_1033;
																														BgL_arg1466z00_1031
																															=
																															CAR
																															(BgL_cdrzd23637zd2_1013);
																														BgL_arg1467z00_1032
																															=
																															CAR
																															(BgL_cdrzd24114zd2_1026);
																														BgL_arg1468z00_1033
																															=
																															CAR
																															(BgL_cdrzd24119zd2_1028);
																														{
																															BgL_ev_ifz00_bglt
																																BgL_auxz00_4660;
																															BgL_pz00_884 =
																																BgL_arg1466z00_1031;
																															BgL_tz00_885 =
																																BgL_arg1467z00_1032;
																															BgL_oz00_886 =
																																BgL_arg1468z00_1033;
																														BgL_tagzd2137zd2_887:
																															{	/* Eval/evaluate.scm 360 */
																																BgL_ev_ifz00_bglt
																																	BgL_new1111z00_1595;
																																{	/* Eval/evaluate.scm 360 */
																																	BgL_ev_ifz00_bglt
																																		BgL_new1110z00_1602;
																																	BgL_new1110z00_1602
																																		=
																																		(
																																		(BgL_ev_ifz00_bglt)
																																		BREF
																																		(GC_MALLOC
																																			(sizeof
																																				(struct
																																					BgL_ev_ifz00_bgl))));
																																	{	/* Eval/evaluate.scm 360 */
																																		long
																																			BgL_arg1957z00_1603;
																																		{	/* Eval/evaluate.scm 360 */
																																			long
																																				BgL_res2358z00_2498;
																																			{	/* Eval/evaluate.scm 360 */
																																				obj_t
																																					BgL_classz00_2495;
																																				BgL_classz00_2495
																																					=
																																					BGl_ev_ifz00zz__evaluate_typesz00;
																																				{	/* Eval/evaluate.scm 360 */
																																					obj_t
																																						BgL_vectorz00_2496;
																																					int
																																						BgL_kz00_2497;
																																					BgL_vectorz00_2496
																																						=
																																						BgL_classz00_2495;
																																					BgL_kz00_2497
																																						=
																																						(int)
																																						(((long) 1));
																																					BgL_res2358z00_2498
																																						=
																																						(long)
																																						CINT
																																						(VECTOR_REF
																																						(BgL_vectorz00_2496,
																																							BgL_kz00_2497));
																																			}}
																																			BgL_arg1957z00_1603
																																				=
																																				BgL_res2358z00_2498;
																																		}
																																		{	/* Eval/evaluate.scm 360 */
																																			BgL_objectz00_bglt
																																				BgL_objz00_2499;
																																			BgL_objz00_2499
																																				=
																																				(
																																				(BgL_objectz00_bglt)
																																				BgL_new1110z00_1602);
																																			BGL_OBJECT_CLASS_NUM_SET
																																				(BgL_objz00_2499,
																																				BgL_arg1957z00_1603);
																																	}}
																																	{	/* Eval/evaluate.scm 360 */
																																		BgL_objectz00_bglt
																																			BgL_auxz00_4667;
																																		BgL_auxz00_4667
																																			=
																																			(
																																			(BgL_objectz00_bglt)
																																			BgL_new1110z00_1602);
																																		BGL_OBJECT_WIDENING_SET
																																			(BgL_auxz00_4667,
																																			BFALSE);
																																	}
																																	BgL_new1111z00_1595
																																		=
																																		BgL_new1110z00_1602;
																																}
																																{
																																	BgL_ev_exprz00_bglt
																																		BgL_auxz00_4670;
																																	{	/* Eval/evaluate.scm 361 */
																																		obj_t
																																			BgL_arg1951z00_1596;
																																		{	/* Eval/evaluate.scm 361 */
																																			obj_t
																																				BgL_arg1952z00_1597;
																																			{	/* Eval/evaluate.scm 361 */
																																				obj_t
																																					BgL_pairz00_2501;
																																				BgL_pairz00_2501
																																					=
																																					BgL_ez00_49;
																																				BgL_arg1952z00_1597
																																					=
																																					CDR
																																					(BgL_pairz00_2501);
																																			}
																																			{	/* Eval/evaluate.scm 361 */
																																				obj_t
																																					BgL__ortest_1066z00_2504;
																																				BgL__ortest_1066z00_2504
																																					=
																																					BGl_getzd2sourcezd2locationz00zz__readerz00
																																					(BgL_arg1952z00_1597);
																																				if (CBOOL(BgL__ortest_1066z00_2504))
																																					{	/* Eval/evaluate.scm 361 */
																																						BgL_arg1951z00_1596
																																							=
																																							BgL__ortest_1066z00_2504;
																																					}
																																				else
																																					{	/* Eval/evaluate.scm 361 */
																																						BgL_arg1951z00_1596
																																							=
																																							BgL_locz00_54;
																																					}
																																			}
																																		}
																																		BgL_auxz00_4670
																																			=
																																			(
																																			(BgL_ev_exprz00_bglt)
																																			BGl_convz00zz__evaluatez00
																																			(BgL_pz00_884,
																																				BgL_localsz00_50,
																																				BgL_globalsz00_51,
																																				BFALSE,
																																				BgL_wherez00_53,
																																				BgL_arg1951z00_1596,
																																				((bool_t) 0)));
																																	}
																																	((((BgL_ev_ifz00_bglt) CREF(BgL_new1111z00_1595))->BgL_pz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_4670), BUNSPEC);
																																}
																																{
																																	BgL_ev_exprz00_bglt
																																		BgL_auxz00_4678;
																																	{	/* Eval/evaluate.scm 362 */
																																		obj_t
																																			BgL_arg1953z00_1598;
																																		{	/* Eval/evaluate.scm 362 */
																																			obj_t
																																				BgL_arg1954z00_1599;
																																			{	/* Eval/evaluate.scm 362 */
																																				obj_t
																																					BgL_pairz00_2507;
																																				BgL_pairz00_2507
																																					=
																																					BgL_ez00_49;
																																				{	/* Eval/evaluate.scm 362 */
																																					obj_t
																																						BgL_pairz00_2510;
																																					BgL_pairz00_2510
																																						=
																																						CDR
																																						(BgL_pairz00_2507);
																																					BgL_arg1954z00_1599
																																						=
																																						CDR
																																						(BgL_pairz00_2510);
																																				}
																																			}
																																			{	/* Eval/evaluate.scm 362 */
																																				obj_t
																																					BgL__ortest_1066z00_2513;
																																				BgL__ortest_1066z00_2513
																																					=
																																					BGl_getzd2sourcezd2locationz00zz__readerz00
																																					(BgL_arg1954z00_1599);
																																				if (CBOOL(BgL__ortest_1066z00_2513))
																																					{	/* Eval/evaluate.scm 362 */
																																						BgL_arg1953z00_1598
																																							=
																																							BgL__ortest_1066z00_2513;
																																					}
																																				else
																																					{	/* Eval/evaluate.scm 362 */
																																						BgL_arg1953z00_1598
																																							=
																																							BgL_locz00_54;
																																					}
																																			}
																																		}
																																		BgL_auxz00_4678
																																			=
																																			(
																																			(BgL_ev_exprz00_bglt)
																																			BGl_convz00zz__evaluatez00
																																			(BgL_tz00_885,
																																				BgL_localsz00_50,
																																				BgL_globalsz00_51,
																																				BgL_tailzf3zf3_52,
																																				BgL_wherez00_53,
																																				BgL_arg1953z00_1598,
																																				((bool_t) 0)));
																																	}
																																	((((BgL_ev_ifz00_bglt) CREF(BgL_new1111z00_1595))->BgL_tz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_4678), BUNSPEC);
																																}
																																{
																																	BgL_ev_exprz00_bglt
																																		BgL_auxz00_4687;
																																	{	/* Eval/evaluate.scm 363 */
																																		obj_t
																																			BgL_arg1955z00_1600;
																																		{	/* Eval/evaluate.scm 363 */
																																			obj_t
																																				BgL_arg1956z00_1601;
																																			{	/* Eval/evaluate.scm 363 */
																																				obj_t
																																					BgL_pairz00_2516;
																																				BgL_pairz00_2516
																																					=
																																					BgL_ez00_49;
																																				{	/* Eval/evaluate.scm 363 */
																																					obj_t
																																						BgL_pairz00_2521;
																																					{	/* Eval/evaluate.scm 363 */
																																						obj_t
																																							BgL_pairz00_2520;
																																						BgL_pairz00_2520
																																							=
																																							CDR
																																							(BgL_pairz00_2516);
																																						BgL_pairz00_2521
																																							=
																																							CDR
																																							(BgL_pairz00_2520);
																																					}
																																					BgL_arg1956z00_1601
																																						=
																																						CDR
																																						(BgL_pairz00_2521);
																																				}
																																			}
																																			{	/* Eval/evaluate.scm 363 */
																																				obj_t
																																					BgL__ortest_1066z00_2524;
																																				BgL__ortest_1066z00_2524
																																					=
																																					BGl_getzd2sourcezd2locationz00zz__readerz00
																																					(BgL_arg1956z00_1601);
																																				if (CBOOL(BgL__ortest_1066z00_2524))
																																					{	/* Eval/evaluate.scm 363 */
																																						BgL_arg1955z00_1600
																																							=
																																							BgL__ortest_1066z00_2524;
																																					}
																																				else
																																					{	/* Eval/evaluate.scm 363 */
																																						BgL_arg1955z00_1600
																																							=
																																							BgL_locz00_54;
																																					}
																																			}
																																		}
																																		BgL_auxz00_4687
																																			=
																																			(
																																			(BgL_ev_exprz00_bglt)
																																			BGl_convz00zz__evaluatez00
																																			(BgL_oz00_886,
																																				BgL_localsz00_50,
																																				BgL_globalsz00_51,
																																				BgL_tailzf3zf3_52,
																																				BgL_wherez00_53,
																																				BgL_arg1955z00_1600,
																																				((bool_t) 0)));
																																	}
																																	((((BgL_ev_ifz00_bglt) CREF(BgL_new1111z00_1595))->BgL_ez00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_4687), BUNSPEC);
																																}
																																BgL_auxz00_4660
																																	=
																																	BgL_new1111z00_1595;
																															}
																															return
																																((obj_t)
																																BgL_auxz00_4660);
																														}
																													}
																												else
																													{	/* Eval/evaluate.scm 320 */
																														obj_t
																															BgL_arg1469z00_1034;
																														obj_t
																															BgL_arg1470z00_1035;
																														BgL_arg1469z00_1034
																															=
																															CAR(BgL_ez00_49);
																														BgL_arg1470z00_1035
																															=
																															CDR(BgL_ez00_49);
																														{
																															BgL_ev_appz00_bglt
																																BgL_auxz00_4700;
																															{
																																obj_t
																																	BgL_argsz00_4702;
																																obj_t
																																	BgL_fz00_4701;
																																BgL_fz00_4701 =
																																	BgL_arg1469z00_1034;
																																BgL_argsz00_4702
																																	=
																																	BgL_arg1470z00_1035;
																																BgL_argsz00_934
																																	=
																																	BgL_argsz00_4702;
																																BgL_fz00_933 =
																																	BgL_fz00_4701;
																																goto
																																	BgL_tagzd2154zd2_935;
																															}
																															return
																																((obj_t)
																																BgL_auxz00_4700);
																														}
																													}
																											}
																										else
																											{	/* Eval/evaluate.scm 320 */
																												obj_t
																													BgL_arg1472z00_1037;
																												obj_t
																													BgL_arg1474z00_1038;
																												BgL_arg1472z00_1037 =
																													CAR(BgL_ez00_49);
																												BgL_arg1474z00_1038 =
																													CDR(BgL_ez00_49);
																												{
																													BgL_ev_appz00_bglt
																														BgL_auxz00_4706;
																													{
																														obj_t
																															BgL_argsz00_4708;
																														obj_t BgL_fz00_4707;

																														BgL_fz00_4707 =
																															BgL_arg1472z00_1037;
																														BgL_argsz00_4708 =
																															BgL_arg1474z00_1038;
																														BgL_argsz00_934 =
																															BgL_argsz00_4708;
																														BgL_fz00_933 =
																															BgL_fz00_4707;
																														goto
																															BgL_tagzd2154zd2_935;
																													}
																													return
																														((obj_t)
																														BgL_auxz00_4706);
																												}
																											}
																									}
																								else
																									{	/* Eval/evaluate.scm 320 */
																										obj_t BgL_arg1475z00_1039;
																										obj_t BgL_arg1477z00_1040;

																										BgL_arg1475z00_1039 =
																											CAR(BgL_ez00_49);
																										BgL_arg1477z00_1040 =
																											CDR(BgL_ez00_49);
																										{
																											BgL_ev_appz00_bglt
																												BgL_auxz00_4712;
																											{
																												obj_t BgL_argsz00_4714;
																												obj_t BgL_fz00_4713;

																												BgL_fz00_4713 =
																													BgL_arg1475z00_1039;
																												BgL_argsz00_4714 =
																													BgL_arg1477z00_1040;
																												BgL_argsz00_934 =
																													BgL_argsz00_4714;
																												BgL_fz00_933 =
																													BgL_fz00_4713;
																												goto
																													BgL_tagzd2154zd2_935;
																											}
																											return
																												((obj_t)
																												BgL_auxz00_4712);
																										}
																									}
																							}
																						else
																							{	/* Eval/evaluate.scm 320 */
																								obj_t BgL_arg1478z00_1041;
																								obj_t BgL_arg1480z00_1042;

																								BgL_arg1478z00_1041 =
																									CAR(BgL_ez00_49);
																								BgL_arg1480z00_1042 =
																									CDR(BgL_ez00_49);
																								{
																									BgL_ev_appz00_bglt
																										BgL_auxz00_4718;
																									{
																										obj_t BgL_argsz00_4720;
																										obj_t BgL_fz00_4719;

																										BgL_fz00_4719 =
																											BgL_arg1478z00_1041;
																										BgL_argsz00_4720 =
																											BgL_arg1480z00_1042;
																										BgL_argsz00_934 =
																											BgL_argsz00_4720;
																										BgL_fz00_933 =
																											BgL_fz00_4719;
																										goto BgL_tagzd2154zd2_935;
																									}
																									return
																										((obj_t) BgL_auxz00_4718);
																								}
																							}
																					}
																				else
																					{	/* Eval/evaluate.scm 320 */
																						if (
																							(CAR(BgL_ez00_49) ==
																								BGl_symbol2610z00zz__evaluatez00))
																							{	/* Eval/evaluate.scm 320 */
																								obj_t BgL_arg1482z00_1044;

																								BgL_arg1482z00_1044 =
																									CDR(BgL_ez00_49);
																								{
																									BgL_ev_orz00_bglt
																										BgL_auxz00_4726;
																									BgL_argsz00_888 =
																										BgL_arg1482z00_1044;
																								BgL_tagzd2138zd2_889:
																									{	/* Eval/evaluate.scm 365 */
																										BgL_ev_orz00_bglt
																											BgL_new1113z00_1604;
																										{	/* Eval/evaluate.scm 365 */
																											BgL_ev_orz00_bglt
																												BgL_new1112z00_1605;
																											BgL_new1112z00_1605 =
																												((BgL_ev_orz00_bglt)
																												BREF(GC_MALLOC(sizeof
																														(struct
																															BgL_ev_orz00_bgl))));
																											{	/* Eval/evaluate.scm 365 */
																												long
																													BgL_arg1958z00_1606;
																												{	/* Eval/evaluate.scm 365 */
																													long
																														BgL_res2359z00_2530;
																													{	/* Eval/evaluate.scm 365 */
																														obj_t
																															BgL_classz00_2527;
																														BgL_classz00_2527 =
																															BGl_ev_orz00zz__evaluate_typesz00;
																														{	/* Eval/evaluate.scm 365 */
																															obj_t
																																BgL_vectorz00_2528;
																															int BgL_kz00_2529;

																															BgL_vectorz00_2528
																																=
																																BgL_classz00_2527;
																															BgL_kz00_2529 =
																																(int) (((long)
																																	1));
																															BgL_res2359z00_2530
																																=
																																(long)
																																CINT(VECTOR_REF
																																(BgL_vectorz00_2528,
																																	BgL_kz00_2529));
																													}}
																													BgL_arg1958z00_1606 =
																														BgL_res2359z00_2530;
																												}
																												{	/* Eval/evaluate.scm 365 */
																													BgL_objectz00_bglt
																														BgL_objz00_2531;
																													BgL_objz00_2531 =
																														(
																														(BgL_objectz00_bglt)
																														BgL_new1112z00_1605);
																													BGL_OBJECT_CLASS_NUM_SET
																														(BgL_objz00_2531,
																														BgL_arg1958z00_1606);
																											}}
																											{	/* Eval/evaluate.scm 365 */
																												BgL_objectz00_bglt
																													BgL_auxz00_4733;
																												BgL_auxz00_4733 =
																													((BgL_objectz00_bglt)
																													BgL_new1112z00_1605);
																												BGL_OBJECT_WIDENING_SET
																													(BgL_auxz00_4733,
																													BFALSE);
																											}
																											BgL_new1113z00_1604 =
																												BgL_new1112z00_1605;
																										}
																										((((BgL_ev_listz00_bglt)
																													CREF((
																															(BgL_ev_listz00_bglt)
																															BgL_new1113z00_1604)))->
																												BgL_argsz00) =
																											((obj_t)
																												BGl_loopz00zz__evaluatez00
																												(BgL_wherez00_53,
																													BgL_globalsz00_51,
																													BgL_localsz00_50,
																													BgL_locz00_54,
																													BgL_argsz00_888)),
																											BUNSPEC);
																										BgL_auxz00_4726 =
																											BgL_new1113z00_1604;
																									}
																									return
																										((obj_t) BgL_auxz00_4726);
																								}
																							}
																						else
																							{	/* Eval/evaluate.scm 320 */
																								if (
																									(CAR(BgL_ez00_49) ==
																										BGl_symbol2612z00zz__evaluatez00))
																									{	/* Eval/evaluate.scm 320 */
																										obj_t BgL_arg1484z00_1046;

																										BgL_arg1484z00_1046 =
																											CDR(BgL_ez00_49);
																										{
																											BgL_ev_andz00_bglt
																												BgL_auxz00_4744;
																											BgL_argsz00_890 =
																												BgL_arg1484z00_1046;
																										BgL_tagzd2139zd2_891:
																											{	/* Eval/evaluate.scm 368 */
																												BgL_ev_andz00_bglt
																													BgL_new1115z00_1607;
																												{	/* Eval/evaluate.scm 368 */
																													BgL_ev_andz00_bglt
																														BgL_new1114z00_1608;
																													BgL_new1114z00_1608 =
																														(
																														(BgL_ev_andz00_bglt)
																														BREF(GC_MALLOC
																															(sizeof(struct
																																	BgL_ev_andz00_bgl))));
																													{	/* Eval/evaluate.scm 368 */
																														long
																															BgL_arg1959z00_1609;
																														{	/* Eval/evaluate.scm 368 */
																															long
																																BgL_res2360z00_2536;
																															{	/* Eval/evaluate.scm 368 */
																																obj_t
																																	BgL_classz00_2533;
																																BgL_classz00_2533
																																	=
																																	BGl_ev_andz00zz__evaluate_typesz00;
																																{	/* Eval/evaluate.scm 368 */
																																	obj_t
																																		BgL_vectorz00_2534;
																																	int
																																		BgL_kz00_2535;
																																	BgL_vectorz00_2534
																																		=
																																		BgL_classz00_2533;
																																	BgL_kz00_2535
																																		=
																																		(int) ((
																																			(long)
																																			1));
																																	BgL_res2360z00_2536
																																		=
																																		(long)
																																		CINT
																																		(VECTOR_REF
																																		(BgL_vectorz00_2534,
																																			BgL_kz00_2535));
																															}}
																															BgL_arg1959z00_1609
																																=
																																BgL_res2360z00_2536;
																														}
																														{	/* Eval/evaluate.scm 368 */
																															BgL_objectz00_bglt
																																BgL_objz00_2537;
																															BgL_objz00_2537 =
																																(
																																(BgL_objectz00_bglt)
																																BgL_new1114z00_1608);
																															BGL_OBJECT_CLASS_NUM_SET
																																(BgL_objz00_2537,
																																BgL_arg1959z00_1609);
																													}}
																													{	/* Eval/evaluate.scm 368 */
																														BgL_objectz00_bglt
																															BgL_auxz00_4751;
																														BgL_auxz00_4751 =
																															(
																															(BgL_objectz00_bglt)
																															BgL_new1114z00_1608);
																														BGL_OBJECT_WIDENING_SET
																															(BgL_auxz00_4751,
																															BFALSE);
																													}
																													BgL_new1115z00_1607 =
																														BgL_new1114z00_1608;
																												}
																												((((BgL_ev_listz00_bglt)
																															CREF((
																																	(BgL_ev_listz00_bglt)
																																	BgL_new1115z00_1607)))->
																														BgL_argsz00) =
																													((obj_t)
																														BGl_loopz00zz__evaluatez00
																														(BgL_wherez00_53,
																															BgL_globalsz00_51,
																															BgL_localsz00_50,
																															BgL_locz00_54,
																															BgL_argsz00_890)),
																													BUNSPEC);
																												BgL_auxz00_4744 =
																													BgL_new1115z00_1607;
																											}
																											return
																												((obj_t)
																												BgL_auxz00_4744);
																										}
																									}
																								else
																									{	/* Eval/evaluate.scm 320 */
																										if (
																											(CAR(BgL_ez00_49) ==
																												BGl_symbol2614z00zz__evaluatez00))
																											{	/* Eval/evaluate.scm 320 */
																												return
																													BGl_convzd2beginzd2zz__evaluatez00
																													(CDR(BgL_ez00_49),
																													BgL_localsz00_50,
																													BgL_globalsz00_51,
																													BgL_tailzf3zf3_52,
																													BgL_wherez00_53,
																													BgL_locz00_54,
																													BgL_topzf3zf3_55);
																											}
																										else
																											{	/* Eval/evaluate.scm 320 */
																												obj_t
																													BgL_cdrzd25008zd2_1049;
																												BgL_cdrzd25008zd2_1049 =
																													CDR(BgL_ez00_49);
																												if ((CAR(BgL_ez00_49) ==
																														BGl_symbol2616z00zz__evaluatez00))
																													{	/* Eval/evaluate.scm 320 */
																														if (PAIRP
																															(BgL_cdrzd25008zd2_1049))
																															{	/* Eval/evaluate.scm 320 */
																																obj_t
																																	BgL_arg1489z00_1052;
																																obj_t
																																	BgL_arg1491z00_1053;
																																BgL_arg1489z00_1052
																																	=
																																	CAR
																																	(BgL_cdrzd25008zd2_1049);
																																BgL_arg1491z00_1053
																																	=
																																	CDR
																																	(BgL_cdrzd25008zd2_1049);
																																{
																																	BgL_ev_letz00_bglt
																																		BgL_auxz00_4771;
																																	BgL_bindsz00_894
																																		=
																																		BgL_arg1489z00_1052;
																																	BgL_bodyz00_895
																																		=
																																		BgL_arg1491z00_1053;
																																BgL_tagzd2141zd2_896:
																																	{	/* Eval/evaluate.scm 373 */
																																		obj_t
																																			BgL_varsz00_1610;
																																		if (NULLP
																																			(BgL_bindsz00_894))
																																			{	/* Eval/evaluate.scm 373 */
																																				BgL_varsz00_1610
																																					=
																																					BNIL;
																																			}
																																		else
																																			{	/* Eval/evaluate.scm 373 */
																																				obj_t
																																					BgL_head1188z00_1631;
																																				{	/* Eval/evaluate.scm 373 */
																																					obj_t
																																						BgL_res2362z00_2543;
																																					BgL_res2362z00_2543
																																						=
																																						MAKE_PAIR
																																						(BNIL,
																																						BNIL);
																																					BgL_head1188z00_1631
																																						=
																																						BgL_res2362z00_2543;
																																				}
																																				{
																																					obj_t
																																						BgL_l1186z00_1633;
																																					obj_t
																																						BgL_tail1189z00_1634;
																																					BgL_l1186z00_1633
																																						=
																																						BgL_bindsz00_894;
																																					BgL_tail1189z00_1634
																																						=
																																						BgL_head1188z00_1631;
																																				BgL_zc3anonymousza31969ze3z83_1635:
																																					if (NULLP(BgL_l1186z00_1633))
																																						{	/* Eval/evaluate.scm 373 */
																																							BgL_varsz00_1610
																																								=
																																								CDR
																																								(BgL_head1188z00_1631);
																																						}
																																					else
																																						{	/* Eval/evaluate.scm 373 */
																																							obj_t
																																								BgL_newtail1190z00_1637;
																																							{	/* Eval/evaluate.scm 373 */
																																								BgL_ev_varz00_bglt
																																									BgL_arg1972z00_1639;
																																								{	/* Eval/evaluate.scm 373 */
																																									obj_t
																																										BgL_bz00_1640;
																																									BgL_bz00_1640
																																										=
																																										CAR
																																										(BgL_l1186z00_1633);
																																									{	/* Eval/evaluate.scm 374 */
																																										obj_t
																																											BgL_iz00_1641;
																																										BgL_iz00_1641
																																											=
																																											BGl_untypezd2identzd2zz__evaluatez00
																																											(CAR
																																											(BgL_bz00_1640));
																																										{	/* Eval/evaluate.scm 375 */
																																											BgL_ev_varz00_bglt
																																												BgL_new1117z00_1642;
																																											{	/* Eval/evaluate.scm 375 */
																																												BgL_ev_varz00_bglt
																																													BgL_new1116z00_1643;
																																												BgL_new1116z00_1643
																																													=
																																													(
																																													(BgL_ev_varz00_bglt)
																																													BREF
																																													(GC_MALLOC
																																														(sizeof
																																															(struct
																																																BgL_ev_varz00_bgl))));
																																												{	/* Eval/evaluate.scm 375 */
																																													long
																																														BgL_arg1973z00_1644;
																																													{	/* Eval/evaluate.scm 375 */
																																														long
																																															BgL_res2364z00_2552;
																																														{	/* Eval/evaluate.scm 375 */
																																															obj_t
																																																BgL_classz00_2549;
																																															BgL_classz00_2549
																																																=
																																																BGl_ev_varz00zz__evaluate_typesz00;
																																															{	/* Eval/evaluate.scm 375 */
																																																obj_t
																																																	BgL_vectorz00_2550;
																																																int
																																																	BgL_kz00_2551;
																																																BgL_vectorz00_2550
																																																	=
																																																	BgL_classz00_2549;
																																																BgL_kz00_2551
																																																	=
																																																	(int)
																																																	(
																																																	((long) 1));
																																																BgL_res2364z00_2552
																																																	=
																																																	(long)
																																																	CINT
																																																	(VECTOR_REF
																																																	(BgL_vectorz00_2550,
																																																		BgL_kz00_2551));
																																														}}
																																														BgL_arg1973z00_1644
																																															=
																																															BgL_res2364z00_2552;
																																													}
																																													{	/* Eval/evaluate.scm 375 */
																																														BgL_objectz00_bglt
																																															BgL_objz00_2553;
																																														BgL_objz00_2553
																																															=
																																															(
																																															(BgL_objectz00_bglt)
																																															BgL_new1116z00_1643);
																																														BGL_OBJECT_CLASS_NUM_SET
																																															(BgL_objz00_2553,
																																															BgL_arg1973z00_1644);
																																												}}
																																												{	/* Eval/evaluate.scm 375 */
																																													BgL_objectz00_bglt
																																														BgL_auxz00_4787;
																																													BgL_auxz00_4787
																																														=
																																														(
																																														(BgL_objectz00_bglt)
																																														BgL_new1116z00_1643);
																																													BGL_OBJECT_WIDENING_SET
																																														(BgL_auxz00_4787,
																																														BFALSE);
																																												}
																																												BgL_new1117z00_1642
																																													=
																																													BgL_new1116z00_1643;
																																											}
																																											((((BgL_ev_varz00_bglt) CREF(BgL_new1117z00_1642))->BgL_namez00) = ((obj_t) CAR(BgL_iz00_1641)), BUNSPEC);
																																											((((BgL_ev_varz00_bglt) CREF(BgL_new1117z00_1642))->BgL_effz00) = ((obj_t) BFALSE), BUNSPEC);
																																											((((BgL_ev_varz00_bglt) CREF(BgL_new1117z00_1642))->BgL_typez00) = ((obj_t) CDR(BgL_iz00_1641)), BUNSPEC);
																																											BgL_arg1972z00_1639
																																												=
																																												BgL_new1117z00_1642;
																																								}}}
																																								{	/* Eval/evaluate.scm 373 */
																																									obj_t
																																										BgL_res2365z00_2559;
																																									{	/* Eval/evaluate.scm 373 */
																																										obj_t
																																											BgL_obj1z00_2557;
																																										BgL_obj1z00_2557
																																											=
																																											(
																																											(obj_t)
																																											BgL_arg1972z00_1639);
																																										BgL_res2365z00_2559
																																											=
																																											MAKE_PAIR
																																											(BgL_obj1z00_2557,
																																											BNIL);
																																									}
																																									BgL_newtail1190z00_1637
																																										=
																																										BgL_res2365z00_2559;
																																							}}
																																							SET_CDR
																																								(BgL_tail1189z00_1634,
																																								BgL_newtail1190z00_1637);
																																							{
																																								obj_t
																																									BgL_tail1189z00_4800;
																																								obj_t
																																									BgL_l1186z00_4798;
																																								BgL_l1186z00_4798
																																									=
																																									CDR
																																									(BgL_l1186z00_1633);
																																								BgL_tail1189z00_4800
																																									=
																																									BgL_newtail1190z00_1637;
																																								BgL_tail1189z00_1634
																																									=
																																									BgL_tail1189z00_4800;
																																								BgL_l1186z00_1633
																																									=
																																									BgL_l1186z00_4798;
																																								goto
																																									BgL_zc3anonymousza31969ze3z83_1635;
																																							}
																																						}
																																				}
																																			}
																																		{	/* Eval/evaluate.scm 379 */
																																			BgL_ev_letz00_bglt
																																				BgL_new1120z00_1611;
																																			{	/* Eval/evaluate.scm 379 */
																																				BgL_ev_letz00_bglt
																																					BgL_new1119z00_1627;
																																				BgL_new1119z00_1627
																																					=
																																					(
																																					(BgL_ev_letz00_bglt)
																																					BREF
																																					(GC_MALLOC
																																						(sizeof
																																							(struct
																																								BgL_ev_letz00_bgl))));
																																				{	/* Eval/evaluate.scm 379 */
																																					long
																																						BgL_arg1967z00_1628;
																																					{	/* Eval/evaluate.scm 379 */
																																						long
																																							BgL_res2366z00_2566;
																																						{	/* Eval/evaluate.scm 379 */
																																							obj_t
																																								BgL_classz00_2563;
																																							BgL_classz00_2563
																																								=
																																								BGl_ev_letz00zz__evaluate_typesz00;
																																							{	/* Eval/evaluate.scm 379 */
																																								obj_t
																																									BgL_vectorz00_2564;
																																								int
																																									BgL_kz00_2565;
																																								BgL_vectorz00_2564
																																									=
																																									BgL_classz00_2563;
																																								BgL_kz00_2565
																																									=
																																									(int)
																																									(
																																									((long) 1));
																																								BgL_res2366z00_2566
																																									=
																																									(long)
																																									CINT
																																									(VECTOR_REF
																																									(BgL_vectorz00_2564,
																																										BgL_kz00_2565));
																																						}}
																																						BgL_arg1967z00_1628
																																							=
																																							BgL_res2366z00_2566;
																																					}
																																					{	/* Eval/evaluate.scm 379 */
																																						BgL_objectz00_bglt
																																							BgL_objz00_2567;
																																						BgL_objz00_2567
																																							=
																																							(
																																							(BgL_objectz00_bglt)
																																							BgL_new1119z00_1627);
																																						BGL_OBJECT_CLASS_NUM_SET
																																							(BgL_objz00_2567,
																																							BgL_arg1967z00_1628);
																																				}}
																																				{	/* Eval/evaluate.scm 379 */
																																					BgL_objectz00_bglt
																																						BgL_auxz00_4807;
																																					BgL_auxz00_4807
																																						=
																																						(
																																						(BgL_objectz00_bglt)
																																						BgL_new1119z00_1627);
																																					BGL_OBJECT_WIDENING_SET
																																						(BgL_auxz00_4807,
																																						BFALSE);
																																				}
																																				BgL_new1120z00_1611
																																					=
																																					BgL_new1119z00_1627;
																																			}
																																			((((BgL_ev_binderz00_bglt) CREF(((BgL_ev_binderz00_bglt) BgL_new1120z00_1611)))->BgL_varsz00) = ((obj_t) BgL_varsz00_1610), BUNSPEC);
																																			{
																																				obj_t
																																					BgL_auxz00_4812;
																																				if (NULLP(BgL_bindsz00_894))
																																					{	/* Eval/evaluate.scm 381 */
																																						BgL_auxz00_4812
																																							=
																																							BNIL;
																																					}
																																				else
																																					{	/* Eval/evaluate.scm 381 */
																																						obj_t
																																							BgL_head1193z00_1614;
																																						{	/* Eval/evaluate.scm 381 */
																																							obj_t
																																								BgL_res2368z00_2573;
																																							BgL_res2368z00_2573
																																								=
																																								MAKE_PAIR
																																								(BNIL,
																																								BNIL);
																																							BgL_head1193z00_1614
																																								=
																																								BgL_res2368z00_2573;
																																						}
																																						{
																																							obj_t
																																								BgL_l1191z00_2626;
																																							obj_t
																																								BgL_tail1194z00_2627;
																																							BgL_l1191z00_2626
																																								=
																																								BgL_bindsz00_894;
																																							BgL_tail1194z00_2627
																																								=
																																								BgL_head1193z00_1614;
																																						BgL_zc3anonymousza31961ze3z83_2625:
																																							if (NULLP(BgL_l1191z00_2626))
																																								{	/* Eval/evaluate.scm 381 */
																																									BgL_auxz00_4812
																																										=
																																										CDR
																																										(BgL_head1193z00_1614);
																																								}
																																							else
																																								{	/* Eval/evaluate.scm 381 */
																																									obj_t
																																										BgL_newtail1195z00_2635;
																																									{	/* Eval/evaluate.scm 381 */
																																										obj_t
																																											BgL_arg1964z00_2636;
																																										{	/* Eval/evaluate.scm 381 */
																																											obj_t
																																												BgL_bz00_2637;
																																											{	/* Eval/evaluate.scm 381 */
																																												obj_t
																																													BgL_pairz00_2643;
																																												BgL_pairz00_2643
																																													=
																																													BgL_l1191z00_2626;
																																												BgL_bz00_2637
																																													=
																																													CAR
																																													(BgL_pairz00_2643);
																																											}
																																											{	/* Eval/evaluate.scm 381 */
																																												obj_t
																																													BgL_arg1965z00_2638;
																																												{	/* Eval/evaluate.scm 381 */
																																													obj_t
																																														BgL_pairz00_2644;
																																													BgL_pairz00_2644
																																														=
																																														BgL_bz00_2637;
																																													{	/* Eval/evaluate.scm 381 */
																																														obj_t
																																															BgL_pairz00_2647;
																																														BgL_pairz00_2647
																																															=
																																															CDR
																																															(BgL_pairz00_2644);
																																														BgL_arg1965z00_2638
																																															=
																																															CAR
																																															(BgL_pairz00_2647);
																																													}
																																												}
																																												{	/* Eval/evaluate.scm 381 */
																																													obj_t
																																														BgL_arg2056z00_2649;
																																													BgL_arg2056z00_2649
																																														=
																																														BGl_getzd2locationzd2zz__evaluatez00
																																														(BgL_arg1965z00_2638,
																																														BgL_locz00_54);
																																													BgL_arg1964z00_2636
																																														=
																																														BGl_uconvzf2loczf2zz__evaluatez00
																																														(BgL_wherez00_53,
																																														BgL_globalsz00_51,
																																														BgL_localsz00_50,
																																														BgL_arg1965z00_2638,
																																														BgL_arg2056z00_2649);
																																												}
																																											}
																																										}
																																										{	/* Eval/evaluate.scm 381 */
																																											obj_t
																																												BgL_res2374z00_2652;
																																											BgL_res2374z00_2652
																																												=
																																												MAKE_PAIR
																																												(BgL_arg1964z00_2636,
																																												BNIL);
																																											BgL_newtail1195z00_2635
																																												=
																																												BgL_res2374z00_2652;
																																										}
																																									}
																																									SET_CDR
																																										(BgL_tail1194z00_2627,
																																										BgL_newtail1195z00_2635);
																																									{	/* Eval/evaluate.scm 381 */
																																										obj_t
																																											BgL_arg1963z00_2639;
																																										{	/* Eval/evaluate.scm 381 */
																																											obj_t
																																												BgL_pairz00_2655;
																																											BgL_pairz00_2655
																																												=
																																												BgL_l1191z00_2626;
																																											BgL_arg1963z00_2639
																																												=
																																												CDR
																																												(BgL_pairz00_2655);
																																										}
																																										{
																																											obj_t
																																												BgL_tail1194z00_4829;
																																											obj_t
																																												BgL_l1191z00_4828;
																																											BgL_l1191z00_4828
																																												=
																																												BgL_arg1963z00_2639;
																																											BgL_tail1194z00_4829
																																												=
																																												BgL_newtail1195z00_2635;
																																											BgL_tail1194z00_2627
																																												=
																																												BgL_tail1194z00_4829;
																																											BgL_l1191z00_2626
																																												=
																																												BgL_l1191z00_4828;
																																											goto
																																												BgL_zc3anonymousza31961ze3z83_2625;
																																										}
																																									}
																																								}
																																						}
																																					}
																																				((((BgL_ev_binderz00_bglt) CREF(((BgL_ev_binderz00_bglt) BgL_new1120z00_1611)))->BgL_valsz00) = ((obj_t) BgL_auxz00_4812), BUNSPEC);
																																			}
																																			{
																																				BgL_ev_exprz00_bglt
																																					BgL_auxz00_4831;
																																				{	/* Eval/evaluate.scm 382 */
																																					obj_t
																																						BgL_arg1966z00_1626;
																																					BgL_arg1966z00_1626
																																						=
																																						BGl_appendzd221011zd2zz__evaluatez00
																																						(BgL_varsz00_1610,
																																						BgL_localsz00_50);
																																					BgL_auxz00_4831
																																						=
																																						(
																																						(BgL_ev_exprz00_bglt)
																																						BGl_convzd2beginzd2zz__evaluatez00
																																						(BgL_bodyz00_895,
																																							BgL_arg1966z00_1626,
																																							BgL_globalsz00_51,
																																							BgL_tailzf3zf3_52,
																																							BgL_wherez00_53,
																																							BgL_locz00_54,
																																							((bool_t) 0)));
																																				}
																																				((((BgL_ev_binderz00_bglt) CREF(((BgL_ev_binderz00_bglt) BgL_new1120z00_1611)))->BgL_bodyz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_4831), BUNSPEC);
																																			}
																																			((((BgL_ev_letz00_bglt) CREF(BgL_new1120z00_1611))->BgL_boxesz00) = ((obj_t) BNIL), BUNSPEC);
																																			BgL_auxz00_4771
																																				=
																																				BgL_new1120z00_1611;
																																		}
																																	}
																																	return
																																		((obj_t)
																																		BgL_auxz00_4771);
																																}
																															}
																														else
																															{	/* Eval/evaluate.scm 320 */
																																obj_t
																																	BgL_arg1494z00_1054;
																																BgL_arg1494z00_1054
																																	=
																																	CAR
																																	(BgL_ez00_49);
																																{
																																	BgL_ev_appz00_bglt
																																		BgL_auxz00_4840;
																																	{
																																		obj_t
																																			BgL_argsz00_4842;
																																		obj_t
																																			BgL_fz00_4841;
																																		BgL_fz00_4841
																																			=
																																			BgL_arg1494z00_1054;
																																		BgL_argsz00_4842
																																			=
																																			BgL_cdrzd25008zd2_1049;
																																		BgL_argsz00_934
																																			=
																																			BgL_argsz00_4842;
																																		BgL_fz00_933
																																			=
																																			BgL_fz00_4841;
																																		goto
																																			BgL_tagzd2154zd2_935;
																																	}
																																	return
																																		((obj_t)
																																		BgL_auxz00_4840);
																																}
																															}
																													}
																												else
																													{	/* Eval/evaluate.scm 320 */
																														if (
																															(CAR(BgL_ez00_49)
																																==
																																BGl_symbol2618z00zz__evaluatez00))
																															{	/* Eval/evaluate.scm 320 */
																																if (PAIRP
																																	(BgL_cdrzd25008zd2_1049))
																																	{	/* Eval/evaluate.scm 320 */
																																		obj_t
																																			BgL_arg1498z00_1059;
																																		obj_t
																																			BgL_arg1499z00_1060;
																																		BgL_arg1498z00_1059
																																			=
																																			CAR
																																			(BgL_cdrzd25008zd2_1049);
																																		BgL_arg1499z00_1060
																																			=
																																			CDR
																																			(BgL_cdrzd25008zd2_1049);
																																		{
																																			BgL_ev_letza2za2_bglt
																																				BgL_auxz00_4851;
																																			BgL_bindsz00_897
																																				=
																																				BgL_arg1498z00_1059;
																																			BgL_bodyz00_898
																																				=
																																				BgL_arg1499z00_1060;
																																		BgL_tagzd2142zd2_899:
																																			{	/* Eval/evaluate.scm 390 */
																																				obj_t
																																					BgL_varsz00_1648;
																																				obj_t
																																					BgL_blocz00_1649;
																																				if (NULLP(BgL_bindsz00_897))
																																					{	/* Eval/evaluate.scm 390 */
																																						BgL_varsz00_1648
																																							=
																																							BNIL;
																																					}
																																				else
																																					{	/* Eval/evaluate.scm 390 */
																																						obj_t
																																							BgL_head1198z00_1657;
																																						{	/* Eval/evaluate.scm 390 */
																																							obj_t
																																								BgL_res2378z00_2710;
																																							BgL_res2378z00_2710
																																								=
																																								MAKE_PAIR
																																								(BNIL,
																																								BNIL);
																																							BgL_head1198z00_1657
																																								=
																																								BgL_res2378z00_2710;
																																						}
																																						{
																																							obj_t
																																								BgL_l1196z00_1659;
																																							obj_t
																																								BgL_tail1199z00_1660;
																																							BgL_l1196z00_1659
																																								=
																																								BgL_bindsz00_897;
																																							BgL_tail1199z00_1660
																																								=
																																								BgL_head1198z00_1657;
																																						BgL_zc3anonymousza31979ze3z83_1661:
																																							if (NULLP(BgL_l1196z00_1659))
																																								{	/* Eval/evaluate.scm 390 */
																																									BgL_varsz00_1648
																																										=
																																										CDR
																																										(BgL_head1198z00_1657);
																																								}
																																							else
																																								{	/* Eval/evaluate.scm 390 */
																																									obj_t
																																										BgL_newtail1200z00_1663;
																																									{	/* Eval/evaluate.scm 390 */
																																										BgL_ev_varz00_bglt
																																											BgL_arg1982z00_1665;
																																										{	/* Eval/evaluate.scm 390 */
																																											obj_t
																																												BgL_bz00_1666;
																																											BgL_bz00_1666
																																												=
																																												CAR
																																												(BgL_l1196z00_1659);
																																											{	/* Eval/evaluate.scm 391 */
																																												obj_t
																																													BgL_iz00_1667;
																																												BgL_iz00_1667
																																													=
																																													BGl_untypezd2identzd2zz__evaluatez00
																																													(CAR
																																													(BgL_bz00_1666));
																																												{	/* Eval/evaluate.scm 392 */
																																													BgL_ev_varz00_bglt
																																														BgL_new1123z00_1668;
																																													{	/* Eval/evaluate.scm 392 */
																																														BgL_ev_varz00_bglt
																																															BgL_new1122z00_1669;
																																														BgL_new1122z00_1669
																																															=
																																															(
																																															(BgL_ev_varz00_bglt)
																																															BREF
																																															(GC_MALLOC
																																																(sizeof
																																																	(struct
																																																		BgL_ev_varz00_bgl))));
																																														{	/* Eval/evaluate.scm 392 */
																																															long
																																																BgL_arg1983z00_1670;
																																															{	/* Eval/evaluate.scm 392 */
																																																long
																																																	BgL_res2380z00_2719;
																																																{	/* Eval/evaluate.scm 392 */
																																																	obj_t
																																																		BgL_classz00_2716;
																																																	BgL_classz00_2716
																																																		=
																																																		BGl_ev_varz00zz__evaluate_typesz00;
																																																	{	/* Eval/evaluate.scm 392 */
																																																		obj_t
																																																			BgL_vectorz00_2717;
																																																		int
																																																			BgL_kz00_2718;
																																																		BgL_vectorz00_2717
																																																			=
																																																			BgL_classz00_2716;
																																																		BgL_kz00_2718
																																																			=
																																																			(int)
																																																			(
																																																			((long) 1));
																																																		BgL_res2380z00_2719
																																																			=
																																																			(long)
																																																			CINT
																																																			(VECTOR_REF
																																																			(BgL_vectorz00_2717,
																																																				BgL_kz00_2718));
																																																}}
																																																BgL_arg1983z00_1670
																																																	=
																																																	BgL_res2380z00_2719;
																																															}
																																															{	/* Eval/evaluate.scm 392 */
																																																BgL_objectz00_bglt
																																																	BgL_objz00_2720;
																																																BgL_objz00_2720
																																																	=
																																																	(
																																																	(BgL_objectz00_bglt)
																																																	BgL_new1122z00_1669);
																																																BGL_OBJECT_CLASS_NUM_SET
																																																	(BgL_objz00_2720,
																																																	BgL_arg1983z00_1670);
																																														}}
																																														{	/* Eval/evaluate.scm 392 */
																																															BgL_objectz00_bglt
																																																BgL_auxz00_4867;
																																															BgL_auxz00_4867
																																																=
																																																(
																																																(BgL_objectz00_bglt)
																																																BgL_new1122z00_1669);
																																															BGL_OBJECT_WIDENING_SET
																																																(BgL_auxz00_4867,
																																																BFALSE);
																																														}
																																														BgL_new1123z00_1668
																																															=
																																															BgL_new1122z00_1669;
																																													}
																																													((((BgL_ev_varz00_bglt) CREF(BgL_new1123z00_1668))->BgL_namez00) = ((obj_t) CAR(BgL_iz00_1667)), BUNSPEC);
																																													((((BgL_ev_varz00_bglt) CREF(BgL_new1123z00_1668))->BgL_effz00) = ((obj_t) BFALSE), BUNSPEC);
																																													((((BgL_ev_varz00_bglt) CREF(BgL_new1123z00_1668))->BgL_typez00) = ((obj_t) CDR(BgL_iz00_1667)), BUNSPEC);
																																													BgL_arg1982z00_1665
																																														=
																																														BgL_new1123z00_1668;
																																										}}}
																																										{	/* Eval/evaluate.scm 390 */
																																											obj_t
																																												BgL_res2381z00_2726;
																																											{	/* Eval/evaluate.scm 390 */
																																												obj_t
																																													BgL_obj1z00_2724;
																																												BgL_obj1z00_2724
																																													=
																																													(
																																													(obj_t)
																																													BgL_arg1982z00_1665);
																																												BgL_res2381z00_2726
																																													=
																																													MAKE_PAIR
																																													(BgL_obj1z00_2724,
																																													BNIL);
																																											}
																																											BgL_newtail1200z00_1663
																																												=
																																												BgL_res2381z00_2726;
																																									}}
																																									SET_CDR
																																										(BgL_tail1199z00_1660,
																																										BgL_newtail1200z00_1663);
																																									{
																																										obj_t
																																											BgL_tail1199z00_4880;
																																										obj_t
																																											BgL_l1196z00_4878;
																																										BgL_l1196z00_4878
																																											=
																																											CDR
																																											(BgL_l1196z00_1659);
																																										BgL_tail1199z00_4880
																																											=
																																											BgL_newtail1200z00_1663;
																																										BgL_tail1199z00_1660
																																											=
																																											BgL_tail1199z00_4880;
																																										BgL_l1196z00_1659
																																											=
																																											BgL_l1196z00_4878;
																																										goto
																																											BgL_zc3anonymousza31979ze3z83_1661;
																																									}
																																								}
																																						}
																																					}
																																				{	/* Eval/evaluate.scm 396 */
																																					obj_t
																																						BgL__ortest_1066z00_2732;
																																					BgL__ortest_1066z00_2732
																																						=
																																						BGl_getzd2sourcezd2locationz00zz__readerz00
																																						(BgL_bindsz00_897);
																																					if (CBOOL(BgL__ortest_1066z00_2732))
																																						{	/* Eval/evaluate.scm 396 */
																																							BgL_blocz00_1649
																																								=
																																								BgL__ortest_1066z00_2732;
																																						}
																																					else
																																						{	/* Eval/evaluate.scm 396 */
																																							BgL_blocz00_1649
																																								=
																																								BgL_locz00_54;
																																						}
																																				}
																																				{	/* Eval/evaluate.scm 397 */
																																					BgL_ev_letza2za2_bglt
																																						BgL_new1125z00_1650;
																																					{	/* Eval/evaluate.scm 397 */
																																						BgL_ev_letza2za2_bglt
																																							BgL_new1124z00_1653;
																																						BgL_new1124z00_1653
																																							=
																																							(
																																							(BgL_ev_letza2za2_bglt)
																																							BREF
																																							(GC_MALLOC
																																								(sizeof
																																									(struct
																																										BgL_ev_letza2za2_bgl))));
																																						{	/* Eval/evaluate.scm 397 */
																																							long
																																								BgL_arg1977z00_1654;
																																							{	/* Eval/evaluate.scm 397 */
																																								long
																																									BgL_res2382z00_2736;
																																								{	/* Eval/evaluate.scm 397 */
																																									obj_t
																																										BgL_classz00_2733;
																																									BgL_classz00_2733
																																										=
																																										BGl_ev_letza2za2zz__evaluate_typesz00;
																																									{	/* Eval/evaluate.scm 397 */
																																										obj_t
																																											BgL_vectorz00_2734;
																																										int
																																											BgL_kz00_2735;
																																										BgL_vectorz00_2734
																																											=
																																											BgL_classz00_2733;
																																										BgL_kz00_2735
																																											=
																																											(int)
																																											(
																																											((long) 1));
																																										BgL_res2382z00_2736
																																											=
																																											(long)
																																											CINT
																																											(VECTOR_REF
																																											(BgL_vectorz00_2734,
																																												BgL_kz00_2735));
																																								}}
																																								BgL_arg1977z00_1654
																																									=
																																									BgL_res2382z00_2736;
																																							}
																																							{	/* Eval/evaluate.scm 397 */
																																								BgL_objectz00_bglt
																																									BgL_objz00_2737;
																																								BgL_objz00_2737
																																									=
																																									(
																																									(BgL_objectz00_bglt)
																																									BgL_new1124z00_1653);
																																								BGL_OBJECT_CLASS_NUM_SET
																																									(BgL_objz00_2737,
																																									BgL_arg1977z00_1654);
																																						}}
																																						{	/* Eval/evaluate.scm 397 */
																																							BgL_objectz00_bglt
																																								BgL_auxz00_4890;
																																							BgL_auxz00_4890
																																								=
																																								(
																																								(BgL_objectz00_bglt)
																																								BgL_new1124z00_1653);
																																							BGL_OBJECT_WIDENING_SET
																																								(BgL_auxz00_4890,
																																								BFALSE);
																																						}
																																						BgL_new1125z00_1650
																																							=
																																							BgL_new1124z00_1653;
																																					}
																																					((((BgL_ev_binderz00_bglt) CREF(((BgL_ev_binderz00_bglt) BgL_new1125z00_1650)))->BgL_varsz00) = ((obj_t) BgL_varsz00_1648), BUNSPEC);
																																					((((BgL_ev_binderz00_bglt) CREF(((BgL_ev_binderz00_bglt) BgL_new1125z00_1650)))->BgL_valsz00) = ((obj_t) BGl_convzd2valszd2zz__evaluatez00(BgL_wherez00_53, BgL_globalsz00_51, BgL_bindsz00_897, BgL_varsz00_1648, BgL_localsz00_50, BgL_blocz00_1649)), BUNSPEC);
																																					{
																																						BgL_ev_exprz00_bglt
																																							BgL_auxz00_4898;
																																						{	/* Eval/evaluate.scm 400 */
																																							obj_t
																																								BgL_arg1975z00_1651;
																																							{	/* Eval/evaluate.scm 400 */
																																								obj_t
																																									BgL_arg1976z00_1652;
																																								BgL_arg1976z00_1652
																																									=
																																									bgl_reverse
																																									(BgL_varsz00_1648);
																																								BgL_arg1975z00_1651
																																									=
																																									BGl_appendzd221011zd2zz__evaluatez00
																																									(BgL_arg1976z00_1652,
																																									BgL_localsz00_50);
																																							}
																																							BgL_auxz00_4898
																																								=
																																								(
																																								(BgL_ev_exprz00_bglt)
																																								BGl_convzd2beginzd2zz__evaluatez00
																																								(BgL_bodyz00_898,
																																									BgL_arg1975z00_1651,
																																									BgL_globalsz00_51,
																																									BgL_tailzf3zf3_52,
																																									BgL_wherez00_53,
																																									BgL_locz00_54,
																																									((bool_t) 0)));
																																						}
																																						((((BgL_ev_binderz00_bglt) CREF(((BgL_ev_binderz00_bglt) BgL_new1125z00_1650)))->BgL_bodyz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_4898), BUNSPEC);
																																					}
																																					((((BgL_ev_letza2za2_bglt) CREF(BgL_new1125z00_1650))->BgL_boxesz00) = ((obj_t) BNIL), BUNSPEC);
																																					BgL_auxz00_4851
																																						=
																																						BgL_new1125z00_1650;
																																			}}
																																			return
																																				((obj_t)
																																				BgL_auxz00_4851);
																																		}
																																	}
																																else
																																	{	/* Eval/evaluate.scm 320 */
																																		obj_t
																																			BgL_arg1500z00_1061;
																																		obj_t
																																			BgL_arg1501z00_1062;
																																		BgL_arg1500z00_1061
																																			=
																																			CAR
																																			(BgL_ez00_49);
																																		BgL_arg1501z00_1062
																																			=
																																			CDR
																																			(BgL_ez00_49);
																																		{
																																			BgL_ev_appz00_bglt
																																				BgL_auxz00_4909;
																																			{
																																				obj_t
																																					BgL_argsz00_4911;
																																				obj_t
																																					BgL_fz00_4910;
																																				BgL_fz00_4910
																																					=
																																					BgL_arg1500z00_1061;
																																				BgL_argsz00_4911
																																					=
																																					BgL_arg1501z00_1062;
																																				BgL_argsz00_934
																																					=
																																					BgL_argsz00_4911;
																																				BgL_fz00_933
																																					=
																																					BgL_fz00_4910;
																																				goto
																																					BgL_tagzd2154zd2_935;
																																			}
																																			return
																																				((obj_t)
																																				BgL_auxz00_4909);
																																		}
																																	}
																															}
																														else
																															{	/* Eval/evaluate.scm 320 */
																																obj_t
																																	BgL_cdrzd25324zd2_1063;
																																BgL_cdrzd25324zd2_1063
																																	=
																																	CDR
																																	(BgL_ez00_49);
																																if ((CAR
																																		(BgL_ez00_49)
																																		==
																																		BGl_symbol2620z00zz__evaluatez00))
																																	{	/* Eval/evaluate.scm 320 */
																																		if (PAIRP
																																			(BgL_cdrzd25324zd2_1063))
																																			{	/* Eval/evaluate.scm 320 */
																																				obj_t
																																					BgL_arg1504z00_1066;
																																				obj_t
																																					BgL_arg1505z00_1067;
																																				BgL_arg1504z00_1066
																																					=
																																					CAR
																																					(BgL_cdrzd25324zd2_1063);
																																				BgL_arg1505z00_1067
																																					=
																																					CDR
																																					(BgL_cdrzd25324zd2_1063);
																																				{
																																					BgL_ev_letrecz00_bglt
																																						BgL_auxz00_4921;
																																					BgL_bindsz00_900
																																						=
																																						BgL_arg1504z00_1066;
																																					BgL_bodyz00_901
																																						=
																																						BgL_arg1505z00_1067;
																																				BgL_tagzd2143zd2_902:
																																					{	/* Eval/evaluate.scm 402 */
																																						obj_t
																																							BgL_varsz00_1688;
																																						if (NULLP(BgL_bindsz00_900))
																																							{	/* Eval/evaluate.scm 402 */
																																								BgL_varsz00_1688
																																									=
																																									BNIL;
																																							}
																																						else
																																							{	/* Eval/evaluate.scm 402 */
																																								obj_t
																																									BgL_head1203z00_1716;
																																								{	/* Eval/evaluate.scm 402 */
																																									obj_t
																																										BgL_res2385z00_2780;
																																									BgL_res2385z00_2780
																																										=
																																										MAKE_PAIR
																																										(BNIL,
																																										BNIL);
																																									BgL_head1203z00_1716
																																										=
																																										BgL_res2385z00_2780;
																																								}
																																								{
																																									obj_t
																																										BgL_l1201z00_1718;
																																									obj_t
																																										BgL_tail1204z00_1719;
																																									BgL_l1201z00_1718
																																										=
																																										BgL_bindsz00_900;
																																									BgL_tail1204z00_1719
																																										=
																																										BgL_head1203z00_1716;
																																								BgL_zc3anonymousza32009ze3z83_1720:
																																									if (NULLP(BgL_l1201z00_1718))
																																										{	/* Eval/evaluate.scm 402 */
																																											BgL_varsz00_1688
																																												=
																																												CDR
																																												(BgL_head1203z00_1716);
																																										}
																																									else
																																										{	/* Eval/evaluate.scm 402 */
																																											obj_t
																																												BgL_newtail1205z00_1722;
																																											{	/* Eval/evaluate.scm 402 */
																																												BgL_ev_varz00_bglt
																																													BgL_arg2012z00_1724;
																																												{	/* Eval/evaluate.scm 402 */
																																													obj_t
																																														BgL_bz00_1725;
																																													BgL_bz00_1725
																																														=
																																														CAR
																																														(BgL_l1201z00_1718);
																																													{	/* Eval/evaluate.scm 403 */
																																														obj_t
																																															BgL_iz00_1726;
																																														BgL_iz00_1726
																																															=
																																															BGl_untypezd2identzd2zz__evaluatez00
																																															(CAR
																																															(BgL_bz00_1725));
																																														{	/* Eval/evaluate.scm 404 */
																																															BgL_ev_varz00_bglt
																																																BgL_new1127z00_1727;
																																															{	/* Eval/evaluate.scm 404 */
																																																BgL_ev_varz00_bglt
																																																	BgL_new1126z00_1728;
																																																BgL_new1126z00_1728
																																																	=
																																																	(
																																																	(BgL_ev_varz00_bglt)
																																																	BREF
																																																	(GC_MALLOC
																																																		(sizeof
																																																			(struct
																																																				BgL_ev_varz00_bgl))));
																																																{	/* Eval/evaluate.scm 404 */
																																																	long
																																																		BgL_arg2014z00_1729;
																																																	{	/* Eval/evaluate.scm 404 */
																																																		long
																																																			BgL_res2387z00_2789;
																																																		{	/* Eval/evaluate.scm 404 */
																																																			obj_t
																																																				BgL_classz00_2786;
																																																			BgL_classz00_2786
																																																				=
																																																				BGl_ev_varz00zz__evaluate_typesz00;
																																																			{	/* Eval/evaluate.scm 404 */
																																																				obj_t
																																																					BgL_vectorz00_2787;
																																																				int
																																																					BgL_kz00_2788;
																																																				BgL_vectorz00_2787
																																																					=
																																																					BgL_classz00_2786;
																																																				BgL_kz00_2788
																																																					=
																																																					(int)
																																																					(
																																																					((long) 1));
																																																				BgL_res2387z00_2789
																																																					=
																																																					(long)
																																																					CINT
																																																					(VECTOR_REF
																																																					(BgL_vectorz00_2787,
																																																						BgL_kz00_2788));
																																																		}}
																																																		BgL_arg2014z00_1729
																																																			=
																																																			BgL_res2387z00_2789;
																																																	}
																																																	{	/* Eval/evaluate.scm 404 */
																																																		BgL_objectz00_bglt
																																																			BgL_objz00_2790;
																																																		BgL_objz00_2790
																																																			=
																																																			(
																																																			(BgL_objectz00_bglt)
																																																			BgL_new1126z00_1728);
																																																		BGL_OBJECT_CLASS_NUM_SET
																																																			(BgL_objz00_2790,
																																																			BgL_arg2014z00_1729);
																																																}}
																																																{	/* Eval/evaluate.scm 404 */
																																																	BgL_objectz00_bglt
																																																		BgL_auxz00_4937;
																																																	BgL_auxz00_4937
																																																		=
																																																		(
																																																		(BgL_objectz00_bglt)
																																																		BgL_new1126z00_1728);
																																																	BGL_OBJECT_WIDENING_SET
																																																		(BgL_auxz00_4937,
																																																		BFALSE);
																																																}
																																																BgL_new1127z00_1727
																																																	=
																																																	BgL_new1126z00_1728;
																																															}
																																															((((BgL_ev_varz00_bglt) CREF(BgL_new1127z00_1727))->BgL_namez00) = ((obj_t) CAR(BgL_iz00_1726)), BUNSPEC);
																																															((((BgL_ev_varz00_bglt) CREF(BgL_new1127z00_1727))->BgL_effz00) = ((obj_t) BFALSE), BUNSPEC);
																																															((((BgL_ev_varz00_bglt) CREF(BgL_new1127z00_1727))->BgL_typez00) = ((obj_t) CDR(BgL_iz00_1726)), BUNSPEC);
																																															BgL_arg2012z00_1724
																																																=
																																																BgL_new1127z00_1727;
																																												}}}
																																												{	/* Eval/evaluate.scm 402 */
																																													obj_t
																																														BgL_res2388z00_2796;
																																													{	/* Eval/evaluate.scm 402 */
																																														obj_t
																																															BgL_obj1z00_2794;
																																														BgL_obj1z00_2794
																																															=
																																															(
																																															(obj_t)
																																															BgL_arg2012z00_1724);
																																														BgL_res2388z00_2796
																																															=
																																															MAKE_PAIR
																																															(BgL_obj1z00_2794,
																																															BNIL);
																																													}
																																													BgL_newtail1205z00_1722
																																														=
																																														BgL_res2388z00_2796;
																																											}}
																																											SET_CDR
																																												(BgL_tail1204z00_1719,
																																												BgL_newtail1205z00_1722);
																																											{
																																												obj_t
																																													BgL_tail1204z00_4950;
																																												obj_t
																																													BgL_l1201z00_4948;
																																												BgL_l1201z00_4948
																																													=
																																													CDR
																																													(BgL_l1201z00_1718);
																																												BgL_tail1204z00_4950
																																													=
																																													BgL_newtail1205z00_1722;
																																												BgL_tail1204z00_1719
																																													=
																																													BgL_tail1204z00_4950;
																																												BgL_l1201z00_1718
																																													=
																																													BgL_l1201z00_4948;
																																												goto
																																													BgL_zc3anonymousza32009ze3z83_1720;
																																											}
																																										}
																																								}
																																							}
																																						{	/* Eval/evaluate.scm 402 */
																																							obj_t
																																								BgL_localsz00_1689;
																																							BgL_localsz00_1689
																																								=
																																								BGl_appendzd221011zd2zz__evaluatez00
																																								(BgL_varsz00_1688,
																																								BgL_localsz00_50);
																																							{	/* Eval/evaluate.scm 408 */
																																								obj_t
																																									BgL_blocz00_1690;
																																								{	/* Eval/evaluate.scm 409 */
																																									obj_t
																																										BgL__ortest_1066z00_2802;
																																									BgL__ortest_1066z00_2802
																																										=
																																										BGl_getzd2sourcezd2locationz00zz__readerz00
																																										(BgL_bindsz00_900);
																																									if (CBOOL(BgL__ortest_1066z00_2802))
																																										{	/* Eval/evaluate.scm 409 */
																																											BgL_blocz00_1690
																																												=
																																												BgL__ortest_1066z00_2802;
																																										}
																																									else
																																										{	/* Eval/evaluate.scm 409 */
																																											BgL_blocz00_1690
																																												=
																																												BgL_locz00_54;
																																										}
																																								}
																																								{	/* Eval/evaluate.scm 409 */

																																									{	/* Eval/evaluate.scm 410 */
																																										BgL_ev_letrecz00_bglt
																																											BgL_new1129z00_1691;
																																										{	/* Eval/evaluate.scm 410 */
																																											BgL_ev_letrecz00_bglt
																																												BgL_new1128z00_1712;
																																											BgL_new1128z00_1712
																																												=
																																												(
																																												(BgL_ev_letrecz00_bglt)
																																												BREF
																																												(GC_MALLOC
																																													(sizeof
																																														(struct
																																															BgL_ev_letrecz00_bgl))));
																																											{	/* Eval/evaluate.scm 410 */
																																												long
																																													BgL_arg2007z00_1713;
																																												{	/* Eval/evaluate.scm 410 */
																																													long
																																														BgL_res2389z00_2806;
																																													{	/* Eval/evaluate.scm 410 */
																																														obj_t
																																															BgL_classz00_2803;
																																														BgL_classz00_2803
																																															=
																																															BGl_ev_letrecz00zz__evaluate_typesz00;
																																														{	/* Eval/evaluate.scm 410 */
																																															obj_t
																																																BgL_vectorz00_2804;
																																															int
																																																BgL_kz00_2805;
																																															BgL_vectorz00_2804
																																																=
																																																BgL_classz00_2803;
																																															BgL_kz00_2805
																																																=
																																																(int)
																																																(
																																																((long) 1));
																																															BgL_res2389z00_2806
																																																=
																																																(long)
																																																CINT
																																																(VECTOR_REF
																																																(BgL_vectorz00_2804,
																																																	BgL_kz00_2805));
																																													}}
																																													BgL_arg2007z00_1713
																																														=
																																														BgL_res2389z00_2806;
																																												}
																																												{	/* Eval/evaluate.scm 410 */
																																													BgL_objectz00_bglt
																																														BgL_objz00_2807;
																																													BgL_objz00_2807
																																														=
																																														(
																																														(BgL_objectz00_bglt)
																																														BgL_new1128z00_1712);
																																													BGL_OBJECT_CLASS_NUM_SET
																																														(BgL_objz00_2807,
																																														BgL_arg2007z00_1713);
																																											}}
																																											{	/* Eval/evaluate.scm 410 */
																																												BgL_objectz00_bglt
																																													BgL_auxz00_4961;
																																												BgL_auxz00_4961
																																													=
																																													(
																																													(BgL_objectz00_bglt)
																																													BgL_new1128z00_1712);
																																												BGL_OBJECT_WIDENING_SET
																																													(BgL_auxz00_4961,
																																													BFALSE);
																																											}
																																											BgL_new1129z00_1691
																																												=
																																												BgL_new1128z00_1712;
																																										}
																																										((((BgL_ev_binderz00_bglt) CREF(((BgL_ev_binderz00_bglt) BgL_new1129z00_1691)))->BgL_varsz00) = ((obj_t) BgL_varsz00_1688), BUNSPEC);
																																										{
																																											obj_t
																																												BgL_auxz00_4966;
																																											if (NULLP(BgL_bindsz00_900))
																																												{	/* Eval/evaluate.scm 412 */
																																													BgL_auxz00_4966
																																														=
																																														BNIL;
																																												}
																																											else
																																												{	/* Eval/evaluate.scm 412 */
																																													obj_t
																																														BgL_head1208z00_1694;
																																													{	/* Eval/evaluate.scm 412 */
																																														obj_t
																																															BgL_res2391z00_2813;
																																														BgL_res2391z00_2813
																																															=
																																															MAKE_PAIR
																																															(BNIL,
																																															BNIL);
																																														BgL_head1208z00_1694
																																															=
																																															BgL_res2391z00_2813;
																																													}
																																													{
																																														obj_t
																																															BgL_l1206z00_1696;
																																														obj_t
																																															BgL_tail1209z00_1697;
																																														BgL_l1206z00_1696
																																															=
																																															BgL_bindsz00_900;
																																														BgL_tail1209z00_1697
																																															=
																																															BgL_head1208z00_1694;
																																													BgL_zc3anonymousza31996ze3z83_1698:
																																														if (NULLP(BgL_l1206z00_1696))
																																															{	/* Eval/evaluate.scm 412 */
																																																BgL_auxz00_4966
																																																	=
																																																	CDR
																																																	(BgL_head1208z00_1694);
																																															}
																																														else
																																															{	/* Eval/evaluate.scm 412 */
																																																obj_t
																																																	BgL_newtail1210z00_1700;
																																																{	/* Eval/evaluate.scm 412 */
																																																	obj_t
																																																		BgL_arg1999z00_1702;
																																																	{	/* Eval/evaluate.scm 412 */
																																																		obj_t
																																																			BgL_bz00_1703;
																																																		{	/* Eval/evaluate.scm 412 */
																																																			obj_t
																																																				BgL_pairz00_2817;
																																																			BgL_pairz00_2817
																																																				=
																																																				BgL_l1206z00_1696;
																																																			BgL_bz00_1703
																																																				=
																																																				CAR
																																																				(BgL_pairz00_2817);
																																																		}
																																																		{	/* Eval/evaluate.scm 413 */
																																																			obj_t
																																																				BgL_arg2000z00_1704;
																																																			obj_t
																																																				BgL_arg2001z00_1705;
																																																			obj_t
																																																				BgL_arg2002z00_1706;
																																																			{	/* Eval/evaluate.scm 413 */
																																																				obj_t
																																																					BgL_pairz00_2818;
																																																				BgL_pairz00_2818
																																																					=
																																																					BgL_bz00_1703;
																																																				{	/* Eval/evaluate.scm 413 */
																																																					obj_t
																																																						BgL_pairz00_2821;
																																																					BgL_pairz00_2821
																																																						=
																																																						CDR
																																																						(BgL_pairz00_2818);
																																																					BgL_arg2000z00_1704
																																																						=
																																																						CAR
																																																						(BgL_pairz00_2821);
																																																				}
																																																			}
																																																			{	/* Eval/evaluate.scm 413 */
																																																				obj_t
																																																					BgL_arg2003z00_1707;
																																																				{	/* Eval/evaluate.scm 413 */
																																																					obj_t
																																																						BgL_pairz00_2822;
																																																					BgL_pairz00_2822
																																																						=
																																																						BgL_bz00_1703;
																																																					BgL_arg2003z00_1707
																																																						=
																																																						CAR
																																																						(BgL_pairz00_2822);
																																																				}
																																																				{	/* Eval/evaluate.scm 413 */
																																																					obj_t
																																																						BgL_list2004z00_1708;
																																																					{	/* Eval/evaluate.scm 413 */
																																																						obj_t
																																																							BgL_arg2005z00_1709;
																																																						{	/* Eval/evaluate.scm 413 */
																																																							obj_t
																																																								BgL_arg2006z00_1710;
																																																							BgL_arg2006z00_1710
																																																								=
																																																								MAKE_PAIR
																																																								(BgL_wherez00_53,
																																																								BNIL);
																																																							BgL_arg2005z00_1709
																																																								=
																																																								MAKE_PAIR
																																																								(BGl_symbol2595z00zz__evaluatez00,
																																																								BgL_arg2006z00_1710);
																																																						}
																																																						BgL_list2004z00_1708
																																																							=
																																																							MAKE_PAIR
																																																							(BgL_arg2003z00_1707,
																																																							BgL_arg2005z00_1709);
																																																					}
																																																					BgL_arg2001z00_1705
																																																						=
																																																						BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00
																																																						(BgL_list2004z00_1708);
																																																				}
																																																			}
																																																			{	/* Eval/evaluate.scm 413 */
																																																				obj_t
																																																					BgL__ortest_1066z00_2825;
																																																				BgL__ortest_1066z00_2825
																																																					=
																																																					BGl_getzd2sourcezd2locationz00zz__readerz00
																																																					(BgL_bz00_1703);
																																																				if (CBOOL(BgL__ortest_1066z00_2825))
																																																					{	/* Eval/evaluate.scm 413 */
																																																						BgL_arg2002z00_1706
																																																							=
																																																							BgL__ortest_1066z00_2825;
																																																					}
																																																				else
																																																					{	/* Eval/evaluate.scm 413 */
																																																						BgL_arg2002z00_1706
																																																							=
																																																							BgL_blocz00_1690;
																																																					}
																																																			}
																																																			BgL_arg1999z00_1702
																																																				=
																																																				BGl_convz00zz__evaluatez00
																																																				(BgL_arg2000z00_1704,
																																																				BgL_localsz00_1689,
																																																				BgL_globalsz00_51,
																																																				BFALSE,
																																																				BgL_arg2001z00_1705,
																																																				BgL_arg2002z00_1706,
																																																				((bool_t) 0));
																																																		}
																																																	}
																																																	{	/* Eval/evaluate.scm 412 */
																																																		obj_t
																																																			BgL_res2393z00_2828;
																																																		BgL_res2393z00_2828
																																																			=
																																																			MAKE_PAIR
																																																			(BgL_arg1999z00_1702,
																																																			BNIL);
																																																		BgL_newtail1210z00_1700
																																																			=
																																																			BgL_res2393z00_2828;
																																																	}
																																																}
																																																SET_CDR
																																																	(BgL_tail1209z00_1697,
																																																	BgL_newtail1210z00_1700);
																																																{	/* Eval/evaluate.scm 412 */
																																																	obj_t
																																																		BgL_arg1998z00_1701;
																																																	{	/* Eval/evaluate.scm 412 */
																																																		obj_t
																																																			BgL_pairz00_2831;
																																																		BgL_pairz00_2831
																																																			=
																																																			BgL_l1206z00_1696;
																																																		BgL_arg1998z00_1701
																																																			=
																																																			CDR
																																																			(BgL_pairz00_2831);
																																																	}
																																																	{
																																																		obj_t
																																																			BgL_tail1209z00_4990;
																																																		obj_t
																																																			BgL_l1206z00_4989;
																																																		BgL_l1206z00_4989
																																																			=
																																																			BgL_arg1998z00_1701;
																																																		BgL_tail1209z00_4990
																																																			=
																																																			BgL_newtail1210z00_1700;
																																																		BgL_tail1209z00_1697
																																																			=
																																																			BgL_tail1209z00_4990;
																																																		BgL_l1206z00_1696
																																																			=
																																																			BgL_l1206z00_4989;
																																																		goto
																																																			BgL_zc3anonymousza31996ze3z83_1698;
																																																	}
																																																}
																																															}
																																													}
																																												}
																																											((((BgL_ev_binderz00_bglt) CREF(((BgL_ev_binderz00_bglt) BgL_new1129z00_1691)))->BgL_valsz00) = ((obj_t) BgL_auxz00_4966), BUNSPEC);
																																										}
																																										((((BgL_ev_binderz00_bglt) CREF(((BgL_ev_binderz00_bglt) BgL_new1129z00_1691)))->BgL_bodyz00) = ((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BGl_convzd2beginzd2zz__evaluatez00(BgL_bodyz00_901, BgL_localsz00_1689, BgL_globalsz00_51, BgL_tailzf3zf3_52, BgL_wherez00_53, BgL_locz00_54, ((bool_t) 0)))), BUNSPEC);
																																										BgL_auxz00_4921
																																											=
																																											BgL_new1129z00_1691;
																																									}
																																								}
																																							}
																																						}
																																					}
																																					return
																																						(
																																						(obj_t)
																																						BgL_auxz00_4921);
																																				}
																																			}
																																		else
																																			{	/* Eval/evaluate.scm 320 */
																																				obj_t
																																					BgL_arg1506z00_1068;
																																				BgL_arg1506z00_1068
																																					=
																																					CAR
																																					(BgL_ez00_49);
																																				{
																																					BgL_ev_appz00_bglt
																																						BgL_auxz00_4998;
																																					{
																																						obj_t
																																							BgL_argsz00_5000;
																																						obj_t
																																							BgL_fz00_4999;
																																						BgL_fz00_4999
																																							=
																																							BgL_arg1506z00_1068;
																																						BgL_argsz00_5000
																																							=
																																							BgL_cdrzd25324zd2_1063;
																																						BgL_argsz00_934
																																							=
																																							BgL_argsz00_5000;
																																						BgL_fz00_933
																																							=
																																							BgL_fz00_4999;
																																						goto
																																							BgL_tagzd2154zd2_935;
																																					}
																																					return
																																						(
																																						(obj_t)
																																						BgL_auxz00_4998);
																																				}
																																			}
																																	}
																																else
																																	{	/* Eval/evaluate.scm 320 */
																																		if (
																																			(CAR
																																				(BgL_ez00_49)
																																				==
																																				BGl_symbol2622z00zz__evaluatez00))
																																			{	/* Eval/evaluate.scm 320 */
																																				if (PAIRP(BgL_cdrzd25324zd2_1063))
																																					{	/* Eval/evaluate.scm 320 */
																																						obj_t
																																							BgL_carzd25462zd2_1073;
																																						obj_t
																																							BgL_cdrzd25463zd2_1074;
																																						BgL_carzd25462zd2_1073
																																							=
																																							CAR
																																							(BgL_cdrzd25324zd2_1063);
																																						BgL_cdrzd25463zd2_1074
																																							=
																																							CDR
																																							(BgL_cdrzd25324zd2_1063);
																																						if (PAIRP(BgL_carzd25462zd2_1073))
																																							{	/* Eval/evaluate.scm 320 */
																																								obj_t
																																									BgL_cdrzd25467zd2_1076;
																																								BgL_cdrzd25467zd2_1076
																																									=
																																									CDR
																																									(BgL_carzd25462zd2_1073);
																																								if ((CAR(BgL_carzd25462zd2_1073) == BGl_symbol2600z00zz__evaluatez00))
																																									{	/* Eval/evaluate.scm 320 */
																																										if (PAIRP(BgL_cdrzd25467zd2_1076))
																																											{	/* Eval/evaluate.scm 320 */
																																												obj_t
																																													BgL_carzd25470zd2_1079;
																																												obj_t
																																													BgL_cdrzd25471zd2_1080;
																																												BgL_carzd25470zd2_1079
																																													=
																																													CAR
																																													(BgL_cdrzd25467zd2_1076);
																																												BgL_cdrzd25471zd2_1080
																																													=
																																													CDR
																																													(BgL_cdrzd25467zd2_1076);
																																												if (SYMBOLP(BgL_carzd25470zd2_1079))
																																													{	/* Eval/evaluate.scm 320 */
																																														if (PAIRP(BgL_cdrzd25471zd2_1080))
																																															{	/* Eval/evaluate.scm 320 */
																																																obj_t
																																																	BgL_carzd25475zd2_1083;
																																																BgL_carzd25475zd2_1083
																																																	=
																																																	CAR
																																																	(BgL_cdrzd25471zd2_1080);
																																																if (SYMBOLP(BgL_carzd25475zd2_1083))
																																																	{	/* Eval/evaluate.scm 320 */
																																																		if (NULLP(CDR(BgL_cdrzd25471zd2_1080)))
																																																			{	/* Eval/evaluate.scm 320 */
																																																				if (PAIRP(BgL_cdrzd25463zd2_1074))
																																																					{	/* Eval/evaluate.scm 320 */
																																																						if (NULLP(CDR(BgL_cdrzd25463zd2_1074)))
																																																							{	/* Eval/evaluate.scm 320 */
																																																								obj_t
																																																									BgL_arg1520z00_1088;
																																																								BgL_arg1520z00_1088
																																																									=
																																																									CAR
																																																									(BgL_cdrzd25463zd2_1074);
																																																								{	/* Eval/evaluate.scm 320 */
																																																									obj_t
																																																										BgL_idz00_3158;
																																																									obj_t
																																																										BgL_modnamez00_3159;
																																																									BgL_idz00_3158
																																																										=
																																																										BgL_carzd25470zd2_1079;
																																																									BgL_modnamez00_3159
																																																										=
																																																										BgL_carzd25475zd2_1083;
																																																									{	/* Eval/evaluate.scm 320 */
																																																										BgL_ev_setglobalz00_bglt
																																																											BgL_new1131z00_3161;
																																																										{	/* Eval/evaluate.scm 320 */
																																																											BgL_ev_setglobalz00_bglt
																																																												BgL_new1130z00_3162;
																																																											BgL_new1130z00_3162
																																																												=
																																																												(
																																																												(BgL_ev_setglobalz00_bglt)
																																																												BREF
																																																												(GC_MALLOC
																																																													(sizeof
																																																														(struct
																																																															BgL_ev_setglobalz00_bgl))));
																																																											{	/* Eval/evaluate.scm 320 */
																																																												long
																																																													BgL_arg2016z00_3163;
																																																												{	/* Eval/evaluate.scm 320 */
																																																													long
																																																														BgL_res2445z00_3167;
																																																													{	/* Eval/evaluate.scm 320 */
																																																														obj_t
																																																															BgL_classz00_3164;
																																																														BgL_classz00_3164
																																																															=
																																																															BGl_ev_setglobalz00zz__evaluate_typesz00;
																																																														{	/* Eval/evaluate.scm 320 */
																																																															obj_t
																																																																BgL_vectorz00_3165;
																																																															int
																																																																BgL_kz00_3166;
																																																															BgL_vectorz00_3165
																																																																=
																																																																BgL_classz00_3164;
																																																															BgL_kz00_3166
																																																																=
																																																																(int)
																																																																(
																																																																((long) 1));
																																																															BgL_res2445z00_3167
																																																																=
																																																																(long)
																																																																CINT
																																																																(VECTOR_REF
																																																																(BgL_vectorz00_3165,
																																																																	BgL_kz00_3166));
																																																													}}
																																																													BgL_arg2016z00_3163
																																																														=
																																																														BgL_res2445z00_3167;
																																																												}
																																																												{	/* Eval/evaluate.scm 320 */
																																																													BgL_objectz00_bglt
																																																														BgL_objz00_3168;
																																																													BgL_objz00_3168
																																																														=
																																																														(
																																																														(BgL_objectz00_bglt)
																																																														BgL_new1130z00_3162);
																																																													BGL_OBJECT_CLASS_NUM_SET
																																																														(BgL_objz00_3168,
																																																														BgL_arg2016z00_3163);
																																																											}}
																																																											{	/* Eval/evaluate.scm 320 */
																																																												BgL_objectz00_bglt
																																																													BgL_auxz00_5041;
																																																												BgL_auxz00_5041
																																																													=
																																																													(
																																																													(BgL_objectz00_bglt)
																																																													BgL_new1130z00_3162);
																																																												BGL_OBJECT_WIDENING_SET
																																																													(BgL_auxz00_5041,
																																																													BFALSE);
																																																											}
																																																											BgL_new1131z00_3161
																																																												=
																																																												BgL_new1130z00_3162;
																																																										}
																																																										{
																																																											BgL_ev_exprz00_bglt
																																																												BgL_auxz00_5044;
																																																											{	/* Eval/evaluate.scm 320 */
																																																												obj_t
																																																													BgL_arg2056z00_3171;
																																																												BgL_arg2056z00_3171
																																																													=
																																																													BGl_getzd2locationzd2zz__evaluatez00
																																																													(BgL_arg1520z00_1088,
																																																													BgL_locz00_54);
																																																												BgL_auxz00_5044
																																																													=
																																																													(
																																																													(BgL_ev_exprz00_bglt)
																																																													BGl_uconvzf2loczf2zz__evaluatez00
																																																													(BgL_wherez00_53,
																																																														BgL_globalsz00_51,
																																																														BgL_localsz00_50,
																																																														BgL_arg1520z00_1088,
																																																														BgL_arg2056z00_3171));
																																																											}
																																																											((((BgL_ev_hookz00_bglt) CREF(((BgL_ev_hookz00_bglt) BgL_new1131z00_3161)))->BgL_ez00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_5044), BUNSPEC);
																																																										}
																																																										((((BgL_ev_setglobalz00_bglt) CREF(BgL_new1131z00_3161))->BgL_locz00) = ((obj_t) BgL_locz00_54), BUNSPEC);
																																																										((((BgL_ev_setglobalz00_bglt) CREF(BgL_new1131z00_3161))->BgL_namez00) = ((obj_t) BgL_idz00_3158), BUNSPEC);
																																																										((((BgL_ev_setglobalz00_bglt) CREF(BgL_new1131z00_3161))->BgL_modz00) = ((obj_t) BGl_evalzd2findzd2modulez00zz__evmodulez00(BgL_modnamez00_3159)), BUNSPEC);
																																																										return
																																																											(
																																																											(obj_t)
																																																											BgL_new1131z00_3161);
																																																									}
																																																								}
																																																							}
																																																						else
																																																							{	/* Eval/evaluate.scm 320 */
																																																								return
																																																									BGl_evcompilezd2errorzd2zz__evcompilez00
																																																									(BgL_locz00_54,
																																																									BGl_string2588z00zz__evaluatez00,
																																																									BGl_string2594z00zz__evaluatez00,
																																																									BgL_ez00_49);
																																																							}
																																																					}
																																																				else
																																																					{	/* Eval/evaluate.scm 320 */
																																																						return
																																																							BGl_evcompilezd2errorzd2zz__evcompilez00
																																																							(BgL_locz00_54,
																																																							BGl_string2588z00zz__evaluatez00,
																																																							BGl_string2594z00zz__evaluatez00,
																																																							BgL_ez00_49);
																																																					}
																																																			}
																																																		else
																																																			{	/* Eval/evaluate.scm 320 */
																																																				obj_t
																																																					BgL_cdrzd25575zd2_1090;
																																																				BgL_cdrzd25575zd2_1090
																																																					=
																																																					CDR
																																																					(BgL_ez00_49);
																																																				{	/* Eval/evaluate.scm 320 */
																																																					obj_t
																																																						BgL_cdrzd25579zd2_1091;
																																																					BgL_cdrzd25579zd2_1091
																																																						=
																																																						CDR
																																																						(BgL_cdrzd25575zd2_1090);
																																																					if (PAIRP(BgL_cdrzd25579zd2_1091))
																																																						{	/* Eval/evaluate.scm 320 */
																																																							if (NULLP(CDR(BgL_cdrzd25579zd2_1091)))
																																																								{	/* Eval/evaluate.scm 320 */
																																																									obj_t
																																																										BgL_arg1524z00_1094;
																																																									obj_t
																																																										BgL_arg1526z00_1095;
																																																									BgL_arg1524z00_1094
																																																										=
																																																										CAR
																																																										(BgL_cdrzd25575zd2_1090);
																																																									BgL_arg1526z00_1095
																																																										=
																																																										CAR
																																																										(BgL_cdrzd25579zd2_1091);
																																																									{
																																																										BgL_ev_hookz00_bglt
																																																											BgL_auxz00_5066;
																																																										BgL_vz00_910
																																																											=
																																																											BgL_arg1524z00_1094;
																																																										BgL_ez00_911
																																																											=
																																																											BgL_arg1526z00_1095;
																																																									BgL_tagzd2146zd2_912:
																																																										{	/* Eval/evaluate.scm 426 */
																																																											obj_t
																																																												BgL_cvz00_1747;
																																																											obj_t
																																																												BgL_ez00_1748;
																																																											BgL_cvz00_1747
																																																												=
																																																												BGl_convzd2varzd2zz__evaluatez00
																																																												(BgL_vz00_910,
																																																												BgL_localsz00_50);
																																																											{	/* Eval/evaluate.scm 426 */
																																																												obj_t
																																																													BgL_arg2056z00_2860;
																																																												{	/* Eval/evaluate.scm 426 */
																																																													obj_t
																																																														BgL__ortest_1066z00_2863;
																																																													BgL__ortest_1066z00_2863
																																																														=
																																																														BGl_getzd2sourcezd2locationz00zz__readerz00
																																																														(BgL_ez00_911);
																																																													if (CBOOL(BgL__ortest_1066z00_2863))
																																																														{	/* Eval/evaluate.scm 426 */
																																																															BgL_arg2056z00_2860
																																																																=
																																																																BgL__ortest_1066z00_2863;
																																																														}
																																																													else
																																																														{	/* Eval/evaluate.scm 426 */
																																																															BgL_arg2056z00_2860
																																																																=
																																																																BgL_locz00_54;
																																																														}
																																																												}
																																																												BgL_ez00_1748
																																																													=
																																																													BGl_convz00zz__evaluatez00
																																																													(BgL_ez00_911,
																																																													BgL_localsz00_50,
																																																													BgL_globalsz00_51,
																																																													BFALSE,
																																																													BgL_wherez00_53,
																																																													BgL_arg2056z00_2860,
																																																													((bool_t) 0));
																																																											}
																																																											if (CBOOL(BgL_cvz00_1747))
																																																												{	/* Eval/evaluate.scm 428 */
																																																													BgL_ev_setlocalz00_bglt
																																																														BgL_new1133z00_1749;
																																																													{	/* Eval/evaluate.scm 428 */
																																																														BgL_ev_setlocalz00_bglt
																																																															BgL_new1132z00_1750;
																																																														BgL_new1132z00_1750
																																																															=
																																																															(
																																																															(BgL_ev_setlocalz00_bglt)
																																																															BREF
																																																															(GC_MALLOC
																																																																(sizeof
																																																																	(struct
																																																																		BgL_ev_setlocalz00_bgl))));
																																																														{	/* Eval/evaluate.scm 428 */
																																																															long
																																																																BgL_arg2027z00_1751;
																																																															{	/* Eval/evaluate.scm 428 */
																																																																long
																																																																	BgL_res2399z00_2869;
																																																																{	/* Eval/evaluate.scm 428 */
																																																																	obj_t
																																																																		BgL_classz00_2866;
																																																																	BgL_classz00_2866
																																																																		=
																																																																		BGl_ev_setlocalz00zz__evaluate_typesz00;
																																																																	{	/* Eval/evaluate.scm 428 */
																																																																		obj_t
																																																																			BgL_vectorz00_2867;
																																																																		int
																																																																			BgL_kz00_2868;
																																																																		BgL_vectorz00_2867
																																																																			=
																																																																			BgL_classz00_2866;
																																																																		BgL_kz00_2868
																																																																			=
																																																																			(int)
																																																																			(
																																																																			((long) 1));
																																																																		BgL_res2399z00_2869
																																																																			=
																																																																			(long)
																																																																			CINT
																																																																			(VECTOR_REF
																																																																			(BgL_vectorz00_2867,
																																																																				BgL_kz00_2868));
																																																																}}
																																																																BgL_arg2027z00_1751
																																																																	=
																																																																	BgL_res2399z00_2869;
																																																															}
																																																															{	/* Eval/evaluate.scm 428 */
																																																																BgL_objectz00_bglt
																																																																	BgL_objz00_2870;
																																																																BgL_objz00_2870
																																																																	=
																																																																	(
																																																																	(BgL_objectz00_bglt)
																																																																	BgL_new1132z00_1750);
																																																																BGL_OBJECT_CLASS_NUM_SET
																																																																	(BgL_objz00_2870,
																																																																	BgL_arg2027z00_1751);
																																																														}}
																																																														{	/* Eval/evaluate.scm 428 */
																																																															BgL_objectz00_bglt
																																																																BgL_auxz00_5080;
																																																															BgL_auxz00_5080
																																																																=
																																																																(
																																																																(BgL_objectz00_bglt)
																																																																BgL_new1132z00_1750);
																																																															BGL_OBJECT_WIDENING_SET
																																																																(BgL_auxz00_5080,
																																																																BFALSE);
																																																														}
																																																														BgL_new1133z00_1749
																																																															=
																																																															BgL_new1132z00_1750;
																																																													}
																																																													((((BgL_ev_hookz00_bglt) CREF(((BgL_ev_hookz00_bglt) BgL_new1133z00_1749)))->BgL_ez00) = ((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_ez00_1748)), BUNSPEC);
																																																													((((BgL_ev_setlocalz00_bglt) CREF(BgL_new1133z00_1749))->BgL_vz00) = ((BgL_ev_varz00_bglt) ((BgL_ev_varz00_bglt) BgL_cvz00_1747)), BUNSPEC);
																																																													BgL_auxz00_5066
																																																														=
																																																														(
																																																														(BgL_ev_hookz00_bglt)
																																																														BgL_new1133z00_1749);
																																																												}
																																																											else
																																																												{	/* Eval/evaluate.scm 431 */
																																																													BgL_ev_setglobalz00_bglt
																																																														BgL_new1135z00_1752;
																																																													{	/* Eval/evaluate.scm 431 */
																																																														BgL_ev_setglobalz00_bglt
																																																															BgL_new1134z00_1754;
																																																														BgL_new1134z00_1754
																																																															=
																																																															(
																																																															(BgL_ev_setglobalz00_bglt)
																																																															BREF
																																																															(GC_MALLOC
																																																																(sizeof
																																																																	(struct
																																																																		BgL_ev_setglobalz00_bgl))));
																																																														{	/* Eval/evaluate.scm 431 */
																																																															long
																																																																BgL_arg2029z00_1755;
																																																															{	/* Eval/evaluate.scm 431 */
																																																																long
																																																																	BgL_res2400z00_2875;
																																																																{	/* Eval/evaluate.scm 431 */
																																																																	obj_t
																																																																		BgL_classz00_2872;
																																																																	BgL_classz00_2872
																																																																		=
																																																																		BGl_ev_setglobalz00zz__evaluate_typesz00;
																																																																	{	/* Eval/evaluate.scm 431 */
																																																																		obj_t
																																																																			BgL_vectorz00_2873;
																																																																		int
																																																																			BgL_kz00_2874;
																																																																		BgL_vectorz00_2873
																																																																			=
																																																																			BgL_classz00_2872;
																																																																		BgL_kz00_2874
																																																																			=
																																																																			(int)
																																																																			(
																																																																			((long) 1));
																																																																		BgL_res2400z00_2875
																																																																			=
																																																																			(long)
																																																																			CINT
																																																																			(VECTOR_REF
																																																																			(BgL_vectorz00_2873,
																																																																				BgL_kz00_2874));
																																																																}}
																																																																BgL_arg2029z00_1755
																																																																	=
																																																																	BgL_res2400z00_2875;
																																																															}
																																																															{	/* Eval/evaluate.scm 431 */
																																																																BgL_objectz00_bglt
																																																																	BgL_objz00_2876;
																																																																BgL_objz00_2876
																																																																	=
																																																																	(
																																																																	(BgL_objectz00_bglt)
																																																																	BgL_new1134z00_1754);
																																																																BGL_OBJECT_CLASS_NUM_SET
																																																																	(BgL_objz00_2876,
																																																																	BgL_arg2029z00_1755);
																																																														}}
																																																														{	/* Eval/evaluate.scm 431 */
																																																															BgL_objectz00_bglt
																																																																BgL_auxz00_5095;
																																																															BgL_auxz00_5095
																																																																=
																																																																(
																																																																(BgL_objectz00_bglt)
																																																																BgL_new1134z00_1754);
																																																															BGL_OBJECT_WIDENING_SET
																																																																(BgL_auxz00_5095,
																																																																BFALSE);
																																																														}
																																																														BgL_new1135z00_1752
																																																															=
																																																															BgL_new1134z00_1754;
																																																													}
																																																													((((BgL_ev_hookz00_bglt) CREF(((BgL_ev_hookz00_bglt) BgL_new1135z00_1752)))->BgL_ez00) = ((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_ez00_1748)), BUNSPEC);
																																																													((((BgL_ev_setglobalz00_bglt) CREF(BgL_new1135z00_1752))->BgL_locz00) = ((obj_t) BgL_locz00_54), BUNSPEC);
																																																													((((BgL_ev_setglobalz00_bglt) CREF(BgL_new1135z00_1752))->BgL_namez00) = ((obj_t) BgL_vz00_910), BUNSPEC);
																																																													{
																																																														obj_t
																																																															BgL_auxz00_5103;
																																																														if (BGl_evmodulezf3zf3zz__evmodulez00(BgL_globalsz00_51))
																																																															{	/* Eval/evaluate.scm 434 */
																																																																BgL_auxz00_5103
																																																																	=
																																																																	BgL_globalsz00_51;
																																																															}
																																																														else
																																																															{	/* Eval/evaluate.scm 434 */
																																																																BgL_auxz00_5103
																																																																	=
																																																																	BGL_MODULE
																																																																	();
																																																															}
																																																														((((BgL_ev_setglobalz00_bglt) CREF(BgL_new1135z00_1752))->BgL_modz00) = ((obj_t) BgL_auxz00_5103), BUNSPEC);
																																																													}
																																																													BgL_auxz00_5066
																																																														=
																																																														(
																																																														(BgL_ev_hookz00_bglt)
																																																														BgL_new1135z00_1752);
																																																												}
																																																										}
																																																										return
																																																											(
																																																											(obj_t)
																																																											BgL_auxz00_5066);
																																																									}
																																																								}
																																																							else
																																																								{	/* Eval/evaluate.scm 320 */
																																																									return
																																																										BGl_evcompilezd2errorzd2zz__evcompilez00
																																																										(BgL_locz00_54,
																																																										BGl_string2588z00zz__evaluatez00,
																																																										BGl_string2594z00zz__evaluatez00,
																																																										BgL_ez00_49);
																																																								}
																																																						}
																																																					else
																																																						{	/* Eval/evaluate.scm 320 */
																																																							return
																																																								BGl_evcompilezd2errorzd2zz__evcompilez00
																																																								(BgL_locz00_54,
																																																								BGl_string2588z00zz__evaluatez00,
																																																								BGl_string2594z00zz__evaluatez00,
																																																								BgL_ez00_49);
																																																						}
																																																				}
																																																			}
																																																	}
																																																else
																																																	{	/* Eval/evaluate.scm 320 */
																																																		obj_t
																																																			BgL_cdrzd25628zd2_1098;
																																																		BgL_cdrzd25628zd2_1098
																																																			=
																																																			CDR
																																																			(BgL_ez00_49);
																																																		{	/* Eval/evaluate.scm 320 */
																																																			obj_t
																																																				BgL_cdrzd25632zd2_1099;
																																																			BgL_cdrzd25632zd2_1099
																																																				=
																																																				CDR
																																																				(BgL_cdrzd25628zd2_1098);
																																																			if (PAIRP(BgL_cdrzd25632zd2_1099))
																																																				{	/* Eval/evaluate.scm 320 */
																																																					if (NULLP(CDR(BgL_cdrzd25632zd2_1099)))
																																																						{	/* Eval/evaluate.scm 320 */
																																																							obj_t
																																																								BgL_arg1531z00_1102;
																																																							obj_t
																																																								BgL_arg1532z00_1103;
																																																							BgL_arg1531z00_1102
																																																								=
																																																								CAR
																																																								(BgL_cdrzd25628zd2_1098);
																																																							BgL_arg1532z00_1103
																																																								=
																																																								CAR
																																																								(BgL_cdrzd25632zd2_1099);
																																																							{
																																																								BgL_ev_hookz00_bglt
																																																									BgL_auxz00_5121;
																																																								{
																																																									obj_t
																																																										BgL_ez00_5123;
																																																									obj_t
																																																										BgL_vz00_5122;
																																																									BgL_vz00_5122
																																																										=
																																																										BgL_arg1531z00_1102;
																																																									BgL_ez00_5123
																																																										=
																																																										BgL_arg1532z00_1103;
																																																									BgL_ez00_911
																																																										=
																																																										BgL_ez00_5123;
																																																									BgL_vz00_910
																																																										=
																																																										BgL_vz00_5122;
																																																									goto
																																																										BgL_tagzd2146zd2_912;
																																																								}
																																																								return
																																																									(
																																																									(obj_t)
																																																									BgL_auxz00_5121);
																																																							}
																																																						}
																																																					else
																																																						{	/* Eval/evaluate.scm 320 */
																																																							return
																																																								BGl_evcompilezd2errorzd2zz__evcompilez00
																																																								(BgL_locz00_54,
																																																								BGl_string2588z00zz__evaluatez00,
																																																								BGl_string2594z00zz__evaluatez00,
																																																								BgL_ez00_49);
																																																						}
																																																				}
																																																			else
																																																				{	/* Eval/evaluate.scm 320 */
																																																					return
																																																						BGl_evcompilezd2errorzd2zz__evcompilez00
																																																						(BgL_locz00_54,
																																																						BGl_string2588z00zz__evaluatez00,
																																																						BGl_string2594z00zz__evaluatez00,
																																																						BgL_ez00_49);
																																																				}
																																																		}
																																																	}
																																															}
																																														else
																																															{	/* Eval/evaluate.scm 320 */
																																																obj_t
																																																	BgL_cdrzd25681zd2_1105;
																																																BgL_cdrzd25681zd2_1105
																																																	=
																																																	CDR
																																																	(BgL_ez00_49);
																																																{	/* Eval/evaluate.scm 320 */
																																																	obj_t
																																																		BgL_cdrzd25685zd2_1106;
																																																	BgL_cdrzd25685zd2_1106
																																																		=
																																																		CDR
																																																		(BgL_cdrzd25681zd2_1105);
																																																	if (PAIRP(BgL_cdrzd25685zd2_1106))
																																																		{	/* Eval/evaluate.scm 320 */
																																																			if (NULLP(CDR(BgL_cdrzd25685zd2_1106)))
																																																				{	/* Eval/evaluate.scm 320 */
																																																					obj_t
																																																						BgL_arg1536z00_1109;
																																																					obj_t
																																																						BgL_arg1537z00_1110;
																																																					BgL_arg1536z00_1109
																																																						=
																																																						CAR
																																																						(BgL_cdrzd25681zd2_1105);
																																																					BgL_arg1537z00_1110
																																																						=
																																																						CAR
																																																						(BgL_cdrzd25685zd2_1106);
																																																					{
																																																						BgL_ev_hookz00_bglt
																																																							BgL_auxz00_5136;
																																																						{
																																																							obj_t
																																																								BgL_ez00_5138;
																																																							obj_t
																																																								BgL_vz00_5137;
																																																							BgL_vz00_5137
																																																								=
																																																								BgL_arg1536z00_1109;
																																																							BgL_ez00_5138
																																																								=
																																																								BgL_arg1537z00_1110;
																																																							BgL_ez00_911
																																																								=
																																																								BgL_ez00_5138;
																																																							BgL_vz00_910
																																																								=
																																																								BgL_vz00_5137;
																																																							goto
																																																								BgL_tagzd2146zd2_912;
																																																						}
																																																						return
																																																							(
																																																							(obj_t)
																																																							BgL_auxz00_5136);
																																																					}
																																																				}
																																																			else
																																																				{	/* Eval/evaluate.scm 320 */
																																																					return
																																																						BGl_evcompilezd2errorzd2zz__evcompilez00
																																																						(BgL_locz00_54,
																																																						BGl_string2588z00zz__evaluatez00,
																																																						BGl_string2594z00zz__evaluatez00,
																																																						BgL_ez00_49);
																																																				}
																																																		}
																																																	else
																																																		{	/* Eval/evaluate.scm 320 */
																																																			return
																																																				BGl_evcompilezd2errorzd2zz__evcompilez00
																																																				(BgL_locz00_54,
																																																				BGl_string2588z00zz__evaluatez00,
																																																				BGl_string2594z00zz__evaluatez00,
																																																				BgL_ez00_49);
																																																		}
																																																}
																																															}
																																													}
																																												else
																																													{	/* Eval/evaluate.scm 320 */
																																														obj_t
																																															BgL_cdrzd25734zd2_1112;
																																														BgL_cdrzd25734zd2_1112
																																															=
																																															CDR
																																															(BgL_ez00_49);
																																														{	/* Eval/evaluate.scm 320 */
																																															obj_t
																																																BgL_cdrzd25738zd2_1113;
																																															BgL_cdrzd25738zd2_1113
																																																=
																																																CDR
																																																(BgL_cdrzd25734zd2_1112);
																																															if (PAIRP(BgL_cdrzd25738zd2_1113))
																																																{	/* Eval/evaluate.scm 320 */
																																																	if (NULLP(CDR(BgL_cdrzd25738zd2_1113)))
																																																		{	/* Eval/evaluate.scm 320 */
																																																			obj_t
																																																				BgL_arg1546z00_1116;
																																																			obj_t
																																																				BgL_arg1547z00_1117;
																																																			BgL_arg1546z00_1116
																																																				=
																																																				CAR
																																																				(BgL_cdrzd25734zd2_1112);
																																																			BgL_arg1547z00_1117
																																																				=
																																																				CAR
																																																				(BgL_cdrzd25738zd2_1113);
																																																			{
																																																				BgL_ev_hookz00_bglt
																																																					BgL_auxz00_5151;
																																																				{
																																																					obj_t
																																																						BgL_ez00_5153;
																																																					obj_t
																																																						BgL_vz00_5152;
																																																					BgL_vz00_5152
																																																						=
																																																						BgL_arg1546z00_1116;
																																																					BgL_ez00_5153
																																																						=
																																																						BgL_arg1547z00_1117;
																																																					BgL_ez00_911
																																																						=
																																																						BgL_ez00_5153;
																																																					BgL_vz00_910
																																																						=
																																																						BgL_vz00_5152;
																																																					goto
																																																						BgL_tagzd2146zd2_912;
																																																				}
																																																				return
																																																					(
																																																					(obj_t)
																																																					BgL_auxz00_5151);
																																																			}
																																																		}
																																																	else
																																																		{	/* Eval/evaluate.scm 320 */
																																																			return
																																																				BGl_evcompilezd2errorzd2zz__evcompilez00
																																																				(BgL_locz00_54,
																																																				BGl_string2588z00zz__evaluatez00,
																																																				BGl_string2594z00zz__evaluatez00,
																																																				BgL_ez00_49);
																																																		}
																																																}
																																															else
																																																{	/* Eval/evaluate.scm 320 */
																																																	return
																																																		BGl_evcompilezd2errorzd2zz__evcompilez00
																																																		(BgL_locz00_54,
																																																		BGl_string2588z00zz__evaluatez00,
																																																		BGl_string2594z00zz__evaluatez00,
																																																		BgL_ez00_49);
																																																}
																																														}
																																													}
																																											}
																																										else
																																											{	/* Eval/evaluate.scm 320 */
																																												obj_t
																																													BgL_cdrzd25787zd2_1119;
																																												BgL_cdrzd25787zd2_1119
																																													=
																																													CDR
																																													(BgL_ez00_49);
																																												{	/* Eval/evaluate.scm 320 */
																																													obj_t
																																														BgL_cdrzd25791zd2_1120;
																																													BgL_cdrzd25791zd2_1120
																																														=
																																														CDR
																																														(BgL_cdrzd25787zd2_1119);
																																													if (PAIRP(BgL_cdrzd25791zd2_1120))
																																														{	/* Eval/evaluate.scm 320 */
																																															if (NULLP(CDR(BgL_cdrzd25791zd2_1120)))
																																																{	/* Eval/evaluate.scm 320 */
																																																	obj_t
																																																		BgL_arg1552z00_1123;
																																																	obj_t
																																																		BgL_arg1553z00_1124;
																																																	BgL_arg1552z00_1123
																																																		=
																																																		CAR
																																																		(BgL_cdrzd25787zd2_1119);
																																																	BgL_arg1553z00_1124
																																																		=
																																																		CAR
																																																		(BgL_cdrzd25791zd2_1120);
																																																	{
																																																		BgL_ev_hookz00_bglt
																																																			BgL_auxz00_5166;
																																																		{
																																																			obj_t
																																																				BgL_ez00_5168;
																																																			obj_t
																																																				BgL_vz00_5167;
																																																			BgL_vz00_5167
																																																				=
																																																				BgL_arg1552z00_1123;
																																																			BgL_ez00_5168
																																																				=
																																																				BgL_arg1553z00_1124;
																																																			BgL_ez00_911
																																																				=
																																																				BgL_ez00_5168;
																																																			BgL_vz00_910
																																																				=
																																																				BgL_vz00_5167;
																																																			goto
																																																				BgL_tagzd2146zd2_912;
																																																		}
																																																		return
																																																			(
																																																			(obj_t)
																																																			BgL_auxz00_5166);
																																																	}
																																																}
																																															else
																																																{	/* Eval/evaluate.scm 320 */
																																																	return
																																																		BGl_evcompilezd2errorzd2zz__evcompilez00
																																																		(BgL_locz00_54,
																																																		BGl_string2588z00zz__evaluatez00,
																																																		BGl_string2594z00zz__evaluatez00,
																																																		BgL_ez00_49);
																																																}
																																														}
																																													else
																																														{	/* Eval/evaluate.scm 320 */
																																															return
																																																BGl_evcompilezd2errorzd2zz__evcompilez00
																																																(BgL_locz00_54,
																																																BGl_string2588z00zz__evaluatez00,
																																																BGl_string2594z00zz__evaluatez00,
																																																BgL_ez00_49);
																																														}
																																												}
																																											}
																																									}
																																								else
																																									{	/* Eval/evaluate.scm 320 */
																																										obj_t
																																											BgL_cdrzd25829zd2_1126;
																																										BgL_cdrzd25829zd2_1126
																																											=
																																											CDR
																																											(BgL_ez00_49);
																																										{	/* Eval/evaluate.scm 320 */
																																											obj_t
																																												BgL_carzd25832zd2_1127;
																																											obj_t
																																												BgL_cdrzd25833zd2_1128;
																																											BgL_carzd25832zd2_1127
																																												=
																																												CAR
																																												(BgL_cdrzd25829zd2_1126);
																																											BgL_cdrzd25833zd2_1128
																																												=
																																												CDR
																																												(BgL_cdrzd25829zd2_1126);
																																											if ((CAR(BgL_carzd25832zd2_1127) == BGl_symbol2602z00zz__evaluatez00))
																																												{	/* Eval/evaluate.scm 320 */
																																													if (PAIRP(BgL_cdrzd25833zd2_1128))
																																														{	/* Eval/evaluate.scm 320 */
																																															if (NULLP(CDR(BgL_cdrzd25833zd2_1128)))
																																																{	/* Eval/evaluate.scm 320 */
																																																	BgL_lz00_907
																																																		=
																																																		CDR
																																																		(BgL_carzd25832zd2_1127);
																																																	BgL_e2z00_908
																																																		=
																																																		CAR
																																																		(BgL_cdrzd25833zd2_1128);
																																																BgL_tagzd2145zd2_909:
																																																	{	/* Eval/evaluate.scm 422 */
																																																		bool_t
																																																			BgL_testz00_5183;
																																																		if (PAIRP(BgL_lz00_907))
																																																			{	/* Eval/evaluate.scm 422 */
																																																				bool_t
																																																					BgL_testz00_5186;
																																																				{	/* Eval/evaluate.scm 422 */
																																																					obj_t
																																																						BgL_auxz00_5187;
																																																					BgL_auxz00_5187
																																																						=
																																																						CDR
																																																						(BgL_lz00_907);
																																																					BgL_testz00_5186
																																																						=
																																																						PAIRP
																																																						(BgL_auxz00_5187);
																																																				}
																																																				if (BgL_testz00_5186)
																																																					{
																																																						obj_t
																																																							BgL_l1211z00_1739;
																																																						BgL_l1211z00_1739
																																																							=
																																																							BgL_lz00_907;
																																																					BgL_zc3anonymousza32020ze3z83_1740:
																																																						if (NULLP(BgL_l1211z00_1739))
																																																							{	/* Eval/evaluate.scm 422 */
																																																								BgL_testz00_5183
																																																									=
																																																									(
																																																									(bool_t)
																																																									1);
																																																							}
																																																						else
																																																							{	/* Eval/evaluate.scm 422 */
																																																								bool_t
																																																									BgL_testz00_5192;
																																																								{	/* Eval/evaluate.scm 422 */
																																																									obj_t
																																																										BgL_auxz00_5193;
																																																									BgL_auxz00_5193
																																																										=
																																																										CAR
																																																										(BgL_l1211z00_1739);
																																																									BgL_testz00_5192
																																																										=
																																																										SYMBOLP
																																																										(BgL_auxz00_5193);
																																																								}
																																																								if (BgL_testz00_5192)
																																																									{
																																																										obj_t
																																																											BgL_l1211z00_5196;
																																																										BgL_l1211z00_5196
																																																											=
																																																											CDR
																																																											(BgL_l1211z00_1739);
																																																										BgL_l1211z00_1739
																																																											=
																																																											BgL_l1211z00_5196;
																																																										goto
																																																											BgL_zc3anonymousza32020ze3z83_1740;
																																																									}
																																																								else
																																																									{	/* Eval/evaluate.scm 422 */
																																																										BgL_testz00_5183
																																																											=
																																																											(
																																																											(bool_t)
																																																											0);
																																																									}
																																																							}
																																																					}
																																																				else
																																																					{	/* Eval/evaluate.scm 422 */
																																																						BgL_testz00_5183
																																																							=
																																																							(
																																																							(bool_t)
																																																							0);
																																																					}
																																																			}
																																																		else
																																																			{	/* Eval/evaluate.scm 422 */
																																																				BgL_testz00_5183
																																																					=
																																																					(
																																																					(bool_t)
																																																					0);
																																																			}
																																																		if (BgL_testz00_5183)
																																																			{	/* Eval/evaluate.scm 422 */
																																																				return
																																																					BGl_convzd2fieldzd2setz00zz__evaluatez00
																																																					(BgL_lz00_907,
																																																					BgL_e2z00_908,
																																																					BgL_ez00_49,
																																																					BgL_localsz00_50,
																																																					BgL_globalsz00_51,
																																																					BgL_tailzf3zf3_52,
																																																					BgL_wherez00_53,
																																																					BgL_locz00_54,
																																																					BgL_topzf3zf3_55);
																																																			}
																																																		else
																																																			{	/* Eval/evaluate.scm 422 */
																																																				return
																																																					BGl_evcompilezd2errorzd2zz__evcompilez00
																																																					(BgL_locz00_54,
																																																					BGl_string2588z00zz__evaluatez00,
																																																					BGl_string2594z00zz__evaluatez00,
																																																					BgL_ez00_49);
																																																			}
																																																	}
																																																}
																																															else
																																																{	/* Eval/evaluate.scm 320 */
																																																	return
																																																		BGl_evcompilezd2errorzd2zz__evcompilez00
																																																		(BgL_locz00_54,
																																																		BGl_string2588z00zz__evaluatez00,
																																																		BGl_string2594z00zz__evaluatez00,
																																																		BgL_ez00_49);
																																																}
																																														}
																																													else
																																														{	/* Eval/evaluate.scm 320 */
																																															return
																																																BGl_evcompilezd2errorzd2zz__evcompilez00
																																																(BgL_locz00_54,
																																																BGl_string2588z00zz__evaluatez00,
																																																BGl_string2594z00zz__evaluatez00,
																																																BgL_ez00_49);
																																														}
																																												}
																																											else
																																												{	/* Eval/evaluate.scm 320 */
																																													obj_t
																																														BgL_cdrzd25899zd2_1136;
																																													BgL_cdrzd25899zd2_1136
																																														=
																																														CDR
																																														(BgL_cdrzd25829zd2_1126);
																																													if (PAIRP(BgL_cdrzd25899zd2_1136))
																																														{	/* Eval/evaluate.scm 320 */
																																															if (NULLP(CDR(BgL_cdrzd25899zd2_1136)))
																																																{	/* Eval/evaluate.scm 320 */
																																																	obj_t
																																																		BgL_arg1563z00_1139;
																																																	obj_t
																																																		BgL_arg1564z00_1140;
																																																	BgL_arg1563z00_1139
																																																		=
																																																		CAR
																																																		(BgL_cdrzd25829zd2_1126);
																																																	BgL_arg1564z00_1140
																																																		=
																																																		CAR
																																																		(BgL_cdrzd25899zd2_1136);
																																																	{
																																																		BgL_ev_hookz00_bglt
																																																			BgL_auxz00_5212;
																																																		{
																																																			obj_t
																																																				BgL_ez00_5214;
																																																			obj_t
																																																				BgL_vz00_5213;
																																																			BgL_vz00_5213
																																																				=
																																																				BgL_arg1563z00_1139;
																																																			BgL_ez00_5214
																																																				=
																																																				BgL_arg1564z00_1140;
																																																			BgL_ez00_911
																																																				=
																																																				BgL_ez00_5214;
																																																			BgL_vz00_910
																																																				=
																																																				BgL_vz00_5213;
																																																			goto
																																																				BgL_tagzd2146zd2_912;
																																																		}
																																																		return
																																																			(
																																																			(obj_t)
																																																			BgL_auxz00_5212);
																																																	}
																																																}
																																															else
																																																{	/* Eval/evaluate.scm 320 */
																																																	return
																																																		BGl_evcompilezd2errorzd2zz__evcompilez00
																																																		(BgL_locz00_54,
																																																		BGl_string2588z00zz__evaluatez00,
																																																		BGl_string2594z00zz__evaluatez00,
																																																		BgL_ez00_49);
																																																}
																																														}
																																													else
																																														{	/* Eval/evaluate.scm 320 */
																																															return
																																																BGl_evcompilezd2errorzd2zz__evcompilez00
																																																(BgL_locz00_54,
																																																BGl_string2588z00zz__evaluatez00,
																																																BGl_string2594z00zz__evaluatez00,
																																																BgL_ez00_49);
																																														}
																																												}
																																										}
																																									}
																																							}
																																						else
																																							{	/* Eval/evaluate.scm 320 */
																																								obj_t
																																									BgL_cdrzd25948zd2_1144;
																																								BgL_cdrzd25948zd2_1144
																																									=
																																									CDR
																																									(BgL_ez00_49);
																																								{	/* Eval/evaluate.scm 320 */
																																									obj_t
																																										BgL_cdrzd25952zd2_1145;
																																									BgL_cdrzd25952zd2_1145
																																										=
																																										CDR
																																										(BgL_cdrzd25948zd2_1144);
																																									if (PAIRP(BgL_cdrzd25952zd2_1145))
																																										{	/* Eval/evaluate.scm 320 */
																																											if (NULLP(CDR(BgL_cdrzd25952zd2_1145)))
																																												{	/* Eval/evaluate.scm 320 */
																																													obj_t
																																														BgL_arg1570z00_1148;
																																													obj_t
																																														BgL_arg1571z00_1149;
																																													BgL_arg1570z00_1148
																																														=
																																														CAR
																																														(BgL_cdrzd25948zd2_1144);
																																													BgL_arg1571z00_1149
																																														=
																																														CAR
																																														(BgL_cdrzd25952zd2_1145);
																																													{
																																														BgL_ev_hookz00_bglt
																																															BgL_auxz00_5227;
																																														{
																																															obj_t
																																																BgL_ez00_5229;
																																															obj_t
																																																BgL_vz00_5228;
																																															BgL_vz00_5228
																																																=
																																																BgL_arg1570z00_1148;
																																															BgL_ez00_5229
																																																=
																																																BgL_arg1571z00_1149;
																																															BgL_ez00_911
																																																=
																																																BgL_ez00_5229;
																																															BgL_vz00_910
																																																=
																																																BgL_vz00_5228;
																																															goto
																																																BgL_tagzd2146zd2_912;
																																														}
																																														return
																																															(
																																															(obj_t)
																																															BgL_auxz00_5227);
																																													}
																																												}
																																											else
																																												{	/* Eval/evaluate.scm 320 */
																																													return
																																														BGl_evcompilezd2errorzd2zz__evcompilez00
																																														(BgL_locz00_54,
																																														BGl_string2588z00zz__evaluatez00,
																																														BGl_string2594z00zz__evaluatez00,
																																														BgL_ez00_49);
																																												}
																																										}
																																									else
																																										{	/* Eval/evaluate.scm 320 */
																																											return
																																												BGl_evcompilezd2errorzd2zz__evcompilez00
																																												(BgL_locz00_54,
																																												BGl_string2588z00zz__evaluatez00,
																																												BGl_string2594z00zz__evaluatez00,
																																												BgL_ez00_49);
																																										}
																																								}
																																							}
																																					}
																																				else
																																					{	/* Eval/evaluate.scm 320 */
																																						return
																																							BGl_evcompilezd2errorzd2zz__evcompilez00
																																							(BgL_locz00_54,
																																							BGl_string2588z00zz__evaluatez00,
																																							BGl_string2594z00zz__evaluatez00,
																																							BgL_ez00_49);
																																					}
																																			}
																																		else
																																			{	/* Eval/evaluate.scm 320 */
																																				obj_t
																																					BgL_cdrzd26055zd2_1151;
																																				BgL_cdrzd26055zd2_1151
																																					=
																																					CDR
																																					(BgL_ez00_49);
																																				if ((CAR
																																						(BgL_ez00_49)
																																						==
																																						BGl_symbol2624z00zz__evaluatez00))
																																					{	/* Eval/evaluate.scm 320 */
																																						if (PAIRP(BgL_cdrzd26055zd2_1151))
																																							{	/* Eval/evaluate.scm 320 */
																																								obj_t
																																									BgL_cdrzd26060zd2_1154;
																																								BgL_cdrzd26060zd2_1154
																																									=
																																									CDR
																																									(BgL_cdrzd26055zd2_1151);
																																								if (PAIRP(BgL_cdrzd26060zd2_1154))
																																									{	/* Eval/evaluate.scm 320 */
																																										obj_t
																																											BgL_carzd26064zd2_1156;
																																										BgL_carzd26064zd2_1156
																																											=
																																											CAR
																																											(BgL_cdrzd26060zd2_1154);
																																										if (PAIRP(BgL_carzd26064zd2_1156))
																																											{	/* Eval/evaluate.scm 320 */
																																												obj_t
																																													BgL_cdrzd26069zd2_1158;
																																												BgL_cdrzd26069zd2_1158
																																													=
																																													CDR
																																													(BgL_carzd26064zd2_1156);
																																												if ((CAR(BgL_carzd26064zd2_1156) == BGl_symbol2626z00zz__evaluatez00))
																																													{	/* Eval/evaluate.scm 320 */
																																														if (PAIRP(BgL_cdrzd26069zd2_1158))
																																															{	/* Eval/evaluate.scm 320 */
																																																obj_t
																																																	BgL_cdrzd26073zd2_1161;
																																																BgL_cdrzd26073zd2_1161
																																																	=
																																																	CDR
																																																	(BgL_cdrzd26069zd2_1158);
																																																if (PAIRP(BgL_cdrzd26073zd2_1161))
																																																	{	/* Eval/evaluate.scm 320 */
																																																		if (NULLP(CDR(BgL_cdrzd26073zd2_1161)))
																																																			{	/* Eval/evaluate.scm 320 */
																																																				if (NULLP(CDR(BgL_cdrzd26060zd2_1154)))
																																																					{	/* Eval/evaluate.scm 320 */
																																																						obj_t
																																																							BgL_arg1582z00_1165;
																																																						obj_t
																																																							BgL_arg1584z00_1166;
																																																						obj_t
																																																							BgL_arg1585z00_1167;
																																																						BgL_arg1582z00_1165
																																																							=
																																																							CAR
																																																							(BgL_cdrzd26055zd2_1151);
																																																						BgL_arg1584z00_1166
																																																							=
																																																							CAR
																																																							(BgL_cdrzd26069zd2_1158);
																																																						BgL_arg1585z00_1167
																																																							=
																																																							CAR
																																																							(BgL_cdrzd26073zd2_1161);
																																																						{
																																																							BgL_ev_defglobalz00_bglt
																																																								BgL_auxz00_5264;
																																																							BgL_gvz00_914
																																																								=
																																																								BgL_arg1582z00_1165;
																																																							BgL_formalsz00_915
																																																								=
																																																								BgL_arg1584z00_1166;
																																																							BgL_bodyz00_916
																																																								=
																																																								BgL_arg1585z00_1167;
																																																						BgL_tagzd2148zd2_917:
																																																							{	/* Eval/evaluate.scm 439 */
																																																								BgL_ev_defglobalz00_bglt
																																																									BgL_new1137z00_1756;
																																																								{	/* Eval/evaluate.scm 439 */
																																																									BgL_ev_defglobalz00_bglt
																																																										BgL_new1136z00_1759;
																																																									BgL_new1136z00_1759
																																																										=
																																																										(
																																																										(BgL_ev_defglobalz00_bglt)
																																																										BREF
																																																										(GC_MALLOC
																																																											(sizeof
																																																												(struct
																																																													BgL_ev_defglobalz00_bgl))));
																																																									{	/* Eval/evaluate.scm 439 */
																																																										long
																																																											BgL_arg2033z00_1760;
																																																										{	/* Eval/evaluate.scm 439 */
																																																											long
																																																												BgL_res2401z00_2881;
																																																											{	/* Eval/evaluate.scm 439 */
																																																												obj_t
																																																													BgL_classz00_2878;
																																																												BgL_classz00_2878
																																																													=
																																																													BGl_ev_defglobalz00zz__evaluate_typesz00;
																																																												{	/* Eval/evaluate.scm 439 */
																																																													obj_t
																																																														BgL_vectorz00_2879;
																																																													int
																																																														BgL_kz00_2880;
																																																													BgL_vectorz00_2879
																																																														=
																																																														BgL_classz00_2878;
																																																													BgL_kz00_2880
																																																														=
																																																														(int)
																																																														(
																																																														((long) 1));
																																																													BgL_res2401z00_2881
																																																														=
																																																														(long)
																																																														CINT
																																																														(VECTOR_REF
																																																														(BgL_vectorz00_2879,
																																																															BgL_kz00_2880));
																																																											}}
																																																											BgL_arg2033z00_1760
																																																												=
																																																												BgL_res2401z00_2881;
																																																										}
																																																										{	/* Eval/evaluate.scm 439 */
																																																											BgL_objectz00_bglt
																																																												BgL_objz00_2882;
																																																											BgL_objz00_2882
																																																												=
																																																												(
																																																												(BgL_objectz00_bglt)
																																																												BgL_new1136z00_1759);
																																																											BGL_OBJECT_CLASS_NUM_SET
																																																												(BgL_objz00_2882,
																																																												BgL_arg2033z00_1760);
																																																									}}
																																																									{	/* Eval/evaluate.scm 439 */
																																																										BgL_objectz00_bglt
																																																											BgL_auxz00_5271;
																																																										BgL_auxz00_5271
																																																											=
																																																											(
																																																											(BgL_objectz00_bglt)
																																																											BgL_new1136z00_1759);
																																																										BGL_OBJECT_WIDENING_SET
																																																											(BgL_auxz00_5271,
																																																											BFALSE);
																																																									}
																																																									BgL_new1137z00_1756
																																																										=
																																																										BgL_new1136z00_1759;
																																																								}
																																																								((((BgL_ev_hookz00_bglt) CREF(((BgL_ev_hookz00_bglt) BgL_new1137z00_1756)))->BgL_ez00) = ((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BGl_convzd2lambdazd2zz__evaluatez00(BgL_globalsz00_51, BgL_localsz00_50, BgL_locz00_54, BgL_ez00_49, BgL_formalsz00_915, BgL_bodyz00_916, BgL_gvz00_914))), BUNSPEC);
																																																								((((BgL_ev_setglobalz00_bglt) CREF(((BgL_ev_setglobalz00_bglt) BgL_new1137z00_1756)))->BgL_locz00) = ((obj_t) BgL_locz00_54), BUNSPEC);
																																																								{
																																																									obj_t
																																																										BgL_auxz00_5280;
																																																									{	/* Eval/evaluate.scm 441 */
																																																										obj_t
																																																											BgL_arg2030z00_1757;
																																																										BgL_arg2030z00_1757
																																																											=
																																																											BGl_untypezd2identzd2zz__evaluatez00
																																																											(BgL_gvz00_914);
																																																										BgL_auxz00_5280
																																																											=
																																																											CAR
																																																											(BgL_arg2030z00_1757);
																																																									}
																																																									((((BgL_ev_setglobalz00_bglt) CREF(((BgL_ev_setglobalz00_bglt) BgL_new1137z00_1756)))->BgL_namez00) = ((obj_t) BgL_auxz00_5280), BUNSPEC);
																																																								}
																																																								{
																																																									obj_t
																																																										BgL_auxz00_5285;
																																																									if (BGl_evmodulezf3zf3zz__evmodulez00(BgL_globalsz00_51))
																																																										{	/* Eval/evaluate.scm 442 */
																																																											BgL_auxz00_5285
																																																												=
																																																												BgL_globalsz00_51;
																																																										}
																																																									else
																																																										{	/* Eval/evaluate.scm 442 */
																																																											BgL_auxz00_5285
																																																												=
																																																												BGL_MODULE
																																																												();
																																																										}
																																																									((((BgL_ev_setglobalz00_bglt) CREF(((BgL_ev_setglobalz00_bglt) BgL_new1137z00_1756)))->BgL_modz00) = ((obj_t) BgL_auxz00_5285), BUNSPEC);
																																																								}
																																																								BgL_auxz00_5264
																																																									=
																																																									BgL_new1137z00_1756;
																																																							}
																																																							return
																																																								(
																																																								(obj_t)
																																																								BgL_auxz00_5264);
																																																						}
																																																					}
																																																				else
																																																					{	/* Eval/evaluate.scm 320 */
																																																						obj_t
																																																							BgL_arg1586z00_1168;
																																																						BgL_arg1586z00_1168
																																																							=
																																																							CAR
																																																							(BgL_ez00_49);
																																																						{
																																																							BgL_ev_appz00_bglt
																																																								BgL_auxz00_5293;
																																																							{
																																																								obj_t
																																																									BgL_argsz00_5295;
																																																								obj_t
																																																									BgL_fz00_5294;
																																																								BgL_fz00_5294
																																																									=
																																																									BgL_arg1586z00_1168;
																																																								BgL_argsz00_5295
																																																									=
																																																									BgL_cdrzd26055zd2_1151;
																																																								BgL_argsz00_934
																																																									=
																																																									BgL_argsz00_5295;
																																																								BgL_fz00_933
																																																									=
																																																									BgL_fz00_5294;
																																																								goto
																																																									BgL_tagzd2154zd2_935;
																																																							}
																																																							return
																																																								(
																																																								(obj_t)
																																																								BgL_auxz00_5293);
																																																						}
																																																					}
																																																			}
																																																		else
																																																			{	/* Eval/evaluate.scm 320 */
																																																				obj_t
																																																					BgL_cdrzd26147zd2_1172;
																																																				BgL_cdrzd26147zd2_1172
																																																					=
																																																					CDR
																																																					(BgL_cdrzd26055zd2_1151);
																																																				if (NULLP(CDR(BgL_cdrzd26147zd2_1172)))
																																																					{	/* Eval/evaluate.scm 320 */
																																																						obj_t
																																																							BgL_arg1591z00_1174;
																																																						obj_t
																																																							BgL_arg1592z00_1175;
																																																						BgL_arg1591z00_1174
																																																							=
																																																							CAR
																																																							(BgL_cdrzd26055zd2_1151);
																																																						BgL_arg1592z00_1175
																																																							=
																																																							CAR
																																																							(BgL_cdrzd26147zd2_1172);
																																																						{
																																																							BgL_ev_defglobalz00_bglt
																																																								BgL_auxz00_5303;
																																																							BgL_gvz00_918
																																																								=
																																																								BgL_arg1591z00_1174;
																																																							BgL_gez00_919
																																																								=
																																																								BgL_arg1592z00_1175;
																																																						BgL_tagzd2149zd2_920:
																																																							{	/* Eval/evaluate.scm 445 */
																																																								BgL_ev_defglobalz00_bglt
																																																									BgL_new1139z00_1761;
																																																								{	/* Eval/evaluate.scm 445 */
																																																									BgL_ev_defglobalz00_bglt
																																																										BgL_new1138z00_1764;
																																																									BgL_new1138z00_1764
																																																										=
																																																										(
																																																										(BgL_ev_defglobalz00_bglt)
																																																										BREF
																																																										(GC_MALLOC
																																																											(sizeof
																																																												(struct
																																																													BgL_ev_defglobalz00_bgl))));
																																																									{	/* Eval/evaluate.scm 445 */
																																																										long
																																																											BgL_arg2036z00_1765;
																																																										{	/* Eval/evaluate.scm 445 */
																																																											long
																																																												BgL_res2402z00_2888;
																																																											{	/* Eval/evaluate.scm 445 */
																																																												obj_t
																																																													BgL_classz00_2885;
																																																												BgL_classz00_2885
																																																													=
																																																													BGl_ev_defglobalz00zz__evaluate_typesz00;
																																																												{	/* Eval/evaluate.scm 445 */
																																																													obj_t
																																																														BgL_vectorz00_2886;
																																																													int
																																																														BgL_kz00_2887;
																																																													BgL_vectorz00_2886
																																																														=
																																																														BgL_classz00_2885;
																																																													BgL_kz00_2887
																																																														=
																																																														(int)
																																																														(
																																																														((long) 1));
																																																													BgL_res2402z00_2888
																																																														=
																																																														(long)
																																																														CINT
																																																														(VECTOR_REF
																																																														(BgL_vectorz00_2886,
																																																															BgL_kz00_2887));
																																																											}}
																																																											BgL_arg2036z00_1765
																																																												=
																																																												BgL_res2402z00_2888;
																																																										}
																																																										{	/* Eval/evaluate.scm 445 */
																																																											BgL_objectz00_bglt
																																																												BgL_objz00_2889;
																																																											BgL_objz00_2889
																																																												=
																																																												(
																																																												(BgL_objectz00_bglt)
																																																												BgL_new1138z00_1764);
																																																											BGL_OBJECT_CLASS_NUM_SET
																																																												(BgL_objz00_2889,
																																																												BgL_arg2036z00_1765);
																																																									}}
																																																									{	/* Eval/evaluate.scm 445 */
																																																										BgL_objectz00_bglt
																																																											BgL_auxz00_5310;
																																																										BgL_auxz00_5310
																																																											=
																																																											(
																																																											(BgL_objectz00_bglt)
																																																											BgL_new1138z00_1764);
																																																										BGL_OBJECT_WIDENING_SET
																																																											(BgL_auxz00_5310,
																																																											BFALSE);
																																																									}
																																																									BgL_new1139z00_1761
																																																										=
																																																										BgL_new1138z00_1764;
																																																								}
																																																								{
																																																									BgL_ev_exprz00_bglt
																																																										BgL_auxz00_5313;
																																																									{	/* Eval/evaluate.scm 449 */
																																																										obj_t
																																																											BgL_arg2056z00_2892;
																																																										{	/* Eval/evaluate.scm 449 */
																																																											obj_t
																																																												BgL__ortest_1066z00_2895;
																																																											BgL__ortest_1066z00_2895
																																																												=
																																																												BGl_getzd2sourcezd2locationz00zz__readerz00
																																																												(BgL_gez00_919);
																																																											if (CBOOL(BgL__ortest_1066z00_2895))
																																																												{	/* Eval/evaluate.scm 449 */
																																																													BgL_arg2056z00_2892
																																																														=
																																																														BgL__ortest_1066z00_2895;
																																																												}
																																																											else
																																																												{	/* Eval/evaluate.scm 449 */
																																																													BgL_arg2056z00_2892
																																																														=
																																																														BgL_locz00_54;
																																																												}
																																																										}
																																																										BgL_auxz00_5313
																																																											=
																																																											(
																																																											(BgL_ev_exprz00_bglt)
																																																											BGl_convz00zz__evaluatez00
																																																											(BgL_gez00_919,
																																																												BgL_localsz00_50,
																																																												BgL_globalsz00_51,
																																																												BFALSE,
																																																												BgL_wherez00_53,
																																																												BgL_arg2056z00_2892,
																																																												((bool_t) 0)));
																																																									}
																																																									((((BgL_ev_hookz00_bglt) CREF(((BgL_ev_hookz00_bglt) BgL_new1139z00_1761)))->BgL_ez00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_5313), BUNSPEC);
																																																								}
																																																								((((BgL_ev_setglobalz00_bglt) CREF(((BgL_ev_setglobalz00_bglt) BgL_new1139z00_1761)))->BgL_locz00) = ((obj_t) BgL_locz00_54), BUNSPEC);
																																																								{
																																																									obj_t
																																																										BgL_auxz00_5323;
																																																									{	/* Eval/evaluate.scm 447 */
																																																										obj_t
																																																											BgL_arg2034z00_1762;
																																																										BgL_arg2034z00_1762
																																																											=
																																																											BGl_untypezd2identzd2zz__evaluatez00
																																																											(BgL_gvz00_918);
																																																										BgL_auxz00_5323
																																																											=
																																																											CAR
																																																											(BgL_arg2034z00_1762);
																																																									}
																																																									((((BgL_ev_setglobalz00_bglt) CREF(((BgL_ev_setglobalz00_bglt) BgL_new1139z00_1761)))->BgL_namez00) = ((obj_t) BgL_auxz00_5323), BUNSPEC);
																																																								}
																																																								{
																																																									obj_t
																																																										BgL_auxz00_5328;
																																																									if (BGl_evmodulezf3zf3zz__evmodulez00(BgL_globalsz00_51))
																																																										{	/* Eval/evaluate.scm 448 */
																																																											BgL_auxz00_5328
																																																												=
																																																												BgL_globalsz00_51;
																																																										}
																																																									else
																																																										{	/* Eval/evaluate.scm 448 */
																																																											BgL_auxz00_5328
																																																												=
																																																												BGL_MODULE
																																																												();
																																																										}
																																																									((((BgL_ev_setglobalz00_bglt) CREF(((BgL_ev_setglobalz00_bglt) BgL_new1139z00_1761)))->BgL_modz00) = ((obj_t) BgL_auxz00_5328), BUNSPEC);
																																																								}
																																																								BgL_auxz00_5303
																																																									=
																																																									BgL_new1139z00_1761;
																																																							}
																																																							return
																																																								(
																																																								(obj_t)
																																																								BgL_auxz00_5303);
																																																						}
																																																					}
																																																				else
																																																					{	/* Eval/evaluate.scm 320 */
																																																						obj_t
																																																							BgL_arg1593z00_1176;
																																																						obj_t
																																																							BgL_arg1594z00_1177;
																																																						BgL_arg1593z00_1176
																																																							=
																																																							CAR
																																																							(BgL_ez00_49);
																																																						BgL_arg1594z00_1177
																																																							=
																																																							CDR
																																																							(BgL_ez00_49);
																																																						{
																																																							BgL_ev_appz00_bglt
																																																								BgL_auxz00_5337;
																																																							{
																																																								obj_t
																																																									BgL_argsz00_5339;
																																																								obj_t
																																																									BgL_fz00_5338;
																																																								BgL_fz00_5338
																																																									=
																																																									BgL_arg1593z00_1176;
																																																								BgL_argsz00_5339
																																																									=
																																																									BgL_arg1594z00_1177;
																																																								BgL_argsz00_934
																																																									=
																																																									BgL_argsz00_5339;
																																																								BgL_fz00_933
																																																									=
																																																									BgL_fz00_5338;
																																																								goto
																																																									BgL_tagzd2154zd2_935;
																																																							}
																																																							return
																																																								(
																																																								(obj_t)
																																																								BgL_auxz00_5337);
																																																						}
																																																					}
																																																			}
																																																	}
																																																else
																																																	{	/* Eval/evaluate.scm 320 */
																																																		obj_t
																																																			BgL_cdrzd26210zd2_1181;
																																																		BgL_cdrzd26210zd2_1181
																																																			=
																																																			CDR
																																																			(BgL_cdrzd26055zd2_1151);
																																																		if (NULLP(CDR(BgL_cdrzd26210zd2_1181)))
																																																			{	/* Eval/evaluate.scm 320 */
																																																				obj_t
																																																					BgL_arg1598z00_1183;
																																																				obj_t
																																																					BgL_arg1599z00_1184;
																																																				BgL_arg1598z00_1183
																																																					=
																																																					CAR
																																																					(BgL_cdrzd26055zd2_1151);
																																																				BgL_arg1599z00_1184
																																																					=
																																																					CAR
																																																					(BgL_cdrzd26210zd2_1181);
																																																				{
																																																					BgL_ev_defglobalz00_bglt
																																																						BgL_auxz00_5347;
																																																					{
																																																						obj_t
																																																							BgL_gez00_5349;
																																																						obj_t
																																																							BgL_gvz00_5348;
																																																						BgL_gvz00_5348
																																																							=
																																																							BgL_arg1598z00_1183;
																																																						BgL_gez00_5349
																																																							=
																																																							BgL_arg1599z00_1184;
																																																						BgL_gez00_919
																																																							=
																																																							BgL_gez00_5349;
																																																						BgL_gvz00_918
																																																							=
																																																							BgL_gvz00_5348;
																																																						goto
																																																							BgL_tagzd2149zd2_920;
																																																					}
																																																					return
																																																						(
																																																						(obj_t)
																																																						BgL_auxz00_5347);
																																																				}
																																																			}
																																																		else
																																																			{	/* Eval/evaluate.scm 320 */
																																																				obj_t
																																																					BgL_arg1601z00_1185;
																																																				obj_t
																																																					BgL_arg1602z00_1186;
																																																				BgL_arg1601z00_1185
																																																					=
																																																					CAR
																																																					(BgL_ez00_49);
																																																				BgL_arg1602z00_1186
																																																					=
																																																					CDR
																																																					(BgL_ez00_49);
																																																				{
																																																					BgL_ev_appz00_bglt
																																																						BgL_auxz00_5353;
																																																					{
																																																						obj_t
																																																							BgL_argsz00_5355;
																																																						obj_t
																																																							BgL_fz00_5354;
																																																						BgL_fz00_5354
																																																							=
																																																							BgL_arg1601z00_1185;
																																																						BgL_argsz00_5355
																																																							=
																																																							BgL_arg1602z00_1186;
																																																						BgL_argsz00_934
																																																							=
																																																							BgL_argsz00_5355;
																																																						BgL_fz00_933
																																																							=
																																																							BgL_fz00_5354;
																																																						goto
																																																							BgL_tagzd2154zd2_935;
																																																					}
																																																					return
																																																						(
																																																						(obj_t)
																																																						BgL_auxz00_5353);
																																																				}
																																																			}
																																																	}
																																															}
																																														else
																																															{	/* Eval/evaluate.scm 320 */
																																																obj_t
																																																	BgL_cdrzd26273zd2_1189;
																																																BgL_cdrzd26273zd2_1189
																																																	=
																																																	CDR
																																																	(BgL_cdrzd26055zd2_1151);
																																																if (NULLP(CDR(BgL_cdrzd26273zd2_1189)))
																																																	{	/* Eval/evaluate.scm 320 */
																																																		obj_t
																																																			BgL_arg1606z00_1191;
																																																		obj_t
																																																			BgL_arg1608z00_1192;
																																																		BgL_arg1606z00_1191
																																																			=
																																																			CAR
																																																			(BgL_cdrzd26055zd2_1151);
																																																		BgL_arg1608z00_1192
																																																			=
																																																			CAR
																																																			(BgL_cdrzd26273zd2_1189);
																																																		{
																																																			BgL_ev_defglobalz00_bglt
																																																				BgL_auxz00_5363;
																																																			{
																																																				obj_t
																																																					BgL_gez00_5365;
																																																				obj_t
																																																					BgL_gvz00_5364;
																																																				BgL_gvz00_5364
																																																					=
																																																					BgL_arg1606z00_1191;
																																																				BgL_gez00_5365
																																																					=
																																																					BgL_arg1608z00_1192;
																																																				BgL_gez00_919
																																																					=
																																																					BgL_gez00_5365;
																																																				BgL_gvz00_918
																																																					=
																																																					BgL_gvz00_5364;
																																																				goto
																																																					BgL_tagzd2149zd2_920;
																																																			}
																																																			return
																																																				(
																																																				(obj_t)
																																																				BgL_auxz00_5363);
																																																		}
																																																	}
																																																else
																																																	{	/* Eval/evaluate.scm 320 */
																																																		obj_t
																																																			BgL_arg1609z00_1193;
																																																		obj_t
																																																			BgL_arg1611z00_1194;
																																																		BgL_arg1609z00_1193
																																																			=
																																																			CAR
																																																			(BgL_ez00_49);
																																																		BgL_arg1611z00_1194
																																																			=
																																																			CDR
																																																			(BgL_ez00_49);
																																																		{
																																																			BgL_ev_appz00_bglt
																																																				BgL_auxz00_5369;
																																																			{
																																																				obj_t
																																																					BgL_argsz00_5371;
																																																				obj_t
																																																					BgL_fz00_5370;
																																																				BgL_fz00_5370
																																																					=
																																																					BgL_arg1609z00_1193;
																																																				BgL_argsz00_5371
																																																					=
																																																					BgL_arg1611z00_1194;
																																																				BgL_argsz00_934
																																																					=
																																																					BgL_argsz00_5371;
																																																				BgL_fz00_933
																																																					=
																																																					BgL_fz00_5370;
																																																				goto
																																																					BgL_tagzd2154zd2_935;
																																																			}
																																																			return
																																																				(
																																																				(obj_t)
																																																				BgL_auxz00_5369);
																																																		}
																																																	}
																																															}
																																													}
																																												else
																																													{	/* Eval/evaluate.scm 320 */
																																														obj_t
																																															BgL_cdrzd26336zd2_1197;
																																														BgL_cdrzd26336zd2_1197
																																															=
																																															CDR
																																															(BgL_cdrzd26055zd2_1151);
																																														if (NULLP(CDR(BgL_cdrzd26336zd2_1197)))
																																															{	/* Eval/evaluate.scm 320 */
																																																obj_t
																																																	BgL_arg1614z00_1199;
																																																obj_t
																																																	BgL_arg1615z00_1200;
																																																BgL_arg1614z00_1199
																																																	=
																																																	CAR
																																																	(BgL_cdrzd26055zd2_1151);
																																																BgL_arg1615z00_1200
																																																	=
																																																	CAR
																																																	(BgL_cdrzd26336zd2_1197);
																																																{
																																																	BgL_ev_defglobalz00_bglt
																																																		BgL_auxz00_5379;
																																																	{
																																																		obj_t
																																																			BgL_gez00_5381;
																																																		obj_t
																																																			BgL_gvz00_5380;
																																																		BgL_gvz00_5380
																																																			=
																																																			BgL_arg1614z00_1199;
																																																		BgL_gez00_5381
																																																			=
																																																			BgL_arg1615z00_1200;
																																																		BgL_gez00_919
																																																			=
																																																			BgL_gez00_5381;
																																																		BgL_gvz00_918
																																																			=
																																																			BgL_gvz00_5380;
																																																		goto
																																																			BgL_tagzd2149zd2_920;
																																																	}
																																																	return
																																																		(
																																																		(obj_t)
																																																		BgL_auxz00_5379);
																																																}
																																															}
																																														else
																																															{	/* Eval/evaluate.scm 320 */
																																																obj_t
																																																	BgL_arg1616z00_1201;
																																																obj_t
																																																	BgL_arg1619z00_1202;
																																																BgL_arg1616z00_1201
																																																	=
																																																	CAR
																																																	(BgL_ez00_49);
																																																BgL_arg1619z00_1202
																																																	=
																																																	CDR
																																																	(BgL_ez00_49);
																																																{
																																																	BgL_ev_appz00_bglt
																																																		BgL_auxz00_5385;
																																																	{
																																																		obj_t
																																																			BgL_argsz00_5387;
																																																		obj_t
																																																			BgL_fz00_5386;
																																																		BgL_fz00_5386
																																																			=
																																																			BgL_arg1616z00_1201;
																																																		BgL_argsz00_5387
																																																			=
																																																			BgL_arg1619z00_1202;
																																																		BgL_argsz00_934
																																																			=
																																																			BgL_argsz00_5387;
																																																		BgL_fz00_933
																																																			=
																																																			BgL_fz00_5386;
																																																		goto
																																																			BgL_tagzd2154zd2_935;
																																																	}
																																																	return
																																																		(
																																																		(obj_t)
																																																		BgL_auxz00_5385);
																																																}
																																															}
																																													}
																																											}
																																										else
																																											{	/* Eval/evaluate.scm 320 */
																																												obj_t
																																													BgL_cdrzd26399zd2_1206;
																																												BgL_cdrzd26399zd2_1206
																																													=
																																													CDR
																																													(BgL_cdrzd26055zd2_1151);
																																												if (NULLP(CDR(BgL_cdrzd26399zd2_1206)))
																																													{	/* Eval/evaluate.scm 320 */
																																														obj_t
																																															BgL_arg1623z00_1208;
																																														obj_t
																																															BgL_arg1624z00_1209;
																																														BgL_arg1623z00_1208
																																															=
																																															CAR
																																															(BgL_cdrzd26055zd2_1151);
																																														BgL_arg1624z00_1209
																																															=
																																															CAR
																																															(BgL_cdrzd26399zd2_1206);
																																														{
																																															BgL_ev_defglobalz00_bglt
																																																BgL_auxz00_5395;
																																															{
																																																obj_t
																																																	BgL_gez00_5397;
																																																obj_t
																																																	BgL_gvz00_5396;
																																																BgL_gvz00_5396
																																																	=
																																																	BgL_arg1623z00_1208;
																																																BgL_gez00_5397
																																																	=
																																																	BgL_arg1624z00_1209;
																																																BgL_gez00_919
																																																	=
																																																	BgL_gez00_5397;
																																																BgL_gvz00_918
																																																	=
																																																	BgL_gvz00_5396;
																																																goto
																																																	BgL_tagzd2149zd2_920;
																																															}
																																															return
																																																(
																																																(obj_t)
																																																BgL_auxz00_5395);
																																														}
																																													}
																																												else
																																													{	/* Eval/evaluate.scm 320 */
																																														obj_t
																																															BgL_arg1625z00_1210;
																																														obj_t
																																															BgL_arg1626z00_1211;
																																														BgL_arg1625z00_1210
																																															=
																																															CAR
																																															(BgL_ez00_49);
																																														BgL_arg1626z00_1211
																																															=
																																															CDR
																																															(BgL_ez00_49);
																																														{
																																															BgL_ev_appz00_bglt
																																																BgL_auxz00_5401;
																																															{
																																																obj_t
																																																	BgL_argsz00_5403;
																																																obj_t
																																																	BgL_fz00_5402;
																																																BgL_fz00_5402
																																																	=
																																																	BgL_arg1625z00_1210;
																																																BgL_argsz00_5403
																																																	=
																																																	BgL_arg1626z00_1211;
																																																BgL_argsz00_934
																																																	=
																																																	BgL_argsz00_5403;
																																																BgL_fz00_933
																																																	=
																																																	BgL_fz00_5402;
																																																goto
																																																	BgL_tagzd2154zd2_935;
																																															}
																																															return
																																																(
																																																(obj_t)
																																																BgL_auxz00_5401);
																																														}
																																													}
																																											}
																																									}
																																								else
																																									{	/* Eval/evaluate.scm 320 */
																																										obj_t
																																											BgL_arg1628z00_1213;
																																										BgL_arg1628z00_1213
																																											=
																																											CAR
																																											(BgL_ez00_49);
																																										{
																																											BgL_ev_appz00_bglt
																																												BgL_auxz00_5406;
																																											{
																																												obj_t
																																													BgL_argsz00_5408;
																																												obj_t
																																													BgL_fz00_5407;
																																												BgL_fz00_5407
																																													=
																																													BgL_arg1628z00_1213;
																																												BgL_argsz00_5408
																																													=
																																													BgL_cdrzd26055zd2_1151;
																																												BgL_argsz00_934
																																													=
																																													BgL_argsz00_5408;
																																												BgL_fz00_933
																																													=
																																													BgL_fz00_5407;
																																												goto
																																													BgL_tagzd2154zd2_935;
																																											}
																																											return
																																												(
																																												(obj_t)
																																												BgL_auxz00_5406);
																																										}
																																									}
																																							}
																																						else
																																							{	/* Eval/evaluate.scm 320 */
																																								obj_t
																																									BgL_arg1630z00_1215;
																																								BgL_arg1630z00_1215
																																									=
																																									CAR
																																									(BgL_ez00_49);
																																								{
																																									BgL_ev_appz00_bglt
																																										BgL_auxz00_5411;
																																									{
																																										obj_t
																																											BgL_argsz00_5413;
																																										obj_t
																																											BgL_fz00_5412;
																																										BgL_fz00_5412
																																											=
																																											BgL_arg1630z00_1215;
																																										BgL_argsz00_5413
																																											=
																																											BgL_cdrzd26055zd2_1151;
																																										BgL_argsz00_934
																																											=
																																											BgL_argsz00_5413;
																																										BgL_fz00_933
																																											=
																																											BgL_fz00_5412;
																																										goto
																																											BgL_tagzd2154zd2_935;
																																									}
																																									return
																																										(
																																										(obj_t)
																																										BgL_auxz00_5411);
																																								}
																																							}
																																					}
																																				else
																																					{	/* Eval/evaluate.scm 320 */
																																						if (
																																							(CAR
																																								(BgL_ez00_49)
																																								==
																																								BGl_symbol2628z00zz__evaluatez00))
																																							{	/* Eval/evaluate.scm 320 */
																																								if (PAIRP(BgL_cdrzd26055zd2_1151))
																																									{	/* Eval/evaluate.scm 320 */
																																										obj_t
																																											BgL_carzd26567zd2_1220;
																																										BgL_carzd26567zd2_1220
																																											=
																																											CAR
																																											(BgL_cdrzd26055zd2_1151);
																																										if (PAIRP(BgL_carzd26567zd2_1220))
																																											{	/* Eval/evaluate.scm 320 */
																																												if (NULLP(CDR(BgL_carzd26567zd2_1220)))
																																													{	/* Eval/evaluate.scm 320 */
																																														obj_t
																																															BgL_arg1637z00_1223;
																																														obj_t
																																															BgL_arg1638z00_1224;
																																														BgL_arg1637z00_1223
																																															=
																																															CAR
																																															(BgL_carzd26567zd2_1220);
																																														BgL_arg1638z00_1224
																																															=
																																															CDR
																																															(BgL_cdrzd26055zd2_1151);
																																														{
																																															BgL_ev_bindzd2exitzd2_bglt
																																																BgL_auxz00_5428;
																																															BgL_vz00_921
																																																=
																																																BgL_arg1637z00_1223;
																																															BgL_bodyz00_922
																																																=
																																																BgL_arg1638z00_1224;
																																														BgL_tagzd2150zd2_923:
																																															{	/* Eval/evaluate.scm 451 */
																																																BgL_ev_varz00_bglt
																																																	BgL_varz00_1766;
																																																{	/* Eval/evaluate.scm 451 */
																																																	BgL_ev_varz00_bglt
																																																		BgL_new1141z00_1771;
																																																	{	/* Eval/evaluate.scm 451 */
																																																		BgL_ev_varz00_bglt
																																																			BgL_new1140z00_1772;
																																																		BgL_new1140z00_1772
																																																			=
																																																			(
																																																			(BgL_ev_varz00_bglt)
																																																			BREF
																																																			(GC_MALLOC
																																																				(sizeof
																																																					(struct
																																																						BgL_ev_varz00_bgl))));
																																																		{	/* Eval/evaluate.scm 451 */
																																																			long
																																																				BgL_arg2040z00_1773;
																																																			{	/* Eval/evaluate.scm 451 */
																																																				long
																																																					BgL_res2403z00_2902;
																																																				{	/* Eval/evaluate.scm 451 */
																																																					obj_t
																																																						BgL_classz00_2899;
																																																					BgL_classz00_2899
																																																						=
																																																						BGl_ev_varz00zz__evaluate_typesz00;
																																																					{	/* Eval/evaluate.scm 451 */
																																																						obj_t
																																																							BgL_vectorz00_2900;
																																																						int
																																																							BgL_kz00_2901;
																																																						BgL_vectorz00_2900
																																																							=
																																																							BgL_classz00_2899;
																																																						BgL_kz00_2901
																																																							=
																																																							(int)
																																																							(
																																																							((long) 1));
																																																						BgL_res2403z00_2902
																																																							=
																																																							(long)
																																																							CINT
																																																							(VECTOR_REF
																																																							(BgL_vectorz00_2900,
																																																								BgL_kz00_2901));
																																																				}}
																																																				BgL_arg2040z00_1773
																																																					=
																																																					BgL_res2403z00_2902;
																																																			}
																																																			{	/* Eval/evaluate.scm 451 */
																																																				BgL_objectz00_bglt
																																																					BgL_objz00_2903;
																																																				BgL_objz00_2903
																																																					=
																																																					(
																																																					(BgL_objectz00_bglt)
																																																					BgL_new1140z00_1772);
																																																				BGL_OBJECT_CLASS_NUM_SET
																																																					(BgL_objz00_2903,
																																																					BgL_arg2040z00_1773);
																																																		}}
																																																		{	/* Eval/evaluate.scm 451 */
																																																			BgL_objectz00_bglt
																																																				BgL_auxz00_5435;
																																																			BgL_auxz00_5435
																																																				=
																																																				(
																																																				(BgL_objectz00_bglt)
																																																				BgL_new1140z00_1772);
																																																			BGL_OBJECT_WIDENING_SET
																																																				(BgL_auxz00_5435,
																																																				BFALSE);
																																																		}
																																																		BgL_new1141z00_1771
																																																			=
																																																			BgL_new1140z00_1772;
																																																	}
																																																	((((BgL_ev_varz00_bglt) CREF(BgL_new1141z00_1771))->BgL_namez00) = ((obj_t) BgL_vz00_921), BUNSPEC);
																																																	((((BgL_ev_varz00_bglt) CREF(BgL_new1141z00_1771))->BgL_effz00) = ((obj_t) BFALSE), BUNSPEC);
																																																	((((BgL_ev_varz00_bglt) CREF(BgL_new1141z00_1771))->BgL_typez00) = ((obj_t) BFALSE), BUNSPEC);
																																																	BgL_varz00_1766
																																																		=
																																																		BgL_new1141z00_1771;
																																																}
																																																{	/* Eval/evaluate.scm 452 */
																																																	BgL_ev_bindzd2exitzd2_bglt
																																																		BgL_new1143z00_1767;
																																																	{	/* Eval/evaluate.scm 452 */
																																																		BgL_ev_bindzd2exitzd2_bglt
																																																			BgL_new1142z00_1769;
																																																		BgL_new1142z00_1769
																																																			=
																																																			(
																																																			(BgL_ev_bindzd2exitzd2_bglt)
																																																			BREF
																																																			(GC_MALLOC
																																																				(sizeof
																																																					(struct
																																																						BgL_ev_bindzd2exitzd2_bgl))));
																																																		{	/* Eval/evaluate.scm 452 */
																																																			long
																																																				BgL_arg2039z00_1770;
																																																			{	/* Eval/evaluate.scm 452 */
																																																				long
																																																					BgL_res2404z00_2908;
																																																				{	/* Eval/evaluate.scm 452 */
																																																					obj_t
																																																						BgL_classz00_2905;
																																																					BgL_classz00_2905
																																																						=
																																																						BGl_ev_bindzd2exitzd2zz__evaluate_typesz00;
																																																					{	/* Eval/evaluate.scm 452 */
																																																						obj_t
																																																							BgL_vectorz00_2906;
																																																						int
																																																							BgL_kz00_2907;
																																																						BgL_vectorz00_2906
																																																							=
																																																							BgL_classz00_2905;
																																																						BgL_kz00_2907
																																																							=
																																																							(int)
																																																							(
																																																							((long) 1));
																																																						BgL_res2404z00_2908
																																																							=
																																																							(long)
																																																							CINT
																																																							(VECTOR_REF
																																																							(BgL_vectorz00_2906,
																																																								BgL_kz00_2907));
																																																				}}
																																																				BgL_arg2039z00_1770
																																																					=
																																																					BgL_res2404z00_2908;
																																																			}
																																																			{	/* Eval/evaluate.scm 452 */
																																																				BgL_objectz00_bglt
																																																					BgL_objz00_2909;
																																																				BgL_objz00_2909
																																																					=
																																																					(
																																																					(BgL_objectz00_bglt)
																																																					BgL_new1142z00_1769);
																																																				BGL_OBJECT_CLASS_NUM_SET
																																																					(BgL_objz00_2909,
																																																					BgL_arg2039z00_1770);
																																																		}}
																																																		{	/* Eval/evaluate.scm 452 */
																																																			BgL_objectz00_bglt
																																																				BgL_auxz00_5447;
																																																			BgL_auxz00_5447
																																																				=
																																																				(
																																																				(BgL_objectz00_bglt)
																																																				BgL_new1142z00_1769);
																																																			BGL_OBJECT_WIDENING_SET
																																																				(BgL_auxz00_5447,
																																																				BFALSE);
																																																		}
																																																		BgL_new1143z00_1767
																																																			=
																																																			BgL_new1142z00_1769;
																																																	}
																																																	((((BgL_ev_bindzd2exitzd2_bglt) CREF(BgL_new1143z00_1767))->BgL_varz00) = ((BgL_ev_varz00_bglt) BgL_varz00_1766), BUNSPEC);
																																																	{
																																																		BgL_ev_exprz00_bglt
																																																			BgL_auxz00_5451;
																																																		{	/* Eval/evaluate.scm 454 */
																																																			obj_t
																																																				BgL_arg2038z00_1768;
																																																			BgL_arg2038z00_1768
																																																				=
																																																				MAKE_PAIR
																																																				(
																																																				((obj_t) BgL_varz00_1766), BgL_localsz00_50);
																																																			BgL_auxz00_5451
																																																				=
																																																				(
																																																				(BgL_ev_exprz00_bglt)
																																																				BGl_convzd2beginzd2zz__evaluatez00
																																																				(BgL_bodyz00_922,
																																																					BgL_arg2038z00_1768,
																																																					BgL_globalsz00_51,
																																																					BFALSE,
																																																					BgL_wherez00_53,
																																																					BgL_locz00_54,
																																																					((bool_t) 0)));
																																																		}
																																																		((((BgL_ev_bindzd2exitzd2_bglt) CREF(BgL_new1143z00_1767))->BgL_bodyz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_5451), BUNSPEC);
																																																	}
																																																	BgL_auxz00_5428
																																																		=
																																																		BgL_new1143z00_1767;
																																															}}
																																															return
																																																(
																																																(obj_t)
																																																BgL_auxz00_5428);
																																														}
																																													}
																																												else
																																													{	/* Eval/evaluate.scm 320 */
																																														obj_t
																																															BgL_arg1640z00_1225;
																																														obj_t
																																															BgL_arg1641z00_1226;
																																														BgL_arg1640z00_1225
																																															=
																																															CAR
																																															(BgL_ez00_49);
																																														BgL_arg1641z00_1226
																																															=
																																															CDR
																																															(BgL_ez00_49);
																																														{
																																															BgL_ev_appz00_bglt
																																																BgL_auxz00_5460;
																																															{
																																																obj_t
																																																	BgL_argsz00_5462;
																																																obj_t
																																																	BgL_fz00_5461;
																																																BgL_fz00_5461
																																																	=
																																																	BgL_arg1640z00_1225;
																																																BgL_argsz00_5462
																																																	=
																																																	BgL_arg1641z00_1226;
																																																BgL_argsz00_934
																																																	=
																																																	BgL_argsz00_5462;
																																																BgL_fz00_933
																																																	=
																																																	BgL_fz00_5461;
																																																goto
																																																	BgL_tagzd2154zd2_935;
																																															}
																																															return
																																																(
																																																(obj_t)
																																																BgL_auxz00_5460);
																																														}
																																													}
																																											}
																																										else
																																											{	/* Eval/evaluate.scm 320 */
																																												obj_t
																																													BgL_arg1644z00_1228;
																																												obj_t
																																													BgL_arg1645z00_1229;
																																												BgL_arg1644z00_1228
																																													=
																																													CAR
																																													(BgL_ez00_49);
																																												BgL_arg1645z00_1229
																																													=
																																													CDR
																																													(BgL_ez00_49);
																																												{
																																													BgL_ev_appz00_bglt
																																														BgL_auxz00_5466;
																																													{
																																														obj_t
																																															BgL_argsz00_5468;
																																														obj_t
																																															BgL_fz00_5467;
																																														BgL_fz00_5467
																																															=
																																															BgL_arg1644z00_1228;
																																														BgL_argsz00_5468
																																															=
																																															BgL_arg1645z00_1229;
																																														BgL_argsz00_934
																																															=
																																															BgL_argsz00_5468;
																																														BgL_fz00_933
																																															=
																																															BgL_fz00_5467;
																																														goto
																																															BgL_tagzd2154zd2_935;
																																													}
																																													return
																																														(
																																														(obj_t)
																																														BgL_auxz00_5466);
																																												}
																																											}
																																									}
																																								else
																																									{	/* Eval/evaluate.scm 320 */
																																										obj_t
																																											BgL_arg1646z00_1230;
																																										obj_t
																																											BgL_arg1647z00_1231;
																																										BgL_arg1646z00_1230
																																											=
																																											CAR
																																											(BgL_ez00_49);
																																										BgL_arg1647z00_1231
																																											=
																																											CDR
																																											(BgL_ez00_49);
																																										{
																																											BgL_ev_appz00_bglt
																																												BgL_auxz00_5472;
																																											{
																																												obj_t
																																													BgL_argsz00_5474;
																																												obj_t
																																													BgL_fz00_5473;
																																												BgL_fz00_5473
																																													=
																																													BgL_arg1646z00_1230;
																																												BgL_argsz00_5474
																																													=
																																													BgL_arg1647z00_1231;
																																												BgL_argsz00_934
																																													=
																																													BgL_argsz00_5474;
																																												BgL_fz00_933
																																													=
																																													BgL_fz00_5473;
																																												goto
																																													BgL_tagzd2154zd2_935;
																																											}
																																											return
																																												(
																																												(obj_t)
																																												BgL_auxz00_5472);
																																										}
																																									}
																																							}
																																						else
																																							{	/* Eval/evaluate.scm 320 */
																																								obj_t
																																									BgL_cdrzd26670zd2_1232;
																																								BgL_cdrzd26670zd2_1232
																																									=
																																									CDR
																																									(BgL_ez00_49);
																																								if ((CAR(BgL_ez00_49) == BGl_symbol2630z00zz__evaluatez00))
																																									{	/* Eval/evaluate.scm 320 */
																																										if (PAIRP(BgL_cdrzd26670zd2_1232))
																																											{	/* Eval/evaluate.scm 320 */
																																												obj_t
																																													BgL_arg1650z00_1235;
																																												obj_t
																																													BgL_arg1651z00_1236;
																																												BgL_arg1650z00_1235
																																													=
																																													CAR
																																													(BgL_cdrzd26670zd2_1232);
																																												BgL_arg1651z00_1236
																																													=
																																													CDR
																																													(BgL_cdrzd26670zd2_1232);
																																												{
																																													BgL_ev_unwindzd2protectzd2_bglt
																																														BgL_auxz00_5484;
																																													BgL_ez00_924
																																														=
																																														BgL_arg1650z00_1235;
																																													BgL_bodyz00_925
																																														=
																																														BgL_arg1651z00_1236;
																																												BgL_tagzd2151zd2_926:
																																													{	/* Eval/evaluate.scm 456 */
																																														BgL_ev_unwindzd2protectzd2_bglt
																																															BgL_new1145z00_1774;
																																														{	/* Eval/evaluate.scm 456 */
																																															BgL_ev_unwindzd2protectzd2_bglt
																																																BgL_new1144z00_1775;
																																															BgL_new1144z00_1775
																																																=
																																																(
																																																(BgL_ev_unwindzd2protectzd2_bglt)
																																																BREF
																																																(GC_MALLOC
																																																	(sizeof
																																																		(struct
																																																			BgL_ev_unwindzd2protectzd2_bgl))));
																																															{	/* Eval/evaluate.scm 456 */
																																																long
																																																	BgL_arg2042z00_1776;
																																																{	/* Eval/evaluate.scm 456 */
																																																	long
																																																		BgL_res2405z00_2914;
																																																	{	/* Eval/evaluate.scm 456 */
																																																		obj_t
																																																			BgL_classz00_2911;
																																																		BgL_classz00_2911
																																																			=
																																																			BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00;
																																																		{	/* Eval/evaluate.scm 456 */
																																																			obj_t
																																																				BgL_vectorz00_2912;
																																																			int
																																																				BgL_kz00_2913;
																																																			BgL_vectorz00_2912
																																																				=
																																																				BgL_classz00_2911;
																																																			BgL_kz00_2913
																																																				=
																																																				(int)
																																																				(
																																																				((long) 1));
																																																			BgL_res2405z00_2914
																																																				=
																																																				(long)
																																																				CINT
																																																				(VECTOR_REF
																																																				(BgL_vectorz00_2912,
																																																					BgL_kz00_2913));
																																																	}}
																																																	BgL_arg2042z00_1776
																																																		=
																																																		BgL_res2405z00_2914;
																																																}
																																																{	/* Eval/evaluate.scm 456 */
																																																	BgL_objectz00_bglt
																																																		BgL_objz00_2915;
																																																	BgL_objz00_2915
																																																		=
																																																		(
																																																		(BgL_objectz00_bglt)
																																																		BgL_new1144z00_1775);
																																																	BGL_OBJECT_CLASS_NUM_SET
																																																		(BgL_objz00_2915,
																																																		BgL_arg2042z00_1776);
																																															}}
																																															{	/* Eval/evaluate.scm 456 */
																																																BgL_objectz00_bglt
																																																	BgL_auxz00_5491;
																																																BgL_auxz00_5491
																																																	=
																																																	(
																																																	(BgL_objectz00_bglt)
																																																	BgL_new1144z00_1775);
																																																BGL_OBJECT_WIDENING_SET
																																																	(BgL_auxz00_5491,
																																																	BFALSE);
																																															}
																																															BgL_new1145z00_1774
																																																=
																																																BgL_new1144z00_1775;
																																														}
																																														{
																																															BgL_ev_exprz00_bglt
																																																BgL_auxz00_5494;
																																															{	/* Eval/evaluate.scm 457 */
																																																obj_t
																																																	BgL_arg2056z00_2918;
																																																{	/* Eval/evaluate.scm 457 */
																																																	obj_t
																																																		BgL__ortest_1066z00_2921;
																																																	BgL__ortest_1066z00_2921
																																																		=
																																																		BGl_getzd2sourcezd2locationz00zz__readerz00
																																																		(BgL_ez00_924);
																																																	if (CBOOL(BgL__ortest_1066z00_2921))
																																																		{	/* Eval/evaluate.scm 457 */
																																																			BgL_arg2056z00_2918
																																																				=
																																																				BgL__ortest_1066z00_2921;
																																																		}
																																																	else
																																																		{	/* Eval/evaluate.scm 457 */
																																																			BgL_arg2056z00_2918
																																																				=
																																																				BgL_locz00_54;
																																																		}
																																																}
																																																BgL_auxz00_5494
																																																	=
																																																	(
																																																	(BgL_ev_exprz00_bglt)
																																																	BGl_convz00zz__evaluatez00
																																																	(BgL_ez00_924,
																																																		BgL_localsz00_50,
																																																		BgL_globalsz00_51,
																																																		BFALSE,
																																																		BgL_wherez00_53,
																																																		BgL_arg2056z00_2918,
																																																		((bool_t) 0)));
																																															}
																																															((((BgL_ev_unwindzd2protectzd2_bglt) CREF(BgL_new1145z00_1774))->BgL_ez00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_5494), BUNSPEC);
																																														}
																																														((((BgL_ev_unwindzd2protectzd2_bglt) CREF(BgL_new1145z00_1774))->BgL_bodyz00) = ((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BGl_convzd2beginzd2zz__evaluatez00(BgL_bodyz00_925, BgL_localsz00_50, BgL_globalsz00_51, BFALSE, BgL_wherez00_53, BgL_locz00_54, ((bool_t) 0)))), BUNSPEC);
																																														BgL_auxz00_5484
																																															=
																																															BgL_new1145z00_1774;
																																													}
																																													return
																																														(
																																														(obj_t)
																																														BgL_auxz00_5484);
																																												}
																																											}
																																										else
																																											{	/* Eval/evaluate.scm 320 */
																																												obj_t
																																													BgL_arg1652z00_1237;
																																												BgL_arg1652z00_1237
																																													=
																																													CAR
																																													(BgL_ez00_49);
																																												{
																																													BgL_ev_appz00_bglt
																																														BgL_auxz00_5506;
																																													{
																																														obj_t
																																															BgL_argsz00_5508;
																																														obj_t
																																															BgL_fz00_5507;
																																														BgL_fz00_5507
																																															=
																																															BgL_arg1652z00_1237;
																																														BgL_argsz00_5508
																																															=
																																															BgL_cdrzd26670zd2_1232;
																																														BgL_argsz00_934
																																															=
																																															BgL_argsz00_5508;
																																														BgL_fz00_933
																																															=
																																															BgL_fz00_5507;
																																														goto
																																															BgL_tagzd2154zd2_935;
																																													}
																																													return
																																														(
																																														(obj_t)
																																														BgL_auxz00_5506);
																																												}
																																											}
																																									}
																																								else
																																									{	/* Eval/evaluate.scm 320 */
																																										if ((CAR(BgL_ez00_49) == BGl_symbol2632z00zz__evaluatez00))
																																											{	/* Eval/evaluate.scm 320 */
																																												if (PAIRP(BgL_cdrzd26670zd2_1232))
																																													{	/* Eval/evaluate.scm 320 */
																																														obj_t
																																															BgL_arg1656z00_1242;
																																														obj_t
																																															BgL_arg1657z00_1243;
																																														BgL_arg1656z00_1242
																																															=
																																															CAR
																																															(BgL_cdrzd26670zd2_1232);
																																														BgL_arg1657z00_1243
																																															=
																																															CDR
																																															(BgL_cdrzd26670zd2_1232);
																																														{
																																															BgL_ev_withzd2handlerzd2_bglt
																																																BgL_auxz00_5517;
																																															BgL_hz00_927
																																																=
																																																BgL_arg1656z00_1242;
																																															BgL_bodyz00_928
																																																=
																																																BgL_arg1657z00_1243;
																																														BgL_tagzd2152zd2_929:
																																															{	/* Eval/evaluate.scm 460 */
																																																BgL_ev_withzd2handlerzd2_bglt
																																																	BgL_new1147z00_1777;
																																																{	/* Eval/evaluate.scm 460 */
																																																	BgL_ev_withzd2handlerzd2_bglt
																																																		BgL_new1146z00_1778;
																																																	BgL_new1146z00_1778
																																																		=
																																																		(
																																																		(BgL_ev_withzd2handlerzd2_bglt)
																																																		BREF
																																																		(GC_MALLOC
																																																			(sizeof
																																																				(struct
																																																					BgL_ev_withzd2handlerzd2_bgl))));
																																																	{	/* Eval/evaluate.scm 460 */
																																																		long
																																																			BgL_arg2044z00_1779;
																																																		{	/* Eval/evaluate.scm 460 */
																																																			long
																																																				BgL_res2406z00_2927;
																																																			{	/* Eval/evaluate.scm 460 */
																																																				obj_t
																																																					BgL_classz00_2924;
																																																				BgL_classz00_2924
																																																					=
																																																					BGl_ev_withzd2handlerzd2zz__evaluate_typesz00;
																																																				{	/* Eval/evaluate.scm 460 */
																																																					obj_t
																																																						BgL_vectorz00_2925;
																																																					int
																																																						BgL_kz00_2926;
																																																					BgL_vectorz00_2925
																																																						=
																																																						BgL_classz00_2924;
																																																					BgL_kz00_2926
																																																						=
																																																						(int)
																																																						(
																																																						((long) 1));
																																																					BgL_res2406z00_2927
																																																						=
																																																						(long)
																																																						CINT
																																																						(VECTOR_REF
																																																						(BgL_vectorz00_2925,
																																																							BgL_kz00_2926));
																																																			}}
																																																			BgL_arg2044z00_1779
																																																				=
																																																				BgL_res2406z00_2927;
																																																		}
																																																		{	/* Eval/evaluate.scm 460 */
																																																			BgL_objectz00_bglt
																																																				BgL_objz00_2928;
																																																			BgL_objz00_2928
																																																				=
																																																				(
																																																				(BgL_objectz00_bglt)
																																																				BgL_new1146z00_1778);
																																																			BGL_OBJECT_CLASS_NUM_SET
																																																				(BgL_objz00_2928,
																																																				BgL_arg2044z00_1779);
																																																	}}
																																																	{	/* Eval/evaluate.scm 460 */
																																																		BgL_objectz00_bglt
																																																			BgL_auxz00_5524;
																																																		BgL_auxz00_5524
																																																			=
																																																			(
																																																			(BgL_objectz00_bglt)
																																																			BgL_new1146z00_1778);
																																																		BGL_OBJECT_WIDENING_SET
																																																			(BgL_auxz00_5524,
																																																			BFALSE);
																																																	}
																																																	BgL_new1147z00_1777
																																																		=
																																																		BgL_new1146z00_1778;
																																																}
																																																{
																																																	BgL_ev_exprz00_bglt
																																																		BgL_auxz00_5527;
																																																	{	/* Eval/evaluate.scm 461 */
																																																		obj_t
																																																			BgL_arg2056z00_2931;
																																																		{	/* Eval/evaluate.scm 461 */
																																																			obj_t
																																																				BgL__ortest_1066z00_2934;
																																																			BgL__ortest_1066z00_2934
																																																				=
																																																				BGl_getzd2sourcezd2locationz00zz__readerz00
																																																				(BgL_hz00_927);
																																																			if (CBOOL(BgL__ortest_1066z00_2934))
																																																				{	/* Eval/evaluate.scm 461 */
																																																					BgL_arg2056z00_2931
																																																						=
																																																						BgL__ortest_1066z00_2934;
																																																				}
																																																			else
																																																				{	/* Eval/evaluate.scm 461 */
																																																					BgL_arg2056z00_2931
																																																						=
																																																						BgL_locz00_54;
																																																				}
																																																		}
																																																		BgL_auxz00_5527
																																																			=
																																																			(
																																																			(BgL_ev_exprz00_bglt)
																																																			BGl_convz00zz__evaluatez00
																																																			(BgL_hz00_927,
																																																				BgL_localsz00_50,
																																																				BgL_globalsz00_51,
																																																				BFALSE,
																																																				BgL_wherez00_53,
																																																				BgL_arg2056z00_2931,
																																																				((bool_t) 0)));
																																																	}
																																																	((((BgL_ev_withzd2handlerzd2_bglt) CREF(BgL_new1147z00_1777))->BgL_handlerz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_5527), BUNSPEC);
																																																}
																																																((((BgL_ev_withzd2handlerzd2_bglt) CREF(BgL_new1147z00_1777))->BgL_bodyz00) = ((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BGl_convzd2beginzd2zz__evaluatez00(BgL_bodyz00_928, BgL_localsz00_50, BgL_globalsz00_51, BFALSE, BgL_wherez00_53, BgL_locz00_54, ((bool_t) 0)))), BUNSPEC);
																																																BgL_auxz00_5517
																																																	=
																																																	BgL_new1147z00_1777;
																																															}
																																															return
																																																(
																																																(obj_t)
																																																BgL_auxz00_5517);
																																														}
																																													}
																																												else
																																													{	/* Eval/evaluate.scm 320 */
																																														obj_t
																																															BgL_arg1658z00_1244;
																																														obj_t
																																															BgL_arg1659z00_1245;
																																														BgL_arg1658z00_1244
																																															=
																																															CAR
																																															(BgL_ez00_49);
																																														BgL_arg1659z00_1245
																																															=
																																															CDR
																																															(BgL_ez00_49);
																																														{
																																															BgL_ev_appz00_bglt
																																																BgL_auxz00_5540;
																																															{
																																																obj_t
																																																	BgL_argsz00_5542;
																																																obj_t
																																																	BgL_fz00_5541;
																																																BgL_fz00_5541
																																																	=
																																																	BgL_arg1658z00_1244;
																																																BgL_argsz00_5542
																																																	=
																																																	BgL_arg1659z00_1245;
																																																BgL_argsz00_934
																																																	=
																																																	BgL_argsz00_5542;
																																																BgL_fz00_933
																																																	=
																																																	BgL_fz00_5541;
																																																goto
																																																	BgL_tagzd2154zd2_935;
																																															}
																																															return
																																																(
																																																(obj_t)
																																																BgL_auxz00_5540);
																																														}
																																													}
																																											}
																																										else
																																											{	/* Eval/evaluate.scm 320 */
																																												obj_t
																																													BgL_cdrzd26734zd2_1246;
																																												BgL_cdrzd26734zd2_1246
																																													=
																																													CDR
																																													(BgL_ez00_49);
																																												if ((CAR(BgL_ez00_49) == BGl_symbol2626z00zz__evaluatez00))
																																													{	/* Eval/evaluate.scm 320 */
																																														if (PAIRP(BgL_cdrzd26734zd2_1246))
																																															{	/* Eval/evaluate.scm 320 */
																																																obj_t
																																																	BgL_cdrzd26738zd2_1249;
																																																BgL_cdrzd26738zd2_1249
																																																	=
																																																	CDR
																																																	(BgL_cdrzd26734zd2_1246);
																																																if (PAIRP(BgL_cdrzd26738zd2_1249))
																																																	{	/* Eval/evaluate.scm 320 */
																																																		if (NULLP(CDR(BgL_cdrzd26738zd2_1249)))
																																																			{	/* Eval/evaluate.scm 320 */
																																																				obj_t
																																																					BgL_arg1664z00_1252;
																																																				obj_t
																																																					BgL_arg1665z00_1253;
																																																				BgL_arg1664z00_1252
																																																					=
																																																					CAR
																																																					(BgL_cdrzd26734zd2_1246);
																																																				BgL_arg1665z00_1253
																																																					=
																																																					CAR
																																																					(BgL_cdrzd26738zd2_1249);
																																																				{	/* Eval/evaluate.scm 320 */
																																																					obj_t
																																																						BgL_arg2045z00_3371;
																																																					{	/* Eval/evaluate.scm 320 */
																																																						obj_t
																																																							BgL_arg2046z00_3372;
																																																						{	/* Eval/evaluate.scm 320 */
																																																							obj_t
																																																								BgL_arg2048z00_3373;
																																																							obj_t
																																																								BgL_arg2049z00_3374;
																																																							{	/* Eval/evaluate.scm 320 */
																																																								obj_t
																																																									BgL_res2482z00_3377;
																																																								{	/* Eval/evaluate.scm 320 */
																																																									obj_t
																																																										BgL_symbolz00_3375;
																																																									BgL_symbolz00_3375
																																																										=
																																																										BGl_symbol2634z00zz__evaluatez00;
																																																									{	/* Eval/evaluate.scm 320 */
																																																										obj_t
																																																											BgL_arg2227z00_3376;
																																																										BgL_arg2227z00_3376
																																																											=
																																																											SYMBOL_TO_STRING
																																																											(BgL_symbolz00_3375);
																																																										BgL_res2482z00_3377
																																																											=
																																																											BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																																																											(BgL_arg2227z00_3376);
																																																									}
																																																								}
																																																								BgL_arg2048z00_3373
																																																									=
																																																									BgL_res2482z00_3377;
																																																							}
																																																							{	/* Eval/evaluate.scm 320 */
																																																								obj_t
																																																									BgL_res2483z00_3380;
																																																								{	/* Eval/evaluate.scm 320 */
																																																									obj_t
																																																										BgL_symbolz00_3378;
																																																									BgL_symbolz00_3378
																																																										=
																																																										BgL_wherez00_53;
																																																									{	/* Eval/evaluate.scm 320 */
																																																										obj_t
																																																											BgL_arg2227z00_3379;
																																																										BgL_arg2227z00_3379
																																																											=
																																																											SYMBOL_TO_STRING
																																																											(BgL_symbolz00_3378);
																																																										BgL_res2483z00_3380
																																																											=
																																																											BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																																																											(BgL_arg2227z00_3379);
																																																									}
																																																								}
																																																								BgL_arg2049z00_3374
																																																									=
																																																									BgL_res2483z00_3380;
																																																							}
																																																							BgL_arg2046z00_3372
																																																								=
																																																								string_append
																																																								(BgL_arg2048z00_3373,
																																																								BgL_arg2049z00_3374);
																																																						}
																																																						BgL_arg2045z00_3371
																																																							=
																																																							string_to_symbol
																																																							(BSTRING_TO_STRING
																																																							(BgL_arg2046z00_3372));
																																																					}
																																																					return
																																																						(
																																																						(obj_t)
																																																						BGl_convzd2lambdazd2zz__evaluatez00
																																																						(BgL_globalsz00_51,
																																																							BgL_localsz00_50,
																																																							BgL_locz00_54,
																																																							BgL_ez00_49,
																																																							BgL_arg1664z00_1252,
																																																							BgL_arg1665z00_1253,
																																																							BgL_arg2045z00_3371));
																																																				}
																																																			}
																																																		else
																																																			{	/* Eval/evaluate.scm 320 */
																																																				obj_t
																																																					BgL_arg1666z00_1254;
																																																				BgL_arg1666z00_1254
																																																					=
																																																					CAR
																																																					(BgL_ez00_49);
																																																				{
																																																					BgL_ev_appz00_bglt
																																																						BgL_auxz00_5568;
																																																					{
																																																						obj_t
																																																							BgL_argsz00_5570;
																																																						obj_t
																																																							BgL_fz00_5569;
																																																						BgL_fz00_5569
																																																							=
																																																							BgL_arg1666z00_1254;
																																																						BgL_argsz00_5570
																																																							=
																																																							BgL_cdrzd26734zd2_1246;
																																																						BgL_argsz00_934
																																																							=
																																																							BgL_argsz00_5570;
																																																						BgL_fz00_933
																																																							=
																																																							BgL_fz00_5569;
																																																						goto
																																																							BgL_tagzd2154zd2_935;
																																																					}
																																																					return
																																																						(
																																																						(obj_t)
																																																						BgL_auxz00_5568);
																																																				}
																																																			}
																																																	}
																																																else
																																																	{	/* Eval/evaluate.scm 320 */
																																																		obj_t
																																																			BgL_arg1669z00_1257;
																																																		BgL_arg1669z00_1257
																																																			=
																																																			CAR
																																																			(BgL_ez00_49);
																																																		{
																																																			BgL_ev_appz00_bglt
																																																				BgL_auxz00_5573;
																																																			{
																																																				obj_t
																																																					BgL_argsz00_5575;
																																																				obj_t
																																																					BgL_fz00_5574;
																																																				BgL_fz00_5574
																																																					=
																																																					BgL_arg1669z00_1257;
																																																				BgL_argsz00_5575
																																																					=
																																																					BgL_cdrzd26734zd2_1246;
																																																				BgL_argsz00_934
																																																					=
																																																					BgL_argsz00_5575;
																																																				BgL_fz00_933
																																																					=
																																																					BgL_fz00_5574;
																																																				goto
																																																					BgL_tagzd2154zd2_935;
																																																			}
																																																			return
																																																				(
																																																				(obj_t)
																																																				BgL_auxz00_5573);
																																																		}
																																																	}
																																															}
																																														else
																																															{	/* Eval/evaluate.scm 320 */
																																																obj_t
																																																	BgL_arg1671z00_1259;
																																																BgL_arg1671z00_1259
																																																	=
																																																	CAR
																																																	(BgL_ez00_49);
																																																{
																																																	BgL_ev_appz00_bglt
																																																		BgL_auxz00_5578;
																																																	{
																																																		obj_t
																																																			BgL_argsz00_5580;
																																																		obj_t
																																																			BgL_fz00_5579;
																																																		BgL_fz00_5579
																																																			=
																																																			BgL_arg1671z00_1259;
																																																		BgL_argsz00_5580
																																																			=
																																																			BgL_cdrzd26734zd2_1246;
																																																		BgL_argsz00_934
																																																			=
																																																			BgL_argsz00_5580;
																																																		BgL_fz00_933
																																																			=
																																																			BgL_fz00_5579;
																																																		goto
																																																			BgL_tagzd2154zd2_935;
																																																	}
																																																	return
																																																		(
																																																		(obj_t)
																																																		BgL_auxz00_5578);
																																																}
																																															}
																																													}
																																												else
																																													{	/* Eval/evaluate.scm 320 */
																																														obj_t
																																															BgL_arg1673z00_1261;
																																														BgL_arg1673z00_1261
																																															=
																																															CAR
																																															(BgL_ez00_49);
																																														{
																																															BgL_ev_appz00_bglt
																																																BgL_auxz00_5583;
																																															{
																																																obj_t
																																																	BgL_argsz00_5585;
																																																obj_t
																																																	BgL_fz00_5584;
																																																BgL_fz00_5584
																																																	=
																																																	BgL_arg1673z00_1261;
																																																BgL_argsz00_5585
																																																	=
																																																	BgL_cdrzd26734zd2_1246;
																																																BgL_argsz00_934
																																																	=
																																																	BgL_argsz00_5585;
																																																BgL_fz00_933
																																																	=
																																																	BgL_fz00_5584;
																																																goto
																																																	BgL_tagzd2154zd2_935;
																																															}
																																															return
																																																(
																																																(obj_t)
																																																BgL_auxz00_5583);
																																														}
																																													}
																																											}
																																									}
																																							}
																																					}
																																			}
																																	}
																															}
																													}
																											}
																									}
																							}
																					}
																			}
																	}
															}
													}
												else
													{	/* Eval/evaluate.scm 320 */
														if (
															(BgL_carzd23104zd2_999 ==
																BGl_symbol2604z00zz__evaluatez00))
															{	/* Eval/evaluate.scm 320 */
																if (PAIRP(BgL_cdrzd2225zd2_941))
																	{	/* Eval/evaluate.scm 320 */
																		if (NULLP(CDR(BgL_cdrzd2225zd2_941)))
																			{	/* Eval/evaluate.scm 320 */
																				obj_t BgL_arg1694z00_1283;

																				BgL_arg1694z00_1283 =
																					CAR(BgL_cdrzd2225zd2_941);
																				{
																					BgL_ev_trapz00_bglt BgL_auxz00_5595;

																					{
																						obj_t BgL_ez00_5596;

																						BgL_ez00_5596 = BgL_arg1694z00_1283;
																						BgL_ez00_880 = BgL_ez00_5596;
																						goto BgL_tagzd2135zd2_881;
																					}
																					return ((obj_t) BgL_auxz00_5595);
																				}
																			}
																		else
																			{	/* Eval/evaluate.scm 320 */
																				obj_t BgL_arg1695z00_1284;
																				obj_t BgL_arg1696z00_1285;

																				BgL_arg1695z00_1284 = CAR(BgL_ez00_49);
																				BgL_arg1696z00_1285 = CDR(BgL_ez00_49);
																				{
																					BgL_ev_appz00_bglt BgL_auxz00_5600;

																					{
																						obj_t BgL_argsz00_5602;
																						obj_t BgL_fz00_5601;

																						BgL_fz00_5601 = BgL_arg1695z00_1284;
																						BgL_argsz00_5602 =
																							BgL_arg1696z00_1285;
																						BgL_argsz00_934 = BgL_argsz00_5602;
																						BgL_fz00_933 = BgL_fz00_5601;
																						goto BgL_tagzd2154zd2_935;
																					}
																					return ((obj_t) BgL_auxz00_5600);
																				}
																			}
																	}
																else
																	{	/* Eval/evaluate.scm 320 */
																		obj_t BgL_arg1698z00_1287;
																		obj_t BgL_arg1699z00_1288;

																		BgL_arg1698z00_1287 = CAR(BgL_ez00_49);
																		BgL_arg1699z00_1288 = CDR(BgL_ez00_49);
																		{
																			BgL_ev_appz00_bglt BgL_auxz00_5606;

																			{
																				obj_t BgL_argsz00_5608;
																				obj_t BgL_fz00_5607;

																				BgL_fz00_5607 = BgL_arg1698z00_1287;
																				BgL_argsz00_5608 = BgL_arg1699z00_1288;
																				BgL_argsz00_934 = BgL_argsz00_5608;
																				BgL_fz00_933 = BgL_fz00_5607;
																				goto BgL_tagzd2154zd2_935;
																			}
																			return ((obj_t) BgL_auxz00_5606);
																		}
																	}
															}
														else
															{	/* Eval/evaluate.scm 320 */
																obj_t BgL_cdrzd27301zd2_1289;

																BgL_cdrzd27301zd2_1289 = CDR(BgL_ez00_49);
																if (
																	(CAR(BgL_ez00_49) ==
																		BGl_symbol2606z00zz__evaluatez00))
																	{	/* Eval/evaluate.scm 320 */
																		if (PAIRP(BgL_cdrzd27301zd2_1289))
																			{	/* Eval/evaluate.scm 320 */
																				if (NULLP(CDR(BgL_cdrzd27301zd2_1289)))
																					{	/* Eval/evaluate.scm 320 */
																						obj_t BgL_arg1704z00_1293;

																						BgL_arg1704z00_1293 =
																							CAR(BgL_cdrzd27301zd2_1289);
																						{	/* Eval/evaluate.scm 320 */
																							BgL_ev_littz00_bglt
																								BgL_new1109z00_3412;
																							{	/* Eval/evaluate.scm 320 */
																								BgL_ev_littz00_bglt
																									BgL_new1108z00_3413;
																								BgL_new1108z00_3413 =
																									((BgL_ev_littz00_bglt)
																									BREF(GC_MALLOC(sizeof(struct
																												BgL_ev_littz00_bgl))));
																								{	/* Eval/evaluate.scm 320 */
																									long BgL_arg1950z00_3414;

																									{	/* Eval/evaluate.scm 320 */
																										long BgL_res2489z00_3418;

																										{	/* Eval/evaluate.scm 320 */
																											obj_t BgL_classz00_3415;

																											BgL_classz00_3415 =
																												BGl_ev_littz00zz__evaluate_typesz00;
																											{	/* Eval/evaluate.scm 320 */
																												obj_t
																													BgL_vectorz00_3416;
																												int BgL_kz00_3417;

																												BgL_vectorz00_3416 =
																													BgL_classz00_3415;
																												BgL_kz00_3417 =
																													(int) (((long) 1));
																												BgL_res2489z00_3418 =
																													(long)
																													CINT(VECTOR_REF
																													(BgL_vectorz00_3416,
																														BgL_kz00_3417));
																										}}
																										BgL_arg1950z00_3414 =
																											BgL_res2489z00_3418;
																									}
																									{	/* Eval/evaluate.scm 320 */
																										BgL_objectz00_bglt
																											BgL_objz00_3419;
																										BgL_objz00_3419 =
																											((BgL_objectz00_bglt)
																											BgL_new1108z00_3413);
																										BGL_OBJECT_CLASS_NUM_SET
																											(BgL_objz00_3419,
																											BgL_arg1950z00_3414);
																								}}
																								{	/* Eval/evaluate.scm 320 */
																									BgL_objectz00_bglt
																										BgL_auxz00_5626;
																									BgL_auxz00_5626 =
																										((BgL_objectz00_bglt)
																										BgL_new1108z00_3413);
																									BGL_OBJECT_WIDENING_SET
																										(BgL_auxz00_5626, BFALSE);
																								}
																								BgL_new1109z00_3412 =
																									BgL_new1108z00_3413;
																							}
																							((((BgL_ev_littz00_bglt)
																										CREF(BgL_new1109z00_3412))->
																									BgL_valuez00) =
																								((obj_t) BgL_arg1704z00_1293),
																								BUNSPEC);
																							return ((obj_t)
																								BgL_new1109z00_3412);
																						}
																					}
																				else
																					{	/* Eval/evaluate.scm 320 */
																						obj_t BgL_arg1705z00_1294;

																						BgL_arg1705z00_1294 =
																							CAR(BgL_ez00_49);
																						{
																							BgL_ev_appz00_bglt
																								BgL_auxz00_5632;
																							{
																								obj_t BgL_argsz00_5634;
																								obj_t BgL_fz00_5633;

																								BgL_fz00_5633 =
																									BgL_arg1705z00_1294;
																								BgL_argsz00_5634 =
																									BgL_cdrzd27301zd2_1289;
																								BgL_argsz00_934 =
																									BgL_argsz00_5634;
																								BgL_fz00_933 = BgL_fz00_5633;
																								goto BgL_tagzd2154zd2_935;
																							}
																							return ((obj_t) BgL_auxz00_5632);
																						}
																					}
																			}
																		else
																			{	/* Eval/evaluate.scm 320 */
																				obj_t BgL_arg1708z00_1297;

																				BgL_arg1708z00_1297 = CAR(BgL_ez00_49);
																				{
																					BgL_ev_appz00_bglt BgL_auxz00_5637;

																					{
																						obj_t BgL_argsz00_5639;
																						obj_t BgL_fz00_5638;

																						BgL_fz00_5638 = BgL_arg1708z00_1297;
																						BgL_argsz00_5639 =
																							BgL_cdrzd27301zd2_1289;
																						BgL_argsz00_934 = BgL_argsz00_5639;
																						BgL_fz00_933 = BgL_fz00_5638;
																						goto BgL_tagzd2154zd2_935;
																					}
																					return ((obj_t) BgL_auxz00_5637);
																				}
																			}
																	}
																else
																	{	/* Eval/evaluate.scm 320 */
																		if (
																			(CAR(BgL_ez00_49) ==
																				BGl_symbol2608z00zz__evaluatez00))
																			{	/* Eval/evaluate.scm 320 */
																				if (PAIRP(BgL_cdrzd27301zd2_1289))
																					{	/* Eval/evaluate.scm 320 */
																						obj_t BgL_cdrzd27778zd2_1302;

																						BgL_cdrzd27778zd2_1302 =
																							CDR(BgL_cdrzd27301zd2_1289);
																						if (PAIRP(BgL_cdrzd27778zd2_1302))
																							{	/* Eval/evaluate.scm 320 */
																								obj_t BgL_cdrzd27783zd2_1304;

																								BgL_cdrzd27783zd2_1304 =
																									CDR(BgL_cdrzd27778zd2_1302);
																								if (PAIRP
																									(BgL_cdrzd27783zd2_1304))
																									{	/* Eval/evaluate.scm 320 */
																										if (NULLP(CDR
																												(BgL_cdrzd27783zd2_1304)))
																											{	/* Eval/evaluate.scm 320 */
																												obj_t
																													BgL_arg1715z00_1307;
																												obj_t
																													BgL_arg1716z00_1308;
																												obj_t
																													BgL_arg1717z00_1309;
																												BgL_arg1715z00_1307 =
																													CAR
																													(BgL_cdrzd27301zd2_1289);
																												BgL_arg1716z00_1308 =
																													CAR
																													(BgL_cdrzd27778zd2_1302);
																												BgL_arg1717z00_1309 =
																													CAR
																													(BgL_cdrzd27783zd2_1304);
																												{
																													BgL_ev_ifz00_bglt
																														BgL_auxz00_5658;
																													{
																														obj_t BgL_oz00_5661;
																														obj_t BgL_tz00_5660;
																														obj_t BgL_pz00_5659;

																														BgL_pz00_5659 =
																															BgL_arg1715z00_1307;
																														BgL_tz00_5660 =
																															BgL_arg1716z00_1308;
																														BgL_oz00_5661 =
																															BgL_arg1717z00_1309;
																														BgL_oz00_886 =
																															BgL_oz00_5661;
																														BgL_tz00_885 =
																															BgL_tz00_5660;
																														BgL_pz00_884 =
																															BgL_pz00_5659;
																														goto
																															BgL_tagzd2137zd2_887;
																													}
																													return
																														((obj_t)
																														BgL_auxz00_5658);
																												}
																											}
																										else
																											{	/* Eval/evaluate.scm 320 */
																												obj_t
																													BgL_arg1718z00_1310;
																												obj_t
																													BgL_arg1719z00_1311;
																												BgL_arg1718z00_1310 =
																													CAR(BgL_ez00_49);
																												BgL_arg1719z00_1311 =
																													CDR(BgL_ez00_49);
																												{
																													BgL_ev_appz00_bglt
																														BgL_auxz00_5665;
																													{
																														obj_t
																															BgL_argsz00_5667;
																														obj_t BgL_fz00_5666;

																														BgL_fz00_5666 =
																															BgL_arg1718z00_1310;
																														BgL_argsz00_5667 =
																															BgL_arg1719z00_1311;
																														BgL_argsz00_934 =
																															BgL_argsz00_5667;
																														BgL_fz00_933 =
																															BgL_fz00_5666;
																														goto
																															BgL_tagzd2154zd2_935;
																													}
																													return
																														((obj_t)
																														BgL_auxz00_5665);
																												}
																											}
																									}
																								else
																									{	/* Eval/evaluate.scm 320 */
																										obj_t BgL_arg1721z00_1313;
																										obj_t BgL_arg1722z00_1314;

																										BgL_arg1721z00_1313 =
																											CAR(BgL_ez00_49);
																										BgL_arg1722z00_1314 =
																											CDR(BgL_ez00_49);
																										{
																											BgL_ev_appz00_bglt
																												BgL_auxz00_5671;
																											{
																												obj_t BgL_argsz00_5673;
																												obj_t BgL_fz00_5672;

																												BgL_fz00_5672 =
																													BgL_arg1721z00_1313;
																												BgL_argsz00_5673 =
																													BgL_arg1722z00_1314;
																												BgL_argsz00_934 =
																													BgL_argsz00_5673;
																												BgL_fz00_933 =
																													BgL_fz00_5672;
																												goto
																													BgL_tagzd2154zd2_935;
																											}
																											return
																												((obj_t)
																												BgL_auxz00_5671);
																										}
																									}
																							}
																						else
																							{	/* Eval/evaluate.scm 320 */
																								obj_t BgL_arg1723z00_1315;
																								obj_t BgL_arg1724z00_1316;

																								BgL_arg1723z00_1315 =
																									CAR(BgL_ez00_49);
																								BgL_arg1724z00_1316 =
																									CDR(BgL_ez00_49);
																								{
																									BgL_ev_appz00_bglt
																										BgL_auxz00_5677;
																									{
																										obj_t BgL_argsz00_5679;
																										obj_t BgL_fz00_5678;

																										BgL_fz00_5678 =
																											BgL_arg1723z00_1315;
																										BgL_argsz00_5679 =
																											BgL_arg1724z00_1316;
																										BgL_argsz00_934 =
																											BgL_argsz00_5679;
																										BgL_fz00_933 =
																											BgL_fz00_5678;
																										goto BgL_tagzd2154zd2_935;
																									}
																									return
																										((obj_t) BgL_auxz00_5677);
																								}
																							}
																					}
																				else
																					{	/* Eval/evaluate.scm 320 */
																						obj_t BgL_arg1725z00_1317;
																						obj_t BgL_arg1726z00_1318;

																						BgL_arg1725z00_1317 =
																							CAR(BgL_ez00_49);
																						BgL_arg1726z00_1318 =
																							CDR(BgL_ez00_49);
																						{
																							BgL_ev_appz00_bglt
																								BgL_auxz00_5683;
																							{
																								obj_t BgL_argsz00_5685;
																								obj_t BgL_fz00_5684;

																								BgL_fz00_5684 =
																									BgL_arg1725z00_1317;
																								BgL_argsz00_5685 =
																									BgL_arg1726z00_1318;
																								BgL_argsz00_934 =
																									BgL_argsz00_5685;
																								BgL_fz00_933 = BgL_fz00_5684;
																								goto BgL_tagzd2154zd2_935;
																							}
																							return ((obj_t) BgL_auxz00_5683);
																						}
																					}
																			}
																		else
																			{	/* Eval/evaluate.scm 320 */
																				if (
																					(CAR(BgL_ez00_49) ==
																						BGl_symbol2610z00zz__evaluatez00))
																					{	/* Eval/evaluate.scm 320 */
																						obj_t BgL_arg1728z00_1320;

																						BgL_arg1728z00_1320 =
																							CDR(BgL_ez00_49);
																						{
																							BgL_ev_orz00_bglt BgL_auxz00_5691;

																							{
																								obj_t BgL_argsz00_5692;

																								BgL_argsz00_5692 =
																									BgL_arg1728z00_1320;
																								BgL_argsz00_888 =
																									BgL_argsz00_5692;
																								goto BgL_tagzd2138zd2_889;
																							}
																							return ((obj_t) BgL_auxz00_5691);
																						}
																					}
																				else
																					{	/* Eval/evaluate.scm 320 */
																						if (
																							(CAR(BgL_ez00_49) ==
																								BGl_symbol2612z00zz__evaluatez00))
																							{	/* Eval/evaluate.scm 320 */
																								obj_t BgL_arg1730z00_1322;

																								BgL_arg1730z00_1322 =
																									CDR(BgL_ez00_49);
																								{
																									BgL_ev_andz00_bglt
																										BgL_auxz00_5698;
																									{
																										obj_t BgL_argsz00_5699;

																										BgL_argsz00_5699 =
																											BgL_arg1730z00_1322;
																										BgL_argsz00_890 =
																											BgL_argsz00_5699;
																										goto BgL_tagzd2139zd2_891;
																									}
																									return
																										((obj_t) BgL_auxz00_5698);
																								}
																							}
																						else
																							{	/* Eval/evaluate.scm 320 */
																								if (
																									(CAR(BgL_ez00_49) ==
																										BGl_symbol2614z00zz__evaluatez00))
																									{	/* Eval/evaluate.scm 320 */
																										return
																											BGl_convzd2beginzd2zz__evaluatez00
																											(CDR(BgL_ez00_49),
																											BgL_localsz00_50,
																											BgL_globalsz00_51,
																											BgL_tailzf3zf3_52,
																											BgL_wherez00_53,
																											BgL_locz00_54,
																											BgL_topzf3zf3_55);
																									}
																								else
																									{	/* Eval/evaluate.scm 320 */
																										obj_t
																											BgL_cdrzd28672zd2_1325;
																										BgL_cdrzd28672zd2_1325 =
																											CDR(BgL_ez00_49);
																										if ((CAR(BgL_ez00_49) ==
																												BGl_symbol2616z00zz__evaluatez00))
																											{	/* Eval/evaluate.scm 320 */
																												if (PAIRP
																													(BgL_cdrzd28672zd2_1325))
																													{	/* Eval/evaluate.scm 320 */
																														obj_t
																															BgL_arg1735z00_1328;
																														obj_t
																															BgL_arg1736z00_1329;
																														BgL_arg1735z00_1328
																															=
																															CAR
																															(BgL_cdrzd28672zd2_1325);
																														BgL_arg1736z00_1329
																															=
																															CDR
																															(BgL_cdrzd28672zd2_1325);
																														{
																															BgL_ev_letz00_bglt
																																BgL_auxz00_5714;
																															{
																																obj_t
																																	BgL_bodyz00_5716;
																																obj_t
																																	BgL_bindsz00_5715;
																																BgL_bindsz00_5715
																																	=
																																	BgL_arg1735z00_1328;
																																BgL_bodyz00_5716
																																	=
																																	BgL_arg1736z00_1329;
																																BgL_bodyz00_895
																																	=
																																	BgL_bodyz00_5716;
																																BgL_bindsz00_894
																																	=
																																	BgL_bindsz00_5715;
																																goto
																																	BgL_tagzd2141zd2_896;
																															}
																															return
																																((obj_t)
																																BgL_auxz00_5714);
																														}
																													}
																												else
																													{	/* Eval/evaluate.scm 320 */
																														obj_t
																															BgL_arg1738z00_1330;
																														BgL_arg1738z00_1330
																															=
																															CAR(BgL_ez00_49);
																														{
																															BgL_ev_appz00_bglt
																																BgL_auxz00_5719;
																															{
																																obj_t
																																	BgL_argsz00_5721;
																																obj_t
																																	BgL_fz00_5720;
																																BgL_fz00_5720 =
																																	BgL_arg1738z00_1330;
																																BgL_argsz00_5721
																																	=
																																	BgL_cdrzd28672zd2_1325;
																																BgL_argsz00_934
																																	=
																																	BgL_argsz00_5721;
																																BgL_fz00_933 =
																																	BgL_fz00_5720;
																																goto
																																	BgL_tagzd2154zd2_935;
																															}
																															return
																																((obj_t)
																																BgL_auxz00_5719);
																														}
																													}
																											}
																										else
																											{	/* Eval/evaluate.scm 320 */
																												if (
																													(CAR(BgL_ez00_49) ==
																														BGl_symbol2618z00zz__evaluatez00))
																													{	/* Eval/evaluate.scm 320 */
																														if (PAIRP
																															(BgL_cdrzd28672zd2_1325))
																															{	/* Eval/evaluate.scm 320 */
																																obj_t
																																	BgL_arg1742z00_1335;
																																obj_t
																																	BgL_arg1744z00_1336;
																																BgL_arg1742z00_1335
																																	=
																																	CAR
																																	(BgL_cdrzd28672zd2_1325);
																																BgL_arg1744z00_1336
																																	=
																																	CDR
																																	(BgL_cdrzd28672zd2_1325);
																																{
																																	BgL_ev_letza2za2_bglt
																																		BgL_auxz00_5730;
																																	{
																																		obj_t
																																			BgL_bodyz00_5732;
																																		obj_t
																																			BgL_bindsz00_5731;
																																		BgL_bindsz00_5731
																																			=
																																			BgL_arg1742z00_1335;
																																		BgL_bodyz00_5732
																																			=
																																			BgL_arg1744z00_1336;
																																		BgL_bodyz00_898
																																			=
																																			BgL_bodyz00_5732;
																																		BgL_bindsz00_897
																																			=
																																			BgL_bindsz00_5731;
																																		goto
																																			BgL_tagzd2142zd2_899;
																																	}
																																	return
																																		((obj_t)
																																		BgL_auxz00_5730);
																																}
																															}
																														else
																															{	/* Eval/evaluate.scm 320 */
																																obj_t
																																	BgL_arg1745z00_1337;
																																obj_t
																																	BgL_arg1746z00_1338;
																																BgL_arg1745z00_1337
																																	=
																																	CAR
																																	(BgL_ez00_49);
																																BgL_arg1746z00_1338
																																	=
																																	CDR
																																	(BgL_ez00_49);
																																{
																																	BgL_ev_appz00_bglt
																																		BgL_auxz00_5736;
																																	{
																																		obj_t
																																			BgL_argsz00_5738;
																																		obj_t
																																			BgL_fz00_5737;
																																		BgL_fz00_5737
																																			=
																																			BgL_arg1745z00_1337;
																																		BgL_argsz00_5738
																																			=
																																			BgL_arg1746z00_1338;
																																		BgL_argsz00_934
																																			=
																																			BgL_argsz00_5738;
																																		BgL_fz00_933
																																			=
																																			BgL_fz00_5737;
																																		goto
																																			BgL_tagzd2154zd2_935;
																																	}
																																	return
																																		((obj_t)
																																		BgL_auxz00_5736);
																																}
																															}
																													}
																												else
																													{	/* Eval/evaluate.scm 320 */
																														obj_t
																															BgL_cdrzd28988zd2_1339;
																														BgL_cdrzd28988zd2_1339
																															=
																															CDR(BgL_ez00_49);
																														if ((CAR
																																(BgL_ez00_49) ==
																																BGl_symbol2620z00zz__evaluatez00))
																															{	/* Eval/evaluate.scm 320 */
																																if (PAIRP
																																	(BgL_cdrzd28988zd2_1339))
																																	{	/* Eval/evaluate.scm 320 */
																																		obj_t
																																			BgL_arg1749z00_1342;
																																		obj_t
																																			BgL_arg1750z00_1343;
																																		BgL_arg1749z00_1342
																																			=
																																			CAR
																																			(BgL_cdrzd28988zd2_1339);
																																		BgL_arg1750z00_1343
																																			=
																																			CDR
																																			(BgL_cdrzd28988zd2_1339);
																																		{
																																			BgL_ev_letrecz00_bglt
																																				BgL_auxz00_5748;
																																			{
																																				obj_t
																																					BgL_bodyz00_5750;
																																				obj_t
																																					BgL_bindsz00_5749;
																																				BgL_bindsz00_5749
																																					=
																																					BgL_arg1749z00_1342;
																																				BgL_bodyz00_5750
																																					=
																																					BgL_arg1750z00_1343;
																																				BgL_bodyz00_901
																																					=
																																					BgL_bodyz00_5750;
																																				BgL_bindsz00_900
																																					=
																																					BgL_bindsz00_5749;
																																				goto
																																					BgL_tagzd2143zd2_902;
																																			}
																																			return
																																				((obj_t)
																																				BgL_auxz00_5748);
																																		}
																																	}
																																else
																																	{	/* Eval/evaluate.scm 320 */
																																		obj_t
																																			BgL_arg1751z00_1344;
																																		BgL_arg1751z00_1344
																																			=
																																			CAR
																																			(BgL_ez00_49);
																																		{
																																			BgL_ev_appz00_bglt
																																				BgL_auxz00_5753;
																																			{
																																				obj_t
																																					BgL_argsz00_5755;
																																				obj_t
																																					BgL_fz00_5754;
																																				BgL_fz00_5754
																																					=
																																					BgL_arg1751z00_1344;
																																				BgL_argsz00_5755
																																					=
																																					BgL_cdrzd28988zd2_1339;
																																				BgL_argsz00_934
																																					=
																																					BgL_argsz00_5755;
																																				BgL_fz00_933
																																					=
																																					BgL_fz00_5754;
																																				goto
																																					BgL_tagzd2154zd2_935;
																																			}
																																			return
																																				((obj_t)
																																				BgL_auxz00_5753);
																																		}
																																	}
																															}
																														else
																															{	/* Eval/evaluate.scm 320 */
																																if (
																																	(CAR
																																		(BgL_ez00_49)
																																		==
																																		BGl_symbol2622z00zz__evaluatez00))
																																	{	/* Eval/evaluate.scm 320 */
																																		if (PAIRP
																																			(BgL_cdrzd28988zd2_1339))
																																			{	/* Eval/evaluate.scm 320 */
																																				obj_t
																																					BgL_carzd29126zd2_1349;
																																				obj_t
																																					BgL_cdrzd29127zd2_1350;
																																				BgL_carzd29126zd2_1349
																																					=
																																					CAR
																																					(BgL_cdrzd28988zd2_1339);
																																				BgL_cdrzd29127zd2_1350
																																					=
																																					CDR
																																					(BgL_cdrzd28988zd2_1339);
																																				if (PAIRP(BgL_carzd29126zd2_1349))
																																					{	/* Eval/evaluate.scm 320 */
																																						obj_t
																																							BgL_cdrzd29131zd2_1352;
																																						BgL_cdrzd29131zd2_1352
																																							=
																																							CDR
																																							(BgL_carzd29126zd2_1349);
																																						if (
																																							(CAR
																																								(BgL_carzd29126zd2_1349)
																																								==
																																								BGl_symbol2600z00zz__evaluatez00))
																																							{	/* Eval/evaluate.scm 320 */
																																								if (PAIRP(BgL_cdrzd29131zd2_1352))
																																									{	/* Eval/evaluate.scm 320 */
																																										obj_t
																																											BgL_carzd29134zd2_1355;
																																										obj_t
																																											BgL_cdrzd29135zd2_1356;
																																										BgL_carzd29134zd2_1355
																																											=
																																											CAR
																																											(BgL_cdrzd29131zd2_1352);
																																										BgL_cdrzd29135zd2_1356
																																											=
																																											CDR
																																											(BgL_cdrzd29131zd2_1352);
																																										if (SYMBOLP(BgL_carzd29134zd2_1355))
																																											{	/* Eval/evaluate.scm 320 */
																																												if (PAIRP(BgL_cdrzd29135zd2_1356))
																																													{	/* Eval/evaluate.scm 320 */
																																														obj_t
																																															BgL_carzd29139zd2_1359;
																																														BgL_carzd29139zd2_1359
																																															=
																																															CAR
																																															(BgL_cdrzd29135zd2_1356);
																																														if (SYMBOLP(BgL_carzd29139zd2_1359))
																																															{	/* Eval/evaluate.scm 320 */
																																																if (NULLP(CDR(BgL_cdrzd29135zd2_1356)))
																																																	{	/* Eval/evaluate.scm 320 */
																																																		if (PAIRP(BgL_cdrzd29127zd2_1350))
																																																			{	/* Eval/evaluate.scm 320 */
																																																				if (NULLP(CDR(BgL_cdrzd29127zd2_1350)))
																																																					{	/* Eval/evaluate.scm 320 */
																																																						obj_t
																																																							BgL_arg1764z00_1364;
																																																						BgL_arg1764z00_1364
																																																							=
																																																							CAR
																																																							(BgL_cdrzd29127zd2_1350);
																																																						{	/* Eval/evaluate.scm 320 */
																																																							obj_t
																																																								BgL_idz00_3510;
																																																							obj_t
																																																								BgL_modnamez00_3511;
																																																							BgL_idz00_3510
																																																								=
																																																								BgL_carzd29134zd2_1355;
																																																							BgL_modnamez00_3511
																																																								=
																																																								BgL_carzd29139zd2_1359;
																																																							{	/* Eval/evaluate.scm 320 */
																																																								BgL_ev_setglobalz00_bglt
																																																									BgL_new1131z00_3513;
																																																								{	/* Eval/evaluate.scm 320 */
																																																									BgL_ev_setglobalz00_bglt
																																																										BgL_new1130z00_3514;
																																																									BgL_new1130z00_3514
																																																										=
																																																										(
																																																										(BgL_ev_setglobalz00_bglt)
																																																										BREF
																																																										(GC_MALLOC
																																																											(sizeof
																																																												(struct
																																																													BgL_ev_setglobalz00_bgl))));
																																																									{	/* Eval/evaluate.scm 320 */
																																																										long
																																																											BgL_arg2016z00_3515;
																																																										{	/* Eval/evaluate.scm 320 */
																																																											long
																																																												BgL_res2506z00_3519;
																																																											{	/* Eval/evaluate.scm 320 */
																																																												obj_t
																																																													BgL_classz00_3516;
																																																												BgL_classz00_3516
																																																													=
																																																													BGl_ev_setglobalz00zz__evaluate_typesz00;
																																																												{	/* Eval/evaluate.scm 320 */
																																																													obj_t
																																																														BgL_vectorz00_3517;
																																																													int
																																																														BgL_kz00_3518;
																																																													BgL_vectorz00_3517
																																																														=
																																																														BgL_classz00_3516;
																																																													BgL_kz00_3518
																																																														=
																																																														(int)
																																																														(
																																																														((long) 1));
																																																													BgL_res2506z00_3519
																																																														=
																																																														(long)
																																																														CINT
																																																														(VECTOR_REF
																																																														(BgL_vectorz00_3517,
																																																															BgL_kz00_3518));
																																																											}}
																																																											BgL_arg2016z00_3515
																																																												=
																																																												BgL_res2506z00_3519;
																																																										}
																																																										{	/* Eval/evaluate.scm 320 */
																																																											BgL_objectz00_bglt
																																																												BgL_objz00_3520;
																																																											BgL_objz00_3520
																																																												=
																																																												(
																																																												(BgL_objectz00_bglt)
																																																												BgL_new1130z00_3514);
																																																											BGL_OBJECT_CLASS_NUM_SET
																																																												(BgL_objz00_3520,
																																																												BgL_arg2016z00_3515);
																																																									}}
																																																									{	/* Eval/evaluate.scm 320 */
																																																										BgL_objectz00_bglt
																																																											BgL_auxz00_5796;
																																																										BgL_auxz00_5796
																																																											=
																																																											(
																																																											(BgL_objectz00_bglt)
																																																											BgL_new1130z00_3514);
																																																										BGL_OBJECT_WIDENING_SET
																																																											(BgL_auxz00_5796,
																																																											BFALSE);
																																																									}
																																																									BgL_new1131z00_3513
																																																										=
																																																										BgL_new1130z00_3514;
																																																								}
																																																								{
																																																									BgL_ev_exprz00_bglt
																																																										BgL_auxz00_5799;
																																																									{	/* Eval/evaluate.scm 320 */
																																																										obj_t
																																																											BgL_arg2056z00_3523;
																																																										BgL_arg2056z00_3523
																																																											=
																																																											BGl_getzd2locationzd2zz__evaluatez00
																																																											(BgL_arg1764z00_1364,
																																																											BgL_locz00_54);
																																																										BgL_auxz00_5799
																																																											=
																																																											(
																																																											(BgL_ev_exprz00_bglt)
																																																											BGl_uconvzf2loczf2zz__evaluatez00
																																																											(BgL_wherez00_53,
																																																												BgL_globalsz00_51,
																																																												BgL_localsz00_50,
																																																												BgL_arg1764z00_1364,
																																																												BgL_arg2056z00_3523));
																																																									}
																																																									((((BgL_ev_hookz00_bglt) CREF(((BgL_ev_hookz00_bglt) BgL_new1131z00_3513)))->BgL_ez00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_5799), BUNSPEC);
																																																								}
																																																								((((BgL_ev_setglobalz00_bglt) CREF(BgL_new1131z00_3513))->BgL_locz00) = ((obj_t) BgL_locz00_54), BUNSPEC);
																																																								((((BgL_ev_setglobalz00_bglt) CREF(BgL_new1131z00_3513))->BgL_namez00) = ((obj_t) BgL_idz00_3510), BUNSPEC);
																																																								((((BgL_ev_setglobalz00_bglt) CREF(BgL_new1131z00_3513))->BgL_modz00) = ((obj_t) BGl_evalzd2findzd2modulez00zz__evmodulez00(BgL_modnamez00_3511)), BUNSPEC);
																																																								return
																																																									(
																																																									(obj_t)
																																																									BgL_new1131z00_3513);
																																																							}
																																																						}
																																																					}
																																																				else
																																																					{	/* Eval/evaluate.scm 320 */
																																																						return
																																																							BGl_evcompilezd2errorzd2zz__evcompilez00
																																																							(BgL_locz00_54,
																																																							BGl_string2588z00zz__evaluatez00,
																																																							BGl_string2594z00zz__evaluatez00,
																																																							BgL_ez00_49);
																																																					}
																																																			}
																																																		else
																																																			{	/* Eval/evaluate.scm 320 */
																																																				return
																																																					BGl_evcompilezd2errorzd2zz__evcompilez00
																																																					(BgL_locz00_54,
																																																					BGl_string2588z00zz__evaluatez00,
																																																					BGl_string2594z00zz__evaluatez00,
																																																					BgL_ez00_49);
																																																			}
																																																	}
																																																else
																																																	{	/* Eval/evaluate.scm 320 */
																																																		obj_t
																																																			BgL_cdrzd29239zd2_1366;
																																																		BgL_cdrzd29239zd2_1366
																																																			=
																																																			CDR
																																																			(BgL_ez00_49);
																																																		{	/* Eval/evaluate.scm 320 */
																																																			obj_t
																																																				BgL_cdrzd29243zd2_1367;
																																																			BgL_cdrzd29243zd2_1367
																																																				=
																																																				CDR
																																																				(BgL_cdrzd29239zd2_1366);
																																																			if (PAIRP(BgL_cdrzd29243zd2_1367))
																																																				{	/* Eval/evaluate.scm 320 */
																																																					if (NULLP(CDR(BgL_cdrzd29243zd2_1367)))
																																																						{	/* Eval/evaluate.scm 320 */
																																																							obj_t
																																																								BgL_arg1768z00_1370;
																																																							obj_t
																																																								BgL_arg1769z00_1371;
																																																							BgL_arg1768z00_1370
																																																								=
																																																								CAR
																																																								(BgL_cdrzd29239zd2_1366);
																																																							BgL_arg1769z00_1371
																																																								=
																																																								CAR
																																																								(BgL_cdrzd29243zd2_1367);
																																																							{
																																																								BgL_ev_hookz00_bglt
																																																									BgL_auxz00_5821;
																																																								{
																																																									obj_t
																																																										BgL_ez00_5823;
																																																									obj_t
																																																										BgL_vz00_5822;
																																																									BgL_vz00_5822
																																																										=
																																																										BgL_arg1768z00_1370;
																																																									BgL_ez00_5823
																																																										=
																																																										BgL_arg1769z00_1371;
																																																									BgL_ez00_911
																																																										=
																																																										BgL_ez00_5823;
																																																									BgL_vz00_910
																																																										=
																																																										BgL_vz00_5822;
																																																									goto
																																																										BgL_tagzd2146zd2_912;
																																																								}
																																																								return
																																																									(
																																																									(obj_t)
																																																									BgL_auxz00_5821);
																																																							}
																																																						}
																																																					else
																																																						{	/* Eval/evaluate.scm 320 */
																																																							return
																																																								BGl_evcompilezd2errorzd2zz__evcompilez00
																																																								(BgL_locz00_54,
																																																								BGl_string2588z00zz__evaluatez00,
																																																								BGl_string2594z00zz__evaluatez00,
																																																								BgL_ez00_49);
																																																						}
																																																				}
																																																			else
																																																				{	/* Eval/evaluate.scm 320 */
																																																					return
																																																						BGl_evcompilezd2errorzd2zz__evcompilez00
																																																						(BgL_locz00_54,
																																																						BGl_string2588z00zz__evaluatez00,
																																																						BGl_string2594z00zz__evaluatez00,
																																																						BgL_ez00_49);
																																																				}
																																																		}
																																																	}
																																															}
																																														else
																																															{	/* Eval/evaluate.scm 320 */
																																																obj_t
																																																	BgL_cdrzd29292zd2_1374;
																																																BgL_cdrzd29292zd2_1374
																																																	=
																																																	CDR
																																																	(BgL_ez00_49);
																																																{	/* Eval/evaluate.scm 320 */
																																																	obj_t
																																																		BgL_cdrzd29296zd2_1375;
																																																	BgL_cdrzd29296zd2_1375
																																																		=
																																																		CDR
																																																		(BgL_cdrzd29292zd2_1374);
																																																	if (PAIRP(BgL_cdrzd29296zd2_1375))
																																																		{	/* Eval/evaluate.scm 320 */
																																																			if (NULLP(CDR(BgL_cdrzd29296zd2_1375)))
																																																				{	/* Eval/evaluate.scm 320 */
																																																					obj_t
																																																						BgL_arg1774z00_1378;
																																																					obj_t
																																																						BgL_arg1775z00_1379;
																																																					BgL_arg1774z00_1378
																																																						=
																																																						CAR
																																																						(BgL_cdrzd29292zd2_1374);
																																																					BgL_arg1775z00_1379
																																																						=
																																																						CAR
																																																						(BgL_cdrzd29296zd2_1375);
																																																					{
																																																						BgL_ev_hookz00_bglt
																																																							BgL_auxz00_5836;
																																																						{
																																																							obj_t
																																																								BgL_ez00_5838;
																																																							obj_t
																																																								BgL_vz00_5837;
																																																							BgL_vz00_5837
																																																								=
																																																								BgL_arg1774z00_1378;
																																																							BgL_ez00_5838
																																																								=
																																																								BgL_arg1775z00_1379;
																																																							BgL_ez00_911
																																																								=
																																																								BgL_ez00_5838;
																																																							BgL_vz00_910
																																																								=
																																																								BgL_vz00_5837;
																																																							goto
																																																								BgL_tagzd2146zd2_912;
																																																						}
																																																						return
																																																							(
																																																							(obj_t)
																																																							BgL_auxz00_5836);
																																																					}
																																																				}
																																																			else
																																																				{	/* Eval/evaluate.scm 320 */
																																																					return
																																																						BGl_evcompilezd2errorzd2zz__evcompilez00
																																																						(BgL_locz00_54,
																																																						BGl_string2588z00zz__evaluatez00,
																																																						BGl_string2594z00zz__evaluatez00,
																																																						BgL_ez00_49);
																																																				}
																																																		}
																																																	else
																																																		{	/* Eval/evaluate.scm 320 */
																																																			return
																																																				BGl_evcompilezd2errorzd2zz__evcompilez00
																																																				(BgL_locz00_54,
																																																				BGl_string2588z00zz__evaluatez00,
																																																				BGl_string2594z00zz__evaluatez00,
																																																				BgL_ez00_49);
																																																		}
																																																}
																																															}
																																													}
																																												else
																																													{	/* Eval/evaluate.scm 320 */
																																														obj_t
																																															BgL_cdrzd29345zd2_1381;
																																														BgL_cdrzd29345zd2_1381
																																															=
																																															CDR
																																															(BgL_ez00_49);
																																														{	/* Eval/evaluate.scm 320 */
																																															obj_t
																																																BgL_cdrzd29349zd2_1382;
																																															BgL_cdrzd29349zd2_1382
																																																=
																																																CDR
																																																(BgL_cdrzd29345zd2_1381);
																																															if (PAIRP(BgL_cdrzd29349zd2_1382))
																																																{	/* Eval/evaluate.scm 320 */
																																																	if (NULLP(CDR(BgL_cdrzd29349zd2_1382)))
																																																		{	/* Eval/evaluate.scm 320 */
																																																			obj_t
																																																				BgL_arg1779z00_1385;
																																																			obj_t
																																																				BgL_arg1780z00_1386;
																																																			BgL_arg1779z00_1385
																																																				=
																																																				CAR
																																																				(BgL_cdrzd29345zd2_1381);
																																																			BgL_arg1780z00_1386
																																																				=
																																																				CAR
																																																				(BgL_cdrzd29349zd2_1382);
																																																			{
																																																				BgL_ev_hookz00_bglt
																																																					BgL_auxz00_5851;
																																																				{
																																																					obj_t
																																																						BgL_ez00_5853;
																																																					obj_t
																																																						BgL_vz00_5852;
																																																					BgL_vz00_5852
																																																						=
																																																						BgL_arg1779z00_1385;
																																																					BgL_ez00_5853
																																																						=
																																																						BgL_arg1780z00_1386;
																																																					BgL_ez00_911
																																																						=
																																																						BgL_ez00_5853;
																																																					BgL_vz00_910
																																																						=
																																																						BgL_vz00_5852;
																																																					goto
																																																						BgL_tagzd2146zd2_912;
																																																				}
																																																				return
																																																					(
																																																					(obj_t)
																																																					BgL_auxz00_5851);
																																																			}
																																																		}
																																																	else
																																																		{	/* Eval/evaluate.scm 320 */
																																																			return
																																																				BGl_evcompilezd2errorzd2zz__evcompilez00
																																																				(BgL_locz00_54,
																																																				BGl_string2588z00zz__evaluatez00,
																																																				BGl_string2594z00zz__evaluatez00,
																																																				BgL_ez00_49);
																																																		}
																																																}
																																															else
																																																{	/* Eval/evaluate.scm 320 */
																																																	return
																																																		BGl_evcompilezd2errorzd2zz__evcompilez00
																																																		(BgL_locz00_54,
																																																		BGl_string2588z00zz__evaluatez00,
																																																		BGl_string2594z00zz__evaluatez00,
																																																		BgL_ez00_49);
																																																}
																																														}
																																													}
																																											}
																																										else
																																											{	/* Eval/evaluate.scm 320 */
																																												obj_t
																																													BgL_cdrzd29398zd2_1388;
																																												BgL_cdrzd29398zd2_1388
																																													=
																																													CDR
																																													(BgL_ez00_49);
																																												{	/* Eval/evaluate.scm 320 */
																																													obj_t
																																														BgL_cdrzd29402zd2_1389;
																																													BgL_cdrzd29402zd2_1389
																																														=
																																														CDR
																																														(BgL_cdrzd29398zd2_1388);
																																													if (PAIRP(BgL_cdrzd29402zd2_1389))
																																														{	/* Eval/evaluate.scm 320 */
																																															if (NULLP(CDR(BgL_cdrzd29402zd2_1389)))
																																																{	/* Eval/evaluate.scm 320 */
																																																	obj_t
																																																		BgL_arg1784z00_1392;
																																																	obj_t
																																																		BgL_arg1786z00_1393;
																																																	BgL_arg1784z00_1392
																																																		=
																																																		CAR
																																																		(BgL_cdrzd29398zd2_1388);
																																																	BgL_arg1786z00_1393
																																																		=
																																																		CAR
																																																		(BgL_cdrzd29402zd2_1389);
																																																	{
																																																		BgL_ev_hookz00_bglt
																																																			BgL_auxz00_5866;
																																																		{
																																																			obj_t
																																																				BgL_ez00_5868;
																																																			obj_t
																																																				BgL_vz00_5867;
																																																			BgL_vz00_5867
																																																				=
																																																				BgL_arg1784z00_1392;
																																																			BgL_ez00_5868
																																																				=
																																																				BgL_arg1786z00_1393;
																																																			BgL_ez00_911
																																																				=
																																																				BgL_ez00_5868;
																																																			BgL_vz00_910
																																																				=
																																																				BgL_vz00_5867;
																																																			goto
																																																				BgL_tagzd2146zd2_912;
																																																		}
																																																		return
																																																			(
																																																			(obj_t)
																																																			BgL_auxz00_5866);
																																																	}
																																																}
																																															else
																																																{	/* Eval/evaluate.scm 320 */
																																																	return
																																																		BGl_evcompilezd2errorzd2zz__evcompilez00
																																																		(BgL_locz00_54,
																																																		BGl_string2588z00zz__evaluatez00,
																																																		BGl_string2594z00zz__evaluatez00,
																																																		BgL_ez00_49);
																																																}
																																														}
																																													else
																																														{	/* Eval/evaluate.scm 320 */
																																															return
																																																BGl_evcompilezd2errorzd2zz__evcompilez00
																																																(BgL_locz00_54,
																																																BGl_string2588z00zz__evaluatez00,
																																																BGl_string2594z00zz__evaluatez00,
																																																BgL_ez00_49);
																																														}
																																												}
																																											}
																																									}
																																								else
																																									{	/* Eval/evaluate.scm 320 */
																																										obj_t
																																											BgL_cdrzd29451zd2_1395;
																																										BgL_cdrzd29451zd2_1395
																																											=
																																											CDR
																																											(BgL_ez00_49);
																																										{	/* Eval/evaluate.scm 320 */
																																											obj_t
																																												BgL_cdrzd29455zd2_1396;
																																											BgL_cdrzd29455zd2_1396
																																												=
																																												CDR
																																												(BgL_cdrzd29451zd2_1395);
																																											if (PAIRP(BgL_cdrzd29455zd2_1396))
																																												{	/* Eval/evaluate.scm 320 */
																																													if (NULLP(CDR(BgL_cdrzd29455zd2_1396)))
																																														{	/* Eval/evaluate.scm 320 */
																																															obj_t
																																																BgL_arg1790z00_1399;
																																															obj_t
																																																BgL_arg1791z00_1400;
																																															BgL_arg1790z00_1399
																																																=
																																																CAR
																																																(BgL_cdrzd29451zd2_1395);
																																															BgL_arg1791z00_1400
																																																=
																																																CAR
																																																(BgL_cdrzd29455zd2_1396);
																																															{
																																																BgL_ev_hookz00_bglt
																																																	BgL_auxz00_5881;
																																																{
																																																	obj_t
																																																		BgL_ez00_5883;
																																																	obj_t
																																																		BgL_vz00_5882;
																																																	BgL_vz00_5882
																																																		=
																																																		BgL_arg1790z00_1399;
																																																	BgL_ez00_5883
																																																		=
																																																		BgL_arg1791z00_1400;
																																																	BgL_ez00_911
																																																		=
																																																		BgL_ez00_5883;
																																																	BgL_vz00_910
																																																		=
																																																		BgL_vz00_5882;
																																																	goto
																																																		BgL_tagzd2146zd2_912;
																																																}
																																																return
																																																	(
																																																	(obj_t)
																																																	BgL_auxz00_5881);
																																															}
																																														}
																																													else
																																														{	/* Eval/evaluate.scm 320 */
																																															return
																																																BGl_evcompilezd2errorzd2zz__evcompilez00
																																																(BgL_locz00_54,
																																																BGl_string2588z00zz__evaluatez00,
																																																BGl_string2594z00zz__evaluatez00,
																																																BgL_ez00_49);
																																														}
																																												}
																																											else
																																												{	/* Eval/evaluate.scm 320 */
																																													return
																																														BGl_evcompilezd2errorzd2zz__evcompilez00
																																														(BgL_locz00_54,
																																														BGl_string2588z00zz__evaluatez00,
																																														BGl_string2594z00zz__evaluatez00,
																																														BgL_ez00_49);
																																												}
																																										}
																																									}
																																							}
																																						else
																																							{	/* Eval/evaluate.scm 320 */
																																								obj_t
																																									BgL_cdrzd29493zd2_1402;
																																								BgL_cdrzd29493zd2_1402
																																									=
																																									CDR
																																									(BgL_ez00_49);
																																								{	/* Eval/evaluate.scm 320 */
																																									obj_t
																																										BgL_carzd29496zd2_1403;
																																									obj_t
																																										BgL_cdrzd29497zd2_1404;
																																									BgL_carzd29496zd2_1403
																																										=
																																										CAR
																																										(BgL_cdrzd29493zd2_1402);
																																									BgL_cdrzd29497zd2_1404
																																										=
																																										CDR
																																										(BgL_cdrzd29493zd2_1402);
																																									if ((CAR(BgL_carzd29496zd2_1403) == BGl_symbol2602z00zz__evaluatez00))
																																										{	/* Eval/evaluate.scm 320 */
																																											if (PAIRP(BgL_cdrzd29497zd2_1404))
																																												{	/* Eval/evaluate.scm 320 */
																																													if (NULLP(CDR(BgL_cdrzd29497zd2_1404)))
																																														{
																																															obj_t
																																																BgL_e2z00_5900;
																																															obj_t
																																																BgL_lz00_5898;
																																															BgL_lz00_5898
																																																=
																																																CDR
																																																(BgL_carzd29496zd2_1403);
																																															BgL_e2z00_5900
																																																=
																																																CAR
																																																(BgL_cdrzd29497zd2_1404);
																																															BgL_e2z00_908
																																																=
																																																BgL_e2z00_5900;
																																															BgL_lz00_907
																																																=
																																																BgL_lz00_5898;
																																															goto
																																																BgL_tagzd2145zd2_909;
																																														}
																																													else
																																														{	/* Eval/evaluate.scm 320 */
																																															return
																																																BGl_evcompilezd2errorzd2zz__evcompilez00
																																																(BgL_locz00_54,
																																																BGl_string2588z00zz__evaluatez00,
																																																BGl_string2594z00zz__evaluatez00,
																																																BgL_ez00_49);
																																														}
																																												}
																																											else
																																												{	/* Eval/evaluate.scm 320 */
																																													return
																																														BGl_evcompilezd2errorzd2zz__evcompilez00
																																														(BgL_locz00_54,
																																														BGl_string2588z00zz__evaluatez00,
																																														BGl_string2594z00zz__evaluatez00,
																																														BgL_ez00_49);
																																												}
																																										}
																																									else
																																										{	/* Eval/evaluate.scm 320 */
																																											obj_t
																																												BgL_cdrzd29563zd2_1412;
																																											BgL_cdrzd29563zd2_1412
																																												=
																																												CDR
																																												(BgL_cdrzd29493zd2_1402);
																																											if (PAIRP(BgL_cdrzd29563zd2_1412))
																																												{	/* Eval/evaluate.scm 320 */
																																													if (NULLP(CDR(BgL_cdrzd29563zd2_1412)))
																																														{	/* Eval/evaluate.scm 320 */
																																															obj_t
																																																BgL_arg1801z00_1415;
																																															obj_t
																																																BgL_arg1802z00_1416;
																																															BgL_arg1801z00_1415
																																																=
																																																CAR
																																																(BgL_cdrzd29493zd2_1402);
																																															BgL_arg1802z00_1416
																																																=
																																																CAR
																																																(BgL_cdrzd29563zd2_1412);
																																															{
																																																BgL_ev_hookz00_bglt
																																																	BgL_auxz00_5912;
																																																{
																																																	obj_t
																																																		BgL_ez00_5914;
																																																	obj_t
																																																		BgL_vz00_5913;
																																																	BgL_vz00_5913
																																																		=
																																																		BgL_arg1801z00_1415;
																																																	BgL_ez00_5914
																																																		=
																																																		BgL_arg1802z00_1416;
																																																	BgL_ez00_911
																																																		=
																																																		BgL_ez00_5914;
																																																	BgL_vz00_910
																																																		=
																																																		BgL_vz00_5913;
																																																	goto
																																																		BgL_tagzd2146zd2_912;
																																																}
																																																return
																																																	(
																																																	(obj_t)
																																																	BgL_auxz00_5912);
																																															}
																																														}
																																													else
																																														{	/* Eval/evaluate.scm 320 */
																																															return
																																																BGl_evcompilezd2errorzd2zz__evcompilez00
																																																(BgL_locz00_54,
																																																BGl_string2588z00zz__evaluatez00,
																																																BGl_string2594z00zz__evaluatez00,
																																																BgL_ez00_49);
																																														}
																																												}
																																											else
																																												{	/* Eval/evaluate.scm 320 */
																																													return
																																														BGl_evcompilezd2errorzd2zz__evcompilez00
																																														(BgL_locz00_54,
																																														BGl_string2588z00zz__evaluatez00,
																																														BGl_string2594z00zz__evaluatez00,
																																														BgL_ez00_49);
																																												}
																																										}
																																								}
																																							}
																																					}
																																				else
																																					{	/* Eval/evaluate.scm 320 */
																																						obj_t
																																							BgL_cdrzd29612zd2_1420;
																																						BgL_cdrzd29612zd2_1420
																																							=
																																							CDR
																																							(BgL_ez00_49);
																																						{	/* Eval/evaluate.scm 320 */
																																							obj_t
																																								BgL_cdrzd29616zd2_1421;
																																							BgL_cdrzd29616zd2_1421
																																								=
																																								CDR
																																								(BgL_cdrzd29612zd2_1420);
																																							if (PAIRP(BgL_cdrzd29616zd2_1421))
																																								{	/* Eval/evaluate.scm 320 */
																																									if (NULLP(CDR(BgL_cdrzd29616zd2_1421)))
																																										{	/* Eval/evaluate.scm 320 */
																																											obj_t
																																												BgL_arg1809z00_1424;
																																											obj_t
																																												BgL_arg1810z00_1425;
																																											BgL_arg1809z00_1424
																																												=
																																												CAR
																																												(BgL_cdrzd29612zd2_1420);
																																											BgL_arg1810z00_1425
																																												=
																																												CAR
																																												(BgL_cdrzd29616zd2_1421);
																																											{
																																												BgL_ev_hookz00_bglt
																																													BgL_auxz00_5927;
																																												{
																																													obj_t
																																														BgL_ez00_5929;
																																													obj_t
																																														BgL_vz00_5928;
																																													BgL_vz00_5928
																																														=
																																														BgL_arg1809z00_1424;
																																													BgL_ez00_5929
																																														=
																																														BgL_arg1810z00_1425;
																																													BgL_ez00_911
																																														=
																																														BgL_ez00_5929;
																																													BgL_vz00_910
																																														=
																																														BgL_vz00_5928;
																																													goto
																																														BgL_tagzd2146zd2_912;
																																												}
																																												return
																																													(
																																													(obj_t)
																																													BgL_auxz00_5927);
																																											}
																																										}
																																									else
																																										{	/* Eval/evaluate.scm 320 */
																																											return
																																												BGl_evcompilezd2errorzd2zz__evcompilez00
																																												(BgL_locz00_54,
																																												BGl_string2588z00zz__evaluatez00,
																																												BGl_string2594z00zz__evaluatez00,
																																												BgL_ez00_49);
																																										}
																																								}
																																							else
																																								{	/* Eval/evaluate.scm 320 */
																																									return
																																										BGl_evcompilezd2errorzd2zz__evcompilez00
																																										(BgL_locz00_54,
																																										BGl_string2588z00zz__evaluatez00,
																																										BGl_string2594z00zz__evaluatez00,
																																										BgL_ez00_49);
																																								}
																																						}
																																					}
																																			}
																																		else
																																			{	/* Eval/evaluate.scm 320 */
																																				return
																																					BGl_evcompilezd2errorzd2zz__evcompilez00
																																					(BgL_locz00_54,
																																					BGl_string2588z00zz__evaluatez00,
																																					BGl_string2594z00zz__evaluatez00,
																																					BgL_ez00_49);
																																			}
																																	}
																																else
																																	{	/* Eval/evaluate.scm 320 */
																																		obj_t
																																			BgL_cdrzd29719zd2_1427;
																																		BgL_cdrzd29719zd2_1427
																																			=
																																			CDR
																																			(BgL_ez00_49);
																																		if ((CAR
																																				(BgL_ez00_49)
																																				==
																																				BGl_symbol2624z00zz__evaluatez00))
																																			{	/* Eval/evaluate.scm 320 */
																																				if (PAIRP(BgL_cdrzd29719zd2_1427))
																																					{	/* Eval/evaluate.scm 320 */
																																						obj_t
																																							BgL_cdrzd29724zd2_1430;
																																						BgL_cdrzd29724zd2_1430
																																							=
																																							CDR
																																							(BgL_cdrzd29719zd2_1427);
																																						if (PAIRP(BgL_cdrzd29724zd2_1430))
																																							{	/* Eval/evaluate.scm 320 */
																																								obj_t
																																									BgL_carzd29728zd2_1432;
																																								BgL_carzd29728zd2_1432
																																									=
																																									CAR
																																									(BgL_cdrzd29724zd2_1430);
																																								if (PAIRP(BgL_carzd29728zd2_1432))
																																									{	/* Eval/evaluate.scm 320 */
																																										obj_t
																																											BgL_cdrzd29733zd2_1434;
																																										BgL_cdrzd29733zd2_1434
																																											=
																																											CDR
																																											(BgL_carzd29728zd2_1432);
																																										if ((CAR(BgL_carzd29728zd2_1432) == BGl_symbol2626z00zz__evaluatez00))
																																											{	/* Eval/evaluate.scm 320 */
																																												if (PAIRP(BgL_cdrzd29733zd2_1434))
																																													{	/* Eval/evaluate.scm 320 */
																																														obj_t
																																															BgL_cdrzd29737zd2_1437;
																																														BgL_cdrzd29737zd2_1437
																																															=
																																															CDR
																																															(BgL_cdrzd29733zd2_1434);
																																														if (PAIRP(BgL_cdrzd29737zd2_1437))
																																															{	/* Eval/evaluate.scm 320 */
																																																if (NULLP(CDR(BgL_cdrzd29737zd2_1437)))
																																																	{	/* Eval/evaluate.scm 320 */
																																																		if (NULLP(CDR(BgL_cdrzd29724zd2_1430)))
																																																			{	/* Eval/evaluate.scm 320 */
																																																				obj_t
																																																					BgL_arg1821z00_1441;
																																																				obj_t
																																																					BgL_arg1822z00_1442;
																																																				obj_t
																																																					BgL_arg1823z00_1443;
																																																				BgL_arg1821z00_1441
																																																					=
																																																					CAR
																																																					(BgL_cdrzd29719zd2_1427);
																																																				BgL_arg1822z00_1442
																																																					=
																																																					CAR
																																																					(BgL_cdrzd29733zd2_1434);
																																																				BgL_arg1823z00_1443
																																																					=
																																																					CAR
																																																					(BgL_cdrzd29737zd2_1437);
																																																				{
																																																					BgL_ev_defglobalz00_bglt
																																																						BgL_auxz00_5964;
																																																					{
																																																						obj_t
																																																							BgL_bodyz00_5967;
																																																						obj_t
																																																							BgL_formalsz00_5966;
																																																						obj_t
																																																							BgL_gvz00_5965;
																																																						BgL_gvz00_5965
																																																							=
																																																							BgL_arg1821z00_1441;
																																																						BgL_formalsz00_5966
																																																							=
																																																							BgL_arg1822z00_1442;
																																																						BgL_bodyz00_5967
																																																							=
																																																							BgL_arg1823z00_1443;
																																																						BgL_bodyz00_916
																																																							=
																																																							BgL_bodyz00_5967;
																																																						BgL_formalsz00_915
																																																							=
																																																							BgL_formalsz00_5966;
																																																						BgL_gvz00_914
																																																							=
																																																							BgL_gvz00_5965;
																																																						goto
																																																							BgL_tagzd2148zd2_917;
																																																					}
																																																					return
																																																						(
																																																						(obj_t)
																																																						BgL_auxz00_5964);
																																																				}
																																																			}
																																																		else
																																																			{	/* Eval/evaluate.scm 320 */
																																																				obj_t
																																																					BgL_arg1824z00_1444;
																																																				BgL_arg1824z00_1444
																																																					=
																																																					CAR
																																																					(BgL_ez00_49);
																																																				{
																																																					BgL_ev_appz00_bglt
																																																						BgL_auxz00_5970;
																																																					{
																																																						obj_t
																																																							BgL_argsz00_5972;
																																																						obj_t
																																																							BgL_fz00_5971;
																																																						BgL_fz00_5971
																																																							=
																																																							BgL_arg1824z00_1444;
																																																						BgL_argsz00_5972
																																																							=
																																																							BgL_cdrzd29719zd2_1427;
																																																						BgL_argsz00_934
																																																							=
																																																							BgL_argsz00_5972;
																																																						BgL_fz00_933
																																																							=
																																																							BgL_fz00_5971;
																																																						goto
																																																							BgL_tagzd2154zd2_935;
																																																					}
																																																					return
																																																						(
																																																						(obj_t)
																																																						BgL_auxz00_5970);
																																																				}
																																																			}
																																																	}
																																																else
																																																	{	/* Eval/evaluate.scm 320 */
																																																		obj_t
																																																			BgL_cdrzd29811zd2_1448;
																																																		BgL_cdrzd29811zd2_1448
																																																			=
																																																			CDR
																																																			(BgL_cdrzd29719zd2_1427);
																																																		if (NULLP(CDR(BgL_cdrzd29811zd2_1448)))
																																																			{	/* Eval/evaluate.scm 320 */
																																																				obj_t
																																																					BgL_arg1830z00_1450;
																																																				obj_t
																																																					BgL_arg1831z00_1451;
																																																				BgL_arg1830z00_1450
																																																					=
																																																					CAR
																																																					(BgL_cdrzd29719zd2_1427);
																																																				BgL_arg1831z00_1451
																																																					=
																																																					CAR
																																																					(BgL_cdrzd29811zd2_1448);
																																																				{
																																																					BgL_ev_defglobalz00_bglt
																																																						BgL_auxz00_5980;
																																																					{
																																																						obj_t
																																																							BgL_gez00_5982;
																																																						obj_t
																																																							BgL_gvz00_5981;
																																																						BgL_gvz00_5981
																																																							=
																																																							BgL_arg1830z00_1450;
																																																						BgL_gez00_5982
																																																							=
																																																							BgL_arg1831z00_1451;
																																																						BgL_gez00_919
																																																							=
																																																							BgL_gez00_5982;
																																																						BgL_gvz00_918
																																																							=
																																																							BgL_gvz00_5981;
																																																						goto
																																																							BgL_tagzd2149zd2_920;
																																																					}
																																																					return
																																																						(
																																																						(obj_t)
																																																						BgL_auxz00_5980);
																																																				}
																																																			}
																																																		else
																																																			{	/* Eval/evaluate.scm 320 */
																																																				obj_t
																																																					BgL_arg1832z00_1452;
																																																				obj_t
																																																					BgL_arg1833z00_1453;
																																																				BgL_arg1832z00_1452
																																																					=
																																																					CAR
																																																					(BgL_ez00_49);
																																																				BgL_arg1833z00_1453
																																																					=
																																																					CDR
																																																					(BgL_ez00_49);
																																																				{
																																																					BgL_ev_appz00_bglt
																																																						BgL_auxz00_5986;
																																																					{
																																																						obj_t
																																																							BgL_argsz00_5988;
																																																						obj_t
																																																							BgL_fz00_5987;
																																																						BgL_fz00_5987
																																																							=
																																																							BgL_arg1832z00_1452;
																																																						BgL_argsz00_5988
																																																							=
																																																							BgL_arg1833z00_1453;
																																																						BgL_argsz00_934
																																																							=
																																																							BgL_argsz00_5988;
																																																						BgL_fz00_933
																																																							=
																																																							BgL_fz00_5987;
																																																						goto
																																																							BgL_tagzd2154zd2_935;
																																																					}
																																																					return
																																																						(
																																																						(obj_t)
																																																						BgL_auxz00_5986);
																																																				}
																																																			}
																																																	}
																																															}
																																														else
																																															{	/* Eval/evaluate.scm 320 */
																																																obj_t
																																																	BgL_cdrzd29874zd2_1457;
																																																BgL_cdrzd29874zd2_1457
																																																	=
																																																	CDR
																																																	(BgL_cdrzd29719zd2_1427);
																																																if (NULLP(CDR(BgL_cdrzd29874zd2_1457)))
																																																	{	/* Eval/evaluate.scm 320 */
																																																		obj_t
																																																			BgL_arg1837z00_1459;
																																																		obj_t
																																																			BgL_arg1838z00_1460;
																																																		BgL_arg1837z00_1459
																																																			=
																																																			CAR
																																																			(BgL_cdrzd29719zd2_1427);
																																																		BgL_arg1838z00_1460
																																																			=
																																																			CAR
																																																			(BgL_cdrzd29874zd2_1457);
																																																		{
																																																			BgL_ev_defglobalz00_bglt
																																																				BgL_auxz00_5996;
																																																			{
																																																				obj_t
																																																					BgL_gez00_5998;
																																																				obj_t
																																																					BgL_gvz00_5997;
																																																				BgL_gvz00_5997
																																																					=
																																																					BgL_arg1837z00_1459;
																																																				BgL_gez00_5998
																																																					=
																																																					BgL_arg1838z00_1460;
																																																				BgL_gez00_919
																																																					=
																																																					BgL_gez00_5998;
																																																				BgL_gvz00_918
																																																					=
																																																					BgL_gvz00_5997;
																																																				goto
																																																					BgL_tagzd2149zd2_920;
																																																			}
																																																			return
																																																				(
																																																				(obj_t)
																																																				BgL_auxz00_5996);
																																																		}
																																																	}
																																																else
																																																	{	/* Eval/evaluate.scm 320 */
																																																		obj_t
																																																			BgL_arg1839z00_1461;
																																																		obj_t
																																																			BgL_arg1840z00_1462;
																																																		BgL_arg1839z00_1461
																																																			=
																																																			CAR
																																																			(BgL_ez00_49);
																																																		BgL_arg1840z00_1462
																																																			=
																																																			CDR
																																																			(BgL_ez00_49);
																																																		{
																																																			BgL_ev_appz00_bglt
																																																				BgL_auxz00_6002;
																																																			{
																																																				obj_t
																																																					BgL_argsz00_6004;
																																																				obj_t
																																																					BgL_fz00_6003;
																																																				BgL_fz00_6003
																																																					=
																																																					BgL_arg1839z00_1461;
																																																				BgL_argsz00_6004
																																																					=
																																																					BgL_arg1840z00_1462;
																																																				BgL_argsz00_934
																																																					=
																																																					BgL_argsz00_6004;
																																																				BgL_fz00_933
																																																					=
																																																					BgL_fz00_6003;
																																																				goto
																																																					BgL_tagzd2154zd2_935;
																																																			}
																																																			return
																																																				(
																																																				(obj_t)
																																																				BgL_auxz00_6002);
																																																		}
																																																	}
																																															}
																																													}
																																												else
																																													{	/* Eval/evaluate.scm 320 */
																																														obj_t
																																															BgL_cdrzd29937zd2_1465;
																																														BgL_cdrzd29937zd2_1465
																																															=
																																															CDR
																																															(BgL_cdrzd29719zd2_1427);
																																														if (NULLP(CDR(BgL_cdrzd29937zd2_1465)))
																																															{	/* Eval/evaluate.scm 320 */
																																																obj_t
																																																	BgL_arg1843z00_1467;
																																																obj_t
																																																	BgL_arg1844z00_1468;
																																																BgL_arg1843z00_1467
																																																	=
																																																	CAR
																																																	(BgL_cdrzd29719zd2_1427);
																																																BgL_arg1844z00_1468
																																																	=
																																																	CAR
																																																	(BgL_cdrzd29937zd2_1465);
																																																{
																																																	BgL_ev_defglobalz00_bglt
																																																		BgL_auxz00_6012;
																																																	{
																																																		obj_t
																																																			BgL_gez00_6014;
																																																		obj_t
																																																			BgL_gvz00_6013;
																																																		BgL_gvz00_6013
																																																			=
																																																			BgL_arg1843z00_1467;
																																																		BgL_gez00_6014
																																																			=
																																																			BgL_arg1844z00_1468;
																																																		BgL_gez00_919
																																																			=
																																																			BgL_gez00_6014;
																																																		BgL_gvz00_918
																																																			=
																																																			BgL_gvz00_6013;
																																																		goto
																																																			BgL_tagzd2149zd2_920;
																																																	}
																																																	return
																																																		(
																																																		(obj_t)
																																																		BgL_auxz00_6012);
																																																}
																																															}
																																														else
																																															{	/* Eval/evaluate.scm 320 */
																																																obj_t
																																																	BgL_arg1845z00_1469;
																																																obj_t
																																																	BgL_arg1846z00_1470;
																																																BgL_arg1845z00_1469
																																																	=
																																																	CAR
																																																	(BgL_ez00_49);
																																																BgL_arg1846z00_1470
																																																	=
																																																	CDR
																																																	(BgL_ez00_49);
																																																{
																																																	BgL_ev_appz00_bglt
																																																		BgL_auxz00_6018;
																																																	{
																																																		obj_t
																																																			BgL_argsz00_6020;
																																																		obj_t
																																																			BgL_fz00_6019;
																																																		BgL_fz00_6019
																																																			=
																																																			BgL_arg1845z00_1469;
																																																		BgL_argsz00_6020
																																																			=
																																																			BgL_arg1846z00_1470;
																																																		BgL_argsz00_934
																																																			=
																																																			BgL_argsz00_6020;
																																																		BgL_fz00_933
																																																			=
																																																			BgL_fz00_6019;
																																																		goto
																																																			BgL_tagzd2154zd2_935;
																																																	}
																																																	return
																																																		(
																																																		(obj_t)
																																																		BgL_auxz00_6018);
																																																}
																																															}
																																													}
																																											}
																																										else
																																											{	/* Eval/evaluate.scm 320 */
																																												obj_t
																																													BgL_cdrzd210000zd2_1473;
																																												BgL_cdrzd210000zd2_1473
																																													=
																																													CDR
																																													(BgL_cdrzd29719zd2_1427);
																																												if (NULLP(CDR(BgL_cdrzd210000zd2_1473)))
																																													{	/* Eval/evaluate.scm 320 */
																																														obj_t
																																															BgL_arg1849z00_1475;
																																														obj_t
																																															BgL_arg1850z00_1476;
																																														BgL_arg1849z00_1475
																																															=
																																															CAR
																																															(BgL_cdrzd29719zd2_1427);
																																														BgL_arg1850z00_1476
																																															=
																																															CAR
																																															(BgL_cdrzd210000zd2_1473);
																																														{
																																															BgL_ev_defglobalz00_bglt
																																																BgL_auxz00_6028;
																																															{
																																																obj_t
																																																	BgL_gez00_6030;
																																																obj_t
																																																	BgL_gvz00_6029;
																																																BgL_gvz00_6029
																																																	=
																																																	BgL_arg1849z00_1475;
																																																BgL_gez00_6030
																																																	=
																																																	BgL_arg1850z00_1476;
																																																BgL_gez00_919
																																																	=
																																																	BgL_gez00_6030;
																																																BgL_gvz00_918
																																																	=
																																																	BgL_gvz00_6029;
																																																goto
																																																	BgL_tagzd2149zd2_920;
																																															}
																																															return
																																																(
																																																(obj_t)
																																																BgL_auxz00_6028);
																																														}
																																													}
																																												else
																																													{	/* Eval/evaluate.scm 320 */
																																														obj_t
																																															BgL_arg1851z00_1477;
																																														obj_t
																																															BgL_arg1852z00_1478;
																																														BgL_arg1851z00_1477
																																															=
																																															CAR
																																															(BgL_ez00_49);
																																														BgL_arg1852z00_1478
																																															=
																																															CDR
																																															(BgL_ez00_49);
																																														{
																																															BgL_ev_appz00_bglt
																																																BgL_auxz00_6034;
																																															{
																																																obj_t
																																																	BgL_argsz00_6036;
																																																obj_t
																																																	BgL_fz00_6035;
																																																BgL_fz00_6035
																																																	=
																																																	BgL_arg1851z00_1477;
																																																BgL_argsz00_6036
																																																	=
																																																	BgL_arg1852z00_1478;
																																																BgL_argsz00_934
																																																	=
																																																	BgL_argsz00_6036;
																																																BgL_fz00_933
																																																	=
																																																	BgL_fz00_6035;
																																																goto
																																																	BgL_tagzd2154zd2_935;
																																															}
																																															return
																																																(
																																																(obj_t)
																																																BgL_auxz00_6034);
																																														}
																																													}
																																											}
																																									}
																																								else
																																									{	/* Eval/evaluate.scm 320 */
																																										obj_t
																																											BgL_cdrzd210063zd2_1482;
																																										BgL_cdrzd210063zd2_1482
																																											=
																																											CDR
																																											(BgL_cdrzd29719zd2_1427);
																																										if (NULLP(CDR(BgL_cdrzd210063zd2_1482)))
																																											{	/* Eval/evaluate.scm 320 */
																																												obj_t
																																													BgL_arg1857z00_1484;
																																												obj_t
																																													BgL_arg1858z00_1485;
																																												BgL_arg1857z00_1484
																																													=
																																													CAR
																																													(BgL_cdrzd29719zd2_1427);
																																												BgL_arg1858z00_1485
																																													=
																																													CAR
																																													(BgL_cdrzd210063zd2_1482);
																																												{
																																													BgL_ev_defglobalz00_bglt
																																														BgL_auxz00_6044;
																																													{
																																														obj_t
																																															BgL_gez00_6046;
																																														obj_t
																																															BgL_gvz00_6045;
																																														BgL_gvz00_6045
																																															=
																																															BgL_arg1857z00_1484;
																																														BgL_gez00_6046
																																															=
																																															BgL_arg1858z00_1485;
																																														BgL_gez00_919
																																															=
																																															BgL_gez00_6046;
																																														BgL_gvz00_918
																																															=
																																															BgL_gvz00_6045;
																																														goto
																																															BgL_tagzd2149zd2_920;
																																													}
																																													return
																																														(
																																														(obj_t)
																																														BgL_auxz00_6044);
																																												}
																																											}
																																										else
																																											{	/* Eval/evaluate.scm 320 */
																																												obj_t
																																													BgL_arg1859z00_1486;
																																												obj_t
																																													BgL_arg1860z00_1487;
																																												BgL_arg1859z00_1486
																																													=
																																													CAR
																																													(BgL_ez00_49);
																																												BgL_arg1860z00_1487
																																													=
																																													CDR
																																													(BgL_ez00_49);
																																												{
																																													BgL_ev_appz00_bglt
																																														BgL_auxz00_6050;
																																													{
																																														obj_t
																																															BgL_argsz00_6052;
																																														obj_t
																																															BgL_fz00_6051;
																																														BgL_fz00_6051
																																															=
																																															BgL_arg1859z00_1486;
																																														BgL_argsz00_6052
																																															=
																																															BgL_arg1860z00_1487;
																																														BgL_argsz00_934
																																															=
																																															BgL_argsz00_6052;
																																														BgL_fz00_933
																																															=
																																															BgL_fz00_6051;
																																														goto
																																															BgL_tagzd2154zd2_935;
																																													}
																																													return
																																														(
																																														(obj_t)
																																														BgL_auxz00_6050);
																																												}
																																											}
																																									}
																																							}
																																						else
																																							{	/* Eval/evaluate.scm 320 */
																																								obj_t
																																									BgL_arg1862z00_1489;
																																								BgL_arg1862z00_1489
																																									=
																																									CAR
																																									(BgL_ez00_49);
																																								{
																																									BgL_ev_appz00_bglt
																																										BgL_auxz00_6055;
																																									{
																																										obj_t
																																											BgL_argsz00_6057;
																																										obj_t
																																											BgL_fz00_6056;
																																										BgL_fz00_6056
																																											=
																																											BgL_arg1862z00_1489;
																																										BgL_argsz00_6057
																																											=
																																											BgL_cdrzd29719zd2_1427;
																																										BgL_argsz00_934
																																											=
																																											BgL_argsz00_6057;
																																										BgL_fz00_933
																																											=
																																											BgL_fz00_6056;
																																										goto
																																											BgL_tagzd2154zd2_935;
																																									}
																																									return
																																										(
																																										(obj_t)
																																										BgL_auxz00_6055);
																																								}
																																							}
																																					}
																																				else
																																					{	/* Eval/evaluate.scm 320 */
																																						obj_t
																																							BgL_arg1864z00_1491;
																																						BgL_arg1864z00_1491
																																							=
																																							CAR
																																							(BgL_ez00_49);
																																						{
																																							BgL_ev_appz00_bglt
																																								BgL_auxz00_6060;
																																							{
																																								obj_t
																																									BgL_argsz00_6062;
																																								obj_t
																																									BgL_fz00_6061;
																																								BgL_fz00_6061
																																									=
																																									BgL_arg1864z00_1491;
																																								BgL_argsz00_6062
																																									=
																																									BgL_cdrzd29719zd2_1427;
																																								BgL_argsz00_934
																																									=
																																									BgL_argsz00_6062;
																																								BgL_fz00_933
																																									=
																																									BgL_fz00_6061;
																																								goto
																																									BgL_tagzd2154zd2_935;
																																							}
																																							return
																																								(
																																								(obj_t)
																																								BgL_auxz00_6060);
																																						}
																																					}
																																			}
																																		else
																																			{	/* Eval/evaluate.scm 320 */
																																				if (
																																					(CAR
																																						(BgL_ez00_49)
																																						==
																																						BGl_symbol2628z00zz__evaluatez00))
																																					{	/* Eval/evaluate.scm 320 */
																																						if (PAIRP(BgL_cdrzd29719zd2_1427))
																																							{	/* Eval/evaluate.scm 320 */
																																								obj_t
																																									BgL_carzd210231zd2_1496;
																																								BgL_carzd210231zd2_1496
																																									=
																																									CAR
																																									(BgL_cdrzd29719zd2_1427);
																																								if (PAIRP(BgL_carzd210231zd2_1496))
																																									{	/* Eval/evaluate.scm 320 */
																																										if (NULLP(CDR(BgL_carzd210231zd2_1496)))
																																											{	/* Eval/evaluate.scm 320 */
																																												obj_t
																																													BgL_arg1871z00_1499;
																																												obj_t
																																													BgL_arg1872z00_1500;
																																												BgL_arg1871z00_1499
																																													=
																																													CAR
																																													(BgL_carzd210231zd2_1496);
																																												BgL_arg1872z00_1500
																																													=
																																													CDR
																																													(BgL_cdrzd29719zd2_1427);
																																												{
																																													BgL_ev_bindzd2exitzd2_bglt
																																														BgL_auxz00_6077;
																																													{
																																														obj_t
																																															BgL_bodyz00_6079;
																																														obj_t
																																															BgL_vz00_6078;
																																														BgL_vz00_6078
																																															=
																																															BgL_arg1871z00_1499;
																																														BgL_bodyz00_6079
																																															=
																																															BgL_arg1872z00_1500;
																																														BgL_bodyz00_922
																																															=
																																															BgL_bodyz00_6079;
																																														BgL_vz00_921
																																															=
																																															BgL_vz00_6078;
																																														goto
																																															BgL_tagzd2150zd2_923;
																																													}
																																													return
																																														(
																																														(obj_t)
																																														BgL_auxz00_6077);
																																												}
																																											}
																																										else
																																											{	/* Eval/evaluate.scm 320 */
																																												obj_t
																																													BgL_arg1873z00_1501;
																																												obj_t
																																													BgL_arg1874z00_1502;
																																												BgL_arg1873z00_1501
																																													=
																																													CAR
																																													(BgL_ez00_49);
																																												BgL_arg1874z00_1502
																																													=
																																													CDR
																																													(BgL_ez00_49);
																																												{
																																													BgL_ev_appz00_bglt
																																														BgL_auxz00_6083;
																																													{
																																														obj_t
																																															BgL_argsz00_6085;
																																														obj_t
																																															BgL_fz00_6084;
																																														BgL_fz00_6084
																																															=
																																															BgL_arg1873z00_1501;
																																														BgL_argsz00_6085
																																															=
																																															BgL_arg1874z00_1502;
																																														BgL_argsz00_934
																																															=
																																															BgL_argsz00_6085;
																																														BgL_fz00_933
																																															=
																																															BgL_fz00_6084;
																																														goto
																																															BgL_tagzd2154zd2_935;
																																													}
																																													return
																																														(
																																														(obj_t)
																																														BgL_auxz00_6083);
																																												}
																																											}
																																									}
																																								else
																																									{	/* Eval/evaluate.scm 320 */
																																										obj_t
																																											BgL_arg1876z00_1504;
																																										obj_t
																																											BgL_arg1877z00_1505;
																																										BgL_arg1876z00_1504
																																											=
																																											CAR
																																											(BgL_ez00_49);
																																										BgL_arg1877z00_1505
																																											=
																																											CDR
																																											(BgL_ez00_49);
																																										{
																																											BgL_ev_appz00_bglt
																																												BgL_auxz00_6089;
																																											{
																																												obj_t
																																													BgL_argsz00_6091;
																																												obj_t
																																													BgL_fz00_6090;
																																												BgL_fz00_6090
																																													=
																																													BgL_arg1876z00_1504;
																																												BgL_argsz00_6091
																																													=
																																													BgL_arg1877z00_1505;
																																												BgL_argsz00_934
																																													=
																																													BgL_argsz00_6091;
																																												BgL_fz00_933
																																													=
																																													BgL_fz00_6090;
																																												goto
																																													BgL_tagzd2154zd2_935;
																																											}
																																											return
																																												(
																																												(obj_t)
																																												BgL_auxz00_6089);
																																										}
																																									}
																																							}
																																						else
																																							{	/* Eval/evaluate.scm 320 */
																																								obj_t
																																									BgL_arg1879z00_1506;
																																								obj_t
																																									BgL_arg1880z00_1507;
																																								BgL_arg1879z00_1506
																																									=
																																									CAR
																																									(BgL_ez00_49);
																																								BgL_arg1880z00_1507
																																									=
																																									CDR
																																									(BgL_ez00_49);
																																								{
																																									BgL_ev_appz00_bglt
																																										BgL_auxz00_6095;
																																									{
																																										obj_t
																																											BgL_argsz00_6097;
																																										obj_t
																																											BgL_fz00_6096;
																																										BgL_fz00_6096
																																											=
																																											BgL_arg1879z00_1506;
																																										BgL_argsz00_6097
																																											=
																																											BgL_arg1880z00_1507;
																																										BgL_argsz00_934
																																											=
																																											BgL_argsz00_6097;
																																										BgL_fz00_933
																																											=
																																											BgL_fz00_6096;
																																										goto
																																											BgL_tagzd2154zd2_935;
																																									}
																																									return
																																										(
																																										(obj_t)
																																										BgL_auxz00_6095);
																																								}
																																							}
																																					}
																																				else
																																					{	/* Eval/evaluate.scm 320 */
																																						obj_t
																																							BgL_cdrzd210334zd2_1508;
																																						BgL_cdrzd210334zd2_1508
																																							=
																																							CDR
																																							(BgL_ez00_49);
																																						if (
																																							(CAR
																																								(BgL_ez00_49)
																																								==
																																								BGl_symbol2630z00zz__evaluatez00))
																																							{	/* Eval/evaluate.scm 320 */
																																								if (PAIRP(BgL_cdrzd210334zd2_1508))
																																									{	/* Eval/evaluate.scm 320 */
																																										obj_t
																																											BgL_arg1883z00_1511;
																																										obj_t
																																											BgL_arg1884z00_1512;
																																										BgL_arg1883z00_1511
																																											=
																																											CAR
																																											(BgL_cdrzd210334zd2_1508);
																																										BgL_arg1884z00_1512
																																											=
																																											CDR
																																											(BgL_cdrzd210334zd2_1508);
																																										{
																																											BgL_ev_unwindzd2protectzd2_bglt
																																												BgL_auxz00_6107;
																																											{
																																												obj_t
																																													BgL_bodyz00_6109;
																																												obj_t
																																													BgL_ez00_6108;
																																												BgL_ez00_6108
																																													=
																																													BgL_arg1883z00_1511;
																																												BgL_bodyz00_6109
																																													=
																																													BgL_arg1884z00_1512;
																																												BgL_bodyz00_925
																																													=
																																													BgL_bodyz00_6109;
																																												BgL_ez00_924
																																													=
																																													BgL_ez00_6108;
																																												goto
																																													BgL_tagzd2151zd2_926;
																																											}
																																											return
																																												(
																																												(obj_t)
																																												BgL_auxz00_6107);
																																										}
																																									}
																																								else
																																									{	/* Eval/evaluate.scm 320 */
																																										obj_t
																																											BgL_arg1885z00_1513;
																																										BgL_arg1885z00_1513
																																											=
																																											CAR
																																											(BgL_ez00_49);
																																										{
																																											BgL_ev_appz00_bglt
																																												BgL_auxz00_6112;
																																											{
																																												obj_t
																																													BgL_argsz00_6114;
																																												obj_t
																																													BgL_fz00_6113;
																																												BgL_fz00_6113
																																													=
																																													BgL_arg1885z00_1513;
																																												BgL_argsz00_6114
																																													=
																																													BgL_cdrzd210334zd2_1508;
																																												BgL_argsz00_934
																																													=
																																													BgL_argsz00_6114;
																																												BgL_fz00_933
																																													=
																																													BgL_fz00_6113;
																																												goto
																																													BgL_tagzd2154zd2_935;
																																											}
																																											return
																																												(
																																												(obj_t)
																																												BgL_auxz00_6112);
																																										}
																																									}
																																							}
																																						else
																																							{	/* Eval/evaluate.scm 320 */
																																								if ((CAR(BgL_ez00_49) == BGl_symbol2632z00zz__evaluatez00))
																																									{	/* Eval/evaluate.scm 320 */
																																										if (PAIRP(BgL_cdrzd210334zd2_1508))
																																											{	/* Eval/evaluate.scm 320 */
																																												obj_t
																																													BgL_arg1890z00_1518;
																																												obj_t
																																													BgL_arg1891z00_1519;
																																												BgL_arg1890z00_1518
																																													=
																																													CAR
																																													(BgL_cdrzd210334zd2_1508);
																																												BgL_arg1891z00_1519
																																													=
																																													CDR
																																													(BgL_cdrzd210334zd2_1508);
																																												{
																																													BgL_ev_withzd2handlerzd2_bglt
																																														BgL_auxz00_6123;
																																													{
																																														obj_t
																																															BgL_bodyz00_6125;
																																														obj_t
																																															BgL_hz00_6124;
																																														BgL_hz00_6124
																																															=
																																															BgL_arg1890z00_1518;
																																														BgL_bodyz00_6125
																																															=
																																															BgL_arg1891z00_1519;
																																														BgL_bodyz00_928
																																															=
																																															BgL_bodyz00_6125;
																																														BgL_hz00_927
																																															=
																																															BgL_hz00_6124;
																																														goto
																																															BgL_tagzd2152zd2_929;
																																													}
																																													return
																																														(
																																														(obj_t)
																																														BgL_auxz00_6123);
																																												}
																																											}
																																										else
																																											{	/* Eval/evaluate.scm 320 */
																																												obj_t
																																													BgL_arg1892z00_1520;
																																												obj_t
																																													BgL_arg1893z00_1521;
																																												BgL_arg1892z00_1520
																																													=
																																													CAR
																																													(BgL_ez00_49);
																																												BgL_arg1893z00_1521
																																													=
																																													CDR
																																													(BgL_ez00_49);
																																												{
																																													BgL_ev_appz00_bglt
																																														BgL_auxz00_6129;
																																													{
																																														obj_t
																																															BgL_argsz00_6131;
																																														obj_t
																																															BgL_fz00_6130;
																																														BgL_fz00_6130
																																															=
																																															BgL_arg1892z00_1520;
																																														BgL_argsz00_6131
																																															=
																																															BgL_arg1893z00_1521;
																																														BgL_argsz00_934
																																															=
																																															BgL_argsz00_6131;
																																														BgL_fz00_933
																																															=
																																															BgL_fz00_6130;
																																														goto
																																															BgL_tagzd2154zd2_935;
																																													}
																																													return
																																														(
																																														(obj_t)
																																														BgL_auxz00_6129);
																																												}
																																											}
																																									}
																																								else
																																									{	/* Eval/evaluate.scm 320 */
																																										obj_t
																																											BgL_cdrzd210398zd2_1522;
																																										BgL_cdrzd210398zd2_1522
																																											=
																																											CDR
																																											(BgL_ez00_49);
																																										if ((CAR(BgL_ez00_49) == BGl_symbol2626z00zz__evaluatez00))
																																											{	/* Eval/evaluate.scm 320 */
																																												if (PAIRP(BgL_cdrzd210398zd2_1522))
																																													{	/* Eval/evaluate.scm 320 */
																																														obj_t
																																															BgL_cdrzd210402zd2_1525;
																																														BgL_cdrzd210402zd2_1525
																																															=
																																															CDR
																																															(BgL_cdrzd210398zd2_1522);
																																														if (PAIRP(BgL_cdrzd210402zd2_1525))
																																															{	/* Eval/evaluate.scm 320 */
																																																if (NULLP(CDR(BgL_cdrzd210402zd2_1525)))
																																																	{	/* Eval/evaluate.scm 320 */
																																																		obj_t
																																																			BgL_arg1898z00_1528;
																																																		obj_t
																																																			BgL_arg1899z00_1529;
																																																		BgL_arg1898z00_1528
																																																			=
																																																			CAR
																																																			(BgL_cdrzd210398zd2_1522);
																																																		BgL_arg1899z00_1529
																																																			=
																																																			CAR
																																																			(BgL_cdrzd210402zd2_1525);
																																																		{	/* Eval/evaluate.scm 320 */
																																																			obj_t
																																																				BgL_arg2045z00_3723;
																																																			{	/* Eval/evaluate.scm 320 */
																																																				obj_t
																																																					BgL_arg2046z00_3724;
																																																				{	/* Eval/evaluate.scm 320 */
																																																					obj_t
																																																						BgL_arg2048z00_3725;
																																																					obj_t
																																																						BgL_arg2049z00_3726;
																																																					{	/* Eval/evaluate.scm 320 */
																																																						obj_t
																																																							BgL_res2543z00_3729;
																																																						{	/* Eval/evaluate.scm 320 */
																																																							obj_t
																																																								BgL_symbolz00_3727;
																																																							BgL_symbolz00_3727
																																																								=
																																																								BGl_symbol2634z00zz__evaluatez00;
																																																							{	/* Eval/evaluate.scm 320 */
																																																								obj_t
																																																									BgL_arg2227z00_3728;
																																																								BgL_arg2227z00_3728
																																																									=
																																																									SYMBOL_TO_STRING
																																																									(BgL_symbolz00_3727);
																																																								BgL_res2543z00_3729
																																																									=
																																																									BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																																																									(BgL_arg2227z00_3728);
																																																							}
																																																						}
																																																						BgL_arg2048z00_3725
																																																							=
																																																							BgL_res2543z00_3729;
																																																					}
																																																					{	/* Eval/evaluate.scm 320 */
																																																						obj_t
																																																							BgL_res2544z00_3732;
																																																						{	/* Eval/evaluate.scm 320 */
																																																							obj_t
																																																								BgL_symbolz00_3730;
																																																							BgL_symbolz00_3730
																																																								=
																																																								BgL_wherez00_53;
																																																							{	/* Eval/evaluate.scm 320 */
																																																								obj_t
																																																									BgL_arg2227z00_3731;
																																																								BgL_arg2227z00_3731
																																																									=
																																																									SYMBOL_TO_STRING
																																																									(BgL_symbolz00_3730);
																																																								BgL_res2544z00_3732
																																																									=
																																																									BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																																																									(BgL_arg2227z00_3731);
																																																							}
																																																						}
																																																						BgL_arg2049z00_3726
																																																							=
																																																							BgL_res2544z00_3732;
																																																					}
																																																					BgL_arg2046z00_3724
																																																						=
																																																						string_append
																																																						(BgL_arg2048z00_3725,
																																																						BgL_arg2049z00_3726);
																																																				}
																																																				BgL_arg2045z00_3723
																																																					=
																																																					string_to_symbol
																																																					(BSTRING_TO_STRING
																																																					(BgL_arg2046z00_3724));
																																																			}
																																																			return
																																																				(
																																																				(obj_t)
																																																				BGl_convzd2lambdazd2zz__evaluatez00
																																																				(BgL_globalsz00_51,
																																																					BgL_localsz00_50,
																																																					BgL_locz00_54,
																																																					BgL_ez00_49,
																																																					BgL_arg1898z00_1528,
																																																					BgL_arg1899z00_1529,
																																																					BgL_arg2045z00_3723));
																																																		}
																																																	}
																																																else
																																																	{	/* Eval/evaluate.scm 320 */
																																																		obj_t
																																																			BgL_arg1900z00_1530;
																																																		BgL_arg1900z00_1530
																																																			=
																																																			CAR
																																																			(BgL_ez00_49);
																																																		{
																																																			BgL_ev_appz00_bglt
																																																				BgL_auxz00_6157;
																																																			{
																																																				obj_t
																																																					BgL_argsz00_6159;
																																																				obj_t
																																																					BgL_fz00_6158;
																																																				BgL_fz00_6158
																																																					=
																																																					BgL_arg1900z00_1530;
																																																				BgL_argsz00_6159
																																																					=
																																																					BgL_cdrzd210398zd2_1522;
																																																				BgL_argsz00_934
																																																					=
																																																					BgL_argsz00_6159;
																																																				BgL_fz00_933
																																																					=
																																																					BgL_fz00_6158;
																																																				goto
																																																					BgL_tagzd2154zd2_935;
																																																			}
																																																			return
																																																				(
																																																				(obj_t)
																																																				BgL_auxz00_6157);
																																																		}
																																																	}
																																															}
																																														else
																																															{	/* Eval/evaluate.scm 320 */
																																																obj_t
																																																	BgL_arg1904z00_1533;
																																																BgL_arg1904z00_1533
																																																	=
																																																	CAR
																																																	(BgL_ez00_49);
																																																{
																																																	BgL_ev_appz00_bglt
																																																		BgL_auxz00_6162;
																																																	{
																																																		obj_t
																																																			BgL_argsz00_6164;
																																																		obj_t
																																																			BgL_fz00_6163;
																																																		BgL_fz00_6163
																																																			=
																																																			BgL_arg1904z00_1533;
																																																		BgL_argsz00_6164
																																																			=
																																																			BgL_cdrzd210398zd2_1522;
																																																		BgL_argsz00_934
																																																			=
																																																			BgL_argsz00_6164;
																																																		BgL_fz00_933
																																																			=
																																																			BgL_fz00_6163;
																																																		goto
																																																			BgL_tagzd2154zd2_935;
																																																	}
																																																	return
																																																		(
																																																		(obj_t)
																																																		BgL_auxz00_6162);
																																																}
																																															}
																																													}
																																												else
																																													{	/* Eval/evaluate.scm 320 */
																																														obj_t
																																															BgL_arg1906z00_1535;
																																														BgL_arg1906z00_1535
																																															=
																																															CAR
																																															(BgL_ez00_49);
																																														{
																																															BgL_ev_appz00_bglt
																																																BgL_auxz00_6167;
																																															{
																																																obj_t
																																																	BgL_argsz00_6169;
																																																obj_t
																																																	BgL_fz00_6168;
																																																BgL_fz00_6168
																																																	=
																																																	BgL_arg1906z00_1535;
																																																BgL_argsz00_6169
																																																	=
																																																	BgL_cdrzd210398zd2_1522;
																																																BgL_argsz00_934
																																																	=
																																																	BgL_argsz00_6169;
																																																BgL_fz00_933
																																																	=
																																																	BgL_fz00_6168;
																																																goto
																																																	BgL_tagzd2154zd2_935;
																																															}
																																															return
																																																(
																																																(obj_t)
																																																BgL_auxz00_6167);
																																														}
																																													}
																																											}
																																										else
																																											{	/* Eval/evaluate.scm 320 */
																																												obj_t
																																													BgL_arg1908z00_1537;
																																												BgL_arg1908z00_1537
																																													=
																																													CAR
																																													(BgL_ez00_49);
																																												{
																																													BgL_ev_appz00_bglt
																																														BgL_auxz00_6172;
																																													{
																																														obj_t
																																															BgL_argsz00_6174;
																																														obj_t
																																															BgL_fz00_6173;
																																														BgL_fz00_6173
																																															=
																																															BgL_arg1908z00_1537;
																																														BgL_argsz00_6174
																																															=
																																															BgL_cdrzd210398zd2_1522;
																																														BgL_argsz00_934
																																															=
																																															BgL_argsz00_6174;
																																														BgL_fz00_933
																																															=
																																															BgL_fz00_6173;
																																														goto
																																															BgL_tagzd2154zd2_935;
																																													}
																																													return
																																														(
																																														(obj_t)
																																														BgL_auxz00_6172);
																																												}
																																											}
																																									}
																																							}
																																					}
																																			}
																																	}
																															}
																													}
																											}
																									}
																							}
																					}
																			}
																	}
															}
													}
											}
									}
							}
					}
				else
					{	/* Eval/evaluate.scm 320 */
						BgL_xz00_868 = BgL_ez00_49;
						if (SYMBOLP(BgL_xz00_868))
							{	/* Eval/evaluate.scm 323 */
								obj_t BgL__ortest_1096z00_1558;

								BgL__ortest_1096z00_1558 =
									BGl_convzd2varzd2zz__evaluatez00(BgL_xz00_868,
									BgL_localsz00_50);
								if (CBOOL(BgL__ortest_1096z00_1558))
									{	/* Eval/evaluate.scm 323 */
										return BgL__ortest_1096z00_1558;
									}
								else
									{	/* Eval/evaluate.scm 324 */
										BgL_ev_globalz00_bglt BgL_new1098z00_1559;

										{	/* Eval/evaluate.scm 324 */
											BgL_ev_globalz00_bglt BgL_new1097z00_1561;

											BgL_new1097z00_1561 =
												((BgL_ev_globalz00_bglt) BREF(GC_MALLOC(sizeof(struct
															BgL_ev_globalz00_bgl))));
											{	/* Eval/evaluate.scm 324 */
												long BgL_arg1932z00_1562;

												{	/* Eval/evaluate.scm 324 */
													long BgL_res2348z00_2428;

													{	/* Eval/evaluate.scm 324 */
														obj_t BgL_classz00_2425;

														BgL_classz00_2425 =
															BGl_ev_globalz00zz__evaluate_typesz00;
														{	/* Eval/evaluate.scm 324 */
															obj_t BgL_vectorz00_2426;
															int BgL_kz00_2427;

															BgL_vectorz00_2426 = BgL_classz00_2425;
															BgL_kz00_2427 = (int) (((long) 1));
															BgL_res2348z00_2428 =
																(long) CINT(VECTOR_REF(BgL_vectorz00_2426,
																	BgL_kz00_2427));
													}}
													BgL_arg1932z00_1562 = BgL_res2348z00_2428;
												}
												{	/* Eval/evaluate.scm 324 */
													BgL_objectz00_bglt BgL_objz00_2429;

													BgL_objz00_2429 =
														((BgL_objectz00_bglt) BgL_new1097z00_1561);
													BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2429,
														BgL_arg1932z00_1562);
											}}
											{	/* Eval/evaluate.scm 324 */
												BgL_objectz00_bglt BgL_auxz00_6187;

												BgL_auxz00_6187 =
													((BgL_objectz00_bglt) BgL_new1097z00_1561);
												BGL_OBJECT_WIDENING_SET(BgL_auxz00_6187, BFALSE);
											}
											BgL_new1098z00_1559 = BgL_new1097z00_1561;
										}
										((((BgL_ev_globalz00_bglt) CREF(BgL_new1098z00_1559))->
												BgL_locz00) = ((obj_t) BgL_locz00_54), BUNSPEC);
										((((BgL_ev_globalz00_bglt) CREF(BgL_new1098z00_1559))->
												BgL_namez00) = ((obj_t) BgL_xz00_868), BUNSPEC);
										{
											obj_t BgL_auxz00_6192;

											if (BGl_evmodulezf3zf3zz__evmodulez00(BgL_globalsz00_51))
												{	/* Eval/evaluate.scm 327 */
													BgL_auxz00_6192 = BgL_globalsz00_51;
												}
											else
												{	/* Eval/evaluate.scm 327 */
													BgL_auxz00_6192 = BGL_MODULE();
												}
											((((BgL_ev_globalz00_bglt) CREF(BgL_new1098z00_1559))->
													BgL_modz00) = ((obj_t) BgL_auxz00_6192), BUNSPEC);
										}
										return ((obj_t) BgL_new1098z00_1559);
									}
							}
						else
							{	/* Eval/evaluate.scm 328 */
								BgL_ev_littz00_bglt BgL_new1100z00_1563;

								{	/* Eval/evaluate.scm 328 */
									BgL_ev_littz00_bglt BgL_new1099z00_1564;

									BgL_new1099z00_1564 =
										((BgL_ev_littz00_bglt) BREF(GC_MALLOC(sizeof(struct
													BgL_ev_littz00_bgl))));
									{	/* Eval/evaluate.scm 328 */
										long BgL_arg1933z00_1565;

										{	/* Eval/evaluate.scm 328 */
											long BgL_res2349z00_2434;

											{	/* Eval/evaluate.scm 328 */
												obj_t BgL_classz00_2431;

												BgL_classz00_2431 = BGl_ev_littz00zz__evaluate_typesz00;
												{	/* Eval/evaluate.scm 328 */
													obj_t BgL_vectorz00_2432;
													int BgL_kz00_2433;

													BgL_vectorz00_2432 = BgL_classz00_2431;
													BgL_kz00_2433 = (int) (((long) 1));
													BgL_res2349z00_2434 =
														(long) CINT(VECTOR_REF(BgL_vectorz00_2432,
															BgL_kz00_2433));
											}}
											BgL_arg1933z00_1565 = BgL_res2349z00_2434;
										}
										{	/* Eval/evaluate.scm 328 */
											BgL_objectz00_bglt BgL_objz00_2435;

											BgL_objz00_2435 =
												((BgL_objectz00_bglt) BgL_new1099z00_1564);
											BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2435,
												BgL_arg1933z00_1565);
									}}
									{	/* Eval/evaluate.scm 328 */
										BgL_objectz00_bglt BgL_auxz00_6204;

										BgL_auxz00_6204 =
											((BgL_objectz00_bglt) BgL_new1099z00_1564);
										BGL_OBJECT_WIDENING_SET(BgL_auxz00_6204, BFALSE);
									}
									BgL_new1100z00_1563 = BgL_new1099z00_1564;
								}
								((((BgL_ev_littz00_bglt) CREF(BgL_new1100z00_1563))->
										BgL_valuez00) = ((obj_t) BgL_xz00_868), BUNSPEC);
								return ((obj_t) BgL_new1100z00_1563);
							}
					}
			}
		}
	}



/* loop */
	obj_t BGl_loopz00zz__evaluatez00(obj_t BgL_wherez00_3992,
		obj_t BgL_globalsz00_3991, obj_t BgL_localsz00_3990, obj_t BgL_locz00_3989,
		obj_t BgL_esz00_1804)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 284 */
			if (NULLP(BgL_esz00_1804))
				{	/* Eval/evaluate.scm 285 */
					return BNIL;
				}
			else
				{	/* Eval/evaluate.scm 287 */
					obj_t BgL_ez00_1807;

					BgL_ez00_1807 = CAR(BgL_esz00_1804);
					{	/* Eval/evaluate.scm 288 */
						obj_t BgL_arg2060z00_1808;
						obj_t BgL_arg2061z00_1809;

						{	/* Eval/evaluate.scm 288 */
							obj_t BgL_arg2062z00_1810;

							{	/* Eval/evaluate.scm 288 */
								obj_t BgL__ortest_1067z00_2367;

								BgL__ortest_1067z00_2367 =
									BGl_getzd2sourcezd2locationz00zz__readerz00(BgL_ez00_1807);
								if (CBOOL(BgL__ortest_1067z00_2367))
									{	/* Eval/evaluate.scm 288 */
										BgL_arg2062z00_1810 = BgL__ortest_1067z00_2367;
									}
								else
									{	/* Eval/evaluate.scm 288 */
										obj_t BgL__ortest_1068z00_2368;

										BgL__ortest_1068z00_2368 =
											BGl_getzd2sourcezd2locationz00zz__readerz00
											(BgL_esz00_1804);
										if (CBOOL(BgL__ortest_1068z00_2368))
											{	/* Eval/evaluate.scm 288 */
												BgL_arg2062z00_1810 = BgL__ortest_1068z00_2368;
											}
										else
											{	/* Eval/evaluate.scm 288 */
												BgL_arg2062z00_1810 = BgL_locz00_3989;
											}
									}
							}
							BgL_arg2060z00_1808 =
								BGl_convz00zz__evaluatez00(BgL_ez00_1807, BgL_localsz00_3990,
								BgL_globalsz00_3991, BFALSE, BgL_wherez00_3992,
								BgL_arg2062z00_1810, ((bool_t) 0));
						}
						BgL_arg2061z00_1809 =
							BGl_loopz00zz__evaluatez00(BgL_wherez00_3992, BgL_globalsz00_3991,
							BgL_localsz00_3990, BgL_locz00_3989, CDR(BgL_esz00_1804));
						return MAKE_PAIR(BgL_arg2060z00_1808, BgL_arg2061z00_1809);
					}
				}
		}
	}



/* conv-vals */
	obj_t BGl_convzd2valszd2zz__evaluatez00(obj_t BgL_wherez00_3994,
		obj_t BgL_globalsz00_3993, obj_t BgL_lz00_2740, obj_t BgL_varsz00_2741,
		obj_t BgL_localsz00_2742, obj_t BgL_locz00_2743)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 389 */
			if (NULLP(BgL_lz00_2740))
				{	/* Eval/evaluate.scm 399 */
					return BNIL;
				}
			else
				{	/* Eval/evaluate.scm 399 */
					obj_t BgL_locz00_2754;

					{	/* Eval/evaluate.scm 399 */
						obj_t BgL__ortest_1066z00_2766;

						BgL__ortest_1066z00_2766 =
							BGl_getzd2sourcezd2locationz00zz__readerz00(BgL_lz00_2740);
						if (CBOOL(BgL__ortest_1066z00_2766))
							{	/* Eval/evaluate.scm 399 */
								BgL_locz00_2754 = BgL__ortest_1066z00_2766;
							}
						else
							{	/* Eval/evaluate.scm 399 */
								BgL_locz00_2754 = BgL_locz00_2743;
							}
					}
					{	/* Eval/evaluate.scm 399 */
						obj_t BgL_arg1988z00_2755;
						obj_t BgL_arg1989z00_2756;

						{	/* Eval/evaluate.scm 399 */
							obj_t BgL_arg1990z00_2757;

							{	/* Eval/evaluate.scm 399 */
								obj_t BgL_pairz00_2767;

								BgL_pairz00_2767 = BgL_lz00_2740;
								BgL_arg1990z00_2757 = CAR(CDR(CAR(BgL_pairz00_2767)));
							}
							BgL_arg1988z00_2755 =
								BGl_convz00zz__evaluatez00(BgL_arg1990z00_2757,
								BgL_localsz00_2742, BgL_globalsz00_3993, BFALSE,
								BgL_wherez00_3994, BgL_locz00_2754, ((bool_t) 0));
						}
						{	/* Eval/evaluate.scm 399 */
							obj_t BgL_arg1991z00_2758;
							obj_t BgL_arg1992z00_2759;
							obj_t BgL_arg1993z00_2760;

							BgL_arg1991z00_2758 = CDR(BgL_lz00_2740);
							BgL_arg1992z00_2759 = CDR(BgL_varsz00_2741);
							BgL_arg1993z00_2760 =
								MAKE_PAIR(CAR(BgL_varsz00_2741), BgL_localsz00_2742);
							BgL_arg1989z00_2756 =
								BGl_convzd2valszd2zz__evaluatez00(BgL_wherez00_3994,
								BgL_globalsz00_3993, BgL_arg1991z00_2758, BgL_arg1992z00_2759,
								BgL_arg1993z00_2760, BgL_locz00_2754);
						}
						return MAKE_PAIR(BgL_arg1988z00_2755, BgL_arg1989z00_2756);
					}
				}
		}
	}



/* conv-lambda */
	BgL_ev_absz00_bglt BGl_convzd2lambdazd2zz__evaluatez00(obj_t
		BgL_globalsz00_3998, obj_t BgL_localsz00_3997, obj_t BgL_locz00_3996,
		obj_t BgL_ez00_3995, obj_t BgL_formalsz00_1813, obj_t BgL_bodyz00_1814,
		obj_t BgL_wherez00_1815)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 302 */
			{
				obj_t BgL_lz00_1844;

				{	/* Eval/evaluate.scm 304 */
					obj_t BgL_varsz00_1818;

					BgL_lz00_1844 =
						BGl_dssslzd2formalszd2ze3schemezd2typedzd2formalsze3zz__dssslz00
						(BgL_formalsz00_1813, BGl_errorzd2envzd2zz__errorz00, ((bool_t) 1));
					{
						obj_t BgL_rz00_1848;
						obj_t BgL_flatz00_1849;
						long BgL_arityz00_1850;

						BgL_rz00_1848 = BgL_lz00_1844;
						BgL_flatz00_1849 = BNIL;
						BgL_arityz00_1850 = ((long) 0);
					BgL_zc3anonymousza32076ze3z83_1851:
						if (NULLP(BgL_rz00_1848))
							{	/* Eval/evaluate.scm 297 */
								obj_t BgL_val0_1175z00_1853;

								BgL_val0_1175z00_1853 = bgl_reverse_bang(BgL_flatz00_1849);
								{	/* Eval/evaluate.scm 297 */
									int BgL_res2336z00_2373;

									{	/* Eval/evaluate.scm 297 */
										int BgL_auxz00_6240;

										BgL_auxz00_6240 = (int) (((long) 2));
										BgL_res2336z00_2373 =
											BGL_MVALUES_NUMBER_SET(BgL_auxz00_6240);
									} BgL_res2336z00_2373;
								}
								{	/* Eval/evaluate.scm 297 */
									obj_t BgL_auxz00_6245;
									int BgL_auxz00_6243;

									BgL_auxz00_6245 = BINT(BgL_arityz00_1850);
									BgL_auxz00_6243 = (int) (((long) 1));
									BGL_MVALUES_VAL_SET(BgL_auxz00_6243, BgL_auxz00_6245);
								}
								BgL_varsz00_1818 = BgL_val0_1175z00_1853;
							}
						else
							{	/* Eval/evaluate.scm 296 */
								if (PAIRP(BgL_rz00_1848))
									{	/* Eval/evaluate.scm 301 */
										obj_t BgL_arg2080z00_1856;
										obj_t BgL_arg2081z00_1857;
										long BgL_arg2082z00_1858;

										BgL_arg2080z00_1856 = CDR(BgL_rz00_1848);
										BgL_arg2081z00_1857 =
											MAKE_PAIR(BGl_untypezd2identzd2zz__evaluatez00(CAR
												(BgL_rz00_1848)), BgL_flatz00_1849);
										BgL_arg2082z00_1858 = (BgL_arityz00_1850 + ((long) 1));
										{
											long BgL_arityz00_6257;
											obj_t BgL_flatz00_6256;
											obj_t BgL_rz00_6255;

											BgL_rz00_6255 = BgL_arg2080z00_1856;
											BgL_flatz00_6256 = BgL_arg2081z00_1857;
											BgL_arityz00_6257 = BgL_arg2082z00_1858;
											BgL_arityz00_1850 = BgL_arityz00_6257;
											BgL_flatz00_1849 = BgL_flatz00_6256;
											BgL_rz00_1848 = BgL_rz00_6255;
											goto BgL_zc3anonymousza32076ze3z83_1851;
										}
									}
								else
									{	/* Eval/evaluate.scm 299 */
										obj_t BgL_val0_1177z00_1861;
										long BgL_val1_1178z00_1862;

										{	/* Eval/evaluate.scm 299 */
											obj_t BgL_arg2087z00_1863;

											BgL_arg2087z00_1863 =
												MAKE_PAIR(BGl_untypezd2identzd2zz__evaluatez00
												(BgL_rz00_1848), BgL_flatz00_1849);
											BgL_val0_1177z00_1861 =
												bgl_reverse_bang(BgL_arg2087z00_1863);
										}
										BgL_val1_1178z00_1862 = (((long) -1) - BgL_arityz00_1850);
										{	/* Eval/evaluate.scm 299 */
											int BgL_res2340z00_2387;

											{	/* Eval/evaluate.scm 299 */
												int BgL_auxz00_6262;

												BgL_auxz00_6262 = (int) (((long) 2));
												BgL_res2340z00_2387 =
													BGL_MVALUES_NUMBER_SET(BgL_auxz00_6262);
											} BgL_res2340z00_2387;
										}
										{	/* Eval/evaluate.scm 299 */
											obj_t BgL_auxz00_6267;
											int BgL_auxz00_6265;

											BgL_auxz00_6267 = BINT(BgL_val1_1178z00_1862);
											BgL_auxz00_6265 = (int) (((long) 1));
											BGL_MVALUES_VAL_SET(BgL_auxz00_6265, BgL_auxz00_6267);
										}
										BgL_varsz00_1818 = BgL_val0_1177z00_1861;
					}}}
					{	/* Eval/evaluate.scm 306 */
						obj_t BgL_arityz00_1819;

						{	/* Eval/evaluate.scm 306 */
							int BgL_auxz00_6271;

							BgL_auxz00_6271 = (int) (((long) 1));
							BgL_arityz00_1819 = BGL_MVALUES_VAL(BgL_auxz00_6271);
						}
						{	/* Eval/evaluate.scm 306 */
							obj_t BgL_varsz00_1820;
							obj_t BgL_bodyz00_1821;
							obj_t BgL_nlocz00_1822;

							if (NULLP(BgL_varsz00_1818))
								{	/* Eval/evaluate.scm 306 */
									BgL_varsz00_1820 = BNIL;
								}
							else
								{	/* Eval/evaluate.scm 306 */
									obj_t BgL_head1181z00_1829;

									{	/* Eval/evaluate.scm 306 */
										obj_t BgL_res2342z00_2395;

										BgL_res2342z00_2395 = MAKE_PAIR(BNIL, BNIL);
										BgL_head1181z00_1829 = BgL_res2342z00_2395;
									}
									{
										obj_t BgL_l1179z00_1831;
										obj_t BgL_tail1182z00_1832;

										BgL_l1179z00_1831 = BgL_varsz00_1818;
										BgL_tail1182z00_1832 = BgL_head1181z00_1829;
									BgL_zc3anonymousza32068ze3z83_1833:
										if (NULLP(BgL_l1179z00_1831))
											{	/* Eval/evaluate.scm 306 */
												BgL_varsz00_1820 = CDR(BgL_head1181z00_1829);
											}
										else
											{	/* Eval/evaluate.scm 306 */
												obj_t BgL_newtail1183z00_1835;

												{	/* Eval/evaluate.scm 306 */
													BgL_ev_varz00_bglt BgL_arg2071z00_1837;

													{	/* Eval/evaluate.scm 306 */
														obj_t BgL_vz00_1838;

														BgL_vz00_1838 = CAR(BgL_l1179z00_1831);
														{	/* Eval/evaluate.scm 307 */
															BgL_ev_varz00_bglt BgL_new1093z00_1839;

															{	/* Eval/evaluate.scm 307 */
																BgL_ev_varz00_bglt BgL_new1092z00_1840;

																BgL_new1092z00_1840 =
																	((BgL_ev_varz00_bglt)
																	BREF(GC_MALLOC(sizeof(struct
																				BgL_ev_varz00_bgl))));
																{	/* Eval/evaluate.scm 307 */
																	long BgL_arg2073z00_1841;

																	{	/* Eval/evaluate.scm 307 */
																		long BgL_res2344z00_2403;

																		{	/* Eval/evaluate.scm 307 */
																			obj_t BgL_classz00_2400;

																			BgL_classz00_2400 =
																				BGl_ev_varz00zz__evaluate_typesz00;
																			{	/* Eval/evaluate.scm 307 */
																				obj_t BgL_vectorz00_2401;
																				int BgL_kz00_2402;

																				BgL_vectorz00_2401 = BgL_classz00_2400;
																				BgL_kz00_2402 = (int) (((long) 1));
																				BgL_res2344z00_2403 =
																					(long)
																					CINT(VECTOR_REF(BgL_vectorz00_2401,
																						BgL_kz00_2402));
																		}}
																		BgL_arg2073z00_1841 = BgL_res2344z00_2403;
																	}
																	{	/* Eval/evaluate.scm 307 */
																		BgL_objectz00_bglt BgL_objz00_2404;

																		BgL_objz00_2404 =
																			((BgL_objectz00_bglt)
																			BgL_new1092z00_1840);
																		BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2404,
																			BgL_arg2073z00_1841);
																}}
																{	/* Eval/evaluate.scm 307 */
																	BgL_objectz00_bglt BgL_auxz00_6287;

																	BgL_auxz00_6287 =
																		((BgL_objectz00_bglt) BgL_new1092z00_1840);
																	BGL_OBJECT_WIDENING_SET(BgL_auxz00_6287,
																		BFALSE);
																}
																BgL_new1093z00_1839 = BgL_new1092z00_1840;
															}
															{
																obj_t BgL_auxz00_6290;

																{	/* Eval/evaluate.scm 308 */
																	obj_t BgL_pairz00_2406;

																	BgL_pairz00_2406 = BgL_vz00_1838;
																	BgL_auxz00_6290 = CAR(BgL_pairz00_2406);
																}
																((((BgL_ev_varz00_bglt)
																			CREF(BgL_new1093z00_1839))->BgL_namez00) =
																	((obj_t) BgL_auxz00_6290), BUNSPEC);
															}
															((((BgL_ev_varz00_bglt)
																		CREF(BgL_new1093z00_1839))->BgL_effz00) =
																((obj_t) BFALSE), BUNSPEC);
															{
																obj_t BgL_auxz00_6294;

																{	/* Eval/evaluate.scm 309 */
																	obj_t BgL_pairz00_2407;

																	BgL_pairz00_2407 = BgL_vz00_1838;
																	BgL_auxz00_6294 = CDR(BgL_pairz00_2407);
																}
																((((BgL_ev_varz00_bglt)
																			CREF(BgL_new1093z00_1839))->BgL_typez00) =
																	((obj_t) BgL_auxz00_6294), BUNSPEC);
															}
															BgL_arg2071z00_1837 = BgL_new1093z00_1839;
													}}
													{	/* Eval/evaluate.scm 306 */
														obj_t BgL_res2345z00_2410;

														{	/* Eval/evaluate.scm 306 */
															obj_t BgL_obj1z00_2408;

															BgL_obj1z00_2408 = ((obj_t) BgL_arg2071z00_1837);
															BgL_res2345z00_2410 =
																MAKE_PAIR(BgL_obj1z00_2408, BNIL);
														}
														BgL_newtail1183z00_1835 = BgL_res2345z00_2410;
												}}
												SET_CDR(BgL_tail1182z00_1832, BgL_newtail1183z00_1835);
												{
													obj_t BgL_tail1182z00_6302;
													obj_t BgL_l1179z00_6300;

													BgL_l1179z00_6300 = CDR(BgL_l1179z00_1831);
													BgL_tail1182z00_6302 = BgL_newtail1183z00_1835;
													BgL_tail1182z00_1832 = BgL_tail1182z00_6302;
													BgL_l1179z00_1831 = BgL_l1179z00_6300;
													goto BgL_zc3anonymousza32068ze3z83_1833;
												}
											}
									}
								}
							BgL_bodyz00_1821 =
								BGl_makezd2dssslzd2functionzd2preludezd2zz__dssslz00
								(BgL_ez00_3995, BgL_formalsz00_1813, BgL_bodyz00_1814,
								BGl_errorzd2envzd2zz__errorz00);
							{	/* Eval/evaluate.scm 312 */
								obj_t BgL__ortest_1066z00_2416;

								BgL__ortest_1066z00_2416 =
									BGl_getzd2sourcezd2locationz00zz__readerz00(BgL_bodyz00_1814);
								if (CBOOL(BgL__ortest_1066z00_2416))
									{	/* Eval/evaluate.scm 312 */
										BgL_nlocz00_1822 = BgL__ortest_1066z00_2416;
									}
								else
									{	/* Eval/evaluate.scm 312 */
										BgL_nlocz00_1822 = BgL_locz00_3996;
									}
							}
							{	/* Eval/evaluate.scm 313 */
								BgL_ev_absz00_bglt BgL_new1095z00_1823;

								{	/* Eval/evaluate.scm 313 */
									BgL_ev_absz00_bglt BgL_new1094z00_1825;

									BgL_new1094z00_1825 =
										((BgL_ev_absz00_bglt) BREF(GC_MALLOC(sizeof(struct
													BgL_ev_absz00_bgl))));
									{	/* Eval/evaluate.scm 313 */
										long BgL_arg2066z00_1826;

										{	/* Eval/evaluate.scm 313 */
											long BgL_res2346z00_2420;

											{	/* Eval/evaluate.scm 313 */
												obj_t BgL_classz00_2417;

												BgL_classz00_2417 = BGl_ev_absz00zz__evaluate_typesz00;
												{	/* Eval/evaluate.scm 313 */
													obj_t BgL_vectorz00_2418;
													int BgL_kz00_2419;

													BgL_vectorz00_2418 = BgL_classz00_2417;
													BgL_kz00_2419 = (int) (((long) 1));
													BgL_res2346z00_2420 =
														(long) CINT(VECTOR_REF(BgL_vectorz00_2418,
															BgL_kz00_2419));
											}}
											BgL_arg2066z00_1826 = BgL_res2346z00_2420;
										}
										{	/* Eval/evaluate.scm 313 */
											BgL_objectz00_bglt BgL_objz00_2421;

											BgL_objz00_2421 =
												((BgL_objectz00_bglt) BgL_new1094z00_1825);
											BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2421,
												BgL_arg2066z00_1826);
									}}
									{	/* Eval/evaluate.scm 313 */
										BgL_objectz00_bglt BgL_auxz00_6313;

										BgL_auxz00_6313 =
											((BgL_objectz00_bglt) BgL_new1094z00_1825);
										BGL_OBJECT_WIDENING_SET(BgL_auxz00_6313, BFALSE);
									}
									BgL_new1095z00_1823 = BgL_new1094z00_1825;
								}
								((((BgL_ev_absz00_bglt) CREF(BgL_new1095z00_1823))->
										BgL_locz00) = ((obj_t) BgL_locz00_3996), BUNSPEC);
								((((BgL_ev_absz00_bglt) CREF(BgL_new1095z00_1823))->
										BgL_wherez00) = ((obj_t) BgL_wherez00_1815), BUNSPEC);
								((((BgL_ev_absz00_bglt) CREF(BgL_new1095z00_1823))->
										BgL_arityz00) = ((obj_t) BgL_arityz00_1819), BUNSPEC);
								((((BgL_ev_absz00_bglt) CREF(BgL_new1095z00_1823))->
										BgL_varsz00) = ((obj_t) BgL_varsz00_1820), BUNSPEC);
								{
									BgL_ev_exprz00_bglt BgL_auxz00_6320;

									{	/* Eval/evaluate.scm 318 */
										obj_t BgL_arg2065z00_1824;

										BgL_arg2065z00_1824 =
											BGl_appendzd221011zd2zz__evaluatez00(BgL_varsz00_1820,
											BgL_localsz00_3997);
										BgL_auxz00_6320 =
											((BgL_ev_exprz00_bglt)
											BGl_convz00zz__evaluatez00(BgL_bodyz00_1821,
												BgL_arg2065z00_1824, BgL_globalsz00_3998, BTRUE,
												BgL_wherez00_1815, BgL_nlocz00_1822, ((bool_t) 0)));
									}
									((((BgL_ev_absz00_bglt) CREF(BgL_new1095z00_1823))->
											BgL_bodyz00) =
										((BgL_ev_exprz00_bglt) BgL_auxz00_6320), BUNSPEC);
								}
								((((BgL_ev_absz00_bglt) CREF(BgL_new1095z00_1823))->
										BgL_siza7eza7) = ((int) (int) (((long) 0))), BUNSPEC);
								((((BgL_ev_absz00_bglt) CREF(BgL_new1095z00_1823))->
										BgL_bindz00) = ((obj_t) BNIL), BUNSPEC);
								((((BgL_ev_absz00_bglt) CREF(BgL_new1095z00_1823))->
										BgL_freez00) = ((obj_t) BNIL), BUNSPEC);
								((((BgL_ev_absz00_bglt) CREF(BgL_new1095z00_1823))->
										BgL_innerz00) = ((obj_t) BNIL), BUNSPEC);
								((((BgL_ev_absz00_bglt) CREF(BgL_new1095z00_1823))->
										BgL_boxesz00) = ((obj_t) BNIL), BUNSPEC);
								return BgL_new1095z00_1823;
							}
						}
					}
				}
			}
		}
	}



/* uconv/loc */
	obj_t BGl_uconvzf2loczf2zz__evaluatez00(obj_t BgL_wherez00_4005,
		obj_t BgL_globalsz00_4004, obj_t BgL_localsz00_4003, obj_t BgL_ez00_1795,
		obj_t BgL_locz00_1796)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 278 */
			return
				BGl_convz00zz__evaluatez00(BgL_ez00_1795, BgL_localsz00_4003,
				BgL_globalsz00_4004, BFALSE, BgL_wherez00_4005, BgL_locz00_1796,
				((bool_t) 0));
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zz__evaluatez00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 15 */
			return BUNSPEC;
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zz__evaluatez00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 15 */
			return BUNSPEC;
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zz__evaluatez00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 15 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zz__evaluatez00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 15 */
			BGl_modulezd2initializa7ationz75zz__typez00(((long) 278771016),
				BSTRING_TO_STRING(BGl_string2636z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 373318193),
				BSTRING_TO_STRING(BGl_string2636z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__biglooz00(((long) 162724851),
				BSTRING_TO_STRING(BGl_string2636z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__tvectorz00(((long) 135276775),
				BSTRING_TO_STRING(BGl_string2636z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__structurez00(((long) 128218210),
				BSTRING_TO_STRING(BGl_string2636z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__bexitz00(((long) 159639574),
				BSTRING_TO_STRING(BGl_string2636z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__bignumz00(((long) 6519932),
				BSTRING_TO_STRING(BGl_string2636z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__osz00(((long) 438451175),
				BSTRING_TO_STRING(BGl_string2636z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__dssslz00(((long) 443936801),
				BSTRING_TO_STRING(BGl_string2636z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__bitz00(((long) 317260169),
				BSTRING_TO_STRING(BGl_string2636z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__paramz00(((long) 441709255),
				BSTRING_TO_STRING(BGl_string2636z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 426797061),
				BSTRING_TO_STRING(BGl_string2636z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__threadz00(((long) 220651073),
				BSTRING_TO_STRING(BGl_string2636z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long) 359798486),
				BSTRING_TO_STRING(BGl_string2636z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long)
					249410258), BSTRING_TO_STRING(BGl_string2636z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(((long)
					53386681), BSTRING_TO_STRING(BGl_string2636z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonum_dtoaz00(((long)
					268155843), BSTRING_TO_STRING(BGl_string2636z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(((long)
					198620800), BSTRING_TO_STRING(BGl_string2636z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long)
					473309430), BSTRING_TO_STRING(BGl_string2636z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(((long) 459519430),
				BSTRING_TO_STRING(BGl_string2636z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long) 460263214),
				BSTRING_TO_STRING(BGl_string2636z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 97251556),
				BSTRING_TO_STRING(BGl_string2636z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)
					47127928), BSTRING_TO_STRING(BGl_string2636z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__r4_input_6_10_2z00(((long) 415828492),
				BSTRING_TO_STRING(BGl_string2636z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(((long)
					317842797), BSTRING_TO_STRING(BGl_string2636z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 509771705),
				BSTRING_TO_STRING(BGl_string2636z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 451655587),
				BSTRING_TO_STRING(BGl_string2636z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long)
					268291731), BSTRING_TO_STRING(BGl_string2636z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(((long)
					228151370), BSTRING_TO_STRING(BGl_string2636z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__ppz00(((long) 233942021),
				BSTRING_TO_STRING(BGl_string2636z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 220648206),
				BSTRING_TO_STRING(BGl_string2636z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__prognz00(((long) 177147622),
				BSTRING_TO_STRING(BGl_string2636z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__expandz00(((long) 511051588),
				BSTRING_TO_STRING(BGl_string2636z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__evenvz00(((long) 335718988),
				BSTRING_TO_STRING(BGl_string2636z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__evcompilez00(((long) 492754569),
				BSTRING_TO_STRING(BGl_string2636z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__everrorz00(((long) 375872221),
				BSTRING_TO_STRING(BGl_string2636z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__evmodulez00(((long) 405883817),
				BSTRING_TO_STRING(BGl_string2636z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__evaluate_typesz00(((long) 0),
				BSTRING_TO_STRING(BGl_string2636z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__evaluate_avarz00(((long) 483789130),
				BSTRING_TO_STRING(BGl_string2636z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__evaluate_fsiza7eza7(((long)
					121298760), BSTRING_TO_STRING(BGl_string2636z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__evaluate_uncompz00(((long) 193509656),
				BSTRING_TO_STRING(BGl_string2636z00zz__evaluatez00));
			return BGl_modulezd2initializa7ationz75zz__evaluate_compz00(((long)
					444000678), BSTRING_TO_STRING(BGl_string2636z00zz__evaluatez00));
		}
	}

#ifdef __cplusplus
}
#endif
