/*===========================================================================*/
/*   (Eval/evaluate_comp.scm)                                                */
/*   Bigloo (3.8a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Thu Mar 29 06:52:41 CEST 2012       */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -srfi enable-gmp -srfi bigloo-unsafe -O3 -fcfa-arithmetic -q +rm -lib-dir /users/serrano/prgm/project/bigloo/lib/3.8a -mklib -cc gcc -fsharing -q -no-hello -copt -fPIC -unsafe -safee -O4 -c Eval/evaluate_comp.scm -indent -o objs/obj_u/Eval/evaluate_comp.c)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_ev_exprz00_bgl
	{
		header_t header;
		obj_t widening;
	}                 *BgL_ev_exprz00_bglt;

	typedef struct BgL_ev_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
		obj_t BgL_effz00;
		obj_t BgL_typez00;
	}                *BgL_ev_varz00_bglt;

	typedef struct BgL_ev_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_namez00;
		obj_t BgL_modz00;
	}                   *BgL_ev_globalz00_bglt;

	typedef struct BgL_ev_littz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_valuez00;
	}                 *BgL_ev_littz00_bglt;

	typedef struct BgL_ev_ifz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_pz00;
		struct BgL_ev_exprz00_bgl *BgL_tz00;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
	}               *BgL_ev_ifz00_bglt;

	typedef struct BgL_ev_listz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_argsz00;
	}                 *BgL_ev_listz00_bglt;

	typedef struct BgL_ev_orz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_argsz00;
	}               *BgL_ev_orz00_bglt;

	typedef struct BgL_ev_andz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_argsz00;
	}                *BgL_ev_andz00_bglt;

	typedef struct BgL_ev_prog2z00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_e1z00;
		struct BgL_ev_exprz00_bgl *BgL_e2z00;
	}                  *BgL_ev_prog2z00_bglt;

	typedef struct BgL_ev_hookz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
	}                 *BgL_ev_hookz00_bglt;

	typedef struct BgL_ev_trapz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
	}                 *BgL_ev_trapz00_bglt;

	typedef struct BgL_ev_setlocalz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		struct BgL_ev_varz00_bgl *BgL_vz00;
	}                     *BgL_ev_setlocalz00_bglt;

	typedef struct BgL_ev_setglobalz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		obj_t BgL_locz00;
		obj_t BgL_namez00;
		obj_t BgL_modz00;
	}                      *BgL_ev_setglobalz00_bglt;

	typedef struct BgL_ev_defglobalz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		obj_t BgL_locz00;
		obj_t BgL_namez00;
		obj_t BgL_modz00;
	}                      *BgL_ev_defglobalz00_bglt;

	typedef struct BgL_ev_bindzd2exitzd2_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_varz00_bgl *BgL_varz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                        *BgL_ev_bindzd2exitzd2_bglt;

	typedef struct BgL_ev_unwindzd2protectzd2_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                             *BgL_ev_unwindzd2protectzd2_bglt;

	typedef struct BgL_ev_withzd2handlerzd2_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_handlerz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                           *BgL_ev_withzd2handlerzd2_bglt;

	typedef struct BgL_ev_binderz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                   *BgL_ev_binderz00_bglt;

	typedef struct BgL_ev_letz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		obj_t BgL_boxesz00;
	}                *BgL_ev_letz00_bglt;

	typedef struct BgL_ev_letza2za2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		obj_t BgL_boxesz00;
	}                   *BgL_ev_letza2za2_bglt;

	typedef struct BgL_ev_letrecz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                   *BgL_ev_letrecz00_bglt;

	typedef struct BgL_ev_labelsz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		obj_t BgL_envz00;
		obj_t BgL_stkz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		obj_t BgL_boxesz00;
	}                   *BgL_ev_labelsz00_bglt;

	typedef struct BgL_ev_gotoz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_ev_varz00_bgl *BgL_labelz00;
		struct BgL_ev_labelsz00_bgl *BgL_labelsz00;
		obj_t BgL_argsz00;
	}                 *BgL_ev_gotoz00_bglt;

	typedef struct BgL_ev_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_ev_exprz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_tailzf3zf3;
	}                *BgL_ev_appz00_bglt;

	typedef struct BgL_ev_absz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_wherez00;
		obj_t BgL_arityz00;
		obj_t BgL_varsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		int BgL_siza7eza7;
		obj_t BgL_bindz00;
		obj_t BgL_freez00;
		obj_t BgL_innerz00;
		obj_t BgL_boxesz00;
	}                *BgL_ev_absz00_bglt;


	static obj_t BGl_z62main5490z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_zc3exitza33562ze3z83zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62main5492z62zz__evaluate_compz00(obj_t, obj_t, obj_t);
	static obj_t BGl_zc3exitza33457ze3z83zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_zc3exitza33295ze3z83zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62main5494z62zz__evaluate_compz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62main5496z62zz__evaluate_compz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62compzd2ev_abs1683zb0zz__evaluate_compz00(obj_t,
		BgL_ev_absz00_bglt, obj_t);
	static obj_t BGl_z62main5498z62zz__evaluate_compz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza32124ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62compzd2ev_letrec1669zb0zz__evaluate_compz00(obj_t,
		BgL_ev_letrecz00_bglt, obj_t);
	static obj_t BGl_z62zc3anonymousza33863ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32778ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_zc3exitza33547ze3z83zz__evaluate_compz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_compilez00zz__evaluate_compz00(BgL_ev_exprz00_bglt);
	static obj_t BGl_z62zc3anonymousza32957ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62compzd2ev_if1657zb0zz__evaluate_compz00(obj_t,
		BgL_ev_ifz00_bglt, obj_t);
	static obj_t BGl_z62compzd2ev_trap1643zb0zz__evaluate_compz00(obj_t,
		BgL_ev_trapz00_bglt, obj_t);
	static obj_t BGl_z62zc3anonymousza33792ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32974ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_zc3exitza33921ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_zc3exitza33670ze3z83zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_zc3exitza33743ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_compzd2oldzd2callz00zz__evaluate_compz00(BgL_ev_appz00_bglt,
		obj_t);
	extern obj_t BGl_ev_letrecz00zz__evaluate_typesz00;
	static obj_t BGl_z62zc3anonymousza31995ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_zc3exitza33582ze3z83zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_zc3exitza33655ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza32055ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33956ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32798ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_zc3exitza33850ze3z83zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_ev_letz00zz__evaluate_typesz00;
	static obj_t BGl_zc3exitza33834ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_symbol5600z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol5602z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_zc3exitza33478ze3z83zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_symbol5604z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol5606z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol5608z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_subzd2stkzd2zz__evaluate_compz00(obj_t, obj_t);
	extern bool_t BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00(obj_t);
	static obj_t BGl_z62zc3anonymousza32056ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32218ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	extern obj_t BGl_assqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	static obj_t BGl_symbol5610z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol5612z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_zc3exitza33568ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_symbol5614z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol5616z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol5618z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_z62compzd2ev_defglobal1653zb0zz__evaluate_compz00(obj_t,
		BgL_ev_defglobalz00_bglt, obj_t);
	static obj_t BGl_z62zc3anonymousza32219ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_objectzd2initzd2zz__evaluate_compz00();
	static obj_t BGl_z62compzd2ev_unwindzd2prote1673z62zz__evaluate_compz00(obj_t,
		BgL_ev_unwindzd2protectzd2_bglt, obj_t);
	extern obj_t BGl_2za2za2zz__r4_numbers_6_5z00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza32978ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	extern obj_t BGl_2zb2zb2zz__r4_numbers_6_5z00(obj_t, obj_t);
	extern obj_t BGl_2zd2zd2zz__r4_numbers_6_5z00(obj_t, obj_t);
	extern obj_t BGl_2zf2zf2zz__r4_numbers_6_5z00(obj_t, obj_t);
	static obj_t BGl_zc3exitza32945ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_symbol5620z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol5622z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_z62compzd2ev_setglobal1651zb0zz__evaluate_compz00(obj_t,
		BgL_ev_setglobalz00_bglt, obj_t);
	static obj_t BGl_symbol5624z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol5626z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol5628z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_z62zc3anonymousza33305ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	extern bool_t BGl_2zc3zc3zz__r4_numbers_6_5z00(obj_t, obj_t);
	extern bool_t BGl_2zd3zd3zz__r4_numbers_6_5z00(obj_t, obj_t);
	extern obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	extern bool_t BGl_2ze3ze3zz__r4_numbers_6_5z00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza33038ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_zc3exitza33764ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_symbol5630z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol5632z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol5634z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol5636z00zz__evaluate_compz00 = BUNSPEC;
	extern obj_t BGl_valzd2fromzd2exitzf3zf3zz__bexitz00(obj_t);
	static obj_t BGl_symbol5638z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_z62zc3anonymousza32075ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_zc3exitza33943ze3z83zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_zc3exitza33676ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_zc3exitza33498ze3z83zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	extern obj_t bstring_to_symbol(obj_t);
	static obj_t BGl_z62zc3anonymousza32610ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33056ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	extern bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
	extern obj_t make_vector(int, obj_t);
	static obj_t BGl_zc3exitza33588ze3z83zz__evaluate_compz00(obj_t, obj_t);
	extern obj_t BGl_ev_labelsz00zz__evaluate_typesz00;
	static obj_t BGl_z62zc3anonymousza33324ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_bindzd2framezd2zz__evaluate_compz00(obj_t, obj_t, long, long,
		obj_t, obj_t);
	static obj_t BGl_appendzd221011zd2zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zz__evaluate_compz00();
	static obj_t BGl_zc3exitza33856ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_symbol5668z00zz__evaluate_compz00 = BUNSPEC;
	extern obj_t BGl_ev_absz00zz__evaluate_typesz00;
	static obj_t BGl_z62zc3anonymousza33074ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_zc3exitza32045ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_zc3exitza33784ze3z83zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_zc3exitza33695ze3z83zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_everrorz00zz__everrorz00(obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza33091ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32184ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32095ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_symbol5683z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol5685z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_z62zc3anonymousza32630ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_symbol5687z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_z62zc3anonymousza32614ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_symbol5689z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_reset_profilez00zz__evaluate_compz00();
	static obj_t BGl_z62zc3anonymousza32096ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_freezd2collectzd2zz__evaluate_compz00(obj_t, obj_t, obj_t);
	static obj_t BGl_zc3exitza33205ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_zc3exitza33891ze3z83zz__evaluate_compz00(obj_t, obj_t);
	extern obj_t BGl_ev_ifz00zz__evaluate_typesz00;
	static obj_t BGl_z62zc3anonymousza32720ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32542ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_zc3exitza33222ze3z83zz__evaluate_compz00(obj_t, obj_t);
	extern obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza32527ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_zc3exitza33401ze3z83zz__evaluate_compz00(obj_t, obj_t);
	extern obj_t BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62exitz62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62compzd2ev_or1659zb0zz__evaluate_compz00(obj_t,
		BgL_ev_orz00_bglt, obj_t);
	static obj_t BGl_z62zc3anonymousza33168ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_zc3exitza33046ze3z83zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_catchzd2trampolinezd2zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33703ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32650ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32723ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32634ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	extern obj_t BGl_ev_gotoz00zz__evaluate_typesz00;
	static obj_t BGl_z62zc3anonymousza33347ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32618ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62compzd2ev_var1645zb0zz__evaluate_compz00(obj_t,
		BgL_ev_varz00_bglt, obj_t);
	static obj_t BGl_z62zc3lexintza1zz__evaluate_compz00(obj_t, obj_t, obj_t);
	static obj_t BGl_zc3exitza33984ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run5501z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run5503z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run5505z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run5507z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run5509z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza33615ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32562ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32708ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32546ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_zc3exitza33420ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_zc3exitza33242ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_zc3exitza33315ze3z83zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_zc3exitza33064ze3z83zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62runz62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_zc3exitza32408ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run5511z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run5513z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run5515z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run5517z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run5519z62zz__evaluate_compz00(obj_t, obj_t);
	extern obj_t BGl_unwindzd2untilz12zc0zz__bexitz00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza33365ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62run5521z62zz__evaluate_compz00(obj_t, obj_t);
	extern bool_t BGl_numberzf3zf3zz__r4_numbers_6_5z00(obj_t);
	static obj_t BGl_z62run5523z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run5525z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run5527z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run5529z62zz__evaluate_compz00(obj_t, obj_t);
	static double BGl_evalzd2floatzd2arithz00zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza32831ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32742ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32653ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32726ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_zc3exitza33260ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_zc3exitza32353ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_zc3exitza33082ze3z83zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_ev_orz00zz__evaluate_typesz00;
	static obj_t BGl_pushzd2boxeszd2argszd2onzd2spz00zz__evaluate_compz00(obj_t,
		obj_t, obj_t, long, obj_t);
	extern obj_t BGl_ev_varz00zz__evaluate_typesz00;
	static obj_t BGl_z62run5531z62zz__evaluate_compz00(obj_t, obj_t);
	extern obj_t create_struct(obj_t, int);
	static obj_t BGl_z62run5533z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run5535z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run5537z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_get_profilez00zz__evaluate_compz00();
	static obj_t BGl_z62run5539z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza32638ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_zc3exitza33334ze3z83zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_evarityzd2errorzd2zz__everrorz00(obj_t, obj_t, int, int);
	extern long bgl_list_length(obj_t);
	extern obj_t BGl_evwarningz00zz__everrorz00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza32760ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32906ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32582ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32566ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static bool_t BGl_needzd2shiftzd2zz__evaluate_compz00(obj_t, obj_t);
	extern obj_t BGl_ev_andz00zz__evaluate_typesz00;
	extern obj_t BGl_evmodulezd2findzd2globalz00zz__evmodulez00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza33725ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33385ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32729ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62compzd2ev_labels1677zb0zz__evaluate_compz00(obj_t,
		BgL_ev_labelsz00_bglt, obj_t);
	static obj_t BGl_z62zc3anonymousza32851ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33815ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62main5500z62zz__evaluate_compz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza33637ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62main5502z62zz__evaluate_compz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62main5504z62zz__evaluate_compz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62main5506z62zz__evaluate_compz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62main5508z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_zc3exitza33159ze3z83zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62mainz62zz__evaluate_compz00(obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza32941ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62main5510z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62main5512z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62main5514z62zz__evaluate_compz00(obj_t, obj_t);
	extern obj_t BGl_ev_appz00zz__evaluate_typesz00;
	static obj_t BGl_z62main5516z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62main5518z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_lnamez00zz__evaluate_compz00(obj_t);
	static obj_t BGl_z62main5520z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza32748ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32586ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62main5522z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62main5524z62zz__evaluate_compz00(obj_t);
	static obj_t BGl_zc3exitza33444ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62main5526z62zz__evaluate_compz00(obj_t);
	static obj_t BGl_z62main5528z62zz__evaluate_compz00(obj_t);
	static obj_t BGl_zc3exitza33177ze3z83zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_zc3exitza33088ze3z83zz__evaluate_compz00(obj_t, obj_t);
	extern obj_t BGl_bigloozd2typezd2errorz00zz__errorz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62compz62zz__evaluate_compz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza32854ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62main5530z62zz__evaluate_compz00(obj_t);
	static obj_t BGl_z62main5532z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62main5534z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_zc3exitza33607ze3z83zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_zc3exitza33283ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62main5536z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62main5538z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	extern obj_t BGl_uncompilez00zz__evaluate_uncompz00(BgL_ev_exprz00_bglt);
	static obj_t BGl_z62zc3anonymousza33746ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_zc3exitza33357ze3z83zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62comp1640z62zz__evaluate_compz00(obj_t,
		BgL_ev_exprz00_bglt, obj_t);
	static obj_t BGl_z62compzd2ev_setlocal1647zb0zz__evaluate_compz00(obj_t,
		BgL_ev_setlocalz00_bglt, obj_t);
	static obj_t BGl_z62zc3anonymousza32024ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33925ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33658ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_zc3exitza33463ze3z83zz__evaluate_compz00(obj_t, obj_t);
	extern obj_t BGl_evmodulezd2bindzd2globalz12z12zz__evmodulez00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_usez00zz__evaluate_usez00(BgL_ev_exprz00_bglt, obj_t);
	static obj_t BGl_z62compzd2ev_bindzd2exit1671z62zz__evaluate_compz00(obj_t,
		BgL_ev_bindzd2exitzd2_bglt, obj_t);
	static obj_t BGl_z62zc3anonymousza33837ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_zc3exitza33715ze3z83zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_zc3exitza33375ze3z83zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_za2za2azd2labelza2za2zd2zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_zc3exitza33805ze3z83zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_zc3exitza33627ze3z83zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t
		BGl_iszd2constantzd2funzf3zf3zz__evaluate_compz00(BgL_ev_exprz00_bglt, long,
		obj_t, obj_t);
	static obj_t BGl_makezd2statezd2zz__evaluate_compz00();
	static obj_t BGl_z62compzd2ev_withzd2handler1675z62zz__evaluate_compz00(obj_t,
		BgL_ev_withzd2handlerzd2_bglt, obj_t);
	static obj_t BGl_z62zc3anonymousza32875ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32948ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	extern obj_t BGl_ev_defglobalz00zz__evaluate_typesz00;
	static obj_t BGl_z62zc3anonymousza31968ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_zc3exitza33911ze3z83zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_pushzd2nargszd2onzd2spzd2zz__evaluate_compz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_zc3exitza33199ze3z83zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static bool_t BGl_zc3lexintzc3zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_z62zc3anonymousza33114ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32893ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	extern obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32788ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32699ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62compzd2ev_letza21667z12zz__evaluate_compz00(obj_t,
		BgL_ev_letza2za2_bglt, obj_t);
	static obj_t BGl_zc3exitza33484ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_zc3exitza33395ze3z83zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33131ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32151ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	extern obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t, obj_t,
		obj_t);
	extern obj_t BGl_listzd2ze3vectorz31zz__r4_vectors_6_8z00(obj_t);
	static obj_t BGl_zc3exitza32950ze3z83zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62compzd2ev_litt1655zb0zz__evaluate_compz00(obj_t,
		BgL_ev_littz00_bglt, obj_t);
	static obj_t BGl_toplevelzd2initzd2zz__evaluate_compz00();
	static obj_t BGl_z62zc3anonymousza32152ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32984ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_zc3exitza32935ze3z83zz__evaluate_compz00(obj_t, obj_t, obj_t,
		long, obj_t);
	static obj_t BGl_zc3exitza33737ze3z83zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_formatz00zz__r4_output_6_10_3z00(obj_t, obj_t);
	static obj_t BGl_zc3exitza33100ze3z83zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_genericzd2initzd2zz__evaluate_compz00();
	extern obj_t BGl_stringzd2copyzd2zz__r4_strings_6_7z00(obj_t);
	static obj_t BGl_zc3exitza33649ze3z83zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_ev_prog2z00zz__evaluate_typesz00;
	static obj_t BGl_z62zc3anonymousza33150ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33207ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_zc3exitza32121ze3z83zz__evaluate_compz00(obj_t, obj_t);
	extern obj_t BGl_evtypezd2errorzd2zz__everrorz00(obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_zc3exitza32016ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza33893ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	extern obj_t BGl_ev_bindzd2exitzd2zz__evaluate_typesz00;
	static obj_t BGl_zc3exitza33828ze3z83zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_symbol5544z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol5546z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol5548z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_z62zc3anonymousza32260ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	extern obj_t bgl_reverse_bang(obj_t);
	static obj_t BGl_zc3exitza31990ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_zc3exitza32954ze3z83zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static long BGl_za2za2siza7ezd2stackza2za2z75zz__evaluate_compz00;
	static obj_t BGl_symbol5554z00zz__evaluate_compz00 = BUNSPEC;
	extern obj_t BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00;
	static obj_t BGl_symbol5562z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol5564z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol5566z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_z62zc3anonymousza32602ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33404ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_symbol5569z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_z62zc3anonymousza33226ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_recz00zz__evaluate_compz00(obj_t, obj_t, long);
	static bool_t BGl_recz72z72zz__evaluate_compz00(obj_t);
	static obj_t BGl_zc3exitza33790ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_zc3exitza33758ze3z83zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_symbol5572z00zz__evaluate_compz00 = BUNSPEC;
	extern obj_t BGl_ev_letza2za2zz__evaluate_typesz00;
	static obj_t BGl_symbol5574z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol5576z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol5578z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_zc3exitza32214ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_zc3exitza33953ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_symbol5580z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol5582z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol5584z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_ozd2ze3sz31zz__evaluate_compz00(obj_t);
	static obj_t BGl_z62zc3anonymousza33511ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_symbol5586z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol5588z00zz__evaluate_compz00 = BUNSPEC;
	extern obj_t BGl_ev_trapz00zz__evaluate_typesz00;
	static obj_t BGl_zc3exitza33106ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_zc3exitza33881ze3z83zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_symbol5590z00zz__evaluate_compz00 = BUNSPEC;
	extern obj_t BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_symbol5592z00zz__evaluate_compz00 = BUNSPEC;
	static bool_t BGl_makezd2boxeszd2zz__evaluate_compz00(obj_t, obj_t, obj_t);
	static obj_t BGl_symbol5594z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol5596z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol5598z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_z62zc3anonymousza33245ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_zc3exitza33301ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62compzd2ev_prog21663zb0zz__evaluate_compz00(obj_t,
		BgL_ev_prog2z00_bglt, obj_t);
	static obj_t BGl_zc3exitza33123ze3z83zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_indexz00zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza32711ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32622ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t
		BGl_globalzd2funzd2valuez00zz__evaluate_compz00(BgL_ev_exprz00_bglt);
	static obj_t BGl_z62zc3anonymousza32606ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static bool_t BGl_freezd2restorezd2zz__evaluate_compz00(obj_t, obj_t, long);
	static obj_t BGl_zc3exitza33140ze3z83zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_ev_setglobalz00zz__evaluate_typesz00;
	static obj_t BGl_z62zc3anonymousza33530ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32550ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33190ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32534ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_zc3exitza32072ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_Ez00zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza32357ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl__indexz00zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_zc3exitza33974ze3z83zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_inlinezd2callzd2zz__evaluate_compz00(obj_t,
		BgL_ev_exprz00_bglt, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_findzd2statezd2zz__evaluate_compz00();
	static obj_t BGl_z62zc3anonymousza32714ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33427ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_zc3exitza33321ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_zc3exitza33070ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_zc3exitza33216ze3z83zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_zc3exitza33054ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_compzd2withzd2pushz00zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62compilez62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza32642ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32626ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	extern bool_t string_lt(obj_t, obj_t);
	static obj_t BGl_zc3exitza32148ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_za2za2prof_resultsza2za2z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_z62zc3anonymousza32732ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32570ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32554ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33267ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62findzd2statezb0zz__evaluate_compz00(obj_t);
	static obj_t BGl_z62zc3anonymousza32538ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_zc3exitza32181ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_zc3exitza32092ze3z83zz__evaluate_compz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zz__evaluate_compz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evaluate_usez00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evaluate_uncompz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evaluate_typesz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evmodulez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__everrorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evcompilez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evenvz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__expandz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__prognz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__ppz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_input_6_10_2z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonum_dtoaz00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(long, char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__srfi4z00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__threadz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__dssslz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bignumz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__structurez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__tvectorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__typez00(long, char *);
	static obj_t BGl_zc3exitza33129ze3z83zz__evaluate_compz00(obj_t, obj_t);
	extern obj_t BGl_sortz00zz__r4_vectors_6_8z00(obj_t, obj_t);
	extern obj_t BGl_ev_globalz00zz__evaluate_typesz00;
	static obj_t BGl_z62compzd2ev_goto1679zb0zz__evaluate_compz00(obj_t,
		BgL_ev_gotoz00_bglt, obj_t);
	static obj_t BGl_z62zc3anonymousza33551ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62compzd2ev_let1665zb0zz__evaluate_compz00(obj_t,
		BgL_ev_letz00_bglt, obj_t);
	static obj_t BGl_z62zc3anonymousza32644ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32717ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33446ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_zc3exitza33340ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_zc3exitza33146ze3z83zz__evaluate_compz00(obj_t, obj_t);
	extern obj_t BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00(long,
		long);
	static obj_t BGl_z62zc3anonymousza32750ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33285ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	extern obj_t BGl_ev_littz00zz__evaluate_typesz00;
	static obj_t BGl_zc3exitza33414ze3z83zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_zc3exitza33236ze3z83zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_loczd2typezd2errorz00zz__evaluate_compz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62run5455z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run5457z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run5459z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza32824ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32735ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_cnstzd2initzd2zz__evaluate_compz00();
	static obj_t BGl_zc3exitza33504ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_zc3exitza32257ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62compzd2ev_global1649zb0zz__evaluate_compz00(obj_t,
		BgL_ev_globalz00_bglt, obj_t);
	static obj_t BGl_z62run5461z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zz__evaluate_compz00();
	static obj_t BGl_z62run5463z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run5465z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run5467z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza32841ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62run5469z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza32590ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32825ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32574ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32647ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32558ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_zc3exitza33254ze3z83zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_zc3exitza33165ze3z83zz__evaluate_compz00(obj_t, obj_t);
	extern obj_t BGl_ev_withzd2handlerzd2zz__evaluate_typesz00;
	static obj_t BGl_z62run5471z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run5473z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run5475z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run5477z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza33571ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62run5479z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_zc3exitza33522ze3z83zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62run5481z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run5483z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run5485z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run5487z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run5489z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza32738ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33467ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_zc3exitza33701ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_zc3exitza33183ze3z83zz__evaluate_compz00(obj_t, obj_t);
	extern bool_t BGl_evmodulezf3zf3zz__evmodulez00(obj_t);
	static obj_t BGl_compzd2call0zd2zz__evaluate_compz00(obj_t,
		BgL_ev_exprz00_bglt, obj_t, obj_t, obj_t, obj_t, long);
	static obj_t BGl_compzd2call1zd2zz__evaluate_compz00(obj_t,
		BgL_ev_exprz00_bglt, obj_t, obj_t, obj_t, obj_t, long, obj_t);
	static obj_t BGl_compzd2call2zd2zz__evaluate_compz00(obj_t,
		BgL_ev_exprz00_bglt, obj_t, obj_t, obj_t, obj_t, long, obj_t, obj_t);
	static obj_t BGl_compzd2call3zd2zz__evaluate_compz00(obj_t,
		BgL_ev_exprz00_bglt, obj_t, obj_t, obj_t, obj_t, long, obj_t, obj_t, obj_t);
	static obj_t BGl_compzd2call4zd2zz__evaluate_compz00(obj_t,
		BgL_ev_exprz00_bglt, obj_t, obj_t, obj_t, obj_t, long, obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62run5491z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run5493z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run5495z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run5497z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run5499z62zz__evaluate_compz00(obj_t, obj_t);
	extern obj_t BGl_ev_exprz00zz__evaluate_typesz00;
	static obj_t BGl_zc3exitza33613ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62compzd2ev_app1681zb0zz__evaluate_compz00(obj_t,
		BgL_ev_appz00_bglt, obj_t);
	static obj_t BGl_z62zc3anonymousza32934ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32594ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32578ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_zc3exitza33541ze3z83zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_zc3exitza33363ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza32773ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62main5454z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62main5456z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62main5458z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	extern bool_t BGl_2zc3zd3z10zz__r4_numbers_6_5z00(obj_t, obj_t);
	static obj_t BGl_compilezd2floatzd2arithz00zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza33487ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62main5460z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_zc3exitza33721ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_subrzd2callzd2withzd2pushzd2zz__evaluate_compz00(obj_t,
		obj_t, obj_t, obj_t, long);
	static obj_t BGl_z62main5462z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_zc3exitza33381ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62main5464z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_zc3exitza33438ze3z83zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62main5466z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62main5468z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_compz00zz__evaluate_compz00(BgL_ev_exprz00_bglt, obj_t);
	static obj_t BGl_z62zc3anonymousza33771ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_zc3exitza33811ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62main5470z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_zc3exitza33633ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62compzd2ev_and1661zb0zz__evaluate_compz00(obj_t,
		BgL_ev_andz00_bglt, obj_t);
	static obj_t BGl_z62main5472z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62main5474z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_zc3exitza33528ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_zc3exitza33277ze3z83zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62main5476z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_zc3exitza32297ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62main5478z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32300ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	extern bool_t BGl_2ze3zd3z30zz__r4_numbers_6_5z00(obj_t, obj_t);
	extern obj_t BGl_ev_setlocalz00zz__evaluate_typesz00;
	static obj_t BGl_arithzd2expressionzd2zz__evaluate_compz00(BgL_ev_appz00_bglt,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33683ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32598ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62main5480z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62main5482z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62main5484z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62main5486z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62main5488z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32301ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33595ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t *__cnst;


	   
		 
		DEFINE_STATIC_BGL_PROCEDURE(BGl_zc3lexintzd2envz11zz__evaluate_compz00,
		BgL_bgl_za762za7c3lexintza7a1za75693z00,
		BGl_z62zc3lexintza1zz__evaluate_compz00, 0L, BUNSPEC, 2);
	extern obj_t BGl_zd2zd2envz00zz__r4_numbers_6_5z00;
	extern obj_t BGl_zd3zd2envz01zz__r4_numbers_6_5z00;
	extern obj_t BGl_f64vectorzd2refzd2envz00zz__srfi4z00;
	extern obj_t BGl_ze3zd3fxzd2envze2zz__r4_numbers_6_5_fixnumz00;
	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_compilezd2envzd2zz__evaluate_compz00,
		BgL_bgl_za762compileza762za7za7_5694z00,
		BGl_z62compilez62zz__evaluate_compz00, 0L, BUNSPEC, 1);
	extern obj_t BGl_zc3fxzd2envz11zz__r4_numbers_6_5_fixnumz00;
	extern obj_t BGl_zc3zd3flzd2envzc2zz__r4_numbers_6_5_flonumz00;
	extern obj_t BGl_ze3zd2envz31zz__r4_numbers_6_5z00;
	extern obj_t BGl_zf2zd2envz20zz__r4_numbers_6_5z00;
	extern obj_t BGl_zd2fxzd2envz00zz__r4_numbers_6_5_fixnumz00;
	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_findzd2statezd2envz00zz__evaluate_compz00,
		BgL_bgl_za762findza7d2stateza75695za7,
		BGl_z62findzd2statezb0zz__evaluate_compz00, 0L, BUNSPEC, 0);
	extern obj_t BGl_zb2flzd2envz60zz__r4_numbers_6_5_flonumz00;
	extern obj_t BGl_ze3fxzd2envz31zz__r4_numbers_6_5_fixnumz00;
	   
		 
		DEFINE_STRING(BGl_string5601z00zz__evaluate_compz00,
		BgL_bgl_string5601za700za7za7_5696za7, "/fx", 3);
	      DEFINE_STRING(BGl_string5603z00zz__evaluate_compz00,
		BgL_bgl_string5603za700za7za7_5697za7, "<fx", 3);
	      DEFINE_STRING(BGl_string5605z00zz__evaluate_compz00,
		BgL_bgl_string5605za700za7za7_5698za7, ">fx", 3);
	      DEFINE_STRING(BGl_string5607z00zz__evaluate_compz00,
		BgL_bgl_string5607za700za7za7_5699za7, "<=fx", 4);
	      DEFINE_STRING(BGl_string5609z00zz__evaluate_compz00,
		BgL_bgl_string5609za700za7za7_5700za7, ">=fx", 4);
	      DEFINE_STRING(BGl_string5611z00zz__evaluate_compz00,
		BgL_bgl_string5611za700za7za7_5701za7, "=fx", 3);
	      DEFINE_STRING(BGl_string5613z00zz__evaluate_compz00,
		BgL_bgl_string5613za700za7za7_5702za7, "+fl", 3);
	      DEFINE_STRING(BGl_string5615z00zz__evaluate_compz00,
		BgL_bgl_string5615za700za7za7_5703za7, "flonum", 6);
	      DEFINE_STRING(BGl_string5617z00zz__evaluate_compz00,
		BgL_bgl_string5617za700za7za7_5704za7, "-fl", 3);
	      DEFINE_STRING(BGl_string5619z00zz__evaluate_compz00,
		BgL_bgl_string5619za700za7za7_5705za7, "*fl", 3);
	extern obj_t BGl_ze3zd3flzd2envze2zz__r4_numbers_6_5_flonumz00;
	   
		 
		DEFINE_STRING(BGl_string5621z00zz__evaluate_compz00,
		BgL_bgl_string5621za700za7za7_5706za7, "/fl", 3);
	      DEFINE_STRING(BGl_string5623z00zz__evaluate_compz00,
		BgL_bgl_string5623za700za7za7_5707za7, "<fl", 3);
	      DEFINE_STRING(BGl_string5625z00zz__evaluate_compz00,
		BgL_bgl_string5625za700za7za7_5708za7, ">fl", 3);
	      DEFINE_STRING(BGl_string5627z00zz__evaluate_compz00,
		BgL_bgl_string5627za700za7za7_5709za7, "<=fl", 4);
	      DEFINE_STRING(BGl_string5629z00zz__evaluate_compz00,
		BgL_bgl_string5629za700za7za7_5710za7, ">=fl", 4);
	extern obj_t BGl_zc3flzd2envz11zz__r4_numbers_6_5_flonumz00;
	   
		 
		DEFINE_STRING(BGl_string5631z00zz__evaluate_compz00,
		BgL_bgl_string5631za700za7za7_5711za7, "=fl", 3);
	      DEFINE_STRING(BGl_string5633z00zz__evaluate_compz00,
		BgL_bgl_string5633za700za7za7_5712za7, "car", 3);
	      DEFINE_STRING(BGl_string5635z00zz__evaluate_compz00,
		BgL_bgl_string5635za700za7za7_5713za7, "pair", 4);
	      DEFINE_STRING(BGl_string5637z00zz__evaluate_compz00,
		BgL_bgl_string5637za700za7za7_5714za7, "cdr", 3);
	      DEFINE_STRING(BGl_string5639z00zz__evaluate_compz00,
		BgL_bgl_string5639za700za7za7_5715za7, "cadr", 4);
	extern obj_t BGl_zc3zd3zd2envzc2zz__r4_numbers_6_5z00;
	   
		 
		DEFINE_STRING(BGl_string5641z00zz__evaluate_compz00,
		BgL_bgl_string5641za700za7za7_5716za7, "comp1640", 8);
	      DEFINE_STRING(BGl_string5642z00zz__evaluate_compz00,
		BgL_bgl_string5642za700za7za7_5717za7, "internal error: not defined for",
		31);
	      DEFINE_STRING(BGl_string5643z00zz__evaluate_compz00,
		BgL_bgl_string5643za700za7za7_5718za7, "&comp", 5);
	      DEFINE_STRING(BGl_string5645z00zz__evaluate_compz00,
		BgL_bgl_string5645za700za7za7_5719za7, "comp", 4);
	extern obj_t BGl_zf2fxzd2envz20zz__r4_numbers_6_5_fixnumz00;
	   
		 
		DEFINE_STRING(BGl_string5666z00zz__evaluate_compz00,
		BgL_bgl_string5666za700za7za7_5720za7, "internal error", 14);
	      DEFINE_STRING(BGl_string5667z00zz__evaluate_compz00,
		BgL_bgl_string5667za700za7za7_5721za7, "must be dead code", 17);
	      DEFINE_STRING(BGl_string5669z00zz__evaluate_compz00,
		BgL_bgl_string5669za700za7za7_5722za7, "notyet", 6);
	extern obj_t BGl_za2fxzd2envz70zz__r4_numbers_6_5_fixnumz00;
	   
		 
		DEFINE_STATIC_BGL_GENERIC(BGl_compzd2envzd2zz__evaluate_compz00,
		BgL_bgl_za762compza762za7za7__ev5723z00, BGl_z62compz62zz__evaluate_compz00,
		0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string5670z00zz__evaluate_compz00,
		BgL_bgl_string5670za700za7za7_5724za7, "set!", 4);
	      DEFINE_STRING(BGl_string5671z00zz__evaluate_compz00,
		BgL_bgl_string5671za700za7za7_5725za7, "read-only variable", 18);
	      DEFINE_STRING(BGl_string5672z00zz__evaluate_compz00,
		BgL_bgl_string5672za700za7za7_5726za7,
		"\nRedefinition of compiled variable -- ", 38);
	      DEFINE_STRING(BGl_string5673z00zz__evaluate_compz00,
		BgL_bgl_string5673za700za7za7_5727za7, "Unbound variable", 16);
	      DEFINE_STRING(BGl_string5674z00zz__evaluate_compz00,
		BgL_bgl_string5674za700za7za7_5728za7, "Uninitialized variable", 22);
	      DEFINE_STRING(BGl_string5684z00zz__evaluate_compz00,
		BgL_bgl_string5684za700za7za7_5729za7, "get_sp", 6);
	      DEFINE_STRING(BGl_string5686z00zz__evaluate_compz00,
		BgL_bgl_string5686za700za7za7_5730za7, "reset_profile", 13);
	      DEFINE_STRING(BGl_string5688z00zz__evaluate_compz00,
		BgL_bgl_string5688za700za7za7_5731za7, "get_profile", 11);
	extern obj_t BGl_zd2flzd2envz00zz__r4_numbers_6_5_flonumz00;
	   
		 
		DEFINE_STRING(BGl_string5690z00zz__evaluate_compz00,
		BgL_bgl_string5690za700za7za7_5732za7, "reset_stack", 11);
	      DEFINE_STRING(BGl_string5691z00zz__evaluate_compz00,
		BgL_bgl_string5691za700za7za7_5733za7, "internal error: unknown command",
		31);
	      DEFINE_STRING(BGl_string5692z00zz__evaluate_compz00,
		BgL_bgl_string5692za700za7za7_5734za7, "__evaluate_comp", 15);
	extern obj_t BGl_carzd2envzd2zz__r4_pairs_and_lists_6_3z00;
	extern obj_t BGl_cadrzd2envzd2zz__r4_pairs_and_lists_6_3z00;
	extern obj_t BGl_ze3zd3zd2envze2zz__r4_numbers_6_5z00;
	extern obj_t BGl_ze3flzd2envz31zz__r4_numbers_6_5_flonumz00;
	extern obj_t BGl_zf2flzd2envz20zz__r4_numbers_6_5_flonumz00;
	extern obj_t BGl_za2flzd2envz70zz__r4_numbers_6_5_flonumz00;
	extern obj_t BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00;
	extern obj_t BGl_zd3fxzd2envz01zz__r4_numbers_6_5_fixnumz00;
	extern obj_t BGl_eqzf3zd2envz21zz__r4_equivalence_6_2z00;
	extern obj_t BGl_cdrzd2envzd2zz__r4_pairs_and_lists_6_3z00;
	extern obj_t BGl_fixnumzd2ze3flonumzd2envze3zz__r4_numbers_6_5z00;
	   
		 
		DEFINE_STRING(BGl_string5545z00zz__evaluate_compz00,
		BgL_bgl_string5545za700za7za7_5735za7, "all", 3);
	      DEFINE_STRING(BGl_string5547z00zz__evaluate_compz00,
		BgL_bgl_string5547za700za7za7_5736za7, "label-tag", 9);
	      DEFINE_STRING(BGl_string5549z00zz__evaluate_compz00,
		BgL_bgl_string5549za700za7za7_5737za7, "bounce", 6);
	      DEFINE_STRING(BGl_string5550z00zz__evaluate_compz00,
		BgL_bgl_string5550za700za7za7_5738za7, "non non non", 11);
	      DEFINE_STRING(BGl_string5551z00zz__evaluate_compz00,
		BgL_bgl_string5551za700za7za7_5739za7, " in ", 4);
	      DEFINE_STRING(BGl_string5552z00zz__evaluate_compz00,
		BgL_bgl_string5552za700za7za7_5740za7, "eval", 4);
	      DEFINE_STRING(BGl_string5553z00zz__evaluate_compz00,
		BgL_bgl_string5553za700za7za7_5741za7, "internal error: not found", 25);
	      DEFINE_STRING(BGl_string5555z00zz__evaluate_compz00,
		BgL_bgl_string5555za700za7za7_5742za7, "at", 2);
	      DEFINE_STRING(BGl_string5556z00zz__evaluate_compz00,
		BgL_bgl_string5556za700za7za7_5743za7, "", 0);
	      DEFINE_STRING(BGl_string5557z00zz__evaluate_compz00,
		BgL_bgl_string5557za700za7za7_5744za7,
		"/tmp/bigloo/runtime/Eval/evaluate_comp.scm", 42);
	      DEFINE_STRING(BGl_string5558z00zz__evaluate_compz00,
		BgL_bgl_string5558za700za7za7_5745za7, "&compile", 8);
	      DEFINE_STRING(BGl_string5559z00zz__evaluate_compz00,
		BgL_bgl_string5559za700za7za7_5746za7, "ev_expr", 7);
	extern obj_t BGl_za2zd2envz70zz__r4_numbers_6_5z00;
	   
		 
		DEFINE_STRING(BGl_string5560z00zz__evaluate_compz00,
		BgL_bgl_string5560za700za7za7_5747za7, "expecting ~a, got ~a", 20);
	      DEFINE_STRING(BGl_string5561z00zz__evaluate_compz00,
		BgL_bgl_string5561za700za7za7_5748za7, "wrong number of argument", 24);
	      DEFINE_STRING(BGl_string5563z00zz__evaluate_compz00,
		BgL_bgl_string5563za700za7za7_5749za7, "mcell", 5);
	      DEFINE_STRING(BGl_string5565z00zz__evaluate_compz00,
		BgL_bgl_string5565za700za7za7_5750za7, "internal", 8);
	extern obj_t BGl_zc3zd3fxzd2envzc2zz__r4_numbers_6_5_fixnumz00;
	   
		 
		DEFINE_STRING(BGl_string5567z00zz__evaluate_compz00,
		BgL_bgl_string5567za700za7za7_5751za7, "impossible", 10);
	      DEFINE_STRING(BGl_string5568z00zz__evaluate_compz00,
		BgL_bgl_string5568za700za7za7_5752za7, "procedure", 9);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5640z00zz__evaluate_compz00,
		BgL_bgl_za762comp1640za762za7za75753z00,
		BGl_z62comp1640z62zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5644z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_tra5754z00,
		BGl_z62compzd2ev_trap1643zb0zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string5570z00zz__evaluate_compz00,
		BgL_bgl_string5570za700za7za7_5755za7, "user", 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5646z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_var5756z00,
		BGl_z62compzd2ev_var1645zb0zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string5571z00zz__evaluate_compz00,
		BgL_bgl_string5571za700za7za7_5757za7, "invalid byte code", 17);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5647z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_set5758z00,
		BGl_z62compzd2ev_setlocal1647zb0zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5648z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_glo5759z00,
		BGl_z62compzd2ev_global1649zb0zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string5573z00zz__evaluate_compz00,
		BgL_bgl_string5573za700za7za7_5760za7, "+", 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5649z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_set5761z00,
		BGl_z62compzd2ev_setglobal1651zb0zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string5575z00zz__evaluate_compz00,
		BgL_bgl_string5575za700za7za7_5762za7, "number", 6);
	      DEFINE_STRING(BGl_string5577z00zz__evaluate_compz00,
		BgL_bgl_string5577za700za7za7_5763za7, "-", 1);
	      DEFINE_STRING(BGl_string5579z00zz__evaluate_compz00,
		BgL_bgl_string5579za700za7za7_5764za7, "*", 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5650z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_def5765z00,
		BGl_z62compzd2ev_defglobal1653zb0zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5651z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_lit5766z00,
		BGl_z62compzd2ev_litt1655zb0zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5652z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_if15767z00,
		BGl_z62compzd2ev_if1657zb0zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5653z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_or15768z00,
		BGl_z62compzd2ev_or1659zb0zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5654z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_and5769z00,
		BGl_z62compzd2ev_and1661zb0zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5655z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_pro5770z00,
		BGl_z62compzd2ev_prog21663zb0zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5656z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_let5771z00,
		BGl_z62compzd2ev_let1665zb0zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string5581z00zz__evaluate_compz00,
		BgL_bgl_string5581za700za7za7_5772za7, "/", 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5657z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_let5773z00,
		BGl_z62compzd2ev_letza21667z12zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5658z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_let5774z00,
		BGl_z62compzd2ev_letrec1669zb0zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string5583z00zz__evaluate_compz00,
		BgL_bgl_string5583za700za7za7_5775za7, "<", 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5659z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_bin5776z00,
		BGl_z62compzd2ev_bindzd2exit1671z62zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string5585z00zz__evaluate_compz00,
		BgL_bgl_string5585za700za7za7_5777za7, ">", 1);
	      DEFINE_STRING(BGl_string5587z00zz__evaluate_compz00,
		BgL_bgl_string5587za700za7za7_5778za7, "<=", 2);
	      DEFINE_STRING(BGl_string5589z00zz__evaluate_compz00,
		BgL_bgl_string5589za700za7za7_5779za7, ">=", 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5660z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_unw5780z00,
		BGl_z62compzd2ev_unwindzd2prote1673z62zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5661z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_wit5781z00,
		BGl_z62compzd2ev_withzd2handler1675z62zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5662z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_lab5782z00,
		BGl_z62compzd2ev_labels1677zb0zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5663z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_got5783z00,
		BGl_z62compzd2ev_goto1679zb0zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5664z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_app5784z00,
		BGl_z62compzd2ev_app1681zb0zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5665z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_abs5785z00,
		BGl_z62compzd2ev_abs1683zb0zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string5591z00zz__evaluate_compz00,
		BgL_bgl_string5591za700za7za7_5786za7, "=", 1);
	      DEFINE_STRING(BGl_string5593z00zz__evaluate_compz00,
		BgL_bgl_string5593za700za7za7_5787za7, "+fx", 3);
	      DEFINE_STRING(BGl_string5595z00zz__evaluate_compz00,
		BgL_bgl_string5595za700za7za7_5788za7, "fixnum", 6);
	      DEFINE_STRING(BGl_string5597z00zz__evaluate_compz00,
		BgL_bgl_string5597za700za7za7_5789za7, "-fx", 3);
	      DEFINE_STRING(BGl_string5599z00zz__evaluate_compz00,
		BgL_bgl_string5599za700za7za7_5790za7, "*fx", 3);
	extern obj_t BGl_zb2zd2envz60zz__r4_numbers_6_5z00;
	   
		 
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5675z00zz__evaluate_compz00,
		BgL_bgl_za762za7c3anonymousza75791za7,
		BGl_z62zc3anonymousza32708ze3ze1zz__evaluate_compz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5676z00zz__evaluate_compz00,
		BgL_bgl_za762za7c3anonymousza75792za7,
		BGl_z62zc3anonymousza32711ze3ze1zz__evaluate_compz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5677z00zz__evaluate_compz00,
		BgL_bgl_za762za7c3anonymousza75793za7,
		BGl_z62zc3anonymousza32714ze3ze1zz__evaluate_compz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5678z00zz__evaluate_compz00,
		BgL_bgl_za762za7c3anonymousza75794za7,
		BGl_z62zc3anonymousza32717ze3ze1zz__evaluate_compz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5679z00zz__evaluate_compz00,
		BgL_bgl_za762za7c3anonymousza75795za7,
		BGl_z62zc3anonymousza32720ze3ze1zz__evaluate_compz00, 0L, BUNSPEC, 1);
	extern obj_t BGl_zd3flzd2envz01zz__r4_numbers_6_5_flonumz00;
	   
		 
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5680z00zz__evaluate_compz00,
		BgL_bgl_za762za7c3anonymousza75796za7,
		BGl_z62zc3anonymousza32723ze3ze1zz__evaluate_compz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5681z00zz__evaluate_compz00,
		BgL_bgl_za762za7c3anonymousza75797za7,
		BGl_z62zc3anonymousza32726ze3ze1zz__evaluate_compz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5682z00zz__evaluate_compz00,
		BgL_bgl_za762za7c3anonymousza75798za7,
		BGl_z62zc3anonymousza32729ze3ze1zz__evaluate_compz00, 0L, BUNSPEC, 1);
	extern obj_t BGl_zc3zd2envz11zz__r4_numbers_6_5z00;
	extern obj_t BGl_zb2fxzd2envz60zz__r4_numbers_6_5_fixnumz00;



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zz__evaluate_compz00(long
		BgL_checksumz00_16164, char *BgL_fromz00_16165)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zz__evaluate_compz00))
				{
					BGl_requirezd2initializa7ationz75zz__evaluate_compz00 =
						BBOOL(((bool_t) 0));
					BGl_cnstzd2initzd2zz__evaluate_compz00();
					BGl_importedzd2moduleszd2initz00zz__evaluate_compz00();
					BGl_genericzd2initzd2zz__evaluate_compz00();
					BGl_methodzd2initzd2zz__evaluate_compz00();
					BGl_toplevelzd2initzd2zz__evaluate_compz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zz__evaluate_compz00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 15 */
			BGl_symbol5544z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5545z00zz__evaluate_compz00);
			BGl_symbol5546z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5547z00zz__evaluate_compz00);
			BGl_symbol5548z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5549z00zz__evaluate_compz00);
			BGl_symbol5554z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5555z00zz__evaluate_compz00);
			BGl_symbol5562z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5563z00zz__evaluate_compz00);
			BGl_symbol5564z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5565z00zz__evaluate_compz00);
			BGl_symbol5566z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5567z00zz__evaluate_compz00);
			BGl_symbol5569z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5570z00zz__evaluate_compz00);
			BGl_symbol5572z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5573z00zz__evaluate_compz00);
			BGl_symbol5574z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5575z00zz__evaluate_compz00);
			BGl_symbol5576z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5577z00zz__evaluate_compz00);
			BGl_symbol5578z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5579z00zz__evaluate_compz00);
			BGl_symbol5580z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5581z00zz__evaluate_compz00);
			BGl_symbol5582z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5583z00zz__evaluate_compz00);
			BGl_symbol5584z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5585z00zz__evaluate_compz00);
			BGl_symbol5586z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5587z00zz__evaluate_compz00);
			BGl_symbol5588z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5589z00zz__evaluate_compz00);
			BGl_symbol5590z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5591z00zz__evaluate_compz00);
			BGl_symbol5592z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5593z00zz__evaluate_compz00);
			BGl_symbol5594z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5595z00zz__evaluate_compz00);
			BGl_symbol5596z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5597z00zz__evaluate_compz00);
			BGl_symbol5598z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5599z00zz__evaluate_compz00);
			BGl_symbol5600z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5601z00zz__evaluate_compz00);
			BGl_symbol5602z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5603z00zz__evaluate_compz00);
			BGl_symbol5604z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5605z00zz__evaluate_compz00);
			BGl_symbol5606z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5607z00zz__evaluate_compz00);
			BGl_symbol5608z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5609z00zz__evaluate_compz00);
			BGl_symbol5610z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5611z00zz__evaluate_compz00);
			BGl_symbol5612z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5613z00zz__evaluate_compz00);
			BGl_symbol5614z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5615z00zz__evaluate_compz00);
			BGl_symbol5616z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5617z00zz__evaluate_compz00);
			BGl_symbol5618z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5619z00zz__evaluate_compz00);
			BGl_symbol5620z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5621z00zz__evaluate_compz00);
			BGl_symbol5622z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5623z00zz__evaluate_compz00);
			BGl_symbol5624z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5625z00zz__evaluate_compz00);
			BGl_symbol5626z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5627z00zz__evaluate_compz00);
			BGl_symbol5628z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5629z00zz__evaluate_compz00);
			BGl_symbol5630z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5631z00zz__evaluate_compz00);
			BGl_symbol5632z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5633z00zz__evaluate_compz00);
			BGl_symbol5634z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5635z00zz__evaluate_compz00);
			BGl_symbol5636z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5637z00zz__evaluate_compz00);
			BGl_symbol5638z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5639z00zz__evaluate_compz00);
			BGl_symbol5668z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5669z00zz__evaluate_compz00);
			BGl_symbol5683z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5684z00zz__evaluate_compz00);
			BGl_symbol5685z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5686z00zz__evaluate_compz00);
			BGl_symbol5687z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5688z00zz__evaluate_compz00);
			return (BGl_symbol5689z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5690z00zz__evaluate_compz00), BUNSPEC);
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zz__evaluate_compz00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 15 */
			{	/* Eval/evaluate_comp.scm 102 */
				BGL_LONGLONG_T BgL_arg1718z00_906;

				{	/* Eval/evaluate_comp.scm 102 */
					BGL_LONGLONG_T BgL_res4320z00_5751;

					BgL_res4320z00_5751 = LONG_TO_LLONG(((long) 0));
					BgL_arg1718z00_906 = BgL_res4320z00_5751;
				}
				{	/* Eval/evaluate_comp.scm 102 */
					obj_t BgL_list1719z00_907;

					{	/* Eval/evaluate_comp.scm 102 */
						obj_t BgL_arg1720z00_908;

						BgL_arg1720z00_908 =
							MAKE_PAIR(make_bllong(BgL_arg1718z00_906), BNIL);
						BgL_list1719z00_907 =
							MAKE_PAIR(BGl_symbol5544z00zz__evaluate_compz00,
							BgL_arg1720z00_908);
					}
					BGl_za2za2prof_resultsza2za2z00zz__evaluate_compz00 =
						BgL_list1719z00_907;
			}}
			BGl_za2za2siza7ezd2stackza2za2z75zz__evaluate_compz00 =
				(long) CINT(BGl_2za2za2zz__r4_numbers_6_5z00(BINT(((long) 8)),
					BINT(((long) 1024))));
			BGl_za2za2azd2labelza2za2zd2zz__evaluate_compz00 =
				create_struct(BGl_symbol5546z00zz__evaluate_compz00,
				(int) (((long) 0)));
			BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00 =
				create_struct(BGl_symbol5548z00zz__evaluate_compz00,
				(int) (((long) 0)));
			return BUNSPEC;
		}
	}



/* append-21011 */
	obj_t BGl_appendzd221011zd2zz__evaluate_compz00(obj_t BgL_l1z00_1,
		obj_t BgL_l2z00_2)
	{
		AN_OBJECT;
		{
			{
				obj_t BgL_headz00_909;

				BgL_headz00_909 = MAKE_PAIR(BNIL, BgL_l2z00_2);
				{
					obj_t BgL_prevz00_5783;
					obj_t BgL_tailz00_5784;

					BgL_prevz00_5783 = BgL_headz00_909;
					BgL_tailz00_5784 = BgL_l1z00_1;
				BgL_loopz00_5782:
					if (PAIRP(BgL_tailz00_5784))
						{
							obj_t BgL_newzd2prevzd2_5790;

							BgL_newzd2prevzd2_5790 =
								MAKE_PAIR(CAR(BgL_tailz00_5784), BgL_l2z00_2);
							SET_CDR(BgL_prevz00_5783, BgL_newzd2prevzd2_5790);
							{
								obj_t BgL_tailz00_16240;
								obj_t BgL_prevz00_16239;

								BgL_prevz00_16239 = BgL_newzd2prevzd2_5790;
								BgL_tailz00_16240 = CDR(BgL_tailz00_5784);
								BgL_tailz00_5784 = BgL_tailz00_16240;
								BgL_prevz00_5783 = BgL_prevz00_16239;
								goto BgL_loopz00_5782;
							}
						}
					else
						{
							BNIL;
						}
				}
				return CDR(BgL_headz00_909);
			}
		}
	}



/* reset_profile */
	obj_t BGl_reset_profilez00zz__evaluate_compz00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 120 */
			{	/* Eval/evaluate_comp.scm 121 */
				BGL_LONGLONG_T BgL_arg1740z00_937;

				{	/* Eval/evaluate_comp.scm 121 */
					BGL_LONGLONG_T BgL_res4329z00_5801;

					BgL_res4329z00_5801 = LONG_TO_LLONG(((long) 0));
					BgL_arg1740z00_937 = BgL_res4329z00_5801;
				}
				{	/* Eval/evaluate_comp.scm 121 */
					obj_t BgL_list1741z00_938;

					{	/* Eval/evaluate_comp.scm 121 */
						obj_t BgL_arg1742z00_939;

						BgL_arg1742z00_939 =
							MAKE_PAIR(make_bllong(BgL_arg1740z00_937), BNIL);
						BgL_list1741z00_938 =
							MAKE_PAIR(BGl_symbol5544z00zz__evaluate_compz00,
							BgL_arg1742z00_939);
					}
					return (BGl_za2za2prof_resultsza2za2z00zz__evaluate_compz00 =
						BgL_list1741z00_938, BUNSPEC);
				}
			}
		}
	}



/* <lexint */
	bool_t BGl_zc3lexintzc3zz__evaluate_compz00(obj_t BgL_t1z00_4,
		obj_t BgL_t2z00_5)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 123 */
			{	/* Eval/evaluate_comp.scm 130 */
				obj_t BgL_v1z00_941;
				obj_t BgL_v2z00_942;

				BgL_v1z00_941 = CAR(BgL_t1z00_4);
				BgL_v2z00_942 = CAR(BgL_t2z00_5);
				{	/* Eval/evaluate_comp.scm 131 */
					bool_t BgL_testz00_16249;

					if (BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00(BgL_v1z00_941))
						{	/* Eval/evaluate_comp.scm 131 */
							BgL_testz00_16249 =
								BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00(BgL_v2z00_942);
						}
					else
						{	/* Eval/evaluate_comp.scm 131 */
							BgL_testz00_16249 = ((bool_t) 0);
						}
					if (BgL_testz00_16249)
						{	/* Eval/evaluate_comp.scm 131 */
							return
								BGl_2zc3zc3zz__r4_numbers_6_5z00(BgL_v1z00_941, BgL_v2z00_942);
						}
					else
						{	/* Eval/evaluate_comp.scm 131 */
							return
								string_lt(BGl_ozd2ze3sz31zz__evaluate_compz00(BgL_v1z00_941),
								BGl_ozd2ze3sz31zz__evaluate_compz00(BgL_v2z00_942));
						}
				}
			}
		}
	}



/* o->s */
	obj_t BGl_ozd2ze3sz31zz__evaluate_compz00(obj_t BgL_vz00_947)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 129 */
			if (BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00(BgL_vz00_947))
				{	/* Ieee/fixnum.scm 355 */

					return
						BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00(
						(long) CINT(BgL_vz00_947), ((long) 10));
				}
			else
				{	/* Eval/evaluate_comp.scm 126 */
					if (SYMBOLP(BgL_vz00_947))
						{	/* Eval/evaluate_comp.scm 127 */
							obj_t BgL_res4332z00_5808;

							{	/* Eval/evaluate_comp.scm 127 */
								obj_t BgL_symbolz00_5806;

								BgL_symbolz00_5806 = BgL_vz00_947;
								{	/* Eval/evaluate_comp.scm 127 */
									obj_t BgL_arg4132z00_5807;

									BgL_arg4132z00_5807 = SYMBOL_TO_STRING(BgL_symbolz00_5806);
									BgL_res4332z00_5808 =
										BGl_stringzd2copyzd2zz__r4_strings_6_7z00
										(BgL_arg4132z00_5807);
								}
							}
							return BgL_res4332z00_5808;
						}
					else
						{	/* Eval/evaluate_comp.scm 127 */
							if (STRINGP(BgL_vz00_947))
								{	/* Eval/evaluate_comp.scm 128 */
									return BgL_vz00_947;
								}
							else
								{	/* Eval/evaluate_comp.scm 128 */
									return BGl_string5550z00zz__evaluate_compz00;
								}
						}
				}
		}
	}



/* &<lexint */
	obj_t BGl_z62zc3lexintza1zz__evaluate_compz00(obj_t BgL_envz00_14097,
		obj_t BgL_t1z00_14098, obj_t BgL_t2z00_14099)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 123 */
			return
				BBOOL(BGl_zc3lexintzc3zz__evaluate_compz00(BgL_t1z00_14098,
					BgL_t2z00_14099));
		}
	}



/* get_profile */
	obj_t BGl_get_profilez00zz__evaluate_compz00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 135 */
			BGl_recz72z72zz__evaluate_compz00
				(BGl_za2za2prof_resultsza2za2z00zz__evaluate_compz00);
			return BGl_za2za2prof_resultsza2za2z00zz__evaluate_compz00;
		}
	}



/* rec' */
	bool_t BGl_recz72z72zz__evaluate_compz00(obj_t BgL_tz00_956)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 136 */
			{	/* Eval/evaluate_comp.scm 137 */
				obj_t BgL_arg1753z00_958;
				obj_t BgL_arg1754z00_959;

				BgL_arg1753z00_958 = CDR(BgL_tz00_956);
				{	/* Eval/evaluate_comp.scm 137 */
					obj_t BgL_arg1755z00_960;

					{	/* Eval/evaluate_comp.scm 137 */
						obj_t BgL_pairz00_5817;

						BgL_pairz00_5817 = BgL_tz00_956;
						BgL_arg1755z00_960 = CDR(CDR(BgL_pairz00_5817));
					}
					BgL_arg1754z00_959 =
						BGl_sortz00zz__r4_vectors_6_8z00
						(BGl_zc3lexintzd2envz11zz__evaluate_compz00, BgL_arg1755z00_960);
				}
				SET_CDR(BgL_arg1753z00_958, BgL_arg1754z00_959);
			}
			{	/* Eval/evaluate_comp.scm 138 */
				obj_t BgL_g1544z00_961;

				{	/* Eval/evaluate_comp.scm 138 */
					obj_t BgL_pairz00_5823;

					BgL_pairz00_5823 = BgL_tz00_956;
					BgL_g1544z00_961 = CDR(CDR(BgL_pairz00_5823));
				}
				{
					obj_t BgL_l1542z00_5843;

					BgL_l1542z00_5843 = BgL_g1544z00_961;
				BgL_zc3anonymousza31756ze3z83_5842:
					if (PAIRP(BgL_l1542z00_5843))
						{	/* Eval/evaluate_comp.scm 138 */
							BGl_recz72z72zz__evaluate_compz00(CAR(BgL_l1542z00_5843));
							{
								obj_t BgL_l1542z00_16281;

								BgL_l1542z00_16281 = CDR(BgL_l1542z00_5843);
								BgL_l1542z00_5843 = BgL_l1542z00_16281;
								goto BgL_zc3anonymousza31756ze3z83_5842;
							}
						}
					else
						{	/* Eval/evaluate_comp.scm 138 */
							return ((bool_t) 1);
						}
				}
			}
		}
	}



/* index */
	obj_t BGl_indexz00zz__evaluate_compz00(obj_t BgL_xz00_6, obj_t BgL_lz00_7)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 144 */
			{
				obj_t BgL_lz00_5881;
				long BgL_nz00_5882;

				BgL_lz00_5881 = BgL_lz00_7;
				BgL_nz00_5882 = ((long) 0);
			BgL_walkz00_5880:
				if (NULLP(BgL_lz00_5881))
					{	/* Eval/evaluate_comp.scm 149 */
						return BFALSE;
					}
				else
					{	/* Eval/evaluate_comp.scm 149 */
						if ((BgL_xz00_6 == CAR(BgL_lz00_5881)))
							{	/* Eval/evaluate_comp.scm 149 */
								return BINT(BgL_nz00_5882);
							}
						else
							{
								long BgL_nz00_16291;
								obj_t BgL_lz00_16289;

								BgL_lz00_16289 = CDR(BgL_lz00_5881);
								BgL_nz00_16291 = (BgL_nz00_5882 + ((long) 1));
								BgL_nz00_5882 = BgL_nz00_16291;
								BgL_lz00_5881 = BgL_lz00_16289;
								goto BgL_walkz00_5880;
							}
					}
			}
		}
	}



/* _index */
	obj_t BGl__indexz00zz__evaluate_compz00(obj_t BgL_xz00_8, obj_t BgL_lz00_9)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 151 */
			{	/* Eval/evaluate_comp.scm 152 */
				obj_t BgL__ortest_1074z00_980;

				BgL__ortest_1074z00_980 =
					BGl_indexz00zz__evaluate_compz00(BgL_xz00_8, BgL_lz00_9);
				if (CBOOL(BgL__ortest_1074z00_980))
					{	/* Eval/evaluate_comp.scm 152 */
						return BgL__ortest_1074z00_980;
					}
				else
					{	/* Eval/evaluate_comp.scm 152 */
						obj_t BgL_arg1765z00_981;

						{	/* Eval/evaluate_comp.scm 152 */
							obj_t BgL_arg1766z00_982;

							if (NULLP(BgL_lz00_9))
								{	/* Eval/evaluate_comp.scm 152 */
									BgL_arg1766z00_982 = BNIL;
								}
							else
								{	/* Eval/evaluate_comp.scm 152 */
									obj_t BgL_head1547z00_988;

									{	/* Eval/evaluate_comp.scm 152 */
										obj_t BgL_arg1777z00_1000;

										{	/* Eval/evaluate_comp.scm 152 */
											obj_t BgL_arg1778z00_1001;

											BgL_arg1778z00_1001 = CAR(BgL_lz00_9);
											if (BGl_isazf3zf3zz__objectz00(BgL_arg1778z00_1001,
													BGl_ev_varz00zz__evaluate_typesz00))
												{	/* Eval/evaluate_comp.scm 152 */
													BgL_arg1777z00_1000 =
														(((BgL_ev_varz00_bglt) CREF(
																((BgL_ev_varz00_bglt) BgL_arg1778z00_1001)))->
														BgL_namez00);
												}
											else
												{	/* Eval/evaluate_comp.scm 152 */
													BgL_arg1777z00_1000 = BgL_arg1778z00_1001;
												}
										}
										{	/* Eval/evaluate_comp.scm 152 */
											obj_t BgL_res4345z00_5908;

											BgL_res4345z00_5908 =
												MAKE_PAIR(BgL_arg1777z00_1000, BNIL);
											BgL_head1547z00_988 = BgL_res4345z00_5908;
										}
									}
									{	/* Eval/evaluate_comp.scm 152 */
										obj_t BgL_g1550z00_989;

										BgL_g1550z00_989 = CDR(BgL_lz00_9);
										{
											obj_t BgL_l1545z00_5944;
											obj_t BgL_tail1548z00_5945;

											BgL_l1545z00_5944 = BgL_g1550z00_989;
											BgL_tail1548z00_5945 = BgL_head1547z00_988;
										BgL_zc3anonymousza31771ze3z83_5943:
											if (NULLP(BgL_l1545z00_5944))
												{	/* Eval/evaluate_comp.scm 152 */
													BgL_arg1766z00_982 = BgL_head1547z00_988;
												}
											else
												{	/* Eval/evaluate_comp.scm 152 */
													obj_t BgL_newtail1549z00_5952;

													{	/* Eval/evaluate_comp.scm 152 */
														obj_t BgL_arg1775z00_5953;

														BgL_arg1775z00_5953 =
															BGl_lnamez00zz__evaluate_compz00(CAR
															(BgL_l1545z00_5944));
														{	/* Eval/evaluate_comp.scm 152 */
															obj_t BgL_res4351z00_5961;

															BgL_res4351z00_5961 =
																MAKE_PAIR(BgL_arg1775z00_5953, BNIL);
															BgL_newtail1549z00_5952 = BgL_res4351z00_5961;
														}
													}
													SET_CDR(BgL_tail1548z00_5945,
														BgL_newtail1549z00_5952);
													{
														obj_t BgL_tail1548z00_16313;
														obj_t BgL_l1545z00_16311;

														BgL_l1545z00_16311 = CDR(BgL_l1545z00_5944);
														BgL_tail1548z00_16313 = BgL_newtail1549z00_5952;
														BgL_tail1548z00_5945 = BgL_tail1548z00_16313;
														BgL_l1545z00_5944 = BgL_l1545z00_16311;
														goto BgL_zc3anonymousza31771ze3z83_5943;
													}
												}
										}
									}
								}
							{	/* Eval/evaluate_comp.scm 152 */
								obj_t BgL_list1767z00_983;

								{	/* Eval/evaluate_comp.scm 152 */
									obj_t BgL_arg1768z00_984;

									{	/* Eval/evaluate_comp.scm 152 */
										obj_t BgL_arg1769z00_985;

										BgL_arg1769z00_985 = MAKE_PAIR(BgL_arg1766z00_982, BNIL);
										BgL_arg1768z00_984 =
											MAKE_PAIR(BGl_string5551z00zz__evaluate_compz00,
											BgL_arg1769z00_985);
									}
									BgL_list1767z00_983 =
										MAKE_PAIR(BgL_xz00_8, BgL_arg1768z00_984);
								}
								BgL_arg1765z00_981 = BgL_list1767z00_983;
							}
						}
						return
							BGl_errorz00zz__errorz00(BGl_string5552z00zz__evaluate_compz00,
							BGl_string5553z00zz__evaluate_compz00, BgL_arg1765z00_981);
					}
			}
		}
	}



/* lname */
	obj_t BGl_lnamez00zz__evaluate_compz00(obj_t BgL_vz00_16)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 176 */
			if (BGl_isazf3zf3zz__objectz00(BgL_vz00_16,
					BGl_ev_varz00zz__evaluate_typesz00))
				{	/* Eval/evaluate_comp.scm 177 */
					return
						(((BgL_ev_varz00_bglt) CREF(
								((BgL_ev_varz00_bglt) BgL_vz00_16)))->BgL_namez00);
				}
			else
				{	/* Eval/evaluate_comp.scm 177 */
					return BgL_vz00_16;
				}
		}
	}



/* loc-type-error */
	obj_t BGl_loczd2typezd2errorz00zz__evaluate_compz00(obj_t BgL_fz00_17,
		obj_t BgL_mz00_18, obj_t BgL_vz00_19, obj_t BgL_locz00_20)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 181 */
			if (PAIRP(BgL_locz00_20))
				{	/* Eval/evaluate_comp.scm 182 */
					obj_t BgL_cdrzd2177zd2_1027;

					BgL_cdrzd2177zd2_1027 = CDR(BgL_locz00_20);
					if ((CAR(BgL_locz00_20) == BGl_symbol5554z00zz__evaluate_compz00))
						{	/* Eval/evaluate_comp.scm 182 */
							if (PAIRP(BgL_cdrzd2177zd2_1027))
								{	/* Eval/evaluate_comp.scm 182 */
									obj_t BgL_cdrzd2181zd2_1030;

									BgL_cdrzd2181zd2_1030 = CDR(BgL_cdrzd2177zd2_1027);
									if (PAIRP(BgL_cdrzd2181zd2_1030))
										{	/* Eval/evaluate_comp.scm 182 */
											if (NULLP(CDR(BgL_cdrzd2181zd2_1030)))
												{	/* Eval/evaluate_comp.scm 182 */
													return
														BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00
														(BgL_fz00_17, BgL_mz00_18, BgL_vz00_19,
														CAR(BgL_cdrzd2177zd2_1027),
														CAR(BgL_cdrzd2181zd2_1030));
												}
											else
												{	/* Eval/evaluate_comp.scm 182 */
													return
														BGl_bigloozd2typezd2errorz00zz__errorz00
														(BgL_fz00_17, BgL_mz00_18, BgL_vz00_19);
												}
										}
									else
										{	/* Eval/evaluate_comp.scm 182 */
											return
												BGl_bigloozd2typezd2errorz00zz__errorz00(BgL_fz00_17,
												BgL_mz00_18, BgL_vz00_19);
										}
								}
							else
								{	/* Eval/evaluate_comp.scm 182 */
									return
										BGl_bigloozd2typezd2errorz00zz__errorz00(BgL_fz00_17,
										BgL_mz00_18, BgL_vz00_19);
								}
						}
					else
						{	/* Eval/evaluate_comp.scm 182 */
							return
								BGl_bigloozd2typezd2errorz00zz__errorz00(BgL_fz00_17,
								BgL_mz00_18, BgL_vz00_19);
						}
				}
			else
				{	/* Eval/evaluate_comp.scm 182 */
					return
						BGl_bigloozd2typezd2errorz00zz__errorz00(BgL_fz00_17, BgL_mz00_18,
						BgL_vz00_19);
				}
		}
	}



/* make-state */
	obj_t BGl_makezd2statezd2zz__evaluate_compz00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 194 */
			{	/* Eval/evaluate_comp.scm 195 */
				obj_t BgL_stkz00_1044;

				BgL_stkz00_1044 =
					make_vector(
					(int) (BGl_za2za2siza7ezd2stackza2za2z75zz__evaluate_compz00),
					BGl_string5556z00zz__evaluate_compz00);
				VECTOR_SET(BgL_stkz00_1044, (int) (((long) 0)), BINT(((long) 2)));
				return BgL_stkz00_1044;
			}
		}
	}



/* find-state */
	BGL_EXPORTED_DEF obj_t BGl_findzd2statezd2zz__evaluate_compz00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 199 */
			{	/* Eval/evaluate_comp.scm 200 */
				obj_t BgL_sz00_1045;

				{	/* Eval/evaluate_comp.scm 200 */
					obj_t BgL_auxz00_16349;

					BgL_auxz00_16349 = BGL_CURRENT_DYNAMIC_ENV();
					BgL_sz00_1045 = BGL_ENV_EVSTATE(BgL_auxz00_16349);
				}
				if (VECTORP(BgL_sz00_1045))
					{	/* Eval/evaluate_comp.scm 201 */
						return BgL_sz00_1045;
					}
				else
					{	/* Eval/evaluate_comp.scm 202 */
						obj_t BgL_statez00_1047;

						BgL_statez00_1047 = BGl_makezd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 203 */
							obj_t BgL_auxz00_16355;

							BgL_auxz00_16355 = BGL_CURRENT_DYNAMIC_ENV();
							BGL_ENV_EVSTATE_SET(BgL_auxz00_16355, BgL_statez00_1047);
						}
						return BgL_statez00_1047;
					}
			}
		}
	}



/* &find-state */
	obj_t BGl_z62findzd2statezb0zz__evaluate_compz00(obj_t BgL_envz00_14100)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 199 */
			return BGl_findzd2statezd2zz__evaluate_compz00();
		}
	}



/* compile */
	BGL_EXPORTED_DEF obj_t BGl_compilez00zz__evaluate_compz00(BgL_ev_exprz00_bglt
		BgL_ez00_34)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 262 */
			return BGl_compz00zz__evaluate_compz00(BgL_ez00_34, BNIL);
		}
	}



/* &compile */
	obj_t BGl_z62compilez62zz__evaluate_compz00(obj_t BgL_envz00_14101,
		obj_t BgL_ez00_14102)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 262 */
			{	/* Eval/evaluate_comp.scm 263 */
				BgL_ev_exprz00_bglt BgL_auxz00_16360;

				if (BGl_isazf3zf3zz__objectz00(BgL_ez00_14102,
						BGl_ev_exprz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_comp.scm 263 */
						BgL_auxz00_16360 = ((BgL_ev_exprz00_bglt) BgL_ez00_14102);
					}
				else
					{
						obj_t BgL_auxz00_16364;

						BgL_auxz00_16364 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string5557z00zz__evaluate_compz00, BINT(((long) 6615)),
							BGl_string5558z00zz__evaluate_compz00,
							BGl_string5559z00zz__evaluate_compz00, BgL_ez00_14102);
						FAILURE(BgL_auxz00_16364, BFALSE, BFALSE);
					}
				return BGl_compilez00zz__evaluate_compz00(BgL_auxz00_16360);
			}
		}
	}



/* global-fun-value */
	obj_t BGl_globalzd2funzd2valuez00zz__evaluate_compz00(BgL_ev_exprz00_bglt
		BgL_ez00_43)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 321 */
			if (BGl_isazf3zf3zz__objectz00(
					((obj_t) BgL_ez00_43), BGl_ev_globalz00zz__evaluate_typesz00))
				{	/* Eval/evaluate_comp.scm 323 */
					BgL_ev_globalz00_bglt BgL_i1089z00_1097;

					BgL_i1089z00_1097 = ((BgL_ev_globalz00_bglt) BgL_ez00_43);
					{	/* Eval/evaluate_comp.scm 324 */
						obj_t BgL_gz00_1098;

						BgL_gz00_1098 =
							BGl_evmodulezd2findzd2globalz00zz__evmodulez00(
							(((BgL_ev_globalz00_bglt) CREF(BgL_i1089z00_1097))->BgL_modz00),
							(((BgL_ev_globalz00_bglt) CREF(BgL_i1089z00_1097))->BgL_namez00));
						if (CBOOL(BgL_gz00_1098))
							{	/* Eval/evaluate_comp.scm 325 */
								return VECTOR_REF(BgL_gz00_1098, (int) (((long) 2)));
							}
						else
							{	/* Eval/evaluate_comp.scm 325 */
								return BFALSE;
							}
					}
				}
			else
				{	/* Eval/evaluate_comp.scm 322 */
					return BFALSE;
				}
		}
	}



/* push-boxes-args-on-sp */
	obj_t BGl_pushzd2boxeszd2argszd2onzd2spz00zz__evaluate_compz00(obj_t
		BgL_sz00_80, obj_t BgL_argsz00_81, obj_t BgL_boxesz00_82, long BgL_spz00_83,
		obj_t BgL_locz00_84)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 589 */
			{
				obj_t BgL_lz00_1117;
				obj_t BgL_bsz00_1118;
				long BgL_spz00_1119;

				BgL_lz00_1117 = BgL_argsz00_81;
				BgL_bsz00_1118 = BgL_boxesz00_82;
				BgL_spz00_1119 = BgL_spz00_83;
			BgL_zc3anonymousza31863ze3z83_1120:
				if (NULLP(BgL_lz00_1117))
					{	/* Eval/evaluate_comp.scm 591 */
						if (NULLP(BgL_bsz00_1118))
							{	/* Eval/evaluate_comp.scm 592 */
								return BFALSE;
							}
						else
							{	/* Eval/evaluate_comp.scm 595 */
								obj_t BgL_arg1866z00_1123;

								{	/* Eval/evaluate_comp.scm 595 */
									long BgL_arg1867z00_1124;
									long BgL_arg1868z00_1125;

									BgL_arg1867z00_1124 = bgl_list_length(BgL_boxesz00_82);
									BgL_arg1868z00_1125 = bgl_list_length(BgL_argsz00_81);
									{	/* Eval/evaluate_comp.scm 594 */
										obj_t BgL_list1869z00_1126;

										{	/* Eval/evaluate_comp.scm 594 */
											obj_t BgL_arg1871z00_1127;

											BgL_arg1871z00_1127 =
												MAKE_PAIR(BINT(BgL_arg1868z00_1125), BNIL);
											BgL_list1869z00_1126 =
												MAKE_PAIR(BINT(BgL_arg1867z00_1124),
												BgL_arg1871z00_1127);
										}
										BgL_arg1866z00_1123 =
											BGl_formatz00zz__r4_output_6_10_3z00
											(BGl_string5560z00zz__evaluate_compz00,
											BgL_list1869z00_1126);
								}}
								return
									BGl_everrorz00zz__everrorz00(BgL_locz00_84,
									BGl_string5552z00zz__evaluate_compz00,
									BGl_string5561z00zz__evaluate_compz00, BgL_arg1866z00_1123);
							}
					}
				else
					{	/* Eval/evaluate_comp.scm 591 */
						if (NULLP(BgL_bsz00_1118))
							{	/* Eval/evaluate_comp.scm 599 */
								obj_t BgL_arg1873z00_1129;

								{	/* Eval/evaluate_comp.scm 599 */
									long BgL_arg1874z00_1130;
									long BgL_arg1875z00_1131;

									BgL_arg1874z00_1130 = bgl_list_length(BgL_boxesz00_82);
									BgL_arg1875z00_1131 = bgl_list_length(BgL_argsz00_81);
									{	/* Eval/evaluate_comp.scm 598 */
										obj_t BgL_list1876z00_1132;

										{	/* Eval/evaluate_comp.scm 598 */
											obj_t BgL_arg1877z00_1133;

											BgL_arg1877z00_1133 =
												MAKE_PAIR(BINT(BgL_arg1875z00_1131), BNIL);
											BgL_list1876z00_1132 =
												MAKE_PAIR(BINT(BgL_arg1874z00_1130),
												BgL_arg1877z00_1133);
										}
										BgL_arg1873z00_1129 =
											BGl_formatz00zz__r4_output_6_10_3z00
											(BGl_string5560z00zz__evaluate_compz00,
											BgL_list1876z00_1132);
								}}
								return
									BGl_everrorz00zz__everrorz00(BgL_locz00_84,
									BGl_string5552z00zz__evaluate_compz00,
									BGl_string5561z00zz__evaluate_compz00, BgL_arg1873z00_1129);
							}
						else
							{	/* Eval/evaluate_comp.scm 596 */
								{	/* Eval/evaluate_comp.scm 602 */
									obj_t BgL_arg1879z00_1134;

									{	/* Eval/evaluate_comp.scm 602 */
										obj_t BgL_vz00_1135;

										{	/* Eval/evaluate_comp.scm 602 */
											obj_t BgL_fun1881z00_1137;

											BgL_fun1881z00_1137 = CAR(BgL_lz00_1117);
											BgL_vz00_1135 =
												PROCEDURE_ENTRY(BgL_fun1881z00_1137)
												(BgL_fun1881z00_1137, BgL_sz00_80, BEOA);
										}
										{	/* Eval/evaluate_comp.scm 603 */
											bool_t BgL_testz00_16407;

											{	/* Eval/evaluate_comp.scm 603 */
												obj_t BgL_pairz00_6036;

												BgL_pairz00_6036 = BgL_bsz00_1118;
												BgL_testz00_16407 = CBOOL(CAR(BgL_pairz00_6036));
											}
											if (BgL_testz00_16407)
												{	/* Eval/evaluate_comp.scm 604 */
													obj_t BgL_newz00_6038;

													BgL_newz00_6038 =
														create_struct(BGl_symbol5562z00zz__evaluate_compz00,
														(int) (((long) 1)));
													{	/* Eval/evaluate_comp.scm 604 */
														int BgL_auxz00_16412;

														BgL_auxz00_16412 = (int) (((long) 0));
														STRUCT_SET(BgL_newz00_6038, BgL_auxz00_16412,
															BgL_vz00_1135);
													}
													BgL_arg1879z00_1134 = BgL_newz00_6038;
												}
											else
												{	/* Eval/evaluate_comp.scm 603 */
													BgL_arg1879z00_1134 = BgL_vz00_1135;
												}
										}
									}
									VECTOR_SET(BgL_sz00_80,
										(int) (BgL_spz00_1119), BgL_arg1879z00_1134);
								}
								{
									long BgL_spz00_16421;
									obj_t BgL_bsz00_16419;
									obj_t BgL_lz00_16417;

									BgL_lz00_16417 = CDR(BgL_lz00_1117);
									BgL_bsz00_16419 = CDR(BgL_bsz00_1118);
									BgL_spz00_16421 = (BgL_spz00_1119 + ((long) 1));
									BgL_spz00_1119 = BgL_spz00_16421;
									BgL_bsz00_1118 = BgL_bsz00_16419;
									BgL_lz00_1117 = BgL_lz00_16417;
									goto BgL_zc3anonymousza31863ze3z83_1120;
								}
							}
					}
			}
		}
	}



/* sub-stk */
	obj_t BGl_subzd2stkzd2zz__evaluate_compz00(obj_t BgL_l1z00_86,
		obj_t BgL_l2z00_87)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 611 */
		BGl_subzd2stkzd2zz__evaluate_compz00:
			if (NULLP(BgL_l1z00_86))
				{	/* Eval/evaluate_comp.scm 612 */
					return BgL_l2z00_87;
				}
			else
				{	/* Eval/evaluate_comp.scm 612 */
					if ((CAR(BgL_l1z00_86) == CAR(BgL_l2z00_87)))
						{
							obj_t BgL_l2z00_16431;
							obj_t BgL_l1z00_16429;

							BgL_l1z00_16429 = CDR(BgL_l1z00_86);
							BgL_l2z00_16431 = CDR(BgL_l2z00_87);
							BgL_l2z00_87 = BgL_l2z00_16431;
							BgL_l1z00_86 = BgL_l1z00_16429;
							goto BGl_subzd2stkzd2zz__evaluate_compz00;
						}
					else
						{	/* Eval/evaluate_comp.scm 613 */
							return
								BGl_errorz00zz__errorz00(BGl_string5552z00zz__evaluate_compz00,
								BGl_symbol5564z00zz__evaluate_compz00,
								BGl_symbol5566z00zz__evaluate_compz00);
						}
				}
		}
	}



/* catch-trampoline */
	obj_t BGl_catchzd2trampolinezd2zz__evaluate_compz00(obj_t BgL_fz00_91,
		obj_t BgL_sz00_92, obj_t BgL_bpz00_93)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 635 */
			{	/* Eval/evaluate_comp.scm 636 */
				obj_t BgL_savedzd2bpzd2_1155;

				BgL_savedzd2bpzd2_1155 = VECTOR_REF(BgL_sz00_92, (int) (((long) 0)));
				VECTOR_SET(BgL_sz00_92, (int) (((long) 0)), BgL_bpz00_93);
				{
					obj_t BgL_fz00_1157;

					BgL_fz00_1157 = BgL_fz00_91;
				BgL_zc3anonymousza31898ze3z83_1158:
					{	/* Eval/evaluate_comp.scm 639 */
						obj_t BgL_rz00_1159;

						BgL_rz00_1159 =
							PROCEDURE_ENTRY(BgL_fz00_1157) (BgL_fz00_1157, BgL_sz00_92, BEOA);
						{	/* Eval/evaluate_comp.scm 640 */
							bool_t BgL_testz00_16442;

							if (PROCEDUREP(BgL_rz00_1159))
								{	/* Eval/evaluate_comp.scm 640 */
									obj_t BgL_arg1901z00_1162;

									BgL_arg1901z00_1162 = PROCEDURE_ATTR(BgL_rz00_1159);
									if (STRUCTP(BgL_arg1901z00_1162))
										{	/* Eval/evaluate_comp.scm 640 */
											BgL_testz00_16442 =
												(STRUCT_KEY(BgL_arg1901z00_1162) ==
												BGl_symbol5548z00zz__evaluate_compz00);
										}
									else
										{	/* Eval/evaluate_comp.scm 640 */
											BgL_testz00_16442 = ((bool_t) 0);
										}
								}
							else
								{	/* Eval/evaluate_comp.scm 640 */
									BgL_testz00_16442 = ((bool_t) 0);
								}
							if (BgL_testz00_16442)
								{
									obj_t BgL_fz00_16450;

									BgL_fz00_16450 = BgL_rz00_1159;
									BgL_fz00_1157 = BgL_fz00_16450;
									goto BgL_zc3anonymousza31898ze3z83_1158;
								}
							else
								{	/* Eval/evaluate_comp.scm 640 */
									VECTOR_SET(BgL_sz00_92,
										(int) (((long) 0)), BgL_savedzd2bpzd2_1155);
									return BgL_rz00_1159;
								}
						}
					}
				}
			}
		}
	}



/* comp-with-push */
	obj_t BGl_compzd2withzd2pushz00zz__evaluate_compz00(obj_t BgL_eza2za2_115,
		obj_t BgL_stkz00_116)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 654 */
			if (NULLP(BgL_eza2za2_115))
				{	/* Eval/evaluate_comp.scm 656 */
					return BNIL;
				}
			else
				{	/* Eval/evaluate_comp.scm 658 */
					obj_t BgL_arg1912z00_1174;
					obj_t BgL_arg1913z00_1175;

					{	/* Eval/evaluate_comp.scm 658 */
						obj_t BgL_arg1914z00_1176;

						BgL_arg1914z00_1176 = CAR(BgL_eza2za2_115);
						BgL_arg1912z00_1174 =
							BGl_compz00zz__evaluate_compz00(
							((BgL_ev_exprz00_bglt) BgL_arg1914z00_1176), BgL_stkz00_116);
					}
					{	/* Eval/evaluate_comp.scm 659 */
						obj_t BgL_arg1915z00_1177;
						obj_t BgL_arg1916z00_1178;

						BgL_arg1915z00_1177 = CDR(BgL_eza2za2_115);
						{	/* Eval/evaluate_comp.scm 659 */
							obj_t BgL_arg1917z00_1179;

							BgL_arg1917z00_1179 = MAKE_PAIR(BFALSE, BNIL);
							BgL_arg1916z00_1178 =
								BGl_appendzd221011zd2zz__evaluate_compz00(BgL_stkz00_116,
								BgL_arg1917z00_1179);
						}
						BgL_arg1913z00_1175 =
							BGl_compzd2withzd2pushz00zz__evaluate_compz00(BgL_arg1915z00_1177,
							BgL_arg1916z00_1178);
					}
					return MAKE_PAIR(BgL_arg1912z00_1174, BgL_arg1913z00_1175);
				}
		}
	}



/* rec */
	obj_t BGl_recz00zz__evaluate_compz00(obj_t BgL_stkz00_16145,
		obj_t BgL_lz00_1181, long BgL_iz00_1182)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 662 */
			if (NULLP(BgL_lz00_1181))
				{	/* Eval/evaluate_comp.scm 663 */
					return BNIL;
				}
			else
				{	/* Eval/evaluate_comp.scm 663 */
					if ((BgL_iz00_1182 == ((long) 0)))
						{	/* Eval/evaluate_comp.scm 664 */
							return
								BGl_compzd2withzd2pushz00zz__evaluate_compz00(BgL_lz00_1181,
								BgL_stkz00_16145);
						}
					else
						{	/* Eval/evaluate_comp.scm 665 */
							obj_t BgL_arg1921z00_1186;
							obj_t BgL_arg1922z00_1187;

							{	/* Eval/evaluate_comp.scm 665 */
								obj_t BgL_arg1923z00_1188;

								BgL_arg1923z00_1188 = CAR(BgL_lz00_1181);
								BgL_arg1921z00_1186 =
									BGl_compz00zz__evaluate_compz00(
									((BgL_ev_exprz00_bglt) BgL_arg1923z00_1188),
									BgL_stkz00_16145);
							}
							BgL_arg1922z00_1187 =
								BGl_recz00zz__evaluate_compz00(BgL_stkz00_16145,
								CDR(BgL_lz00_1181), (BgL_iz00_1182 - ((long) 1)));
							return MAKE_PAIR(BgL_arg1921z00_1186, BgL_arg1922z00_1187);
						}
				}
		}
	}



/* subr-call-with-push */
	obj_t BGl_subrzd2callzd2withzd2pushzd2zz__evaluate_compz00(obj_t BgL_sz00_120,
		obj_t BgL_fz00_121, obj_t BgL_argsz00_122, obj_t BgL_bpz00_123,
		long BgL_siza7eza7_124)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 668 */
			{	/* Eval/evaluate_comp.scm 670 */
				obj_t BgL_argsz00_1192;

				if (NULLP(BgL_argsz00_122))
					{	/* Eval/evaluate_comp.scm 670 */
						BgL_argsz00_1192 = BNIL;
					}
				else
					{	/* Eval/evaluate_comp.scm 670 */
						obj_t BgL_head1596z00_1197;

						{	/* Eval/evaluate_comp.scm 670 */
							obj_t BgL_res4384z00_6157;

							BgL_res4384z00_6157 = MAKE_PAIR(BNIL, BNIL);
							BgL_head1596z00_1197 = BgL_res4384z00_6157;
						}
						{
							obj_t BgL_l1594z00_6191;
							obj_t BgL_tail1597z00_6192;

							BgL_l1594z00_6191 = BgL_argsz00_122;
							BgL_tail1597z00_6192 = BgL_head1596z00_1197;
						BgL_zc3anonymousza31929ze3z83_6190:
							if (NULLP(BgL_l1594z00_6191))
								{	/* Eval/evaluate_comp.scm 670 */
									BgL_argsz00_1192 = CDR(BgL_head1596z00_1197);
								}
							else
								{	/* Eval/evaluate_comp.scm 670 */
									obj_t BgL_newtail1598z00_6199;

									{	/* Eval/evaluate_comp.scm 670 */
										obj_t BgL_arg1932z00_6200;

										{	/* Eval/evaluate_comp.scm 670 */
											obj_t BgL_az00_6201;

											BgL_az00_6201 = CAR(BgL_l1594z00_6191);
											BgL_arg1932z00_6200 =
												PROCEDURE_ENTRY(BgL_az00_6201) (BgL_az00_6201,
												BgL_sz00_120, BEOA);
										}
										{	/* Eval/evaluate_comp.scm 670 */
											obj_t BgL_res4390z00_6209;

											BgL_res4390z00_6209 =
												MAKE_PAIR(BgL_arg1932z00_6200, BNIL);
											BgL_newtail1598z00_6199 = BgL_res4390z00_6209;
										}
									}
									SET_CDR(BgL_tail1597z00_6192, BgL_newtail1598z00_6199);
									{
										obj_t BgL_tail1597z00_16490;
										obj_t BgL_l1594z00_16488;

										BgL_l1594z00_16488 = CDR(BgL_l1594z00_6191);
										BgL_tail1597z00_16490 = BgL_newtail1598z00_6199;
										BgL_tail1597z00_6192 = BgL_tail1597z00_16490;
										BgL_l1594z00_6191 = BgL_l1594z00_16488;
										goto BgL_zc3anonymousza31929ze3z83_6190;
									}
								}
						}
					}
				{	/* Eval/evaluate_comp.scm 671 */
					long BgL_arg1927z00_1193;

					BgL_arg1927z00_1193 =
						((long) CINT(BgL_bpz00_123) + BgL_siza7eza7_124);
					VECTOR_SET(BgL_sz00_120,
						(int) (((long) 0)), BINT(BgL_arg1927z00_1193));
				}
				{	/* Eval/evaluate_comp.scm 672 */
					obj_t BgL_za2za2resza2za2z00_1194;

					BgL_za2za2resza2za2z00_1194 = apply(BgL_fz00_121, BgL_argsz00_1192);
					VECTOR_SET(BgL_sz00_120, (int) (((long) 0)), BgL_bpz00_123);
					return BgL_za2za2resza2za2z00_1194;
				}
			}
		}
	}



/* push-nargs-on-sp */
	obj_t BGl_pushzd2nargszd2onzd2spzd2zz__evaluate_compz00(obj_t
		BgL_arityz00_128, obj_t BgL_sz00_129, obj_t BgL_argsz00_130,
		obj_t BgL_spz00_131)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 681 */
			{	/* Eval/evaluate_comp.scm 682 */
				long BgL_g1142z00_1218;

				BgL_g1142z00_1218 = (((long) -1) - (long) CINT(BgL_arityz00_128));
				{
					obj_t BgL_lz00_1220;
					obj_t BgL_spz00_1221;
					long BgL_nz00_1222;

					BgL_lz00_1220 = BgL_argsz00_130;
					BgL_spz00_1221 = BgL_spz00_131;
					BgL_nz00_1222 = BgL_g1142z00_1218;
				BgL_zc3anonymousza31939ze3z83_1223:
					if ((BgL_nz00_1222 == ((long) 0)))
						{
							obj_t BgL_lz00_6320;
							obj_t BgL_rz00_6321;

							BgL_lz00_6320 = BgL_lz00_1220;
							BgL_rz00_6321 = BNIL;
						BgL_rec2z00_6319:
							if (NULLP(BgL_lz00_6320))
								{	/* Eval/evaluate_comp.scm 684 */
									return
										VECTOR_SET(BgL_sz00_129,
										CINT(BgL_spz00_1221), bgl_reverse_bang(BgL_rz00_6321));
								}
							else
								{	/* Eval/evaluate_comp.scm 684 */
									obj_t BgL_arg1944z00_6330;
									obj_t BgL_arg1945z00_6331;

									BgL_arg1944z00_6330 = CDR(BgL_lz00_6320);
									{	/* Eval/evaluate_comp.scm 684 */
										obj_t BgL_arg1946z00_6332;

										{	/* Eval/evaluate_comp.scm 684 */
											obj_t BgL_fun1947z00_6333;

											BgL_fun1947z00_6333 = CAR(BgL_lz00_6320);
											BgL_arg1946z00_6332 =
												PROCEDURE_ENTRY(BgL_fun1947z00_6333)
												(BgL_fun1947z00_6333, BgL_sz00_129, BEOA);
										}
										BgL_arg1945z00_6331 =
											MAKE_PAIR(BgL_arg1946z00_6332, BgL_rz00_6321);
									}
									{
										obj_t BgL_rz00_16517;
										obj_t BgL_lz00_16516;

										BgL_lz00_16516 = BgL_arg1944z00_6330;
										BgL_rz00_16517 = BgL_arg1945z00_6331;
										BgL_rz00_6321 = BgL_rz00_16517;
										BgL_lz00_6320 = BgL_lz00_16516;
										goto BgL_rec2z00_6319;
									}
								}
						}
					else
						{	/* Eval/evaluate_comp.scm 683 */
							{	/* Eval/evaluate_comp.scm 688 */
								obj_t BgL_arg1949z00_1237;

								{	/* Eval/evaluate_comp.scm 688 */
									obj_t BgL_fun1950z00_1238;

									BgL_fun1950z00_1238 = CAR(BgL_lz00_1220);
									BgL_arg1949z00_1237 =
										PROCEDURE_ENTRY(BgL_fun1950z00_1238) (BgL_fun1950z00_1238,
										BgL_sz00_129, BEOA);
								}
								VECTOR_SET(BgL_sz00_129,
									CINT(BgL_spz00_1221), BgL_arg1949z00_1237);
							}
							{	/* Eval/evaluate_comp.scm 689 */
								obj_t BgL_arg1951z00_1239;
								long BgL_arg1952z00_1240;
								long BgL_arg1953z00_1241;

								BgL_arg1951z00_1239 = CDR(BgL_lz00_1220);
								BgL_arg1952z00_1240 =
									((long) CINT(BgL_spz00_1221) + ((long) 1));
								BgL_arg1953z00_1241 = (BgL_nz00_1222 - ((long) 1));
								{
									long BgL_nz00_16532;
									obj_t BgL_spz00_16530;
									obj_t BgL_lz00_16529;

									BgL_lz00_16529 = BgL_arg1951z00_1239;
									BgL_spz00_16530 = BINT(BgL_arg1952z00_1240);
									BgL_nz00_16532 = BgL_arg1953z00_1241;
									BgL_nz00_1222 = BgL_nz00_16532;
									BgL_spz00_1221 = BgL_spz00_16530;
									BgL_lz00_1220 = BgL_lz00_16529;
									goto BgL_zc3anonymousza31939ze3z83_1223;
								}
							}
						}
				}
			}
		}
	}



/* need-shift */
	bool_t BGl_needzd2shiftzd2zz__evaluate_compz00(obj_t BgL_argsz00_132,
		obj_t BgL_stkz00_133)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 726 */
			{
				obj_t BgL_lz00_1244;
				obj_t BgL_stkz00_1245;

				BgL_lz00_1244 = BgL_argsz00_132;
				BgL_stkz00_1245 = BgL_stkz00_133;
			BgL_zc3anonymousza31954ze3z83_1246:
				{	/* Eval/evaluate_comp.scm 730 */
					bool_t BgL_testz00_16533;

					if (NULLP(BgL_lz00_1244))
						{	/* Eval/evaluate_comp.scm 730 */
							BgL_testz00_16533 = ((bool_t) 1);
						}
					else
						{	/* Eval/evaluate_comp.scm 730 */
							BgL_testz00_16533 = NULLP(BgL_stkz00_1245);
						}
					if (BgL_testz00_16533)
						{	/* Eval/evaluate_comp.scm 730 */
							return ((bool_t) 0);
						}
					else
						{	/* Eval/evaluate_comp.scm 732 */
							bool_t BgL_testz00_16537;

							{	/* Eval/evaluate_comp.scm 732 */
								obj_t BgL_g1601z00_1251;

								BgL_g1601z00_1251 = CDR(BgL_lz00_1244);
								{
									obj_t BgL_l1599z00_1253;

									BgL_l1599z00_1253 = BgL_g1601z00_1251;
								BgL_zc3anonymousza31959ze3z83_1254:
									if (NULLP(BgL_l1599z00_1253))
										{	/* Eval/evaluate_comp.scm 732 */
											BgL_testz00_16537 = ((bool_t) 0);
										}
									else
										{	/* Eval/evaluate_comp.scm 732 */
											bool_t BgL_testz00_16541;

											{	/* Eval/evaluate_comp.scm 732 */
												obj_t BgL_ez00_1258;

												BgL_ez00_1258 = CAR(BgL_l1599z00_1253);
												{	/* Eval/evaluate_comp.scm 732 */
													obj_t BgL_arg1963z00_1259;
													obj_t BgL_arg1964z00_1260;

													BgL_arg1963z00_1259 = CAR(BgL_stkz00_1245);
													BgL_arg1964z00_1260 =
														BGl_usez00zz__evaluate_usez00(
														((BgL_ev_exprz00_bglt) BgL_ez00_1258), BNIL);
													BgL_testz00_16541 =
														CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
														(BgL_arg1963z00_1259, BgL_arg1964z00_1260));
												}
											}
											if (BgL_testz00_16541)
												{	/* Eval/evaluate_comp.scm 732 */
													BgL_testz00_16537 = ((bool_t) 1);
												}
											else
												{
													obj_t BgL_l1599z00_16548;

													BgL_l1599z00_16548 = CDR(BgL_l1599z00_1253);
													BgL_l1599z00_1253 = BgL_l1599z00_16548;
													goto BgL_zc3anonymousza31959ze3z83_1254;
												}
										}
								}
							}
							if (BgL_testz00_16537)
								{	/* Eval/evaluate_comp.scm 732 */
									return ((bool_t) 1);
								}
							else
								{
									obj_t BgL_stkz00_16552;
									obj_t BgL_lz00_16550;

									BgL_lz00_16550 = CDR(BgL_lz00_1244);
									BgL_stkz00_16552 = CDR(BgL_stkz00_1245);
									BgL_stkz00_1245 = BgL_stkz00_16552;
									BgL_lz00_1244 = BgL_lz00_16550;
									goto BgL_zc3anonymousza31954ze3z83_1246;
								}
						}
				}
			}
		}
	}



/* comp-old-call */
	obj_t BGl_compzd2oldzd2callz00zz__evaluate_compz00(BgL_ev_appz00_bglt
		BgL_ez00_134, obj_t BgL_stkz00_135)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 736 */
			{	/* Eval/evaluate_comp.scm 738 */
				long BgL_siza7eza7_1265;
				long BgL_nbargsz00_1266;
				obj_t BgL_fz00_1267;
				obj_t BgL_symbzd2funzd2_1268;

				BgL_siza7eza7_1265 = bgl_list_length(BgL_stkz00_135);
				BgL_nbargsz00_1266 =
					bgl_list_length(
					(((BgL_ev_appz00_bglt) CREF(BgL_ez00_134))->BgL_argsz00));
				BgL_fz00_1267 =
					BGl_compz00zz__evaluate_compz00(
					(((BgL_ev_appz00_bglt) CREF(BgL_ez00_134))->BgL_funz00),
					BgL_stkz00_135);
				BgL_symbzd2funzd2_1268 =
					BGl_uncompilez00zz__evaluate_uncompz00((((BgL_ev_appz00_bglt)
							CREF(BgL_ez00_134))->BgL_funz00));
				if (CBOOL((((BgL_ev_appz00_bglt) CREF(BgL_ez00_134))->BgL_tailzf3zf3)))
					{	/* Eval/evaluate_comp.scm 740 */
						if (BGl_needzd2shiftzd2zz__evaluate_compz00(
								(((BgL_ev_appz00_bglt) CREF(BgL_ez00_134))->BgL_argsz00),
								BgL_stkz00_135))
							{	/* Eval/evaluate_comp.scm 747 */
								obj_t BgL_argsz00_1271;

								BgL_argsz00_1271 =
									BGl_compzd2withzd2pushz00zz__evaluate_compz00(
									(((BgL_ev_appz00_bglt) CREF(BgL_ez00_134))->BgL_argsz00),
									BgL_stkz00_135);
								{	/* Eval/evaluate_comp.scm 747 */
									obj_t BgL_zc3anonymousza31968ze3z83_14103;

									BgL_zc3anonymousza31968ze3z83_14103 =
										MAKE_FX_PROCEDURE
										(BGl_z62zc3anonymousza31968ze3ze1zz__evaluate_compz00,
										(int) (((long) 1)), (int) (((long) 6)));
									PROCEDURE_SET(BgL_zc3anonymousza31968ze3z83_14103,
										(int) (((long) 0)), BgL_fz00_1267);
									PROCEDURE_SET(BgL_zc3anonymousza31968ze3z83_14103,
										(int) (((long) 1)), ((obj_t) BgL_ez00_134));
									PROCEDURE_SET(BgL_zc3anonymousza31968ze3z83_14103,
										(int) (((long) 2)), BgL_symbzd2funzd2_1268);
									PROCEDURE_SET(BgL_zc3anonymousza31968ze3z83_14103,
										(int) (((long) 3)), BINT(BgL_nbargsz00_1266));
									PROCEDURE_SET(BgL_zc3anonymousza31968ze3z83_14103,
										(int) (((long) 4)), BgL_argsz00_1271);
									PROCEDURE_SET(BgL_zc3anonymousza31968ze3z83_14103,
										(int) (((long) 5)), BINT(BgL_siza7eza7_1265));
									return BgL_zc3anonymousza31968ze3z83_14103;
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 755 */
								obj_t BgL_argsz00_1312;

								BgL_argsz00_1312 =
									BGl_recz00zz__evaluate_compz00(BgL_stkz00_135,
									(((BgL_ev_appz00_bglt) CREF(BgL_ez00_134))->BgL_argsz00),
									BgL_siza7eza7_1265);
								{	/* Eval/evaluate_comp.scm 755 */
									obj_t BgL_zc3anonymousza31995ze3z83_14104;

									BgL_zc3anonymousza31995ze3z83_14104 =
										MAKE_FX_PROCEDURE
										(BGl_z62zc3anonymousza31995ze3ze1zz__evaluate_compz00,
										(int) (((long) 1)), (int) (((long) 5)));
									PROCEDURE_SET(BgL_zc3anonymousza31995ze3z83_14104,
										(int) (((long) 0)), BgL_fz00_1267);
									PROCEDURE_SET(BgL_zc3anonymousza31995ze3z83_14104,
										(int) (((long) 1)), ((obj_t) BgL_ez00_134));
									PROCEDURE_SET(BgL_zc3anonymousza31995ze3z83_14104,
										(int) (((long) 2)), BgL_symbzd2funzd2_1268);
									PROCEDURE_SET(BgL_zc3anonymousza31995ze3z83_14104,
										(int) (((long) 3)), BINT(BgL_nbargsz00_1266));
									PROCEDURE_SET(BgL_zc3anonymousza31995ze3z83_14104,
										(int) (((long) 4)), BgL_argsz00_1312);
									return BgL_zc3anonymousza31995ze3z83_14104;
								}
							}
					}
				else
					{	/* Eval/evaluate_comp.scm 741 */
						obj_t BgL_argsz00_1351;

						BgL_argsz00_1351 =
							BGl_compzd2withzd2pushz00zz__evaluate_compz00(
							(((BgL_ev_appz00_bglt) CREF(BgL_ez00_134))->BgL_argsz00),
							BgL_stkz00_135);
						{	/* Eval/evaluate_comp.scm 741 */
							obj_t BgL_zc3anonymousza32024ze3z83_14105;

							BgL_zc3anonymousza32024ze3z83_14105 =
								MAKE_FX_PROCEDURE
								(BGl_z62zc3anonymousza32024ze3ze1zz__evaluate_compz00,
								(int) (((long) 1)), (int) (((long) 6)));
							PROCEDURE_SET(BgL_zc3anonymousza32024ze3z83_14105,
								(int) (((long) 0)), BgL_fz00_1267);
							PROCEDURE_SET(BgL_zc3anonymousza32024ze3z83_14105,
								(int) (((long) 1)), ((obj_t) BgL_ez00_134));
							PROCEDURE_SET(BgL_zc3anonymousza32024ze3z83_14105,
								(int) (((long) 2)), BgL_symbzd2funzd2_1268);
							PROCEDURE_SET(BgL_zc3anonymousza32024ze3z83_14105,
								(int) (((long) 3)), BINT(BgL_nbargsz00_1266));
							PROCEDURE_SET(BgL_zc3anonymousza32024ze3z83_14105,
								(int) (((long) 4)), BgL_argsz00_1351);
							PROCEDURE_SET(BgL_zc3anonymousza32024ze3z83_14105,
								(int) (((long) 5)), BINT(BgL_siza7eza7_1265));
							return BgL_zc3anonymousza32024ze3z83_14105;
						}
					}
			}
		}
	}



/* &<anonymous:1968> */
	obj_t BGl_z62zc3anonymousza31968ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_14106, obj_t BgL_sz00_14113)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 747 */
			{	/* Eval/evaluate_comp.scm 747 */
				obj_t BgL_fz00_14107;
				BgL_ev_appz00_bglt BgL_i1147z00_14108;
				obj_t BgL_symbzd2funzd2_14109;
				long BgL_nbargsz00_14110;
				obj_t BgL_argsz00_14111;
				long BgL_siza7eza7_14112;

				BgL_fz00_14107 = PROCEDURE_REF(BgL_envz00_14106, (int) (((long) 0)));
				BgL_i1147z00_14108 =
					((BgL_ev_appz00_bglt)
					PROCEDURE_REF(BgL_envz00_14106, (int) (((long) 1))));
				BgL_symbzd2funzd2_14109 =
					PROCEDURE_REF(BgL_envz00_14106, (int) (((long) 2)));
				BgL_nbargsz00_14110 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14106, (int) (((long) 3))));
				BgL_argsz00_14111 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14106, (int) (((long) 4))));
				BgL_siza7eza7_14112 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14106, (int) (((long) 5))));
				{
					obj_t BgL_sz00_1272;

					BgL_sz00_1272 = BgL_sz00_14113;
					{	/* Eval/evaluate_comp.scm 747 */
						obj_t BgL_bpz00_1274;

						BgL_bpz00_1274 = VECTOR_REF(BgL_sz00_1272, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 747 */
							obj_t BgL_fz00_1275;

							BgL_fz00_1275 =
								PROCEDURE_ENTRY(BgL_fz00_14107) (BgL_fz00_14107, BgL_sz00_1272,
								BEOA);
							if (PROCEDUREP(BgL_fz00_1275))
								{	/* Eval/evaluate_comp.scm 747 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 747 */
									BGl_evtypezd2errorzd2zz__everrorz00(
										(((BgL_ev_appz00_bglt) CREF(BgL_i1147z00_14108))->
											BgL_locz00), BGl_string5552z00zz__evaluate_compz00,
										BGl_string5568z00zz__evaluate_compz00, BgL_fz00_1275);
								}
							{	/* Eval/evaluate_comp.scm 747 */
								obj_t BgL_ufz00_1278;

								BgL_ufz00_1278 = PROCEDURE_ATTR(BgL_fz00_1275);
								{	/* Eval/evaluate_comp.scm 747 */
									bool_t BgL_testz00_16651;

									if (STRUCTP(BgL_ufz00_1278))
										{	/* Eval/evaluate_comp.scm 747 */
											BgL_testz00_16651 =
												(STRUCT_KEY(BgL_ufz00_1278) ==
												BGl_symbol5569z00zz__evaluate_compz00);
										}
									else
										{	/* Eval/evaluate_comp.scm 747 */
											BgL_testz00_16651 = ((bool_t) 0);
										}
									if (BgL_testz00_16651)
										{	/* Eval/evaluate_comp.scm 747 */
											obj_t BgL_arityz00_1280;
											obj_t BgL_runz00_1281;
											obj_t BgL_sfz00_1282;

											BgL_arityz00_1280 =
												STRUCT_REF(BgL_ufz00_1278, (int) (((long) 0)));
											BgL_runz00_1281 =
												STRUCT_REF(BgL_ufz00_1278, (int) (((long) 1)));
											BgL_sfz00_1282 =
												STRUCT_REF(BgL_ufz00_1278, (int) (((long) 2)));
											{	/* Eval/evaluate_comp.scm 747 */
												long BgL_spz00_1283;

												BgL_spz00_1283 =
													((long) CINT(BgL_bpz00_1274) + BgL_siza7eza7_14112);
												if (
													((long) CINT(BgL_arityz00_1280) ==
														BgL_nbargsz00_14110))
													{	/* Eval/evaluate_comp.scm 747 */
														{
															obj_t BgL_lz00_6395;
															long BgL_spz00_6396;

															BgL_lz00_6395 = BgL_argsz00_14111;
															BgL_spz00_6396 = BgL_spz00_1283;
														BgL_recz00_6394:
															if (NULLP(BgL_lz00_6395))
																{	/* Eval/evaluate_comp.scm 750 */
																	((bool_t) 0);
																}
															else
																{	/* Eval/evaluate_comp.scm 750 */
																	{	/* Eval/evaluate_comp.scm 750 */
																		obj_t BgL_arg1935z00_6403;

																		{	/* Eval/evaluate_comp.scm 750 */
																			obj_t BgL_fun1936z00_6404;

																			BgL_fun1936z00_6404 = CAR(BgL_lz00_6395);
																			BgL_arg1935z00_6403 =
																				PROCEDURE_ENTRY(BgL_fun1936z00_6404)
																				(BgL_fun1936z00_6404, BgL_sz00_1272,
																				BEOA);
																		}
																		VECTOR_SET(BgL_sz00_1272,
																			(int) (BgL_spz00_6396),
																			BgL_arg1935z00_6403);
																	}
																	{
																		long BgL_spz00_16678;
																		obj_t BgL_lz00_16676;

																		BgL_lz00_16676 = CDR(BgL_lz00_6395);
																		BgL_spz00_16678 =
																			(BgL_spz00_6396 + ((long) 1));
																		BgL_spz00_6396 = BgL_spz00_16678;
																		BgL_lz00_6395 = BgL_lz00_16676;
																		goto BgL_recz00_6394;
																	}
																}
														}
														{	/* Eval/evaluate_comp.scm 751 */
															long BgL_arg1973z00_1285;

															BgL_arg1973z00_1285 =
																(BgL_spz00_1283 + BgL_nbargsz00_14110);
															BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
																(BgL_sz00_1272, BgL_bpz00_1274, BgL_sz00_1272,
																BINT(BgL_spz00_1283),
																BINT(BgL_arg1973z00_1285));
													}}
												else
													{	/* Eval/evaluate_comp.scm 747 */
														bool_t BgL_testz00_16684;

														if (((long) CINT(BgL_arityz00_1280) >= ((long) 0)))
															{	/* Eval/evaluate_comp.scm 747 */
																BgL_testz00_16684 = ((bool_t) 1);
															}
														else
															{	/* Eval/evaluate_comp.scm 747 */
																BgL_testz00_16684 =
																	(
																	(long) CINT(BgL_arityz00_1280) <
																	(((long) -1) - BgL_nbargsz00_14110));
															}
														if (BgL_testz00_16684)
															{	/* Eval/evaluate_comp.scm 747 */
																BGl_evarityzd2errorzd2zz__everrorz00(
																	(((BgL_ev_appz00_bglt)
																			CREF(BgL_i1147z00_14108))->BgL_locz00),
																	STRUCT_REF(BgL_ufz00_1278,
																		(int) (((long) 3))),
																	(int) (BgL_nbargsz00_14110),
																	CINT(BgL_arityz00_1280));
															}
														else
															{	/* Eval/evaluate_comp.scm 747 */
																BGl_pushzd2nargszd2onzd2spzd2zz__evaluate_compz00
																	(BgL_arityz00_1280, BgL_sz00_1272,
																	BgL_argsz00_14111, BINT(BgL_spz00_1283));
																{	/* Eval/evaluate_comp.scm 753 */
																	long BgL_arg1977z00_1289;

																	BgL_arg1977z00_1289 =
																		(BgL_spz00_1283 +
																		(((long) 0) -
																			(long) CINT(BgL_arityz00_1280)));
																	BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
																		(BgL_sz00_1272, BgL_bpz00_1274,
																		BgL_sz00_1272, BINT(BgL_spz00_1283),
																		BINT(BgL_arg1977z00_1289));
													}}}
												{	/* Eval/evaluate_comp.scm 747 */
													obj_t BgL_auxz00_16707;
													obj_t BgL_auxz00_16705;

													BgL_auxz00_16707 =
														(((BgL_ev_appz00_bglt) CREF(BgL_i1147z00_14108))->
														BgL_locz00);
													BgL_auxz00_16705 = BGL_CURRENT_DYNAMIC_ENV();
													BGL_ENV_SET_TRACE_LOCATION(BgL_auxz00_16705,
														BgL_auxz00_16707);
												}
												{	/* Eval/evaluate_comp.scm 747 */
													bool_t BgL_testz00_16710;

													{	/* Eval/evaluate_comp.scm 747 */
														int BgL_arg1909z00_6443;

														BgL_arg1909z00_6443 = VECTOR_LENGTH(BgL_sz00_1272);
														BgL_testz00_16710 =
															(
															((long) CINT(BgL_bpz00_1274) +
																(long) CINT(BgL_sfz00_1282)) <
															(long) (BgL_arg1909z00_6443));
													}
													if (BgL_testz00_16710)
														{	/* Eval/evaluate_comp.scm 747 */
															return BgL_runz00_1281;
														}
													else
														{	/* Eval/evaluate_comp.scm 747 */
															obj_t BgL_nsz00_1296;

															BgL_nsz00_1296 =
																BGl_makezd2statezd2zz__evaluate_compz00();
															{	/* Eval/evaluate_comp.scm 747 */
																long BgL_arg1983z00_1298;

																BgL_arg1983z00_1298 =
																	(
																	(long) CINT(BgL_bpz00_1274) +
																	BgL_nbargsz00_14110);
																BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
																	(BgL_nsz00_1296, BINT(((long) 2)),
																	BgL_sz00_1272, BgL_bpz00_1274,
																	BINT(BgL_arg1983z00_1298));
															}
															VECTOR_SET(BgL_nsz00_1296,
																(int) (((long) 1)), BgL_sz00_1272);
															{	/* Eval/evaluate_comp.scm 747 */
																obj_t BgL_auxz00_16725;

																BgL_auxz00_16725 = BGL_CURRENT_DYNAMIC_ENV();
																BGL_ENV_EVSTATE_SET(BgL_auxz00_16725,
																	BgL_nsz00_1296);
															}
															{	/* Eval/evaluate_comp.scm 747 */
																obj_t BgL_val1151z00_1300;

																BgL_val1151z00_1300 =
																	BGl_zc3exitza31990ze3z83zz__evaluate_compz00
																	(BgL_nsz00_1296, BgL_runz00_1281);
																{	/* Eval/evaluate_comp.scm 747 */
																	obj_t BgL_auxz00_16729;

																	BgL_auxz00_16729 = BGL_CURRENT_DYNAMIC_ENV();
																	BGL_ENV_EVSTATE_SET(BgL_auxz00_16729,
																		BgL_sz00_1272);
																}
																if (CBOOL
																	(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
																		(BgL_val1151z00_1300)))
																	{	/* Eval/evaluate_comp.scm 747 */
																		return
																			BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
																			(BgL_val1151z00_1300),
																			CDR(BgL_val1151z00_1300));
																	}
																else
																	{	/* Eval/evaluate_comp.scm 747 */
																		return BgL_val1151z00_1300;
																	}
															}
														}
												}
											}
										}
									else
										{	/* Eval/evaluate_comp.scm 747 */
											if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_1275,
													(int) (BgL_nbargsz00_14110)))
												{	/* Eval/evaluate_comp.scm 747 */
													return
														BGl_subrzd2callzd2withzd2pushzd2zz__evaluate_compz00
														(BgL_sz00_1272, BgL_fz00_1275, BgL_argsz00_14111,
														BgL_bpz00_1274, BgL_siza7eza7_14112);
												}
											else
												{	/* Eval/evaluate_comp.scm 747 */
													return
														BGl_evarityzd2errorzd2zz__everrorz00(
														(((BgL_ev_appz00_bglt) CREF(BgL_i1147z00_14108))->
															BgL_locz00), BgL_symbzd2funzd2_14109,
														(int) (BgL_nbargsz00_14110),
														PROCEDURE_ARITY(BgL_fz00_1275));
		}}}}}}}}}
	}



/* <exit:1990> */
	obj_t BGl_zc3exitza31990ze3z83zz__evaluate_compz00(obj_t BgL_nsz00_16144,
		obj_t BgL_runz00_16143)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 747 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1152z00_1306;

			if (SET_EXIT(BgL_an_exit1152z00_1306))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1152z00_1306 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 747 */

						PUSH_EXIT(BgL_an_exit1152z00_1306, ((long) 0));
						{	/* Eval/evaluate_comp.scm 747 */
							obj_t BgL_val1153z00_1307;

							BgL_val1153z00_1307 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_16143,
								BgL_nsz00_16144, BINT(((long) 2)));
							POP_EXIT();
							return BgL_val1153z00_1307;
						}
					}
				}
		}
	}



/* &<anonymous:1995> */
	obj_t BGl_z62zc3anonymousza31995ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_14114, obj_t BgL_sz00_14120)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 755 */
			{	/* Eval/evaluate_comp.scm 755 */
				obj_t BgL_fz00_14115;
				BgL_ev_appz00_bglt BgL_i1147z00_14116;
				obj_t BgL_symbzd2funzd2_14117;
				long BgL_nbargsz00_14118;
				obj_t BgL_argsz00_14119;

				BgL_fz00_14115 = PROCEDURE_REF(BgL_envz00_14114, (int) (((long) 0)));
				BgL_i1147z00_14116 =
					((BgL_ev_appz00_bglt)
					PROCEDURE_REF(BgL_envz00_14114, (int) (((long) 1))));
				BgL_symbzd2funzd2_14117 =
					PROCEDURE_REF(BgL_envz00_14114, (int) (((long) 2)));
				BgL_nbargsz00_14118 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14114, (int) (((long) 3))));
				BgL_argsz00_14119 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14114, (int) (((long) 4))));
				{
					obj_t BgL_sz00_1313;

					BgL_sz00_1313 = BgL_sz00_14120;
					{	/* Eval/evaluate_comp.scm 755 */
						obj_t BgL_bpz00_1315;

						BgL_bpz00_1315 = VECTOR_REF(BgL_sz00_1313, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 755 */
							obj_t BgL_fz00_1316;

							BgL_fz00_1316 =
								PROCEDURE_ENTRY(BgL_fz00_14115) (BgL_fz00_14115, BgL_sz00_1313,
								BEOA);
							if (PROCEDUREP(BgL_fz00_1316))
								{	/* Eval/evaluate_comp.scm 755 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 755 */
									BGl_evtypezd2errorzd2zz__everrorz00(
										(((BgL_ev_appz00_bglt) CREF(BgL_i1147z00_14116))->
											BgL_locz00), BGl_string5552z00zz__evaluate_compz00,
										BGl_string5568z00zz__evaluate_compz00, BgL_fz00_1316);
								}
							{	/* Eval/evaluate_comp.scm 755 */
								obj_t BgL_ufz00_1319;

								BgL_ufz00_1319 = PROCEDURE_ATTR(BgL_fz00_1316);
								{	/* Eval/evaluate_comp.scm 755 */
									bool_t BgL_testz00_16776;

									if (STRUCTP(BgL_ufz00_1319))
										{	/* Eval/evaluate_comp.scm 755 */
											BgL_testz00_16776 =
												(STRUCT_KEY(BgL_ufz00_1319) ==
												BGl_symbol5569z00zz__evaluate_compz00);
										}
									else
										{	/* Eval/evaluate_comp.scm 755 */
											BgL_testz00_16776 = ((bool_t) 0);
										}
									if (BgL_testz00_16776)
										{	/* Eval/evaluate_comp.scm 755 */
											obj_t BgL_arityz00_1321;
											obj_t BgL_runz00_1322;
											obj_t BgL_sfz00_1323;

											BgL_arityz00_1321 =
												STRUCT_REF(BgL_ufz00_1319, (int) (((long) 0)));
											BgL_runz00_1322 =
												STRUCT_REF(BgL_ufz00_1319, (int) (((long) 1)));
											BgL_sfz00_1323 =
												STRUCT_REF(BgL_ufz00_1319, (int) (((long) 2)));
											if (
												((long) CINT(BgL_arityz00_1321) == BgL_nbargsz00_14118))
												{
													obj_t BgL_lz00_6493;
													obj_t BgL_spz00_6494;

													{	/* Eval/evaluate_comp.scm 758 */
														bool_t BgL_auxz00_16790;

														BgL_lz00_6493 = BgL_argsz00_14119;
														BgL_spz00_6494 = BgL_bpz00_1315;
													BgL_recz00_6492:
														if (NULLP(BgL_lz00_6493))
															{	/* Eval/evaluate_comp.scm 758 */
																BgL_auxz00_16790 = ((bool_t) 0);
															}
														else
															{	/* Eval/evaluate_comp.scm 758 */
																{	/* Eval/evaluate_comp.scm 758 */
																	obj_t BgL_arg1935z00_6501;

																	{	/* Eval/evaluate_comp.scm 758 */
																		obj_t BgL_fun1936z00_6502;

																		BgL_fun1936z00_6502 = CAR(BgL_lz00_6493);
																		BgL_arg1935z00_6501 =
																			PROCEDURE_ENTRY(BgL_fun1936z00_6502)
																			(BgL_fun1936z00_6502, BgL_sz00_1313,
																			BEOA);
																	}
																	VECTOR_SET(BgL_sz00_1313,
																		CINT(BgL_spz00_6494), BgL_arg1935z00_6501);
																}
																{	/* Eval/evaluate_comp.scm 758 */
																	obj_t BgL_arg1937z00_6503;
																	long BgL_arg1938z00_6504;

																	BgL_arg1937z00_6503 = CDR(BgL_lz00_6493);
																	BgL_arg1938z00_6504 =
																		((long) CINT(BgL_spz00_6494) + ((long) 1));
																	{
																		obj_t BgL_spz00_16804;
																		obj_t BgL_lz00_16803;

																		BgL_lz00_16803 = BgL_arg1937z00_6503;
																		BgL_spz00_16804 = BINT(BgL_arg1938z00_6504);
																		BgL_spz00_6494 = BgL_spz00_16804;
																		BgL_lz00_6493 = BgL_lz00_16803;
																		goto BgL_recz00_6492;
																	}
																}
															}
														BBOOL(BgL_auxz00_16790);
													}
												}
											else
												{	/* Eval/evaluate_comp.scm 755 */
													bool_t BgL_testz00_16807;

													if (((long) CINT(BgL_arityz00_1321) >= ((long) 0)))
														{	/* Eval/evaluate_comp.scm 755 */
															BgL_testz00_16807 = ((bool_t) 1);
														}
													else
														{	/* Eval/evaluate_comp.scm 755 */
															BgL_testz00_16807 =
																(
																(long) CINT(BgL_arityz00_1321) <
																(((long) -1) - BgL_nbargsz00_14118));
														}
													if (BgL_testz00_16807)
														{	/* Eval/evaluate_comp.scm 755 */
															BGl_evarityzd2errorzd2zz__everrorz00(
																(((BgL_ev_appz00_bglt)
																		CREF(BgL_i1147z00_14116))->BgL_locz00),
																STRUCT_REF(BgL_ufz00_1319, (int) (((long) 3))),
																(int) (BgL_nbargsz00_14118),
																CINT(BgL_arityz00_1321));
														}
													else
														{	/* Eval/evaluate_comp.scm 755 */
															BGl_pushzd2nargszd2onzd2spzd2zz__evaluate_compz00
																(BgL_arityz00_1321, BgL_sz00_1313,
																BgL_argsz00_14119, BgL_bpz00_1315);
														}
												}
											{	/* Eval/evaluate_comp.scm 755 */
												obj_t BgL_auxz00_16823;
												obj_t BgL_auxz00_16821;

												BgL_auxz00_16823 =
													(((BgL_ev_appz00_bglt) CREF(BgL_i1147z00_14116))->
													BgL_locz00);
												BgL_auxz00_16821 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_SET_TRACE_LOCATION(BgL_auxz00_16821,
													BgL_auxz00_16823);
											}
											{	/* Eval/evaluate_comp.scm 755 */
												bool_t BgL_testz00_16826;

												{	/* Eval/evaluate_comp.scm 755 */
													int BgL_arg1909z00_6532;

													BgL_arg1909z00_6532 = VECTOR_LENGTH(BgL_sz00_1313);
													BgL_testz00_16826 =
														(
														((long) CINT(BgL_bpz00_1315) +
															(long) CINT(BgL_sfz00_1323)) <
														(long) (BgL_arg1909z00_6532));
												}
												if (BgL_testz00_16826)
													{	/* Eval/evaluate_comp.scm 755 */
														return BgL_runz00_1322;
													}
												else
													{	/* Eval/evaluate_comp.scm 755 */
														obj_t BgL_nsz00_1334;

														BgL_nsz00_1334 =
															BGl_makezd2statezd2zz__evaluate_compz00();
														{	/* Eval/evaluate_comp.scm 755 */
															long BgL_arg2010z00_1336;

															BgL_arg2010z00_1336 =
																(
																(long) CINT(BgL_bpz00_1315) +
																BgL_nbargsz00_14118);
															BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
																(BgL_nsz00_1334, BINT(((long) 2)),
																BgL_sz00_1313, BgL_bpz00_1315,
																BINT(BgL_arg2010z00_1336));
														}
														VECTOR_SET(BgL_nsz00_1334,
															(int) (((long) 1)), BgL_sz00_1313);
														{	/* Eval/evaluate_comp.scm 755 */
															obj_t BgL_auxz00_16841;

															BgL_auxz00_16841 = BGL_CURRENT_DYNAMIC_ENV();
															BGL_ENV_EVSTATE_SET(BgL_auxz00_16841,
																BgL_nsz00_1334);
														}
														{	/* Eval/evaluate_comp.scm 755 */
															obj_t BgL_val1154z00_1338;

															BgL_val1154z00_1338 =
																BGl_zc3exitza32016ze3z83zz__evaluate_compz00
																(BgL_nsz00_1334, BgL_runz00_1322);
															{	/* Eval/evaluate_comp.scm 755 */
																obj_t BgL_auxz00_16845;

																BgL_auxz00_16845 = BGL_CURRENT_DYNAMIC_ENV();
																BGL_ENV_EVSTATE_SET(BgL_auxz00_16845,
																	BgL_sz00_1313);
															}
															if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
																	(BgL_val1154z00_1338)))
																{	/* Eval/evaluate_comp.scm 755 */
																	return
																		BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
																		(BgL_val1154z00_1338),
																		CDR(BgL_val1154z00_1338));
																}
															else
																{	/* Eval/evaluate_comp.scm 755 */
																	return BgL_val1154z00_1338;
																}
														}
													}
											}
										}
									else
										{	/* Eval/evaluate_comp.scm 755 */
											if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_1316,
													(int) (BgL_nbargsz00_14118)))
												{	/* Eval/evaluate_comp.scm 755 */
													return
														BGl_subrzd2callzd2withzd2pushzd2zz__evaluate_compz00
														(BgL_sz00_1313, BgL_fz00_1316, BgL_argsz00_14119,
														BgL_bpz00_1315, BgL_nbargsz00_14118);
												}
											else
												{	/* Eval/evaluate_comp.scm 755 */
													return
														BGl_evarityzd2errorzd2zz__everrorz00(
														(((BgL_ev_appz00_bglt) CREF(BgL_i1147z00_14116))->
															BgL_locz00), BgL_symbzd2funzd2_14117,
														(int) (BgL_nbargsz00_14118),
														PROCEDURE_ARITY(BgL_fz00_1316));
		}}}}}}}}}
	}



/* <exit:2016> */
	obj_t BGl_zc3exitza32016ze3z83zz__evaluate_compz00(obj_t BgL_nsz00_16142,
		obj_t BgL_runz00_16141)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 755 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1155z00_1344;

			if (SET_EXIT(BgL_an_exit1155z00_1344))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1155z00_1344 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 755 */

						PUSH_EXIT(BgL_an_exit1155z00_1344, ((long) 0));
						{	/* Eval/evaluate_comp.scm 755 */
							obj_t BgL_val1156z00_1345;

							BgL_val1156z00_1345 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_16141,
								BgL_nsz00_16142, BINT(((long) 2)));
							POP_EXIT();
							return BgL_val1156z00_1345;
						}
					}
				}
		}
	}



/* &<anonymous:2024> */
	obj_t BGl_z62zc3anonymousza32024ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_14121, obj_t BgL_sz00_14128)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 741 */
			{	/* Eval/evaluate_comp.scm 741 */
				obj_t BgL_fz00_14122;
				BgL_ev_appz00_bglt BgL_i1147z00_14123;
				obj_t BgL_symbzd2funzd2_14124;
				long BgL_nbargsz00_14125;
				obj_t BgL_argsz00_14126;
				long BgL_siza7eza7_14127;

				BgL_fz00_14122 = PROCEDURE_REF(BgL_envz00_14121, (int) (((long) 0)));
				BgL_i1147z00_14123 =
					((BgL_ev_appz00_bglt)
					PROCEDURE_REF(BgL_envz00_14121, (int) (((long) 1))));
				BgL_symbzd2funzd2_14124 =
					PROCEDURE_REF(BgL_envz00_14121, (int) (((long) 2)));
				BgL_nbargsz00_14125 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14121, (int) (((long) 3))));
				BgL_argsz00_14126 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14121, (int) (((long) 4))));
				BgL_siza7eza7_14127 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14121, (int) (((long) 5))));
				{
					obj_t BgL_sz00_1352;

					BgL_sz00_1352 = BgL_sz00_14128;
					{	/* Eval/evaluate_comp.scm 741 */
						obj_t BgL_bpz00_1354;

						BgL_bpz00_1354 = VECTOR_REF(BgL_sz00_1352, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 741 */
							obj_t BgL_fz00_1355;

							BgL_fz00_1355 =
								PROCEDURE_ENTRY(BgL_fz00_14122) (BgL_fz00_14122, BgL_sz00_1352,
								BEOA);
							if (PROCEDUREP(BgL_fz00_1355))
								{	/* Eval/evaluate_comp.scm 741 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 741 */
									BGl_evtypezd2errorzd2zz__everrorz00(
										(((BgL_ev_appz00_bglt) CREF(BgL_i1147z00_14123))->
											BgL_locz00), BGl_string5552z00zz__evaluate_compz00,
										BGl_string5568z00zz__evaluate_compz00, BgL_fz00_1355);
								}
							{	/* Eval/evaluate_comp.scm 741 */
								obj_t BgL_ufz00_1358;

								BgL_ufz00_1358 = PROCEDURE_ATTR(BgL_fz00_1355);
								{	/* Eval/evaluate_comp.scm 741 */
									bool_t BgL_testz00_16895;

									if (STRUCTP(BgL_ufz00_1358))
										{	/* Eval/evaluate_comp.scm 741 */
											BgL_testz00_16895 =
												(STRUCT_KEY(BgL_ufz00_1358) ==
												BGl_symbol5569z00zz__evaluate_compz00);
										}
									else
										{	/* Eval/evaluate_comp.scm 741 */
											BgL_testz00_16895 = ((bool_t) 0);
										}
									if (BgL_testz00_16895)
										{	/* Eval/evaluate_comp.scm 741 */
											obj_t BgL_arityz00_1360;
											obj_t BgL_runz00_1361;
											obj_t BgL_sfz00_1362;

											BgL_arityz00_1360 =
												STRUCT_REF(BgL_ufz00_1358, (int) (((long) 0)));
											BgL_runz00_1361 =
												STRUCT_REF(BgL_ufz00_1358, (int) (((long) 1)));
											BgL_sfz00_1362 =
												STRUCT_REF(BgL_ufz00_1358, (int) (((long) 2)));
											{	/* Eval/evaluate_comp.scm 741 */
												long BgL_spz00_1363;

												BgL_spz00_1363 =
													((long) CINT(BgL_bpz00_1354) + BgL_siza7eza7_14127);
												if (
													((long) CINT(BgL_arityz00_1360) ==
														BgL_nbargsz00_14125))
													{
														obj_t BgL_lz00_6582;
														long BgL_spz00_6583;

														{	/* Eval/evaluate_comp.scm 744 */
															bool_t BgL_auxz00_16911;

															BgL_lz00_6582 = BgL_argsz00_14126;
															BgL_spz00_6583 = BgL_spz00_1363;
														BgL_recz00_6581:
															if (NULLP(BgL_lz00_6582))
																{	/* Eval/evaluate_comp.scm 744 */
																	BgL_auxz00_16911 = ((bool_t) 0);
																}
															else
																{	/* Eval/evaluate_comp.scm 744 */
																	{	/* Eval/evaluate_comp.scm 744 */
																		obj_t BgL_arg1935z00_6590;

																		{	/* Eval/evaluate_comp.scm 744 */
																			obj_t BgL_fun1936z00_6591;

																			BgL_fun1936z00_6591 = CAR(BgL_lz00_6582);
																			BgL_arg1935z00_6590 =
																				PROCEDURE_ENTRY(BgL_fun1936z00_6591)
																				(BgL_fun1936z00_6591, BgL_sz00_1352,
																				BEOA);
																		}
																		VECTOR_SET(BgL_sz00_1352,
																			(int) (BgL_spz00_6583),
																			BgL_arg1935z00_6590);
																	}
																	{
																		long BgL_spz00_16923;
																		obj_t BgL_lz00_16921;

																		BgL_lz00_16921 = CDR(BgL_lz00_6582);
																		BgL_spz00_16923 =
																			(BgL_spz00_6583 + ((long) 1));
																		BgL_spz00_6583 = BgL_spz00_16923;
																		BgL_lz00_6582 = BgL_lz00_16921;
																		goto BgL_recz00_6581;
																	}
																}
															BBOOL(BgL_auxz00_16911);
														}
													}
												else
													{	/* Eval/evaluate_comp.scm 741 */
														bool_t BgL_testz00_16926;

														if (((long) CINT(BgL_arityz00_1360) >= ((long) 0)))
															{	/* Eval/evaluate_comp.scm 741 */
																BgL_testz00_16926 = ((bool_t) 1);
															}
														else
															{	/* Eval/evaluate_comp.scm 741 */
																BgL_testz00_16926 =
																	(
																	(long) CINT(BgL_arityz00_1360) <
																	(((long) -1) - BgL_nbargsz00_14125));
															}
														if (BgL_testz00_16926)
															{	/* Eval/evaluate_comp.scm 741 */
																BGl_evarityzd2errorzd2zz__everrorz00(
																	(((BgL_ev_appz00_bglt)
																			CREF(BgL_i1147z00_14123))->BgL_locz00),
																	STRUCT_REF(BgL_ufz00_1358,
																		(int) (((long) 3))),
																	(int) (BgL_nbargsz00_14125),
																	CINT(BgL_arityz00_1360));
															}
														else
															{	/* Eval/evaluate_comp.scm 741 */
																BGl_pushzd2nargszd2onzd2spzd2zz__evaluate_compz00
																	(BgL_arityz00_1360, BgL_sz00_1352,
																	BgL_argsz00_14126, BINT(BgL_spz00_1363));
															}
													}
												{	/* Eval/evaluate_comp.scm 741 */
													obj_t BgL_auxz00_16943;
													obj_t BgL_auxz00_16941;

													BgL_auxz00_16943 =
														(((BgL_ev_appz00_bglt) CREF(BgL_i1147z00_14123))->
														BgL_locz00);
													BgL_auxz00_16941 = BGL_CURRENT_DYNAMIC_ENV();
													BGL_ENV_SET_TRACE_LOCATION(BgL_auxz00_16941,
														BgL_auxz00_16943);
												}
												{	/* Eval/evaluate_comp.scm 741 */
													bool_t BgL_testz00_16946;

													{	/* Eval/evaluate_comp.scm 741 */
														int BgL_arg1909z00_6621;

														BgL_arg1909z00_6621 = VECTOR_LENGTH(BgL_sz00_1352);
														BgL_testz00_16946 =
															(
															(BgL_spz00_1363 +
																(long) CINT(BgL_sfz00_1362)) <
															(long) (BgL_arg1909z00_6621));
													}
													if (BgL_testz00_16946)
														{	/* Eval/evaluate_comp.scm 741 */
															return
																BGl_catchzd2trampolinezd2zz__evaluate_compz00
																(BgL_runz00_1361, BgL_sz00_1352,
																BINT(BgL_spz00_1363));
														}
													else
														{	/* Eval/evaluate_comp.scm 741 */
															obj_t BgL_nsz00_1373;

															BgL_nsz00_1373 =
																BGl_makezd2statezd2zz__evaluate_compz00();
															{	/* Eval/evaluate_comp.scm 741 */
																long BgL_arg2038z00_1375;

																BgL_arg2038z00_1375 =
																	(BgL_spz00_1363 + BgL_nbargsz00_14125);
																BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
																	(BgL_nsz00_1373, BINT(((long) 2)),
																	BgL_sz00_1352, BINT(BgL_spz00_1363),
																	BINT(BgL_arg2038z00_1375));
															}
															VECTOR_SET(BgL_nsz00_1373,
																(int) (((long) 1)), BgL_sz00_1352);
															{	/* Eval/evaluate_comp.scm 741 */
																obj_t BgL_auxz00_16962;

																BgL_auxz00_16962 = BGL_CURRENT_DYNAMIC_ENV();
																BGL_ENV_EVSTATE_SET(BgL_auxz00_16962,
																	BgL_nsz00_1373);
															}
															{	/* Eval/evaluate_comp.scm 741 */
																obj_t BgL_val1148z00_1377;

																BgL_val1148z00_1377 =
																	BGl_zc3exitza32045ze3z83zz__evaluate_compz00
																	(BgL_nsz00_1373, BgL_runz00_1361);
																{	/* Eval/evaluate_comp.scm 741 */
																	obj_t BgL_auxz00_16966;

																	BgL_auxz00_16966 = BGL_CURRENT_DYNAMIC_ENV();
																	BGL_ENV_EVSTATE_SET(BgL_auxz00_16966,
																		BgL_sz00_1352);
																}
																if (CBOOL
																	(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
																		(BgL_val1148z00_1377)))
																	{	/* Eval/evaluate_comp.scm 741 */
																		return
																			BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
																			(BgL_val1148z00_1377),
																			CDR(BgL_val1148z00_1377));
																	}
																else
																	{	/* Eval/evaluate_comp.scm 741 */
																		return BgL_val1148z00_1377;
																	}
															}
														}
												}
											}
										}
									else
										{	/* Eval/evaluate_comp.scm 741 */
											if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_1355,
													(int) (BgL_nbargsz00_14125)))
												{	/* Eval/evaluate_comp.scm 741 */
													return
														BGl_subrzd2callzd2withzd2pushzd2zz__evaluate_compz00
														(BgL_sz00_1352, BgL_fz00_1355, BgL_argsz00_14126,
														BgL_bpz00_1354, BgL_siza7eza7_14127);
												}
											else
												{	/* Eval/evaluate_comp.scm 741 */
													return
														BGl_evarityzd2errorzd2zz__everrorz00(
														(((BgL_ev_appz00_bglt) CREF(BgL_i1147z00_14123))->
															BgL_locz00), BgL_symbzd2funzd2_14124,
														(int) (BgL_nbargsz00_14125),
														PROCEDURE_ARITY(BgL_fz00_1355));
		}}}}}}}}}
	}



/* <exit:2045> */
	obj_t BGl_zc3exitza32045ze3z83zz__evaluate_compz00(obj_t BgL_nsz00_16140,
		obj_t BgL_runz00_16139)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 741 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1149z00_1383;

			if (SET_EXIT(BgL_an_exit1149z00_1383))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1149z00_1383 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 741 */

						PUSH_EXIT(BgL_an_exit1149z00_1383, ((long) 0));
						{	/* Eval/evaluate_comp.scm 741 */
							obj_t BgL_val1150z00_1384;

							BgL_val1150z00_1384 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_16139,
								BgL_nsz00_16140, BINT(((long) 2)));
							POP_EXIT();
							return BgL_val1150z00_1384;
						}
					}
				}
		}
	}



/* comp-call0 */
	obj_t BGl_compzd2call0zd2zz__evaluate_compz00(obj_t BgL_locz00_136,
		BgL_ev_exprz00_bglt BgL_vfunz00_137, obj_t BgL_symbzd2funzd2_138,
		obj_t BgL_funz00_139, obj_t BgL_tailzf3zf3_140, obj_t BgL_stkz00_141,
		long BgL_siza7eza7_142)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 843 */
			{	/* Eval/evaluate_comp.scm 843 */
				obj_t BgL_cfunz00_1392;

				BgL_cfunz00_1392 =
					BGl_iszd2constantzd2funzf3zf3zz__evaluate_compz00(BgL_vfunz00_137,
					((long) 0), BgL_locz00_136, BgL_symbzd2funzd2_138);
				if (CBOOL(BgL_cfunz00_1392))
					{	/* Eval/evaluate_comp.scm 843 */
						obj_t BgL_zc3anonymousza32055ze3z83_14129;

						BgL_zc3anonymousza32055ze3z83_14129 =
							MAKE_FX_PROCEDURE
							(BGl_z62zc3anonymousza32055ze3ze1zz__evaluate_compz00,
							(int) (((long) 1)), (int) (((long) 2)));
						PROCEDURE_SET(BgL_zc3anonymousza32055ze3z83_14129,
							(int) (((long) 0)), BINT(BgL_siza7eza7_142));
						PROCEDURE_SET(BgL_zc3anonymousza32055ze3z83_14129,
							(int) (((long) 1)), BgL_cfunz00_1392);
						return BgL_zc3anonymousza32055ze3z83_14129;
					}
				else
					{	/* Eval/evaluate_comp.scm 843 */
						if (CBOOL(BgL_tailzf3zf3_140))
							{	/* Eval/evaluate_comp.scm 843 */
								obj_t BgL_zc3anonymousza32056ze3z83_14130;

								BgL_zc3anonymousza32056ze3z83_14130 =
									MAKE_FX_PROCEDURE
									(BGl_z62zc3anonymousza32056ze3ze1zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 4)));
								PROCEDURE_SET(BgL_zc3anonymousza32056ze3z83_14130,
									(int) (((long) 0)), BgL_funz00_139);
								PROCEDURE_SET(BgL_zc3anonymousza32056ze3z83_14130,
									(int) (((long) 1)), BgL_locz00_136);
								PROCEDURE_SET(BgL_zc3anonymousza32056ze3z83_14130,
									(int) (((long) 2)), BgL_symbzd2funzd2_138);
								PROCEDURE_SET(BgL_zc3anonymousza32056ze3z83_14130,
									(int) (((long) 3)), BINT(BgL_siza7eza7_142));
								return BgL_zc3anonymousza32056ze3z83_14130;
							}
						else
							{	/* Eval/evaluate_comp.scm 843 */
								obj_t BgL_zc3anonymousza32075ze3z83_14131;

								BgL_zc3anonymousza32075ze3z83_14131 =
									MAKE_FX_PROCEDURE
									(BGl_z62zc3anonymousza32075ze3ze1zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 4)));
								PROCEDURE_SET(BgL_zc3anonymousza32075ze3z83_14131,
									(int) (((long) 0)), BgL_funz00_139);
								PROCEDURE_SET(BgL_zc3anonymousza32075ze3z83_14131,
									(int) (((long) 1)), BgL_locz00_136);
								PROCEDURE_SET(BgL_zc3anonymousza32075ze3z83_14131,
									(int) (((long) 2)), BgL_symbzd2funzd2_138);
								PROCEDURE_SET(BgL_zc3anonymousza32075ze3z83_14131,
									(int) (((long) 3)), BINT(BgL_siza7eza7_142));
								return BgL_zc3anonymousza32075ze3z83_14131;
							}
					}
			}
		}
	}



/* &<anonymous:2055> */
	obj_t BGl_z62zc3anonymousza32055ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_14132, obj_t BgL_sz00_14135)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 843 */
			{	/* Eval/evaluate_comp.scm 843 */
				long BgL_siza7eza7_14133;
				obj_t BgL_cfunz00_14134;

				BgL_siza7eza7_14133 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14132, (int) (((long) 0))));
				BgL_cfunz00_14134 = PROCEDURE_REF(BgL_envz00_14132, (int) (((long) 1)));
				{
					obj_t BgL_sz00_1393;

					BgL_sz00_1393 = BgL_sz00_14135;
					{	/* Eval/evaluate_comp.scm 843 */
						obj_t BgL_bpz00_1395;

						BgL_bpz00_1395 = VECTOR_REF(BgL_sz00_1393, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 843 */

							{	/* Eval/evaluate_comp.scm 843 */
								long BgL_nbpz00_1396;

								BgL_nbpz00_1396 =
									((long) CINT(BgL_bpz00_1395) + BgL_siza7eza7_14133);
								VECTOR_SET(BgL_sz00_1393,
									(int) (((long) 0)), BINT(BgL_nbpz00_1396));
								{	/* Eval/evaluate_comp.scm 843 */
									obj_t BgL_rz00_1397;

									BgL_rz00_1397 =
										PROCEDURE_ENTRY(BgL_cfunz00_14134) (BgL_cfunz00_14134,
										BEOA);
									VECTOR_SET(BgL_sz00_1393, (int) (((long) 0)), BgL_bpz00_1395);
									return BgL_rz00_1397;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:2056> */
	obj_t BGl_z62zc3anonymousza32056ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_14136, obj_t BgL_sz00_14141)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 843 */
			{	/* Eval/evaluate_comp.scm 843 */
				obj_t BgL_funz00_14137;
				obj_t BgL_locz00_14138;
				obj_t BgL_symbzd2funzd2_14139;
				long BgL_siza7eza7_14140;

				BgL_funz00_14137 = PROCEDURE_REF(BgL_envz00_14136, (int) (((long) 0)));
				BgL_locz00_14138 = PROCEDURE_REF(BgL_envz00_14136, (int) (((long) 1)));
				BgL_symbzd2funzd2_14139 =
					PROCEDURE_REF(BgL_envz00_14136, (int) (((long) 2)));
				BgL_siza7eza7_14140 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14136, (int) (((long) 3))));
				{
					obj_t BgL_sz00_1398;

					BgL_sz00_1398 = BgL_sz00_14141;
					{	/* Eval/evaluate_comp.scm 843 */
						obj_t BgL_bpz00_1400;

						BgL_bpz00_1400 = VECTOR_REF(BgL_sz00_1398, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 843 */
							obj_t BgL_fz00_1401;

							BgL_fz00_1401 =
								PROCEDURE_ENTRY(BgL_funz00_14137) (BgL_funz00_14137,
								BgL_sz00_1398, BEOA);
							if (PROCEDUREP(BgL_fz00_1401))
								{	/* Eval/evaluate_comp.scm 843 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 843 */
									BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_14138,
										BGl_string5552z00zz__evaluate_compz00,
										BGl_string5568z00zz__evaluate_compz00, BgL_fz00_1401);
								}
							{	/* Eval/evaluate_comp.scm 843 */
								obj_t BgL_ufz00_1403;

								BgL_ufz00_1403 = PROCEDURE_ATTR(BgL_fz00_1401);
								{	/* Eval/evaluate_comp.scm 843 */
									bool_t BgL_testz00_17062;

									if (STRUCTP(BgL_ufz00_1403))
										{	/* Eval/evaluate_comp.scm 843 */
											BgL_testz00_17062 =
												(STRUCT_KEY(BgL_ufz00_1403) ==
												BGl_symbol5569z00zz__evaluate_compz00);
										}
									else
										{	/* Eval/evaluate_comp.scm 843 */
											BgL_testz00_17062 = ((bool_t) 0);
										}
									if (BgL_testz00_17062)
										{	/* Eval/evaluate_comp.scm 843 */
											obj_t BgL_arityz00_1405;
											obj_t BgL_runz00_1406;
											obj_t BgL_sfz00_1407;

											BgL_arityz00_1405 =
												STRUCT_REF(BgL_ufz00_1403, (int) (((long) 0)));
											BgL_runz00_1406 =
												STRUCT_REF(BgL_ufz00_1403, (int) (((long) 1)));
											BgL_sfz00_1407 =
												STRUCT_REF(BgL_ufz00_1403, (int) (((long) 2)));
											if (((long) CINT(BgL_arityz00_1405) == ((long) 0)))
												{	/* Eval/evaluate_comp.scm 843 */
													BUNSPEC;
												}
											else
												{	/* Eval/evaluate_comp.scm 843 */
													if (INTEGERP(BgL_arityz00_1405))
														{	/* Eval/evaluate_comp.scm 843 */
															switch ((long) CINT(BgL_arityz00_1405))
																{
																case ((long) -1):

																	{	/* Eval/evaluate_comp.scm 843 */
																		long BgL_arg2061z00_1413;

																		BgL_arg2061z00_1413 =
																			(
																			(long) CINT(BgL_bpz00_1400) + ((long) 0));
																		VECTOR_SET(BgL_sz00_1398,
																			(int) (BgL_arg2061z00_1413), BNIL);
																	} break;
																default:
																	BGl_evarityzd2errorzd2zz__everrorz00
																		(BgL_locz00_14138,
																		STRUCT_REF(BgL_ufz00_1403,
																			(int) (((long) 3))), (int) (((long) 0)),
																		CINT(BgL_arityz00_1405));
														}}
													else
														{	/* Eval/evaluate_comp.scm 843 */
															BGl_evarityzd2errorzd2zz__everrorz00
																(BgL_locz00_14138, STRUCT_REF(BgL_ufz00_1403,
																	(int) (((long) 3))), (int) (((long) 0)),
																CINT(BgL_arityz00_1405));
												}}
											{	/* Eval/evaluate_comp.scm 843 */
												obj_t BgL_auxz00_17094;

												BgL_auxz00_17094 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_SET_TRACE_LOCATION(BgL_auxz00_17094,
													BgL_locz00_14138);
											}
											{	/* Eval/evaluate_comp.scm 843 */
												bool_t BgL_testz00_17097;

												{	/* Eval/evaluate_comp.scm 843 */
													int BgL_arg1909z00_6702;

													BgL_arg1909z00_6702 = VECTOR_LENGTH(BgL_sz00_1398);
													BgL_testz00_17097 =
														(
														((long) CINT(BgL_bpz00_1400) +
															(long) CINT(BgL_sfz00_1407)) <
														(long) (BgL_arg1909z00_6702));
												}
												if (BgL_testz00_17097)
													{	/* Eval/evaluate_comp.scm 843 */
														return BgL_runz00_1406;
													}
												else
													{	/* Eval/evaluate_comp.scm 843 */
														obj_t BgL_nsz00_1419;

														BgL_nsz00_1419 =
															BGl_makezd2statezd2zz__evaluate_compz00();
														{	/* Eval/evaluate_comp.scm 843 */
															long BgL_arg2066z00_1421;

															BgL_arg2066z00_1421 =
																((long) CINT(BgL_bpz00_1400) + ((long) 0));
															BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
																(BgL_nsz00_1419, BINT(((long) 2)),
																BgL_sz00_1398, BgL_bpz00_1400,
																BINT(BgL_arg2066z00_1421));
														}
														VECTOR_SET(BgL_nsz00_1419,
															(int) (((long) 1)), BgL_sz00_1398);
														{	/* Eval/evaluate_comp.scm 843 */
															obj_t BgL_auxz00_17112;

															BgL_auxz00_17112 = BGL_CURRENT_DYNAMIC_ENV();
															BGL_ENV_EVSTATE_SET(BgL_auxz00_17112,
																BgL_nsz00_1419);
														}
														{	/* Eval/evaluate_comp.scm 843 */
															obj_t BgL_val1168z00_1423;

															BgL_val1168z00_1423 =
																BGl_zc3exitza32072ze3z83zz__evaluate_compz00
																(BgL_nsz00_1419, BgL_runz00_1406);
															{	/* Eval/evaluate_comp.scm 843 */
																obj_t BgL_auxz00_17116;

																BgL_auxz00_17116 = BGL_CURRENT_DYNAMIC_ENV();
																BGL_ENV_EVSTATE_SET(BgL_auxz00_17116,
																	BgL_sz00_1398);
															}
															if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
																	(BgL_val1168z00_1423)))
																{	/* Eval/evaluate_comp.scm 843 */
																	return
																		BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
																		(BgL_val1168z00_1423),
																		CDR(BgL_val1168z00_1423));
																}
															else
																{	/* Eval/evaluate_comp.scm 843 */
																	return BgL_val1168z00_1423;
																}
														}
													}
											}
										}
									else
										{	/* Eval/evaluate_comp.scm 843 */
											if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_1401,
													(int) (((long) 0))))
												{	/* Eval/evaluate_comp.scm 843 */
													long BgL_nbpz00_1432;

													BgL_nbpz00_1432 =
														((long) CINT(BgL_bpz00_1400) + BgL_siza7eza7_14140);
													VECTOR_SET(BgL_sz00_1398,
														(int) (((long) 0)), BINT(BgL_nbpz00_1432));
													{	/* Eval/evaluate_comp.scm 843 */
														obj_t BgL_rz00_1433;

														BgL_rz00_1433 =
															PROCEDURE_ENTRY(BgL_fz00_1401) (BgL_fz00_1401,
															BEOA);
														VECTOR_SET(BgL_sz00_1398, (int) (((long) 0)),
															BgL_bpz00_1400);
														return BgL_rz00_1433;
													}
												}
											else
												{	/* Eval/evaluate_comp.scm 843 */
													return
														BGl_evarityzd2errorzd2zz__everrorz00
														(BgL_locz00_14138, BgL_symbzd2funzd2_14139,
														(int) (((long) 0)), PROCEDURE_ARITY(BgL_fz00_1401));
		}}}}}}}}}
	}



/* <exit:2072> */
	obj_t BGl_zc3exitza32072ze3z83zz__evaluate_compz00(obj_t BgL_nsz00_16138,
		obj_t BgL_runz00_16137)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 843 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1169z00_1429;

			if (SET_EXIT(BgL_an_exit1169z00_1429))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1169z00_1429 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 843 */

						PUSH_EXIT(BgL_an_exit1169z00_1429, ((long) 0));
						{	/* Eval/evaluate_comp.scm 843 */
							obj_t BgL_val1170z00_1430;

							BgL_val1170z00_1430 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_16137,
								BgL_nsz00_16138, BINT(((long) 2)));
							POP_EXIT();
							return BgL_val1170z00_1430;
						}
					}
				}
		}
	}



/* &<anonymous:2075> */
	obj_t BGl_z62zc3anonymousza32075ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_14142, obj_t BgL_sz00_14147)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 843 */
			{	/* Eval/evaluate_comp.scm 843 */
				obj_t BgL_funz00_14143;
				obj_t BgL_locz00_14144;
				obj_t BgL_symbzd2funzd2_14145;
				long BgL_siza7eza7_14146;

				BgL_funz00_14143 = PROCEDURE_REF(BgL_envz00_14142, (int) (((long) 0)));
				BgL_locz00_14144 = PROCEDURE_REF(BgL_envz00_14142, (int) (((long) 1)));
				BgL_symbzd2funzd2_14145 =
					PROCEDURE_REF(BgL_envz00_14142, (int) (((long) 2)));
				BgL_siza7eza7_14146 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14142, (int) (((long) 3))));
				{
					obj_t BgL_sz00_1435;

					BgL_sz00_1435 = BgL_sz00_14147;
					{	/* Eval/evaluate_comp.scm 843 */
						obj_t BgL_bpz00_1437;

						BgL_bpz00_1437 = VECTOR_REF(BgL_sz00_1435, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 843 */
							obj_t BgL_fz00_1438;

							BgL_fz00_1438 =
								PROCEDURE_ENTRY(BgL_funz00_14143) (BgL_funz00_14143,
								BgL_sz00_1435, BEOA);
							if (PROCEDUREP(BgL_fz00_1438))
								{	/* Eval/evaluate_comp.scm 843 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 843 */
									BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_14144,
										BGl_string5552z00zz__evaluate_compz00,
										BGl_string5568z00zz__evaluate_compz00, BgL_fz00_1438);
								}
							{	/* Eval/evaluate_comp.scm 843 */
								obj_t BgL_ufz00_1440;

								BgL_ufz00_1440 = PROCEDURE_ATTR(BgL_fz00_1438);
								{	/* Eval/evaluate_comp.scm 843 */
									bool_t BgL_testz00_17166;

									if (STRUCTP(BgL_ufz00_1440))
										{	/* Eval/evaluate_comp.scm 843 */
											BgL_testz00_17166 =
												(STRUCT_KEY(BgL_ufz00_1440) ==
												BGl_symbol5569z00zz__evaluate_compz00);
										}
									else
										{	/* Eval/evaluate_comp.scm 843 */
											BgL_testz00_17166 = ((bool_t) 0);
										}
									if (BgL_testz00_17166)
										{	/* Eval/evaluate_comp.scm 843 */
											obj_t BgL_arityz00_1442;
											obj_t BgL_runz00_1443;
											obj_t BgL_sfz00_1444;

											BgL_arityz00_1442 =
												STRUCT_REF(BgL_ufz00_1440, (int) (((long) 0)));
											BgL_runz00_1443 =
												STRUCT_REF(BgL_ufz00_1440, (int) (((long) 1)));
											BgL_sfz00_1444 =
												STRUCT_REF(BgL_ufz00_1440, (int) (((long) 2)));
											{	/* Eval/evaluate_comp.scm 843 */
												long BgL_spz00_1445;

												BgL_spz00_1445 =
													((long) CINT(BgL_bpz00_1437) + BgL_siza7eza7_14146);
												if (((long) CINT(BgL_arityz00_1442) == ((long) 0)))
													{	/* Eval/evaluate_comp.scm 843 */
														BUNSPEC;
													}
												else
													{	/* Eval/evaluate_comp.scm 843 */
														if (INTEGERP(BgL_arityz00_1442))
															{	/* Eval/evaluate_comp.scm 843 */
																switch ((long) CINT(BgL_arityz00_1442))
																	{
																	case ((long) -1):

																		{	/* Eval/evaluate_comp.scm 843 */
																			long BgL_arg2080z00_1450;

																			BgL_arg2080z00_1450 =
																				(BgL_spz00_1445 + ((long) 0));
																			VECTOR_SET(BgL_sz00_1435,
																				(int) (BgL_arg2080z00_1450), BNIL);
																		} break;
																	default:
																		BGl_evarityzd2errorzd2zz__everrorz00
																			(BgL_locz00_14144,
																			STRUCT_REF(BgL_ufz00_1440,
																				(int) (((long) 3))), (int) (((long) 0)),
																			CINT(BgL_arityz00_1442));
															}}
														else
															{	/* Eval/evaluate_comp.scm 843 */
																BGl_evarityzd2errorzd2zz__everrorz00
																	(BgL_locz00_14144, STRUCT_REF(BgL_ufz00_1440,
																		(int) (((long) 3))), (int) (((long) 0)),
																	CINT(BgL_arityz00_1442));
													}}
												{	/* Eval/evaluate_comp.scm 843 */
													obj_t BgL_auxz00_17199;

													BgL_auxz00_17199 = BGL_CURRENT_DYNAMIC_ENV();
													BGL_ENV_SET_TRACE_LOCATION(BgL_auxz00_17199,
														BgL_locz00_14144);
												}
												{	/* Eval/evaluate_comp.scm 843 */
													bool_t BgL_testz00_17202;

													{	/* Eval/evaluate_comp.scm 843 */
														int BgL_arg1909z00_6782;

														BgL_arg1909z00_6782 = VECTOR_LENGTH(BgL_sz00_1435);
														BgL_testz00_17202 =
															(
															(BgL_spz00_1445 +
																(long) CINT(BgL_sfz00_1444)) <
															(long) (BgL_arg1909z00_6782));
													}
													if (BgL_testz00_17202)
														{	/* Eval/evaluate_comp.scm 843 */
															return
																BGl_catchzd2trampolinezd2zz__evaluate_compz00
																(BgL_runz00_1443, BgL_sz00_1435,
																BINT(BgL_spz00_1445));
														}
													else
														{	/* Eval/evaluate_comp.scm 843 */
															obj_t BgL_nsz00_1456;

															BgL_nsz00_1456 =
																BGl_makezd2statezd2zz__evaluate_compz00();
															{	/* Eval/evaluate_comp.scm 843 */
																long BgL_arg2086z00_1458;

																BgL_arg2086z00_1458 =
																	(BgL_spz00_1445 + ((long) 0));
																BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
																	(BgL_nsz00_1456, BINT(((long) 2)),
																	BgL_sz00_1435, BINT(BgL_spz00_1445),
																	BINT(BgL_arg2086z00_1458));
															}
															VECTOR_SET(BgL_nsz00_1456,
																(int) (((long) 1)), BgL_sz00_1435);
															{	/* Eval/evaluate_comp.scm 843 */
																obj_t BgL_auxz00_17218;

																BgL_auxz00_17218 = BGL_CURRENT_DYNAMIC_ENV();
																BGL_ENV_EVSTATE_SET(BgL_auxz00_17218,
																	BgL_nsz00_1456);
															}
															{	/* Eval/evaluate_comp.scm 843 */
																obj_t BgL_val1173z00_1460;

																BgL_val1173z00_1460 =
																	BGl_zc3exitza32092ze3z83zz__evaluate_compz00
																	(BgL_nsz00_1456, BgL_runz00_1443);
																{	/* Eval/evaluate_comp.scm 843 */
																	obj_t BgL_auxz00_17222;

																	BgL_auxz00_17222 = BGL_CURRENT_DYNAMIC_ENV();
																	BGL_ENV_EVSTATE_SET(BgL_auxz00_17222,
																		BgL_sz00_1435);
																}
																if (CBOOL
																	(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
																		(BgL_val1173z00_1460)))
																	{	/* Eval/evaluate_comp.scm 843 */
																		return
																			BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
																			(BgL_val1173z00_1460),
																			CDR(BgL_val1173z00_1460));
																	}
																else
																	{	/* Eval/evaluate_comp.scm 843 */
																		return BgL_val1173z00_1460;
																	}
															}
														}
												}
											}
										}
									else
										{	/* Eval/evaluate_comp.scm 843 */
											if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_1438,
													(int) (((long) 0))))
												{	/* Eval/evaluate_comp.scm 843 */
													long BgL_nbpz00_1469;

													BgL_nbpz00_1469 =
														((long) CINT(BgL_bpz00_1437) + BgL_siza7eza7_14146);
													VECTOR_SET(BgL_sz00_1435,
														(int) (((long) 0)), BINT(BgL_nbpz00_1469));
													{	/* Eval/evaluate_comp.scm 843 */
														obj_t BgL_rz00_1470;

														BgL_rz00_1470 =
															PROCEDURE_ENTRY(BgL_fz00_1438) (BgL_fz00_1438,
															BEOA);
														VECTOR_SET(BgL_sz00_1435, (int) (((long) 0)),
															BgL_bpz00_1437);
														return BgL_rz00_1470;
													}
												}
											else
												{	/* Eval/evaluate_comp.scm 843 */
													return
														BGl_evarityzd2errorzd2zz__everrorz00
														(BgL_locz00_14144, BgL_symbzd2funzd2_14145,
														(int) (((long) 0)), PROCEDURE_ARITY(BgL_fz00_1438));
		}}}}}}}}}
	}



/* <exit:2092> */
	obj_t BGl_zc3exitza32092ze3z83zz__evaluate_compz00(obj_t BgL_nsz00_16136,
		obj_t BgL_runz00_16135)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 843 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1174z00_1466;

			if (SET_EXIT(BgL_an_exit1174z00_1466))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1174z00_1466 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 843 */

						PUSH_EXIT(BgL_an_exit1174z00_1466, ((long) 0));
						{	/* Eval/evaluate_comp.scm 843 */
							obj_t BgL_val1175z00_1467;

							BgL_val1175z00_1467 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_16135,
								BgL_nsz00_16136, BINT(((long) 2)));
							POP_EXIT();
							return BgL_val1175z00_1467;
						}
					}
				}
		}
	}



/* comp-call1 */
	obj_t BGl_compzd2call1zd2zz__evaluate_compz00(obj_t BgL_locz00_143,
		BgL_ev_exprz00_bglt BgL_vfunz00_144, obj_t BgL_symbzd2funzd2_145,
		obj_t BgL_funz00_146, obj_t BgL_tailzf3zf3_147, obj_t BgL_stkz00_148,
		long BgL_siza7eza7_149, obj_t BgL_a1z00_150)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 843 */
			{	/* Eval/evaluate_comp.scm 843 */
				obj_t BgL_cfunz00_1472;

				BgL_cfunz00_1472 =
					BGl_iszd2constantzd2funzf3zf3zz__evaluate_compz00(BgL_vfunz00_144,
					((long) 1), BgL_locz00_143, BgL_symbzd2funzd2_145);
				if (CBOOL(BgL_cfunz00_1472))
					{	/* Eval/evaluate_comp.scm 843 */
						obj_t BgL_zc3anonymousza32095ze3z83_14148;

						BgL_zc3anonymousza32095ze3z83_14148 =
							MAKE_FX_PROCEDURE
							(BGl_z62zc3anonymousza32095ze3ze1zz__evaluate_compz00,
							(int) (((long) 1)), (int) (((long) 3)));
						PROCEDURE_SET(BgL_zc3anonymousza32095ze3z83_14148,
							(int) (((long) 0)), BgL_a1z00_150);
						PROCEDURE_SET(BgL_zc3anonymousza32095ze3z83_14148,
							(int) (((long) 1)), BINT(BgL_siza7eza7_149));
						PROCEDURE_SET(BgL_zc3anonymousza32095ze3z83_14148,
							(int) (((long) 2)), BgL_cfunz00_1472);
						return BgL_zc3anonymousza32095ze3z83_14148;
					}
				else
					{	/* Eval/evaluate_comp.scm 843 */
						if (CBOOL(BgL_tailzf3zf3_147))
							{	/* Eval/evaluate_comp.scm 843 */
								obj_t BgL_zc3anonymousza32096ze3z83_14149;

								BgL_zc3anonymousza32096ze3z83_14149 =
									MAKE_FX_PROCEDURE
									(BGl_z62zc3anonymousza32096ze3ze1zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 5)));
								PROCEDURE_SET(BgL_zc3anonymousza32096ze3z83_14149,
									(int) (((long) 0)), BgL_funz00_146);
								PROCEDURE_SET(BgL_zc3anonymousza32096ze3z83_14149,
									(int) (((long) 1)), BgL_a1z00_150);
								PROCEDURE_SET(BgL_zc3anonymousza32096ze3z83_14149,
									(int) (((long) 2)), BgL_locz00_143);
								PROCEDURE_SET(BgL_zc3anonymousza32096ze3z83_14149,
									(int) (((long) 3)), BgL_symbzd2funzd2_145);
								PROCEDURE_SET(BgL_zc3anonymousza32096ze3z83_14149,
									(int) (((long) 4)), BINT(BgL_siza7eza7_149));
								return BgL_zc3anonymousza32096ze3z83_14149;
							}
						else
							{	/* Eval/evaluate_comp.scm 843 */
								obj_t BgL_zc3anonymousza32124ze3z83_14150;

								BgL_zc3anonymousza32124ze3z83_14150 =
									MAKE_FX_PROCEDURE
									(BGl_z62zc3anonymousza32124ze3ze1zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 5)));
								PROCEDURE_SET(BgL_zc3anonymousza32124ze3z83_14150,
									(int) (((long) 0)), BgL_funz00_146);
								PROCEDURE_SET(BgL_zc3anonymousza32124ze3z83_14150,
									(int) (((long) 1)), BgL_a1z00_150);
								PROCEDURE_SET(BgL_zc3anonymousza32124ze3z83_14150,
									(int) (((long) 2)), BgL_locz00_143);
								PROCEDURE_SET(BgL_zc3anonymousza32124ze3z83_14150,
									(int) (((long) 3)), BgL_symbzd2funzd2_145);
								PROCEDURE_SET(BgL_zc3anonymousza32124ze3z83_14150,
									(int) (((long) 4)), BINT(BgL_siza7eza7_149));
								return BgL_zc3anonymousza32124ze3z83_14150;
							}
					}
			}
		}
	}



/* &<anonymous:2095> */
	obj_t BGl_z62zc3anonymousza32095ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_14151, obj_t BgL_sz00_14155)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 843 */
			{	/* Eval/evaluate_comp.scm 843 */
				obj_t BgL_a1z00_14152;
				long BgL_siza7eza7_14153;
				obj_t BgL_cfunz00_14154;

				BgL_a1z00_14152 = PROCEDURE_REF(BgL_envz00_14151, (int) (((long) 0)));
				BgL_siza7eza7_14153 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14151, (int) (((long) 1))));
				BgL_cfunz00_14154 = PROCEDURE_REF(BgL_envz00_14151, (int) (((long) 2)));
				{
					obj_t BgL_sz00_1473;

					BgL_sz00_1473 = BgL_sz00_14155;
					{	/* Eval/evaluate_comp.scm 843 */
						obj_t BgL_bpz00_1475;

						BgL_bpz00_1475 = VECTOR_REF(BgL_sz00_1473, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 843 */
							obj_t BgL_a1z00_1476;

							BgL_a1z00_1476 =
								PROCEDURE_ENTRY(BgL_a1z00_14152) (BgL_a1z00_14152,
								BgL_sz00_1473, BEOA);
							{	/* Eval/evaluate_comp.scm 843 */
								long BgL_nbpz00_1477;

								BgL_nbpz00_1477 =
									((long) CINT(BgL_bpz00_1475) + BgL_siza7eza7_14153);
								VECTOR_SET(BgL_sz00_1473,
									(int) (((long) 0)), BINT(BgL_nbpz00_1477));
								{	/* Eval/evaluate_comp.scm 843 */
									obj_t BgL_rz00_1478;

									BgL_rz00_1478 =
										PROCEDURE_ENTRY(BgL_cfunz00_14154) (BgL_cfunz00_14154,
										BgL_a1z00_1476, BEOA);
									VECTOR_SET(BgL_sz00_1473, (int) (((long) 0)), BgL_bpz00_1475);
									return BgL_rz00_1478;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:2096> */
	obj_t BGl_z62zc3anonymousza32096ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_14156, obj_t BgL_sz00_14162)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 843 */
			{	/* Eval/evaluate_comp.scm 843 */
				obj_t BgL_funz00_14157;
				obj_t BgL_a1z00_14158;
				obj_t BgL_locz00_14159;
				obj_t BgL_symbzd2funzd2_14160;
				long BgL_siza7eza7_14161;

				BgL_funz00_14157 = PROCEDURE_REF(BgL_envz00_14156, (int) (((long) 0)));
				BgL_a1z00_14158 = PROCEDURE_REF(BgL_envz00_14156, (int) (((long) 1)));
				BgL_locz00_14159 = PROCEDURE_REF(BgL_envz00_14156, (int) (((long) 2)));
				BgL_symbzd2funzd2_14160 =
					PROCEDURE_REF(BgL_envz00_14156, (int) (((long) 3)));
				BgL_siza7eza7_14161 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14156, (int) (((long) 4))));
				{
					obj_t BgL_sz00_1479;

					BgL_sz00_1479 = BgL_sz00_14162;
					{	/* Eval/evaluate_comp.scm 843 */
						obj_t BgL_bpz00_1481;

						BgL_bpz00_1481 = VECTOR_REF(BgL_sz00_1479, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 843 */
							obj_t BgL_fz00_1482;
							obj_t BgL_a1z00_1483;

							BgL_fz00_1482 =
								PROCEDURE_ENTRY(BgL_funz00_14157) (BgL_funz00_14157,
								BgL_sz00_1479, BEOA);
							BgL_a1z00_1483 =
								PROCEDURE_ENTRY(BgL_a1z00_14158) (BgL_a1z00_14158,
								BgL_sz00_1479, BEOA);
							if (PROCEDUREP(BgL_fz00_1482))
								{	/* Eval/evaluate_comp.scm 843 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 843 */
									BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_14159,
										BGl_string5552z00zz__evaluate_compz00,
										BGl_string5568z00zz__evaluate_compz00, BgL_fz00_1482);
								}
							{	/* Eval/evaluate_comp.scm 843 */
								obj_t BgL_ufz00_1485;

								BgL_ufz00_1485 = PROCEDURE_ATTR(BgL_fz00_1482);
								{	/* Eval/evaluate_comp.scm 843 */
									bool_t BgL_testz00_17345;

									if (STRUCTP(BgL_ufz00_1485))
										{	/* Eval/evaluate_comp.scm 843 */
											BgL_testz00_17345 =
												(STRUCT_KEY(BgL_ufz00_1485) ==
												BGl_symbol5569z00zz__evaluate_compz00);
										}
									else
										{	/* Eval/evaluate_comp.scm 843 */
											BgL_testz00_17345 = ((bool_t) 0);
										}
									if (BgL_testz00_17345)
										{	/* Eval/evaluate_comp.scm 843 */
											obj_t BgL_arityz00_1487;
											obj_t BgL_runz00_1488;
											obj_t BgL_sfz00_1489;

											BgL_arityz00_1487 =
												STRUCT_REF(BgL_ufz00_1485, (int) (((long) 0)));
											BgL_runz00_1488 =
												STRUCT_REF(BgL_ufz00_1485, (int) (((long) 1)));
											BgL_sfz00_1489 =
												STRUCT_REF(BgL_ufz00_1485, (int) (((long) 2)));
											if (((long) CINT(BgL_arityz00_1487) == ((long) 1)))
												{	/* Eval/evaluate_comp.scm 843 */
													long BgL_arg2100z00_1492;

													BgL_arg2100z00_1492 =
														((long) CINT(BgL_bpz00_1481) + ((long) 0));
													VECTOR_SET(BgL_sz00_1479,
														(int) (BgL_arg2100z00_1492), BgL_a1z00_1483);
												}
											else
												{	/* Eval/evaluate_comp.scm 843 */
													if (INTEGERP(BgL_arityz00_1487))
														{	/* Eval/evaluate_comp.scm 843 */
															switch ((long) CINT(BgL_arityz00_1487))
																{
																case ((long) -1):

																	{	/* Eval/evaluate_comp.scm 843 */
																		long BgL_arg2102z00_1496;
																		obj_t BgL_arg2104z00_1497;

																		BgL_arg2102z00_1496 =
																			(
																			(long) CINT(BgL_bpz00_1481) + ((long) 0));
																		{	/* Eval/evaluate_comp.scm 843 */
																			obj_t BgL_list2105z00_1498;

																			BgL_list2105z00_1498 =
																				MAKE_PAIR(BgL_a1z00_1483, BNIL);
																			BgL_arg2104z00_1497 =
																				BgL_list2105z00_1498;
																		}
																		VECTOR_SET(BgL_sz00_1479,
																			(int) (BgL_arg2102z00_1496),
																			BgL_arg2104z00_1497);
																	} break;
																case ((long) -2):

																	{	/* Eval/evaluate_comp.scm 843 */
																		long BgL_arg2106z00_1499;

																		BgL_arg2106z00_1499 =
																			(
																			(long) CINT(BgL_bpz00_1481) + ((long) 0));
																		VECTOR_SET(BgL_sz00_1479,
																			(int) (BgL_arg2106z00_1499),
																			BgL_a1z00_1483);
																	}
																	{	/* Eval/evaluate_comp.scm 843 */
																		long BgL_arg2108z00_1500;

																		BgL_arg2108z00_1500 =
																			(
																			(long) CINT(BgL_bpz00_1481) + ((long) 1));
																		VECTOR_SET(BgL_sz00_1479,
																			(int) (BgL_arg2108z00_1500), BNIL);
																	} break;
																default:
																	BGl_evarityzd2errorzd2zz__everrorz00
																		(BgL_locz00_14159,
																		STRUCT_REF(BgL_ufz00_1485,
																			(int) (((long) 3))), (int) (((long) 1)),
																		CINT(BgL_arityz00_1487));
														}}
													else
														{	/* Eval/evaluate_comp.scm 843 */
															BGl_evarityzd2errorzd2zz__everrorz00
																(BgL_locz00_14159, STRUCT_REF(BgL_ufz00_1485,
																	(int) (((long) 3))), (int) (((long) 1)),
																CINT(BgL_arityz00_1487));
												}}
											{	/* Eval/evaluate_comp.scm 843 */
												obj_t BgL_auxz00_17390;

												BgL_auxz00_17390 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_SET_TRACE_LOCATION(BgL_auxz00_17390,
													BgL_locz00_14159);
											}
											{	/* Eval/evaluate_comp.scm 843 */
												bool_t BgL_testz00_17393;

												{	/* Eval/evaluate_comp.scm 843 */
													int BgL_arg1909z00_6892;

													BgL_arg1909z00_6892 = VECTOR_LENGTH(BgL_sz00_1479);
													BgL_testz00_17393 =
														(
														((long) CINT(BgL_bpz00_1481) +
															(long) CINT(BgL_sfz00_1489)) <
														(long) (BgL_arg1909z00_6892));
												}
												if (BgL_testz00_17393)
													{	/* Eval/evaluate_comp.scm 843 */
														return BgL_runz00_1488;
													}
												else
													{	/* Eval/evaluate_comp.scm 843 */
														obj_t BgL_nsz00_1506;

														BgL_nsz00_1506 =
															BGl_makezd2statezd2zz__evaluate_compz00();
														{	/* Eval/evaluate_comp.scm 843 */
															long BgL_arg2113z00_1508;

															BgL_arg2113z00_1508 =
																((long) CINT(BgL_bpz00_1481) + ((long) 1));
															BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
																(BgL_nsz00_1506, BINT(((long) 2)),
																BgL_sz00_1479, BgL_bpz00_1481,
																BINT(BgL_arg2113z00_1508));
														}
														VECTOR_SET(BgL_nsz00_1506,
															(int) (((long) 1)), BgL_sz00_1479);
														{	/* Eval/evaluate_comp.scm 843 */
															obj_t BgL_auxz00_17408;

															BgL_auxz00_17408 = BGL_CURRENT_DYNAMIC_ENV();
															BGL_ENV_EVSTATE_SET(BgL_auxz00_17408,
																BgL_nsz00_1506);
														}
														{	/* Eval/evaluate_comp.scm 843 */
															obj_t BgL_val1178z00_1510;

															BgL_val1178z00_1510 =
																BGl_zc3exitza32121ze3z83zz__evaluate_compz00
																(BgL_nsz00_1506, BgL_runz00_1488);
															{	/* Eval/evaluate_comp.scm 843 */
																obj_t BgL_auxz00_17412;

																BgL_auxz00_17412 = BGL_CURRENT_DYNAMIC_ENV();
																BGL_ENV_EVSTATE_SET(BgL_auxz00_17412,
																	BgL_sz00_1479);
															}
															if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
																	(BgL_val1178z00_1510)))
																{	/* Eval/evaluate_comp.scm 843 */
																	return
																		BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
																		(BgL_val1178z00_1510),
																		CDR(BgL_val1178z00_1510));
																}
															else
																{	/* Eval/evaluate_comp.scm 843 */
																	return BgL_val1178z00_1510;
																}
														}
													}
											}
										}
									else
										{	/* Eval/evaluate_comp.scm 843 */
											if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_1482,
													(int) (((long) 1))))
												{	/* Eval/evaluate_comp.scm 843 */
													long BgL_nbpz00_1519;

													BgL_nbpz00_1519 =
														((long) CINT(BgL_bpz00_1481) + BgL_siza7eza7_14161);
													VECTOR_SET(BgL_sz00_1479,
														(int) (((long) 0)), BINT(BgL_nbpz00_1519));
													{	/* Eval/evaluate_comp.scm 843 */
														obj_t BgL_rz00_1520;

														BgL_rz00_1520 =
															PROCEDURE_ENTRY(BgL_fz00_1482) (BgL_fz00_1482,
															BgL_a1z00_1483, BEOA);
														VECTOR_SET(BgL_sz00_1479, (int) (((long) 0)),
															BgL_bpz00_1481);
														return BgL_rz00_1520;
													}
												}
											else
												{	/* Eval/evaluate_comp.scm 843 */
													return
														BGl_evarityzd2errorzd2zz__everrorz00
														(BgL_locz00_14159, BgL_symbzd2funzd2_14160,
														(int) (((long) 1)), PROCEDURE_ARITY(BgL_fz00_1482));
		}}}}}}}}}
	}



/* <exit:2121> */
	obj_t BGl_zc3exitza32121ze3z83zz__evaluate_compz00(obj_t BgL_nsz00_16134,
		obj_t BgL_runz00_16133)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 843 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1179z00_1516;

			if (SET_EXIT(BgL_an_exit1179z00_1516))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1179z00_1516 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 843 */

						PUSH_EXIT(BgL_an_exit1179z00_1516, ((long) 0));
						{	/* Eval/evaluate_comp.scm 843 */
							obj_t BgL_val1180z00_1517;

							BgL_val1180z00_1517 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_16133,
								BgL_nsz00_16134, BINT(((long) 2)));
							POP_EXIT();
							return BgL_val1180z00_1517;
						}
					}
				}
		}
	}



/* &<anonymous:2124> */
	obj_t BGl_z62zc3anonymousza32124ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_14163, obj_t BgL_sz00_14169)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 843 */
			{	/* Eval/evaluate_comp.scm 843 */
				obj_t BgL_funz00_14164;
				obj_t BgL_a1z00_14165;
				obj_t BgL_locz00_14166;
				obj_t BgL_symbzd2funzd2_14167;
				long BgL_siza7eza7_14168;

				BgL_funz00_14164 = PROCEDURE_REF(BgL_envz00_14163, (int) (((long) 0)));
				BgL_a1z00_14165 = PROCEDURE_REF(BgL_envz00_14163, (int) (((long) 1)));
				BgL_locz00_14166 = PROCEDURE_REF(BgL_envz00_14163, (int) (((long) 2)));
				BgL_symbzd2funzd2_14167 =
					PROCEDURE_REF(BgL_envz00_14163, (int) (((long) 3)));
				BgL_siza7eza7_14168 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14163, (int) (((long) 4))));
				{
					obj_t BgL_sz00_1522;

					BgL_sz00_1522 = BgL_sz00_14169;
					{	/* Eval/evaluate_comp.scm 843 */
						obj_t BgL_bpz00_1524;

						BgL_bpz00_1524 = VECTOR_REF(BgL_sz00_1522, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 843 */
							obj_t BgL_fz00_1525;
							obj_t BgL_a1z00_1526;

							BgL_fz00_1525 =
								PROCEDURE_ENTRY(BgL_funz00_14164) (BgL_funz00_14164,
								BgL_sz00_1522, BEOA);
							BgL_a1z00_1526 =
								PROCEDURE_ENTRY(BgL_a1z00_14165) (BgL_a1z00_14165,
								BgL_sz00_1522, BEOA);
							if (PROCEDUREP(BgL_fz00_1525))
								{	/* Eval/evaluate_comp.scm 843 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 843 */
									BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_14166,
										BGl_string5552z00zz__evaluate_compz00,
										BGl_string5568z00zz__evaluate_compz00, BgL_fz00_1525);
								}
							{	/* Eval/evaluate_comp.scm 843 */
								obj_t BgL_ufz00_1528;

								BgL_ufz00_1528 = PROCEDURE_ATTR(BgL_fz00_1525);
								{	/* Eval/evaluate_comp.scm 843 */
									bool_t BgL_testz00_17469;

									if (STRUCTP(BgL_ufz00_1528))
										{	/* Eval/evaluate_comp.scm 843 */
											BgL_testz00_17469 =
												(STRUCT_KEY(BgL_ufz00_1528) ==
												BGl_symbol5569z00zz__evaluate_compz00);
										}
									else
										{	/* Eval/evaluate_comp.scm 843 */
											BgL_testz00_17469 = ((bool_t) 0);
										}
									if (BgL_testz00_17469)
										{	/* Eval/evaluate_comp.scm 843 */
											obj_t BgL_arityz00_1530;
											obj_t BgL_runz00_1531;
											obj_t BgL_sfz00_1532;

											BgL_arityz00_1530 =
												STRUCT_REF(BgL_ufz00_1528, (int) (((long) 0)));
											BgL_runz00_1531 =
												STRUCT_REF(BgL_ufz00_1528, (int) (((long) 1)));
											BgL_sfz00_1532 =
												STRUCT_REF(BgL_ufz00_1528, (int) (((long) 2)));
											{	/* Eval/evaluate_comp.scm 843 */
												long BgL_spz00_1533;

												BgL_spz00_1533 =
													((long) CINT(BgL_bpz00_1524) + BgL_siza7eza7_14168);
												if (((long) CINT(BgL_arityz00_1530) == ((long) 1)))
													{	/* Eval/evaluate_comp.scm 843 */
														long BgL_arg2128z00_1535;

														BgL_arg2128z00_1535 = (BgL_spz00_1533 + ((long) 0));
														VECTOR_SET(BgL_sz00_1522,
															(int) (BgL_arg2128z00_1535), BgL_a1z00_1526);
													}
												else
													{	/* Eval/evaluate_comp.scm 843 */
														if (INTEGERP(BgL_arityz00_1530))
															{	/* Eval/evaluate_comp.scm 843 */
																switch ((long) CINT(BgL_arityz00_1530))
																	{
																	case ((long) -1):

																		{	/* Eval/evaluate_comp.scm 843 */
																			long BgL_arg2130z00_1539;
																			obj_t BgL_arg2131z00_1540;

																			BgL_arg2130z00_1539 =
																				(BgL_spz00_1533 + ((long) 0));
																			{	/* Eval/evaluate_comp.scm 843 */
																				obj_t BgL_list2132z00_1541;

																				BgL_list2132z00_1541 =
																					MAKE_PAIR(BgL_a1z00_1526, BNIL);
																				BgL_arg2131z00_1540 =
																					BgL_list2132z00_1541;
																			}
																			VECTOR_SET(BgL_sz00_1522,
																				(int) (BgL_arg2130z00_1539),
																				BgL_arg2131z00_1540);
																		} break;
																	case ((long) -2):

																		{	/* Eval/evaluate_comp.scm 843 */
																			long BgL_arg2134z00_1542;

																			BgL_arg2134z00_1542 =
																				(BgL_spz00_1533 + ((long) 0));
																			VECTOR_SET(BgL_sz00_1522,
																				(int) (BgL_arg2134z00_1542),
																				BgL_a1z00_1526);
																		}
																		{	/* Eval/evaluate_comp.scm 843 */
																			long BgL_arg2136z00_1543;

																			BgL_arg2136z00_1543 =
																				(BgL_spz00_1533 + ((long) 1));
																			VECTOR_SET(BgL_sz00_1522,
																				(int) (BgL_arg2136z00_1543), BNIL);
																		} break;
																	default:
																		BGl_evarityzd2errorzd2zz__everrorz00
																			(BgL_locz00_14166,
																			STRUCT_REF(BgL_ufz00_1528,
																				(int) (((long) 3))), (int) (((long) 1)),
																			CINT(BgL_arityz00_1530));
															}}
														else
															{	/* Eval/evaluate_comp.scm 843 */
																BGl_evarityzd2errorzd2zz__everrorz00
																	(BgL_locz00_14166, STRUCT_REF(BgL_ufz00_1528,
																		(int) (((long) 3))), (int) (((long) 1)),
																	CINT(BgL_arityz00_1530));
													}}
												{	/* Eval/evaluate_comp.scm 843 */
													obj_t BgL_auxz00_17512;

													BgL_auxz00_17512 = BGL_CURRENT_DYNAMIC_ENV();
													BGL_ENV_SET_TRACE_LOCATION(BgL_auxz00_17512,
														BgL_locz00_14166);
												}
												{	/* Eval/evaluate_comp.scm 843 */
													bool_t BgL_testz00_17515;

													{	/* Eval/evaluate_comp.scm 843 */
														int BgL_arg1909z00_6992;

														BgL_arg1909z00_6992 = VECTOR_LENGTH(BgL_sz00_1522);
														BgL_testz00_17515 =
															(
															(BgL_spz00_1533 +
																(long) CINT(BgL_sfz00_1532)) <
															(long) (BgL_arg1909z00_6992));
													}
													if (BgL_testz00_17515)
														{	/* Eval/evaluate_comp.scm 843 */
															return
																BGl_catchzd2trampolinezd2zz__evaluate_compz00
																(BgL_runz00_1531, BgL_sz00_1522,
																BINT(BgL_spz00_1533));
														}
													else
														{	/* Eval/evaluate_comp.scm 843 */
															obj_t BgL_nsz00_1549;

															BgL_nsz00_1549 =
																BGl_makezd2statezd2zz__evaluate_compz00();
															{	/* Eval/evaluate_comp.scm 843 */
																long BgL_arg2142z00_1551;

																BgL_arg2142z00_1551 =
																	(BgL_spz00_1533 + ((long) 1));
																BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
																	(BgL_nsz00_1549, BINT(((long) 2)),
																	BgL_sz00_1522, BINT(BgL_spz00_1533),
																	BINT(BgL_arg2142z00_1551));
															}
															VECTOR_SET(BgL_nsz00_1549,
																(int) (((long) 1)), BgL_sz00_1522);
															{	/* Eval/evaluate_comp.scm 843 */
																obj_t BgL_auxz00_17531;

																BgL_auxz00_17531 = BGL_CURRENT_DYNAMIC_ENV();
																BGL_ENV_EVSTATE_SET(BgL_auxz00_17531,
																	BgL_nsz00_1549);
															}
															{	/* Eval/evaluate_comp.scm 843 */
																obj_t BgL_val1183z00_1553;

																BgL_val1183z00_1553 =
																	BGl_zc3exitza32148ze3z83zz__evaluate_compz00
																	(BgL_nsz00_1549, BgL_runz00_1531);
																{	/* Eval/evaluate_comp.scm 843 */
																	obj_t BgL_auxz00_17535;

																	BgL_auxz00_17535 = BGL_CURRENT_DYNAMIC_ENV();
																	BGL_ENV_EVSTATE_SET(BgL_auxz00_17535,
																		BgL_sz00_1522);
																}
																if (CBOOL
																	(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
																		(BgL_val1183z00_1553)))
																	{	/* Eval/evaluate_comp.scm 843 */
																		return
																			BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
																			(BgL_val1183z00_1553),
																			CDR(BgL_val1183z00_1553));
																	}
																else
																	{	/* Eval/evaluate_comp.scm 843 */
																		return BgL_val1183z00_1553;
																	}
															}
														}
												}
											}
										}
									else
										{	/* Eval/evaluate_comp.scm 843 */
											if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_1525,
													(int) (((long) 1))))
												{	/* Eval/evaluate_comp.scm 843 */
													long BgL_nbpz00_1562;

													BgL_nbpz00_1562 =
														((long) CINT(BgL_bpz00_1524) + BgL_siza7eza7_14168);
													VECTOR_SET(BgL_sz00_1522,
														(int) (((long) 0)), BINT(BgL_nbpz00_1562));
													{	/* Eval/evaluate_comp.scm 843 */
														obj_t BgL_rz00_1563;

														BgL_rz00_1563 =
															PROCEDURE_ENTRY(BgL_fz00_1525) (BgL_fz00_1525,
															BgL_a1z00_1526, BEOA);
														VECTOR_SET(BgL_sz00_1522, (int) (((long) 0)),
															BgL_bpz00_1524);
														return BgL_rz00_1563;
													}
												}
											else
												{	/* Eval/evaluate_comp.scm 843 */
													return
														BGl_evarityzd2errorzd2zz__everrorz00
														(BgL_locz00_14166, BgL_symbzd2funzd2_14167,
														(int) (((long) 1)), PROCEDURE_ARITY(BgL_fz00_1525));
		}}}}}}}}}
	}



/* <exit:2148> */
	obj_t BGl_zc3exitza32148ze3z83zz__evaluate_compz00(obj_t BgL_nsz00_16132,
		obj_t BgL_runz00_16131)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 843 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1184z00_1559;

			if (SET_EXIT(BgL_an_exit1184z00_1559))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1184z00_1559 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 843 */

						PUSH_EXIT(BgL_an_exit1184z00_1559, ((long) 0));
						{	/* Eval/evaluate_comp.scm 843 */
							obj_t BgL_val1185z00_1560;

							BgL_val1185z00_1560 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_16131,
								BgL_nsz00_16132, BINT(((long) 2)));
							POP_EXIT();
							return BgL_val1185z00_1560;
						}
					}
				}
		}
	}



/* comp-call2 */
	obj_t BGl_compzd2call2zd2zz__evaluate_compz00(obj_t BgL_locz00_151,
		BgL_ev_exprz00_bglt BgL_vfunz00_152, obj_t BgL_symbzd2funzd2_153,
		obj_t BgL_funz00_154, obj_t BgL_tailzf3zf3_155, obj_t BgL_stkz00_156,
		long BgL_siza7eza7_157, obj_t BgL_a1z00_158, obj_t BgL_a2z00_159)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 843 */
			{	/* Eval/evaluate_comp.scm 843 */
				obj_t BgL_cfunz00_1565;

				BgL_cfunz00_1565 =
					BGl_iszd2constantzd2funzf3zf3zz__evaluate_compz00(BgL_vfunz00_152,
					((long) 2), BgL_locz00_151, BgL_symbzd2funzd2_153);
				if (CBOOL(BgL_cfunz00_1565))
					{	/* Eval/evaluate_comp.scm 843 */
						obj_t BgL_zc3anonymousza32151ze3z83_14170;

						BgL_zc3anonymousza32151ze3z83_14170 =
							MAKE_FX_PROCEDURE
							(BGl_z62zc3anonymousza32151ze3ze1zz__evaluate_compz00,
							(int) (((long) 1)), (int) (((long) 4)));
						PROCEDURE_SET(BgL_zc3anonymousza32151ze3z83_14170,
							(int) (((long) 0)), BgL_a1z00_158);
						PROCEDURE_SET(BgL_zc3anonymousza32151ze3z83_14170,
							(int) (((long) 1)), BgL_a2z00_159);
						PROCEDURE_SET(BgL_zc3anonymousza32151ze3z83_14170,
							(int) (((long) 2)), BINT(BgL_siza7eza7_157));
						PROCEDURE_SET(BgL_zc3anonymousza32151ze3z83_14170,
							(int) (((long) 3)), BgL_cfunz00_1565);
						return BgL_zc3anonymousza32151ze3z83_14170;
					}
				else
					{	/* Eval/evaluate_comp.scm 843 */
						if (CBOOL(BgL_tailzf3zf3_155))
							{	/* Eval/evaluate_comp.scm 843 */
								obj_t BgL_zc3anonymousza32152ze3z83_14171;

								BgL_zc3anonymousza32152ze3z83_14171 =
									MAKE_FX_PROCEDURE
									(BGl_z62zc3anonymousza32152ze3ze1zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 6)));
								PROCEDURE_SET(BgL_zc3anonymousza32152ze3z83_14171,
									(int) (((long) 0)), BgL_funz00_154);
								PROCEDURE_SET(BgL_zc3anonymousza32152ze3z83_14171,
									(int) (((long) 1)), BgL_a1z00_158);
								PROCEDURE_SET(BgL_zc3anonymousza32152ze3z83_14171,
									(int) (((long) 2)), BgL_a2z00_159);
								PROCEDURE_SET(BgL_zc3anonymousza32152ze3z83_14171,
									(int) (((long) 3)), BgL_locz00_151);
								PROCEDURE_SET(BgL_zc3anonymousza32152ze3z83_14171,
									(int) (((long) 4)), BgL_symbzd2funzd2_153);
								PROCEDURE_SET(BgL_zc3anonymousza32152ze3z83_14171,
									(int) (((long) 5)), BINT(BgL_siza7eza7_157));
								return BgL_zc3anonymousza32152ze3z83_14171;
							}
						else
							{	/* Eval/evaluate_comp.scm 843 */
								obj_t BgL_zc3anonymousza32184ze3z83_14172;

								BgL_zc3anonymousza32184ze3z83_14172 =
									MAKE_FX_PROCEDURE
									(BGl_z62zc3anonymousza32184ze3ze1zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 6)));
								PROCEDURE_SET(BgL_zc3anonymousza32184ze3z83_14172,
									(int) (((long) 0)), BgL_funz00_154);
								PROCEDURE_SET(BgL_zc3anonymousza32184ze3z83_14172,
									(int) (((long) 1)), BgL_a1z00_158);
								PROCEDURE_SET(BgL_zc3anonymousza32184ze3z83_14172,
									(int) (((long) 2)), BgL_a2z00_159);
								PROCEDURE_SET(BgL_zc3anonymousza32184ze3z83_14172,
									(int) (((long) 3)), BgL_locz00_151);
								PROCEDURE_SET(BgL_zc3anonymousza32184ze3z83_14172,
									(int) (((long) 4)), BgL_symbzd2funzd2_153);
								PROCEDURE_SET(BgL_zc3anonymousza32184ze3z83_14172,
									(int) (((long) 5)), BINT(BgL_siza7eza7_157));
								return BgL_zc3anonymousza32184ze3z83_14172;
							}
					}
			}
		}
	}



/* &<anonymous:2151> */
	obj_t BGl_z62zc3anonymousza32151ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_14173, obj_t BgL_sz00_14178)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 843 */
			{	/* Eval/evaluate_comp.scm 843 */
				obj_t BgL_a1z00_14174;
				obj_t BgL_a2z00_14175;
				long BgL_siza7eza7_14176;
				obj_t BgL_cfunz00_14177;

				BgL_a1z00_14174 = PROCEDURE_REF(BgL_envz00_14173, (int) (((long) 0)));
				BgL_a2z00_14175 = PROCEDURE_REF(BgL_envz00_14173, (int) (((long) 1)));
				BgL_siza7eza7_14176 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14173, (int) (((long) 2))));
				BgL_cfunz00_14177 = PROCEDURE_REF(BgL_envz00_14173, (int) (((long) 3)));
				{
					obj_t BgL_sz00_1566;

					BgL_sz00_1566 = BgL_sz00_14178;
					{	/* Eval/evaluate_comp.scm 843 */
						obj_t BgL_bpz00_1568;

						BgL_bpz00_1568 = VECTOR_REF(BgL_sz00_1566, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 843 */
							obj_t BgL_a1z00_1569;
							obj_t BgL_a2z00_1570;

							BgL_a1z00_1569 =
								PROCEDURE_ENTRY(BgL_a1z00_14174) (BgL_a1z00_14174,
								BgL_sz00_1566, BEOA);
							BgL_a2z00_1570 =
								PROCEDURE_ENTRY(BgL_a2z00_14175) (BgL_a2z00_14175,
								BgL_sz00_1566, BEOA);
							{	/* Eval/evaluate_comp.scm 843 */
								long BgL_nbpz00_1571;

								BgL_nbpz00_1571 =
									((long) CINT(BgL_bpz00_1568) + BgL_siza7eza7_14176);
								VECTOR_SET(BgL_sz00_1566,
									(int) (((long) 0)), BINT(BgL_nbpz00_1571));
								{	/* Eval/evaluate_comp.scm 843 */
									obj_t BgL_rz00_1572;

									BgL_rz00_1572 =
										PROCEDURE_ENTRY(BgL_cfunz00_14177) (BgL_cfunz00_14177,
										BgL_a1z00_1569, BgL_a2z00_1570, BEOA);
									VECTOR_SET(BgL_sz00_1566, (int) (((long) 0)), BgL_bpz00_1568);
									return BgL_rz00_1572;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:2152> */
	obj_t BGl_z62zc3anonymousza32152ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_14179, obj_t BgL_sz00_14186)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 843 */
			{	/* Eval/evaluate_comp.scm 843 */
				obj_t BgL_funz00_14180;
				obj_t BgL_a1z00_14181;
				obj_t BgL_a2z00_14182;
				obj_t BgL_locz00_14183;
				obj_t BgL_symbzd2funzd2_14184;
				long BgL_siza7eza7_14185;

				BgL_funz00_14180 = PROCEDURE_REF(BgL_envz00_14179, (int) (((long) 0)));
				BgL_a1z00_14181 = PROCEDURE_REF(BgL_envz00_14179, (int) (((long) 1)));
				BgL_a2z00_14182 = PROCEDURE_REF(BgL_envz00_14179, (int) (((long) 2)));
				BgL_locz00_14183 = PROCEDURE_REF(BgL_envz00_14179, (int) (((long) 3)));
				BgL_symbzd2funzd2_14184 =
					PROCEDURE_REF(BgL_envz00_14179, (int) (((long) 4)));
				BgL_siza7eza7_14185 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14179, (int) (((long) 5))));
				{
					obj_t BgL_sz00_1573;

					BgL_sz00_1573 = BgL_sz00_14186;
					{	/* Eval/evaluate_comp.scm 843 */
						obj_t BgL_bpz00_1575;

						BgL_bpz00_1575 = VECTOR_REF(BgL_sz00_1573, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 843 */
							obj_t BgL_fz00_1576;
							obj_t BgL_a1z00_1577;
							obj_t BgL_a2z00_1578;

							BgL_fz00_1576 =
								PROCEDURE_ENTRY(BgL_funz00_14180) (BgL_funz00_14180,
								BgL_sz00_1573, BEOA);
							BgL_a1z00_1577 =
								PROCEDURE_ENTRY(BgL_a1z00_14181) (BgL_a1z00_14181,
								BgL_sz00_1573, BEOA);
							BgL_a2z00_1578 =
								PROCEDURE_ENTRY(BgL_a2z00_14182) (BgL_a2z00_14182,
								BgL_sz00_1573, BEOA);
							if (PROCEDUREP(BgL_fz00_1576))
								{	/* Eval/evaluate_comp.scm 843 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 843 */
									BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_14183,
										BGl_string5552z00zz__evaluate_compz00,
										BGl_string5568z00zz__evaluate_compz00, BgL_fz00_1576);
								}
							{	/* Eval/evaluate_comp.scm 843 */
								obj_t BgL_ufz00_1580;

								BgL_ufz00_1580 = PROCEDURE_ATTR(BgL_fz00_1576);
								{	/* Eval/evaluate_comp.scm 843 */
									bool_t BgL_testz00_17678;

									if (STRUCTP(BgL_ufz00_1580))
										{	/* Eval/evaluate_comp.scm 843 */
											BgL_testz00_17678 =
												(STRUCT_KEY(BgL_ufz00_1580) ==
												BGl_symbol5569z00zz__evaluate_compz00);
										}
									else
										{	/* Eval/evaluate_comp.scm 843 */
											BgL_testz00_17678 = ((bool_t) 0);
										}
									if (BgL_testz00_17678)
										{	/* Eval/evaluate_comp.scm 843 */
											obj_t BgL_arityz00_1582;
											obj_t BgL_runz00_1583;
											obj_t BgL_sfz00_1584;

											BgL_arityz00_1582 =
												STRUCT_REF(BgL_ufz00_1580, (int) (((long) 0)));
											BgL_runz00_1583 =
												STRUCT_REF(BgL_ufz00_1580, (int) (((long) 1)));
											BgL_sfz00_1584 =
												STRUCT_REF(BgL_ufz00_1580, (int) (((long) 2)));
											if (((long) CINT(BgL_arityz00_1582) == ((long) 2)))
												{	/* Eval/evaluate_comp.scm 843 */
													{	/* Eval/evaluate_comp.scm 843 */
														long BgL_arg2156z00_1587;

														BgL_arg2156z00_1587 =
															((long) CINT(BgL_bpz00_1575) + ((long) 0));
														VECTOR_SET(BgL_sz00_1573,
															(int) (BgL_arg2156z00_1587), BgL_a1z00_1577);
													}
													{	/* Eval/evaluate_comp.scm 843 */
														long BgL_arg2157z00_1588;

														BgL_arg2157z00_1588 =
															((long) CINT(BgL_bpz00_1575) + ((long) 1));
														VECTOR_SET(BgL_sz00_1573,
															(int) (BgL_arg2157z00_1588), BgL_a2z00_1578);
												}}
											else
												{	/* Eval/evaluate_comp.scm 843 */
													if (INTEGERP(BgL_arityz00_1582))
														{	/* Eval/evaluate_comp.scm 843 */
															switch ((long) CINT(BgL_arityz00_1582))
																{
																case ((long) -1):

																	{	/* Eval/evaluate_comp.scm 843 */
																		long BgL_arg2159z00_1592;
																		obj_t BgL_arg2160z00_1593;

																		BgL_arg2159z00_1592 =
																			(
																			(long) CINT(BgL_bpz00_1575) + ((long) 0));
																		{	/* Eval/evaluate_comp.scm 843 */
																			obj_t BgL_list2161z00_1594;

																			{	/* Eval/evaluate_comp.scm 843 */
																				obj_t BgL_arg2162z00_1595;

																				BgL_arg2162z00_1595 =
																					MAKE_PAIR(BgL_a2z00_1578, BNIL);
																				BgL_list2161z00_1594 =
																					MAKE_PAIR(BgL_a1z00_1577,
																					BgL_arg2162z00_1595);
																			}
																			BgL_arg2160z00_1593 =
																				BgL_list2161z00_1594;
																		}
																		VECTOR_SET(BgL_sz00_1573,
																			(int) (BgL_arg2159z00_1592),
																			BgL_arg2160z00_1593);
																	} break;
																case ((long) -2):

																	{	/* Eval/evaluate_comp.scm 843 */
																		long BgL_arg2164z00_1596;

																		BgL_arg2164z00_1596 =
																			(
																			(long) CINT(BgL_bpz00_1575) + ((long) 0));
																		VECTOR_SET(BgL_sz00_1573,
																			(int) (BgL_arg2164z00_1596),
																			BgL_a1z00_1577);
																	}
																	{	/* Eval/evaluate_comp.scm 843 */
																		long BgL_arg2165z00_1597;
																		obj_t BgL_arg2166z00_1598;

																		BgL_arg2165z00_1597 =
																			(
																			(long) CINT(BgL_bpz00_1575) + ((long) 1));
																		{	/* Eval/evaluate_comp.scm 843 */
																			obj_t BgL_list2167z00_1599;

																			BgL_list2167z00_1599 =
																				MAKE_PAIR(BgL_a2z00_1578, BNIL);
																			BgL_arg2166z00_1598 =
																				BgL_list2167z00_1599;
																		}
																		VECTOR_SET(BgL_sz00_1573,
																			(int) (BgL_arg2165z00_1597),
																			BgL_arg2166z00_1598);
																	} break;
																case ((long) -3):

																	{	/* Eval/evaluate_comp.scm 843 */
																		long BgL_arg2168z00_1600;

																		BgL_arg2168z00_1600 =
																			(
																			(long) CINT(BgL_bpz00_1575) + ((long) 0));
																		VECTOR_SET(BgL_sz00_1573,
																			(int) (BgL_arg2168z00_1600),
																			BgL_a1z00_1577);
																	}
																	{	/* Eval/evaluate_comp.scm 843 */
																		long BgL_arg2169z00_1601;

																		BgL_arg2169z00_1601 =
																			(
																			(long) CINT(BgL_bpz00_1575) + ((long) 1));
																		VECTOR_SET(BgL_sz00_1573,
																			(int) (BgL_arg2169z00_1601),
																			BgL_a2z00_1578);
																	}
																	{	/* Eval/evaluate_comp.scm 843 */
																		long BgL_arg2170z00_1602;

																		BgL_arg2170z00_1602 =
																			(
																			(long) CINT(BgL_bpz00_1575) + ((long) 2));
																		VECTOR_SET(BgL_sz00_1573,
																			(int) (BgL_arg2170z00_1602), BNIL);
																	} break;
																default:
																	BGl_evarityzd2errorzd2zz__everrorz00
																		(BgL_locz00_14183,
																		STRUCT_REF(BgL_ufz00_1580,
																			(int) (((long) 3))), (int) (((long) 2)),
																		CINT(BgL_arityz00_1582));
														}}
													else
														{	/* Eval/evaluate_comp.scm 843 */
															BGl_evarityzd2errorzd2zz__everrorz00
																(BgL_locz00_14183, STRUCT_REF(BgL_ufz00_1580,
																	(int) (((long) 3))), (int) (((long) 2)),
																CINT(BgL_arityz00_1582));
												}}
											{	/* Eval/evaluate_comp.scm 843 */
												obj_t BgL_auxz00_17741;

												BgL_auxz00_17741 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_SET_TRACE_LOCATION(BgL_auxz00_17741,
													BgL_locz00_14183);
											}
											{	/* Eval/evaluate_comp.scm 843 */
												bool_t BgL_testz00_17744;

												{	/* Eval/evaluate_comp.scm 843 */
													int BgL_arg1909z00_7128;

													BgL_arg1909z00_7128 = VECTOR_LENGTH(BgL_sz00_1573);
													BgL_testz00_17744 =
														(
														((long) CINT(BgL_bpz00_1575) +
															(long) CINT(BgL_sfz00_1584)) <
														(long) (BgL_arg1909z00_7128));
												}
												if (BgL_testz00_17744)
													{	/* Eval/evaluate_comp.scm 843 */
														return BgL_runz00_1583;
													}
												else
													{	/* Eval/evaluate_comp.scm 843 */
														obj_t BgL_nsz00_1608;

														BgL_nsz00_1608 =
															BGl_makezd2statezd2zz__evaluate_compz00();
														{	/* Eval/evaluate_comp.scm 843 */
															long BgL_arg2175z00_1610;

															BgL_arg2175z00_1610 =
																((long) CINT(BgL_bpz00_1575) + ((long) 2));
															BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
																(BgL_nsz00_1608, BINT(((long) 2)),
																BgL_sz00_1573, BgL_bpz00_1575,
																BINT(BgL_arg2175z00_1610));
														}
														VECTOR_SET(BgL_nsz00_1608,
															(int) (((long) 1)), BgL_sz00_1573);
														{	/* Eval/evaluate_comp.scm 843 */
															obj_t BgL_auxz00_17759;

															BgL_auxz00_17759 = BGL_CURRENT_DYNAMIC_ENV();
															BGL_ENV_EVSTATE_SET(BgL_auxz00_17759,
																BgL_nsz00_1608);
														}
														{	/* Eval/evaluate_comp.scm 843 */
															obj_t BgL_val1188z00_1612;

															BgL_val1188z00_1612 =
																BGl_zc3exitza32181ze3z83zz__evaluate_compz00
																(BgL_nsz00_1608, BgL_runz00_1583);
															{	/* Eval/evaluate_comp.scm 843 */
																obj_t BgL_auxz00_17763;

																BgL_auxz00_17763 = BGL_CURRENT_DYNAMIC_ENV();
																BGL_ENV_EVSTATE_SET(BgL_auxz00_17763,
																	BgL_sz00_1573);
															}
															if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
																	(BgL_val1188z00_1612)))
																{	/* Eval/evaluate_comp.scm 843 */
																	return
																		BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
																		(BgL_val1188z00_1612),
																		CDR(BgL_val1188z00_1612));
																}
															else
																{	/* Eval/evaluate_comp.scm 843 */
																	return BgL_val1188z00_1612;
																}
														}
													}
											}
										}
									else
										{	/* Eval/evaluate_comp.scm 843 */
											if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_1576,
													(int) (((long) 2))))
												{	/* Eval/evaluate_comp.scm 843 */
													long BgL_nbpz00_1621;

													BgL_nbpz00_1621 =
														((long) CINT(BgL_bpz00_1575) + BgL_siza7eza7_14185);
													VECTOR_SET(BgL_sz00_1573,
														(int) (((long) 0)), BINT(BgL_nbpz00_1621));
													{	/* Eval/evaluate_comp.scm 843 */
														obj_t BgL_rz00_1622;

														BgL_rz00_1622 =
															PROCEDURE_ENTRY(BgL_fz00_1576) (BgL_fz00_1576,
															BgL_a1z00_1577, BgL_a2z00_1578, BEOA);
														VECTOR_SET(BgL_sz00_1573, (int) (((long) 0)),
															BgL_bpz00_1575);
														return BgL_rz00_1622;
													}
												}
											else
												{	/* Eval/evaluate_comp.scm 843 */
													return
														BGl_evarityzd2errorzd2zz__everrorz00
														(BgL_locz00_14183, BgL_symbzd2funzd2_14184,
														(int) (((long) 2)), PROCEDURE_ARITY(BgL_fz00_1576));
		}}}}}}}}}
	}



/* <exit:2181> */
	obj_t BGl_zc3exitza32181ze3z83zz__evaluate_compz00(obj_t BgL_nsz00_16130,
		obj_t BgL_runz00_16129)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 843 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1189z00_1618;

			if (SET_EXIT(BgL_an_exit1189z00_1618))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1189z00_1618 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 843 */

						PUSH_EXIT(BgL_an_exit1189z00_1618, ((long) 0));
						{	/* Eval/evaluate_comp.scm 843 */
							obj_t BgL_val1190z00_1619;

							BgL_val1190z00_1619 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_16129,
								BgL_nsz00_16130, BINT(((long) 2)));
							POP_EXIT();
							return BgL_val1190z00_1619;
						}
					}
				}
		}
	}



/* &<anonymous:2184> */
	obj_t BGl_z62zc3anonymousza32184ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_14187, obj_t BgL_sz00_14194)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 843 */
			{	/* Eval/evaluate_comp.scm 843 */
				obj_t BgL_funz00_14188;
				obj_t BgL_a1z00_14189;
				obj_t BgL_a2z00_14190;
				obj_t BgL_locz00_14191;
				obj_t BgL_symbzd2funzd2_14192;
				long BgL_siza7eza7_14193;

				BgL_funz00_14188 = PROCEDURE_REF(BgL_envz00_14187, (int) (((long) 0)));
				BgL_a1z00_14189 = PROCEDURE_REF(BgL_envz00_14187, (int) (((long) 1)));
				BgL_a2z00_14190 = PROCEDURE_REF(BgL_envz00_14187, (int) (((long) 2)));
				BgL_locz00_14191 = PROCEDURE_REF(BgL_envz00_14187, (int) (((long) 3)));
				BgL_symbzd2funzd2_14192 =
					PROCEDURE_REF(BgL_envz00_14187, (int) (((long) 4)));
				BgL_siza7eza7_14193 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14187, (int) (((long) 5))));
				{
					obj_t BgL_sz00_1624;

					BgL_sz00_1624 = BgL_sz00_14194;
					{	/* Eval/evaluate_comp.scm 843 */
						obj_t BgL_bpz00_1626;

						BgL_bpz00_1626 = VECTOR_REF(BgL_sz00_1624, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 843 */
							obj_t BgL_fz00_1627;
							obj_t BgL_a1z00_1628;
							obj_t BgL_a2z00_1629;

							BgL_fz00_1627 =
								PROCEDURE_ENTRY(BgL_funz00_14188) (BgL_funz00_14188,
								BgL_sz00_1624, BEOA);
							BgL_a1z00_1628 =
								PROCEDURE_ENTRY(BgL_a1z00_14189) (BgL_a1z00_14189,
								BgL_sz00_1624, BEOA);
							BgL_a2z00_1629 =
								PROCEDURE_ENTRY(BgL_a2z00_14190) (BgL_a2z00_14190,
								BgL_sz00_1624, BEOA);
							if (PROCEDUREP(BgL_fz00_1627))
								{	/* Eval/evaluate_comp.scm 843 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 843 */
									BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_14191,
										BGl_string5552z00zz__evaluate_compz00,
										BGl_string5568z00zz__evaluate_compz00, BgL_fz00_1627);
								}
							{	/* Eval/evaluate_comp.scm 843 */
								obj_t BgL_ufz00_1631;

								BgL_ufz00_1631 = PROCEDURE_ATTR(BgL_fz00_1627);
								{	/* Eval/evaluate_comp.scm 843 */
									bool_t BgL_testz00_17827;

									if (STRUCTP(BgL_ufz00_1631))
										{	/* Eval/evaluate_comp.scm 843 */
											BgL_testz00_17827 =
												(STRUCT_KEY(BgL_ufz00_1631) ==
												BGl_symbol5569z00zz__evaluate_compz00);
										}
									else
										{	/* Eval/evaluate_comp.scm 843 */
											BgL_testz00_17827 = ((bool_t) 0);
										}
									if (BgL_testz00_17827)
										{	/* Eval/evaluate_comp.scm 843 */
											obj_t BgL_arityz00_1633;
											obj_t BgL_runz00_1634;
											obj_t BgL_sfz00_1635;

											BgL_arityz00_1633 =
												STRUCT_REF(BgL_ufz00_1631, (int) (((long) 0)));
											BgL_runz00_1634 =
												STRUCT_REF(BgL_ufz00_1631, (int) (((long) 1)));
											BgL_sfz00_1635 =
												STRUCT_REF(BgL_ufz00_1631, (int) (((long) 2)));
											{	/* Eval/evaluate_comp.scm 843 */
												long BgL_spz00_1636;

												BgL_spz00_1636 =
													((long) CINT(BgL_bpz00_1626) + BgL_siza7eza7_14193);
												if (((long) CINT(BgL_arityz00_1633) == ((long) 2)))
													{	/* Eval/evaluate_comp.scm 843 */
														{	/* Eval/evaluate_comp.scm 843 */
															long BgL_arg2188z00_1638;

															BgL_arg2188z00_1638 =
																(BgL_spz00_1636 + ((long) 0));
															VECTOR_SET(BgL_sz00_1624,
																(int) (BgL_arg2188z00_1638), BgL_a1z00_1628);
														}
														{	/* Eval/evaluate_comp.scm 843 */
															long BgL_arg2189z00_1639;

															BgL_arg2189z00_1639 =
																(BgL_spz00_1636 + ((long) 1));
															VECTOR_SET(BgL_sz00_1624,
																(int) (BgL_arg2189z00_1639), BgL_a2z00_1629);
													}}
												else
													{	/* Eval/evaluate_comp.scm 843 */
														if (INTEGERP(BgL_arityz00_1633))
															{	/* Eval/evaluate_comp.scm 843 */
																switch ((long) CINT(BgL_arityz00_1633))
																	{
																	case ((long) -1):

																		{	/* Eval/evaluate_comp.scm 843 */
																			long BgL_arg2193z00_1643;
																			obj_t BgL_arg2194z00_1644;

																			BgL_arg2193z00_1643 =
																				(BgL_spz00_1636 + ((long) 0));
																			{	/* Eval/evaluate_comp.scm 843 */
																				obj_t BgL_list2195z00_1645;

																				{	/* Eval/evaluate_comp.scm 843 */
																					obj_t BgL_arg2196z00_1646;

																					BgL_arg2196z00_1646 =
																						MAKE_PAIR(BgL_a2z00_1629, BNIL);
																					BgL_list2195z00_1645 =
																						MAKE_PAIR(BgL_a1z00_1628,
																						BgL_arg2196z00_1646);
																				}
																				BgL_arg2194z00_1644 =
																					BgL_list2195z00_1645;
																			}
																			VECTOR_SET(BgL_sz00_1624,
																				(int) (BgL_arg2193z00_1643),
																				BgL_arg2194z00_1644);
																		} break;
																	case ((long) -2):

																		{	/* Eval/evaluate_comp.scm 843 */
																			long BgL_arg2197z00_1647;

																			BgL_arg2197z00_1647 =
																				(BgL_spz00_1636 + ((long) 0));
																			VECTOR_SET(BgL_sz00_1624,
																				(int) (BgL_arg2197z00_1647),
																				BgL_a1z00_1628);
																		}
																		{	/* Eval/evaluate_comp.scm 843 */
																			long BgL_arg2198z00_1648;
																			obj_t BgL_arg2199z00_1649;

																			BgL_arg2198z00_1648 =
																				(BgL_spz00_1636 + ((long) 1));
																			{	/* Eval/evaluate_comp.scm 843 */
																				obj_t BgL_list2200z00_1650;

																				BgL_list2200z00_1650 =
																					MAKE_PAIR(BgL_a2z00_1629, BNIL);
																				BgL_arg2199z00_1649 =
																					BgL_list2200z00_1650;
																			}
																			VECTOR_SET(BgL_sz00_1624,
																				(int) (BgL_arg2198z00_1648),
																				BgL_arg2199z00_1649);
																		} break;
																	case ((long) -3):

																		{	/* Eval/evaluate_comp.scm 843 */
																			long BgL_arg2201z00_1651;

																			BgL_arg2201z00_1651 =
																				(BgL_spz00_1636 + ((long) 0));
																			VECTOR_SET(BgL_sz00_1624,
																				(int) (BgL_arg2201z00_1651),
																				BgL_a1z00_1628);
																		}
																		{	/* Eval/evaluate_comp.scm 843 */
																			long BgL_arg2202z00_1652;

																			BgL_arg2202z00_1652 =
																				(BgL_spz00_1636 + ((long) 1));
																			VECTOR_SET(BgL_sz00_1624,
																				(int) (BgL_arg2202z00_1652),
																				BgL_a2z00_1629);
																		}
																		{	/* Eval/evaluate_comp.scm 843 */
																			long BgL_arg2203z00_1653;

																			BgL_arg2203z00_1653 =
																				(BgL_spz00_1636 + ((long) 2));
																			VECTOR_SET(BgL_sz00_1624,
																				(int) (BgL_arg2203z00_1653), BNIL);
																		} break;
																	default:
																		BGl_evarityzd2errorzd2zz__everrorz00
																			(BgL_locz00_14191,
																			STRUCT_REF(BgL_ufz00_1631,
																				(int) (((long) 3))), (int) (((long) 2)),
																			CINT(BgL_arityz00_1633));
															}}
														else
															{	/* Eval/evaluate_comp.scm 843 */
																BGl_evarityzd2errorzd2zz__everrorz00
																	(BgL_locz00_14191, STRUCT_REF(BgL_ufz00_1631,
																		(int) (((long) 3))), (int) (((long) 2)),
																	CINT(BgL_arityz00_1633));
													}}
												{	/* Eval/evaluate_comp.scm 843 */
													obj_t BgL_auxz00_17884;

													BgL_auxz00_17884 = BGL_CURRENT_DYNAMIC_ENV();
													BGL_ENV_SET_TRACE_LOCATION(BgL_auxz00_17884,
														BgL_locz00_14191);
												}
												{	/* Eval/evaluate_comp.scm 843 */
													bool_t BgL_testz00_17887;

													{	/* Eval/evaluate_comp.scm 843 */
														int BgL_arg1909z00_7254;

														BgL_arg1909z00_7254 = VECTOR_LENGTH(BgL_sz00_1624);
														BgL_testz00_17887 =
															(
															(BgL_spz00_1636 +
																(long) CINT(BgL_sfz00_1635)) <
															(long) (BgL_arg1909z00_7254));
													}
													if (BgL_testz00_17887)
														{	/* Eval/evaluate_comp.scm 843 */
															return
																BGl_catchzd2trampolinezd2zz__evaluate_compz00
																(BgL_runz00_1634, BgL_sz00_1624,
																BINT(BgL_spz00_1636));
														}
													else
														{	/* Eval/evaluate_comp.scm 843 */
															obj_t BgL_nsz00_1659;

															BgL_nsz00_1659 =
																BGl_makezd2statezd2zz__evaluate_compz00();
															{	/* Eval/evaluate_comp.scm 843 */
																long BgL_arg2208z00_1661;

																BgL_arg2208z00_1661 =
																	(BgL_spz00_1636 + ((long) 2));
																BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
																	(BgL_nsz00_1659, BINT(((long) 2)),
																	BgL_sz00_1624, BINT(BgL_spz00_1636),
																	BINT(BgL_arg2208z00_1661));
															}
															VECTOR_SET(BgL_nsz00_1659,
																(int) (((long) 1)), BgL_sz00_1624);
															{	/* Eval/evaluate_comp.scm 843 */
																obj_t BgL_auxz00_17903;

																BgL_auxz00_17903 = BGL_CURRENT_DYNAMIC_ENV();
																BGL_ENV_EVSTATE_SET(BgL_auxz00_17903,
																	BgL_nsz00_1659);
															}
															{	/* Eval/evaluate_comp.scm 843 */
																obj_t BgL_val1193z00_1663;

																BgL_val1193z00_1663 =
																	BGl_zc3exitza32214ze3z83zz__evaluate_compz00
																	(BgL_nsz00_1659, BgL_runz00_1634);
																{	/* Eval/evaluate_comp.scm 843 */
																	obj_t BgL_auxz00_17907;

																	BgL_auxz00_17907 = BGL_CURRENT_DYNAMIC_ENV();
																	BGL_ENV_EVSTATE_SET(BgL_auxz00_17907,
																		BgL_sz00_1624);
																}
																if (CBOOL
																	(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
																		(BgL_val1193z00_1663)))
																	{	/* Eval/evaluate_comp.scm 843 */
																		return
																			BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
																			(BgL_val1193z00_1663),
																			CDR(BgL_val1193z00_1663));
																	}
																else
																	{	/* Eval/evaluate_comp.scm 843 */
																		return BgL_val1193z00_1663;
																	}
															}
														}
												}
											}
										}
									else
										{	/* Eval/evaluate_comp.scm 843 */
											if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_1627,
													(int) (((long) 2))))
												{	/* Eval/evaluate_comp.scm 843 */
													long BgL_nbpz00_1672;

													BgL_nbpz00_1672 =
														((long) CINT(BgL_bpz00_1626) + BgL_siza7eza7_14193);
													VECTOR_SET(BgL_sz00_1624,
														(int) (((long) 0)), BINT(BgL_nbpz00_1672));
													{	/* Eval/evaluate_comp.scm 843 */
														obj_t BgL_rz00_1673;

														BgL_rz00_1673 =
															PROCEDURE_ENTRY(BgL_fz00_1627) (BgL_fz00_1627,
															BgL_a1z00_1628, BgL_a2z00_1629, BEOA);
														VECTOR_SET(BgL_sz00_1624, (int) (((long) 0)),
															BgL_bpz00_1626);
														return BgL_rz00_1673;
													}
												}
											else
												{	/* Eval/evaluate_comp.scm 843 */
													return
														BGl_evarityzd2errorzd2zz__everrorz00
														(BgL_locz00_14191, BgL_symbzd2funzd2_14192,
														(int) (((long) 2)), PROCEDURE_ARITY(BgL_fz00_1627));
		}}}}}}}}}
	}



/* <exit:2214> */
	obj_t BGl_zc3exitza32214ze3z83zz__evaluate_compz00(obj_t BgL_nsz00_16128,
		obj_t BgL_runz00_16127)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 843 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1194z00_1669;

			if (SET_EXIT(BgL_an_exit1194z00_1669))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1194z00_1669 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 843 */

						PUSH_EXIT(BgL_an_exit1194z00_1669, ((long) 0));
						{	/* Eval/evaluate_comp.scm 843 */
							obj_t BgL_val1195z00_1670;

							BgL_val1195z00_1670 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_16127,
								BgL_nsz00_16128, BINT(((long) 2)));
							POP_EXIT();
							return BgL_val1195z00_1670;
						}
					}
				}
		}
	}



/* comp-call3 */
	obj_t BGl_compzd2call3zd2zz__evaluate_compz00(obj_t BgL_locz00_160,
		BgL_ev_exprz00_bglt BgL_vfunz00_161, obj_t BgL_symbzd2funzd2_162,
		obj_t BgL_funz00_163, obj_t BgL_tailzf3zf3_164, obj_t BgL_stkz00_165,
		long BgL_siza7eza7_166, obj_t BgL_a1z00_167, obj_t BgL_a2z00_168,
		obj_t BgL_a3z00_169)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 843 */
			{	/* Eval/evaluate_comp.scm 843 */
				obj_t BgL_cfunz00_1675;

				BgL_cfunz00_1675 =
					BGl_iszd2constantzd2funzf3zf3zz__evaluate_compz00(BgL_vfunz00_161,
					((long) 3), BgL_locz00_160, BgL_symbzd2funzd2_162);
				if (CBOOL(BgL_cfunz00_1675))
					{	/* Eval/evaluate_comp.scm 843 */
						obj_t BgL_zc3anonymousza32218ze3z83_14195;

						BgL_zc3anonymousza32218ze3z83_14195 =
							MAKE_FX_PROCEDURE
							(BGl_z62zc3anonymousza32218ze3ze1zz__evaluate_compz00,
							(int) (((long) 1)), (int) (((long) 5)));
						PROCEDURE_SET(BgL_zc3anonymousza32218ze3z83_14195,
							(int) (((long) 0)), BgL_a1z00_167);
						PROCEDURE_SET(BgL_zc3anonymousza32218ze3z83_14195,
							(int) (((long) 1)), BgL_a2z00_168);
						PROCEDURE_SET(BgL_zc3anonymousza32218ze3z83_14195,
							(int) (((long) 2)), BgL_a3z00_169);
						PROCEDURE_SET(BgL_zc3anonymousza32218ze3z83_14195,
							(int) (((long) 3)), BINT(BgL_siza7eza7_166));
						PROCEDURE_SET(BgL_zc3anonymousza32218ze3z83_14195,
							(int) (((long) 4)), BgL_cfunz00_1675);
						return BgL_zc3anonymousza32218ze3z83_14195;
					}
				else
					{	/* Eval/evaluate_comp.scm 843 */
						if (CBOOL(BgL_tailzf3zf3_164))
							{	/* Eval/evaluate_comp.scm 843 */
								obj_t BgL_zc3anonymousza32219ze3z83_14196;

								BgL_zc3anonymousza32219ze3z83_14196 =
									MAKE_FX_PROCEDURE
									(BGl_z62zc3anonymousza32219ze3ze1zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 7)));
								PROCEDURE_SET(BgL_zc3anonymousza32219ze3z83_14196,
									(int) (((long) 0)), BgL_funz00_163);
								PROCEDURE_SET(BgL_zc3anonymousza32219ze3z83_14196,
									(int) (((long) 1)), BgL_a1z00_167);
								PROCEDURE_SET(BgL_zc3anonymousza32219ze3z83_14196,
									(int) (((long) 2)), BgL_a2z00_168);
								PROCEDURE_SET(BgL_zc3anonymousza32219ze3z83_14196,
									(int) (((long) 3)), BgL_a3z00_169);
								PROCEDURE_SET(BgL_zc3anonymousza32219ze3z83_14196,
									(int) (((long) 4)), BgL_locz00_160);
								PROCEDURE_SET(BgL_zc3anonymousza32219ze3z83_14196,
									(int) (((long) 5)), BgL_symbzd2funzd2_162);
								PROCEDURE_SET(BgL_zc3anonymousza32219ze3z83_14196,
									(int) (((long) 6)), BINT(BgL_siza7eza7_166));
								return BgL_zc3anonymousza32219ze3z83_14196;
							}
						else
							{	/* Eval/evaluate_comp.scm 843 */
								obj_t BgL_zc3anonymousza32260ze3z83_14197;

								BgL_zc3anonymousza32260ze3z83_14197 =
									MAKE_FX_PROCEDURE
									(BGl_z62zc3anonymousza32260ze3ze1zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 7)));
								PROCEDURE_SET(BgL_zc3anonymousza32260ze3z83_14197,
									(int) (((long) 0)), BgL_funz00_163);
								PROCEDURE_SET(BgL_zc3anonymousza32260ze3z83_14197,
									(int) (((long) 1)), BgL_a1z00_167);
								PROCEDURE_SET(BgL_zc3anonymousza32260ze3z83_14197,
									(int) (((long) 2)), BgL_a2z00_168);
								PROCEDURE_SET(BgL_zc3anonymousza32260ze3z83_14197,
									(int) (((long) 3)), BgL_a3z00_169);
								PROCEDURE_SET(BgL_zc3anonymousza32260ze3z83_14197,
									(int) (((long) 4)), BgL_locz00_160);
								PROCEDURE_SET(BgL_zc3anonymousza32260ze3z83_14197,
									(int) (((long) 5)), BgL_symbzd2funzd2_162);
								PROCEDURE_SET(BgL_zc3anonymousza32260ze3z83_14197,
									(int) (((long) 6)), BINT(BgL_siza7eza7_166));
								return BgL_zc3anonymousza32260ze3z83_14197;
							}
					}
			}
		}
	}



/* &<anonymous:2218> */
	obj_t BGl_z62zc3anonymousza32218ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_14198, obj_t BgL_sz00_14204)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 843 */
			{	/* Eval/evaluate_comp.scm 843 */
				obj_t BgL_a1z00_14199;
				obj_t BgL_a2z00_14200;
				obj_t BgL_a3z00_14201;
				long BgL_siza7eza7_14202;
				obj_t BgL_cfunz00_14203;

				BgL_a1z00_14199 = PROCEDURE_REF(BgL_envz00_14198, (int) (((long) 0)));
				BgL_a2z00_14200 = PROCEDURE_REF(BgL_envz00_14198, (int) (((long) 1)));
				BgL_a3z00_14201 = PROCEDURE_REF(BgL_envz00_14198, (int) (((long) 2)));
				BgL_siza7eza7_14202 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14198, (int) (((long) 3))));
				BgL_cfunz00_14203 = PROCEDURE_REF(BgL_envz00_14198, (int) (((long) 4)));
				{
					obj_t BgL_sz00_1676;

					BgL_sz00_1676 = BgL_sz00_14204;
					{	/* Eval/evaluate_comp.scm 843 */
						obj_t BgL_bpz00_1678;

						BgL_bpz00_1678 = VECTOR_REF(BgL_sz00_1676, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 843 */
							obj_t BgL_a1z00_1679;
							obj_t BgL_a2z00_1680;
							obj_t BgL_a3z00_1681;

							BgL_a1z00_1679 =
								PROCEDURE_ENTRY(BgL_a1z00_14199) (BgL_a1z00_14199,
								BgL_sz00_1676, BEOA);
							BgL_a2z00_1680 =
								PROCEDURE_ENTRY(BgL_a2z00_14200) (BgL_a2z00_14200,
								BgL_sz00_1676, BEOA);
							BgL_a3z00_1681 =
								PROCEDURE_ENTRY(BgL_a3z00_14201) (BgL_a3z00_14201,
								BgL_sz00_1676, BEOA);
							{	/* Eval/evaluate_comp.scm 843 */
								long BgL_nbpz00_1682;

								BgL_nbpz00_1682 =
									((long) CINT(BgL_bpz00_1678) + BgL_siza7eza7_14202);
								VECTOR_SET(BgL_sz00_1676,
									(int) (((long) 0)), BINT(BgL_nbpz00_1682));
								{	/* Eval/evaluate_comp.scm 843 */
									obj_t BgL_rz00_1683;

									BgL_rz00_1683 =
										PROCEDURE_ENTRY(BgL_cfunz00_14203) (BgL_cfunz00_14203,
										BgL_a1z00_1679, BgL_a2z00_1680, BgL_a3z00_1681, BEOA);
									VECTOR_SET(BgL_sz00_1676, (int) (((long) 0)), BgL_bpz00_1678);
									return BgL_rz00_1683;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:2219> */
	obj_t BGl_z62zc3anonymousza32219ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_14205, obj_t BgL_sz00_14213)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 843 */
			{	/* Eval/evaluate_comp.scm 843 */
				obj_t BgL_funz00_14206;
				obj_t BgL_a1z00_14207;
				obj_t BgL_a2z00_14208;
				obj_t BgL_a3z00_14209;
				obj_t BgL_locz00_14210;
				obj_t BgL_symbzd2funzd2_14211;
				long BgL_siza7eza7_14212;

				BgL_funz00_14206 = PROCEDURE_REF(BgL_envz00_14205, (int) (((long) 0)));
				BgL_a1z00_14207 = PROCEDURE_REF(BgL_envz00_14205, (int) (((long) 1)));
				BgL_a2z00_14208 = PROCEDURE_REF(BgL_envz00_14205, (int) (((long) 2)));
				BgL_a3z00_14209 = PROCEDURE_REF(BgL_envz00_14205, (int) (((long) 3)));
				BgL_locz00_14210 = PROCEDURE_REF(BgL_envz00_14205, (int) (((long) 4)));
				BgL_symbzd2funzd2_14211 =
					PROCEDURE_REF(BgL_envz00_14205, (int) (((long) 5)));
				BgL_siza7eza7_14212 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14205, (int) (((long) 6))));
				{
					obj_t BgL_sz00_1684;

					BgL_sz00_1684 = BgL_sz00_14213;
					{	/* Eval/evaluate_comp.scm 843 */
						obj_t BgL_bpz00_1686;

						BgL_bpz00_1686 = VECTOR_REF(BgL_sz00_1684, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 843 */
							obj_t BgL_fz00_1687;
							obj_t BgL_a1z00_1688;
							obj_t BgL_a2z00_1689;
							obj_t BgL_a3z00_1690;

							BgL_fz00_1687 =
								PROCEDURE_ENTRY(BgL_funz00_14206) (BgL_funz00_14206,
								BgL_sz00_1684, BEOA);
							BgL_a1z00_1688 =
								PROCEDURE_ENTRY(BgL_a1z00_14207) (BgL_a1z00_14207,
								BgL_sz00_1684, BEOA);
							BgL_a2z00_1689 =
								PROCEDURE_ENTRY(BgL_a2z00_14208) (BgL_a2z00_14208,
								BgL_sz00_1684, BEOA);
							BgL_a3z00_1690 =
								PROCEDURE_ENTRY(BgL_a3z00_14209) (BgL_a3z00_14209,
								BgL_sz00_1684, BEOA);
							if (PROCEDUREP(BgL_fz00_1687))
								{	/* Eval/evaluate_comp.scm 843 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 843 */
									BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_14210,
										BGl_string5552z00zz__evaluate_compz00,
										BGl_string5568z00zz__evaluate_compz00, BgL_fz00_1687);
								}
							{	/* Eval/evaluate_comp.scm 843 */
								obj_t BgL_ufz00_1692;

								BgL_ufz00_1692 = PROCEDURE_ATTR(BgL_fz00_1687);
								{	/* Eval/evaluate_comp.scm 843 */
									bool_t BgL_testz00_18070;

									if (STRUCTP(BgL_ufz00_1692))
										{	/* Eval/evaluate_comp.scm 843 */
											BgL_testz00_18070 =
												(STRUCT_KEY(BgL_ufz00_1692) ==
												BGl_symbol5569z00zz__evaluate_compz00);
										}
									else
										{	/* Eval/evaluate_comp.scm 843 */
											BgL_testz00_18070 = ((bool_t) 0);
										}
									if (BgL_testz00_18070)
										{	/* Eval/evaluate_comp.scm 843 */
											obj_t BgL_arityz00_1694;
											obj_t BgL_runz00_1695;
											obj_t BgL_sfz00_1696;

											BgL_arityz00_1694 =
												STRUCT_REF(BgL_ufz00_1692, (int) (((long) 0)));
											BgL_runz00_1695 =
												STRUCT_REF(BgL_ufz00_1692, (int) (((long) 1)));
											BgL_sfz00_1696 =
												STRUCT_REF(BgL_ufz00_1692, (int) (((long) 2)));
											if (((long) CINT(BgL_arityz00_1694) == ((long) 3)))
												{	/* Eval/evaluate_comp.scm 843 */
													{	/* Eval/evaluate_comp.scm 843 */
														long BgL_arg2223z00_1699;

														BgL_arg2223z00_1699 =
															((long) CINT(BgL_bpz00_1686) + ((long) 0));
														VECTOR_SET(BgL_sz00_1684,
															(int) (BgL_arg2223z00_1699), BgL_a1z00_1688);
													}
													{	/* Eval/evaluate_comp.scm 843 */
														long BgL_arg2224z00_1700;

														BgL_arg2224z00_1700 =
															((long) CINT(BgL_bpz00_1686) + ((long) 1));
														VECTOR_SET(BgL_sz00_1684,
															(int) (BgL_arg2224z00_1700), BgL_a2z00_1689);
													}
													{	/* Eval/evaluate_comp.scm 843 */
														long BgL_arg2225z00_1701;

														BgL_arg2225z00_1701 =
															((long) CINT(BgL_bpz00_1686) + ((long) 2));
														VECTOR_SET(BgL_sz00_1684,
															(int) (BgL_arg2225z00_1701), BgL_a3z00_1690);
												}}
											else
												{	/* Eval/evaluate_comp.scm 843 */
													if (INTEGERP(BgL_arityz00_1694))
														{	/* Eval/evaluate_comp.scm 843 */
															switch ((long) CINT(BgL_arityz00_1694))
																{
																case ((long) -1):

																	{	/* Eval/evaluate_comp.scm 843 */
																		long BgL_arg2227z00_1705;
																		obj_t BgL_arg2228z00_1706;

																		BgL_arg2227z00_1705 =
																			(
																			(long) CINT(BgL_bpz00_1686) + ((long) 0));
																		{	/* Eval/evaluate_comp.scm 843 */
																			obj_t BgL_list2229z00_1707;

																			{	/* Eval/evaluate_comp.scm 843 */
																				obj_t BgL_arg2230z00_1708;

																				{	/* Eval/evaluate_comp.scm 843 */
																					obj_t BgL_arg2231z00_1709;

																					BgL_arg2231z00_1709 =
																						MAKE_PAIR(BgL_a3z00_1690, BNIL);
																					BgL_arg2230z00_1708 =
																						MAKE_PAIR(BgL_a2z00_1689,
																						BgL_arg2231z00_1709);
																				}
																				BgL_list2229z00_1707 =
																					MAKE_PAIR(BgL_a1z00_1688,
																					BgL_arg2230z00_1708);
																			}
																			BgL_arg2228z00_1706 =
																				BgL_list2229z00_1707;
																		}
																		VECTOR_SET(BgL_sz00_1684,
																			(int) (BgL_arg2227z00_1705),
																			BgL_arg2228z00_1706);
																	} break;
																case ((long) -2):

																	{	/* Eval/evaluate_comp.scm 843 */
																		long BgL_arg2232z00_1710;

																		BgL_arg2232z00_1710 =
																			(
																			(long) CINT(BgL_bpz00_1686) + ((long) 0));
																		VECTOR_SET(BgL_sz00_1684,
																			(int) (BgL_arg2232z00_1710),
																			BgL_a1z00_1688);
																	}
																	{	/* Eval/evaluate_comp.scm 843 */
																		long BgL_arg2233z00_1711;
																		obj_t BgL_arg2234z00_1712;

																		BgL_arg2233z00_1711 =
																			(
																			(long) CINT(BgL_bpz00_1686) + ((long) 1));
																		{	/* Eval/evaluate_comp.scm 843 */
																			obj_t BgL_list2235z00_1713;

																			{	/* Eval/evaluate_comp.scm 843 */
																				obj_t BgL_arg2237z00_1714;

																				BgL_arg2237z00_1714 =
																					MAKE_PAIR(BgL_a3z00_1690, BNIL);
																				BgL_list2235z00_1713 =
																					MAKE_PAIR(BgL_a2z00_1689,
																					BgL_arg2237z00_1714);
																			}
																			BgL_arg2234z00_1712 =
																				BgL_list2235z00_1713;
																		}
																		VECTOR_SET(BgL_sz00_1684,
																			(int) (BgL_arg2233z00_1711),
																			BgL_arg2234z00_1712);
																	} break;
																case ((long) -3):

																	{	/* Eval/evaluate_comp.scm 843 */
																		long BgL_arg2238z00_1715;

																		BgL_arg2238z00_1715 =
																			(
																			(long) CINT(BgL_bpz00_1686) + ((long) 0));
																		VECTOR_SET(BgL_sz00_1684,
																			(int) (BgL_arg2238z00_1715),
																			BgL_a1z00_1688);
																	}
																	{	/* Eval/evaluate_comp.scm 843 */
																		long BgL_arg2239z00_1716;

																		BgL_arg2239z00_1716 =
																			(
																			(long) CINT(BgL_bpz00_1686) + ((long) 1));
																		VECTOR_SET(BgL_sz00_1684,
																			(int) (BgL_arg2239z00_1716),
																			BgL_a2z00_1689);
																	}
																	{	/* Eval/evaluate_comp.scm 843 */
																		long BgL_arg2240z00_1717;
																		obj_t BgL_arg2241z00_1718;

																		BgL_arg2240z00_1717 =
																			(
																			(long) CINT(BgL_bpz00_1686) + ((long) 2));
																		{	/* Eval/evaluate_comp.scm 843 */
																			obj_t BgL_list2242z00_1719;

																			BgL_list2242z00_1719 =
																				MAKE_PAIR(BgL_a3z00_1690, BNIL);
																			BgL_arg2241z00_1718 =
																				BgL_list2242z00_1719;
																		}
																		VECTOR_SET(BgL_sz00_1684,
																			(int) (BgL_arg2240z00_1717),
																			BgL_arg2241z00_1718);
																	} break;
																case ((long) -4):

																	{	/* Eval/evaluate_comp.scm 843 */
																		long BgL_arg2243z00_1720;

																		BgL_arg2243z00_1720 =
																			(
																			(long) CINT(BgL_bpz00_1686) + ((long) 0));
																		VECTOR_SET(BgL_sz00_1684,
																			(int) (BgL_arg2243z00_1720),
																			BgL_a1z00_1688);
																	}
																	{	/* Eval/evaluate_comp.scm 843 */
																		long BgL_arg2244z00_1721;

																		BgL_arg2244z00_1721 =
																			(
																			(long) CINT(BgL_bpz00_1686) + ((long) 1));
																		VECTOR_SET(BgL_sz00_1684,
																			(int) (BgL_arg2244z00_1721),
																			BgL_a2z00_1689);
																	}
																	{	/* Eval/evaluate_comp.scm 843 */
																		long BgL_arg2245z00_1722;

																		BgL_arg2245z00_1722 =
																			(
																			(long) CINT(BgL_bpz00_1686) + ((long) 2));
																		VECTOR_SET(BgL_sz00_1684,
																			(int) (BgL_arg2245z00_1722),
																			BgL_a3z00_1690);
																	}
																	{	/* Eval/evaluate_comp.scm 843 */
																		long BgL_arg2246z00_1723;

																		BgL_arg2246z00_1723 =
																			(
																			(long) CINT(BgL_bpz00_1686) + ((long) 3));
																		VECTOR_SET(BgL_sz00_1684,
																			(int) (BgL_arg2246z00_1723), BNIL);
																	} break;
																default:
																	BGl_evarityzd2errorzd2zz__everrorz00
																		(BgL_locz00_14210,
																		STRUCT_REF(BgL_ufz00_1692,
																			(int) (((long) 3))), (int) (((long) 3)),
																		CINT(BgL_arityz00_1694));
														}}
													else
														{	/* Eval/evaluate_comp.scm 843 */
															BGl_evarityzd2errorzd2zz__everrorz00
																(BgL_locz00_14210, STRUCT_REF(BgL_ufz00_1692,
																	(int) (((long) 3))), (int) (((long) 3)),
																CINT(BgL_arityz00_1694));
												}}
											{	/* Eval/evaluate_comp.scm 843 */
												obj_t BgL_auxz00_18156;

												BgL_auxz00_18156 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_SET_TRACE_LOCATION(BgL_auxz00_18156,
													BgL_locz00_14210);
											}
											{	/* Eval/evaluate_comp.scm 843 */
												bool_t BgL_testz00_18159;

												{	/* Eval/evaluate_comp.scm 843 */
													int BgL_arg1909z00_7422;

													BgL_arg1909z00_7422 = VECTOR_LENGTH(BgL_sz00_1684);
													BgL_testz00_18159 =
														(
														((long) CINT(BgL_bpz00_1686) +
															(long) CINT(BgL_sfz00_1696)) <
														(long) (BgL_arg1909z00_7422));
												}
												if (BgL_testz00_18159)
													{	/* Eval/evaluate_comp.scm 843 */
														return BgL_runz00_1695;
													}
												else
													{	/* Eval/evaluate_comp.scm 843 */
														obj_t BgL_nsz00_1729;

														BgL_nsz00_1729 =
															BGl_makezd2statezd2zz__evaluate_compz00();
														{	/* Eval/evaluate_comp.scm 843 */
															long BgL_arg2251z00_1731;

															BgL_arg2251z00_1731 =
																((long) CINT(BgL_bpz00_1686) + ((long) 3));
															BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
																(BgL_nsz00_1729, BINT(((long) 2)),
																BgL_sz00_1684, BgL_bpz00_1686,
																BINT(BgL_arg2251z00_1731));
														}
														VECTOR_SET(BgL_nsz00_1729,
															(int) (((long) 1)), BgL_sz00_1684);
														{	/* Eval/evaluate_comp.scm 843 */
															obj_t BgL_auxz00_18174;

															BgL_auxz00_18174 = BGL_CURRENT_DYNAMIC_ENV();
															BGL_ENV_EVSTATE_SET(BgL_auxz00_18174,
																BgL_nsz00_1729);
														}
														{	/* Eval/evaluate_comp.scm 843 */
															obj_t BgL_val1198z00_1733;

															BgL_val1198z00_1733 =
																BGl_zc3exitza32257ze3z83zz__evaluate_compz00
																(BgL_nsz00_1729, BgL_runz00_1695);
															{	/* Eval/evaluate_comp.scm 843 */
																obj_t BgL_auxz00_18178;

																BgL_auxz00_18178 = BGL_CURRENT_DYNAMIC_ENV();
																BGL_ENV_EVSTATE_SET(BgL_auxz00_18178,
																	BgL_sz00_1684);
															}
															if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
																	(BgL_val1198z00_1733)))
																{	/* Eval/evaluate_comp.scm 843 */
																	return
																		BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
																		(BgL_val1198z00_1733),
																		CDR(BgL_val1198z00_1733));
																}
															else
																{	/* Eval/evaluate_comp.scm 843 */
																	return BgL_val1198z00_1733;
																}
														}
													}
											}
										}
									else
										{	/* Eval/evaluate_comp.scm 843 */
											if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_1687,
													(int) (((long) 3))))
												{	/* Eval/evaluate_comp.scm 843 */
													long BgL_nbpz00_1742;

													BgL_nbpz00_1742 =
														((long) CINT(BgL_bpz00_1686) + BgL_siza7eza7_14212);
													VECTOR_SET(BgL_sz00_1684,
														(int) (((long) 0)), BINT(BgL_nbpz00_1742));
													{	/* Eval/evaluate_comp.scm 843 */
														obj_t BgL_rz00_1743;

														BgL_rz00_1743 =
															PROCEDURE_ENTRY(BgL_fz00_1687) (BgL_fz00_1687,
															BgL_a1z00_1688, BgL_a2z00_1689, BgL_a3z00_1690,
															BEOA);
														VECTOR_SET(BgL_sz00_1684, (int) (((long) 0)),
															BgL_bpz00_1686);
														return BgL_rz00_1743;
													}
												}
											else
												{	/* Eval/evaluate_comp.scm 843 */
													return
														BGl_evarityzd2errorzd2zz__everrorz00
														(BgL_locz00_14210, BgL_symbzd2funzd2_14211,
														(int) (((long) 3)), PROCEDURE_ARITY(BgL_fz00_1687));
		}}}}}}}}}
	}



/* <exit:2257> */
	obj_t BGl_zc3exitza32257ze3z83zz__evaluate_compz00(obj_t BgL_nsz00_16126,
		obj_t BgL_runz00_16125)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 843 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1199z00_1739;

			if (SET_EXIT(BgL_an_exit1199z00_1739))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1199z00_1739 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 843 */

						PUSH_EXIT(BgL_an_exit1199z00_1739, ((long) 0));
						{	/* Eval/evaluate_comp.scm 843 */
							obj_t BgL_val1200z00_1740;

							BgL_val1200z00_1740 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_16125,
								BgL_nsz00_16126, BINT(((long) 2)));
							POP_EXIT();
							return BgL_val1200z00_1740;
						}
					}
				}
		}
	}



/* &<anonymous:2260> */
	obj_t BGl_z62zc3anonymousza32260ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_14214, obj_t BgL_sz00_14222)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 843 */
			{	/* Eval/evaluate_comp.scm 843 */
				obj_t BgL_funz00_14215;
				obj_t BgL_a1z00_14216;
				obj_t BgL_a2z00_14217;
				obj_t BgL_a3z00_14218;
				obj_t BgL_locz00_14219;
				obj_t BgL_symbzd2funzd2_14220;
				long BgL_siza7eza7_14221;

				BgL_funz00_14215 = PROCEDURE_REF(BgL_envz00_14214, (int) (((long) 0)));
				BgL_a1z00_14216 = PROCEDURE_REF(BgL_envz00_14214, (int) (((long) 1)));
				BgL_a2z00_14217 = PROCEDURE_REF(BgL_envz00_14214, (int) (((long) 2)));
				BgL_a3z00_14218 = PROCEDURE_REF(BgL_envz00_14214, (int) (((long) 3)));
				BgL_locz00_14219 = PROCEDURE_REF(BgL_envz00_14214, (int) (((long) 4)));
				BgL_symbzd2funzd2_14220 =
					PROCEDURE_REF(BgL_envz00_14214, (int) (((long) 5)));
				BgL_siza7eza7_14221 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14214, (int) (((long) 6))));
				{
					obj_t BgL_sz00_1745;

					BgL_sz00_1745 = BgL_sz00_14222;
					{	/* Eval/evaluate_comp.scm 843 */
						obj_t BgL_bpz00_1747;

						BgL_bpz00_1747 = VECTOR_REF(BgL_sz00_1745, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 843 */
							obj_t BgL_fz00_1748;
							obj_t BgL_a1z00_1749;
							obj_t BgL_a2z00_1750;
							obj_t BgL_a3z00_1751;

							BgL_fz00_1748 =
								PROCEDURE_ENTRY(BgL_funz00_14215) (BgL_funz00_14215,
								BgL_sz00_1745, BEOA);
							BgL_a1z00_1749 =
								PROCEDURE_ENTRY(BgL_a1z00_14216) (BgL_a1z00_14216,
								BgL_sz00_1745, BEOA);
							BgL_a2z00_1750 =
								PROCEDURE_ENTRY(BgL_a2z00_14217) (BgL_a2z00_14217,
								BgL_sz00_1745, BEOA);
							BgL_a3z00_1751 =
								PROCEDURE_ENTRY(BgL_a3z00_14218) (BgL_a3z00_14218,
								BgL_sz00_1745, BEOA);
							if (PROCEDUREP(BgL_fz00_1748))
								{	/* Eval/evaluate_comp.scm 843 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 843 */
									BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_14219,
										BGl_string5552z00zz__evaluate_compz00,
										BGl_string5568z00zz__evaluate_compz00, BgL_fz00_1748);
								}
							{	/* Eval/evaluate_comp.scm 843 */
								obj_t BgL_ufz00_1753;

								BgL_ufz00_1753 = PROCEDURE_ATTR(BgL_fz00_1748);
								{	/* Eval/evaluate_comp.scm 843 */
									bool_t BgL_testz00_18249;

									if (STRUCTP(BgL_ufz00_1753))
										{	/* Eval/evaluate_comp.scm 843 */
											BgL_testz00_18249 =
												(STRUCT_KEY(BgL_ufz00_1753) ==
												BGl_symbol5569z00zz__evaluate_compz00);
										}
									else
										{	/* Eval/evaluate_comp.scm 843 */
											BgL_testz00_18249 = ((bool_t) 0);
										}
									if (BgL_testz00_18249)
										{	/* Eval/evaluate_comp.scm 843 */
											obj_t BgL_arityz00_1755;
											obj_t BgL_runz00_1756;
											obj_t BgL_sfz00_1757;

											BgL_arityz00_1755 =
												STRUCT_REF(BgL_ufz00_1753, (int) (((long) 0)));
											BgL_runz00_1756 =
												STRUCT_REF(BgL_ufz00_1753, (int) (((long) 1)));
											BgL_sfz00_1757 =
												STRUCT_REF(BgL_ufz00_1753, (int) (((long) 2)));
											{	/* Eval/evaluate_comp.scm 843 */
												long BgL_spz00_1758;

												BgL_spz00_1758 =
													((long) CINT(BgL_bpz00_1747) + BgL_siza7eza7_14221);
												if (((long) CINT(BgL_arityz00_1755) == ((long) 3)))
													{	/* Eval/evaluate_comp.scm 843 */
														{	/* Eval/evaluate_comp.scm 843 */
															long BgL_arg2264z00_1760;

															BgL_arg2264z00_1760 =
																(BgL_spz00_1758 + ((long) 0));
															VECTOR_SET(BgL_sz00_1745,
																(int) (BgL_arg2264z00_1760), BgL_a1z00_1749);
														}
														{	/* Eval/evaluate_comp.scm 843 */
															long BgL_arg2265z00_1761;

															BgL_arg2265z00_1761 =
																(BgL_spz00_1758 + ((long) 1));
															VECTOR_SET(BgL_sz00_1745,
																(int) (BgL_arg2265z00_1761), BgL_a2z00_1750);
														}
														{	/* Eval/evaluate_comp.scm 843 */
															long BgL_arg2266z00_1762;

															BgL_arg2266z00_1762 =
																(BgL_spz00_1758 + ((long) 2));
															VECTOR_SET(BgL_sz00_1745,
																(int) (BgL_arg2266z00_1762), BgL_a3z00_1751);
													}}
												else
													{	/* Eval/evaluate_comp.scm 843 */
														if (INTEGERP(BgL_arityz00_1755))
															{	/* Eval/evaluate_comp.scm 843 */
																switch ((long) CINT(BgL_arityz00_1755))
																	{
																	case ((long) -1):

																		{	/* Eval/evaluate_comp.scm 843 */
																			long BgL_arg2268z00_1766;
																			obj_t BgL_arg2269z00_1767;

																			BgL_arg2268z00_1766 =
																				(BgL_spz00_1758 + ((long) 0));
																			{	/* Eval/evaluate_comp.scm 843 */
																				obj_t BgL_list2270z00_1768;

																				{	/* Eval/evaluate_comp.scm 843 */
																					obj_t BgL_arg2271z00_1769;

																					{	/* Eval/evaluate_comp.scm 843 */
																						obj_t BgL_arg2272z00_1770;

																						BgL_arg2272z00_1770 =
																							MAKE_PAIR(BgL_a3z00_1751, BNIL);
																						BgL_arg2271z00_1769 =
																							MAKE_PAIR(BgL_a2z00_1750,
																							BgL_arg2272z00_1770);
																					}
																					BgL_list2270z00_1768 =
																						MAKE_PAIR(BgL_a1z00_1749,
																						BgL_arg2271z00_1769);
																				}
																				BgL_arg2269z00_1767 =
																					BgL_list2270z00_1768;
																			}
																			VECTOR_SET(BgL_sz00_1745,
																				(int) (BgL_arg2268z00_1766),
																				BgL_arg2269z00_1767);
																		} break;
																	case ((long) -2):

																		{	/* Eval/evaluate_comp.scm 843 */
																			long BgL_arg2273z00_1771;

																			BgL_arg2273z00_1771 =
																				(BgL_spz00_1758 + ((long) 0));
																			VECTOR_SET(BgL_sz00_1745,
																				(int) (BgL_arg2273z00_1771),
																				BgL_a1z00_1749);
																		}
																		{	/* Eval/evaluate_comp.scm 843 */
																			long BgL_arg2274z00_1772;
																			obj_t BgL_arg2275z00_1773;

																			BgL_arg2274z00_1772 =
																				(BgL_spz00_1758 + ((long) 1));
																			{	/* Eval/evaluate_comp.scm 843 */
																				obj_t BgL_list2276z00_1774;

																				{	/* Eval/evaluate_comp.scm 843 */
																					obj_t BgL_arg2277z00_1775;

																					BgL_arg2277z00_1775 =
																						MAKE_PAIR(BgL_a3z00_1751, BNIL);
																					BgL_list2276z00_1774 =
																						MAKE_PAIR(BgL_a2z00_1750,
																						BgL_arg2277z00_1775);
																				}
																				BgL_arg2275z00_1773 =
																					BgL_list2276z00_1774;
																			}
																			VECTOR_SET(BgL_sz00_1745,
																				(int) (BgL_arg2274z00_1772),
																				BgL_arg2275z00_1773);
																		} break;
																	case ((long) -3):

																		{	/* Eval/evaluate_comp.scm 843 */
																			long BgL_arg2278z00_1776;

																			BgL_arg2278z00_1776 =
																				(BgL_spz00_1758 + ((long) 0));
																			VECTOR_SET(BgL_sz00_1745,
																				(int) (BgL_arg2278z00_1776),
																				BgL_a1z00_1749);
																		}
																		{	/* Eval/evaluate_comp.scm 843 */
																			long BgL_arg2279z00_1777;

																			BgL_arg2279z00_1777 =
																				(BgL_spz00_1758 + ((long) 1));
																			VECTOR_SET(BgL_sz00_1745,
																				(int) (BgL_arg2279z00_1777),
																				BgL_a2z00_1750);
																		}
																		{	/* Eval/evaluate_comp.scm 843 */
																			long BgL_arg2280z00_1778;
																			obj_t BgL_arg2281z00_1779;

																			BgL_arg2280z00_1778 =
																				(BgL_spz00_1758 + ((long) 2));
																			{	/* Eval/evaluate_comp.scm 843 */
																				obj_t BgL_list2282z00_1780;

																				BgL_list2282z00_1780 =
																					MAKE_PAIR(BgL_a3z00_1751, BNIL);
																				BgL_arg2281z00_1779 =
																					BgL_list2282z00_1780;
																			}
																			VECTOR_SET(BgL_sz00_1745,
																				(int) (BgL_arg2280z00_1778),
																				BgL_arg2281z00_1779);
																		} break;
																	case ((long) -4):

																		{	/* Eval/evaluate_comp.scm 843 */
																			long BgL_arg2283z00_1781;

																			BgL_arg2283z00_1781 =
																				(BgL_spz00_1758 + ((long) 0));
																			VECTOR_SET(BgL_sz00_1745,
																				(int) (BgL_arg2283z00_1781),
																				BgL_a1z00_1749);
																		}
																		{	/* Eval/evaluate_comp.scm 843 */
																			long BgL_arg2284z00_1782;

																			BgL_arg2284z00_1782 =
																				(BgL_spz00_1758 + ((long) 1));
																			VECTOR_SET(BgL_sz00_1745,
																				(int) (BgL_arg2284z00_1782),
																				BgL_a2z00_1750);
																		}
																		{	/* Eval/evaluate_comp.scm 843 */
																			long BgL_arg2285z00_1783;

																			BgL_arg2285z00_1783 =
																				(BgL_spz00_1758 + ((long) 2));
																			VECTOR_SET(BgL_sz00_1745,
																				(int) (BgL_arg2285z00_1783),
																				BgL_a3z00_1751);
																		}
																		{	/* Eval/evaluate_comp.scm 843 */
																			long BgL_arg2286z00_1784;

																			BgL_arg2286z00_1784 =
																				(BgL_spz00_1758 + ((long) 3));
																			VECTOR_SET(BgL_sz00_1745,
																				(int) (BgL_arg2286z00_1784), BNIL);
																		} break;
																	default:
																		BGl_evarityzd2errorzd2zz__everrorz00
																			(BgL_locz00_14219,
																			STRUCT_REF(BgL_ufz00_1753,
																				(int) (((long) 3))), (int) (((long) 3)),
																			CINT(BgL_arityz00_1755));
															}}
														else
															{	/* Eval/evaluate_comp.scm 843 */
																BGl_evarityzd2errorzd2zz__everrorz00
																	(BgL_locz00_14219, STRUCT_REF(BgL_ufz00_1753,
																		(int) (((long) 3))), (int) (((long) 3)),
																	CINT(BgL_arityz00_1755));
													}}
												{	/* Eval/evaluate_comp.scm 843 */
													obj_t BgL_auxz00_18324;

													BgL_auxz00_18324 = BGL_CURRENT_DYNAMIC_ENV();
													BGL_ENV_SET_TRACE_LOCATION(BgL_auxz00_18324,
														BgL_locz00_14219);
												}
												{	/* Eval/evaluate_comp.scm 843 */
													bool_t BgL_testz00_18327;

													{	/* Eval/evaluate_comp.scm 843 */
														int BgL_arg1909z00_7580;

														BgL_arg1909z00_7580 = VECTOR_LENGTH(BgL_sz00_1745);
														BgL_testz00_18327 =
															(
															(BgL_spz00_1758 +
																(long) CINT(BgL_sfz00_1757)) <
															(long) (BgL_arg1909z00_7580));
													}
													if (BgL_testz00_18327)
														{	/* Eval/evaluate_comp.scm 843 */
															return
																BGl_catchzd2trampolinezd2zz__evaluate_compz00
																(BgL_runz00_1756, BgL_sz00_1745,
																BINT(BgL_spz00_1758));
														}
													else
														{	/* Eval/evaluate_comp.scm 843 */
															obj_t BgL_nsz00_1790;

															BgL_nsz00_1790 =
																BGl_makezd2statezd2zz__evaluate_compz00();
															{	/* Eval/evaluate_comp.scm 843 */
																long BgL_arg2291z00_1792;

																BgL_arg2291z00_1792 =
																	(BgL_spz00_1758 + ((long) 3));
																BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
																	(BgL_nsz00_1790, BINT(((long) 2)),
																	BgL_sz00_1745, BINT(BgL_spz00_1758),
																	BINT(BgL_arg2291z00_1792));
															}
															VECTOR_SET(BgL_nsz00_1790,
																(int) (((long) 1)), BgL_sz00_1745);
															{	/* Eval/evaluate_comp.scm 843 */
																obj_t BgL_auxz00_18343;

																BgL_auxz00_18343 = BGL_CURRENT_DYNAMIC_ENV();
																BGL_ENV_EVSTATE_SET(BgL_auxz00_18343,
																	BgL_nsz00_1790);
															}
															{	/* Eval/evaluate_comp.scm 843 */
																obj_t BgL_val1203z00_1794;

																BgL_val1203z00_1794 =
																	BGl_zc3exitza32297ze3z83zz__evaluate_compz00
																	(BgL_nsz00_1790, BgL_runz00_1756);
																{	/* Eval/evaluate_comp.scm 843 */
																	obj_t BgL_auxz00_18347;

																	BgL_auxz00_18347 = BGL_CURRENT_DYNAMIC_ENV();
																	BGL_ENV_EVSTATE_SET(BgL_auxz00_18347,
																		BgL_sz00_1745);
																}
																if (CBOOL
																	(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
																		(BgL_val1203z00_1794)))
																	{	/* Eval/evaluate_comp.scm 843 */
																		return
																			BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
																			(BgL_val1203z00_1794),
																			CDR(BgL_val1203z00_1794));
																	}
																else
																	{	/* Eval/evaluate_comp.scm 843 */
																		return BgL_val1203z00_1794;
																	}
															}
														}
												}
											}
										}
									else
										{	/* Eval/evaluate_comp.scm 843 */
											if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_1748,
													(int) (((long) 3))))
												{	/* Eval/evaluate_comp.scm 843 */
													long BgL_nbpz00_1803;

													BgL_nbpz00_1803 =
														((long) CINT(BgL_bpz00_1747) + BgL_siza7eza7_14221);
													VECTOR_SET(BgL_sz00_1745,
														(int) (((long) 0)), BINT(BgL_nbpz00_1803));
													{	/* Eval/evaluate_comp.scm 843 */
														obj_t BgL_rz00_1804;

														BgL_rz00_1804 =
															PROCEDURE_ENTRY(BgL_fz00_1748) (BgL_fz00_1748,
															BgL_a1z00_1749, BgL_a2z00_1750, BgL_a3z00_1751,
															BEOA);
														VECTOR_SET(BgL_sz00_1745, (int) (((long) 0)),
															BgL_bpz00_1747);
														return BgL_rz00_1804;
													}
												}
											else
												{	/* Eval/evaluate_comp.scm 843 */
													return
														BGl_evarityzd2errorzd2zz__everrorz00
														(BgL_locz00_14219, BgL_symbzd2funzd2_14220,
														(int) (((long) 3)), PROCEDURE_ARITY(BgL_fz00_1748));
		}}}}}}}}}
	}



/* <exit:2297> */
	obj_t BGl_zc3exitza32297ze3z83zz__evaluate_compz00(obj_t BgL_nsz00_16124,
		obj_t BgL_runz00_16123)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 843 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1204z00_1800;

			if (SET_EXIT(BgL_an_exit1204z00_1800))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1204z00_1800 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 843 */

						PUSH_EXIT(BgL_an_exit1204z00_1800, ((long) 0));
						{	/* Eval/evaluate_comp.scm 843 */
							obj_t BgL_val1205z00_1801;

							BgL_val1205z00_1801 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_16123,
								BgL_nsz00_16124, BINT(((long) 2)));
							POP_EXIT();
							return BgL_val1205z00_1801;
						}
					}
				}
		}
	}



/* comp-call4 */
	obj_t BGl_compzd2call4zd2zz__evaluate_compz00(obj_t BgL_locz00_170,
		BgL_ev_exprz00_bglt BgL_vfunz00_171, obj_t BgL_symbzd2funzd2_172,
		obj_t BgL_funz00_173, obj_t BgL_tailzf3zf3_174, obj_t BgL_stkz00_175,
		long BgL_siza7eza7_176, obj_t BgL_a1z00_177, obj_t BgL_a2z00_178,
		obj_t BgL_a3z00_179, obj_t BgL_a4z00_180)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 843 */
			{	/* Eval/evaluate_comp.scm 843 */
				obj_t BgL_cfunz00_1806;

				BgL_cfunz00_1806 =
					BGl_iszd2constantzd2funzf3zf3zz__evaluate_compz00(BgL_vfunz00_171,
					((long) 4), BgL_locz00_170, BgL_symbzd2funzd2_172);
				if (CBOOL(BgL_cfunz00_1806))
					{	/* Eval/evaluate_comp.scm 843 */
						obj_t BgL_zc3anonymousza32300ze3z83_14223;

						BgL_zc3anonymousza32300ze3z83_14223 =
							MAKE_FX_PROCEDURE
							(BGl_z62zc3anonymousza32300ze3ze1zz__evaluate_compz00,
							(int) (((long) 1)), (int) (((long) 6)));
						PROCEDURE_SET(BgL_zc3anonymousza32300ze3z83_14223,
							(int) (((long) 0)), BgL_a1z00_177);
						PROCEDURE_SET(BgL_zc3anonymousza32300ze3z83_14223,
							(int) (((long) 1)), BgL_a2z00_178);
						PROCEDURE_SET(BgL_zc3anonymousza32300ze3z83_14223,
							(int) (((long) 2)), BgL_a3z00_179);
						PROCEDURE_SET(BgL_zc3anonymousza32300ze3z83_14223,
							(int) (((long) 3)), BgL_a4z00_180);
						PROCEDURE_SET(BgL_zc3anonymousza32300ze3z83_14223,
							(int) (((long) 4)), BINT(BgL_siza7eza7_176));
						PROCEDURE_SET(BgL_zc3anonymousza32300ze3z83_14223,
							(int) (((long) 5)), BgL_cfunz00_1806);
						return BgL_zc3anonymousza32300ze3z83_14223;
					}
				else
					{	/* Eval/evaluate_comp.scm 843 */
						if (CBOOL(BgL_tailzf3zf3_174))
							{	/* Eval/evaluate_comp.scm 843 */
								obj_t BgL_zc3anonymousza32301ze3z83_14224;

								BgL_zc3anonymousza32301ze3z83_14224 =
									MAKE_FX_PROCEDURE
									(BGl_z62zc3anonymousza32301ze3ze1zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 8)));
								PROCEDURE_SET(BgL_zc3anonymousza32301ze3z83_14224,
									(int) (((long) 0)), BgL_funz00_173);
								PROCEDURE_SET(BgL_zc3anonymousza32301ze3z83_14224,
									(int) (((long) 1)), BgL_a1z00_177);
								PROCEDURE_SET(BgL_zc3anonymousza32301ze3z83_14224,
									(int) (((long) 2)), BgL_a2z00_178);
								PROCEDURE_SET(BgL_zc3anonymousza32301ze3z83_14224,
									(int) (((long) 3)), BgL_a3z00_179);
								PROCEDURE_SET(BgL_zc3anonymousza32301ze3z83_14224,
									(int) (((long) 4)), BgL_a4z00_180);
								PROCEDURE_SET(BgL_zc3anonymousza32301ze3z83_14224,
									(int) (((long) 5)), BgL_locz00_170);
								PROCEDURE_SET(BgL_zc3anonymousza32301ze3z83_14224,
									(int) (((long) 6)), BgL_symbzd2funzd2_172);
								PROCEDURE_SET(BgL_zc3anonymousza32301ze3z83_14224,
									(int) (((long) 7)), BINT(BgL_siza7eza7_176));
								return BgL_zc3anonymousza32301ze3z83_14224;
							}
						else
							{	/* Eval/evaluate_comp.scm 843 */
								obj_t BgL_zc3anonymousza32357ze3z83_14225;

								BgL_zc3anonymousza32357ze3z83_14225 =
									MAKE_FX_PROCEDURE
									(BGl_z62zc3anonymousza32357ze3ze1zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 8)));
								PROCEDURE_SET(BgL_zc3anonymousza32357ze3z83_14225,
									(int) (((long) 0)), BgL_funz00_173);
								PROCEDURE_SET(BgL_zc3anonymousza32357ze3z83_14225,
									(int) (((long) 1)), BgL_a1z00_177);
								PROCEDURE_SET(BgL_zc3anonymousza32357ze3z83_14225,
									(int) (((long) 2)), BgL_a2z00_178);
								PROCEDURE_SET(BgL_zc3anonymousza32357ze3z83_14225,
									(int) (((long) 3)), BgL_a3z00_179);
								PROCEDURE_SET(BgL_zc3anonymousza32357ze3z83_14225,
									(int) (((long) 4)), BgL_a4z00_180);
								PROCEDURE_SET(BgL_zc3anonymousza32357ze3z83_14225,
									(int) (((long) 5)), BgL_locz00_170);
								PROCEDURE_SET(BgL_zc3anonymousza32357ze3z83_14225,
									(int) (((long) 6)), BgL_symbzd2funzd2_172);
								PROCEDURE_SET(BgL_zc3anonymousza32357ze3z83_14225,
									(int) (((long) 7)), BINT(BgL_siza7eza7_176));
								return BgL_zc3anonymousza32357ze3z83_14225;
							}
					}
			}
		}
	}



/* &<anonymous:2300> */
	obj_t BGl_z62zc3anonymousza32300ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_14226, obj_t BgL_sz00_14233)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 843 */
			{	/* Eval/evaluate_comp.scm 843 */
				obj_t BgL_a1z00_14227;
				obj_t BgL_a2z00_14228;
				obj_t BgL_a3z00_14229;
				obj_t BgL_a4z00_14230;
				long BgL_siza7eza7_14231;
				obj_t BgL_cfunz00_14232;

				BgL_a1z00_14227 = PROCEDURE_REF(BgL_envz00_14226, (int) (((long) 0)));
				BgL_a2z00_14228 = PROCEDURE_REF(BgL_envz00_14226, (int) (((long) 1)));
				BgL_a3z00_14229 = PROCEDURE_REF(BgL_envz00_14226, (int) (((long) 2)));
				BgL_a4z00_14230 = PROCEDURE_REF(BgL_envz00_14226, (int) (((long) 3)));
				BgL_siza7eza7_14231 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14226, (int) (((long) 4))));
				BgL_cfunz00_14232 = PROCEDURE_REF(BgL_envz00_14226, (int) (((long) 5)));
				{
					obj_t BgL_sz00_1807;

					BgL_sz00_1807 = BgL_sz00_14233;
					{	/* Eval/evaluate_comp.scm 843 */
						obj_t BgL_bpz00_1809;

						BgL_bpz00_1809 = VECTOR_REF(BgL_sz00_1807, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 843 */
							obj_t BgL_a1z00_1810;
							obj_t BgL_a2z00_1811;
							obj_t BgL_a3z00_1812;
							obj_t BgL_a4z00_1813;

							BgL_a1z00_1810 =
								PROCEDURE_ENTRY(BgL_a1z00_14227) (BgL_a1z00_14227,
								BgL_sz00_1807, BEOA);
							BgL_a2z00_1811 =
								PROCEDURE_ENTRY(BgL_a2z00_14228) (BgL_a2z00_14228,
								BgL_sz00_1807, BEOA);
							BgL_a3z00_1812 =
								PROCEDURE_ENTRY(BgL_a3z00_14229) (BgL_a3z00_14229,
								BgL_sz00_1807, BEOA);
							BgL_a4z00_1813 =
								PROCEDURE_ENTRY(BgL_a4z00_14230) (BgL_a4z00_14230,
								BgL_sz00_1807, BEOA);
							{	/* Eval/evaluate_comp.scm 843 */
								long BgL_nbpz00_1814;

								BgL_nbpz00_1814 =
									((long) CINT(BgL_bpz00_1809) + BgL_siza7eza7_14231);
								VECTOR_SET(BgL_sz00_1807,
									(int) (((long) 0)), BINT(BgL_nbpz00_1814));
								{	/* Eval/evaluate_comp.scm 843 */
									obj_t BgL_rz00_1815;

									BgL_rz00_1815 =
										PROCEDURE_ENTRY(BgL_cfunz00_14232) (BgL_cfunz00_14232,
										BgL_a1z00_1810, BgL_a2z00_1811, BgL_a3z00_1812,
										BgL_a4z00_1813, BEOA);
									VECTOR_SET(BgL_sz00_1807, (int) (((long) 0)), BgL_bpz00_1809);
									return BgL_rz00_1815;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:2301> */
	obj_t BGl_z62zc3anonymousza32301ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_14234, obj_t BgL_sz00_14243)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 843 */
			{	/* Eval/evaluate_comp.scm 843 */
				obj_t BgL_funz00_14235;
				obj_t BgL_a1z00_14236;
				obj_t BgL_a2z00_14237;
				obj_t BgL_a3z00_14238;
				obj_t BgL_a4z00_14239;
				obj_t BgL_locz00_14240;
				obj_t BgL_symbzd2funzd2_14241;
				long BgL_siza7eza7_14242;

				BgL_funz00_14235 = PROCEDURE_REF(BgL_envz00_14234, (int) (((long) 0)));
				BgL_a1z00_14236 = PROCEDURE_REF(BgL_envz00_14234, (int) (((long) 1)));
				BgL_a2z00_14237 = PROCEDURE_REF(BgL_envz00_14234, (int) (((long) 2)));
				BgL_a3z00_14238 = PROCEDURE_REF(BgL_envz00_14234, (int) (((long) 3)));
				BgL_a4z00_14239 = PROCEDURE_REF(BgL_envz00_14234, (int) (((long) 4)));
				BgL_locz00_14240 = PROCEDURE_REF(BgL_envz00_14234, (int) (((long) 5)));
				BgL_symbzd2funzd2_14241 =
					PROCEDURE_REF(BgL_envz00_14234, (int) (((long) 6)));
				BgL_siza7eza7_14242 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14234, (int) (((long) 7))));
				{
					obj_t BgL_sz00_1816;

					BgL_sz00_1816 = BgL_sz00_14243;
					{	/* Eval/evaluate_comp.scm 843 */
						obj_t BgL_bpz00_1818;

						BgL_bpz00_1818 = VECTOR_REF(BgL_sz00_1816, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 843 */
							obj_t BgL_fz00_1819;
							obj_t BgL_a1z00_1820;
							obj_t BgL_a2z00_1821;
							obj_t BgL_a3z00_1822;
							obj_t BgL_a4z00_1823;

							BgL_fz00_1819 =
								PROCEDURE_ENTRY(BgL_funz00_14235) (BgL_funz00_14235,
								BgL_sz00_1816, BEOA);
							BgL_a1z00_1820 =
								PROCEDURE_ENTRY(BgL_a1z00_14236) (BgL_a1z00_14236,
								BgL_sz00_1816, BEOA);
							BgL_a2z00_1821 =
								PROCEDURE_ENTRY(BgL_a2z00_14237) (BgL_a2z00_14237,
								BgL_sz00_1816, BEOA);
							BgL_a3z00_1822 =
								PROCEDURE_ENTRY(BgL_a3z00_14238) (BgL_a3z00_14238,
								BgL_sz00_1816, BEOA);
							BgL_a4z00_1823 =
								PROCEDURE_ENTRY(BgL_a4z00_14239) (BgL_a4z00_14239,
								BgL_sz00_1816, BEOA);
							if (PROCEDUREP(BgL_fz00_1819))
								{	/* Eval/evaluate_comp.scm 843 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 843 */
									BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_14240,
										BGl_string5552z00zz__evaluate_compz00,
										BGl_string5568z00zz__evaluate_compz00, BgL_fz00_1819);
								}
							{	/* Eval/evaluate_comp.scm 843 */
								obj_t BgL_ufz00_1825;

								BgL_ufz00_1825 = PROCEDURE_ATTR(BgL_fz00_1819);
								{	/* Eval/evaluate_comp.scm 843 */
									bool_t BgL_testz00_18530;

									if (STRUCTP(BgL_ufz00_1825))
										{	/* Eval/evaluate_comp.scm 843 */
											BgL_testz00_18530 =
												(STRUCT_KEY(BgL_ufz00_1825) ==
												BGl_symbol5569z00zz__evaluate_compz00);
										}
									else
										{	/* Eval/evaluate_comp.scm 843 */
											BgL_testz00_18530 = ((bool_t) 0);
										}
									if (BgL_testz00_18530)
										{	/* Eval/evaluate_comp.scm 843 */
											obj_t BgL_arityz00_1827;
											obj_t BgL_runz00_1828;
											obj_t BgL_sfz00_1829;

											BgL_arityz00_1827 =
												STRUCT_REF(BgL_ufz00_1825, (int) (((long) 0)));
											BgL_runz00_1828 =
												STRUCT_REF(BgL_ufz00_1825, (int) (((long) 1)));
											BgL_sfz00_1829 =
												STRUCT_REF(BgL_ufz00_1825, (int) (((long) 2)));
											if (((long) CINT(BgL_arityz00_1827) == ((long) 4)))
												{	/* Eval/evaluate_comp.scm 843 */
													{	/* Eval/evaluate_comp.scm 843 */
														long BgL_arg2305z00_1832;

														BgL_arg2305z00_1832 =
															((long) CINT(BgL_bpz00_1818) + ((long) 0));
														VECTOR_SET(BgL_sz00_1816,
															(int) (BgL_arg2305z00_1832), BgL_a1z00_1820);
													}
													{	/* Eval/evaluate_comp.scm 843 */
														long BgL_arg2307z00_1833;

														BgL_arg2307z00_1833 =
															((long) CINT(BgL_bpz00_1818) + ((long) 1));
														VECTOR_SET(BgL_sz00_1816,
															(int) (BgL_arg2307z00_1833), BgL_a2z00_1821);
													}
													{	/* Eval/evaluate_comp.scm 843 */
														long BgL_arg2308z00_1834;

														BgL_arg2308z00_1834 =
															((long) CINT(BgL_bpz00_1818) + ((long) 2));
														VECTOR_SET(BgL_sz00_1816,
															(int) (BgL_arg2308z00_1834), BgL_a3z00_1822);
													}
													{	/* Eval/evaluate_comp.scm 843 */
														long BgL_arg2309z00_1835;

														BgL_arg2309z00_1835 =
															((long) CINT(BgL_bpz00_1818) + ((long) 3));
														VECTOR_SET(BgL_sz00_1816,
															(int) (BgL_arg2309z00_1835), BgL_a4z00_1823);
												}}
											else
												{	/* Eval/evaluate_comp.scm 843 */
													if (INTEGERP(BgL_arityz00_1827))
														{	/* Eval/evaluate_comp.scm 843 */
															switch ((long) CINT(BgL_arityz00_1827))
																{
																case ((long) -1):

																	{	/* Eval/evaluate_comp.scm 843 */
																		long BgL_arg2311z00_1839;
																		obj_t BgL_arg2312z00_1840;

																		BgL_arg2311z00_1839 =
																			(
																			(long) CINT(BgL_bpz00_1818) + ((long) 0));
																		{	/* Eval/evaluate_comp.scm 843 */
																			obj_t BgL_list2313z00_1841;

																			{	/* Eval/evaluate_comp.scm 843 */
																				obj_t BgL_arg2314z00_1842;

																				{	/* Eval/evaluate_comp.scm 843 */
																					obj_t BgL_arg2315z00_1843;

																					{	/* Eval/evaluate_comp.scm 843 */
																						obj_t BgL_arg2316z00_1844;

																						BgL_arg2316z00_1844 =
																							MAKE_PAIR(BgL_a4z00_1823, BNIL);
																						BgL_arg2315z00_1843 =
																							MAKE_PAIR(BgL_a3z00_1822,
																							BgL_arg2316z00_1844);
																					}
																					BgL_arg2314z00_1842 =
																						MAKE_PAIR(BgL_a2z00_1821,
																						BgL_arg2315z00_1843);
																				}
																				BgL_list2313z00_1841 =
																					MAKE_PAIR(BgL_a1z00_1820,
																					BgL_arg2314z00_1842);
																			}
																			BgL_arg2312z00_1840 =
																				BgL_list2313z00_1841;
																		}
																		VECTOR_SET(BgL_sz00_1816,
																			(int) (BgL_arg2311z00_1839),
																			BgL_arg2312z00_1840);
																	} break;
																case ((long) -2):

																	{	/* Eval/evaluate_comp.scm 843 */
																		long BgL_arg2317z00_1845;

																		BgL_arg2317z00_1845 =
																			(
																			(long) CINT(BgL_bpz00_1818) + ((long) 0));
																		VECTOR_SET(BgL_sz00_1816,
																			(int) (BgL_arg2317z00_1845),
																			BgL_a1z00_1820);
																	}
																	{	/* Eval/evaluate_comp.scm 843 */
																		long BgL_arg2319z00_1846;
																		obj_t BgL_arg2320z00_1847;

																		BgL_arg2319z00_1846 =
																			(
																			(long) CINT(BgL_bpz00_1818) + ((long) 1));
																		{	/* Eval/evaluate_comp.scm 843 */
																			obj_t BgL_list2321z00_1848;

																			{	/* Eval/evaluate_comp.scm 843 */
																				obj_t BgL_arg2322z00_1849;

																				{	/* Eval/evaluate_comp.scm 843 */
																					obj_t BgL_arg2323z00_1850;

																					BgL_arg2323z00_1850 =
																						MAKE_PAIR(BgL_a4z00_1823, BNIL);
																					BgL_arg2322z00_1849 =
																						MAKE_PAIR(BgL_a3z00_1822,
																						BgL_arg2323z00_1850);
																				}
																				BgL_list2321z00_1848 =
																					MAKE_PAIR(BgL_a2z00_1821,
																					BgL_arg2322z00_1849);
																			}
																			BgL_arg2320z00_1847 =
																				BgL_list2321z00_1848;
																		}
																		VECTOR_SET(BgL_sz00_1816,
																			(int) (BgL_arg2319z00_1846),
																			BgL_arg2320z00_1847);
																	} break;
																case ((long) -3):

																	{	/* Eval/evaluate_comp.scm 843 */
																		long BgL_arg2324z00_1851;

																		BgL_arg2324z00_1851 =
																			(
																			(long) CINT(BgL_bpz00_1818) + ((long) 0));
																		VECTOR_SET(BgL_sz00_1816,
																			(int) (BgL_arg2324z00_1851),
																			BgL_a1z00_1820);
																	}
																	{	/* Eval/evaluate_comp.scm 843 */
																		long BgL_arg2325z00_1852;

																		BgL_arg2325z00_1852 =
																			(
																			(long) CINT(BgL_bpz00_1818) + ((long) 1));
																		VECTOR_SET(BgL_sz00_1816,
																			(int) (BgL_arg2325z00_1852),
																			BgL_a2z00_1821);
																	}
																	{	/* Eval/evaluate_comp.scm 843 */
																		long BgL_arg2326z00_1853;
																		obj_t BgL_arg2328z00_1854;

																		BgL_arg2326z00_1853 =
																			(
																			(long) CINT(BgL_bpz00_1818) + ((long) 2));
																		{	/* Eval/evaluate_comp.scm 843 */
																			obj_t BgL_list2329z00_1855;

																			{	/* Eval/evaluate_comp.scm 843 */
																				obj_t BgL_arg2331z00_1856;

																				BgL_arg2331z00_1856 =
																					MAKE_PAIR(BgL_a4z00_1823, BNIL);
																				BgL_list2329z00_1855 =
																					MAKE_PAIR(BgL_a3z00_1822,
																					BgL_arg2331z00_1856);
																			}
																			BgL_arg2328z00_1854 =
																				BgL_list2329z00_1855;
																		}
																		VECTOR_SET(BgL_sz00_1816,
																			(int) (BgL_arg2326z00_1853),
																			BgL_arg2328z00_1854);
																	} break;
																case ((long) -4):

																	{	/* Eval/evaluate_comp.scm 843 */
																		long BgL_arg2332z00_1857;

																		BgL_arg2332z00_1857 =
																			(
																			(long) CINT(BgL_bpz00_1818) + ((long) 0));
																		VECTOR_SET(BgL_sz00_1816,
																			(int) (BgL_arg2332z00_1857),
																			BgL_a1z00_1820);
																	}
																	{	/* Eval/evaluate_comp.scm 843 */
																		long BgL_arg2333z00_1858;

																		BgL_arg2333z00_1858 =
																			(
																			(long) CINT(BgL_bpz00_1818) + ((long) 1));
																		VECTOR_SET(BgL_sz00_1816,
																			(int) (BgL_arg2333z00_1858),
																			BgL_a2z00_1821);
																	}
																	{	/* Eval/evaluate_comp.scm 843 */
																		long BgL_arg2334z00_1859;

																		BgL_arg2334z00_1859 =
																			(
																			(long) CINT(BgL_bpz00_1818) + ((long) 2));
																		VECTOR_SET(BgL_sz00_1816,
																			(int) (BgL_arg2334z00_1859),
																			BgL_a3z00_1822);
																	}
																	{	/* Eval/evaluate_comp.scm 843 */
																		long BgL_arg2335z00_1860;
																		obj_t BgL_arg2336z00_1861;

																		BgL_arg2335z00_1860 =
																			(
																			(long) CINT(BgL_bpz00_1818) + ((long) 3));
																		{	/* Eval/evaluate_comp.scm 843 */
																			obj_t BgL_list2337z00_1862;

																			BgL_list2337z00_1862 =
																				MAKE_PAIR(BgL_a4z00_1823, BNIL);
																			BgL_arg2336z00_1861 =
																				BgL_list2337z00_1862;
																		}
																		VECTOR_SET(BgL_sz00_1816,
																			(int) (BgL_arg2335z00_1860),
																			BgL_arg2336z00_1861);
																	} break;
																case ((long) -5):

																	{	/* Eval/evaluate_comp.scm 843 */
																		long BgL_arg2338z00_1863;

																		BgL_arg2338z00_1863 =
																			(
																			(long) CINT(BgL_bpz00_1818) + ((long) 0));
																		VECTOR_SET(BgL_sz00_1816,
																			(int) (BgL_arg2338z00_1863),
																			BgL_a1z00_1820);
																	}
																	{	/* Eval/evaluate_comp.scm 843 */
																		long BgL_arg2339z00_1864;

																		BgL_arg2339z00_1864 =
																			(
																			(long) CINT(BgL_bpz00_1818) + ((long) 1));
																		VECTOR_SET(BgL_sz00_1816,
																			(int) (BgL_arg2339z00_1864),
																			BgL_a2z00_1821);
																	}
																	{	/* Eval/evaluate_comp.scm 843 */
																		long BgL_arg2340z00_1865;

																		BgL_arg2340z00_1865 =
																			(
																			(long) CINT(BgL_bpz00_1818) + ((long) 2));
																		VECTOR_SET(BgL_sz00_1816,
																			(int) (BgL_arg2340z00_1865),
																			BgL_a3z00_1822);
																	}
																	{	/* Eval/evaluate_comp.scm 843 */
																		long BgL_arg2341z00_1866;

																		BgL_arg2341z00_1866 =
																			(
																			(long) CINT(BgL_bpz00_1818) + ((long) 3));
																		VECTOR_SET(BgL_sz00_1816,
																			(int) (BgL_arg2341z00_1866),
																			BgL_a4z00_1823);
																	}
																	{	/* Eval/evaluate_comp.scm 843 */
																		long BgL_arg2342z00_1867;

																		BgL_arg2342z00_1867 =
																			(
																			(long) CINT(BgL_bpz00_1818) + ((long) 4));
																		VECTOR_SET(BgL_sz00_1816,
																			(int) (BgL_arg2342z00_1867), BNIL);
																	} break;
																default:
																	BGl_evarityzd2errorzd2zz__everrorz00
																		(BgL_locz00_14240,
																		STRUCT_REF(BgL_ufz00_1825,
																			(int) (((long) 3))), (int) (((long) 4)),
																		CINT(BgL_arityz00_1827));
														}}
													else
														{	/* Eval/evaluate_comp.scm 843 */
															BGl_evarityzd2errorzd2zz__everrorz00
																(BgL_locz00_14240, STRUCT_REF(BgL_ufz00_1825,
																	(int) (((long) 3))), (int) (((long) 4)),
																CINT(BgL_arityz00_1827));
												}}
											{	/* Eval/evaluate_comp.scm 843 */
												obj_t BgL_auxz00_18644;

												BgL_auxz00_18644 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_SET_TRACE_LOCATION(BgL_auxz00_18644,
													BgL_locz00_14240);
											}
											{	/* Eval/evaluate_comp.scm 843 */
												bool_t BgL_testz00_18647;

												{	/* Eval/evaluate_comp.scm 843 */
													int BgL_arg1909z00_7786;

													BgL_arg1909z00_7786 = VECTOR_LENGTH(BgL_sz00_1816);
													BgL_testz00_18647 =
														(
														((long) CINT(BgL_bpz00_1818) +
															(long) CINT(BgL_sfz00_1829)) <
														(long) (BgL_arg1909z00_7786));
												}
												if (BgL_testz00_18647)
													{	/* Eval/evaluate_comp.scm 843 */
														return BgL_runz00_1828;
													}
												else
													{	/* Eval/evaluate_comp.scm 843 */
														obj_t BgL_nsz00_1873;

														BgL_nsz00_1873 =
															BGl_makezd2statezd2zz__evaluate_compz00();
														{	/* Eval/evaluate_comp.scm 843 */
															long BgL_arg2347z00_1875;

															BgL_arg2347z00_1875 =
																((long) CINT(BgL_bpz00_1818) + ((long) 4));
															BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
																(BgL_nsz00_1873, BINT(((long) 2)),
																BgL_sz00_1816, BgL_bpz00_1818,
																BINT(BgL_arg2347z00_1875));
														}
														VECTOR_SET(BgL_nsz00_1873,
															(int) (((long) 1)), BgL_sz00_1816);
														{	/* Eval/evaluate_comp.scm 843 */
															obj_t BgL_auxz00_18662;

															BgL_auxz00_18662 = BGL_CURRENT_DYNAMIC_ENV();
															BGL_ENV_EVSTATE_SET(BgL_auxz00_18662,
																BgL_nsz00_1873);
														}
														{	/* Eval/evaluate_comp.scm 843 */
															obj_t BgL_val1208z00_1877;

															BgL_val1208z00_1877 =
																BGl_zc3exitza32353ze3z83zz__evaluate_compz00
																(BgL_nsz00_1873, BgL_runz00_1828);
															{	/* Eval/evaluate_comp.scm 843 */
																obj_t BgL_auxz00_18666;

																BgL_auxz00_18666 = BGL_CURRENT_DYNAMIC_ENV();
																BGL_ENV_EVSTATE_SET(BgL_auxz00_18666,
																	BgL_sz00_1816);
															}
															if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
																	(BgL_val1208z00_1877)))
																{	/* Eval/evaluate_comp.scm 843 */
																	return
																		BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
																		(BgL_val1208z00_1877),
																		CDR(BgL_val1208z00_1877));
																}
															else
																{	/* Eval/evaluate_comp.scm 843 */
																	return BgL_val1208z00_1877;
																}
														}
													}
											}
										}
									else
										{	/* Eval/evaluate_comp.scm 843 */
											if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_1819,
													(int) (((long) 4))))
												{	/* Eval/evaluate_comp.scm 843 */
													long BgL_nbpz00_1886;

													BgL_nbpz00_1886 =
														((long) CINT(BgL_bpz00_1818) + BgL_siza7eza7_14242);
													VECTOR_SET(BgL_sz00_1816,
														(int) (((long) 0)), BINT(BgL_nbpz00_1886));
													{	/* Eval/evaluate_comp.scm 843 */
														obj_t BgL_rz00_1887;

														BgL_rz00_1887 =
															PROCEDURE_ENTRY(BgL_fz00_1819) (BgL_fz00_1819,
															BgL_a1z00_1820, BgL_a2z00_1821, BgL_a3z00_1822,
															BgL_a4z00_1823, BEOA);
														VECTOR_SET(BgL_sz00_1816, (int) (((long) 0)),
															BgL_bpz00_1818);
														return BgL_rz00_1887;
													}
												}
											else
												{	/* Eval/evaluate_comp.scm 843 */
													return
														BGl_evarityzd2errorzd2zz__everrorz00
														(BgL_locz00_14240, BgL_symbzd2funzd2_14241,
														(int) (((long) 4)), PROCEDURE_ARITY(BgL_fz00_1819));
		}}}}}}}}}
	}



/* <exit:2353> */
	obj_t BGl_zc3exitza32353ze3z83zz__evaluate_compz00(obj_t BgL_nsz00_16122,
		obj_t BgL_runz00_16121)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 843 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1209z00_1883;

			if (SET_EXIT(BgL_an_exit1209z00_1883))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1209z00_1883 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 843 */

						PUSH_EXIT(BgL_an_exit1209z00_1883, ((long) 0));
						{	/* Eval/evaluate_comp.scm 843 */
							obj_t BgL_val1210z00_1884;

							BgL_val1210z00_1884 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_16121,
								BgL_nsz00_16122, BINT(((long) 2)));
							POP_EXIT();
							return BgL_val1210z00_1884;
						}
					}
				}
		}
	}



/* &<anonymous:2357> */
	obj_t BGl_z62zc3anonymousza32357ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_14244, obj_t BgL_sz00_14253)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 843 */
			{	/* Eval/evaluate_comp.scm 843 */
				obj_t BgL_funz00_14245;
				obj_t BgL_a1z00_14246;
				obj_t BgL_a2z00_14247;
				obj_t BgL_a3z00_14248;
				obj_t BgL_a4z00_14249;
				obj_t BgL_locz00_14250;
				obj_t BgL_symbzd2funzd2_14251;
				long BgL_siza7eza7_14252;

				BgL_funz00_14245 = PROCEDURE_REF(BgL_envz00_14244, (int) (((long) 0)));
				BgL_a1z00_14246 = PROCEDURE_REF(BgL_envz00_14244, (int) (((long) 1)));
				BgL_a2z00_14247 = PROCEDURE_REF(BgL_envz00_14244, (int) (((long) 2)));
				BgL_a3z00_14248 = PROCEDURE_REF(BgL_envz00_14244, (int) (((long) 3)));
				BgL_a4z00_14249 = PROCEDURE_REF(BgL_envz00_14244, (int) (((long) 4)));
				BgL_locz00_14250 = PROCEDURE_REF(BgL_envz00_14244, (int) (((long) 5)));
				BgL_symbzd2funzd2_14251 =
					PROCEDURE_REF(BgL_envz00_14244, (int) (((long) 6)));
				BgL_siza7eza7_14252 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14244, (int) (((long) 7))));
				{
					obj_t BgL_sz00_1889;

					BgL_sz00_1889 = BgL_sz00_14253;
					{	/* Eval/evaluate_comp.scm 843 */
						obj_t BgL_bpz00_1891;

						BgL_bpz00_1891 = VECTOR_REF(BgL_sz00_1889, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 843 */
							obj_t BgL_fz00_1892;
							obj_t BgL_a1z00_1893;
							obj_t BgL_a2z00_1894;
							obj_t BgL_a3z00_1895;
							obj_t BgL_a4z00_1896;

							BgL_fz00_1892 =
								PROCEDURE_ENTRY(BgL_funz00_14245) (BgL_funz00_14245,
								BgL_sz00_1889, BEOA);
							BgL_a1z00_1893 =
								PROCEDURE_ENTRY(BgL_a1z00_14246) (BgL_a1z00_14246,
								BgL_sz00_1889, BEOA);
							BgL_a2z00_1894 =
								PROCEDURE_ENTRY(BgL_a2z00_14247) (BgL_a2z00_14247,
								BgL_sz00_1889, BEOA);
							BgL_a3z00_1895 =
								PROCEDURE_ENTRY(BgL_a3z00_14248) (BgL_a3z00_14248,
								BgL_sz00_1889, BEOA);
							BgL_a4z00_1896 =
								PROCEDURE_ENTRY(BgL_a4z00_14249) (BgL_a4z00_14249,
								BgL_sz00_1889, BEOA);
							if (PROCEDUREP(BgL_fz00_1892))
								{	/* Eval/evaluate_comp.scm 843 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 843 */
									BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_14250,
										BGl_string5552z00zz__evaluate_compz00,
										BGl_string5568z00zz__evaluate_compz00, BgL_fz00_1892);
								}
							{	/* Eval/evaluate_comp.scm 843 */
								obj_t BgL_ufz00_1898;

								BgL_ufz00_1898 = PROCEDURE_ATTR(BgL_fz00_1892);
								{	/* Eval/evaluate_comp.scm 843 */
									bool_t BgL_testz00_18744;

									if (STRUCTP(BgL_ufz00_1898))
										{	/* Eval/evaluate_comp.scm 843 */
											BgL_testz00_18744 =
												(STRUCT_KEY(BgL_ufz00_1898) ==
												BGl_symbol5569z00zz__evaluate_compz00);
										}
									else
										{	/* Eval/evaluate_comp.scm 843 */
											BgL_testz00_18744 = ((bool_t) 0);
										}
									if (BgL_testz00_18744)
										{	/* Eval/evaluate_comp.scm 843 */
											obj_t BgL_arityz00_1900;
											obj_t BgL_runz00_1901;
											obj_t BgL_sfz00_1902;

											BgL_arityz00_1900 =
												STRUCT_REF(BgL_ufz00_1898, (int) (((long) 0)));
											BgL_runz00_1901 =
												STRUCT_REF(BgL_ufz00_1898, (int) (((long) 1)));
											BgL_sfz00_1902 =
												STRUCT_REF(BgL_ufz00_1898, (int) (((long) 2)));
											{	/* Eval/evaluate_comp.scm 843 */
												long BgL_spz00_1903;

												BgL_spz00_1903 =
													((long) CINT(BgL_bpz00_1891) + BgL_siza7eza7_14252);
												if (((long) CINT(BgL_arityz00_1900) == ((long) 4)))
													{	/* Eval/evaluate_comp.scm 843 */
														{	/* Eval/evaluate_comp.scm 843 */
															long BgL_arg2361z00_1905;

															BgL_arg2361z00_1905 =
																(BgL_spz00_1903 + ((long) 0));
															VECTOR_SET(BgL_sz00_1889,
																(int) (BgL_arg2361z00_1905), BgL_a1z00_1893);
														}
														{	/* Eval/evaluate_comp.scm 843 */
															long BgL_arg2362z00_1906;

															BgL_arg2362z00_1906 =
																(BgL_spz00_1903 + ((long) 1));
															VECTOR_SET(BgL_sz00_1889,
																(int) (BgL_arg2362z00_1906), BgL_a2z00_1894);
														}
														{	/* Eval/evaluate_comp.scm 843 */
															long BgL_arg2363z00_1907;

															BgL_arg2363z00_1907 =
																(BgL_spz00_1903 + ((long) 2));
															VECTOR_SET(BgL_sz00_1889,
																(int) (BgL_arg2363z00_1907), BgL_a3z00_1895);
														}
														{	/* Eval/evaluate_comp.scm 843 */
															long BgL_arg2364z00_1908;

															BgL_arg2364z00_1908 =
																(BgL_spz00_1903 + ((long) 3));
															VECTOR_SET(BgL_sz00_1889,
																(int) (BgL_arg2364z00_1908), BgL_a4z00_1896);
													}}
												else
													{	/* Eval/evaluate_comp.scm 843 */
														if (INTEGERP(BgL_arityz00_1900))
															{	/* Eval/evaluate_comp.scm 843 */
																switch ((long) CINT(BgL_arityz00_1900))
																	{
																	case ((long) -1):

																		{	/* Eval/evaluate_comp.scm 843 */
																			long BgL_arg2366z00_1912;
																			obj_t BgL_arg2367z00_1913;

																			BgL_arg2366z00_1912 =
																				(BgL_spz00_1903 + ((long) 0));
																			{	/* Eval/evaluate_comp.scm 843 */
																				obj_t BgL_list2368z00_1914;

																				{	/* Eval/evaluate_comp.scm 843 */
																					obj_t BgL_arg2369z00_1915;

																					{	/* Eval/evaluate_comp.scm 843 */
																						obj_t BgL_arg2370z00_1916;

																						{	/* Eval/evaluate_comp.scm 843 */
																							obj_t BgL_arg2373z00_1917;

																							BgL_arg2373z00_1917 =
																								MAKE_PAIR(BgL_a4z00_1896, BNIL);
																							BgL_arg2370z00_1916 =
																								MAKE_PAIR(BgL_a3z00_1895,
																								BgL_arg2373z00_1917);
																						}
																						BgL_arg2369z00_1915 =
																							MAKE_PAIR(BgL_a2z00_1894,
																							BgL_arg2370z00_1916);
																					}
																					BgL_list2368z00_1914 =
																						MAKE_PAIR(BgL_a1z00_1893,
																						BgL_arg2369z00_1915);
																				}
																				BgL_arg2367z00_1913 =
																					BgL_list2368z00_1914;
																			}
																			VECTOR_SET(BgL_sz00_1889,
																				(int) (BgL_arg2366z00_1912),
																				BgL_arg2367z00_1913);
																		} break;
																	case ((long) -2):

																		{	/* Eval/evaluate_comp.scm 843 */
																			long BgL_arg2374z00_1918;

																			BgL_arg2374z00_1918 =
																				(BgL_spz00_1903 + ((long) 0));
																			VECTOR_SET(BgL_sz00_1889,
																				(int) (BgL_arg2374z00_1918),
																				BgL_a1z00_1893);
																		}
																		{	/* Eval/evaluate_comp.scm 843 */
																			long BgL_arg2375z00_1919;
																			obj_t BgL_arg2376z00_1920;

																			BgL_arg2375z00_1919 =
																				(BgL_spz00_1903 + ((long) 1));
																			{	/* Eval/evaluate_comp.scm 843 */
																				obj_t BgL_list2377z00_1921;

																				{	/* Eval/evaluate_comp.scm 843 */
																					obj_t BgL_arg2378z00_1922;

																					{	/* Eval/evaluate_comp.scm 843 */
																						obj_t BgL_arg2379z00_1923;

																						BgL_arg2379z00_1923 =
																							MAKE_PAIR(BgL_a4z00_1896, BNIL);
																						BgL_arg2378z00_1922 =
																							MAKE_PAIR(BgL_a3z00_1895,
																							BgL_arg2379z00_1923);
																					}
																					BgL_list2377z00_1921 =
																						MAKE_PAIR(BgL_a2z00_1894,
																						BgL_arg2378z00_1922);
																				}
																				BgL_arg2376z00_1920 =
																					BgL_list2377z00_1921;
																			}
																			VECTOR_SET(BgL_sz00_1889,
																				(int) (BgL_arg2375z00_1919),
																				BgL_arg2376z00_1920);
																		} break;
																	case ((long) -3):

																		{	/* Eval/evaluate_comp.scm 843 */
																			long BgL_arg2380z00_1924;

																			BgL_arg2380z00_1924 =
																				(BgL_spz00_1903 + ((long) 0));
																			VECTOR_SET(BgL_sz00_1889,
																				(int) (BgL_arg2380z00_1924),
																				BgL_a1z00_1893);
																		}
																		{	/* Eval/evaluate_comp.scm 843 */
																			long BgL_arg2381z00_1925;

																			BgL_arg2381z00_1925 =
																				(BgL_spz00_1903 + ((long) 1));
																			VECTOR_SET(BgL_sz00_1889,
																				(int) (BgL_arg2381z00_1925),
																				BgL_a2z00_1894);
																		}
																		{	/* Eval/evaluate_comp.scm 843 */
																			long BgL_arg2382z00_1926;
																			obj_t BgL_arg2383z00_1927;

																			BgL_arg2382z00_1926 =
																				(BgL_spz00_1903 + ((long) 2));
																			{	/* Eval/evaluate_comp.scm 843 */
																				obj_t BgL_list2384z00_1928;

																				{	/* Eval/evaluate_comp.scm 843 */
																					obj_t BgL_arg2385z00_1929;

																					BgL_arg2385z00_1929 =
																						MAKE_PAIR(BgL_a4z00_1896, BNIL);
																					BgL_list2384z00_1928 =
																						MAKE_PAIR(BgL_a3z00_1895,
																						BgL_arg2385z00_1929);
																				}
																				BgL_arg2383z00_1927 =
																					BgL_list2384z00_1928;
																			}
																			VECTOR_SET(BgL_sz00_1889,
																				(int) (BgL_arg2382z00_1926),
																				BgL_arg2383z00_1927);
																		} break;
																	case ((long) -4):

																		{	/* Eval/evaluate_comp.scm 843 */
																			long BgL_arg2386z00_1930;

																			BgL_arg2386z00_1930 =
																				(BgL_spz00_1903 + ((long) 0));
																			VECTOR_SET(BgL_sz00_1889,
																				(int) (BgL_arg2386z00_1930),
																				BgL_a1z00_1893);
																		}
																		{	/* Eval/evaluate_comp.scm 843 */
																			long BgL_arg2387z00_1931;

																			BgL_arg2387z00_1931 =
																				(BgL_spz00_1903 + ((long) 1));
																			VECTOR_SET(BgL_sz00_1889,
																				(int) (BgL_arg2387z00_1931),
																				BgL_a2z00_1894);
																		}
																		{	/* Eval/evaluate_comp.scm 843 */
																			long BgL_arg2388z00_1932;

																			BgL_arg2388z00_1932 =
																				(BgL_spz00_1903 + ((long) 2));
																			VECTOR_SET(BgL_sz00_1889,
																				(int) (BgL_arg2388z00_1932),
																				BgL_a3z00_1895);
																		}
																		{	/* Eval/evaluate_comp.scm 843 */
																			long BgL_arg2389z00_1933;
																			obj_t BgL_arg2390z00_1934;

																			BgL_arg2389z00_1933 =
																				(BgL_spz00_1903 + ((long) 3));
																			{	/* Eval/evaluate_comp.scm 843 */
																				obj_t BgL_list2391z00_1935;

																				BgL_list2391z00_1935 =
																					MAKE_PAIR(BgL_a4z00_1896, BNIL);
																				BgL_arg2390z00_1934 =
																					BgL_list2391z00_1935;
																			}
																			VECTOR_SET(BgL_sz00_1889,
																				(int) (BgL_arg2389z00_1933),
																				BgL_arg2390z00_1934);
																		} break;
																	case ((long) -5):

																		{	/* Eval/evaluate_comp.scm 843 */
																			long BgL_arg2392z00_1936;

																			BgL_arg2392z00_1936 =
																				(BgL_spz00_1903 + ((long) 0));
																			VECTOR_SET(BgL_sz00_1889,
																				(int) (BgL_arg2392z00_1936),
																				BgL_a1z00_1893);
																		}
																		{	/* Eval/evaluate_comp.scm 843 */
																			long BgL_arg2394z00_1937;

																			BgL_arg2394z00_1937 =
																				(BgL_spz00_1903 + ((long) 1));
																			VECTOR_SET(BgL_sz00_1889,
																				(int) (BgL_arg2394z00_1937),
																				BgL_a2z00_1894);
																		}
																		{	/* Eval/evaluate_comp.scm 843 */
																			long BgL_arg2395z00_1938;

																			BgL_arg2395z00_1938 =
																				(BgL_spz00_1903 + ((long) 2));
																			VECTOR_SET(BgL_sz00_1889,
																				(int) (BgL_arg2395z00_1938),
																				BgL_a3z00_1895);
																		}
																		{	/* Eval/evaluate_comp.scm 843 */
																			long BgL_arg2396z00_1939;

																			BgL_arg2396z00_1939 =
																				(BgL_spz00_1903 + ((long) 3));
																			VECTOR_SET(BgL_sz00_1889,
																				(int) (BgL_arg2396z00_1939),
																				BgL_a4z00_1896);
																		}
																		{	/* Eval/evaluate_comp.scm 843 */
																			long BgL_arg2397z00_1940;

																			BgL_arg2397z00_1940 =
																				(BgL_spz00_1903 + ((long) 4));
																			VECTOR_SET(BgL_sz00_1889,
																				(int) (BgL_arg2397z00_1940), BNIL);
																		} break;
																	default:
																		BGl_evarityzd2errorzd2zz__everrorz00
																			(BgL_locz00_14250,
																			STRUCT_REF(BgL_ufz00_1898,
																				(int) (((long) 3))), (int) (((long) 4)),
																			CINT(BgL_arityz00_1900));
															}}
														else
															{	/* Eval/evaluate_comp.scm 843 */
																BGl_evarityzd2errorzd2zz__everrorz00
																	(BgL_locz00_14250, STRUCT_REF(BgL_ufz00_1898,
																		(int) (((long) 3))), (int) (((long) 4)),
																	CINT(BgL_arityz00_1900));
													}}
												{	/* Eval/evaluate_comp.scm 843 */
													obj_t BgL_auxz00_18841;

													BgL_auxz00_18841 = BGL_CURRENT_DYNAMIC_ENV();
													BGL_ENV_SET_TRACE_LOCATION(BgL_auxz00_18841,
														BgL_locz00_14250);
												}
												{	/* Eval/evaluate_comp.scm 843 */
													bool_t BgL_testz00_18844;

													{	/* Eval/evaluate_comp.scm 843 */
														int BgL_arg1909z00_7982;

														BgL_arg1909z00_7982 = VECTOR_LENGTH(BgL_sz00_1889);
														BgL_testz00_18844 =
															(
															(BgL_spz00_1903 +
																(long) CINT(BgL_sfz00_1902)) <
															(long) (BgL_arg1909z00_7982));
													}
													if (BgL_testz00_18844)
														{	/* Eval/evaluate_comp.scm 843 */
															return
																BGl_catchzd2trampolinezd2zz__evaluate_compz00
																(BgL_runz00_1901, BgL_sz00_1889,
																BINT(BgL_spz00_1903));
														}
													else
														{	/* Eval/evaluate_comp.scm 843 */
															obj_t BgL_nsz00_1946;

															BgL_nsz00_1946 =
																BGl_makezd2statezd2zz__evaluate_compz00();
															{	/* Eval/evaluate_comp.scm 843 */
																long BgL_arg2402z00_1948;

																BgL_arg2402z00_1948 =
																	(BgL_spz00_1903 + ((long) 4));
																BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
																	(BgL_nsz00_1946, BINT(((long) 2)),
																	BgL_sz00_1889, BINT(BgL_spz00_1903),
																	BINT(BgL_arg2402z00_1948));
															}
															VECTOR_SET(BgL_nsz00_1946,
																(int) (((long) 1)), BgL_sz00_1889);
															{	/* Eval/evaluate_comp.scm 843 */
																obj_t BgL_auxz00_18860;

																BgL_auxz00_18860 = BGL_CURRENT_DYNAMIC_ENV();
																BGL_ENV_EVSTATE_SET(BgL_auxz00_18860,
																	BgL_nsz00_1946);
															}
															{	/* Eval/evaluate_comp.scm 843 */
																obj_t BgL_val1213z00_1950;

																BgL_val1213z00_1950 =
																	BGl_zc3exitza32408ze3z83zz__evaluate_compz00
																	(BgL_nsz00_1946, BgL_runz00_1901);
																{	/* Eval/evaluate_comp.scm 843 */
																	obj_t BgL_auxz00_18864;

																	BgL_auxz00_18864 = BGL_CURRENT_DYNAMIC_ENV();
																	BGL_ENV_EVSTATE_SET(BgL_auxz00_18864,
																		BgL_sz00_1889);
																}
																if (CBOOL
																	(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
																		(BgL_val1213z00_1950)))
																	{	/* Eval/evaluate_comp.scm 843 */
																		return
																			BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
																			(BgL_val1213z00_1950),
																			CDR(BgL_val1213z00_1950));
																	}
																else
																	{	/* Eval/evaluate_comp.scm 843 */
																		return BgL_val1213z00_1950;
																	}
															}
														}
												}
											}
										}
									else
										{	/* Eval/evaluate_comp.scm 843 */
											if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_1892,
													(int) (((long) 4))))
												{	/* Eval/evaluate_comp.scm 843 */
													long BgL_nbpz00_1959;

													BgL_nbpz00_1959 =
														((long) CINT(BgL_bpz00_1891) + BgL_siza7eza7_14252);
													VECTOR_SET(BgL_sz00_1889,
														(int) (((long) 0)), BINT(BgL_nbpz00_1959));
													{	/* Eval/evaluate_comp.scm 843 */
														obj_t BgL_rz00_1960;

														BgL_rz00_1960 =
															PROCEDURE_ENTRY(BgL_fz00_1892) (BgL_fz00_1892,
															BgL_a1z00_1893, BgL_a2z00_1894, BgL_a3z00_1895,
															BgL_a4z00_1896, BEOA);
														VECTOR_SET(BgL_sz00_1889, (int) (((long) 0)),
															BgL_bpz00_1891);
														return BgL_rz00_1960;
													}
												}
											else
												{	/* Eval/evaluate_comp.scm 843 */
													return
														BGl_evarityzd2errorzd2zz__everrorz00
														(BgL_locz00_14250, BgL_symbzd2funzd2_14251,
														(int) (((long) 4)), PROCEDURE_ARITY(BgL_fz00_1892));
		}}}}}}}}}
	}



/* <exit:2408> */
	obj_t BGl_zc3exitza32408ze3z83zz__evaluate_compz00(obj_t BgL_nsz00_16120,
		obj_t BgL_runz00_16119)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 843 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1214z00_1956;

			if (SET_EXIT(BgL_an_exit1214z00_1956))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1214z00_1956 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 843 */

						PUSH_EXIT(BgL_an_exit1214z00_1956, ((long) 0));
						{	/* Eval/evaluate_comp.scm 843 */
							obj_t BgL_val1215z00_1957;

							BgL_val1215z00_1957 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_16119,
								BgL_nsz00_16120, BINT(((long) 2)));
							POP_EXIT();
							return BgL_val1215z00_1957;
						}
					}
				}
		}
	}



/* is-constant-fun? */
	obj_t BGl_iszd2constantzd2funzf3zf3zz__evaluate_compz00(BgL_ev_exprz00_bglt
		BgL_funz00_181, long BgL_nbargsz00_182, obj_t BgL_locz00_183,
		obj_t BgL_symbzd2funzd2_184)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 846 */
			if (BGl_isazf3zf3zz__objectz00(
					((obj_t) BgL_funz00_181), BGl_ev_globalz00zz__evaluate_typesz00))
				{	/* Eval/evaluate_comp.scm 849 */
					BgL_ev_globalz00_bglt BgL_i1216z00_1963;

					BgL_i1216z00_1963 = ((BgL_ev_globalz00_bglt) BgL_funz00_181);
					{	/* Eval/evaluate_comp.scm 850 */
						obj_t BgL_gz00_1964;

						BgL_gz00_1964 =
							BGl_evmodulezd2findzd2globalz00zz__evmodulez00(
							(((BgL_ev_globalz00_bglt) CREF(BgL_i1216z00_1963))->BgL_modz00),
							(((BgL_ev_globalz00_bglt) CREF(BgL_i1216z00_1963))->BgL_namez00));
						if (CBOOL(BgL_gz00_1964))
							{	/* Eval/evaluate_comp.scm 852 */
								bool_t BgL_testz00_18908;

								{	/* Eval/evaluate_comp.scm 852 */
									int BgL_arg2415z00_1969;

									{	/* Eval/evaluate_comp.scm 852 */
										int BgL_res4704z00_8012;

										{	/* Eval/evaluate_comp.scm 852 */
											obj_t BgL_evalzd2globalzd2_8009;

											BgL_evalzd2globalzd2_8009 = BgL_gz00_1964;
											{	/* Eval/evaluate_comp.scm 852 */
												int BgL_kz00_8011;

												BgL_kz00_8011 = (int) (((long) 0));
												BgL_res4704z00_8012 =
													CINT(VECTOR_REF(BgL_evalzd2globalzd2_8009,
														BgL_kz00_8011));
										}}
										BgL_arg2415z00_1969 = BgL_res4704z00_8012;
									}
									BgL_testz00_18908 =
										((long) (BgL_arg2415z00_1969) == ((long) 0));
								}
								if (BgL_testz00_18908)
									{	/* Eval/evaluate_comp.scm 853 */
										obj_t BgL_valz00_1966;

										BgL_valz00_1966 =
											VECTOR_REF(BgL_gz00_1964, (int) (((long) 2)));
										{	/* Eval/evaluate_comp.scm 854 */
											bool_t BgL_testz00_18916;

											if (PROCEDUREP(BgL_valz00_1966))
												{	/* Eval/evaluate_comp.scm 854 */
													BgL_testz00_18916 =
														PROCEDURE_CORRECT_ARITYP(BgL_valz00_1966,
														(int) (BgL_nbargsz00_182));
												}
											else
												{	/* Eval/evaluate_comp.scm 854 */
													BgL_testz00_18916 = ((bool_t) 0);
												}
											if (BgL_testz00_18916)
												{	/* Eval/evaluate_comp.scm 854 */
													return BgL_valz00_1966;
												}
											else
												{	/* Eval/evaluate_comp.scm 854 */
													return BFALSE;
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 852 */
										return BFALSE;
									}
							}
						else
							{	/* Eval/evaluate_comp.scm 851 */
								return BFALSE;
							}
					}
				}
			else
				{	/* Eval/evaluate_comp.scm 857 */
					bool_t BgL_testz00_18921;

					if (BGl_isazf3zf3zz__objectz00(
							((obj_t) BgL_funz00_181), BGl_ev_littz00zz__evaluate_typesz00))
						{	/* Eval/evaluate_comp.scm 858 */
							obj_t BgL_auxz00_18925;

							BgL_auxz00_18925 =
								(((BgL_ev_littz00_bglt) CREF(
										((BgL_ev_littz00_bglt) BgL_funz00_181)))->BgL_valuez00);
							BgL_testz00_18921 = PROCEDUREP(BgL_auxz00_18925);
						}
					else
						{	/* Eval/evaluate_comp.scm 857 */
							BgL_testz00_18921 = ((bool_t) 0);
						}
					if (BgL_testz00_18921)
						{	/* Eval/evaluate_comp.scm 859 */
							BgL_ev_littz00_bglt BgL_i1218z00_1973;

							BgL_i1218z00_1973 = ((BgL_ev_littz00_bglt) BgL_funz00_181);
							if (PROCEDURE_CORRECT_ARITYP(
									(((BgL_ev_littz00_bglt) CREF(BgL_i1218z00_1973))->
										BgL_valuez00), (int) (BgL_nbargsz00_182)))
								{	/* Eval/evaluate_comp.scm 860 */
									return
										(((BgL_ev_littz00_bglt) CREF(BgL_i1218z00_1973))->
										BgL_valuez00);
								}
							else
								{	/* Eval/evaluate_comp.scm 860 */
									return
										BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_183,
										BgL_symbzd2funzd2_184, (int) (BgL_nbargsz00_182),
										PROCEDURE_ARITY((((BgL_ev_littz00_bglt)
													CREF(BgL_i1218z00_1973))->BgL_valuez00)));
						}}
					else
						{	/* Eval/evaluate_comp.scm 857 */
							return BFALSE;
						}
				}
		}
	}



/* compile-float-arith */
	obj_t BGl_compilezd2floatzd2arithz00zz__evaluate_compz00(obj_t
		BgL_exprz00_185, obj_t BgL_stkz00_186)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 865 */
			if (BGl_isazf3zf3zz__objectz00(BgL_exprz00_185,
					BGl_ev_littz00zz__evaluate_typesz00))
				{	/* Eval/evaluate_comp.scm 870 */
					BgL_ev_littz00_bglt BgL_i1219z00_1983;

					BgL_i1219z00_1983 = ((BgL_ev_littz00_bglt) BgL_exprz00_185);
					if (INTEGERP(
							(((BgL_ev_littz00_bglt) CREF(BgL_i1219z00_1983))->BgL_valuez00)))
						{	/* Eval/evaluate_comp.scm 871 */
							obj_t BgL_v1602z00_1985;

							BgL_v1602z00_1985 = create_vector((int) (((long) 2)));
							{	/* Eval/evaluate_comp.scm 871 */
								double BgL_arg2427z00_1986;

								BgL_arg2427z00_1986 =
									(double) (
									(long) CINT(
										(((BgL_ev_littz00_bglt) CREF(BgL_i1219z00_1983))->
											BgL_valuez00)));
								{	/* Eval/evaluate_comp.scm 871 */
									int BgL_kz00_8028;
									obj_t BgL_objz00_8029;

									BgL_kz00_8028 = (int) (((long) 1));
									BgL_objz00_8029 = DOUBLE_TO_REAL(BgL_arg2427z00_1986);
									VECTOR_SET(BgL_v1602z00_1985, BgL_kz00_8028, BgL_objz00_8029);
							}}
							VECTOR_SET(BgL_v1602z00_1985,
								(int) (((long) 0)), BINT(((long) 1)));
							return BgL_v1602z00_1985;
						}
					else
						{	/* Eval/evaluate_comp.scm 872 */
							bool_t BgL_testz00_18956;

							{	/* Eval/evaluate_comp.scm 872 */
								obj_t BgL_auxz00_18957;

								BgL_auxz00_18957 =
									(((BgL_ev_littz00_bglt) CREF(BgL_i1219z00_1983))->
									BgL_valuez00);
								BgL_testz00_18956 = REALP(BgL_auxz00_18957);
							}
							if (BgL_testz00_18956)
								{	/* Eval/evaluate_comp.scm 872 */
									obj_t BgL_v1603z00_1989;

									BgL_v1603z00_1989 = create_vector((int) (((long) 2)));
									VECTOR_SET(BgL_v1603z00_1989,
										(int) (((long) 1)),
										(((BgL_ev_littz00_bglt) CREF(BgL_i1219z00_1983))->
											BgL_valuez00));
									VECTOR_SET(BgL_v1603z00_1989, (int) (((long) 0)),
										BINT(((long) 1)));
									return BgL_v1603z00_1989;
								}
							else
								{	/* Eval/evaluate_comp.scm 873 */
									obj_t BgL_v1604z00_1991;

									BgL_v1604z00_1991 = create_vector((int) (((long) 2)));
									{	/* Eval/evaluate_comp.scm 873 */
										obj_t BgL_arg2431z00_1992;

										BgL_arg2431z00_1992 =
											BGl_compz00zz__evaluate_compz00(
											((BgL_ev_exprz00_bglt)
												((BgL_ev_littz00_bglt) BgL_exprz00_185)),
											BgL_stkz00_186);
										VECTOR_SET(BgL_v1604z00_1991, (int) (((long) 1)),
											BgL_arg2431z00_1992);
									}
									VECTOR_SET(BgL_v1604z00_1991,
										(int) (((long) 0)), BINT(((long) 0)));
									return BgL_v1604z00_1991;
								}
						}
				}
			else
				{	/* Eval/evaluate_comp.scm 869 */
					if (BGl_isazf3zf3zz__objectz00(BgL_exprz00_185,
							BGl_ev_varz00zz__evaluate_typesz00))
						{	/* Eval/evaluate_comp.scm 875 */
							BgL_ev_varz00_bglt BgL_i1220z00_1996;

							BgL_i1220z00_1996 = ((BgL_ev_varz00_bglt) BgL_exprz00_185);
							if (CBOOL(
									(((BgL_ev_varz00_bglt) CREF(BgL_i1220z00_1996))->BgL_effz00)))
								{	/* Eval/evaluate_comp.scm 877 */
									obj_t BgL_v1605z00_1998;

									BgL_v1605z00_1998 = create_vector((int) (((long) 2)));
									VECTOR_SET(BgL_v1605z00_1998,
										(int) (((long) 1)),
										BGl__indexz00zz__evaluate_compz00(BgL_exprz00_185,
											BgL_stkz00_186));
									VECTOR_SET(BgL_v1605z00_1998, (int) (((long) 0)),
										BINT(((long) 3)));
									return BgL_v1605z00_1998;
								}
							else
								{	/* Eval/evaluate_comp.scm 878 */
									obj_t BgL_v1606z00_2000;

									BgL_v1606z00_2000 = create_vector((int) (((long) 2)));
									VECTOR_SET(BgL_v1606z00_2000,
										(int) (((long) 1)),
										BGl__indexz00zz__evaluate_compz00(BgL_exprz00_185,
											BgL_stkz00_186));
									VECTOR_SET(BgL_v1606z00_2000, (int) (((long) 0)),
										BINT(((long) 2)));
									return BgL_v1606z00_2000;
								}
						}
					else
						{	/* Eval/evaluate_comp.scm 874 */
							if (BGl_isazf3zf3zz__objectz00(BgL_exprz00_185,
									BGl_ev_globalz00zz__evaluate_typesz00))
								{	/* Eval/evaluate_comp.scm 880 */
									BgL_ev_globalz00_bglt BgL_i1221z00_2003;

									BgL_i1221z00_2003 = ((BgL_ev_globalz00_bglt) BgL_exprz00_185);
									{	/* Eval/evaluate_comp.scm 881 */
										obj_t BgL_gz00_2004;

										BgL_gz00_2004 =
											BGl_evmodulezd2findzd2globalz00zz__evmodulez00(
											(((BgL_ev_globalz00_bglt) CREF(BgL_i1221z00_2003))->
												BgL_modz00),
											(((BgL_ev_globalz00_bglt) CREF(BgL_i1221z00_2003))->
												BgL_namez00));
										if (CBOOL(BgL_gz00_2004))
											{	/* Eval/evaluate_comp.scm 883 */
												bool_t BgL_testz00_19008;

												{	/* Eval/evaluate_comp.scm 883 */
													int BgL_arg2440z00_2008;

													{	/* Eval/evaluate_comp.scm 883 */
														int BgL_res4711z00_8062;

														{	/* Eval/evaluate_comp.scm 883 */
															obj_t BgL_evalzd2globalzd2_8059;

															BgL_evalzd2globalzd2_8059 = BgL_gz00_2004;
															{	/* Eval/evaluate_comp.scm 883 */
																int BgL_kz00_8061;

																BgL_kz00_8061 = (int) (((long) 0));
																BgL_res4711z00_8062 =
																	CINT(VECTOR_REF(BgL_evalzd2globalzd2_8059,
																		BgL_kz00_8061));
														}}
														BgL_arg2440z00_2008 = BgL_res4711z00_8062;
													}
													BgL_testz00_19008 =
														(BINT(BgL_arg2440z00_2008) == BINT(((long) 1)));
												}
												if (BgL_testz00_19008)
													{	/* Eval/evaluate_comp.scm 884 */
														obj_t BgL_v1607z00_2006;

														BgL_v1607z00_2006 =
															create_vector((int) (((long) 2)));
														VECTOR_SET(BgL_v1607z00_2006,
															(int) (((long) 1)), BgL_gz00_2004);
														VECTOR_SET(BgL_v1607z00_2006,
															(int) (((long) 0)), BINT(((long) 4)));
														return BgL_v1607z00_2006;
													}
												else
													{	/* Eval/evaluate_comp.scm 885 */
														obj_t BgL_v1608z00_2007;

														BgL_v1608z00_2007 =
															create_vector((int) (((long) 2)));
														VECTOR_SET(BgL_v1608z00_2007,
															(int) (((long) 1)), BgL_gz00_2004);
														VECTOR_SET(BgL_v1608z00_2007,
															(int) (((long) 0)), BINT(((long) 5)));
														return BgL_v1608z00_2007;
													}
											}
										else
											{	/* Eval/evaluate_comp.scm 886 */
												obj_t BgL_v1609z00_2009;

												BgL_v1609z00_2009 = create_vector((int) (((long) 2)));
												{	/* Eval/evaluate_comp.scm 886 */
													obj_t BgL_arg2441z00_2010;

													BgL_arg2441z00_2010 =
														BGl_compz00zz__evaluate_compz00(
														((BgL_ev_exprz00_bglt)
															((BgL_ev_globalz00_bglt) BgL_exprz00_185)),
														BgL_stkz00_186);
													VECTOR_SET(BgL_v1609z00_2009, (int) (((long) 1)),
														BgL_arg2441z00_2010);
												}
												VECTOR_SET(BgL_v1609z00_2009,
													(int) (((long) 0)), BINT(((long) 0)));
												return BgL_v1609z00_2009;
											}
									}
								}
							else
								{	/* Eval/evaluate_comp.scm 879 */
									if (BGl_isazf3zf3zz__objectz00(BgL_exprz00_185,
											BGl_ev_appz00zz__evaluate_typesz00))
										{	/* Eval/evaluate_comp.scm 888 */
											BgL_ev_appz00_bglt BgL_i1222z00_2014;

											BgL_i1222z00_2014 =
												((BgL_ev_appz00_bglt) BgL_exprz00_185);
											{	/* Eval/evaluate_comp.scm 889 */
												obj_t BgL_fvalz00_2015;

												BgL_fvalz00_2015 =
													BGl_globalzd2funzd2valuez00zz__evaluate_compz00(
													(((BgL_ev_appz00_bglt) CREF(BgL_i1222z00_2014))->
														BgL_funz00));
												if ((BgL_fvalz00_2015 ==
														BGl_zb2flzd2envz60zz__r4_numbers_6_5_flonumz00))
													{	/* Eval/evaluate_comp.scm 892 */
														obj_t BgL_v1610z00_2017;

														BgL_v1610z00_2017 =
															create_vector((int) (((long) 3)));
														{	/* Eval/evaluate_comp.scm 892 */
															obj_t BgL_arg2446z00_2018;

															{	/* Eval/evaluate_comp.scm 892 */
																obj_t BgL_arg2447z00_2019;

																{	/* Eval/evaluate_comp.scm 892 */
																	obj_t BgL_pairz00_8081;

																	BgL_pairz00_8081 =
																		(((BgL_ev_appz00_bglt)
																			CREF(BgL_i1222z00_2014))->BgL_argsz00);
																	BgL_arg2447z00_2019 =
																		CAR(CDR(BgL_pairz00_8081));
																}
																BgL_arg2446z00_2018 =
																	BGl_compilezd2floatzd2arithz00zz__evaluate_compz00
																	(BgL_arg2447z00_2019, BgL_stkz00_186);
															}
															VECTOR_SET(BgL_v1610z00_2017,
																(int) (((long) 2)), BgL_arg2446z00_2018);
														}
														VECTOR_SET(BgL_v1610z00_2017,
															(int) (((long) 1)),
															BGl_compilezd2floatzd2arithz00zz__evaluate_compz00
															(CAR((((BgL_ev_appz00_bglt)
																			CREF(BgL_i1222z00_2014))->BgL_argsz00)),
																BgL_stkz00_186));
														VECTOR_SET(BgL_v1610z00_2017, (int) (((long) 0)),
															BINT(((long) 6)));
														return BgL_v1610z00_2017;
													}
												else
													{	/* Eval/evaluate_comp.scm 891 */
														if (
															(BgL_fvalz00_2015 ==
																BGl_zd2flzd2envz00zz__r4_numbers_6_5_flonumz00))
															{	/* Eval/evaluate_comp.scm 894 */
																obj_t BgL_v1611z00_2025;

																BgL_v1611z00_2025 =
																	create_vector((int) (((long) 3)));
																{	/* Eval/evaluate_comp.scm 894 */
																	obj_t BgL_arg2453z00_2026;

																	{	/* Eval/evaluate_comp.scm 894 */
																		obj_t BgL_arg2454z00_2027;

																		{	/* Eval/evaluate_comp.scm 894 */
																			obj_t BgL_pairz00_8097;

																			BgL_pairz00_8097 =
																				(((BgL_ev_appz00_bglt)
																					CREF(BgL_i1222z00_2014))->
																				BgL_argsz00);
																			BgL_arg2454z00_2027 =
																				CAR(CDR(BgL_pairz00_8097));
																		}
																		BgL_arg2453z00_2026 =
																			BGl_compilezd2floatzd2arithz00zz__evaluate_compz00
																			(BgL_arg2454z00_2027, BgL_stkz00_186);
																	}
																	VECTOR_SET(BgL_v1611z00_2025,
																		(int) (((long) 2)), BgL_arg2453z00_2026);
																}
																VECTOR_SET(BgL_v1611z00_2025,
																	(int) (((long) 1)),
																	BGl_compilezd2floatzd2arithz00zz__evaluate_compz00
																	(CAR((((BgL_ev_appz00_bglt)
																					CREF(BgL_i1222z00_2014))->
																				BgL_argsz00)), BgL_stkz00_186));
																VECTOR_SET(BgL_v1611z00_2025,
																	(int) (((long) 0)), BINT(((long) 7)));
																return BgL_v1611z00_2025;
															}
														else
															{	/* Eval/evaluate_comp.scm 893 */
																if (
																	(BgL_fvalz00_2015 ==
																		BGl_za2flzd2envz70zz__r4_numbers_6_5_flonumz00))
																	{	/* Eval/evaluate_comp.scm 896 */
																		obj_t BgL_v1612z00_2033;

																		BgL_v1612z00_2033 =
																			create_vector((int) (((long) 3)));
																		{	/* Eval/evaluate_comp.scm 896 */
																			obj_t BgL_arg2460z00_2034;

																			{	/* Eval/evaluate_comp.scm 896 */
																				obj_t BgL_arg2461z00_2035;

																				{	/* Eval/evaluate_comp.scm 896 */
																					obj_t BgL_pairz00_8113;

																					BgL_pairz00_8113 =
																						(((BgL_ev_appz00_bglt)
																							CREF(BgL_i1222z00_2014))->
																						BgL_argsz00);
																					BgL_arg2461z00_2035 =
																						CAR(CDR(BgL_pairz00_8113));
																				}
																				BgL_arg2460z00_2034 =
																					BGl_compilezd2floatzd2arithz00zz__evaluate_compz00
																					(BgL_arg2461z00_2035, BgL_stkz00_186);
																			}
																			VECTOR_SET(BgL_v1612z00_2033,
																				(int) (((long) 2)),
																				BgL_arg2460z00_2034);
																		}
																		VECTOR_SET(BgL_v1612z00_2033,
																			(int) (((long) 1)),
																			BGl_compilezd2floatzd2arithz00zz__evaluate_compz00
																			(CAR((((BgL_ev_appz00_bglt)
																							CREF(BgL_i1222z00_2014))->
																						BgL_argsz00)), BgL_stkz00_186));
																		VECTOR_SET(BgL_v1612z00_2033,
																			(int) (((long) 0)), BINT(((long) 8)));
																		return BgL_v1612z00_2033;
																	}
																else
																	{	/* Eval/evaluate_comp.scm 895 */
																		if (
																			(BgL_fvalz00_2015 ==
																				BGl_zf2flzd2envz20zz__r4_numbers_6_5_flonumz00))
																			{	/* Eval/evaluate_comp.scm 898 */
																				obj_t BgL_v1613z00_2041;

																				BgL_v1613z00_2041 =
																					create_vector((int) (((long) 3)));
																				{	/* Eval/evaluate_comp.scm 898 */
																					obj_t BgL_arg2467z00_2042;

																					{	/* Eval/evaluate_comp.scm 898 */
																						obj_t BgL_arg2468z00_2043;

																						{	/* Eval/evaluate_comp.scm 898 */
																							obj_t BgL_pairz00_8129;

																							BgL_pairz00_8129 =
																								(((BgL_ev_appz00_bglt)
																									CREF(BgL_i1222z00_2014))->
																								BgL_argsz00);
																							BgL_arg2468z00_2043 =
																								CAR(CDR(BgL_pairz00_8129));
																						}
																						BgL_arg2467z00_2042 =
																							BGl_compilezd2floatzd2arithz00zz__evaluate_compz00
																							(BgL_arg2468z00_2043,
																							BgL_stkz00_186);
																					}
																					VECTOR_SET(BgL_v1613z00_2041,
																						(int) (((long) 2)),
																						BgL_arg2467z00_2042);
																				}
																				VECTOR_SET(BgL_v1613z00_2041,
																					(int) (((long) 1)),
																					BGl_compilezd2floatzd2arithz00zz__evaluate_compz00
																					(CAR((((BgL_ev_appz00_bglt)
																									CREF(BgL_i1222z00_2014))->
																								BgL_argsz00)), BgL_stkz00_186));
																				VECTOR_SET(BgL_v1613z00_2041,
																					(int) (((long) 0)), BINT(((long) 9)));
																				return BgL_v1613z00_2041;
																			}
																		else
																			{	/* Eval/evaluate_comp.scm 897 */
																				if (
																					(BgL_fvalz00_2015 ==
																						BGl_fixnumzd2ze3flonumzd2envze3zz__r4_numbers_6_5z00))
																					{	/* Eval/evaluate_comp.scm 900 */
																						obj_t BgL_v1614z00_2049;

																						BgL_v1614z00_2049 =
																							create_vector((int) (((long) 2)));
																						{	/* Eval/evaluate_comp.scm 900 */
																							obj_t BgL_arg2474z00_2050;

																							{	/* Eval/evaluate_comp.scm 900 */
																								obj_t BgL_arg2475z00_2051;

																								BgL_arg2475z00_2051 =
																									CAR(
																									(((BgL_ev_appz00_bglt)
																											CREF(BgL_i1222z00_2014))->
																										BgL_argsz00));
																								BgL_arg2474z00_2050 =
																									BGl_compz00zz__evaluate_compz00
																									(((BgL_ev_exprz00_bglt)
																										BgL_arg2475z00_2051),
																									BgL_stkz00_186);
																							}
																							VECTOR_SET(BgL_v1614z00_2049,
																								(int) (((long) 1)),
																								BgL_arg2474z00_2050);
																						}
																						VECTOR_SET(BgL_v1614z00_2049,
																							(int) (((long) 0)),
																							BINT(((long) 10)));
																						return BgL_v1614z00_2049;
																					}
																				else
																					{	/* Eval/evaluate_comp.scm 899 */
																						if (
																							(BgL_fvalz00_2015 ==
																								BGl_f64vectorzd2refzd2envz00zz__srfi4z00))
																							{	/* Eval/evaluate_comp.scm 902 */
																								obj_t BgL_v1615z00_2054;

																								BgL_v1615z00_2054 =
																									create_vector(
																									(int) (((long) 3)));
																								{	/* Eval/evaluate_comp.scm 902 */
																									obj_t BgL_arg2478z00_2055;

																									{	/* Eval/evaluate_comp.scm 902 */
																										obj_t BgL_arg2479z00_2056;

																										{	/* Eval/evaluate_comp.scm 902 */
																											obj_t BgL_pairz00_8152;

																											BgL_pairz00_8152 =
																												(((BgL_ev_appz00_bglt)
																													CREF
																													(BgL_i1222z00_2014))->
																												BgL_argsz00);
																											BgL_arg2479z00_2056 =
																												CAR(CDR
																												(BgL_pairz00_8152));
																										}
																										BgL_arg2478z00_2055 =
																											BGl_compz00zz__evaluate_compz00
																											(((BgL_ev_exprz00_bglt)
																												BgL_arg2479z00_2056),
																											BgL_stkz00_186);
																									}
																									VECTOR_SET(BgL_v1615z00_2054,
																										(int) (((long) 2)),
																										BgL_arg2478z00_2055);
																								}
																								{	/* Eval/evaluate_comp.scm 902 */
																									obj_t BgL_arg2481z00_2058;

																									{	/* Eval/evaluate_comp.scm 902 */
																										obj_t BgL_arg2482z00_2059;

																										BgL_arg2482z00_2059 =
																											CAR(
																											(((BgL_ev_appz00_bglt)
																													CREF
																													(BgL_i1222z00_2014))->
																												BgL_argsz00));
																										BgL_arg2481z00_2058 =
																											BGl_compz00zz__evaluate_compz00
																											(((BgL_ev_exprz00_bglt)
																												BgL_arg2482z00_2059),
																											BgL_stkz00_186);
																									}
																									VECTOR_SET(BgL_v1615z00_2054,
																										(int) (((long) 1)),
																										BgL_arg2481z00_2058);
																								}
																								VECTOR_SET(BgL_v1615z00_2054,
																									(int) (((long) 0)),
																									BINT(((long) 11)));
																								return BgL_v1615z00_2054;
																							}
																						else
																							{	/* Eval/evaluate_comp.scm 904 */
																								obj_t BgL_v1616z00_2061;

																								BgL_v1616z00_2061 =
																									create_vector(
																									(int) (((long) 2)));
																								{	/* Eval/evaluate_comp.scm 904 */
																									obj_t BgL_arg2484z00_2062;

																									BgL_arg2484z00_2062 =
																										BGl_compz00zz__evaluate_compz00
																										(((BgL_ev_exprz00_bglt) (
																												(BgL_ev_appz00_bglt)
																												BgL_exprz00_185)),
																										BgL_stkz00_186);
																									VECTOR_SET(BgL_v1616z00_2061,
																										(int) (((long) 1)),
																										BgL_arg2484z00_2062);
																								}
																								VECTOR_SET(BgL_v1616z00_2061,
																									(int) (((long) 0)),
																									BINT(((long) 0)));
																								return BgL_v1616z00_2061;
																							}
																					}
																			}
																	}
															}
													}
											}
										}
									else
										{	/* Eval/evaluate_comp.scm 905 */
											obj_t BgL_v1617z00_2064;

											BgL_v1617z00_2064 = create_vector((int) (((long) 2)));
											{	/* Eval/evaluate_comp.scm 905 */
												obj_t BgL_arg2486z00_2065;

												BgL_arg2486z00_2065 =
													BGl_compz00zz__evaluate_compz00(
													((BgL_ev_exprz00_bglt) BgL_exprz00_185),
													BgL_stkz00_186);
												VECTOR_SET(BgL_v1617z00_2064, (int) (((long) 1)),
													BgL_arg2486z00_2065);
											}
											VECTOR_SET(BgL_v1617z00_2064,
												(int) (((long) 0)), BINT(((long) 0)));
											return BgL_v1617z00_2064;
										}
								}
						}
				}
		}
	}



/* eval-float-arith */
	double BGl_evalzd2floatzd2arithz00zz__evaluate_compz00(obj_t BgL_bcz00_187,
		obj_t BgL_sz00_188)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 907 */
			return
				REAL_TO_DOUBLE(BGl_Ez00zz__evaluate_compz00(BgL_sz00_188,
					BgL_bcz00_187));
		}
	}



/* E */
	obj_t BGl_Ez00zz__evaluate_compz00(obj_t BgL_sz00_16118, obj_t BgL_bcz00_2070)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 922 */
			{	/* Eval/evaluate_comp.scm 909 */
				obj_t BgL_aux1224z00_2073;

				BgL_aux1224z00_2073 = VECTOR_REF(BgL_bcz00_2070, (int) (((long) 0)));
				if (INTEGERP(BgL_aux1224z00_2073))
					{	/* Eval/evaluate_comp.scm 909 */
						switch ((long) CINT(BgL_aux1224z00_2073))
							{
							case ((long) 0):

								{	/* Eval/evaluate_comp.scm 910 */
									obj_t BgL_fun2490z00_2075;

									BgL_fun2490z00_2075 =
										VECTOR_REF(BgL_bcz00_2070, (int) (((long) 1)));
									return
										PROCEDURE_ENTRY(BgL_fun2490z00_2075) (BgL_fun2490z00_2075,
										BgL_sz00_16118, BEOA);
								}
								break;
							case ((long) 1):

								return VECTOR_REF(BgL_bcz00_2070, (int) (((long) 1)));
								break;
							case ((long) 2):

								{	/* Eval/evaluate_comp.scm 912 */
									long BgL_arg2491z00_2076;

									{	/* Eval/evaluate_comp.scm 912 */
										obj_t BgL_arg2492z00_2077;
										obj_t BgL_arg2493z00_2078;

										BgL_arg2492z00_2077 =
											VECTOR_REF(BgL_sz00_16118, (int) (((long) 0)));
										BgL_arg2493z00_2078 =
											VECTOR_REF(BgL_bcz00_2070, (int) (((long) 1)));
										BgL_arg2491z00_2076 =
											(
											(long) CINT(BgL_arg2492z00_2077) +
											(long) CINT(BgL_arg2493z00_2078));
									}
									return
										VECTOR_REF(BgL_sz00_16118, (int) (BgL_arg2491z00_2076));
								} break;
							case ((long) 3):

								{	/* Eval/evaluate_comp.scm 913 */
									obj_t BgL_arg2494z00_2079;

									{	/* Eval/evaluate_comp.scm 913 */
										long BgL_arg2495z00_2080;

										{	/* Eval/evaluate_comp.scm 913 */
											obj_t BgL_arg2496z00_2081;
											obj_t BgL_arg2497z00_2082;

											BgL_arg2496z00_2081 =
												VECTOR_REF(BgL_sz00_16118, (int) (((long) 0)));
											BgL_arg2497z00_2082 =
												VECTOR_REF(BgL_sz00_16118, (int) (((long) 1)));
											BgL_arg2495z00_2080 =
												(
												(long) CINT(BgL_arg2496z00_2081) +
												(long) CINT(BgL_arg2497z00_2082));
										}
										BgL_arg2494z00_2079 =
											VECTOR_REF(BgL_sz00_16118, (int) (BgL_arg2495z00_2080));
									}
									return STRUCT_REF(BgL_arg2494z00_2079, (int) (((long) 0)));
								} break;
							case ((long) 4):

								{	/* Eval/evaluate_comp.scm 914 */
									obj_t BgL_arg2498z00_2083;

									{	/* Eval/evaluate_comp.scm 914 */
										obj_t BgL_arg2500z00_2084;

										BgL_arg2500z00_2084 =
											VECTOR_REF(BgL_bcz00_2070, (int) (((long) 1)));
										BgL_arg2498z00_2083 =
											VECTOR_REF(BgL_arg2500z00_2084, (int) (((long) 2)));
									}
									return __EVMEANING_ADDRESS_REF(BgL_arg2498z00_2083);
								}
								break;
							case ((long) 5):

								{	/* Eval/evaluate_comp.scm 915 */
									obj_t BgL_arg2501z00_2085;

									BgL_arg2501z00_2085 =
										VECTOR_REF(BgL_bcz00_2070, (int) (((long) 1)));
									return VECTOR_REF(BgL_arg2501z00_2085, (int) (((long) 2)));
								} break;
							case ((long) 6):

								{	/* Eval/evaluate_comp.scm 916 */
									obj_t BgL_arg2502z00_2086;
									obj_t BgL_arg2503z00_2087;

									BgL_arg2502z00_2086 =
										BGl_Ez00zz__evaluate_compz00(BgL_sz00_16118,
										VECTOR_REF(BgL_bcz00_2070, (int) (((long) 1))));
									BgL_arg2503z00_2087 =
										BGl_Ez00zz__evaluate_compz00(BgL_sz00_16118,
										VECTOR_REF(BgL_bcz00_2070, (int) (((long) 2))));
									return
										DOUBLE_TO_REAL(
										(REAL_TO_DOUBLE(BgL_arg2502z00_2086) +
											REAL_TO_DOUBLE(BgL_arg2503z00_2087)));
								}
								break;
							case ((long) 7):

								{	/* Eval/evaluate_comp.scm 917 */
									obj_t BgL_arg2506z00_2090;
									obj_t BgL_arg2507z00_2091;

									BgL_arg2506z00_2090 =
										BGl_Ez00zz__evaluate_compz00(BgL_sz00_16118,
										VECTOR_REF(BgL_bcz00_2070, (int) (((long) 1))));
									BgL_arg2507z00_2091 =
										BGl_Ez00zz__evaluate_compz00(BgL_sz00_16118,
										VECTOR_REF(BgL_bcz00_2070, (int) (((long) 2))));
									return
										DOUBLE_TO_REAL(
										(REAL_TO_DOUBLE(BgL_arg2506z00_2090) -
											REAL_TO_DOUBLE(BgL_arg2507z00_2091)));
								}
								break;
							case ((long) 8):

								{	/* Eval/evaluate_comp.scm 918 */
									obj_t BgL_arg2510z00_2094;
									obj_t BgL_arg2511z00_2095;

									BgL_arg2510z00_2094 =
										BGl_Ez00zz__evaluate_compz00(BgL_sz00_16118,
										VECTOR_REF(BgL_bcz00_2070, (int) (((long) 1))));
									BgL_arg2511z00_2095 =
										BGl_Ez00zz__evaluate_compz00(BgL_sz00_16118,
										VECTOR_REF(BgL_bcz00_2070, (int) (((long) 2))));
									return
										DOUBLE_TO_REAL(
										(REAL_TO_DOUBLE(BgL_arg2510z00_2094) *
											REAL_TO_DOUBLE(BgL_arg2511z00_2095)));
								}
								break;
							case ((long) 9):

								{	/* Eval/evaluate_comp.scm 919 */
									obj_t BgL_arg2514z00_2098;
									obj_t BgL_arg2515z00_2099;

									BgL_arg2514z00_2098 =
										BGl_Ez00zz__evaluate_compz00(BgL_sz00_16118,
										VECTOR_REF(BgL_bcz00_2070, (int) (((long) 1))));
									BgL_arg2515z00_2099 =
										BGl_Ez00zz__evaluate_compz00(BgL_sz00_16118,
										VECTOR_REF(BgL_bcz00_2070, (int) (((long) 2))));
									return
										DOUBLE_TO_REAL(
										(REAL_TO_DOUBLE(BgL_arg2514z00_2098) /
											REAL_TO_DOUBLE(BgL_arg2515z00_2099)));
								}
								break;
							case ((long) 10):

								{	/* Eval/evaluate_comp.scm 920 */
									obj_t BgL_arg2518z00_2102;

									{	/* Eval/evaluate_comp.scm 920 */
										obj_t BgL_fun2519z00_2103;

										BgL_fun2519z00_2103 =
											VECTOR_REF(BgL_bcz00_2070, (int) (((long) 1)));
										BgL_arg2518z00_2102 =
											PROCEDURE_ENTRY(BgL_fun2519z00_2103) (BgL_fun2519z00_2103,
											BgL_sz00_16118, BEOA);
									}
									return
										DOUBLE_TO_REAL((double) ((long) CINT(BgL_arg2518z00_2102)));
								} break;
							case ((long) 11):

								{	/* Eval/evaluate_comp.scm 921 */
									obj_t BgL_arg2520z00_2104;
									obj_t BgL_arg2522z00_2105;

									{	/* Eval/evaluate_comp.scm 921 */
										obj_t BgL_fun2523z00_2106;

										BgL_fun2523z00_2106 =
											VECTOR_REF(BgL_bcz00_2070, (int) (((long) 1)));
										BgL_arg2520z00_2104 =
											PROCEDURE_ENTRY(BgL_fun2523z00_2106) (BgL_fun2523z00_2106,
											BgL_sz00_16118, BEOA);
									}
									{	/* Eval/evaluate_comp.scm 921 */
										obj_t BgL_fun2524z00_2107;

										BgL_fun2524z00_2107 =
											VECTOR_REF(BgL_bcz00_2070, (int) (((long) 2)));
										BgL_arg2522z00_2105 =
											PROCEDURE_ENTRY(BgL_fun2524z00_2107) (BgL_fun2524z00_2107,
											BgL_sz00_16118, BEOA);
									}
									{	/* Eval/evaluate_comp.scm 921 */
										double BgL_auxz00_19272;

										{	/* Eval/evaluate_comp.scm 921 */
											long BgL_auxz00_19273;

											BgL_auxz00_19273 = (long) CINT(BgL_arg2522z00_2105);
											BgL_auxz00_19272 =
												BGL_F64VREF(BgL_arg2520z00_2104, BgL_auxz00_19273);
										}
										return DOUBLE_TO_REAL(BgL_auxz00_19272);
									}
								}
								break;
							default:
								return
									BGl_errorz00zz__errorz00
									(BGl_string5552z00zz__evaluate_compz00,
									BGl_string5571z00zz__evaluate_compz00,
									VECTOR_REF(BgL_bcz00_2070, (int) (((long) 0))));
					}}
				else
					{	/* Eval/evaluate_comp.scm 909 */
						return
							BGl_errorz00zz__errorz00(BGl_string5552z00zz__evaluate_compz00,
							BGl_string5571z00zz__evaluate_compz00, VECTOR_REF(BgL_bcz00_2070,
								(int) (((long) 0))));
		}}}
	}



/* arith-expression */
	obj_t BGl_arithzd2expressionzd2zz__evaluate_compz00(BgL_ev_appz00_bglt
		BgL_exprz00_189, obj_t BgL_stkz00_190)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 925 */
			{	/* Eval/evaluate_comp.scm 927 */
				obj_t BgL_fvalz00_2111;

				BgL_fvalz00_2111 =
					BGl_globalzd2funzd2valuez00zz__evaluate_compz00(
					(((BgL_ev_appz00_bglt) CREF(BgL_exprz00_189))->BgL_funz00));
				{	/* Eval/evaluate_comp.scm 928 */
					bool_t BgL_testz00_19287;

					if (
						(BgL_fvalz00_2111 ==
							BGl_zb2flzd2envz60zz__r4_numbers_6_5_flonumz00))
						{	/* Eval/evaluate_comp.scm 928 */
							BgL_testz00_19287 = ((bool_t) 1);
						}
					else
						{	/* Eval/evaluate_comp.scm 928 */
							if (
								(BgL_fvalz00_2111 ==
									BGl_zd2flzd2envz00zz__r4_numbers_6_5_flonumz00))
								{	/* Eval/evaluate_comp.scm 928 */
									BgL_testz00_19287 = ((bool_t) 1);
								}
							else
								{	/* Eval/evaluate_comp.scm 928 */
									if (
										(BgL_fvalz00_2111 ==
											BGl_za2flzd2envz70zz__r4_numbers_6_5_flonumz00))
										{	/* Eval/evaluate_comp.scm 928 */
											BgL_testz00_19287 = ((bool_t) 1);
										}
									else
										{	/* Eval/evaluate_comp.scm 928 */
											BgL_testz00_19287 =
												(BgL_fvalz00_2111 ==
												BGl_zf2flzd2envz20zz__r4_numbers_6_5_flonumz00);
										}
								}
						}
					if (BgL_testz00_19287)
						{	/* Eval/evaluate_comp.scm 929 */
							obj_t BgL_bcz00_2113;

							BgL_bcz00_2113 =
								BGl_compilezd2floatzd2arithz00zz__evaluate_compz00(
								((obj_t) BgL_exprz00_189), BgL_stkz00_190);
							{	/* Eval/evaluate_comp.scm 930 */
								obj_t BgL_zc3anonymousza32527ze3z83_14271;

								BgL_zc3anonymousza32527ze3z83_14271 =
									MAKE_FX_PROCEDURE
									(BGl_z62zc3anonymousza32527ze3ze1zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 1)));
								PROCEDURE_SET(BgL_zc3anonymousza32527ze3z83_14271,
									(int) (((long) 0)), BgL_bcz00_2113);
								return BgL_zc3anonymousza32527ze3z83_14271;
							}
						}
					else
						{	/* Eval/evaluate_comp.scm 928 */
							return BFALSE;
						}
				}
			}
		}
	}



/* &<anonymous:2527> */
	obj_t BGl_z62zc3anonymousza32527ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_14272, obj_t BgL_sz00_14274)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 930 */
			{	/* Eval/evaluate_comp.scm 930 */
				obj_t BgL_bcz00_14273;

				BgL_bcz00_14273 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14272, (int) (((long) 0))));
				{
					obj_t BgL_sz00_2114;

					{	/* Eval/evaluate_comp.scm 930 */
						double BgL_auxz00_19305;

						BgL_sz00_2114 = BgL_sz00_14274;
						{	/* Eval/evaluate_comp.scm 930 */
							obj_t BgL_bpz00_8260;

							BgL_bpz00_8260 = VECTOR_REF(BgL_sz00_2114, (int) (((long) 0)));
							BgL_auxz00_19305 =
								BGl_evalzd2floatzd2arithz00zz__evaluate_compz00(BgL_bcz00_14273,
								BgL_sz00_2114);
						}
						return DOUBLE_TO_REAL(BgL_auxz00_19305);
					}
				}
			}
		}
	}



/* inline-call */
	obj_t BGl_inlinezd2callzd2zz__evaluate_compz00(obj_t BgL_locz00_191,
		BgL_ev_exprz00_bglt BgL_funz00_192, obj_t BgL_argsz00_193,
		obj_t BgL_stkz00_194)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 956 */
			{	/* Eval/evaluate_comp.scm 957 */
				obj_t BgL_valz00_2121;

				BgL_valz00_2121 =
					BGl_globalzd2funzd2valuez00zz__evaluate_compz00(BgL_funz00_192);
				if (CBOOL(BgL_valz00_2121))
					{	/* Eval/evaluate_comp.scm 959 */
						long BgL_nz00_2122;

						BgL_nz00_2122 = bgl_list_length(BgL_argsz00_193);
						{	/* Eval/evaluate_comp.scm 960 */
							obj_t BgL__ortest_1230z00_2123;

							if ((BgL_nz00_2122 == ((long) 1)))
								{	/* Eval/evaluate_comp.scm 961 */
									obj_t BgL_a1z00_2414;

									BgL_a1z00_2414 = CAR(BgL_argsz00_193);
									if (
										(BgL_valz00_2121 ==
											BGl_carzd2envzd2zz__r4_pairs_and_lists_6_3z00))
										{	/* Eval/evaluate_comp.scm 962 */
											obj_t BgL_a1z00_2416;

											BgL_a1z00_2416 =
												BGl_compz00zz__evaluate_compz00(
												((BgL_ev_exprz00_bglt) BgL_a1z00_2414), BgL_stkz00_194);
											{	/* Eval/evaluate_comp.scm 962 */
												obj_t BgL_zc3anonymousza32647ze3z83_14304;

												BgL_zc3anonymousza32647ze3z83_14304 =
													MAKE_FX_PROCEDURE
													(BGl_z62zc3anonymousza32647ze3ze1zz__evaluate_compz00,
													(int) (((long) 1)), (int) (((long) 2)));
												PROCEDURE_SET(BgL_zc3anonymousza32647ze3z83_14304,
													(int) (((long) 0)), BgL_a1z00_2416);
												PROCEDURE_SET(BgL_zc3anonymousza32647ze3z83_14304,
													(int) (((long) 1)), BgL_locz00_191);
												BgL__ortest_1230z00_2123 =
													BgL_zc3anonymousza32647ze3z83_14304;
										}}
									else
										{	/* Eval/evaluate_comp.scm 962 */
											if (
												(BgL_valz00_2121 ==
													BGl_cdrzd2envzd2zz__r4_pairs_and_lists_6_3z00))
												{	/* Eval/evaluate_comp.scm 962 */
													obj_t BgL_a1z00_2423;

													BgL_a1z00_2423 =
														BGl_compz00zz__evaluate_compz00(
														((BgL_ev_exprz00_bglt) BgL_a1z00_2414),
														BgL_stkz00_194);
													{	/* Eval/evaluate_comp.scm 962 */
														obj_t BgL_zc3anonymousza32650ze3z83_14305;

														BgL_zc3anonymousza32650ze3z83_14305 =
															MAKE_FX_PROCEDURE
															(BGl_z62zc3anonymousza32650ze3ze1zz__evaluate_compz00,
															(int) (((long) 1)), (int) (((long) 2)));
														PROCEDURE_SET(BgL_zc3anonymousza32650ze3z83_14305,
															(int) (((long) 0)), BgL_a1z00_2423);
														PROCEDURE_SET(BgL_zc3anonymousza32650ze3z83_14305,
															(int) (((long) 1)), BgL_locz00_191);
														BgL__ortest_1230z00_2123 =
															BgL_zc3anonymousza32650ze3z83_14305;
												}}
											else
												{	/* Eval/evaluate_comp.scm 962 */
													if (
														(BgL_valz00_2121 ==
															BGl_cadrzd2envzd2zz__r4_pairs_and_lists_6_3z00))
														{	/* Eval/evaluate_comp.scm 962 */
															obj_t BgL_a1z00_2430;

															BgL_a1z00_2430 =
																BGl_compz00zz__evaluate_compz00(
																((BgL_ev_exprz00_bglt) BgL_a1z00_2414),
																BgL_stkz00_194);
															{	/* Eval/evaluate_comp.scm 962 */
																obj_t BgL_zc3anonymousza32653ze3z83_14306;

																BgL_zc3anonymousza32653ze3z83_14306 =
																	MAKE_FX_PROCEDURE
																	(BGl_z62zc3anonymousza32653ze3ze1zz__evaluate_compz00,
																	(int) (((long) 1)), (int) (((long) 2)));
																PROCEDURE_SET
																	(BgL_zc3anonymousza32653ze3z83_14306,
																	(int) (((long) 0)), BgL_a1z00_2430);
																PROCEDURE_SET
																	(BgL_zc3anonymousza32653ze3z83_14306,
																	(int) (((long) 1)), BgL_locz00_191);
																BgL__ortest_1230z00_2123 =
																	BgL_zc3anonymousza32653ze3z83_14306;
														}}
													else
														{	/* Eval/evaluate_comp.scm 962 */
															BgL__ortest_1230z00_2123 = BFALSE;
														}
												}
										}
								}
							else
								{	/* Eval/evaluate_comp.scm 960 */
									BgL__ortest_1230z00_2123 = BFALSE;
								}
							if (CBOOL(BgL__ortest_1230z00_2123))
								{	/* Eval/evaluate_comp.scm 960 */
									return BgL__ortest_1230z00_2123;
								}
							else
								{	/* Eval/evaluate_comp.scm 960 */
									if ((BgL_nz00_2122 == ((long) 2)))
										{	/* Eval/evaluate_comp.scm 964 */
											obj_t BgL_a1z00_2125;
											obj_t BgL_a2z00_2126;

											BgL_a1z00_2125 = CAR(BgL_argsz00_193);
											{	/* Eval/evaluate_comp.scm 964 */
												obj_t BgL_pairz00_8295;

												BgL_pairz00_8295 = BgL_argsz00_193;
												BgL_a2z00_2126 = CAR(CDR(BgL_pairz00_8295));
											}
											if (
												(BgL_valz00_2121 ==
													BGl_zb2zd2envz60zz__r4_numbers_6_5z00))
												{	/* Eval/evaluate_comp.scm 965 */
													obj_t BgL_a1z00_2128;
													obj_t BgL_a2z00_2129;

													BgL_a1z00_2128 =
														BGl_compz00zz__evaluate_compz00(
														((BgL_ev_exprz00_bglt) BgL_a1z00_2125),
														BgL_stkz00_194);
													BgL_a2z00_2129 =
														BGl_compz00zz__evaluate_compz00((
															(BgL_ev_exprz00_bglt) BgL_a2z00_2126),
														BgL_stkz00_194);
													{	/* Eval/evaluate_comp.scm 965 */
														obj_t BgL_zc3anonymousza32534ze3z83_14275;

														BgL_zc3anonymousza32534ze3z83_14275 =
															MAKE_FX_PROCEDURE
															(BGl_z62zc3anonymousza32534ze3ze1zz__evaluate_compz00,
															(int) (((long) 1)), (int) (((long) 3)));
														PROCEDURE_SET(BgL_zc3anonymousza32534ze3z83_14275,
															(int) (((long) 0)), BgL_a1z00_2128);
														PROCEDURE_SET(BgL_zc3anonymousza32534ze3z83_14275,
															(int) (((long) 1)), BgL_a2z00_2129);
														PROCEDURE_SET(BgL_zc3anonymousza32534ze3z83_14275,
															(int) (((long) 2)), BgL_locz00_191);
														return BgL_zc3anonymousza32534ze3z83_14275;
													}
												}
											else
												{	/* Eval/evaluate_comp.scm 965 */
													if (
														(BgL_valz00_2121 ==
															BGl_zd2zd2envz00zz__r4_numbers_6_5z00))
														{	/* Eval/evaluate_comp.scm 965 */
															obj_t BgL_a1z00_2138;
															obj_t BgL_a2z00_2139;

															BgL_a1z00_2138 =
																BGl_compz00zz__evaluate_compz00(
																((BgL_ev_exprz00_bglt) BgL_a1z00_2125),
																BgL_stkz00_194);
															BgL_a2z00_2139 =
																BGl_compz00zz__evaluate_compz00((
																	(BgL_ev_exprz00_bglt) BgL_a2z00_2126),
																BgL_stkz00_194);
															{	/* Eval/evaluate_comp.scm 965 */
																obj_t BgL_zc3anonymousza32538ze3z83_14276;

																BgL_zc3anonymousza32538ze3z83_14276 =
																	MAKE_FX_PROCEDURE
																	(BGl_z62zc3anonymousza32538ze3ze1zz__evaluate_compz00,
																	(int) (((long) 1)), (int) (((long) 3)));
																PROCEDURE_SET
																	(BgL_zc3anonymousza32538ze3z83_14276,
																	(int) (((long) 0)), BgL_a1z00_2138);
																PROCEDURE_SET
																	(BgL_zc3anonymousza32538ze3z83_14276,
																	(int) (((long) 1)), BgL_a2z00_2139);
																PROCEDURE_SET
																	(BgL_zc3anonymousza32538ze3z83_14276,
																	(int) (((long) 2)), BgL_locz00_191);
																return BgL_zc3anonymousza32538ze3z83_14276;
															}
														}
													else
														{	/* Eval/evaluate_comp.scm 965 */
															if (
																(BgL_valz00_2121 ==
																	BGl_za2zd2envz70zz__r4_numbers_6_5z00))
																{	/* Eval/evaluate_comp.scm 965 */
																	obj_t BgL_a1z00_2148;
																	obj_t BgL_a2z00_2149;

																	BgL_a1z00_2148 =
																		BGl_compz00zz__evaluate_compz00(
																		((BgL_ev_exprz00_bglt) BgL_a1z00_2125),
																		BgL_stkz00_194);
																	BgL_a2z00_2149 =
																		BGl_compz00zz__evaluate_compz00((
																			(BgL_ev_exprz00_bglt) BgL_a2z00_2126),
																		BgL_stkz00_194);
																	{	/* Eval/evaluate_comp.scm 965 */
																		obj_t BgL_zc3anonymousza32542ze3z83_14277;

																		BgL_zc3anonymousza32542ze3z83_14277 =
																			MAKE_FX_PROCEDURE
																			(BGl_z62zc3anonymousza32542ze3ze1zz__evaluate_compz00,
																			(int) (((long) 1)), (int) (((long) 3)));
																		PROCEDURE_SET
																			(BgL_zc3anonymousza32542ze3z83_14277,
																			(int) (((long) 0)), BgL_a1z00_2148);
																		PROCEDURE_SET
																			(BgL_zc3anonymousza32542ze3z83_14277,
																			(int) (((long) 1)), BgL_a2z00_2149);
																		PROCEDURE_SET
																			(BgL_zc3anonymousza32542ze3z83_14277,
																			(int) (((long) 2)), BgL_locz00_191);
																		return BgL_zc3anonymousza32542ze3z83_14277;
																	}
																}
															else
																{	/* Eval/evaluate_comp.scm 965 */
																	if (
																		(BgL_valz00_2121 ==
																			BGl_zf2zd2envz20zz__r4_numbers_6_5z00))
																		{	/* Eval/evaluate_comp.scm 965 */
																			obj_t BgL_a1z00_2158;
																			obj_t BgL_a2z00_2159;

																			BgL_a1z00_2158 =
																				BGl_compz00zz__evaluate_compz00(
																				((BgL_ev_exprz00_bglt) BgL_a1z00_2125),
																				BgL_stkz00_194);
																			BgL_a2z00_2159 =
																				BGl_compz00zz__evaluate_compz00((
																					(BgL_ev_exprz00_bglt) BgL_a2z00_2126),
																				BgL_stkz00_194);
																			{	/* Eval/evaluate_comp.scm 965 */
																				obj_t
																					BgL_zc3anonymousza32546ze3z83_14278;
																				BgL_zc3anonymousza32546ze3z83_14278 =
																					MAKE_FX_PROCEDURE
																					(BGl_z62zc3anonymousza32546ze3ze1zz__evaluate_compz00,
																					(int) (((long) 1)),
																					(int) (((long) 3)));
																				PROCEDURE_SET
																					(BgL_zc3anonymousza32546ze3z83_14278,
																					(int) (((long) 0)), BgL_a1z00_2158);
																				PROCEDURE_SET
																					(BgL_zc3anonymousza32546ze3z83_14278,
																					(int) (((long) 1)), BgL_a2z00_2159);
																				PROCEDURE_SET
																					(BgL_zc3anonymousza32546ze3z83_14278,
																					(int) (((long) 2)), BgL_locz00_191);
																				return
																					BgL_zc3anonymousza32546ze3z83_14278;
																			}
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 965 */
																			if (
																				(BgL_valz00_2121 ==
																					BGl_zc3zd2envz11zz__r4_numbers_6_5z00))
																				{	/* Eval/evaluate_comp.scm 965 */
																					obj_t BgL_a1z00_2168;
																					obj_t BgL_a2z00_2169;

																					BgL_a1z00_2168 =
																						BGl_compz00zz__evaluate_compz00(
																						((BgL_ev_exprz00_bglt)
																							BgL_a1z00_2125), BgL_stkz00_194);
																					BgL_a2z00_2169 =
																						BGl_compz00zz__evaluate_compz00((
																							(BgL_ev_exprz00_bglt)
																							BgL_a2z00_2126), BgL_stkz00_194);
																					{	/* Eval/evaluate_comp.scm 965 */
																						obj_t
																							BgL_zc3anonymousza32550ze3z83_14279;
																						BgL_zc3anonymousza32550ze3z83_14279
																							=
																							MAKE_FX_PROCEDURE
																							(BGl_z62zc3anonymousza32550ze3ze1zz__evaluate_compz00,
																							(int) (((long) 1)),
																							(int) (((long) 3)));
																						PROCEDURE_SET
																							(BgL_zc3anonymousza32550ze3z83_14279,
																							(int) (((long) 0)),
																							BgL_a1z00_2168);
																						PROCEDURE_SET
																							(BgL_zc3anonymousza32550ze3z83_14279,
																							(int) (((long) 1)),
																							BgL_a2z00_2169);
																						PROCEDURE_SET
																							(BgL_zc3anonymousza32550ze3z83_14279,
																							(int) (((long) 2)),
																							BgL_locz00_191);
																						return
																							BgL_zc3anonymousza32550ze3z83_14279;
																					}
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 965 */
																					if (
																						(BgL_valz00_2121 ==
																							BGl_ze3zd2envz31zz__r4_numbers_6_5z00))
																						{	/* Eval/evaluate_comp.scm 965 */
																							obj_t BgL_a1z00_2178;
																							obj_t BgL_a2z00_2179;

																							BgL_a1z00_2178 =
																								BGl_compz00zz__evaluate_compz00(
																								((BgL_ev_exprz00_bglt)
																									BgL_a1z00_2125),
																								BgL_stkz00_194);
																							BgL_a2z00_2179 =
																								BGl_compz00zz__evaluate_compz00(
																								((BgL_ev_exprz00_bglt)
																									BgL_a2z00_2126),
																								BgL_stkz00_194);
																							{	/* Eval/evaluate_comp.scm 965 */
																								obj_t
																									BgL_zc3anonymousza32554ze3z83_14280;
																								BgL_zc3anonymousza32554ze3z83_14280
																									=
																									MAKE_FX_PROCEDURE
																									(BGl_z62zc3anonymousza32554ze3ze1zz__evaluate_compz00,
																									(int) (((long) 1)),
																									(int) (((long) 3)));
																								PROCEDURE_SET
																									(BgL_zc3anonymousza32554ze3z83_14280,
																									(int) (((long) 0)),
																									BgL_a1z00_2178);
																								PROCEDURE_SET
																									(BgL_zc3anonymousza32554ze3z83_14280,
																									(int) (((long) 1)),
																									BgL_a2z00_2179);
																								PROCEDURE_SET
																									(BgL_zc3anonymousza32554ze3z83_14280,
																									(int) (((long) 2)),
																									BgL_locz00_191);
																								return
																									BgL_zc3anonymousza32554ze3z83_14280;
																							}
																						}
																					else
																						{	/* Eval/evaluate_comp.scm 965 */
																							if (
																								(BgL_valz00_2121 ==
																									BGl_zc3zd3zd2envzc2zz__r4_numbers_6_5z00))
																								{	/* Eval/evaluate_comp.scm 965 */
																									obj_t BgL_a1z00_2188;
																									obj_t BgL_a2z00_2189;

																									BgL_a1z00_2188 =
																										BGl_compz00zz__evaluate_compz00
																										(((BgL_ev_exprz00_bglt)
																											BgL_a1z00_2125),
																										BgL_stkz00_194);
																									BgL_a2z00_2189 =
																										BGl_compz00zz__evaluate_compz00
																										(((BgL_ev_exprz00_bglt)
																											BgL_a2z00_2126),
																										BgL_stkz00_194);
																									{	/* Eval/evaluate_comp.scm 965 */
																										obj_t
																											BgL_zc3anonymousza32558ze3z83_14281;
																										BgL_zc3anonymousza32558ze3z83_14281
																											=
																											MAKE_FX_PROCEDURE
																											(BGl_z62zc3anonymousza32558ze3ze1zz__evaluate_compz00,
																											(int) (((long) 1)),
																											(int) (((long) 3)));
																										PROCEDURE_SET
																											(BgL_zc3anonymousza32558ze3z83_14281,
																											(int) (((long) 0)),
																											BgL_a1z00_2188);
																										PROCEDURE_SET
																											(BgL_zc3anonymousza32558ze3z83_14281,
																											(int) (((long) 1)),
																											BgL_a2z00_2189);
																										PROCEDURE_SET
																											(BgL_zc3anonymousza32558ze3z83_14281,
																											(int) (((long) 2)),
																											BgL_locz00_191);
																										return
																											BgL_zc3anonymousza32558ze3z83_14281;
																									}
																								}
																							else
																								{	/* Eval/evaluate_comp.scm 965 */
																									if (
																										(BgL_valz00_2121 ==
																											BGl_ze3zd3zd2envze2zz__r4_numbers_6_5z00))
																										{	/* Eval/evaluate_comp.scm 965 */
																											obj_t BgL_a1z00_2198;
																											obj_t BgL_a2z00_2199;

																											BgL_a1z00_2198 =
																												BGl_compz00zz__evaluate_compz00
																												(((BgL_ev_exprz00_bglt)
																													BgL_a1z00_2125),
																												BgL_stkz00_194);
																											BgL_a2z00_2199 =
																												BGl_compz00zz__evaluate_compz00
																												(((BgL_ev_exprz00_bglt)
																													BgL_a2z00_2126),
																												BgL_stkz00_194);
																											{	/* Eval/evaluate_comp.scm 965 */
																												obj_t
																													BgL_zc3anonymousza32562ze3z83_14282;
																												BgL_zc3anonymousza32562ze3z83_14282
																													=
																													MAKE_FX_PROCEDURE
																													(BGl_z62zc3anonymousza32562ze3ze1zz__evaluate_compz00,
																													(int) (((long) 1)),
																													(int) (((long) 3)));
																												PROCEDURE_SET
																													(BgL_zc3anonymousza32562ze3z83_14282,
																													(int) (((long) 0)),
																													BgL_a1z00_2198);
																												PROCEDURE_SET
																													(BgL_zc3anonymousza32562ze3z83_14282,
																													(int) (((long) 1)),
																													BgL_a2z00_2199);
																												PROCEDURE_SET
																													(BgL_zc3anonymousza32562ze3z83_14282,
																													(int) (((long) 2)),
																													BgL_locz00_191);
																												return
																													BgL_zc3anonymousza32562ze3z83_14282;
																											}
																										}
																									else
																										{	/* Eval/evaluate_comp.scm 965 */
																											if (
																												(BgL_valz00_2121 ==
																													BGl_zd3zd2envz01zz__r4_numbers_6_5z00))
																												{	/* Eval/evaluate_comp.scm 965 */
																													obj_t BgL_a1z00_2208;
																													obj_t BgL_a2z00_2209;

																													BgL_a1z00_2208 =
																														BGl_compz00zz__evaluate_compz00
																														(((BgL_ev_exprz00_bglt) BgL_a1z00_2125), BgL_stkz00_194);
																													BgL_a2z00_2209 =
																														BGl_compz00zz__evaluate_compz00
																														(((BgL_ev_exprz00_bglt) BgL_a2z00_2126), BgL_stkz00_194);
																													{	/* Eval/evaluate_comp.scm 965 */
																														obj_t
																															BgL_zc3anonymousza32566ze3z83_14283;
																														BgL_zc3anonymousza32566ze3z83_14283
																															=
																															MAKE_FX_PROCEDURE
																															(BGl_z62zc3anonymousza32566ze3ze1zz__evaluate_compz00,
																															(int) (((long)
																																	1)),
																															(int) (((long)
																																	3)));
																														PROCEDURE_SET
																															(BgL_zc3anonymousza32566ze3z83_14283,
																															(int) (((long)
																																	0)),
																															BgL_a1z00_2208);
																														PROCEDURE_SET
																															(BgL_zc3anonymousza32566ze3z83_14283,
																															(int) (((long)
																																	1)),
																															BgL_a2z00_2209);
																														PROCEDURE_SET
																															(BgL_zc3anonymousza32566ze3z83_14283,
																															(int) (((long)
																																	2)),
																															BgL_locz00_191);
																														return
																															BgL_zc3anonymousza32566ze3z83_14283;
																													}
																												}
																											else
																												{	/* Eval/evaluate_comp.scm 965 */
																													if (
																														(BgL_valz00_2121 ==
																															BGl_zb2fxzd2envz60zz__r4_numbers_6_5_fixnumz00))
																														{	/* Eval/evaluate_comp.scm 965 */
																															obj_t
																																BgL_a1z00_2218;
																															obj_t
																																BgL_a2z00_2219;
																															BgL_a1z00_2218 =
																																BGl_compz00zz__evaluate_compz00
																																(((BgL_ev_exprz00_bglt) BgL_a1z00_2125), BgL_stkz00_194);
																															BgL_a2z00_2219 =
																																BGl_compz00zz__evaluate_compz00
																																(((BgL_ev_exprz00_bglt) BgL_a2z00_2126), BgL_stkz00_194);
																															{	/* Eval/evaluate_comp.scm 965 */
																																obj_t
																																	BgL_zc3anonymousza32570ze3z83_14284;
																																BgL_zc3anonymousza32570ze3z83_14284
																																	=
																																	MAKE_FX_PROCEDURE
																																	(BGl_z62zc3anonymousza32570ze3ze1zz__evaluate_compz00,
																																	(int) (((long)
																																			1)),
																																	(int) (((long)
																																			3)));
																																PROCEDURE_SET
																																	(BgL_zc3anonymousza32570ze3z83_14284,
																																	(int) (((long)
																																			0)),
																																	BgL_a1z00_2218);
																																PROCEDURE_SET
																																	(BgL_zc3anonymousza32570ze3z83_14284,
																																	(int) (((long)
																																			1)),
																																	BgL_a2z00_2219);
																																PROCEDURE_SET
																																	(BgL_zc3anonymousza32570ze3z83_14284,
																																	(int) (((long)
																																			2)),
																																	BgL_locz00_191);
																																return
																																	BgL_zc3anonymousza32570ze3z83_14284;
																															}
																														}
																													else
																														{	/* Eval/evaluate_comp.scm 965 */
																															if (
																																(BgL_valz00_2121
																																	==
																																	BGl_zd2fxzd2envz00zz__r4_numbers_6_5_fixnumz00))
																																{	/* Eval/evaluate_comp.scm 965 */
																																	obj_t
																																		BgL_a1z00_2228;
																																	obj_t
																																		BgL_a2z00_2229;
																																	BgL_a1z00_2228
																																		=
																																		BGl_compz00zz__evaluate_compz00
																																		(((BgL_ev_exprz00_bglt) BgL_a1z00_2125), BgL_stkz00_194);
																																	BgL_a2z00_2229
																																		=
																																		BGl_compz00zz__evaluate_compz00
																																		(((BgL_ev_exprz00_bglt) BgL_a2z00_2126), BgL_stkz00_194);
																																	{	/* Eval/evaluate_comp.scm 965 */
																																		obj_t
																																			BgL_zc3anonymousza32574ze3z83_14285;
																																		BgL_zc3anonymousza32574ze3z83_14285
																																			=
																																			MAKE_FX_PROCEDURE
																																			(BGl_z62zc3anonymousza32574ze3ze1zz__evaluate_compz00,
																																			(int) ((
																																					(long)
																																					1)),
																																			(int) ((
																																					(long)
																																					3)));
																																		PROCEDURE_SET
																																			(BgL_zc3anonymousza32574ze3z83_14285,
																																			(int) ((
																																					(long)
																																					0)),
																																			BgL_a1z00_2228);
																																		PROCEDURE_SET
																																			(BgL_zc3anonymousza32574ze3z83_14285,
																																			(int) ((
																																					(long)
																																					1)),
																																			BgL_a2z00_2229);
																																		PROCEDURE_SET
																																			(BgL_zc3anonymousza32574ze3z83_14285,
																																			(int) ((
																																					(long)
																																					2)),
																																			BgL_locz00_191);
																																		return
																																			BgL_zc3anonymousza32574ze3z83_14285;
																																	}
																																}
																															else
																																{	/* Eval/evaluate_comp.scm 965 */
																																	if (
																																		(BgL_valz00_2121
																																			==
																																			BGl_za2fxzd2envz70zz__r4_numbers_6_5_fixnumz00))
																																		{	/* Eval/evaluate_comp.scm 965 */
																																			obj_t
																																				BgL_a1z00_2238;
																																			obj_t
																																				BgL_a2z00_2239;
																																			BgL_a1z00_2238
																																				=
																																				BGl_compz00zz__evaluate_compz00
																																				(((BgL_ev_exprz00_bglt) BgL_a1z00_2125), BgL_stkz00_194);
																																			BgL_a2z00_2239
																																				=
																																				BGl_compz00zz__evaluate_compz00
																																				(((BgL_ev_exprz00_bglt) BgL_a2z00_2126), BgL_stkz00_194);
																																			{	/* Eval/evaluate_comp.scm 965 */
																																				obj_t
																																					BgL_zc3anonymousza32578ze3z83_14286;
																																				BgL_zc3anonymousza32578ze3z83_14286
																																					=
																																					MAKE_FX_PROCEDURE
																																					(BGl_z62zc3anonymousza32578ze3ze1zz__evaluate_compz00,
																																					(int)
																																					(((long) 1)), (int) (((long) 3)));
																																				PROCEDURE_SET
																																					(BgL_zc3anonymousza32578ze3z83_14286,
																																					(int)
																																					(((long) 0)), BgL_a1z00_2238);
																																				PROCEDURE_SET
																																					(BgL_zc3anonymousza32578ze3z83_14286,
																																					(int)
																																					(((long) 1)), BgL_a2z00_2239);
																																				PROCEDURE_SET
																																					(BgL_zc3anonymousza32578ze3z83_14286,
																																					(int)
																																					(((long) 2)), BgL_locz00_191);
																																				return
																																					BgL_zc3anonymousza32578ze3z83_14286;
																																			}
																																		}
																																	else
																																		{	/* Eval/evaluate_comp.scm 965 */
																																			if (
																																				(BgL_valz00_2121
																																					==
																																					BGl_zf2fxzd2envz20zz__r4_numbers_6_5_fixnumz00))
																																				{	/* Eval/evaluate_comp.scm 965 */
																																					obj_t
																																						BgL_a1z00_2248;
																																					obj_t
																																						BgL_a2z00_2249;
																																					BgL_a1z00_2248
																																						=
																																						BGl_compz00zz__evaluate_compz00
																																						(((BgL_ev_exprz00_bglt) BgL_a1z00_2125), BgL_stkz00_194);
																																					BgL_a2z00_2249
																																						=
																																						BGl_compz00zz__evaluate_compz00
																																						(((BgL_ev_exprz00_bglt) BgL_a2z00_2126), BgL_stkz00_194);
																																					{	/* Eval/evaluate_comp.scm 965 */
																																						obj_t
																																							BgL_zc3anonymousza32582ze3z83_14287;
																																						BgL_zc3anonymousza32582ze3z83_14287
																																							=
																																							MAKE_FX_PROCEDURE
																																							(BGl_z62zc3anonymousza32582ze3ze1zz__evaluate_compz00,
																																							(int)
																																							(((long) 1)), (int) (((long) 3)));
																																						PROCEDURE_SET
																																							(BgL_zc3anonymousza32582ze3z83_14287,
																																							(int)
																																							(((long) 0)), BgL_a1z00_2248);
																																						PROCEDURE_SET
																																							(BgL_zc3anonymousza32582ze3z83_14287,
																																							(int)
																																							(((long) 1)), BgL_a2z00_2249);
																																						PROCEDURE_SET
																																							(BgL_zc3anonymousza32582ze3z83_14287,
																																							(int)
																																							(((long) 2)), BgL_locz00_191);
																																						return
																																							BgL_zc3anonymousza32582ze3z83_14287;
																																					}
																																				}
																																			else
																																				{	/* Eval/evaluate_comp.scm 965 */
																																					if (
																																						(BgL_valz00_2121
																																							==
																																							BGl_zc3fxzd2envz11zz__r4_numbers_6_5_fixnumz00))
																																						{	/* Eval/evaluate_comp.scm 965 */
																																							obj_t
																																								BgL_a1z00_2258;
																																							obj_t
																																								BgL_a2z00_2259;
																																							BgL_a1z00_2258
																																								=
																																								BGl_compz00zz__evaluate_compz00
																																								(
																																								((BgL_ev_exprz00_bglt) BgL_a1z00_2125), BgL_stkz00_194);
																																							BgL_a2z00_2259
																																								=
																																								BGl_compz00zz__evaluate_compz00
																																								(
																																								((BgL_ev_exprz00_bglt) BgL_a2z00_2126), BgL_stkz00_194);
																																							{	/* Eval/evaluate_comp.scm 965 */
																																								obj_t
																																									BgL_zc3anonymousza32586ze3z83_14288;
																																								BgL_zc3anonymousza32586ze3z83_14288
																																									=
																																									MAKE_FX_PROCEDURE
																																									(BGl_z62zc3anonymousza32586ze3ze1zz__evaluate_compz00,
																																									(int)
																																									(((long) 1)), (int) (((long) 3)));
																																								PROCEDURE_SET
																																									(BgL_zc3anonymousza32586ze3z83_14288,
																																									(int)
																																									(((long) 0)), BgL_a1z00_2258);
																																								PROCEDURE_SET
																																									(BgL_zc3anonymousza32586ze3z83_14288,
																																									(int)
																																									(((long) 1)), BgL_a2z00_2259);
																																								PROCEDURE_SET
																																									(BgL_zc3anonymousza32586ze3z83_14288,
																																									(int)
																																									(((long) 2)), BgL_locz00_191);
																																								return
																																									BgL_zc3anonymousza32586ze3z83_14288;
																																							}
																																						}
																																					else
																																						{	/* Eval/evaluate_comp.scm 965 */
																																							if ((BgL_valz00_2121 == BGl_ze3fxzd2envz31zz__r4_numbers_6_5_fixnumz00))
																																								{	/* Eval/evaluate_comp.scm 965 */
																																									obj_t
																																										BgL_a1z00_2268;
																																									obj_t
																																										BgL_a2z00_2269;
																																									BgL_a1z00_2268
																																										=
																																										BGl_compz00zz__evaluate_compz00
																																										(
																																										((BgL_ev_exprz00_bglt) BgL_a1z00_2125), BgL_stkz00_194);
																																									BgL_a2z00_2269
																																										=
																																										BGl_compz00zz__evaluate_compz00
																																										(
																																										((BgL_ev_exprz00_bglt) BgL_a2z00_2126), BgL_stkz00_194);
																																									{	/* Eval/evaluate_comp.scm 965 */
																																										obj_t
																																											BgL_zc3anonymousza32590ze3z83_14289;
																																										BgL_zc3anonymousza32590ze3z83_14289
																																											=
																																											MAKE_FX_PROCEDURE
																																											(BGl_z62zc3anonymousza32590ze3ze1zz__evaluate_compz00,
																																											(int)
																																											(((long) 1)), (int) (((long) 3)));
																																										PROCEDURE_SET
																																											(BgL_zc3anonymousza32590ze3z83_14289,
																																											(int)
																																											(((long) 0)), BgL_a1z00_2268);
																																										PROCEDURE_SET
																																											(BgL_zc3anonymousza32590ze3z83_14289,
																																											(int)
																																											(((long) 1)), BgL_a2z00_2269);
																																										PROCEDURE_SET
																																											(BgL_zc3anonymousza32590ze3z83_14289,
																																											(int)
																																											(((long) 2)), BgL_locz00_191);
																																										return
																																											BgL_zc3anonymousza32590ze3z83_14289;
																																									}
																																								}
																																							else
																																								{	/* Eval/evaluate_comp.scm 965 */
																																									if ((BgL_valz00_2121 == BGl_zc3zd3fxzd2envzc2zz__r4_numbers_6_5_fixnumz00))
																																										{	/* Eval/evaluate_comp.scm 965 */
																																											obj_t
																																												BgL_a1z00_2278;
																																											obj_t
																																												BgL_a2z00_2279;
																																											BgL_a1z00_2278
																																												=
																																												BGl_compz00zz__evaluate_compz00
																																												(
																																												((BgL_ev_exprz00_bglt) BgL_a1z00_2125), BgL_stkz00_194);
																																											BgL_a2z00_2279
																																												=
																																												BGl_compz00zz__evaluate_compz00
																																												(
																																												((BgL_ev_exprz00_bglt) BgL_a2z00_2126), BgL_stkz00_194);
																																											{	/* Eval/evaluate_comp.scm 965 */
																																												obj_t
																																													BgL_zc3anonymousza32594ze3z83_14290;
																																												BgL_zc3anonymousza32594ze3z83_14290
																																													=
																																													MAKE_FX_PROCEDURE
																																													(BGl_z62zc3anonymousza32594ze3ze1zz__evaluate_compz00,
																																													(int)
																																													(((long) 1)), (int) (((long) 3)));
																																												PROCEDURE_SET
																																													(BgL_zc3anonymousza32594ze3z83_14290,
																																													(int)
																																													(((long) 0)), BgL_a1z00_2278);
																																												PROCEDURE_SET
																																													(BgL_zc3anonymousza32594ze3z83_14290,
																																													(int)
																																													(((long) 1)), BgL_a2z00_2279);
																																												PROCEDURE_SET
																																													(BgL_zc3anonymousza32594ze3z83_14290,
																																													(int)
																																													(((long) 2)), BgL_locz00_191);
																																												return
																																													BgL_zc3anonymousza32594ze3z83_14290;
																																											}
																																										}
																																									else
																																										{	/* Eval/evaluate_comp.scm 965 */
																																											if ((BgL_valz00_2121 == BGl_ze3zd3fxzd2envze2zz__r4_numbers_6_5_fixnumz00))
																																												{	/* Eval/evaluate_comp.scm 965 */
																																													obj_t
																																														BgL_a1z00_2288;
																																													obj_t
																																														BgL_a2z00_2289;
																																													BgL_a1z00_2288
																																														=
																																														BGl_compz00zz__evaluate_compz00
																																														(
																																														((BgL_ev_exprz00_bglt) BgL_a1z00_2125), BgL_stkz00_194);
																																													BgL_a2z00_2289
																																														=
																																														BGl_compz00zz__evaluate_compz00
																																														(
																																														((BgL_ev_exprz00_bglt) BgL_a2z00_2126), BgL_stkz00_194);
																																													{	/* Eval/evaluate_comp.scm 965 */
																																														obj_t
																																															BgL_zc3anonymousza32598ze3z83_14291;
																																														BgL_zc3anonymousza32598ze3z83_14291
																																															=
																																															MAKE_FX_PROCEDURE
																																															(BGl_z62zc3anonymousza32598ze3ze1zz__evaluate_compz00,
																																															(int)
																																															(((long) 1)), (int) (((long) 3)));
																																														PROCEDURE_SET
																																															(BgL_zc3anonymousza32598ze3z83_14291,
																																															(int)
																																															(((long) 0)), BgL_a1z00_2288);
																																														PROCEDURE_SET
																																															(BgL_zc3anonymousza32598ze3z83_14291,
																																															(int)
																																															(((long) 1)), BgL_a2z00_2289);
																																														PROCEDURE_SET
																																															(BgL_zc3anonymousza32598ze3z83_14291,
																																															(int)
																																															(((long) 2)), BgL_locz00_191);
																																														return
																																															BgL_zc3anonymousza32598ze3z83_14291;
																																													}
																																												}
																																											else
																																												{	/* Eval/evaluate_comp.scm 965 */
																																													if ((BgL_valz00_2121 == BGl_zd3fxzd2envz01zz__r4_numbers_6_5_fixnumz00))
																																														{	/* Eval/evaluate_comp.scm 965 */
																																															obj_t
																																																BgL_a1z00_2298;
																																															obj_t
																																																BgL_a2z00_2299;
																																															BgL_a1z00_2298
																																																=
																																																BGl_compz00zz__evaluate_compz00
																																																(
																																																((BgL_ev_exprz00_bglt) BgL_a1z00_2125), BgL_stkz00_194);
																																															BgL_a2z00_2299
																																																=
																																																BGl_compz00zz__evaluate_compz00
																																																(
																																																((BgL_ev_exprz00_bglt) BgL_a2z00_2126), BgL_stkz00_194);
																																															{	/* Eval/evaluate_comp.scm 965 */
																																																obj_t
																																																	BgL_zc3anonymousza32602ze3z83_14292;
																																																BgL_zc3anonymousza32602ze3z83_14292
																																																	=
																																																	MAKE_FX_PROCEDURE
																																																	(BGl_z62zc3anonymousza32602ze3ze1zz__evaluate_compz00,
																																																	(int)
																																																	(((long) 1)), (int) (((long) 3)));
																																																PROCEDURE_SET
																																																	(BgL_zc3anonymousza32602ze3z83_14292,
																																																	(int)
																																																	(((long) 0)), BgL_a1z00_2298);
																																																PROCEDURE_SET
																																																	(BgL_zc3anonymousza32602ze3z83_14292,
																																																	(int)
																																																	(((long) 1)), BgL_a2z00_2299);
																																																PROCEDURE_SET
																																																	(BgL_zc3anonymousza32602ze3z83_14292,
																																																	(int)
																																																	(((long) 2)), BgL_locz00_191);
																																																return
																																																	BgL_zc3anonymousza32602ze3z83_14292;
																																															}
																																														}
																																													else
																																														{	/* Eval/evaluate_comp.scm 965 */
																																															if ((BgL_valz00_2121 == BGl_zb2flzd2envz60zz__r4_numbers_6_5_flonumz00))
																																																{	/* Eval/evaluate_comp.scm 965 */
																																																	obj_t
																																																		BgL_a1z00_2308;
																																																	obj_t
																																																		BgL_a2z00_2309;
																																																	BgL_a1z00_2308
																																																		=
																																																		BGl_compz00zz__evaluate_compz00
																																																		(
																																																		((BgL_ev_exprz00_bglt) BgL_a1z00_2125), BgL_stkz00_194);
																																																	BgL_a2z00_2309
																																																		=
																																																		BGl_compz00zz__evaluate_compz00
																																																		(
																																																		((BgL_ev_exprz00_bglt) BgL_a2z00_2126), BgL_stkz00_194);
																																																	{	/* Eval/evaluate_comp.scm 965 */
																																																		obj_t
																																																			BgL_zc3anonymousza32606ze3z83_14293;
																																																		BgL_zc3anonymousza32606ze3z83_14293
																																																			=
																																																			MAKE_FX_PROCEDURE
																																																			(BGl_z62zc3anonymousza32606ze3ze1zz__evaluate_compz00,
																																																			(int)
																																																			(((long) 1)), (int) (((long) 3)));
																																																		PROCEDURE_SET
																																																			(BgL_zc3anonymousza32606ze3z83_14293,
																																																			(int)
																																																			(((long) 0)), BgL_a1z00_2308);
																																																		PROCEDURE_SET
																																																			(BgL_zc3anonymousza32606ze3z83_14293,
																																																			(int)
																																																			(((long) 1)), BgL_a2z00_2309);
																																																		PROCEDURE_SET
																																																			(BgL_zc3anonymousza32606ze3z83_14293,
																																																			(int)
																																																			(((long) 2)), BgL_locz00_191);
																																																		return
																																																			BgL_zc3anonymousza32606ze3z83_14293;
																																																	}
																																																}
																																															else
																																																{	/* Eval/evaluate_comp.scm 965 */
																																																	if ((BgL_valz00_2121 == BGl_zd2flzd2envz00zz__r4_numbers_6_5_flonumz00))
																																																		{	/* Eval/evaluate_comp.scm 965 */
																																																			obj_t
																																																				BgL_a1z00_2318;
																																																			obj_t
																																																				BgL_a2z00_2319;
																																																			BgL_a1z00_2318
																																																				=
																																																				BGl_compz00zz__evaluate_compz00
																																																				(
																																																				((BgL_ev_exprz00_bglt) BgL_a1z00_2125), BgL_stkz00_194);
																																																			BgL_a2z00_2319
																																																				=
																																																				BGl_compz00zz__evaluate_compz00
																																																				(
																																																				((BgL_ev_exprz00_bglt) BgL_a2z00_2126), BgL_stkz00_194);
																																																			{	/* Eval/evaluate_comp.scm 965 */
																																																				obj_t
																																																					BgL_zc3anonymousza32610ze3z83_14294;
																																																				BgL_zc3anonymousza32610ze3z83_14294
																																																					=
																																																					MAKE_FX_PROCEDURE
																																																					(BGl_z62zc3anonymousza32610ze3ze1zz__evaluate_compz00,
																																																					(int)
																																																					(((long) 1)), (int) (((long) 3)));
																																																				PROCEDURE_SET
																																																					(BgL_zc3anonymousza32610ze3z83_14294,
																																																					(int)
																																																					(((long) 0)), BgL_a1z00_2318);
																																																				PROCEDURE_SET
																																																					(BgL_zc3anonymousza32610ze3z83_14294,
																																																					(int)
																																																					(((long) 1)), BgL_a2z00_2319);
																																																				PROCEDURE_SET
																																																					(BgL_zc3anonymousza32610ze3z83_14294,
																																																					(int)
																																																					(((long) 2)), BgL_locz00_191);
																																																				return
																																																					BgL_zc3anonymousza32610ze3z83_14294;
																																																			}
																																																		}
																																																	else
																																																		{	/* Eval/evaluate_comp.scm 965 */
																																																			if ((BgL_valz00_2121 == BGl_za2flzd2envz70zz__r4_numbers_6_5_flonumz00))
																																																				{	/* Eval/evaluate_comp.scm 965 */
																																																					obj_t
																																																						BgL_a1z00_2328;
																																																					obj_t
																																																						BgL_a2z00_2329;
																																																					BgL_a1z00_2328
																																																						=
																																																						BGl_compz00zz__evaluate_compz00
																																																						(
																																																						((BgL_ev_exprz00_bglt) BgL_a1z00_2125), BgL_stkz00_194);
																																																					BgL_a2z00_2329
																																																						=
																																																						BGl_compz00zz__evaluate_compz00
																																																						(
																																																						((BgL_ev_exprz00_bglt) BgL_a2z00_2126), BgL_stkz00_194);
																																																					{	/* Eval/evaluate_comp.scm 965 */
																																																						obj_t
																																																							BgL_zc3anonymousza32614ze3z83_14295;
																																																						BgL_zc3anonymousza32614ze3z83_14295
																																																							=
																																																							MAKE_FX_PROCEDURE
																																																							(BGl_z62zc3anonymousza32614ze3ze1zz__evaluate_compz00,
																																																							(int)
																																																							(((long) 1)), (int) (((long) 3)));
																																																						PROCEDURE_SET
																																																							(BgL_zc3anonymousza32614ze3z83_14295,
																																																							(int)
																																																							(((long) 0)), BgL_a1z00_2328);
																																																						PROCEDURE_SET
																																																							(BgL_zc3anonymousza32614ze3z83_14295,
																																																							(int)
																																																							(((long) 1)), BgL_a2z00_2329);
																																																						PROCEDURE_SET
																																																							(BgL_zc3anonymousza32614ze3z83_14295,
																																																							(int)
																																																							(((long) 2)), BgL_locz00_191);
																																																						return
																																																							BgL_zc3anonymousza32614ze3z83_14295;
																																																					}
																																																				}
																																																			else
																																																				{	/* Eval/evaluate_comp.scm 965 */
																																																					if ((BgL_valz00_2121 == BGl_zf2flzd2envz20zz__r4_numbers_6_5_flonumz00))
																																																						{	/* Eval/evaluate_comp.scm 965 */
																																																							obj_t
																																																								BgL_a1z00_2338;
																																																							obj_t
																																																								BgL_a2z00_2339;
																																																							BgL_a1z00_2338
																																																								=
																																																								BGl_compz00zz__evaluate_compz00
																																																								(
																																																								((BgL_ev_exprz00_bglt) BgL_a1z00_2125), BgL_stkz00_194);
																																																							BgL_a2z00_2339
																																																								=
																																																								BGl_compz00zz__evaluate_compz00
																																																								(
																																																								((BgL_ev_exprz00_bglt) BgL_a2z00_2126), BgL_stkz00_194);
																																																							{	/* Eval/evaluate_comp.scm 965 */
																																																								obj_t
																																																									BgL_zc3anonymousza32618ze3z83_14296;
																																																								BgL_zc3anonymousza32618ze3z83_14296
																																																									=
																																																									MAKE_FX_PROCEDURE
																																																									(BGl_z62zc3anonymousza32618ze3ze1zz__evaluate_compz00,
																																																									(int)
																																																									(((long) 1)), (int) (((long) 3)));
																																																								PROCEDURE_SET
																																																									(BgL_zc3anonymousza32618ze3z83_14296,
																																																									(int)
																																																									(((long) 0)), BgL_a1z00_2338);
																																																								PROCEDURE_SET
																																																									(BgL_zc3anonymousza32618ze3z83_14296,
																																																									(int)
																																																									(((long) 1)), BgL_a2z00_2339);
																																																								PROCEDURE_SET
																																																									(BgL_zc3anonymousza32618ze3z83_14296,
																																																									(int)
																																																									(((long) 2)), BgL_locz00_191);
																																																								return
																																																									BgL_zc3anonymousza32618ze3z83_14296;
																																																							}
																																																						}
																																																					else
																																																						{	/* Eval/evaluate_comp.scm 965 */
																																																							if ((BgL_valz00_2121 == BGl_zc3flzd2envz11zz__r4_numbers_6_5_flonumz00))
																																																								{	/* Eval/evaluate_comp.scm 965 */
																																																									obj_t
																																																										BgL_a1z00_2348;
																																																									obj_t
																																																										BgL_a2z00_2349;
																																																									BgL_a1z00_2348
																																																										=
																																																										BGl_compz00zz__evaluate_compz00
																																																										(
																																																										((BgL_ev_exprz00_bglt) BgL_a1z00_2125), BgL_stkz00_194);
																																																									BgL_a2z00_2349
																																																										=
																																																										BGl_compz00zz__evaluate_compz00
																																																										(
																																																										((BgL_ev_exprz00_bglt) BgL_a2z00_2126), BgL_stkz00_194);
																																																									{	/* Eval/evaluate_comp.scm 965 */
																																																										obj_t
																																																											BgL_zc3anonymousza32622ze3z83_14297;
																																																										BgL_zc3anonymousza32622ze3z83_14297
																																																											=
																																																											MAKE_FX_PROCEDURE
																																																											(BGl_z62zc3anonymousza32622ze3ze1zz__evaluate_compz00,
																																																											(int)
																																																											(((long) 1)), (int) (((long) 3)));
																																																										PROCEDURE_SET
																																																											(BgL_zc3anonymousza32622ze3z83_14297,
																																																											(int)
																																																											(((long) 0)), BgL_a1z00_2348);
																																																										PROCEDURE_SET
																																																											(BgL_zc3anonymousza32622ze3z83_14297,
																																																											(int)
																																																											(((long) 1)), BgL_a2z00_2349);
																																																										PROCEDURE_SET
																																																											(BgL_zc3anonymousza32622ze3z83_14297,
																																																											(int)
																																																											(((long) 2)), BgL_locz00_191);
																																																										return
																																																											BgL_zc3anonymousza32622ze3z83_14297;
																																																									}
																																																								}
																																																							else
																																																								{	/* Eval/evaluate_comp.scm 965 */
																																																									if ((BgL_valz00_2121 == BGl_ze3flzd2envz31zz__r4_numbers_6_5_flonumz00))
																																																										{	/* Eval/evaluate_comp.scm 965 */
																																																											obj_t
																																																												BgL_a1z00_2358;
																																																											obj_t
																																																												BgL_a2z00_2359;
																																																											BgL_a1z00_2358
																																																												=
																																																												BGl_compz00zz__evaluate_compz00
																																																												(
																																																												((BgL_ev_exprz00_bglt) BgL_a1z00_2125), BgL_stkz00_194);
																																																											BgL_a2z00_2359
																																																												=
																																																												BGl_compz00zz__evaluate_compz00
																																																												(
																																																												((BgL_ev_exprz00_bglt) BgL_a2z00_2126), BgL_stkz00_194);
																																																											{	/* Eval/evaluate_comp.scm 965 */
																																																												obj_t
																																																													BgL_zc3anonymousza32626ze3z83_14298;
																																																												BgL_zc3anonymousza32626ze3z83_14298
																																																													=
																																																													MAKE_FX_PROCEDURE
																																																													(BGl_z62zc3anonymousza32626ze3ze1zz__evaluate_compz00,
																																																													(int)
																																																													(((long) 1)), (int) (((long) 3)));
																																																												PROCEDURE_SET
																																																													(BgL_zc3anonymousza32626ze3z83_14298,
																																																													(int)
																																																													(((long) 0)), BgL_a1z00_2358);
																																																												PROCEDURE_SET
																																																													(BgL_zc3anonymousza32626ze3z83_14298,
																																																													(int)
																																																													(((long) 1)), BgL_a2z00_2359);
																																																												PROCEDURE_SET
																																																													(BgL_zc3anonymousza32626ze3z83_14298,
																																																													(int)
																																																													(((long) 2)), BgL_locz00_191);
																																																												return
																																																													BgL_zc3anonymousza32626ze3z83_14298;
																																																											}
																																																										}
																																																									else
																																																										{	/* Eval/evaluate_comp.scm 965 */
																																																											if ((BgL_valz00_2121 == BGl_zc3zd3flzd2envzc2zz__r4_numbers_6_5_flonumz00))
																																																												{	/* Eval/evaluate_comp.scm 965 */
																																																													obj_t
																																																														BgL_a1z00_2368;
																																																													obj_t
																																																														BgL_a2z00_2369;
																																																													BgL_a1z00_2368
																																																														=
																																																														BGl_compz00zz__evaluate_compz00
																																																														(
																																																														((BgL_ev_exprz00_bglt) BgL_a1z00_2125), BgL_stkz00_194);
																																																													BgL_a2z00_2369
																																																														=
																																																														BGl_compz00zz__evaluate_compz00
																																																														(
																																																														((BgL_ev_exprz00_bglt) BgL_a2z00_2126), BgL_stkz00_194);
																																																													{	/* Eval/evaluate_comp.scm 965 */
																																																														obj_t
																																																															BgL_zc3anonymousza32630ze3z83_14299;
																																																														BgL_zc3anonymousza32630ze3z83_14299
																																																															=
																																																															MAKE_FX_PROCEDURE
																																																															(BGl_z62zc3anonymousza32630ze3ze1zz__evaluate_compz00,
																																																															(int)
																																																															(((long) 1)), (int) (((long) 3)));
																																																														PROCEDURE_SET
																																																															(BgL_zc3anonymousza32630ze3z83_14299,
																																																															(int)
																																																															(((long) 0)), BgL_a1z00_2368);
																																																														PROCEDURE_SET
																																																															(BgL_zc3anonymousza32630ze3z83_14299,
																																																															(int)
																																																															(((long) 1)), BgL_a2z00_2369);
																																																														PROCEDURE_SET
																																																															(BgL_zc3anonymousza32630ze3z83_14299,
																																																															(int)
																																																															(((long) 2)), BgL_locz00_191);
																																																														return
																																																															BgL_zc3anonymousza32630ze3z83_14299;
																																																													}
																																																												}
																																																											else
																																																												{	/* Eval/evaluate_comp.scm 965 */
																																																													if ((BgL_valz00_2121 == BGl_ze3zd3flzd2envze2zz__r4_numbers_6_5_flonumz00))
																																																														{	/* Eval/evaluate_comp.scm 965 */
																																																															obj_t
																																																																BgL_a1z00_2378;
																																																															obj_t
																																																																BgL_a2z00_2379;
																																																															BgL_a1z00_2378
																																																																=
																																																																BGl_compz00zz__evaluate_compz00
																																																																(
																																																																((BgL_ev_exprz00_bglt) BgL_a1z00_2125), BgL_stkz00_194);
																																																															BgL_a2z00_2379
																																																																=
																																																																BGl_compz00zz__evaluate_compz00
																																																																(
																																																																((BgL_ev_exprz00_bglt) BgL_a2z00_2126), BgL_stkz00_194);
																																																															{	/* Eval/evaluate_comp.scm 965 */
																																																																obj_t
																																																																	BgL_zc3anonymousza32634ze3z83_14300;
																																																																BgL_zc3anonymousza32634ze3z83_14300
																																																																	=
																																																																	MAKE_FX_PROCEDURE
																																																																	(BGl_z62zc3anonymousza32634ze3ze1zz__evaluate_compz00,
																																																																	(int)
																																																																	(((long) 1)), (int) (((long) 3)));
																																																																PROCEDURE_SET
																																																																	(BgL_zc3anonymousza32634ze3z83_14300,
																																																																	(int)
																																																																	(((long) 0)), BgL_a1z00_2378);
																																																																PROCEDURE_SET
																																																																	(BgL_zc3anonymousza32634ze3z83_14300,
																																																																	(int)
																																																																	(((long) 1)), BgL_a2z00_2379);
																																																																PROCEDURE_SET
																																																																	(BgL_zc3anonymousza32634ze3z83_14300,
																																																																	(int)
																																																																	(((long) 2)), BgL_locz00_191);
																																																																return
																																																																	BgL_zc3anonymousza32634ze3z83_14300;
																																																															}
																																																														}
																																																													else
																																																														{	/* Eval/evaluate_comp.scm 965 */
																																																															if ((BgL_valz00_2121 == BGl_zd3flzd2envz01zz__r4_numbers_6_5_flonumz00))
																																																																{	/* Eval/evaluate_comp.scm 965 */
																																																																	obj_t
																																																																		BgL_a1z00_2388;
																																																																	obj_t
																																																																		BgL_a2z00_2389;
																																																																	BgL_a1z00_2388
																																																																		=
																																																																		BGl_compz00zz__evaluate_compz00
																																																																		(
																																																																		((BgL_ev_exprz00_bglt) BgL_a1z00_2125), BgL_stkz00_194);
																																																																	BgL_a2z00_2389
																																																																		=
																																																																		BGl_compz00zz__evaluate_compz00
																																																																		(
																																																																		((BgL_ev_exprz00_bglt) BgL_a2z00_2126), BgL_stkz00_194);
																																																																	{	/* Eval/evaluate_comp.scm 965 */
																																																																		obj_t
																																																																			BgL_zc3anonymousza32638ze3z83_14301;
																																																																		BgL_zc3anonymousza32638ze3z83_14301
																																																																			=
																																																																			MAKE_FX_PROCEDURE
																																																																			(BGl_z62zc3anonymousza32638ze3ze1zz__evaluate_compz00,
																																																																			(int)
																																																																			(((long) 1)), (int) (((long) 3)));
																																																																		PROCEDURE_SET
																																																																			(BgL_zc3anonymousza32638ze3z83_14301,
																																																																			(int)
																																																																			(((long) 0)), BgL_a1z00_2388);
																																																																		PROCEDURE_SET
																																																																			(BgL_zc3anonymousza32638ze3z83_14301,
																																																																			(int)
																																																																			(((long) 1)), BgL_a2z00_2389);
																																																																		PROCEDURE_SET
																																																																			(BgL_zc3anonymousza32638ze3z83_14301,
																																																																			(int)
																																																																			(((long) 2)), BgL_locz00_191);
																																																																		return
																																																																			BgL_zc3anonymousza32638ze3z83_14301;
																																																																	}
																																																																}
																																																															else
																																																																{	/* Eval/evaluate_comp.scm 965 */
																																																																	if ((BgL_valz00_2121 == BGl_eqzf3zd2envz21zz__r4_equivalence_6_2z00))
																																																																		{	/* Eval/evaluate_comp.scm 965 */
																																																																			obj_t
																																																																				BgL_a1z00_2398;
																																																																			obj_t
																																																																				BgL_a2z00_2399;
																																																																			BgL_a1z00_2398
																																																																				=
																																																																				BGl_compz00zz__evaluate_compz00
																																																																				(
																																																																				((BgL_ev_exprz00_bglt) BgL_a1z00_2125), BgL_stkz00_194);
																																																																			BgL_a2z00_2399
																																																																				=
																																																																				BGl_compz00zz__evaluate_compz00
																																																																				(
																																																																				((BgL_ev_exprz00_bglt) BgL_a2z00_2126), BgL_stkz00_194);
																																																																			{	/* Eval/evaluate_comp.scm 965 */
																																																																				obj_t
																																																																					BgL_zc3anonymousza32642ze3z83_14302;
																																																																				BgL_zc3anonymousza32642ze3z83_14302
																																																																					=
																																																																					MAKE_FX_PROCEDURE
																																																																					(BGl_z62zc3anonymousza32642ze3ze1zz__evaluate_compz00,
																																																																					(int)
																																																																					(((long) 1)), (int) (((long) 2)));
																																																																				PROCEDURE_SET
																																																																					(BgL_zc3anonymousza32642ze3z83_14302,
																																																																					(int)
																																																																					(((long) 0)), BgL_a1z00_2398);
																																																																				PROCEDURE_SET
																																																																					(BgL_zc3anonymousza32642ze3z83_14302,
																																																																					(int)
																																																																					(((long) 1)), BgL_a2z00_2399);
																																																																				return
																																																																					BgL_zc3anonymousza32642ze3z83_14302;
																																																																			}
																																																																		}
																																																																	else
																																																																		{	/* Eval/evaluate_comp.scm 965 */
																																																																			if ((BgL_valz00_2121 == BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00))
																																																																				{	/* Eval/evaluate_comp.scm 965 */
																																																																					obj_t
																																																																						BgL_a1z00_2406;
																																																																					obj_t
																																																																						BgL_a2z00_2407;
																																																																					BgL_a1z00_2406
																																																																						=
																																																																						BGl_compz00zz__evaluate_compz00
																																																																						(
																																																																						((BgL_ev_exprz00_bglt) BgL_a1z00_2125), BgL_stkz00_194);
																																																																					BgL_a2z00_2407
																																																																						=
																																																																						BGl_compz00zz__evaluate_compz00
																																																																						(
																																																																						((BgL_ev_exprz00_bglt) BgL_a2z00_2126), BgL_stkz00_194);
																																																																					{	/* Eval/evaluate_comp.scm 965 */
																																																																						obj_t
																																																																							BgL_zc3anonymousza32644ze3z83_14303;
																																																																						BgL_zc3anonymousza32644ze3z83_14303
																																																																							=
																																																																							MAKE_FX_PROCEDURE
																																																																							(BGl_z62zc3anonymousza32644ze3ze1zz__evaluate_compz00,
																																																																							(int)
																																																																							(((long) 1)), (int) (((long) 2)));
																																																																						PROCEDURE_SET
																																																																							(BgL_zc3anonymousza32644ze3z83_14303,
																																																																							(int)
																																																																							(((long) 0)), BgL_a1z00_2406);
																																																																						PROCEDURE_SET
																																																																							(BgL_zc3anonymousza32644ze3z83_14303,
																																																																							(int)
																																																																							(((long) 1)), BgL_a2z00_2407);
																																																																						return
																																																																							BgL_zc3anonymousza32644ze3z83_14303;
																																																																					}
																																																																				}
																																																																			else
																																																																				{	/* Eval/evaluate_comp.scm 965 */
																																																																					return
																																																																						BFALSE;
																																																																				}
																																																																		}
																																																																}
																																																														}
																																																												}
																																																										}
																																																								}
																																																						}
																																																				}
																																																		}
																																																}
																																														}
																																												}
																																										}
																																								}
																																						}
																																				}
																																		}
																																}
																														}
																												}
																										}
																								}
																						}
																				}
																		}
																}
														}
												}
										}
									else
										{	/* Eval/evaluate_comp.scm 963 */
											return BFALSE;
										}
								}
						}
					}
				else
					{	/* Eval/evaluate_comp.scm 958 */
						return BFALSE;
					}
			}
		}
	}



/* &<anonymous:2534> */
	obj_t BGl_z62zc3anonymousza32534ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_14307, obj_t BgL_sz00_14311)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 965 */
			{	/* Eval/evaluate_comp.scm 965 */
				obj_t BgL_a1z00_14308;
				obj_t BgL_a2z00_14309;
				obj_t BgL_locz00_14310;

				BgL_a1z00_14308 = PROCEDURE_REF(BgL_envz00_14307, (int) (((long) 0)));
				BgL_a2z00_14309 = PROCEDURE_REF(BgL_envz00_14307, (int) (((long) 1)));
				BgL_locz00_14310 = PROCEDURE_REF(BgL_envz00_14307, (int) (((long) 2)));
				{
					obj_t BgL_sz00_2130;

					BgL_sz00_2130 = BgL_sz00_14311;
					{	/* Eval/evaluate_comp.scm 965 */
						obj_t BgL_bpz00_2132;

						BgL_bpz00_2132 = VECTOR_REF(BgL_sz00_2130, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 965 */
							obj_t BgL_a1z00_2133;
							obj_t BgL_a2z00_2134;

							BgL_a1z00_2133 =
								PROCEDURE_ENTRY(BgL_a1z00_14308) (BgL_a1z00_14308,
								BgL_sz00_2130, BEOA);
							BgL_a2z00_2134 =
								PROCEDURE_ENTRY(BgL_a2z00_14309) (BgL_a2z00_14309,
								BgL_sz00_2130, BEOA);
							if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a1z00_2133))
								{	/* Eval/evaluate_comp.scm 965 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 965 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol5572z00zz__evaluate_compz00,
										BGl_symbol5574z00zz__evaluate_compz00, BgL_a1z00_2133,
										BgL_locz00_14310);
								}
							if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a2z00_2134))
								{	/* Eval/evaluate_comp.scm 965 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 965 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol5572z00zz__evaluate_compz00,
										BGl_symbol5574z00zz__evaluate_compz00, BgL_a2z00_2134,
										BgL_locz00_14310);
								}
							return
								BGl_2zb2zb2zz__r4_numbers_6_5z00(BgL_a1z00_2133,
								BgL_a2z00_2134);
						}
					}
				}
			}
		}
	}



/* &<anonymous:2538> */
	obj_t BGl_z62zc3anonymousza32538ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_14312, obj_t BgL_sz00_14316)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 965 */
			{	/* Eval/evaluate_comp.scm 965 */
				obj_t BgL_a1z00_14313;
				obj_t BgL_a2z00_14314;
				obj_t BgL_locz00_14315;

				BgL_a1z00_14313 = PROCEDURE_REF(BgL_envz00_14312, (int) (((long) 0)));
				BgL_a2z00_14314 = PROCEDURE_REF(BgL_envz00_14312, (int) (((long) 1)));
				BgL_locz00_14315 = PROCEDURE_REF(BgL_envz00_14312, (int) (((long) 2)));
				{
					obj_t BgL_sz00_2140;

					BgL_sz00_2140 = BgL_sz00_14316;
					{	/* Eval/evaluate_comp.scm 965 */
						obj_t BgL_bpz00_2142;

						BgL_bpz00_2142 = VECTOR_REF(BgL_sz00_2140, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 965 */
							obj_t BgL_a1z00_2143;
							obj_t BgL_a2z00_2144;

							BgL_a1z00_2143 =
								PROCEDURE_ENTRY(BgL_a1z00_14313) (BgL_a1z00_14313,
								BgL_sz00_2140, BEOA);
							BgL_a2z00_2144 =
								PROCEDURE_ENTRY(BgL_a2z00_14314) (BgL_a2z00_14314,
								BgL_sz00_2140, BEOA);
							if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a1z00_2143))
								{	/* Eval/evaluate_comp.scm 965 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 965 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol5576z00zz__evaluate_compz00,
										BGl_symbol5574z00zz__evaluate_compz00, BgL_a1z00_2143,
										BgL_locz00_14315);
								}
							if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a2z00_2144))
								{	/* Eval/evaluate_comp.scm 965 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 965 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol5576z00zz__evaluate_compz00,
										BGl_symbol5574z00zz__evaluate_compz00, BgL_a2z00_2144,
										BgL_locz00_14315);
								}
							return
								BGl_2zd2zd2zz__r4_numbers_6_5z00(BgL_a1z00_2143,
								BgL_a2z00_2144);
						}
					}
				}
			}
		}
	}



/* &<anonymous:2542> */
	obj_t BGl_z62zc3anonymousza32542ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_14317, obj_t BgL_sz00_14321)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 965 */
			{	/* Eval/evaluate_comp.scm 965 */
				obj_t BgL_a1z00_14318;
				obj_t BgL_a2z00_14319;
				obj_t BgL_locz00_14320;

				BgL_a1z00_14318 = PROCEDURE_REF(BgL_envz00_14317, (int) (((long) 0)));
				BgL_a2z00_14319 = PROCEDURE_REF(BgL_envz00_14317, (int) (((long) 1)));
				BgL_locz00_14320 = PROCEDURE_REF(BgL_envz00_14317, (int) (((long) 2)));
				{
					obj_t BgL_sz00_2150;

					BgL_sz00_2150 = BgL_sz00_14321;
					{	/* Eval/evaluate_comp.scm 965 */
						obj_t BgL_bpz00_2152;

						BgL_bpz00_2152 = VECTOR_REF(BgL_sz00_2150, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 965 */
							obj_t BgL_a1z00_2153;
							obj_t BgL_a2z00_2154;

							BgL_a1z00_2153 =
								PROCEDURE_ENTRY(BgL_a1z00_14318) (BgL_a1z00_14318,
								BgL_sz00_2150, BEOA);
							BgL_a2z00_2154 =
								PROCEDURE_ENTRY(BgL_a2z00_14319) (BgL_a2z00_14319,
								BgL_sz00_2150, BEOA);
							if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a1z00_2153))
								{	/* Eval/evaluate_comp.scm 965 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 965 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol5578z00zz__evaluate_compz00,
										BGl_symbol5574z00zz__evaluate_compz00, BgL_a1z00_2153,
										BgL_locz00_14320);
								}
							if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a2z00_2154))
								{	/* Eval/evaluate_comp.scm 965 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 965 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol5578z00zz__evaluate_compz00,
										BGl_symbol5574z00zz__evaluate_compz00, BgL_a2z00_2154,
										BgL_locz00_14320);
								}
							return
								BGl_2za2za2zz__r4_numbers_6_5z00(BgL_a1z00_2153,
								BgL_a2z00_2154);
						}
					}
				}
			}
		}
	}



/* &<anonymous:2546> */
	obj_t BGl_z62zc3anonymousza32546ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_14322, obj_t BgL_sz00_14326)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 965 */
			{	/* Eval/evaluate_comp.scm 965 */
				obj_t BgL_a1z00_14323;
				obj_t BgL_a2z00_14324;
				obj_t BgL_locz00_14325;

				BgL_a1z00_14323 = PROCEDURE_REF(BgL_envz00_14322, (int) (((long) 0)));
				BgL_a2z00_14324 = PROCEDURE_REF(BgL_envz00_14322, (int) (((long) 1)));
				BgL_locz00_14325 = PROCEDURE_REF(BgL_envz00_14322, (int) (((long) 2)));
				{
					obj_t BgL_sz00_2160;

					BgL_sz00_2160 = BgL_sz00_14326;
					{	/* Eval/evaluate_comp.scm 965 */
						obj_t BgL_bpz00_2162;

						BgL_bpz00_2162 = VECTOR_REF(BgL_sz00_2160, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 965 */
							obj_t BgL_a1z00_2163;
							obj_t BgL_a2z00_2164;

							BgL_a1z00_2163 =
								PROCEDURE_ENTRY(BgL_a1z00_14323) (BgL_a1z00_14323,
								BgL_sz00_2160, BEOA);
							BgL_a2z00_2164 =
								PROCEDURE_ENTRY(BgL_a2z00_14324) (BgL_a2z00_14324,
								BgL_sz00_2160, BEOA);
							if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a1z00_2163))
								{	/* Eval/evaluate_comp.scm 965 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 965 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol5580z00zz__evaluate_compz00,
										BGl_symbol5574z00zz__evaluate_compz00, BgL_a1z00_2163,
										BgL_locz00_14325);
								}
							if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a2z00_2164))
								{	/* Eval/evaluate_comp.scm 965 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 965 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol5580z00zz__evaluate_compz00,
										BGl_symbol5574z00zz__evaluate_compz00, BgL_a2z00_2164,
										BgL_locz00_14325);
								}
							return
								BGl_2zf2zf2zz__r4_numbers_6_5z00(BgL_a1z00_2163,
								BgL_a2z00_2164);
						}
					}
				}
			}
		}
	}



/* &<anonymous:2550> */
	obj_t BGl_z62zc3anonymousza32550ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_14327, obj_t BgL_sz00_14331)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 965 */
			{	/* Eval/evaluate_comp.scm 965 */
				obj_t BgL_a1z00_14328;
				obj_t BgL_a2z00_14329;
				obj_t BgL_locz00_14330;

				BgL_a1z00_14328 = PROCEDURE_REF(BgL_envz00_14327, (int) (((long) 0)));
				BgL_a2z00_14329 = PROCEDURE_REF(BgL_envz00_14327, (int) (((long) 1)));
				BgL_locz00_14330 = PROCEDURE_REF(BgL_envz00_14327, (int) (((long) 2)));
				{
					obj_t BgL_sz00_2170;

					{	/* Eval/evaluate_comp.scm 965 */
						bool_t BgL_auxz00_19886;

						BgL_sz00_2170 = BgL_sz00_14331;
						{	/* Eval/evaluate_comp.scm 965 */
							obj_t BgL_bpz00_2172;

							BgL_bpz00_2172 = VECTOR_REF(BgL_sz00_2170, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 965 */
								obj_t BgL_a1z00_2173;
								obj_t BgL_a2z00_2174;

								BgL_a1z00_2173 =
									PROCEDURE_ENTRY(BgL_a1z00_14328) (BgL_a1z00_14328,
									BgL_sz00_2170, BEOA);
								BgL_a2z00_2174 =
									PROCEDURE_ENTRY(BgL_a2z00_14329) (BgL_a2z00_14329,
									BgL_sz00_2170, BEOA);
								if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a1z00_2173))
									{	/* Eval/evaluate_comp.scm 965 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 965 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol5582z00zz__evaluate_compz00,
											BGl_symbol5574z00zz__evaluate_compz00, BgL_a1z00_2173,
											BgL_locz00_14330);
									}
								if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a2z00_2174))
									{	/* Eval/evaluate_comp.scm 965 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 965 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol5582z00zz__evaluate_compz00,
											BGl_symbol5574z00zz__evaluate_compz00, BgL_a2z00_2174,
											BgL_locz00_14330);
									}
								BgL_auxz00_19886 =
									BGl_2zc3zc3zz__r4_numbers_6_5z00(BgL_a1z00_2173,
									BgL_a2z00_2174);
							}
						}
						return BBOOL(BgL_auxz00_19886);
					}
				}
			}
		}
	}



/* &<anonymous:2554> */
	obj_t BGl_z62zc3anonymousza32554ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_14332, obj_t BgL_sz00_14336)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 965 */
			{	/* Eval/evaluate_comp.scm 965 */
				obj_t BgL_a1z00_14333;
				obj_t BgL_a2z00_14334;
				obj_t BgL_locz00_14335;

				BgL_a1z00_14333 = PROCEDURE_REF(BgL_envz00_14332, (int) (((long) 0)));
				BgL_a2z00_14334 = PROCEDURE_REF(BgL_envz00_14332, (int) (((long) 1)));
				BgL_locz00_14335 = PROCEDURE_REF(BgL_envz00_14332, (int) (((long) 2)));
				{
					obj_t BgL_sz00_2180;

					{	/* Eval/evaluate_comp.scm 965 */
						bool_t BgL_auxz00_19911;

						BgL_sz00_2180 = BgL_sz00_14336;
						{	/* Eval/evaluate_comp.scm 965 */
							obj_t BgL_bpz00_2182;

							BgL_bpz00_2182 = VECTOR_REF(BgL_sz00_2180, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 965 */
								obj_t BgL_a1z00_2183;
								obj_t BgL_a2z00_2184;

								BgL_a1z00_2183 =
									PROCEDURE_ENTRY(BgL_a1z00_14333) (BgL_a1z00_14333,
									BgL_sz00_2180, BEOA);
								BgL_a2z00_2184 =
									PROCEDURE_ENTRY(BgL_a2z00_14334) (BgL_a2z00_14334,
									BgL_sz00_2180, BEOA);
								if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a1z00_2183))
									{	/* Eval/evaluate_comp.scm 965 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 965 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol5584z00zz__evaluate_compz00,
											BGl_symbol5574z00zz__evaluate_compz00, BgL_a1z00_2183,
											BgL_locz00_14335);
									}
								if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a2z00_2184))
									{	/* Eval/evaluate_comp.scm 965 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 965 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol5584z00zz__evaluate_compz00,
											BGl_symbol5574z00zz__evaluate_compz00, BgL_a2z00_2184,
											BgL_locz00_14335);
									}
								BgL_auxz00_19911 =
									BGl_2ze3ze3zz__r4_numbers_6_5z00(BgL_a1z00_2183,
									BgL_a2z00_2184);
							}
						}
						return BBOOL(BgL_auxz00_19911);
					}
				}
			}
		}
	}



/* &<anonymous:2558> */
	obj_t BGl_z62zc3anonymousza32558ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_14337, obj_t BgL_sz00_14341)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 965 */
			{	/* Eval/evaluate_comp.scm 965 */
				obj_t BgL_a1z00_14338;
				obj_t BgL_a2z00_14339;
				obj_t BgL_locz00_14340;

				BgL_a1z00_14338 = PROCEDURE_REF(BgL_envz00_14337, (int) (((long) 0)));
				BgL_a2z00_14339 = PROCEDURE_REF(BgL_envz00_14337, (int) (((long) 1)));
				BgL_locz00_14340 = PROCEDURE_REF(BgL_envz00_14337, (int) (((long) 2)));
				{
					obj_t BgL_sz00_2190;

					{	/* Eval/evaluate_comp.scm 965 */
						bool_t BgL_auxz00_19936;

						BgL_sz00_2190 = BgL_sz00_14341;
						{	/* Eval/evaluate_comp.scm 965 */
							obj_t BgL_bpz00_2192;

							BgL_bpz00_2192 = VECTOR_REF(BgL_sz00_2190, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 965 */
								obj_t BgL_a1z00_2193;
								obj_t BgL_a2z00_2194;

								BgL_a1z00_2193 =
									PROCEDURE_ENTRY(BgL_a1z00_14338) (BgL_a1z00_14338,
									BgL_sz00_2190, BEOA);
								BgL_a2z00_2194 =
									PROCEDURE_ENTRY(BgL_a2z00_14339) (BgL_a2z00_14339,
									BgL_sz00_2190, BEOA);
								if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a1z00_2193))
									{	/* Eval/evaluate_comp.scm 965 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 965 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol5586z00zz__evaluate_compz00,
											BGl_symbol5574z00zz__evaluate_compz00, BgL_a1z00_2193,
											BgL_locz00_14340);
									}
								if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a2z00_2194))
									{	/* Eval/evaluate_comp.scm 965 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 965 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol5586z00zz__evaluate_compz00,
											BGl_symbol5574z00zz__evaluate_compz00, BgL_a2z00_2194,
											BgL_locz00_14340);
									}
								BgL_auxz00_19936 =
									BGl_2zc3zd3z10zz__r4_numbers_6_5z00(BgL_a1z00_2193,
									BgL_a2z00_2194);
							}
						}
						return BBOOL(BgL_auxz00_19936);
					}
				}
			}
		}
	}



/* &<anonymous:2562> */
	obj_t BGl_z62zc3anonymousza32562ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_14342, obj_t BgL_sz00_14346)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 965 */
			{	/* Eval/evaluate_comp.scm 965 */
				obj_t BgL_a1z00_14343;
				obj_t BgL_a2z00_14344;
				obj_t BgL_locz00_14345;

				BgL_a1z00_14343 = PROCEDURE_REF(BgL_envz00_14342, (int) (((long) 0)));
				BgL_a2z00_14344 = PROCEDURE_REF(BgL_envz00_14342, (int) (((long) 1)));
				BgL_locz00_14345 = PROCEDURE_REF(BgL_envz00_14342, (int) (((long) 2)));
				{
					obj_t BgL_sz00_2200;

					{	/* Eval/evaluate_comp.scm 965 */
						bool_t BgL_auxz00_19961;

						BgL_sz00_2200 = BgL_sz00_14346;
						{	/* Eval/evaluate_comp.scm 965 */
							obj_t BgL_bpz00_2202;

							BgL_bpz00_2202 = VECTOR_REF(BgL_sz00_2200, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 965 */
								obj_t BgL_a1z00_2203;
								obj_t BgL_a2z00_2204;

								BgL_a1z00_2203 =
									PROCEDURE_ENTRY(BgL_a1z00_14343) (BgL_a1z00_14343,
									BgL_sz00_2200, BEOA);
								BgL_a2z00_2204 =
									PROCEDURE_ENTRY(BgL_a2z00_14344) (BgL_a2z00_14344,
									BgL_sz00_2200, BEOA);
								if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a1z00_2203))
									{	/* Eval/evaluate_comp.scm 965 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 965 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol5588z00zz__evaluate_compz00,
											BGl_symbol5574z00zz__evaluate_compz00, BgL_a1z00_2203,
											BgL_locz00_14345);
									}
								if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a2z00_2204))
									{	/* Eval/evaluate_comp.scm 965 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 965 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol5588z00zz__evaluate_compz00,
											BGl_symbol5574z00zz__evaluate_compz00, BgL_a2z00_2204,
											BgL_locz00_14345);
									}
								BgL_auxz00_19961 =
									BGl_2ze3zd3z30zz__r4_numbers_6_5z00(BgL_a1z00_2203,
									BgL_a2z00_2204);
							}
						}
						return BBOOL(BgL_auxz00_19961);
					}
				}
			}
		}
	}



/* &<anonymous:2566> */
	obj_t BGl_z62zc3anonymousza32566ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_14347, obj_t BgL_sz00_14351)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 965 */
			{	/* Eval/evaluate_comp.scm 965 */
				obj_t BgL_a1z00_14348;
				obj_t BgL_a2z00_14349;
				obj_t BgL_locz00_14350;

				BgL_a1z00_14348 = PROCEDURE_REF(BgL_envz00_14347, (int) (((long) 0)));
				BgL_a2z00_14349 = PROCEDURE_REF(BgL_envz00_14347, (int) (((long) 1)));
				BgL_locz00_14350 = PROCEDURE_REF(BgL_envz00_14347, (int) (((long) 2)));
				{
					obj_t BgL_sz00_2210;

					{	/* Eval/evaluate_comp.scm 965 */
						bool_t BgL_auxz00_19986;

						BgL_sz00_2210 = BgL_sz00_14351;
						{	/* Eval/evaluate_comp.scm 965 */
							obj_t BgL_bpz00_2212;

							BgL_bpz00_2212 = VECTOR_REF(BgL_sz00_2210, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 965 */
								obj_t BgL_a1z00_2213;
								obj_t BgL_a2z00_2214;

								BgL_a1z00_2213 =
									PROCEDURE_ENTRY(BgL_a1z00_14348) (BgL_a1z00_14348,
									BgL_sz00_2210, BEOA);
								BgL_a2z00_2214 =
									PROCEDURE_ENTRY(BgL_a2z00_14349) (BgL_a2z00_14349,
									BgL_sz00_2210, BEOA);
								if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a1z00_2213))
									{	/* Eval/evaluate_comp.scm 965 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 965 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol5590z00zz__evaluate_compz00,
											BGl_symbol5574z00zz__evaluate_compz00, BgL_a1z00_2213,
											BgL_locz00_14350);
									}
								if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a2z00_2214))
									{	/* Eval/evaluate_comp.scm 965 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 965 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol5590z00zz__evaluate_compz00,
											BGl_symbol5574z00zz__evaluate_compz00, BgL_a2z00_2214,
											BgL_locz00_14350);
									}
								BgL_auxz00_19986 =
									BGl_2zd3zd3zz__r4_numbers_6_5z00(BgL_a1z00_2213,
									BgL_a2z00_2214);
							}
						}
						return BBOOL(BgL_auxz00_19986);
					}
				}
			}
		}
	}



/* &<anonymous:2570> */
	obj_t BGl_z62zc3anonymousza32570ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_14352, obj_t BgL_sz00_14356)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 965 */
			{	/* Eval/evaluate_comp.scm 965 */
				obj_t BgL_a1z00_14353;
				obj_t BgL_a2z00_14354;
				obj_t BgL_locz00_14355;

				BgL_a1z00_14353 = PROCEDURE_REF(BgL_envz00_14352, (int) (((long) 0)));
				BgL_a2z00_14354 = PROCEDURE_REF(BgL_envz00_14352, (int) (((long) 1)));
				BgL_locz00_14355 = PROCEDURE_REF(BgL_envz00_14352, (int) (((long) 2)));
				{
					obj_t BgL_sz00_2220;

					{	/* Eval/evaluate_comp.scm 965 */
						long BgL_auxz00_20011;

						BgL_sz00_2220 = BgL_sz00_14356;
						{	/* Eval/evaluate_comp.scm 965 */
							obj_t BgL_bpz00_2222;

							BgL_bpz00_2222 = VECTOR_REF(BgL_sz00_2220, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 965 */
								obj_t BgL_a1z00_2223;
								obj_t BgL_a2z00_2224;

								BgL_a1z00_2223 =
									PROCEDURE_ENTRY(BgL_a1z00_14353) (BgL_a1z00_14353,
									BgL_sz00_2220, BEOA);
								BgL_a2z00_2224 =
									PROCEDURE_ENTRY(BgL_a2z00_14354) (BgL_a2z00_14354,
									BgL_sz00_2220, BEOA);
								if (INTEGERP(BgL_a1z00_2223))
									{	/* Eval/evaluate_comp.scm 965 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 965 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol5592z00zz__evaluate_compz00,
											BGl_symbol5594z00zz__evaluate_compz00, BgL_a1z00_2223,
											BgL_locz00_14355);
									}
								if (INTEGERP(BgL_a2z00_2224))
									{	/* Eval/evaluate_comp.scm 965 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 965 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol5592z00zz__evaluate_compz00,
											BGl_symbol5594z00zz__evaluate_compz00, BgL_a2z00_2224,
											BgL_locz00_14355);
									}
								BgL_auxz00_20011 =
									((long) CINT(BgL_a1z00_2223) + (long) CINT(BgL_a2z00_2224));
						}}
						return BINT(BgL_auxz00_20011);
					}
				}
			}
		}
	}



/* &<anonymous:2574> */
	obj_t BGl_z62zc3anonymousza32574ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_14357, obj_t BgL_sz00_14361)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 965 */
			{	/* Eval/evaluate_comp.scm 965 */
				obj_t BgL_a1z00_14358;
				obj_t BgL_a2z00_14359;
				obj_t BgL_locz00_14360;

				BgL_a1z00_14358 = PROCEDURE_REF(BgL_envz00_14357, (int) (((long) 0)));
				BgL_a2z00_14359 = PROCEDURE_REF(BgL_envz00_14357, (int) (((long) 1)));
				BgL_locz00_14360 = PROCEDURE_REF(BgL_envz00_14357, (int) (((long) 2)));
				{
					obj_t BgL_sz00_2230;

					{	/* Eval/evaluate_comp.scm 965 */
						long BgL_auxz00_20038;

						BgL_sz00_2230 = BgL_sz00_14361;
						{	/* Eval/evaluate_comp.scm 965 */
							obj_t BgL_bpz00_2232;

							BgL_bpz00_2232 = VECTOR_REF(BgL_sz00_2230, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 965 */
								obj_t BgL_a1z00_2233;
								obj_t BgL_a2z00_2234;

								BgL_a1z00_2233 =
									PROCEDURE_ENTRY(BgL_a1z00_14358) (BgL_a1z00_14358,
									BgL_sz00_2230, BEOA);
								BgL_a2z00_2234 =
									PROCEDURE_ENTRY(BgL_a2z00_14359) (BgL_a2z00_14359,
									BgL_sz00_2230, BEOA);
								if (INTEGERP(BgL_a1z00_2233))
									{	/* Eval/evaluate_comp.scm 965 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 965 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol5596z00zz__evaluate_compz00,
											BGl_symbol5594z00zz__evaluate_compz00, BgL_a1z00_2233,
											BgL_locz00_14360);
									}
								if (INTEGERP(BgL_a2z00_2234))
									{	/* Eval/evaluate_comp.scm 965 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 965 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol5596z00zz__evaluate_compz00,
											BGl_symbol5594z00zz__evaluate_compz00, BgL_a2z00_2234,
											BgL_locz00_14360);
									}
								BgL_auxz00_20038 =
									((long) CINT(BgL_a1z00_2233) - (long) CINT(BgL_a2z00_2234));
						}}
						return BINT(BgL_auxz00_20038);
					}
				}
			}
		}
	}



/* &<anonymous:2578> */
	obj_t BGl_z62zc3anonymousza32578ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_14362, obj_t BgL_sz00_14366)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 965 */
			{	/* Eval/evaluate_comp.scm 965 */
				obj_t BgL_a1z00_14363;
				obj_t BgL_a2z00_14364;
				obj_t BgL_locz00_14365;

				BgL_a1z00_14363 = PROCEDURE_REF(BgL_envz00_14362, (int) (((long) 0)));
				BgL_a2z00_14364 = PROCEDURE_REF(BgL_envz00_14362, (int) (((long) 1)));
				BgL_locz00_14365 = PROCEDURE_REF(BgL_envz00_14362, (int) (((long) 2)));
				{
					obj_t BgL_sz00_2240;

					{	/* Eval/evaluate_comp.scm 965 */
						long BgL_auxz00_20065;

						BgL_sz00_2240 = BgL_sz00_14366;
						{	/* Eval/evaluate_comp.scm 965 */
							obj_t BgL_bpz00_2242;

							BgL_bpz00_2242 = VECTOR_REF(BgL_sz00_2240, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 965 */
								obj_t BgL_a1z00_2243;
								obj_t BgL_a2z00_2244;

								BgL_a1z00_2243 =
									PROCEDURE_ENTRY(BgL_a1z00_14363) (BgL_a1z00_14363,
									BgL_sz00_2240, BEOA);
								BgL_a2z00_2244 =
									PROCEDURE_ENTRY(BgL_a2z00_14364) (BgL_a2z00_14364,
									BgL_sz00_2240, BEOA);
								if (INTEGERP(BgL_a1z00_2243))
									{	/* Eval/evaluate_comp.scm 965 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 965 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol5598z00zz__evaluate_compz00,
											BGl_symbol5594z00zz__evaluate_compz00, BgL_a1z00_2243,
											BgL_locz00_14365);
									}
								if (INTEGERP(BgL_a2z00_2244))
									{	/* Eval/evaluate_comp.scm 965 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 965 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol5598z00zz__evaluate_compz00,
											BGl_symbol5594z00zz__evaluate_compz00, BgL_a2z00_2244,
											BgL_locz00_14365);
									}
								BgL_auxz00_20065 =
									((long) CINT(BgL_a1z00_2243) * (long) CINT(BgL_a2z00_2244));
						}}
						return BINT(BgL_auxz00_20065);
					}
				}
			}
		}
	}



/* &<anonymous:2582> */
	obj_t BGl_z62zc3anonymousza32582ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_14367, obj_t BgL_sz00_14371)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 965 */
			{	/* Eval/evaluate_comp.scm 965 */
				obj_t BgL_a1z00_14368;
				obj_t BgL_a2z00_14369;
				obj_t BgL_locz00_14370;

				BgL_a1z00_14368 = PROCEDURE_REF(BgL_envz00_14367, (int) (((long) 0)));
				BgL_a2z00_14369 = PROCEDURE_REF(BgL_envz00_14367, (int) (((long) 1)));
				BgL_locz00_14370 = PROCEDURE_REF(BgL_envz00_14367, (int) (((long) 2)));
				{
					obj_t BgL_sz00_2250;

					{	/* Eval/evaluate_comp.scm 965 */
						long BgL_auxz00_20092;

						BgL_sz00_2250 = BgL_sz00_14371;
						{	/* Eval/evaluate_comp.scm 965 */
							obj_t BgL_bpz00_2252;

							BgL_bpz00_2252 = VECTOR_REF(BgL_sz00_2250, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 965 */
								obj_t BgL_a1z00_2253;
								obj_t BgL_a2z00_2254;

								BgL_a1z00_2253 =
									PROCEDURE_ENTRY(BgL_a1z00_14368) (BgL_a1z00_14368,
									BgL_sz00_2250, BEOA);
								BgL_a2z00_2254 =
									PROCEDURE_ENTRY(BgL_a2z00_14369) (BgL_a2z00_14369,
									BgL_sz00_2250, BEOA);
								if (INTEGERP(BgL_a1z00_2253))
									{	/* Eval/evaluate_comp.scm 965 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 965 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol5600z00zz__evaluate_compz00,
											BGl_symbol5594z00zz__evaluate_compz00, BgL_a1z00_2253,
											BgL_locz00_14370);
									}
								if (INTEGERP(BgL_a2z00_2254))
									{	/* Eval/evaluate_comp.scm 965 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 965 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol5600z00zz__evaluate_compz00,
											BGl_symbol5594z00zz__evaluate_compz00, BgL_a2z00_2254,
											BgL_locz00_14370);
									}
								BgL_auxz00_20092 =
									((long) CINT(BgL_a1z00_2253) / (long) CINT(BgL_a2z00_2254));
						}}
						return BINT(BgL_auxz00_20092);
					}
				}
			}
		}
	}



/* &<anonymous:2586> */
	obj_t BGl_z62zc3anonymousza32586ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_14372, obj_t BgL_sz00_14376)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 965 */
			{	/* Eval/evaluate_comp.scm 965 */
				obj_t BgL_a1z00_14373;
				obj_t BgL_a2z00_14374;
				obj_t BgL_locz00_14375;

				BgL_a1z00_14373 = PROCEDURE_REF(BgL_envz00_14372, (int) (((long) 0)));
				BgL_a2z00_14374 = PROCEDURE_REF(BgL_envz00_14372, (int) (((long) 1)));
				BgL_locz00_14375 = PROCEDURE_REF(BgL_envz00_14372, (int) (((long) 2)));
				{
					obj_t BgL_sz00_2260;

					{	/* Eval/evaluate_comp.scm 965 */
						bool_t BgL_auxz00_20119;

						BgL_sz00_2260 = BgL_sz00_14376;
						{	/* Eval/evaluate_comp.scm 965 */
							obj_t BgL_bpz00_2262;

							BgL_bpz00_2262 = VECTOR_REF(BgL_sz00_2260, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 965 */
								obj_t BgL_a1z00_2263;
								obj_t BgL_a2z00_2264;

								BgL_a1z00_2263 =
									PROCEDURE_ENTRY(BgL_a1z00_14373) (BgL_a1z00_14373,
									BgL_sz00_2260, BEOA);
								BgL_a2z00_2264 =
									PROCEDURE_ENTRY(BgL_a2z00_14374) (BgL_a2z00_14374,
									BgL_sz00_2260, BEOA);
								if (INTEGERP(BgL_a1z00_2263))
									{	/* Eval/evaluate_comp.scm 965 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 965 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol5602z00zz__evaluate_compz00,
											BGl_symbol5594z00zz__evaluate_compz00, BgL_a1z00_2263,
											BgL_locz00_14375);
									}
								if (INTEGERP(BgL_a2z00_2264))
									{	/* Eval/evaluate_comp.scm 965 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 965 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol5602z00zz__evaluate_compz00,
											BGl_symbol5594z00zz__evaluate_compz00, BgL_a2z00_2264,
											BgL_locz00_14375);
									}
								BgL_auxz00_20119 =
									((long) CINT(BgL_a1z00_2263) < (long) CINT(BgL_a2z00_2264));
						}}
						return BBOOL(BgL_auxz00_20119);
					}
				}
			}
		}
	}



/* &<anonymous:2590> */
	obj_t BGl_z62zc3anonymousza32590ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_14377, obj_t BgL_sz00_14381)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 965 */
			{	/* Eval/evaluate_comp.scm 965 */
				obj_t BgL_a1z00_14378;
				obj_t BgL_a2z00_14379;
				obj_t BgL_locz00_14380;

				BgL_a1z00_14378 = PROCEDURE_REF(BgL_envz00_14377, (int) (((long) 0)));
				BgL_a2z00_14379 = PROCEDURE_REF(BgL_envz00_14377, (int) (((long) 1)));
				BgL_locz00_14380 = PROCEDURE_REF(BgL_envz00_14377, (int) (((long) 2)));
				{
					obj_t BgL_sz00_2270;

					{	/* Eval/evaluate_comp.scm 965 */
						bool_t BgL_auxz00_20146;

						BgL_sz00_2270 = BgL_sz00_14381;
						{	/* Eval/evaluate_comp.scm 965 */
							obj_t BgL_bpz00_2272;

							BgL_bpz00_2272 = VECTOR_REF(BgL_sz00_2270, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 965 */
								obj_t BgL_a1z00_2273;
								obj_t BgL_a2z00_2274;

								BgL_a1z00_2273 =
									PROCEDURE_ENTRY(BgL_a1z00_14378) (BgL_a1z00_14378,
									BgL_sz00_2270, BEOA);
								BgL_a2z00_2274 =
									PROCEDURE_ENTRY(BgL_a2z00_14379) (BgL_a2z00_14379,
									BgL_sz00_2270, BEOA);
								if (INTEGERP(BgL_a1z00_2273))
									{	/* Eval/evaluate_comp.scm 965 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 965 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol5604z00zz__evaluate_compz00,
											BGl_symbol5594z00zz__evaluate_compz00, BgL_a1z00_2273,
											BgL_locz00_14380);
									}
								if (INTEGERP(BgL_a2z00_2274))
									{	/* Eval/evaluate_comp.scm 965 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 965 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol5604z00zz__evaluate_compz00,
											BGl_symbol5594z00zz__evaluate_compz00, BgL_a2z00_2274,
											BgL_locz00_14380);
									}
								BgL_auxz00_20146 =
									((long) CINT(BgL_a1z00_2273) > (long) CINT(BgL_a2z00_2274));
						}}
						return BBOOL(BgL_auxz00_20146);
					}
				}
			}
		}
	}



/* &<anonymous:2594> */
	obj_t BGl_z62zc3anonymousza32594ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_14382, obj_t BgL_sz00_14386)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 965 */
			{	/* Eval/evaluate_comp.scm 965 */
				obj_t BgL_a1z00_14383;
				obj_t BgL_a2z00_14384;
				obj_t BgL_locz00_14385;

				BgL_a1z00_14383 = PROCEDURE_REF(BgL_envz00_14382, (int) (((long) 0)));
				BgL_a2z00_14384 = PROCEDURE_REF(BgL_envz00_14382, (int) (((long) 1)));
				BgL_locz00_14385 = PROCEDURE_REF(BgL_envz00_14382, (int) (((long) 2)));
				{
					obj_t BgL_sz00_2280;

					{	/* Eval/evaluate_comp.scm 965 */
						bool_t BgL_auxz00_20173;

						BgL_sz00_2280 = BgL_sz00_14386;
						{	/* Eval/evaluate_comp.scm 965 */
							obj_t BgL_bpz00_2282;

							BgL_bpz00_2282 = VECTOR_REF(BgL_sz00_2280, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 965 */
								obj_t BgL_a1z00_2283;
								obj_t BgL_a2z00_2284;

								BgL_a1z00_2283 =
									PROCEDURE_ENTRY(BgL_a1z00_14383) (BgL_a1z00_14383,
									BgL_sz00_2280, BEOA);
								BgL_a2z00_2284 =
									PROCEDURE_ENTRY(BgL_a2z00_14384) (BgL_a2z00_14384,
									BgL_sz00_2280, BEOA);
								if (INTEGERP(BgL_a1z00_2283))
									{	/* Eval/evaluate_comp.scm 965 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 965 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol5606z00zz__evaluate_compz00,
											BGl_symbol5594z00zz__evaluate_compz00, BgL_a1z00_2283,
											BgL_locz00_14385);
									}
								if (INTEGERP(BgL_a2z00_2284))
									{	/* Eval/evaluate_comp.scm 965 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 965 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol5606z00zz__evaluate_compz00,
											BGl_symbol5594z00zz__evaluate_compz00, BgL_a2z00_2284,
											BgL_locz00_14385);
									}
								BgL_auxz00_20173 =
									((long) CINT(BgL_a1z00_2283) <= (long) CINT(BgL_a2z00_2284));
						}}
						return BBOOL(BgL_auxz00_20173);
					}
				}
			}
		}
	}



/* &<anonymous:2598> */
	obj_t BGl_z62zc3anonymousza32598ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_14387, obj_t BgL_sz00_14391)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 965 */
			{	/* Eval/evaluate_comp.scm 965 */
				obj_t BgL_a1z00_14388;
				obj_t BgL_a2z00_14389;
				obj_t BgL_locz00_14390;

				BgL_a1z00_14388 = PROCEDURE_REF(BgL_envz00_14387, (int) (((long) 0)));
				BgL_a2z00_14389 = PROCEDURE_REF(BgL_envz00_14387, (int) (((long) 1)));
				BgL_locz00_14390 = PROCEDURE_REF(BgL_envz00_14387, (int) (((long) 2)));
				{
					obj_t BgL_sz00_2290;

					{	/* Eval/evaluate_comp.scm 965 */
						bool_t BgL_auxz00_20200;

						BgL_sz00_2290 = BgL_sz00_14391;
						{	/* Eval/evaluate_comp.scm 965 */
							obj_t BgL_bpz00_2292;

							BgL_bpz00_2292 = VECTOR_REF(BgL_sz00_2290, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 965 */
								obj_t BgL_a1z00_2293;
								obj_t BgL_a2z00_2294;

								BgL_a1z00_2293 =
									PROCEDURE_ENTRY(BgL_a1z00_14388) (BgL_a1z00_14388,
									BgL_sz00_2290, BEOA);
								BgL_a2z00_2294 =
									PROCEDURE_ENTRY(BgL_a2z00_14389) (BgL_a2z00_14389,
									BgL_sz00_2290, BEOA);
								if (INTEGERP(BgL_a1z00_2293))
									{	/* Eval/evaluate_comp.scm 965 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 965 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol5608z00zz__evaluate_compz00,
											BGl_symbol5594z00zz__evaluate_compz00, BgL_a1z00_2293,
											BgL_locz00_14390);
									}
								if (INTEGERP(BgL_a2z00_2294))
									{	/* Eval/evaluate_comp.scm 965 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 965 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol5608z00zz__evaluate_compz00,
											BGl_symbol5594z00zz__evaluate_compz00, BgL_a2z00_2294,
											BgL_locz00_14390);
									}
								BgL_auxz00_20200 =
									((long) CINT(BgL_a1z00_2293) >= (long) CINT(BgL_a2z00_2294));
						}}
						return BBOOL(BgL_auxz00_20200);
					}
				}
			}
		}
	}



/* &<anonymous:2602> */
	obj_t BGl_z62zc3anonymousza32602ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_14392, obj_t BgL_sz00_14396)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 965 */
			{	/* Eval/evaluate_comp.scm 965 */
				obj_t BgL_a1z00_14393;
				obj_t BgL_a2z00_14394;
				obj_t BgL_locz00_14395;

				BgL_a1z00_14393 = PROCEDURE_REF(BgL_envz00_14392, (int) (((long) 0)));
				BgL_a2z00_14394 = PROCEDURE_REF(BgL_envz00_14392, (int) (((long) 1)));
				BgL_locz00_14395 = PROCEDURE_REF(BgL_envz00_14392, (int) (((long) 2)));
				{
					obj_t BgL_sz00_2300;

					{	/* Eval/evaluate_comp.scm 965 */
						bool_t BgL_auxz00_20227;

						BgL_sz00_2300 = BgL_sz00_14396;
						{	/* Eval/evaluate_comp.scm 965 */
							obj_t BgL_bpz00_2302;

							BgL_bpz00_2302 = VECTOR_REF(BgL_sz00_2300, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 965 */
								obj_t BgL_a1z00_2303;
								obj_t BgL_a2z00_2304;

								BgL_a1z00_2303 =
									PROCEDURE_ENTRY(BgL_a1z00_14393) (BgL_a1z00_14393,
									BgL_sz00_2300, BEOA);
								BgL_a2z00_2304 =
									PROCEDURE_ENTRY(BgL_a2z00_14394) (BgL_a2z00_14394,
									BgL_sz00_2300, BEOA);
								if (INTEGERP(BgL_a1z00_2303))
									{	/* Eval/evaluate_comp.scm 965 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 965 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol5610z00zz__evaluate_compz00,
											BGl_symbol5594z00zz__evaluate_compz00, BgL_a1z00_2303,
											BgL_locz00_14395);
									}
								if (INTEGERP(BgL_a2z00_2304))
									{	/* Eval/evaluate_comp.scm 965 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 965 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol5610z00zz__evaluate_compz00,
											BGl_symbol5594z00zz__evaluate_compz00, BgL_a2z00_2304,
											BgL_locz00_14395);
									}
								BgL_auxz00_20227 =
									((long) CINT(BgL_a1z00_2303) == (long) CINT(BgL_a2z00_2304));
						}}
						return BBOOL(BgL_auxz00_20227);
					}
				}
			}
		}
	}



/* &<anonymous:2606> */
	obj_t BGl_z62zc3anonymousza32606ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_14397, obj_t BgL_sz00_14401)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 965 */
			{	/* Eval/evaluate_comp.scm 965 */
				obj_t BgL_a1z00_14398;
				obj_t BgL_a2z00_14399;
				obj_t BgL_locz00_14400;

				BgL_a1z00_14398 = PROCEDURE_REF(BgL_envz00_14397, (int) (((long) 0)));
				BgL_a2z00_14399 = PROCEDURE_REF(BgL_envz00_14397, (int) (((long) 1)));
				BgL_locz00_14400 = PROCEDURE_REF(BgL_envz00_14397, (int) (((long) 2)));
				{
					obj_t BgL_sz00_2310;

					{	/* Eval/evaluate_comp.scm 965 */
						double BgL_auxz00_20254;

						BgL_sz00_2310 = BgL_sz00_14401;
						{	/* Eval/evaluate_comp.scm 965 */
							obj_t BgL_bpz00_2312;

							BgL_bpz00_2312 = VECTOR_REF(BgL_sz00_2310, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 965 */
								obj_t BgL_a1z00_2313;
								obj_t BgL_a2z00_2314;

								BgL_a1z00_2313 =
									PROCEDURE_ENTRY(BgL_a1z00_14398) (BgL_a1z00_14398,
									BgL_sz00_2310, BEOA);
								BgL_a2z00_2314 =
									PROCEDURE_ENTRY(BgL_a2z00_14399) (BgL_a2z00_14399,
									BgL_sz00_2310, BEOA);
								if (REALP(BgL_a1z00_2313))
									{	/* Eval/evaluate_comp.scm 965 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 965 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol5612z00zz__evaluate_compz00,
											BGl_symbol5614z00zz__evaluate_compz00, BgL_a1z00_2313,
											BgL_locz00_14400);
									}
								if (REALP(BgL_a2z00_2314))
									{	/* Eval/evaluate_comp.scm 965 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 965 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol5612z00zz__evaluate_compz00,
											BGl_symbol5614z00zz__evaluate_compz00, BgL_a2z00_2314,
											BgL_locz00_14400);
									}
								BgL_auxz00_20254 =
									(REAL_TO_DOUBLE(BgL_a1z00_2313) +
									REAL_TO_DOUBLE(BgL_a2z00_2314));
							}
						}
						return DOUBLE_TO_REAL(BgL_auxz00_20254);
					}
				}
			}
		}
	}



/* &<anonymous:2610> */
	obj_t BGl_z62zc3anonymousza32610ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_14402, obj_t BgL_sz00_14406)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 965 */
			{	/* Eval/evaluate_comp.scm 965 */
				obj_t BgL_a1z00_14403;
				obj_t BgL_a2z00_14404;
				obj_t BgL_locz00_14405;

				BgL_a1z00_14403 = PROCEDURE_REF(BgL_envz00_14402, (int) (((long) 0)));
				BgL_a2z00_14404 = PROCEDURE_REF(BgL_envz00_14402, (int) (((long) 1)));
				BgL_locz00_14405 = PROCEDURE_REF(BgL_envz00_14402, (int) (((long) 2)));
				{
					obj_t BgL_sz00_2320;

					{	/* Eval/evaluate_comp.scm 965 */
						double BgL_auxz00_20281;

						BgL_sz00_2320 = BgL_sz00_14406;
						{	/* Eval/evaluate_comp.scm 965 */
							obj_t BgL_bpz00_2322;

							BgL_bpz00_2322 = VECTOR_REF(BgL_sz00_2320, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 965 */
								obj_t BgL_a1z00_2323;
								obj_t BgL_a2z00_2324;

								BgL_a1z00_2323 =
									PROCEDURE_ENTRY(BgL_a1z00_14403) (BgL_a1z00_14403,
									BgL_sz00_2320, BEOA);
								BgL_a2z00_2324 =
									PROCEDURE_ENTRY(BgL_a2z00_14404) (BgL_a2z00_14404,
									BgL_sz00_2320, BEOA);
								if (REALP(BgL_a1z00_2323))
									{	/* Eval/evaluate_comp.scm 965 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 965 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol5616z00zz__evaluate_compz00,
											BGl_symbol5614z00zz__evaluate_compz00, BgL_a1z00_2323,
											BgL_locz00_14405);
									}
								if (REALP(BgL_a2z00_2324))
									{	/* Eval/evaluate_comp.scm 965 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 965 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol5616z00zz__evaluate_compz00,
											BGl_symbol5614z00zz__evaluate_compz00, BgL_a2z00_2324,
											BgL_locz00_14405);
									}
								BgL_auxz00_20281 =
									(REAL_TO_DOUBLE(BgL_a1z00_2323) -
									REAL_TO_DOUBLE(BgL_a2z00_2324));
							}
						}
						return DOUBLE_TO_REAL(BgL_auxz00_20281);
					}
				}
			}
		}
	}



/* &<anonymous:2614> */
	obj_t BGl_z62zc3anonymousza32614ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_14407, obj_t BgL_sz00_14411)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 965 */
			{	/* Eval/evaluate_comp.scm 965 */
				obj_t BgL_a1z00_14408;
				obj_t BgL_a2z00_14409;
				obj_t BgL_locz00_14410;

				BgL_a1z00_14408 = PROCEDURE_REF(BgL_envz00_14407, (int) (((long) 0)));
				BgL_a2z00_14409 = PROCEDURE_REF(BgL_envz00_14407, (int) (((long) 1)));
				BgL_locz00_14410 = PROCEDURE_REF(BgL_envz00_14407, (int) (((long) 2)));
				{
					obj_t BgL_sz00_2330;

					{	/* Eval/evaluate_comp.scm 965 */
						double BgL_auxz00_20308;

						BgL_sz00_2330 = BgL_sz00_14411;
						{	/* Eval/evaluate_comp.scm 965 */
							obj_t BgL_bpz00_2332;

							BgL_bpz00_2332 = VECTOR_REF(BgL_sz00_2330, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 965 */
								obj_t BgL_a1z00_2333;
								obj_t BgL_a2z00_2334;

								BgL_a1z00_2333 =
									PROCEDURE_ENTRY(BgL_a1z00_14408) (BgL_a1z00_14408,
									BgL_sz00_2330, BEOA);
								BgL_a2z00_2334 =
									PROCEDURE_ENTRY(BgL_a2z00_14409) (BgL_a2z00_14409,
									BgL_sz00_2330, BEOA);
								if (REALP(BgL_a1z00_2333))
									{	/* Eval/evaluate_comp.scm 965 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 965 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol5618z00zz__evaluate_compz00,
											BGl_symbol5614z00zz__evaluate_compz00, BgL_a1z00_2333,
											BgL_locz00_14410);
									}
								if (REALP(BgL_a2z00_2334))
									{	/* Eval/evaluate_comp.scm 965 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 965 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol5618z00zz__evaluate_compz00,
											BGl_symbol5614z00zz__evaluate_compz00, BgL_a2z00_2334,
											BgL_locz00_14410);
									}
								BgL_auxz00_20308 =
									(REAL_TO_DOUBLE(BgL_a1z00_2333) *
									REAL_TO_DOUBLE(BgL_a2z00_2334));
							}
						}
						return DOUBLE_TO_REAL(BgL_auxz00_20308);
					}
				}
			}
		}
	}



/* &<anonymous:2618> */
	obj_t BGl_z62zc3anonymousza32618ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_14412, obj_t BgL_sz00_14416)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 965 */
			{	/* Eval/evaluate_comp.scm 965 */
				obj_t BgL_a1z00_14413;
				obj_t BgL_a2z00_14414;
				obj_t BgL_locz00_14415;

				BgL_a1z00_14413 = PROCEDURE_REF(BgL_envz00_14412, (int) (((long) 0)));
				BgL_a2z00_14414 = PROCEDURE_REF(BgL_envz00_14412, (int) (((long) 1)));
				BgL_locz00_14415 = PROCEDURE_REF(BgL_envz00_14412, (int) (((long) 2)));
				{
					obj_t BgL_sz00_2340;

					{	/* Eval/evaluate_comp.scm 965 */
						double BgL_auxz00_20335;

						BgL_sz00_2340 = BgL_sz00_14416;
						{	/* Eval/evaluate_comp.scm 965 */
							obj_t BgL_bpz00_2342;

							BgL_bpz00_2342 = VECTOR_REF(BgL_sz00_2340, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 965 */
								obj_t BgL_a1z00_2343;
								obj_t BgL_a2z00_2344;

								BgL_a1z00_2343 =
									PROCEDURE_ENTRY(BgL_a1z00_14413) (BgL_a1z00_14413,
									BgL_sz00_2340, BEOA);
								BgL_a2z00_2344 =
									PROCEDURE_ENTRY(BgL_a2z00_14414) (BgL_a2z00_14414,
									BgL_sz00_2340, BEOA);
								if (REALP(BgL_a1z00_2343))
									{	/* Eval/evaluate_comp.scm 965 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 965 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol5620z00zz__evaluate_compz00,
											BGl_symbol5614z00zz__evaluate_compz00, BgL_a1z00_2343,
											BgL_locz00_14415);
									}
								if (REALP(BgL_a2z00_2344))
									{	/* Eval/evaluate_comp.scm 965 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 965 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol5620z00zz__evaluate_compz00,
											BGl_symbol5614z00zz__evaluate_compz00, BgL_a2z00_2344,
											BgL_locz00_14415);
									}
								BgL_auxz00_20335 =
									(REAL_TO_DOUBLE(BgL_a1z00_2343) /
									REAL_TO_DOUBLE(BgL_a2z00_2344));
							}
						}
						return DOUBLE_TO_REAL(BgL_auxz00_20335);
					}
				}
			}
		}
	}



/* &<anonymous:2622> */
	obj_t BGl_z62zc3anonymousza32622ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_14417, obj_t BgL_sz00_14421)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 965 */
			{	/* Eval/evaluate_comp.scm 965 */
				obj_t BgL_a1z00_14418;
				obj_t BgL_a2z00_14419;
				obj_t BgL_locz00_14420;

				BgL_a1z00_14418 = PROCEDURE_REF(BgL_envz00_14417, (int) (((long) 0)));
				BgL_a2z00_14419 = PROCEDURE_REF(BgL_envz00_14417, (int) (((long) 1)));
				BgL_locz00_14420 = PROCEDURE_REF(BgL_envz00_14417, (int) (((long) 2)));
				{
					obj_t BgL_sz00_2350;

					{	/* Eval/evaluate_comp.scm 965 */
						bool_t BgL_auxz00_20362;

						BgL_sz00_2350 = BgL_sz00_14421;
						{	/* Eval/evaluate_comp.scm 965 */
							obj_t BgL_bpz00_2352;

							BgL_bpz00_2352 = VECTOR_REF(BgL_sz00_2350, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 965 */
								obj_t BgL_a1z00_2353;
								obj_t BgL_a2z00_2354;

								BgL_a1z00_2353 =
									PROCEDURE_ENTRY(BgL_a1z00_14418) (BgL_a1z00_14418,
									BgL_sz00_2350, BEOA);
								BgL_a2z00_2354 =
									PROCEDURE_ENTRY(BgL_a2z00_14419) (BgL_a2z00_14419,
									BgL_sz00_2350, BEOA);
								if (REALP(BgL_a1z00_2353))
									{	/* Eval/evaluate_comp.scm 965 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 965 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol5622z00zz__evaluate_compz00,
											BGl_symbol5614z00zz__evaluate_compz00, BgL_a1z00_2353,
											BgL_locz00_14420);
									}
								if (REALP(BgL_a2z00_2354))
									{	/* Eval/evaluate_comp.scm 965 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 965 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol5622z00zz__evaluate_compz00,
											BGl_symbol5614z00zz__evaluate_compz00, BgL_a2z00_2354,
											BgL_locz00_14420);
									}
								BgL_auxz00_20362 =
									(REAL_TO_DOUBLE(BgL_a1z00_2353) <
									REAL_TO_DOUBLE(BgL_a2z00_2354));
							}
						}
						return BBOOL(BgL_auxz00_20362);
					}
				}
			}
		}
	}



/* &<anonymous:2626> */
	obj_t BGl_z62zc3anonymousza32626ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_14422, obj_t BgL_sz00_14426)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 965 */
			{	/* Eval/evaluate_comp.scm 965 */
				obj_t BgL_a1z00_14423;
				obj_t BgL_a2z00_14424;
				obj_t BgL_locz00_14425;

				BgL_a1z00_14423 = PROCEDURE_REF(BgL_envz00_14422, (int) (((long) 0)));
				BgL_a2z00_14424 = PROCEDURE_REF(BgL_envz00_14422, (int) (((long) 1)));
				BgL_locz00_14425 = PROCEDURE_REF(BgL_envz00_14422, (int) (((long) 2)));
				{
					obj_t BgL_sz00_2360;

					{	/* Eval/evaluate_comp.scm 965 */
						bool_t BgL_auxz00_20389;

						BgL_sz00_2360 = BgL_sz00_14426;
						{	/* Eval/evaluate_comp.scm 965 */
							obj_t BgL_bpz00_2362;

							BgL_bpz00_2362 = VECTOR_REF(BgL_sz00_2360, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 965 */
								obj_t BgL_a1z00_2363;
								obj_t BgL_a2z00_2364;

								BgL_a1z00_2363 =
									PROCEDURE_ENTRY(BgL_a1z00_14423) (BgL_a1z00_14423,
									BgL_sz00_2360, BEOA);
								BgL_a2z00_2364 =
									PROCEDURE_ENTRY(BgL_a2z00_14424) (BgL_a2z00_14424,
									BgL_sz00_2360, BEOA);
								if (REALP(BgL_a1z00_2363))
									{	/* Eval/evaluate_comp.scm 965 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 965 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol5624z00zz__evaluate_compz00,
											BGl_symbol5614z00zz__evaluate_compz00, BgL_a1z00_2363,
											BgL_locz00_14425);
									}
								if (REALP(BgL_a2z00_2364))
									{	/* Eval/evaluate_comp.scm 965 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 965 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol5624z00zz__evaluate_compz00,
											BGl_symbol5614z00zz__evaluate_compz00, BgL_a2z00_2364,
											BgL_locz00_14425);
									}
								BgL_auxz00_20389 =
									(REAL_TO_DOUBLE(BgL_a1z00_2363) >
									REAL_TO_DOUBLE(BgL_a2z00_2364));
							}
						}
						return BBOOL(BgL_auxz00_20389);
					}
				}
			}
		}
	}



/* &<anonymous:2630> */
	obj_t BGl_z62zc3anonymousza32630ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_14427, obj_t BgL_sz00_14431)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 965 */
			{	/* Eval/evaluate_comp.scm 965 */
				obj_t BgL_a1z00_14428;
				obj_t BgL_a2z00_14429;
				obj_t BgL_locz00_14430;

				BgL_a1z00_14428 = PROCEDURE_REF(BgL_envz00_14427, (int) (((long) 0)));
				BgL_a2z00_14429 = PROCEDURE_REF(BgL_envz00_14427, (int) (((long) 1)));
				BgL_locz00_14430 = PROCEDURE_REF(BgL_envz00_14427, (int) (((long) 2)));
				{
					obj_t BgL_sz00_2370;

					{	/* Eval/evaluate_comp.scm 965 */
						bool_t BgL_auxz00_20416;

						BgL_sz00_2370 = BgL_sz00_14431;
						{	/* Eval/evaluate_comp.scm 965 */
							obj_t BgL_bpz00_2372;

							BgL_bpz00_2372 = VECTOR_REF(BgL_sz00_2370, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 965 */
								obj_t BgL_a1z00_2373;
								obj_t BgL_a2z00_2374;

								BgL_a1z00_2373 =
									PROCEDURE_ENTRY(BgL_a1z00_14428) (BgL_a1z00_14428,
									BgL_sz00_2370, BEOA);
								BgL_a2z00_2374 =
									PROCEDURE_ENTRY(BgL_a2z00_14429) (BgL_a2z00_14429,
									BgL_sz00_2370, BEOA);
								if (REALP(BgL_a1z00_2373))
									{	/* Eval/evaluate_comp.scm 965 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 965 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol5626z00zz__evaluate_compz00,
											BGl_symbol5614z00zz__evaluate_compz00, BgL_a1z00_2373,
											BgL_locz00_14430);
									}
								if (REALP(BgL_a2z00_2374))
									{	/* Eval/evaluate_comp.scm 965 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 965 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol5626z00zz__evaluate_compz00,
											BGl_symbol5614z00zz__evaluate_compz00, BgL_a2z00_2374,
											BgL_locz00_14430);
									}
								BgL_auxz00_20416 =
									(REAL_TO_DOUBLE(BgL_a1z00_2373) <=
									REAL_TO_DOUBLE(BgL_a2z00_2374));
							}
						}
						return BBOOL(BgL_auxz00_20416);
					}
				}
			}
		}
	}



/* &<anonymous:2634> */
	obj_t BGl_z62zc3anonymousza32634ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_14432, obj_t BgL_sz00_14436)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 965 */
			{	/* Eval/evaluate_comp.scm 965 */
				obj_t BgL_a1z00_14433;
				obj_t BgL_a2z00_14434;
				obj_t BgL_locz00_14435;

				BgL_a1z00_14433 = PROCEDURE_REF(BgL_envz00_14432, (int) (((long) 0)));
				BgL_a2z00_14434 = PROCEDURE_REF(BgL_envz00_14432, (int) (((long) 1)));
				BgL_locz00_14435 = PROCEDURE_REF(BgL_envz00_14432, (int) (((long) 2)));
				{
					obj_t BgL_sz00_2380;

					{	/* Eval/evaluate_comp.scm 965 */
						bool_t BgL_auxz00_20443;

						BgL_sz00_2380 = BgL_sz00_14436;
						{	/* Eval/evaluate_comp.scm 965 */
							obj_t BgL_bpz00_2382;

							BgL_bpz00_2382 = VECTOR_REF(BgL_sz00_2380, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 965 */
								obj_t BgL_a1z00_2383;
								obj_t BgL_a2z00_2384;

								BgL_a1z00_2383 =
									PROCEDURE_ENTRY(BgL_a1z00_14433) (BgL_a1z00_14433,
									BgL_sz00_2380, BEOA);
								BgL_a2z00_2384 =
									PROCEDURE_ENTRY(BgL_a2z00_14434) (BgL_a2z00_14434,
									BgL_sz00_2380, BEOA);
								if (REALP(BgL_a1z00_2383))
									{	/* Eval/evaluate_comp.scm 965 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 965 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol5628z00zz__evaluate_compz00,
											BGl_symbol5614z00zz__evaluate_compz00, BgL_a1z00_2383,
											BgL_locz00_14435);
									}
								if (REALP(BgL_a2z00_2384))
									{	/* Eval/evaluate_comp.scm 965 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 965 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol5628z00zz__evaluate_compz00,
											BGl_symbol5614z00zz__evaluate_compz00, BgL_a2z00_2384,
											BgL_locz00_14435);
									}
								BgL_auxz00_20443 =
									(REAL_TO_DOUBLE(BgL_a1z00_2383) >=
									REAL_TO_DOUBLE(BgL_a2z00_2384));
							}
						}
						return BBOOL(BgL_auxz00_20443);
					}
				}
			}
		}
	}



/* &<anonymous:2638> */
	obj_t BGl_z62zc3anonymousza32638ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_14437, obj_t BgL_sz00_14441)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 965 */
			{	/* Eval/evaluate_comp.scm 965 */
				obj_t BgL_a1z00_14438;
				obj_t BgL_a2z00_14439;
				obj_t BgL_locz00_14440;

				BgL_a1z00_14438 = PROCEDURE_REF(BgL_envz00_14437, (int) (((long) 0)));
				BgL_a2z00_14439 = PROCEDURE_REF(BgL_envz00_14437, (int) (((long) 1)));
				BgL_locz00_14440 = PROCEDURE_REF(BgL_envz00_14437, (int) (((long) 2)));
				{
					obj_t BgL_sz00_2390;

					{	/* Eval/evaluate_comp.scm 965 */
						bool_t BgL_auxz00_20470;

						BgL_sz00_2390 = BgL_sz00_14441;
						{	/* Eval/evaluate_comp.scm 965 */
							obj_t BgL_bpz00_2392;

							BgL_bpz00_2392 = VECTOR_REF(BgL_sz00_2390, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 965 */
								obj_t BgL_a1z00_2393;
								obj_t BgL_a2z00_2394;

								BgL_a1z00_2393 =
									PROCEDURE_ENTRY(BgL_a1z00_14438) (BgL_a1z00_14438,
									BgL_sz00_2390, BEOA);
								BgL_a2z00_2394 =
									PROCEDURE_ENTRY(BgL_a2z00_14439) (BgL_a2z00_14439,
									BgL_sz00_2390, BEOA);
								if (REALP(BgL_a1z00_2393))
									{	/* Eval/evaluate_comp.scm 965 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 965 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol5630z00zz__evaluate_compz00,
											BGl_symbol5614z00zz__evaluate_compz00, BgL_a1z00_2393,
											BgL_locz00_14440);
									}
								if (REALP(BgL_a2z00_2394))
									{	/* Eval/evaluate_comp.scm 965 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 965 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol5630z00zz__evaluate_compz00,
											BGl_symbol5614z00zz__evaluate_compz00, BgL_a2z00_2394,
											BgL_locz00_14440);
									}
								BgL_auxz00_20470 =
									(REAL_TO_DOUBLE(BgL_a1z00_2393) ==
									REAL_TO_DOUBLE(BgL_a2z00_2394));
							}
						}
						return BBOOL(BgL_auxz00_20470);
					}
				}
			}
		}
	}



/* &<anonymous:2642> */
	obj_t BGl_z62zc3anonymousza32642ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_14442, obj_t BgL_sz00_14445)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 965 */
			{	/* Eval/evaluate_comp.scm 965 */
				obj_t BgL_a1z00_14443;
				obj_t BgL_a2z00_14444;

				BgL_a1z00_14443 = PROCEDURE_REF(BgL_envz00_14442, (int) (((long) 0)));
				BgL_a2z00_14444 = PROCEDURE_REF(BgL_envz00_14442, (int) (((long) 1)));
				{
					obj_t BgL_sz00_2400;

					{	/* Eval/evaluate_comp.scm 965 */
						bool_t BgL_auxz00_20495;

						BgL_sz00_2400 = BgL_sz00_14445;
						{	/* Eval/evaluate_comp.scm 965 */
							obj_t BgL_bpz00_8479;

							BgL_bpz00_8479 = VECTOR_REF(BgL_sz00_2400, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 965 */
								obj_t BgL_a1z00_8480;
								obj_t BgL_a2z00_8481;

								BgL_a1z00_8480 =
									PROCEDURE_ENTRY(BgL_a1z00_14443) (BgL_a1z00_14443,
									BgL_sz00_2400, BEOA);
								BgL_a2z00_8481 =
									PROCEDURE_ENTRY(BgL_a2z00_14444) (BgL_a2z00_14444,
									BgL_sz00_2400, BEOA);
								BgL_auxz00_20495 = (BgL_a1z00_8480 == BgL_a2z00_8481);
						}}
						return BBOOL(BgL_auxz00_20495);
					}
				}
			}
		}
	}



/* &<anonymous:2644> */
	obj_t BGl_z62zc3anonymousza32644ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_14446, obj_t BgL_sz00_14449)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 965 */
			{	/* Eval/evaluate_comp.scm 965 */
				obj_t BgL_a1z00_14447;
				obj_t BgL_a2z00_14448;

				BgL_a1z00_14447 = PROCEDURE_REF(BgL_envz00_14446, (int) (((long) 0)));
				BgL_a2z00_14448 = PROCEDURE_REF(BgL_envz00_14446, (int) (((long) 1)));
				{
					obj_t BgL_sz00_2408;

					BgL_sz00_2408 = BgL_sz00_14449;
					{	/* Eval/evaluate_comp.scm 965 */
						obj_t BgL_bpz00_8484;

						BgL_bpz00_8484 = VECTOR_REF(BgL_sz00_2408, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 965 */
							obj_t BgL_a1z00_8485;
							obj_t BgL_a2z00_8486;

							BgL_a1z00_8485 =
								PROCEDURE_ENTRY(BgL_a1z00_14447) (BgL_a1z00_14447,
								BgL_sz00_2408, BEOA);
							BgL_a2z00_8486 =
								PROCEDURE_ENTRY(BgL_a2z00_14448) (BgL_a2z00_14448,
								BgL_sz00_2408, BEOA);
							return MAKE_PAIR(BgL_a1z00_8485, BgL_a2z00_8486);
						}
					}
				}
			}
		}
	}



/* &<anonymous:2647> */
	obj_t BGl_z62zc3anonymousza32647ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_14450, obj_t BgL_sz00_14453)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 962 */
			{	/* Eval/evaluate_comp.scm 962 */
				obj_t BgL_a1z00_14451;
				obj_t BgL_locz00_14452;

				BgL_a1z00_14451 = PROCEDURE_REF(BgL_envz00_14450, (int) (((long) 0)));
				BgL_locz00_14452 = PROCEDURE_REF(BgL_envz00_14450, (int) (((long) 1)));
				{
					obj_t BgL_sz00_2417;

					BgL_sz00_2417 = BgL_sz00_14453;
					{	/* Eval/evaluate_comp.scm 962 */
						obj_t BgL_bpz00_2419;

						BgL_bpz00_2419 = VECTOR_REF(BgL_sz00_2417, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 962 */
							obj_t BgL_a1z00_2420;

							BgL_a1z00_2420 =
								PROCEDURE_ENTRY(BgL_a1z00_14451) (BgL_a1z00_14451,
								BgL_sz00_2417, BEOA);
							if (PAIRP(BgL_a1z00_2420))
								{	/* Eval/evaluate_comp.scm 962 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 962 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol5632z00zz__evaluate_compz00,
										BGl_symbol5634z00zz__evaluate_compz00, BgL_a1z00_2420,
										BgL_locz00_14452);
								}
							return CAR(BgL_a1z00_2420);
						}
					}
				}
			}
		}
	}



/* &<anonymous:2650> */
	obj_t BGl_z62zc3anonymousza32650ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_14454, obj_t BgL_sz00_14457)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 962 */
			{	/* Eval/evaluate_comp.scm 962 */
				obj_t BgL_a1z00_14455;
				obj_t BgL_locz00_14456;

				BgL_a1z00_14455 = PROCEDURE_REF(BgL_envz00_14454, (int) (((long) 0)));
				BgL_locz00_14456 = PROCEDURE_REF(BgL_envz00_14454, (int) (((long) 1)));
				{
					obj_t BgL_sz00_2424;

					BgL_sz00_2424 = BgL_sz00_14457;
					{	/* Eval/evaluate_comp.scm 962 */
						obj_t BgL_bpz00_2426;

						BgL_bpz00_2426 = VECTOR_REF(BgL_sz00_2424, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 962 */
							obj_t BgL_a1z00_2427;

							BgL_a1z00_2427 =
								PROCEDURE_ENTRY(BgL_a1z00_14455) (BgL_a1z00_14455,
								BgL_sz00_2424, BEOA);
							if (PAIRP(BgL_a1z00_2427))
								{	/* Eval/evaluate_comp.scm 962 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 962 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol5636z00zz__evaluate_compz00,
										BGl_symbol5634z00zz__evaluate_compz00, BgL_a1z00_2427,
										BgL_locz00_14456);
								}
							return CDR(BgL_a1z00_2427);
						}
					}
				}
			}
		}
	}



/* &<anonymous:2653> */
	obj_t BGl_z62zc3anonymousza32653ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_14458, obj_t BgL_sz00_14461)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 962 */
			{	/* Eval/evaluate_comp.scm 962 */
				obj_t BgL_a1z00_14459;
				obj_t BgL_locz00_14460;

				BgL_a1z00_14459 = PROCEDURE_REF(BgL_envz00_14458, (int) (((long) 0)));
				BgL_locz00_14460 = PROCEDURE_REF(BgL_envz00_14458, (int) (((long) 1)));
				{
					obj_t BgL_sz00_2431;

					BgL_sz00_2431 = BgL_sz00_14461;
					{	/* Eval/evaluate_comp.scm 962 */
						obj_t BgL_bpz00_2433;

						BgL_bpz00_2433 = VECTOR_REF(BgL_sz00_2431, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 962 */
							obj_t BgL_a1z00_2434;

							BgL_a1z00_2434 =
								PROCEDURE_ENTRY(BgL_a1z00_14459) (BgL_a1z00_14459,
								BgL_sz00_2431, BEOA);
							{	/* Eval/evaluate_comp.scm 962 */
								bool_t BgL_testz00_20561;

								if (PAIRP(BgL_a1z00_2434))
									{	/* Eval/evaluate_comp.scm 962 */
										obj_t BgL_auxz00_20564;

										BgL_auxz00_20564 = CDR(BgL_a1z00_2434);
										BgL_testz00_20561 = PAIRP(BgL_auxz00_20564);
									}
								else
									{	/* Eval/evaluate_comp.scm 962 */
										BgL_testz00_20561 = ((bool_t) 0);
									}
								if (BgL_testz00_20561)
									{	/* Eval/evaluate_comp.scm 962 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 962 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol5638z00zz__evaluate_compz00,
											BGl_symbol5634z00zz__evaluate_compz00, BgL_a1z00_2434,
											BgL_locz00_14460);
									}
							}
							{	/* Eval/evaluate_comp.scm 962 */
								obj_t BgL_pairz00_8287;

								BgL_pairz00_8287 = BgL_a1z00_2434;
								return CAR(CDR(BgL_pairz00_8287));
							}
						}
					}
				}
			}
		}
	}



/* bind-frame */
	obj_t BGl_bindzd2framezd2zz__evaluate_compz00(obj_t BgL_sz00_200,
		obj_t BgL_wherez00_201, long BgL_spz00_202, long BgL_arityz00_203,
		obj_t BgL_valsz00_204, obj_t BgL_locz00_205)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1004 */
			if ((BgL_arityz00_203 < ((long) 0)))
				{	/* Eval/evaluate_comp.scm 1006 */
					long BgL_g1240z00_2440;

					BgL_g1240z00_2440 = (((long) -1) - BgL_arityz00_203);
					{
						long BgL_rz00_2442;
						long BgL_spz00_2443;
						obj_t BgL_lz00_2444;

						BgL_rz00_2442 = BgL_g1240z00_2440;
						BgL_spz00_2443 = BgL_spz00_202;
						BgL_lz00_2444 = BgL_valsz00_204;
					BgL_zc3anonymousza32659ze3z83_2445:
						if ((BgL_rz00_2442 == ((long) 0)))
							{	/* Eval/evaluate_comp.scm 1008 */
								return
									VECTOR_SET(BgL_sz00_200,
									(int) (BgL_spz00_2443), BgL_lz00_2444);
							}
						else
							{	/* Eval/evaluate_comp.scm 1008 */
								if (PAIRP(BgL_lz00_2444))
									{	/* Eval/evaluate_comp.scm 1010 */
										VECTOR_SET(BgL_sz00_200,
											(int) (BgL_spz00_2443), CAR(BgL_lz00_2444));
										{
											obj_t BgL_lz00_20586;
											long BgL_spz00_20584;
											long BgL_rz00_20582;

											BgL_rz00_20582 = (BgL_rz00_2442 - ((long) 1));
											BgL_spz00_20584 = (BgL_spz00_2443 + ((long) 1));
											BgL_lz00_20586 = CDR(BgL_lz00_2444);
											BgL_lz00_2444 = BgL_lz00_20586;
											BgL_spz00_2443 = BgL_spz00_20584;
											BgL_rz00_2442 = BgL_rz00_20582;
											goto BgL_zc3anonymousza32659ze3z83_2445;
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1011 */
										long BgL_arg2666z00_2452;

										BgL_arg2666z00_2452 = bgl_list_length(BgL_valsz00_204);
										return
											BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_205,
											BgL_wherez00_201, (int) (BgL_arityz00_203),
											(int) (BgL_arg2666z00_2452));
				}}}}
			else
				{
					long BgL_rz00_2455;
					long BgL_spz00_2456;
					obj_t BgL_lz00_2457;

					BgL_rz00_2455 = BgL_arityz00_203;
					BgL_spz00_2456 = BgL_spz00_202;
					BgL_lz00_2457 = BgL_valsz00_204;
				BgL_zc3anonymousza32667ze3z83_2458:
					if ((BgL_rz00_2455 == ((long) 0)))
						{	/* Eval/evaluate_comp.scm 1017 */
							if (NULLP(BgL_lz00_2457))
								{	/* Eval/evaluate_comp.scm 1018 */
									return BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1019 */
									long BgL_arg2670z00_2461;

									BgL_arg2670z00_2461 = bgl_list_length(BgL_valsz00_204);
									return
										BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_205,
										BgL_wherez00_201, (int) (BgL_arityz00_203),
										(int) (BgL_arg2670z00_2461));
						}}
					else
						{	/* Eval/evaluate_comp.scm 1017 */
							if (PAIRP(BgL_lz00_2457))
								{	/* Eval/evaluate_comp.scm 1020 */
									VECTOR_SET(BgL_sz00_200,
										(int) (BgL_spz00_2456), CAR(BgL_lz00_2457));
									{
										obj_t BgL_lz00_20609;
										long BgL_spz00_20607;
										long BgL_rz00_20605;

										BgL_rz00_20605 = (BgL_rz00_2455 - ((long) 1));
										BgL_spz00_20607 = (BgL_spz00_2456 + ((long) 1));
										BgL_lz00_20609 = CDR(BgL_lz00_2457);
										BgL_lz00_2457 = BgL_lz00_20609;
										BgL_spz00_2456 = BgL_spz00_20607;
										BgL_rz00_2455 = BgL_rz00_20605;
										goto BgL_zc3anonymousza32667ze3z83_2458;
									}
								}
							else
								{	/* Eval/evaluate_comp.scm 1021 */
									long BgL_arg2676z00_2467;

									BgL_arg2676z00_2467 = bgl_list_length(BgL_valsz00_204);
									return
										BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_205,
										BgL_wherez00_201, (int) (BgL_arityz00_203),
										(int) (BgL_arg2676z00_2467));
		}}}}
	}



/* make-boxes */
	bool_t BGl_makezd2boxeszd2zz__evaluate_compz00(obj_t BgL_sz00_208,
		obj_t BgL_ibza2za2_209, obj_t BgL_bpz00_210)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1119 */
			{	/* Eval/evaluate_comp.scm 1120 */
				int BgL_nz00_2469;

				BgL_nz00_2469 = VECTOR_LENGTH(BgL_ibza2za2_209);
				{
					long BgL_iz00_2471;

					BgL_iz00_2471 = ((long) 0);
				BgL_zc3anonymousza32677ze3z83_2472:
					{	/* Eval/evaluate_comp.scm 1122 */
						long BgL_spz00_2473;

						{	/* Eval/evaluate_comp.scm 1122 */
							obj_t BgL_arg2681z00_2478;

							BgL_arg2681z00_2478 =
								VECTOR_REF(BgL_ibza2za2_209, (int) (BgL_iz00_2471));
							BgL_spz00_2473 =
								((long) CINT(BgL_bpz00_210) + (long) CINT(BgL_arg2681z00_2478));
						}
						{	/* Eval/evaluate_comp.scm 1123 */
							obj_t BgL_arg2678z00_2474;

							{	/* Eval/evaluate_comp.scm 1123 */
								obj_t BgL_arg2679z00_2475;

								BgL_arg2679z00_2475 =
									VECTOR_REF(BgL_sz00_208, (int) (BgL_spz00_2473));
								{	/* Eval/evaluate_comp.scm 1123 */
									obj_t BgL_newz00_8558;

									BgL_newz00_8558 =
										create_struct(BGl_symbol5562z00zz__evaluate_compz00,
										(int) (((long) 1)));
									{	/* Eval/evaluate_comp.scm 1123 */
										int BgL_auxz00_20625;

										BgL_auxz00_20625 = (int) (((long) 0));
										STRUCT_SET(BgL_newz00_8558, BgL_auxz00_20625,
											BgL_arg2679z00_2475);
									}
									BgL_arg2678z00_2474 = BgL_newz00_8558;
							}}
							VECTOR_SET(BgL_sz00_208,
								(int) (BgL_spz00_2473), BgL_arg2678z00_2474);
						}
						{	/* Eval/evaluate_comp.scm 1124 */
							long BgL_niz00_2476;

							BgL_niz00_2476 = (BgL_iz00_2471 + ((long) 1));
							if ((BgL_niz00_2476 < (long) (BgL_nz00_2469)))
								{
									long BgL_iz00_20634;

									BgL_iz00_20634 = BgL_niz00_2476;
									BgL_iz00_2471 = BgL_iz00_20634;
									goto BgL_zc3anonymousza32677ze3z83_2472;
								}
							else
								{	/* Eval/evaluate_comp.scm 1125 */
									return ((bool_t) 0);
								}
						}
					}
				}
			}
		}
	}



/* free-collect */
	obj_t BGl_freezd2collectzd2zz__evaluate_compz00(obj_t BgL_sz00_211,
		obj_t BgL_bpz00_212, obj_t BgL_iza2za2_213)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1127 */
			{	/* Eval/evaluate_comp.scm 1128 */
				int BgL_nz00_2480;

				BgL_nz00_2480 = VECTOR_LENGTH(BgL_iza2za2_213);
				{	/* Eval/evaluate_comp.scm 1128 */
					obj_t BgL_rz00_2481;

					BgL_rz00_2481 = make_vector(BgL_nz00_2480, BUNSPEC);
					{	/* Eval/evaluate_comp.scm 1128 */

						{
							long BgL_iz00_2483;

							BgL_iz00_2483 = ((long) 0);
						BgL_zc3anonymousza32682ze3z83_2484:
							if ((BgL_iz00_2483 >= (long) (BgL_nz00_2480)))
								{	/* Eval/evaluate_comp.scm 1130 */
									return BgL_rz00_2481;
								}
							else
								{	/* Eval/evaluate_comp.scm 1130 */
									{	/* Eval/evaluate_comp.scm 1133 */
										obj_t BgL_arg2685z00_2486;

										{	/* Eval/evaluate_comp.scm 1133 */
											long BgL_arg2686z00_2487;

											{	/* Eval/evaluate_comp.scm 1133 */
												obj_t BgL_arg2687z00_2488;

												BgL_arg2687z00_2488 =
													VECTOR_REF(BgL_iza2za2_213, (int) (BgL_iz00_2483));
												BgL_arg2686z00_2487 =
													(
													(long) CINT(BgL_bpz00_212) +
													(long) CINT(BgL_arg2687z00_2488));
											}
											BgL_arg2685z00_2486 =
												VECTOR_REF(BgL_sz00_211, (int) (BgL_arg2686z00_2487));
										}
										VECTOR_SET(BgL_rz00_2481,
											(int) (BgL_iz00_2483), BgL_arg2685z00_2486);
									}
									{
										long BgL_iz00_20649;

										BgL_iz00_20649 = (BgL_iz00_2483 + ((long) 1));
										BgL_iz00_2483 = BgL_iz00_20649;
										goto BgL_zc3anonymousza32682ze3z83_2484;
									}
								}
						}
					}
				}
			}
		}
	}



/* free-restore */
	bool_t BGl_freezd2restorezd2zz__evaluate_compz00(obj_t BgL_sz00_214,
		obj_t BgL_valza2za2_215, long BgL_spz00_216)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1136 */
			{	/* Eval/evaluate_comp.scm 1137 */
				long BgL_stopz00_2492;

				{	/* Eval/evaluate_comp.scm 1137 */
					int BgL_arg2697z00_2502;

					BgL_arg2697z00_2502 = VECTOR_LENGTH(BgL_valza2za2_215);
					BgL_stopz00_2492 = (BgL_spz00_216 + (long) (BgL_arg2697z00_2502));
				}
				{
					long BgL_iz00_8634;
					long BgL_spz00_8635;

					BgL_iz00_8634 = ((long) 0);
					BgL_spz00_8635 = BgL_spz00_216;
				BgL_recz00_8633:
					if ((BgL_spz00_8635 < BgL_stopz00_2492))
						{	/* Eval/evaluate_comp.scm 1138 */
							VECTOR_SET(BgL_sz00_214,
								(int) (BgL_spz00_8635),
								VECTOR_REF(BgL_valza2za2_215, (int) (BgL_iz00_8634)));
							{
								long BgL_spz00_20662;
								long BgL_iz00_20660;

								BgL_iz00_20660 = (BgL_iz00_8634 + ((long) 1));
								BgL_spz00_20662 = (BgL_spz00_8635 + ((long) 1));
								BgL_spz00_8635 = BgL_spz00_20662;
								BgL_iz00_8634 = BgL_iz00_20660;
								goto BgL_recz00_8633;
							}
						}
					else
						{	/* Eval/evaluate_comp.scm 1138 */
							return ((bool_t) 0);
						}
				}
			}
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zz__evaluate_compz00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 15 */
			return BUNSPEC;
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zz__evaluate_compz00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 15 */
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_proc5640z00zz__evaluate_compz00,
				BGl_ev_exprz00zz__evaluate_typesz00,
				BGl_string5641z00zz__evaluate_compz00);
		}
	}



/* &comp1640 */
	obj_t BGl_z62comp1640z62zz__evaluate_compz00(obj_t BgL_envz00_14547,
		BgL_ev_exprz00_bglt BgL_ez00_14548, obj_t BgL_stkz00_14549)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 265 */
			{
				BgL_ev_exprz00_bglt BgL_ez00_2504;
				obj_t BgL_stkz00_2505;

				BgL_ez00_2504 = BgL_ez00_14548;
				BgL_stkz00_2505 = BgL_stkz00_14549;
				return
					BGl_errorz00zz__errorz00(BGl_string5552z00zz__evaluate_compz00,
					BGl_string5642z00zz__evaluate_compz00, ((obj_t) BgL_ez00_2504));
			}
		}
	}



/* comp */
	obj_t BGl_compz00zz__evaluate_compz00(BgL_ev_exprz00_bglt BgL_ez00_35,
		obj_t BgL_stkz00_36)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 265 */
			{	/* Eval/evaluate_comp.scm 265 */
				obj_t BgL_method1641z00_2508;

				{	/* Eval/evaluate_comp.scm 265 */
					obj_t BgL_res4818z00_8686;

					{	/* Eval/evaluate_comp.scm 265 */
						BgL_objectz00_bglt BgL_objz00_8658;

						BgL_objz00_8658 = ((BgL_objectz00_bglt) BgL_ez00_35);
						{	/* Eval/evaluate_comp.scm 265 */
							long BgL_objzd2classzd2numz00_8659;

							{	/* Eval/evaluate_comp.scm 265 */
								long BgL_res4812z00_8662;

								BgL_res4812z00_8662 = BGL_OBJECT_CLASS_NUM(BgL_objz00_8658);
								BgL_objzd2classzd2numz00_8659 = BgL_res4812z00_8662;
							}
							{	/* Eval/evaluate_comp.scm 265 */
								obj_t BgL_arg4314z00_8660;

								BgL_arg4314z00_8660 =
									PROCEDURE_REF(BGl_compzd2envzd2zz__evaluate_compz00,
									(int) (((long) 1)));
								{	/* Eval/evaluate_comp.scm 265 */
									obj_t BgL_arrayz00_8663;
									int BgL_offsetz00_8664;

									BgL_arrayz00_8663 = BgL_arg4314z00_8660;
									BgL_offsetz00_8664 = (int) (BgL_objzd2classzd2numz00_8659);
									{	/* Eval/evaluate_comp.scm 265 */
										long BgL_offsetz00_8665;

										BgL_offsetz00_8665 =
											((long) (BgL_offsetz00_8664) - OBJECT_TYPE);
										{	/* Eval/evaluate_comp.scm 265 */
											long BgL_modz00_8666;

											{	/* Eval/evaluate_comp.scm 265 */
												int BgL_arg4316z00_8667;

												BgL_arg4316z00_8667 = (int) (((long) 16));
												{	/* Eval/evaluate_comp.scm 265 */
													long BgL_res4815z00_8677;

													{	/* Eval/evaluate_comp.scm 265 */
														long BgL_auxz00_20675;

														BgL_auxz00_20675 = (long) (BgL_arg4316z00_8667);
														BgL_res4815z00_8677 =
															(BgL_offsetz00_8665 / BgL_auxz00_20675);
													}
													BgL_modz00_8666 = BgL_res4815z00_8677;
											}}
											{	/* Eval/evaluate_comp.scm 265 */
												long BgL_restz00_8668;

												{	/* Eval/evaluate_comp.scm 265 */
													int BgL_arg4315z00_8669;

													BgL_arg4315z00_8669 = (int) (((long) 16));
													{	/* Eval/evaluate_comp.scm 265 */
														long BgL_res4817z00_8681;

														{	/* Eval/evaluate_comp.scm 265 */
															long BgL_auxz00_20679;

															BgL_auxz00_20679 = (long) (BgL_arg4315z00_8669);
															BgL_res4817z00_8681 =
																(BgL_offsetz00_8665 % BgL_auxz00_20679);
														}
														BgL_restz00_8668 = BgL_res4817z00_8681;
												}}
												{	/* Eval/evaluate_comp.scm 265 */

													BgL_res4818z00_8686 =
														VECTOR_REF(VECTOR_REF(BgL_arrayz00_8663,
															(int) (BgL_modz00_8666)),
														(int) (BgL_restz00_8668));
					}}}}}}}}
					BgL_method1641z00_2508 = BgL_res4818z00_8686;
				}
				return
					PROCEDURE_ENTRY(BgL_method1641z00_2508) (BgL_method1641z00_2508,
					((obj_t) BgL_ez00_35), BgL_stkz00_36, BEOA);
			}
		}
	}



/* &comp */
	obj_t BGl_z62compz62zz__evaluate_compz00(obj_t BgL_envz00_14550,
		obj_t BgL_ez00_14551, obj_t BgL_stkz00_14552)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 265 */
			{	/* Eval/evaluate_comp.scm 265 */
				BgL_ev_exprz00_bglt BgL_auxz00_20692;

				if (BGl_isazf3zf3zz__objectz00(BgL_ez00_14551,
						BGl_ev_exprz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_comp.scm 265 */
						BgL_auxz00_20692 = ((BgL_ev_exprz00_bglt) BgL_ez00_14551);
					}
				else
					{
						obj_t BgL_auxz00_20696;

						BgL_auxz00_20696 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string5557z00zz__evaluate_compz00, BINT(((long) 6631)),
							BGl_string5643z00zz__evaluate_compz00,
							BGl_string5559z00zz__evaluate_compz00, BgL_ez00_14551);
						FAILURE(BgL_auxz00_20696, BFALSE, BFALSE);
					}
				return
					BGl_compz00zz__evaluate_compz00(BgL_auxz00_20692, BgL_stkz00_14552);
			}
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zz__evaluate_compz00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 15 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_trapz00zz__evaluate_typesz00,
				BGl_proc5644z00zz__evaluate_compz00,
				BGl_string5645z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_varz00zz__evaluate_typesz00, BGl_proc5646z00zz__evaluate_compz00,
				BGl_string5645z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_setlocalz00zz__evaluate_typesz00,
				BGl_proc5647z00zz__evaluate_compz00,
				BGl_string5645z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_globalz00zz__evaluate_typesz00,
				BGl_proc5648z00zz__evaluate_compz00,
				BGl_string5645z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_setglobalz00zz__evaluate_typesz00,
				BGl_proc5649z00zz__evaluate_compz00,
				BGl_string5645z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_defglobalz00zz__evaluate_typesz00,
				BGl_proc5650z00zz__evaluate_compz00,
				BGl_string5645z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_littz00zz__evaluate_typesz00,
				BGl_proc5651z00zz__evaluate_compz00,
				BGl_string5645z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_ifz00zz__evaluate_typesz00, BGl_proc5652z00zz__evaluate_compz00,
				BGl_string5645z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_orz00zz__evaluate_typesz00, BGl_proc5653z00zz__evaluate_compz00,
				BGl_string5645z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_andz00zz__evaluate_typesz00, BGl_proc5654z00zz__evaluate_compz00,
				BGl_string5645z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_prog2z00zz__evaluate_typesz00,
				BGl_proc5655z00zz__evaluate_compz00,
				BGl_string5645z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_letz00zz__evaluate_typesz00, BGl_proc5656z00zz__evaluate_compz00,
				BGl_string5645z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_letza2za2zz__evaluate_typesz00,
				BGl_proc5657z00zz__evaluate_compz00,
				BGl_string5645z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_letrecz00zz__evaluate_typesz00,
				BGl_proc5658z00zz__evaluate_compz00,
				BGl_string5645z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_bindzd2exitzd2zz__evaluate_typesz00,
				BGl_proc5659z00zz__evaluate_compz00,
				BGl_string5645z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00,
				BGl_proc5660z00zz__evaluate_compz00,
				BGl_string5645z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_withzd2handlerzd2zz__evaluate_typesz00,
				BGl_proc5661z00zz__evaluate_compz00,
				BGl_string5645z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_labelsz00zz__evaluate_typesz00,
				BGl_proc5662z00zz__evaluate_compz00,
				BGl_string5645z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_gotoz00zz__evaluate_typesz00,
				BGl_proc5663z00zz__evaluate_compz00,
				BGl_string5645z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_appz00zz__evaluate_typesz00, BGl_proc5664z00zz__evaluate_compz00,
				BGl_string5645z00zz__evaluate_compz00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_absz00zz__evaluate_typesz00, BGl_proc5665z00zz__evaluate_compz00,
				BGl_string5645z00zz__evaluate_compz00);
		}
	}



/* &comp-ev_abs1683 */
	obj_t BGl_z62compzd2ev_abs1683zb0zz__evaluate_compz00(obj_t BgL_envz00_14743,
		BgL_ev_absz00_bglt BgL_ez00_14744, obj_t BgL_stkz00_14745)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1107 */
			{
				BgL_ev_absz00_bglt BgL_ez00_3260;
				obj_t BgL_stkz00_3261;

				BgL_ez00_3260 = BgL_ez00_14744;
				BgL_stkz00_3261 = BgL_stkz00_14745;
				{	/* Eval/evaluate_comp.scm 1109 */
					obj_t BgL_ifreesz00_3265;
					obj_t BgL_iboxesz00_3266;
					long BgL_siza7eza7_3267;
					long BgL_siza7ezd2framez75_3268;
					obj_t BgL_nstkz00_3269;

					{	/* Eval/evaluate_comp.scm 1109 */
						obj_t BgL_arg3990z00_5289;

						{	/* Eval/evaluate_comp.scm 1109 */
							obj_t BgL_l1618z00_5290;

							BgL_l1618z00_5290 =
								(((BgL_ev_absz00_bglt) CREF(BgL_ez00_3260))->BgL_freez00);
							if (NULLP(BgL_l1618z00_5290))
								{	/* Eval/evaluate_comp.scm 1109 */
									BgL_arg3990z00_5289 = BNIL;
								}
							else
								{	/* Eval/evaluate_comp.scm 1109 */
									obj_t BgL_head1620z00_5292;

									{	/* Eval/evaluate_comp.scm 1109 */
										obj_t BgL_res4955z00_9943;

										BgL_res4955z00_9943 = MAKE_PAIR(BNIL, BNIL);
										BgL_head1620z00_5292 = BgL_res4955z00_9943;
									}
									{
										obj_t BgL_l1618z00_9977;
										obj_t BgL_tail1621z00_9978;

										BgL_l1618z00_9977 = BgL_l1618z00_5290;
										BgL_tail1621z00_9978 = BgL_head1620z00_5292;
									BgL_zc3anonymousza33992ze3z83_9976:
										if (NULLP(BgL_l1618z00_9977))
											{	/* Eval/evaluate_comp.scm 1109 */
												BgL_arg3990z00_5289 = CDR(BgL_head1620z00_5292);
											}
										else
											{	/* Eval/evaluate_comp.scm 1109 */
												obj_t BgL_newtail1622z00_9985;

												{	/* Eval/evaluate_comp.scm 1109 */
													obj_t BgL_arg3995z00_9986;

													BgL_arg3995z00_9986 =
														BGl__indexz00zz__evaluate_compz00(CAR
														(BgL_l1618z00_9977), BgL_stkz00_3261);
													{	/* Eval/evaluate_comp.scm 1109 */
														obj_t BgL_res4961z00_9995;

														BgL_res4961z00_9995 =
															MAKE_PAIR(BgL_arg3995z00_9986, BNIL);
														BgL_newtail1622z00_9985 = BgL_res4961z00_9995;
													}
												}
												SET_CDR(BgL_tail1621z00_9978, BgL_newtail1622z00_9985);
												{
													obj_t BgL_tail1621z00_20735;
													obj_t BgL_l1618z00_20733;

													BgL_l1618z00_20733 = CDR(BgL_l1618z00_9977);
													BgL_tail1621z00_20735 = BgL_newtail1622z00_9985;
													BgL_tail1621z00_9978 = BgL_tail1621z00_20735;
													BgL_l1618z00_9977 = BgL_l1618z00_20733;
													goto BgL_zc3anonymousza33992ze3z83_9976;
												}
											}
									}
								}
						}
						BgL_ifreesz00_3265 =
							BGl_listzd2ze3vectorz31zz__r4_vectors_6_8z00(BgL_arg3990z00_5289);
					}
					{	/* Eval/evaluate_comp.scm 1110 */
						obj_t BgL_arg3996z00_5303;

						{	/* Eval/evaluate_comp.scm 1110 */
							obj_t BgL_l1623z00_5304;

							BgL_l1623z00_5304 =
								(((BgL_ev_absz00_bglt) CREF(BgL_ez00_3260))->BgL_boxesz00);
							if (NULLP(BgL_l1623z00_5304))
								{	/* Eval/evaluate_comp.scm 1110 */
									BgL_arg3996z00_5303 = BNIL;
								}
							else
								{	/* Eval/evaluate_comp.scm 1110 */
									obj_t BgL_head1625z00_5306;

									{	/* Eval/evaluate_comp.scm 1110 */
										obj_t BgL_res4963z00_10003;

										BgL_res4963z00_10003 = MAKE_PAIR(BNIL, BNIL);
										BgL_head1625z00_5306 = BgL_res4963z00_10003;
									}
									{
										obj_t BgL_l1623z00_5308;
										obj_t BgL_tail1626z00_5309;

										BgL_l1623z00_5308 = BgL_l1623z00_5304;
										BgL_tail1626z00_5309 = BgL_head1625z00_5306;
									BgL_zc3anonymousza33998ze3z83_5310:
										if (NULLP(BgL_l1623z00_5308))
											{	/* Eval/evaluate_comp.scm 1110 */
												BgL_arg3996z00_5303 = CDR(BgL_head1625z00_5306);
											}
										else
											{	/* Eval/evaluate_comp.scm 1110 */
												obj_t BgL_newtail1627z00_5312;

												{	/* Eval/evaluate_comp.scm 1110 */
													obj_t BgL_arg4001z00_5314;

													BgL_arg4001z00_5314 =
														BGl__indexz00zz__evaluate_compz00(CAR
														(BgL_l1623z00_5308),
														(((BgL_ev_absz00_bglt) CREF(BgL_ez00_3260))->
															BgL_varsz00));
													{	/* Eval/evaluate_comp.scm 1110 */
														obj_t BgL_res4965z00_10010;

														BgL_res4965z00_10010 =
															MAKE_PAIR(BgL_arg4001z00_5314, BNIL);
														BgL_newtail1627z00_5312 = BgL_res4965z00_10010;
													}
												}
												SET_CDR(BgL_tail1626z00_5309, BgL_newtail1627z00_5312);
												{
													obj_t BgL_tail1626z00_20751;
													obj_t BgL_l1623z00_20749;

													BgL_l1623z00_20749 = CDR(BgL_l1623z00_5308);
													BgL_tail1626z00_20751 = BgL_newtail1627z00_5312;
													BgL_tail1626z00_5309 = BgL_tail1626z00_20751;
													BgL_l1623z00_5308 = BgL_l1623z00_20749;
													goto BgL_zc3anonymousza33998ze3z83_5310;
												}
											}
									}
								}
						}
						BgL_iboxesz00_3266 =
							BGl_listzd2ze3vectorz31zz__r4_vectors_6_8z00(BgL_arg3996z00_5303);
					}
					BgL_siza7eza7_3267 =
						bgl_list_length(
						(((BgL_ev_absz00_bglt) CREF(BgL_ez00_3260))->BgL_varsz00));
					BgL_siza7ezd2framez75_3268 =
						(
						(long) (
							(((BgL_ev_absz00_bglt) CREF(BgL_ez00_3260))->BgL_siza7eza7)) +
						bgl_list_length(
							(((BgL_ev_absz00_bglt) CREF(BgL_ez00_3260))->BgL_freez00)));
					BgL_nstkz00_3269 =
						BGl_appendzd221011zd2zz__evaluate_compz00(
						(((BgL_ev_absz00_bglt) CREF(BgL_ez00_3260))->BgL_varsz00),
						(((BgL_ev_absz00_bglt) CREF(BgL_ez00_3260))->BgL_freez00));
					{	/* Eval/evaluate_comp.scm 1114 */
						obj_t BgL_bodyz00_3270;

						BgL_bodyz00_3270 =
							BGl_compz00zz__evaluate_compz00(
							(((BgL_ev_absz00_bglt) CREF(BgL_ez00_3260))->BgL_bodyz00),
							BgL_nstkz00_3269);
						{

							{	/* Eval/evaluate_comp.scm 1116 */
								obj_t BgL_aux1276z00_3272;

								BgL_aux1276z00_3272 =
									(((BgL_ev_absz00_bglt) CREF(BgL_ez00_3260))->BgL_arityz00);
								if (INTEGERP(BgL_aux1276z00_3272))
									{	/* Eval/evaluate_comp.scm 1116 */
										switch ((long) CINT(BgL_aux1276z00_3272))
											{
											case ((long) 0):

												{	/* Eval/evaluate_comp.scm 1116 */
													bool_t BgL_testz00_20768;

													{	/* Eval/evaluate_comp.scm 1116 */
														int BgL_arg3111z00_3431;

														BgL_arg3111z00_3431 =
															VECTOR_LENGTH(BgL_ifreesz00_3265);
														BgL_testz00_20768 =
															((long) (BgL_arg3111z00_3431) == ((long) 0));
													}
													if (BgL_testz00_20768)
														{	/* Eval/evaluate_comp.scm 1116 */
															bool_t BgL_testz00_20772;

															{	/* Eval/evaluate_comp.scm 1116 */
																int BgL_arg3072z00_3350;

																BgL_arg3072z00_3350 =
																	VECTOR_LENGTH(BgL_iboxesz00_3266);
																BgL_testz00_20772 =
																	((long) (BgL_arg3072z00_3350) == ((long) 0));
															}
															if (BgL_testz00_20772)
																{	/* Eval/evaluate_comp.scm 1116 */
																	obj_t BgL_zc3anonymousza33038ze3z83_14564;

																	BgL_zc3anonymousza33038ze3z83_14564 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza33038ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 3)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33038ze3z83_14564,
																		(int) (((long) 0)),
																		((obj_t) BgL_ez00_3260));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33038ze3z83_14564,
																		(int) (((long) 1)), BgL_bodyz00_3270);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33038ze3z83_14564,
																		(int) (((long) 2)),
																		BINT(BgL_siza7ezd2framez75_3268));
																	return BgL_zc3anonymousza33038ze3z83_14564;
																}
															else
																{	/* Eval/evaluate_comp.scm 1116 */
																	obj_t BgL_zc3anonymousza33056ze3z83_14561;

																	BgL_zc3anonymousza33056ze3z83_14561 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza33056ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 4)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33056ze3z83_14561,
																		(int) (((long) 0)), BgL_iboxesz00_3266);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33056ze3z83_14561,
																		(int) (((long) 1)),
																		((obj_t) BgL_ez00_3260));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33056ze3z83_14561,
																		(int) (((long) 2)), BgL_bodyz00_3270);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33056ze3z83_14561,
																		(int) (((long) 3)),
																		BINT(BgL_siza7ezd2framez75_3268));
																	return BgL_zc3anonymousza33056ze3z83_14561;
																}
														}
													else
														{	/* Eval/evaluate_comp.scm 1116 */
															bool_t BgL_testz00_20800;

															{	/* Eval/evaluate_comp.scm 1116 */
																int BgL_arg3110z00_3430;

																BgL_arg3110z00_3430 =
																	VECTOR_LENGTH(BgL_iboxesz00_3266);
																BgL_testz00_20800 =
																	((long) (BgL_arg3110z00_3430) == ((long) 0));
															}
															if (BgL_testz00_20800)
																{	/* Eval/evaluate_comp.scm 1116 */
																	obj_t BgL_zc3anonymousza33074ze3z83_14558;

																	BgL_zc3anonymousza33074ze3z83_14558 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza33074ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 5)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33074ze3z83_14558,
																		(int) (((long) 0)), BgL_ifreesz00_3265);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33074ze3z83_14558,
																		(int) (((long) 1)),
																		BINT(BgL_siza7eza7_3267));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33074ze3z83_14558,
																		(int) (((long) 2)),
																		((obj_t) BgL_ez00_3260));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33074ze3z83_14558,
																		(int) (((long) 3)), BgL_bodyz00_3270);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33074ze3z83_14558,
																		(int) (((long) 4)),
																		BINT(BgL_siza7ezd2framez75_3268));
																	return BgL_zc3anonymousza33074ze3z83_14558;
																}
															else
																{	/* Eval/evaluate_comp.scm 1116 */
																	obj_t BgL_zc3anonymousza33091ze3z83_14555;

																	BgL_zc3anonymousza33091ze3z83_14555 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza33091ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 6)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33091ze3z83_14555,
																		(int) (((long) 0)), BgL_ifreesz00_3265);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33091ze3z83_14555,
																		(int) (((long) 1)), BgL_iboxesz00_3266);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33091ze3z83_14555,
																		(int) (((long) 2)),
																		BINT(BgL_siza7eza7_3267));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33091ze3z83_14555,
																		(int) (((long) 3)),
																		((obj_t) BgL_ez00_3260));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33091ze3z83_14555,
																		(int) (((long) 4)), BgL_bodyz00_3270);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33091ze3z83_14555,
																		(int) (((long) 5)),
																		BINT(BgL_siza7ezd2framez75_3268));
																	return BgL_zc3anonymousza33091ze3z83_14555;
																}
														}
												}
												break;
											case ((long) -1):

												{	/* Eval/evaluate_comp.scm 1116 */
													bool_t BgL_testz00_20838;

													{	/* Eval/evaluate_comp.scm 1116 */
														int BgL_arg3187z00_3597;

														BgL_arg3187z00_3597 =
															VECTOR_LENGTH(BgL_ifreesz00_3265);
														BgL_testz00_20838 =
															((long) (BgL_arg3187z00_3597) == ((long) 0));
													}
													if (BgL_testz00_20838)
														{	/* Eval/evaluate_comp.scm 1116 */
															bool_t BgL_testz00_20842;

															{	/* Eval/evaluate_comp.scm 1116 */
																int BgL_arg3148z00_3512;

																BgL_arg3148z00_3512 =
																	VECTOR_LENGTH(BgL_iboxesz00_3266);
																BgL_testz00_20842 =
																	((long) (BgL_arg3148z00_3512) == ((long) 0));
															}
															if (BgL_testz00_20842)
																{	/* Eval/evaluate_comp.scm 1116 */
																	obj_t BgL_zc3anonymousza33114ze3z83_14576;

																	BgL_zc3anonymousza33114ze3z83_14576 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza33114ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 3)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33114ze3z83_14576,
																		(int) (((long) 0)),
																		((obj_t) BgL_ez00_3260));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33114ze3z83_14576,
																		(int) (((long) 1)), BgL_bodyz00_3270);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33114ze3z83_14576,
																		(int) (((long) 2)),
																		BINT(BgL_siza7ezd2framez75_3268));
																	return BgL_zc3anonymousza33114ze3z83_14576;
																}
															else
																{	/* Eval/evaluate_comp.scm 1116 */
																	obj_t BgL_zc3anonymousza33131ze3z83_14573;

																	BgL_zc3anonymousza33131ze3z83_14573 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza33131ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 4)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33131ze3z83_14573,
																		(int) (((long) 0)), BgL_iboxesz00_3266);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33131ze3z83_14573,
																		(int) (((long) 1)),
																		((obj_t) BgL_ez00_3260));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33131ze3z83_14573,
																		(int) (((long) 2)), BgL_bodyz00_3270);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33131ze3z83_14573,
																		(int) (((long) 3)),
																		BINT(BgL_siza7ezd2framez75_3268));
																	return BgL_zc3anonymousza33131ze3z83_14573;
																}
														}
													else
														{	/* Eval/evaluate_comp.scm 1116 */
															bool_t BgL_testz00_20870;

															{	/* Eval/evaluate_comp.scm 1116 */
																int BgL_arg3186z00_3596;

																BgL_arg3186z00_3596 =
																	VECTOR_LENGTH(BgL_iboxesz00_3266);
																BgL_testz00_20870 =
																	((long) (BgL_arg3186z00_3596) == ((long) 0));
															}
															if (BgL_testz00_20870)
																{	/* Eval/evaluate_comp.scm 1116 */
																	obj_t BgL_zc3anonymousza33150ze3z83_14570;

																	BgL_zc3anonymousza33150ze3z83_14570 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza33150ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 5)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33150ze3z83_14570,
																		(int) (((long) 0)), BgL_ifreesz00_3265);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33150ze3z83_14570,
																		(int) (((long) 1)),
																		BINT(BgL_siza7eza7_3267));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33150ze3z83_14570,
																		(int) (((long) 2)),
																		((obj_t) BgL_ez00_3260));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33150ze3z83_14570,
																		(int) (((long) 3)), BgL_bodyz00_3270);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33150ze3z83_14570,
																		(int) (((long) 4)),
																		BINT(BgL_siza7ezd2framez75_3268));
																	return BgL_zc3anonymousza33150ze3z83_14570;
																}
															else
																{	/* Eval/evaluate_comp.scm 1116 */
																	obj_t BgL_zc3anonymousza33168ze3z83_14567;

																	BgL_zc3anonymousza33168ze3z83_14567 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza33168ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 6)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33168ze3z83_14567,
																		(int) (((long) 0)), BgL_ifreesz00_3265);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33168ze3z83_14567,
																		(int) (((long) 1)), BgL_iboxesz00_3266);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33168ze3z83_14567,
																		(int) (((long) 2)),
																		BINT(BgL_siza7eza7_3267));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33168ze3z83_14567,
																		(int) (((long) 3)),
																		((obj_t) BgL_ez00_3260));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33168ze3z83_14567,
																		(int) (((long) 4)), BgL_bodyz00_3270);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33168ze3z83_14567,
																		(int) (((long) 5)),
																		BINT(BgL_siza7ezd2framez75_3268));
																	return BgL_zc3anonymousza33168ze3z83_14567;
																}
														}
												}
												break;
											case ((long) 1):

												{	/* Eval/evaluate_comp.scm 1116 */
													bool_t BgL_testz00_20908;

													{	/* Eval/evaluate_comp.scm 1116 */
														int BgL_arg3264z00_3763;

														BgL_arg3264z00_3763 =
															VECTOR_LENGTH(BgL_ifreesz00_3265);
														BgL_testz00_20908 =
															((long) (BgL_arg3264z00_3763) == ((long) 0));
													}
													if (BgL_testz00_20908)
														{	/* Eval/evaluate_comp.scm 1116 */
															bool_t BgL_testz00_20912;

															{	/* Eval/evaluate_comp.scm 1116 */
																int BgL_arg3224z00_3678;

																BgL_arg3224z00_3678 =
																	VECTOR_LENGTH(BgL_iboxesz00_3266);
																BgL_testz00_20912 =
																	((long) (BgL_arg3224z00_3678) == ((long) 0));
															}
															if (BgL_testz00_20912)
																{	/* Eval/evaluate_comp.scm 1116 */
																	obj_t BgL_zc3anonymousza33190ze3z83_14588;

																	BgL_zc3anonymousza33190ze3z83_14588 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza33190ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 3)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33190ze3z83_14588,
																		(int) (((long) 0)),
																		((obj_t) BgL_ez00_3260));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33190ze3z83_14588,
																		(int) (((long) 1)), BgL_bodyz00_3270);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33190ze3z83_14588,
																		(int) (((long) 2)),
																		BINT(BgL_siza7ezd2framez75_3268));
																	return BgL_zc3anonymousza33190ze3z83_14588;
																}
															else
																{	/* Eval/evaluate_comp.scm 1116 */
																	obj_t BgL_zc3anonymousza33207ze3z83_14585;

																	BgL_zc3anonymousza33207ze3z83_14585 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza33207ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 4)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33207ze3z83_14585,
																		(int) (((long) 0)), BgL_iboxesz00_3266);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33207ze3z83_14585,
																		(int) (((long) 1)),
																		((obj_t) BgL_ez00_3260));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33207ze3z83_14585,
																		(int) (((long) 2)), BgL_bodyz00_3270);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33207ze3z83_14585,
																		(int) (((long) 3)),
																		BINT(BgL_siza7ezd2framez75_3268));
																	return BgL_zc3anonymousza33207ze3z83_14585;
																}
														}
													else
														{	/* Eval/evaluate_comp.scm 1116 */
															bool_t BgL_testz00_20940;

															{	/* Eval/evaluate_comp.scm 1116 */
																int BgL_arg3263z00_3762;

																BgL_arg3263z00_3762 =
																	VECTOR_LENGTH(BgL_iboxesz00_3266);
																BgL_testz00_20940 =
																	((long) (BgL_arg3263z00_3762) == ((long) 0));
															}
															if (BgL_testz00_20940)
																{	/* Eval/evaluate_comp.scm 1116 */
																	obj_t BgL_zc3anonymousza33226ze3z83_14582;

																	BgL_zc3anonymousza33226ze3z83_14582 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza33226ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 5)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33226ze3z83_14582,
																		(int) (((long) 0)), BgL_ifreesz00_3265);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33226ze3z83_14582,
																		(int) (((long) 1)),
																		BINT(BgL_siza7eza7_3267));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33226ze3z83_14582,
																		(int) (((long) 2)),
																		((obj_t) BgL_ez00_3260));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33226ze3z83_14582,
																		(int) (((long) 3)), BgL_bodyz00_3270);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33226ze3z83_14582,
																		(int) (((long) 4)),
																		BINT(BgL_siza7ezd2framez75_3268));
																	return BgL_zc3anonymousza33226ze3z83_14582;
																}
															else
																{	/* Eval/evaluate_comp.scm 1116 */
																	obj_t BgL_zc3anonymousza33245ze3z83_14579;

																	BgL_zc3anonymousza33245ze3z83_14579 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza33245ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 6)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33245ze3z83_14579,
																		(int) (((long) 0)), BgL_ifreesz00_3265);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33245ze3z83_14579,
																		(int) (((long) 1)), BgL_iboxesz00_3266);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33245ze3z83_14579,
																		(int) (((long) 2)),
																		BINT(BgL_siza7eza7_3267));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33245ze3z83_14579,
																		(int) (((long) 3)),
																		((obj_t) BgL_ez00_3260));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33245ze3z83_14579,
																		(int) (((long) 4)), BgL_bodyz00_3270);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33245ze3z83_14579,
																		(int) (((long) 5)),
																		BINT(BgL_siza7ezd2framez75_3268));
																	return BgL_zc3anonymousza33245ze3z83_14579;
																}
														}
												}
												break;
											case ((long) -2):

												{	/* Eval/evaluate_comp.scm 1116 */
													bool_t BgL_testz00_20978;

													{	/* Eval/evaluate_comp.scm 1116 */
														int BgL_arg3344z00_3937;

														BgL_arg3344z00_3937 =
															VECTOR_LENGTH(BgL_ifreesz00_3265);
														BgL_testz00_20978 =
															((long) (BgL_arg3344z00_3937) == ((long) 0));
													}
													if (BgL_testz00_20978)
														{	/* Eval/evaluate_comp.scm 1116 */
															bool_t BgL_testz00_20982;

															{	/* Eval/evaluate_comp.scm 1116 */
																int BgL_arg3303z00_3848;

																BgL_arg3303z00_3848 =
																	VECTOR_LENGTH(BgL_iboxesz00_3266);
																BgL_testz00_20982 =
																	((long) (BgL_arg3303z00_3848) == ((long) 0));
															}
															if (BgL_testz00_20982)
																{	/* Eval/evaluate_comp.scm 1116 */
																	obj_t BgL_zc3anonymousza33267ze3z83_14600;

																	BgL_zc3anonymousza33267ze3z83_14600 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza33267ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 3)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33267ze3z83_14600,
																		(int) (((long) 0)),
																		((obj_t) BgL_ez00_3260));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33267ze3z83_14600,
																		(int) (((long) 1)), BgL_bodyz00_3270);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33267ze3z83_14600,
																		(int) (((long) 2)),
																		BINT(BgL_siza7ezd2framez75_3268));
																	return BgL_zc3anonymousza33267ze3z83_14600;
																}
															else
																{	/* Eval/evaluate_comp.scm 1116 */
																	obj_t BgL_zc3anonymousza33285ze3z83_14597;

																	BgL_zc3anonymousza33285ze3z83_14597 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza33285ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 4)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33285ze3z83_14597,
																		(int) (((long) 0)), BgL_iboxesz00_3266);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33285ze3z83_14597,
																		(int) (((long) 1)),
																		((obj_t) BgL_ez00_3260));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33285ze3z83_14597,
																		(int) (((long) 2)), BgL_bodyz00_3270);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33285ze3z83_14597,
																		(int) (((long) 3)),
																		BINT(BgL_siza7ezd2framez75_3268));
																	return BgL_zc3anonymousza33285ze3z83_14597;
																}
														}
													else
														{	/* Eval/evaluate_comp.scm 1116 */
															bool_t BgL_testz00_21010;

															{	/* Eval/evaluate_comp.scm 1116 */
																int BgL_arg3343z00_3936;

																BgL_arg3343z00_3936 =
																	VECTOR_LENGTH(BgL_iboxesz00_3266);
																BgL_testz00_21010 =
																	((long) (BgL_arg3343z00_3936) == ((long) 0));
															}
															if (BgL_testz00_21010)
																{	/* Eval/evaluate_comp.scm 1116 */
																	obj_t BgL_zc3anonymousza33305ze3z83_14594;

																	BgL_zc3anonymousza33305ze3z83_14594 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza33305ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 5)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33305ze3z83_14594,
																		(int) (((long) 0)), BgL_ifreesz00_3265);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33305ze3z83_14594,
																		(int) (((long) 1)),
																		BINT(BgL_siza7eza7_3267));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33305ze3z83_14594,
																		(int) (((long) 2)),
																		((obj_t) BgL_ez00_3260));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33305ze3z83_14594,
																		(int) (((long) 3)), BgL_bodyz00_3270);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33305ze3z83_14594,
																		(int) (((long) 4)),
																		BINT(BgL_siza7ezd2framez75_3268));
																	return BgL_zc3anonymousza33305ze3z83_14594;
																}
															else
																{	/* Eval/evaluate_comp.scm 1116 */
																	obj_t BgL_zc3anonymousza33324ze3z83_14591;

																	BgL_zc3anonymousza33324ze3z83_14591 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza33324ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 6)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33324ze3z83_14591,
																		(int) (((long) 0)), BgL_ifreesz00_3265);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33324ze3z83_14591,
																		(int) (((long) 1)), BgL_iboxesz00_3266);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33324ze3z83_14591,
																		(int) (((long) 2)),
																		BINT(BgL_siza7eza7_3267));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33324ze3z83_14591,
																		(int) (((long) 3)),
																		((obj_t) BgL_ez00_3260));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33324ze3z83_14591,
																		(int) (((long) 4)), BgL_bodyz00_3270);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33324ze3z83_14591,
																		(int) (((long) 5)),
																		BINT(BgL_siza7ezd2framez75_3268));
																	return BgL_zc3anonymousza33324ze3z83_14591;
																}
														}
												}
												break;
											case ((long) 2):

												{	/* Eval/evaluate_comp.scm 1116 */
													bool_t BgL_testz00_21048;

													{	/* Eval/evaluate_comp.scm 1116 */
														int BgL_arg3424z00_4111;

														BgL_arg3424z00_4111 =
															VECTOR_LENGTH(BgL_ifreesz00_3265);
														BgL_testz00_21048 =
															((long) (BgL_arg3424z00_4111) == ((long) 0));
													}
													if (BgL_testz00_21048)
														{	/* Eval/evaluate_comp.scm 1116 */
															bool_t BgL_testz00_21052;

															{	/* Eval/evaluate_comp.scm 1116 */
																int BgL_arg3383z00_4022;

																BgL_arg3383z00_4022 =
																	VECTOR_LENGTH(BgL_iboxesz00_3266);
																BgL_testz00_21052 =
																	((long) (BgL_arg3383z00_4022) == ((long) 0));
															}
															if (BgL_testz00_21052)
																{	/* Eval/evaluate_comp.scm 1116 */
																	obj_t BgL_zc3anonymousza33347ze3z83_14612;

																	BgL_zc3anonymousza33347ze3z83_14612 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza33347ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 3)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33347ze3z83_14612,
																		(int) (((long) 0)),
																		((obj_t) BgL_ez00_3260));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33347ze3z83_14612,
																		(int) (((long) 1)), BgL_bodyz00_3270);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33347ze3z83_14612,
																		(int) (((long) 2)),
																		BINT(BgL_siza7ezd2framez75_3268));
																	return BgL_zc3anonymousza33347ze3z83_14612;
																}
															else
																{	/* Eval/evaluate_comp.scm 1116 */
																	obj_t BgL_zc3anonymousza33365ze3z83_14609;

																	BgL_zc3anonymousza33365ze3z83_14609 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza33365ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 4)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33365ze3z83_14609,
																		(int) (((long) 0)), BgL_iboxesz00_3266);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33365ze3z83_14609,
																		(int) (((long) 1)),
																		((obj_t) BgL_ez00_3260));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33365ze3z83_14609,
																		(int) (((long) 2)), BgL_bodyz00_3270);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33365ze3z83_14609,
																		(int) (((long) 3)),
																		BINT(BgL_siza7ezd2framez75_3268));
																	return BgL_zc3anonymousza33365ze3z83_14609;
																}
														}
													else
														{	/* Eval/evaluate_comp.scm 1116 */
															bool_t BgL_testz00_21080;

															{	/* Eval/evaluate_comp.scm 1116 */
																int BgL_arg3423z00_4110;

																BgL_arg3423z00_4110 =
																	VECTOR_LENGTH(BgL_iboxesz00_3266);
																BgL_testz00_21080 =
																	((long) (BgL_arg3423z00_4110) == ((long) 0));
															}
															if (BgL_testz00_21080)
																{	/* Eval/evaluate_comp.scm 1116 */
																	obj_t BgL_zc3anonymousza33385ze3z83_14606;

																	BgL_zc3anonymousza33385ze3z83_14606 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza33385ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 5)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33385ze3z83_14606,
																		(int) (((long) 0)), BgL_ifreesz00_3265);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33385ze3z83_14606,
																		(int) (((long) 1)),
																		BINT(BgL_siza7eza7_3267));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33385ze3z83_14606,
																		(int) (((long) 2)),
																		((obj_t) BgL_ez00_3260));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33385ze3z83_14606,
																		(int) (((long) 3)), BgL_bodyz00_3270);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33385ze3z83_14606,
																		(int) (((long) 4)),
																		BINT(BgL_siza7ezd2framez75_3268));
																	return BgL_zc3anonymousza33385ze3z83_14606;
																}
															else
																{	/* Eval/evaluate_comp.scm 1116 */
																	obj_t BgL_zc3anonymousza33404ze3z83_14603;

																	BgL_zc3anonymousza33404ze3z83_14603 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza33404ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 6)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33404ze3z83_14603,
																		(int) (((long) 0)), BgL_ifreesz00_3265);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33404ze3z83_14603,
																		(int) (((long) 1)), BgL_iboxesz00_3266);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33404ze3z83_14603,
																		(int) (((long) 2)),
																		BINT(BgL_siza7eza7_3267));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33404ze3z83_14603,
																		(int) (((long) 3)),
																		((obj_t) BgL_ez00_3260));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33404ze3z83_14603,
																		(int) (((long) 4)), BgL_bodyz00_3270);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33404ze3z83_14603,
																		(int) (((long) 5)),
																		BINT(BgL_siza7ezd2framez75_3268));
																	return BgL_zc3anonymousza33404ze3z83_14603;
																}
														}
												}
												break;
											case ((long) -3):

												{	/* Eval/evaluate_comp.scm 1116 */
													bool_t BgL_testz00_21118;

													{	/* Eval/evaluate_comp.scm 1116 */
														int BgL_arg3508z00_4293;

														BgL_arg3508z00_4293 =
															VECTOR_LENGTH(BgL_ifreesz00_3265);
														BgL_testz00_21118 =
															((long) (BgL_arg3508z00_4293) == ((long) 0));
													}
													if (BgL_testz00_21118)
														{	/* Eval/evaluate_comp.scm 1116 */
															bool_t BgL_testz00_21122;

															{	/* Eval/evaluate_comp.scm 1116 */
																int BgL_arg3465z00_4200;

																BgL_arg3465z00_4200 =
																	VECTOR_LENGTH(BgL_iboxesz00_3266);
																BgL_testz00_21122 =
																	((long) (BgL_arg3465z00_4200) == ((long) 0));
															}
															if (BgL_testz00_21122)
																{	/* Eval/evaluate_comp.scm 1116 */
																	obj_t BgL_zc3anonymousza33427ze3z83_14624;

																	BgL_zc3anonymousza33427ze3z83_14624 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza33427ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 3)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33427ze3z83_14624,
																		(int) (((long) 0)),
																		((obj_t) BgL_ez00_3260));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33427ze3z83_14624,
																		(int) (((long) 1)), BgL_bodyz00_3270);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33427ze3z83_14624,
																		(int) (((long) 2)),
																		BINT(BgL_siza7ezd2framez75_3268));
																	return BgL_zc3anonymousza33427ze3z83_14624;
																}
															else
																{	/* Eval/evaluate_comp.scm 1116 */
																	obj_t BgL_zc3anonymousza33446ze3z83_14621;

																	BgL_zc3anonymousza33446ze3z83_14621 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza33446ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 4)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33446ze3z83_14621,
																		(int) (((long) 0)), BgL_iboxesz00_3266);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33446ze3z83_14621,
																		(int) (((long) 1)),
																		((obj_t) BgL_ez00_3260));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33446ze3z83_14621,
																		(int) (((long) 2)), BgL_bodyz00_3270);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33446ze3z83_14621,
																		(int) (((long) 3)),
																		BINT(BgL_siza7ezd2framez75_3268));
																	return BgL_zc3anonymousza33446ze3z83_14621;
																}
														}
													else
														{	/* Eval/evaluate_comp.scm 1116 */
															bool_t BgL_testz00_21150;

															{	/* Eval/evaluate_comp.scm 1116 */
																int BgL_arg3507z00_4292;

																BgL_arg3507z00_4292 =
																	VECTOR_LENGTH(BgL_iboxesz00_3266);
																BgL_testz00_21150 =
																	((long) (BgL_arg3507z00_4292) == ((long) 0));
															}
															if (BgL_testz00_21150)
																{	/* Eval/evaluate_comp.scm 1116 */
																	obj_t BgL_zc3anonymousza33467ze3z83_14618;

																	BgL_zc3anonymousza33467ze3z83_14618 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza33467ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 5)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33467ze3z83_14618,
																		(int) (((long) 0)), BgL_ifreesz00_3265);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33467ze3z83_14618,
																		(int) (((long) 1)),
																		BINT(BgL_siza7eza7_3267));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33467ze3z83_14618,
																		(int) (((long) 2)),
																		((obj_t) BgL_ez00_3260));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33467ze3z83_14618,
																		(int) (((long) 3)), BgL_bodyz00_3270);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33467ze3z83_14618,
																		(int) (((long) 4)),
																		BINT(BgL_siza7ezd2framez75_3268));
																	return BgL_zc3anonymousza33467ze3z83_14618;
																}
															else
																{	/* Eval/evaluate_comp.scm 1116 */
																	obj_t BgL_zc3anonymousza33487ze3z83_14615;

																	BgL_zc3anonymousza33487ze3z83_14615 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza33487ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 6)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33487ze3z83_14615,
																		(int) (((long) 0)), BgL_ifreesz00_3265);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33487ze3z83_14615,
																		(int) (((long) 1)), BgL_iboxesz00_3266);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33487ze3z83_14615,
																		(int) (((long) 2)),
																		BINT(BgL_siza7eza7_3267));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33487ze3z83_14615,
																		(int) (((long) 3)),
																		((obj_t) BgL_ez00_3260));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33487ze3z83_14615,
																		(int) (((long) 4)), BgL_bodyz00_3270);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33487ze3z83_14615,
																		(int) (((long) 5)),
																		BINT(BgL_siza7ezd2framez75_3268));
																	return BgL_zc3anonymousza33487ze3z83_14615;
																}
														}
												}
												break;
											case ((long) 3):

												{	/* Eval/evaluate_comp.scm 1116 */
													bool_t BgL_testz00_21188;

													{	/* Eval/evaluate_comp.scm 1116 */
														int BgL_arg3592z00_4475;

														BgL_arg3592z00_4475 =
															VECTOR_LENGTH(BgL_ifreesz00_3265);
														BgL_testz00_21188 =
															((long) (BgL_arg3592z00_4475) == ((long) 0));
													}
													if (BgL_testz00_21188)
														{	/* Eval/evaluate_comp.scm 1116 */
															bool_t BgL_testz00_21192;

															{	/* Eval/evaluate_comp.scm 1116 */
																int BgL_arg3549z00_4382;

																BgL_arg3549z00_4382 =
																	VECTOR_LENGTH(BgL_iboxesz00_3266);
																BgL_testz00_21192 =
																	((long) (BgL_arg3549z00_4382) == ((long) 0));
															}
															if (BgL_testz00_21192)
																{	/* Eval/evaluate_comp.scm 1116 */
																	obj_t BgL_zc3anonymousza33511ze3z83_14636;

																	BgL_zc3anonymousza33511ze3z83_14636 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza33511ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 3)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33511ze3z83_14636,
																		(int) (((long) 0)),
																		((obj_t) BgL_ez00_3260));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33511ze3z83_14636,
																		(int) (((long) 1)), BgL_bodyz00_3270);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33511ze3z83_14636,
																		(int) (((long) 2)),
																		BINT(BgL_siza7ezd2framez75_3268));
																	return BgL_zc3anonymousza33511ze3z83_14636;
																}
															else
																{	/* Eval/evaluate_comp.scm 1116 */
																	obj_t BgL_zc3anonymousza33530ze3z83_14633;

																	BgL_zc3anonymousza33530ze3z83_14633 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza33530ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 4)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33530ze3z83_14633,
																		(int) (((long) 0)), BgL_iboxesz00_3266);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33530ze3z83_14633,
																		(int) (((long) 1)),
																		((obj_t) BgL_ez00_3260));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33530ze3z83_14633,
																		(int) (((long) 2)), BgL_bodyz00_3270);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33530ze3z83_14633,
																		(int) (((long) 3)),
																		BINT(BgL_siza7ezd2framez75_3268));
																	return BgL_zc3anonymousza33530ze3z83_14633;
																}
														}
													else
														{	/* Eval/evaluate_comp.scm 1116 */
															bool_t BgL_testz00_21220;

															{	/* Eval/evaluate_comp.scm 1116 */
																int BgL_arg3591z00_4474;

																BgL_arg3591z00_4474 =
																	VECTOR_LENGTH(BgL_iboxesz00_3266);
																BgL_testz00_21220 =
																	((long) (BgL_arg3591z00_4474) == ((long) 0));
															}
															if (BgL_testz00_21220)
																{	/* Eval/evaluate_comp.scm 1116 */
																	obj_t BgL_zc3anonymousza33551ze3z83_14630;

																	BgL_zc3anonymousza33551ze3z83_14630 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza33551ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 5)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33551ze3z83_14630,
																		(int) (((long) 0)), BgL_ifreesz00_3265);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33551ze3z83_14630,
																		(int) (((long) 1)),
																		BINT(BgL_siza7eza7_3267));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33551ze3z83_14630,
																		(int) (((long) 2)),
																		((obj_t) BgL_ez00_3260));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33551ze3z83_14630,
																		(int) (((long) 3)), BgL_bodyz00_3270);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33551ze3z83_14630,
																		(int) (((long) 4)),
																		BINT(BgL_siza7ezd2framez75_3268));
																	return BgL_zc3anonymousza33551ze3z83_14630;
																}
															else
																{	/* Eval/evaluate_comp.scm 1116 */
																	obj_t BgL_zc3anonymousza33571ze3z83_14627;

																	BgL_zc3anonymousza33571ze3z83_14627 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza33571ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 6)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33571ze3z83_14627,
																		(int) (((long) 0)), BgL_ifreesz00_3265);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33571ze3z83_14627,
																		(int) (((long) 1)), BgL_iboxesz00_3266);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33571ze3z83_14627,
																		(int) (((long) 2)),
																		BINT(BgL_siza7eza7_3267));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33571ze3z83_14627,
																		(int) (((long) 3)),
																		((obj_t) BgL_ez00_3260));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33571ze3z83_14627,
																		(int) (((long) 4)), BgL_bodyz00_3270);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33571ze3z83_14627,
																		(int) (((long) 5)),
																		BINT(BgL_siza7ezd2framez75_3268));
																	return BgL_zc3anonymousza33571ze3z83_14627;
																}
														}
												}
												break;
											case ((long) -4):

												{	/* Eval/evaluate_comp.scm 1116 */
													bool_t BgL_testz00_21258;

													{	/* Eval/evaluate_comp.scm 1116 */
														int BgL_arg3680z00_4665;

														BgL_arg3680z00_4665 =
															VECTOR_LENGTH(BgL_ifreesz00_3265);
														BgL_testz00_21258 =
															((long) (BgL_arg3680z00_4665) == ((long) 0));
													}
													if (BgL_testz00_21258)
														{	/* Eval/evaluate_comp.scm 1116 */
															bool_t BgL_testz00_21262;

															{	/* Eval/evaluate_comp.scm 1116 */
																int BgL_arg3635z00_4568;

																BgL_arg3635z00_4568 =
																	VECTOR_LENGTH(BgL_iboxesz00_3266);
																BgL_testz00_21262 =
																	((long) (BgL_arg3635z00_4568) == ((long) 0));
															}
															if (BgL_testz00_21262)
																{	/* Eval/evaluate_comp.scm 1116 */
																	obj_t BgL_zc3anonymousza33595ze3z83_14648;

																	BgL_zc3anonymousza33595ze3z83_14648 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza33595ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 3)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33595ze3z83_14648,
																		(int) (((long) 0)),
																		((obj_t) BgL_ez00_3260));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33595ze3z83_14648,
																		(int) (((long) 1)), BgL_bodyz00_3270);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33595ze3z83_14648,
																		(int) (((long) 2)),
																		BINT(BgL_siza7ezd2framez75_3268));
																	return BgL_zc3anonymousza33595ze3z83_14648;
																}
															else
																{	/* Eval/evaluate_comp.scm 1116 */
																	obj_t BgL_zc3anonymousza33615ze3z83_14645;

																	BgL_zc3anonymousza33615ze3z83_14645 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza33615ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 4)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33615ze3z83_14645,
																		(int) (((long) 0)), BgL_iboxesz00_3266);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33615ze3z83_14645,
																		(int) (((long) 1)),
																		((obj_t) BgL_ez00_3260));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33615ze3z83_14645,
																		(int) (((long) 2)), BgL_bodyz00_3270);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33615ze3z83_14645,
																		(int) (((long) 3)),
																		BINT(BgL_siza7ezd2framez75_3268));
																	return BgL_zc3anonymousza33615ze3z83_14645;
																}
														}
													else
														{	/* Eval/evaluate_comp.scm 1116 */
															bool_t BgL_testz00_21290;

															{	/* Eval/evaluate_comp.scm 1116 */
																int BgL_arg3679z00_4664;

																BgL_arg3679z00_4664 =
																	VECTOR_LENGTH(BgL_iboxesz00_3266);
																BgL_testz00_21290 =
																	((long) (BgL_arg3679z00_4664) == ((long) 0));
															}
															if (BgL_testz00_21290)
																{	/* Eval/evaluate_comp.scm 1116 */
																	obj_t BgL_zc3anonymousza33637ze3z83_14642;

																	BgL_zc3anonymousza33637ze3z83_14642 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza33637ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 5)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33637ze3z83_14642,
																		(int) (((long) 0)), BgL_ifreesz00_3265);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33637ze3z83_14642,
																		(int) (((long) 1)),
																		BINT(BgL_siza7eza7_3267));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33637ze3z83_14642,
																		(int) (((long) 2)),
																		((obj_t) BgL_ez00_3260));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33637ze3z83_14642,
																		(int) (((long) 3)), BgL_bodyz00_3270);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33637ze3z83_14642,
																		(int) (((long) 4)),
																		BINT(BgL_siza7ezd2framez75_3268));
																	return BgL_zc3anonymousza33637ze3z83_14642;
																}
															else
																{	/* Eval/evaluate_comp.scm 1116 */
																	obj_t BgL_zc3anonymousza33658ze3z83_14639;

																	BgL_zc3anonymousza33658ze3z83_14639 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza33658ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 6)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33658ze3z83_14639,
																		(int) (((long) 0)), BgL_ifreesz00_3265);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33658ze3z83_14639,
																		(int) (((long) 1)), BgL_iboxesz00_3266);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33658ze3z83_14639,
																		(int) (((long) 2)),
																		BINT(BgL_siza7eza7_3267));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33658ze3z83_14639,
																		(int) (((long) 3)),
																		((obj_t) BgL_ez00_3260));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33658ze3z83_14639,
																		(int) (((long) 4)), BgL_bodyz00_3270);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33658ze3z83_14639,
																		(int) (((long) 5)),
																		BINT(BgL_siza7ezd2framez75_3268));
																	return BgL_zc3anonymousza33658ze3z83_14639;
																}
														}
												}
												break;
											case ((long) 4):

												{	/* Eval/evaluate_comp.scm 1116 */
													bool_t BgL_testz00_21328;

													{	/* Eval/evaluate_comp.scm 1116 */
														int BgL_arg3768z00_4855;

														BgL_arg3768z00_4855 =
															VECTOR_LENGTH(BgL_ifreesz00_3265);
														BgL_testz00_21328 =
															((long) (BgL_arg3768z00_4855) == ((long) 0));
													}
													if (BgL_testz00_21328)
														{	/* Eval/evaluate_comp.scm 1116 */
															bool_t BgL_testz00_21332;

															{	/* Eval/evaluate_comp.scm 1116 */
																int BgL_arg3723z00_4758;

																BgL_arg3723z00_4758 =
																	VECTOR_LENGTH(BgL_iboxesz00_3266);
																BgL_testz00_21332 =
																	((long) (BgL_arg3723z00_4758) == ((long) 0));
															}
															if (BgL_testz00_21332)
																{	/* Eval/evaluate_comp.scm 1116 */
																	obj_t BgL_zc3anonymousza33683ze3z83_14660;

																	BgL_zc3anonymousza33683ze3z83_14660 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza33683ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 3)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33683ze3z83_14660,
																		(int) (((long) 0)),
																		((obj_t) BgL_ez00_3260));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33683ze3z83_14660,
																		(int) (((long) 1)), BgL_bodyz00_3270);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33683ze3z83_14660,
																		(int) (((long) 2)),
																		BINT(BgL_siza7ezd2framez75_3268));
																	return BgL_zc3anonymousza33683ze3z83_14660;
																}
															else
																{	/* Eval/evaluate_comp.scm 1116 */
																	obj_t BgL_zc3anonymousza33703ze3z83_14657;

																	BgL_zc3anonymousza33703ze3z83_14657 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza33703ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 4)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33703ze3z83_14657,
																		(int) (((long) 0)), BgL_iboxesz00_3266);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33703ze3z83_14657,
																		(int) (((long) 1)),
																		((obj_t) BgL_ez00_3260));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33703ze3z83_14657,
																		(int) (((long) 2)), BgL_bodyz00_3270);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33703ze3z83_14657,
																		(int) (((long) 3)),
																		BINT(BgL_siza7ezd2framez75_3268));
																	return BgL_zc3anonymousza33703ze3z83_14657;
																}
														}
													else
														{	/* Eval/evaluate_comp.scm 1116 */
															bool_t BgL_testz00_21360;

															{	/* Eval/evaluate_comp.scm 1116 */
																int BgL_arg3767z00_4854;

																BgL_arg3767z00_4854 =
																	VECTOR_LENGTH(BgL_iboxesz00_3266);
																BgL_testz00_21360 =
																	((long) (BgL_arg3767z00_4854) == ((long) 0));
															}
															if (BgL_testz00_21360)
																{	/* Eval/evaluate_comp.scm 1116 */
																	obj_t BgL_zc3anonymousza33725ze3z83_14654;

																	BgL_zc3anonymousza33725ze3z83_14654 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza33725ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 5)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33725ze3z83_14654,
																		(int) (((long) 0)), BgL_ifreesz00_3265);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33725ze3z83_14654,
																		(int) (((long) 1)),
																		BINT(BgL_siza7eza7_3267));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33725ze3z83_14654,
																		(int) (((long) 2)),
																		((obj_t) BgL_ez00_3260));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33725ze3z83_14654,
																		(int) (((long) 3)), BgL_bodyz00_3270);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33725ze3z83_14654,
																		(int) (((long) 4)),
																		BINT(BgL_siza7ezd2framez75_3268));
																	return BgL_zc3anonymousza33725ze3z83_14654;
																}
															else
																{	/* Eval/evaluate_comp.scm 1116 */
																	obj_t BgL_zc3anonymousza33746ze3z83_14651;

																	BgL_zc3anonymousza33746ze3z83_14651 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza33746ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 6)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33746ze3z83_14651,
																		(int) (((long) 0)), BgL_ifreesz00_3265);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33746ze3z83_14651,
																		(int) (((long) 1)), BgL_iboxesz00_3266);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33746ze3z83_14651,
																		(int) (((long) 2)),
																		BINT(BgL_siza7eza7_3267));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33746ze3z83_14651,
																		(int) (((long) 3)),
																		((obj_t) BgL_ez00_3260));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33746ze3z83_14651,
																		(int) (((long) 4)), BgL_bodyz00_3270);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33746ze3z83_14651,
																		(int) (((long) 5)),
																		BINT(BgL_siza7ezd2framez75_3268));
																	return BgL_zc3anonymousza33746ze3z83_14651;
																}
														}
												}
												break;
											case ((long) -5):

												{	/* Eval/evaluate_comp.scm 1116 */
													bool_t BgL_testz00_21398;

													{	/* Eval/evaluate_comp.scm 1116 */
														int BgL_arg3860z00_5053;

														BgL_arg3860z00_5053 =
															VECTOR_LENGTH(BgL_ifreesz00_3265);
														BgL_testz00_21398 =
															((long) (BgL_arg3860z00_5053) == ((long) 0));
													}
													if (BgL_testz00_21398)
														{	/* Eval/evaluate_comp.scm 1116 */
															bool_t BgL_testz00_21402;

															{	/* Eval/evaluate_comp.scm 1116 */
																int BgL_arg3813z00_4952;

																BgL_arg3813z00_4952 =
																	VECTOR_LENGTH(BgL_iboxesz00_3266);
																BgL_testz00_21402 =
																	((long) (BgL_arg3813z00_4952) == ((long) 0));
															}
															if (BgL_testz00_21402)
																{	/* Eval/evaluate_comp.scm 1116 */
																	obj_t BgL_zc3anonymousza33771ze3z83_14672;

																	BgL_zc3anonymousza33771ze3z83_14672 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza33771ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 3)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33771ze3z83_14672,
																		(int) (((long) 0)),
																		((obj_t) BgL_ez00_3260));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33771ze3z83_14672,
																		(int) (((long) 1)), BgL_bodyz00_3270);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33771ze3z83_14672,
																		(int) (((long) 2)),
																		BINT(BgL_siza7ezd2framez75_3268));
																	return BgL_zc3anonymousza33771ze3z83_14672;
																}
															else
																{	/* Eval/evaluate_comp.scm 1116 */
																	obj_t BgL_zc3anonymousza33792ze3z83_14669;

																	BgL_zc3anonymousza33792ze3z83_14669 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza33792ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 4)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33792ze3z83_14669,
																		(int) (((long) 0)), BgL_iboxesz00_3266);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33792ze3z83_14669,
																		(int) (((long) 1)),
																		((obj_t) BgL_ez00_3260));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33792ze3z83_14669,
																		(int) (((long) 2)), BgL_bodyz00_3270);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33792ze3z83_14669,
																		(int) (((long) 3)),
																		BINT(BgL_siza7ezd2framez75_3268));
																	return BgL_zc3anonymousza33792ze3z83_14669;
																}
														}
													else
														{	/* Eval/evaluate_comp.scm 1116 */
															bool_t BgL_testz00_21430;

															{	/* Eval/evaluate_comp.scm 1116 */
																int BgL_arg3859z00_5052;

																BgL_arg3859z00_5052 =
																	VECTOR_LENGTH(BgL_iboxesz00_3266);
																BgL_testz00_21430 =
																	((long) (BgL_arg3859z00_5052) == ((long) 0));
															}
															if (BgL_testz00_21430)
																{	/* Eval/evaluate_comp.scm 1116 */
																	obj_t BgL_zc3anonymousza33815ze3z83_14666;

																	BgL_zc3anonymousza33815ze3z83_14666 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza33815ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 5)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33815ze3z83_14666,
																		(int) (((long) 0)), BgL_ifreesz00_3265);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33815ze3z83_14666,
																		(int) (((long) 1)),
																		BINT(BgL_siza7eza7_3267));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33815ze3z83_14666,
																		(int) (((long) 2)),
																		((obj_t) BgL_ez00_3260));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33815ze3z83_14666,
																		(int) (((long) 3)), BgL_bodyz00_3270);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33815ze3z83_14666,
																		(int) (((long) 4)),
																		BINT(BgL_siza7ezd2framez75_3268));
																	return BgL_zc3anonymousza33815ze3z83_14666;
																}
															else
																{	/* Eval/evaluate_comp.scm 1116 */
																	obj_t BgL_zc3anonymousza33837ze3z83_14663;

																	BgL_zc3anonymousza33837ze3z83_14663 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza33837ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 6)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33837ze3z83_14663,
																		(int) (((long) 0)), BgL_ifreesz00_3265);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33837ze3z83_14663,
																		(int) (((long) 1)), BgL_iboxesz00_3266);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33837ze3z83_14663,
																		(int) (((long) 2)),
																		BINT(BgL_siza7eza7_3267));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33837ze3z83_14663,
																		(int) (((long) 3)),
																		((obj_t) BgL_ez00_3260));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33837ze3z83_14663,
																		(int) (((long) 4)), BgL_bodyz00_3270);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33837ze3z83_14663,
																		(int) (((long) 5)),
																		BINT(BgL_siza7ezd2framez75_3268));
																	return BgL_zc3anonymousza33837ze3z83_14663;
																}
														}
												}
												break;
											default:
											BgL_case_else1275z00_3271:
												{	/* Eval/evaluate_comp.scm 1116 */
													bool_t BgL_testz00_21468;

													{	/* Eval/evaluate_comp.scm 1116 */
														int BgL_arg3988z00_5287;

														BgL_arg3988z00_5287 =
															VECTOR_LENGTH(BgL_ifreesz00_3265);
														BgL_testz00_21468 =
															((long) (BgL_arg3988z00_5287) == ((long) 0));
													}
													if (BgL_testz00_21468)
														{	/* Eval/evaluate_comp.scm 1116 */
															bool_t BgL_testz00_21472;

															{	/* Eval/evaluate_comp.scm 1116 */
																int BgL_arg3923z00_5168;

																BgL_arg3923z00_5168 =
																	VECTOR_LENGTH(BgL_iboxesz00_3266);
																BgL_testz00_21472 =
																	((long) (BgL_arg3923z00_5168) == ((long) 0));
															}
															if (BgL_testz00_21472)
																{	/* Eval/evaluate_comp.scm 1116 */
																	obj_t BgL_zc3anonymousza33863ze3z83_14684;

																	BgL_zc3anonymousza33863ze3z83_14684 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza33863ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 3)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33863ze3z83_14684,
																		(int) (((long) 0)),
																		((obj_t) BgL_ez00_3260));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33863ze3z83_14684,
																		(int) (((long) 1)), BgL_bodyz00_3270);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33863ze3z83_14684,
																		(int) (((long) 2)),
																		BINT(BgL_siza7ezd2framez75_3268));
																	return BgL_zc3anonymousza33863ze3z83_14684;
																}
															else
																{	/* Eval/evaluate_comp.scm 1116 */
																	obj_t BgL_zc3anonymousza33893ze3z83_14681;

																	BgL_zc3anonymousza33893ze3z83_14681 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza33893ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 4)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33893ze3z83_14681,
																		(int) (((long) 0)), BgL_iboxesz00_3266);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33893ze3z83_14681,
																		(int) (((long) 1)),
																		((obj_t) BgL_ez00_3260));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33893ze3z83_14681,
																		(int) (((long) 2)), BgL_bodyz00_3270);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33893ze3z83_14681,
																		(int) (((long) 3)),
																		BINT(BgL_siza7ezd2framez75_3268));
																	return BgL_zc3anonymousza33893ze3z83_14681;
																}
														}
													else
														{	/* Eval/evaluate_comp.scm 1116 */
															bool_t BgL_testz00_21500;

															{	/* Eval/evaluate_comp.scm 1116 */
																int BgL_arg3987z00_5286;

																BgL_arg3987z00_5286 =
																	VECTOR_LENGTH(BgL_iboxesz00_3266);
																BgL_testz00_21500 =
																	((long) (BgL_arg3987z00_5286) == ((long) 0));
															}
															if (BgL_testz00_21500)
																{	/* Eval/evaluate_comp.scm 1116 */
																	obj_t BgL_zc3anonymousza33925ze3z83_14678;

																	BgL_zc3anonymousza33925ze3z83_14678 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza33925ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 5)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33925ze3z83_14678,
																		(int) (((long) 0)), BgL_ifreesz00_3265);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33925ze3z83_14678,
																		(int) (((long) 1)),
																		BINT(BgL_siza7eza7_3267));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33925ze3z83_14678,
																		(int) (((long) 2)),
																		((obj_t) BgL_ez00_3260));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33925ze3z83_14678,
																		(int) (((long) 3)), BgL_bodyz00_3270);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33925ze3z83_14678,
																		(int) (((long) 4)),
																		BINT(BgL_siza7ezd2framez75_3268));
																	return BgL_zc3anonymousza33925ze3z83_14678;
																}
															else
																{	/* Eval/evaluate_comp.scm 1116 */
																	obj_t BgL_zc3anonymousza33956ze3z83_14675;

																	BgL_zc3anonymousza33956ze3z83_14675 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza33956ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 6)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33956ze3z83_14675,
																		(int) (((long) 0)), BgL_ifreesz00_3265);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33956ze3z83_14675,
																		(int) (((long) 1)), BgL_iboxesz00_3266);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33956ze3z83_14675,
																		(int) (((long) 2)),
																		BINT(BgL_siza7eza7_3267));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33956ze3z83_14675,
																		(int) (((long) 3)),
																		((obj_t) BgL_ez00_3260));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33956ze3z83_14675,
																		(int) (((long) 4)), BgL_bodyz00_3270);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33956ze3z83_14675,
																		(int) (((long) 5)),
																		BINT(BgL_siza7ezd2framez75_3268));
																	return BgL_zc3anonymousza33956ze3z83_14675;
																}
														}
												}
											}
									}
								else
									{	/* Eval/evaluate_comp.scm 1116 */
										goto BgL_case_else1275z00_3271;
									}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3771> */
	obj_t BGl_z62zc3anonymousza33771ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_14746, obj_t BgL_sz00_14750)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1116 */
			{	/* Eval/evaluate_comp.scm 1116 */
				BgL_ev_absz00_bglt BgL_i1250z00_14747;
				obj_t BgL_bodyz00_14748;
				long BgL_siza7ezd2framez75_14749;

				BgL_i1250z00_14747 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14746, (int) (((long) 0))));
				BgL_bodyz00_14748 = PROCEDURE_REF(BgL_envz00_14746, (int) (((long) 1)));
				BgL_siza7ezd2framez75_14749 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14746, (int) (((long) 2))));
				{
					obj_t BgL_sz00_4858;

					BgL_sz00_4858 = BgL_sz00_14750;
					{	/* Eval/evaluate_comp.scm 1116 */
						obj_t BgL_bpz00_4860;

						BgL_bpz00_4860 = VECTOR_REF(BgL_sz00_4858, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1116 */

							{	/* Eval/evaluate_comp.scm 1116 */
								obj_t BgL_runz00_14670;

								BgL_runz00_14670 =
									MAKE_FX_PROCEDURE(BGl_z62runz62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 2)));
								PROCEDURE_SET(BgL_runz00_14670,
									(int) (((long) 0)), ((obj_t) BgL_i1250z00_14747));
								PROCEDURE_SET(BgL_runz00_14670,
									(int) (((long) 1)), BgL_bodyz00_14748);
								{	/* Eval/evaluate_comp.scm 1116 */
									obj_t BgL_mainz00_14671;

									BgL_mainz00_14671 =
										MAKE_VA_PROCEDURE(BGl_z62mainz62zz__evaluate_compz00,
										(int) (((long) -5)), (int) (((long) 4)));
									PROCEDURE_SET(BgL_mainz00_14671,
										(int) (((long) 0)), ((obj_t) BgL_i1250z00_14747));
									PROCEDURE_SET(BgL_mainz00_14671,
										(int) (((long) 1)), BgL_bodyz00_14748);
									PROCEDURE_SET(BgL_mainz00_14671,
										(int) (((long) 2)), BgL_runz00_14670);
									PROCEDURE_SET(BgL_mainz00_14671,
										(int) (((long) 3)), BINT(BgL_siza7ezd2framez75_14749));
									{	/* Eval/evaluate_comp.scm 1116 */
										obj_t BgL_objz00_13453;

										BgL_objz00_13453 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_14670, BgL_objz00_13453);
										BgL_objz00_13453;
									}
									{	/* Eval/evaluate_comp.scm 1116 */
										obj_t BgL_arg3772z00_4863;

										{	/* Eval/evaluate_comp.scm 1116 */
											obj_t BgL_arg3773z00_4864;

											BgL_arg3773z00_4864 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_14747))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1116 */
												obj_t BgL_newz00_13457;

												BgL_newz00_13457 =
													create_struct(BGl_symbol5569z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 1116 */
													int BgL_auxz00_21575;

													BgL_auxz00_21575 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_13457, BgL_auxz00_21575,
														BgL_arg3773z00_4864);
												}
												{	/* Eval/evaluate_comp.scm 1116 */
													obj_t BgL_auxz00_21580;
													int BgL_auxz00_21578;

													BgL_auxz00_21580 = BINT(BgL_siza7ezd2framez75_14749);
													BgL_auxz00_21578 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_13457, BgL_auxz00_21578,
														BgL_auxz00_21580);
												}
												{	/* Eval/evaluate_comp.scm 1116 */
													int BgL_auxz00_21583;

													BgL_auxz00_21583 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_13457, BgL_auxz00_21583,
														BgL_runz00_14670);
												}
												{	/* Eval/evaluate_comp.scm 1116 */
													obj_t BgL_auxz00_21588;
													int BgL_auxz00_21586;

													BgL_auxz00_21588 = BINT(((long) -5));
													BgL_auxz00_21586 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_13457, BgL_auxz00_21586,
														BgL_auxz00_21588);
												}
												BgL_arg3772z00_4863 = BgL_newz00_13457;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_14671, BgL_arg3772z00_4863);
										BgL_arg3772z00_4863;
									}
									return BgL_mainz00_14671;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main */
	obj_t BGl_z62mainz62zz__evaluate_compz00(obj_t BgL_envz00_14751,
		obj_t BgL_az00_14756, obj_t BgL_bz00_14757, obj_t BgL_cz00_14758,
		obj_t BgL_dz00_14759, obj_t BgL_lastz00_14760)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1116 */
			{	/* Eval/evaluate_comp.scm 1116 */
				obj_t BgL_runz00_14754;
				long BgL_siza7ezd2framez75_14755;

				BgL_runz00_14754 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14751, (int) (((long) 2))));
				BgL_siza7ezd2framez75_14755 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14751, (int) (((long) 3))));
				{
					obj_t BgL_az00_4865;
					obj_t BgL_bz00_4866;
					obj_t BgL_cz00_4867;
					obj_t BgL_dz00_4868;
					obj_t BgL_lastz00_4869;

					BgL_az00_4865 = BgL_az00_14756;
					BgL_bz00_4866 = BgL_bz00_14757;
					BgL_cz00_4867 = BgL_cz00_14758;
					BgL_dz00_4868 = BgL_dz00_14759;
					BgL_lastz00_4869 = BgL_lastz00_14760;
					{	/* Eval/evaluate_comp.scm 1116 */
						obj_t BgL_sz00_4871;

						BgL_sz00_4871 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1116 */
							obj_t BgL_bpz00_4872;

							BgL_bpz00_4872 = VECTOR_REF(BgL_sz00_4871, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1116 */
								bool_t BgL_testz00_21601;

								{	/* Eval/evaluate_comp.scm 1116 */
									int BgL_arg1909z00_13388;

									BgL_arg1909z00_13388 = VECTOR_LENGTH(BgL_sz00_4871);
									BgL_testz00_21601 =
										(
										((long) CINT(BgL_bpz00_4872) +
											BgL_siza7ezd2framez75_14755) <
										(long) (BgL_arg1909z00_13388));
								}
								if (BgL_testz00_21601)
									{	/* Eval/evaluate_comp.scm 1116 */
										{	/* Eval/evaluate_comp.scm 1116 */
											long BgL_arg3776z00_4874;

											BgL_arg3776z00_4874 =
												((long) CINT(BgL_bpz00_4872) + ((long) 0));
											VECTOR_SET(BgL_sz00_4871,
												(int) (BgL_arg3776z00_4874), BgL_az00_4865);
										}
										{	/* Eval/evaluate_comp.scm 1116 */
											long BgL_arg3777z00_4875;

											BgL_arg3777z00_4875 =
												((long) CINT(BgL_bpz00_4872) + ((long) 1));
											VECTOR_SET(BgL_sz00_4871,
												(int) (BgL_arg3777z00_4875), BgL_bz00_4866);
										}
										{	/* Eval/evaluate_comp.scm 1116 */
											long BgL_arg3778z00_4876;

											BgL_arg3778z00_4876 =
												((long) CINT(BgL_bpz00_4872) + ((long) 2));
											VECTOR_SET(BgL_sz00_4871,
												(int) (BgL_arg3778z00_4876), BgL_cz00_4867);
										}
										{	/* Eval/evaluate_comp.scm 1116 */
											long BgL_arg3779z00_4877;

											BgL_arg3779z00_4877 =
												((long) CINT(BgL_bpz00_4872) + ((long) 3));
											VECTOR_SET(BgL_sz00_4871,
												(int) (BgL_arg3779z00_4877), BgL_dz00_4868);
										}
										{	/* Eval/evaluate_comp.scm 1116 */
											long BgL_arg3780z00_4878;

											BgL_arg3780z00_4878 =
												((long) CINT(BgL_bpz00_4872) + ((long) 4));
											VECTOR_SET(BgL_sz00_4871,
												(int) (BgL_arg3780z00_4878), BgL_lastz00_4869);
										}
										{	/* Eval/evaluate_comp.scm 1116 */
											obj_t BgL_val1493z00_4879;

											BgL_val1493z00_4879 =
												BGl_zc3exitza33784ze3z83zz__evaluate_compz00
												(BgL_bpz00_4872, BgL_sz00_4871, BgL_runz00_14754);
											VECTOR_SET(BgL_sz00_4871, (int) (((long) 0)),
												BgL_bpz00_4872);
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1493z00_4879)))
												{	/* Eval/evaluate_comp.scm 1116 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1493z00_4879), CDR(BgL_val1493z00_4879));
												}
											else
												{	/* Eval/evaluate_comp.scm 1116 */
													return BgL_val1493z00_4879;
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1116 */
										obj_t BgL_nsz00_4886;

										BgL_nsz00_4886 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_4886,
											(int) (((long) 1)), BgL_sz00_4871);
										VECTOR_SET(BgL_nsz00_4886,
											(int) (((long) 2)), BgL_az00_4865);
										VECTOR_SET(BgL_nsz00_4886,
											(int) (((long) 3)), BgL_bz00_4866);
										VECTOR_SET(BgL_nsz00_4886,
											(int) (((long) 4)), BgL_cz00_4867);
										VECTOR_SET(BgL_nsz00_4886,
											(int) (((long) 5)), BgL_dz00_4868);
										VECTOR_SET(BgL_nsz00_4886,
											(int) (((long) 6)), BgL_lastz00_4869);
										{	/* Eval/evaluate_comp.scm 1116 */
											obj_t BgL_auxz00_21649;

											BgL_auxz00_21649 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_21649, BgL_nsz00_4886);
										}
										{	/* Eval/evaluate_comp.scm 1116 */
											obj_t BgL_val1496z00_4888;

											BgL_val1496z00_4888 =
												BGl_zc3exitza33790ze3z83zz__evaluate_compz00
												(BgL_nsz00_4886, BgL_runz00_14754);
											{	/* Eval/evaluate_comp.scm 1116 */
												obj_t BgL_auxz00_21653;

												BgL_auxz00_21653 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_EVSTATE_SET(BgL_auxz00_21653, BgL_sz00_4871);
											}
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1496z00_4888)))
												{	/* Eval/evaluate_comp.scm 1116 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1496z00_4888), CDR(BgL_val1496z00_4888));
												}
											else
												{	/* Eval/evaluate_comp.scm 1116 */
													return BgL_val1496z00_4888;
												}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:3790> */
	obj_t BGl_zc3exitza33790ze3z83zz__evaluate_compz00(obj_t BgL_nsz00_16114,
		obj_t BgL_runz00_16113)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1116 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1497z00_4894;

			if (SET_EXIT(BgL_an_exit1497z00_4894))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1497z00_4894 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1116 */

						PUSH_EXIT(BgL_an_exit1497z00_4894, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1116 */
							obj_t BgL_val1498z00_4895;

							BgL_val1498z00_4895 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_16113,
								BgL_nsz00_16114, BINT(((long) 2)));
							POP_EXIT();
							return BgL_val1498z00_4895;
						}
					}
				}
		}
	}



/* <exit:3784> */
	obj_t BGl_zc3exitza33784ze3z83zz__evaluate_compz00(obj_t BgL_bpz00_16117,
		obj_t BgL_sz00_16116, obj_t BgL_runz00_16115)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1116 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1494z00_4884;

			if (SET_EXIT(BgL_an_exit1494z00_4884))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1494z00_4884 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1116 */

						PUSH_EXIT(BgL_an_exit1494z00_4884, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1116 */
							obj_t BgL_val1495z00_4885;

							BgL_val1495z00_4885 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_16115,
								BgL_sz00_16116, BgL_bpz00_16117);
							POP_EXIT();
							return BgL_val1495z00_4885;
						}
					}
				}
		}
	}



/* &run */
	obj_t BGl_z62runz62zz__evaluate_compz00(obj_t BgL_envz00_14761,
		obj_t BgL_sz00_14764)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1116 */
			{	/* Eval/evaluate_comp.scm 1116 */
				BgL_ev_absz00_bglt BgL_i1250z00_14762;
				obj_t BgL_bodyz00_14763;

				BgL_i1250z00_14762 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14761, (int) (((long) 0))));
				BgL_bodyz00_14763 = PROCEDURE_REF(BgL_envz00_14761, (int) (((long) 1)));
				{
					obj_t BgL_sz00_4897;

					BgL_sz00_4897 = BgL_sz00_14764;
					{	/* Eval/evaluate_comp.scm 1116 */
						obj_t BgL_bpz00_4899;

						BgL_bpz00_4899 = VECTOR_REF(BgL_sz00_4897, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1116 */
							obj_t BgL_z12denvz12_4900;
							obj_t BgL_wherez00_4901;
							obj_t BgL_locz00_4902;

							BgL_z12denvz12_4900 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_4901 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_14762))->BgL_wherez00);
							BgL_locz00_4902 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_14762))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1116 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_4900, BgL_wherez00_4901,
									BgL_locz00_4902);
								{	/* Eval/evaluate_comp.scm 1116 */
									obj_t BgL_za2za2resza2za2z00_4903;

									BgL_za2za2resza2za2z00_4903 =
										PROCEDURE_ENTRY(BgL_bodyz00_14763) (BgL_bodyz00_14763,
										BgL_sz00_4897, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_4900);
									return BgL_za2za2resza2za2z00_4903;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3792> */
	obj_t BGl_z62zc3anonymousza33792ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_14765, obj_t BgL_sz00_14770)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1116 */
			{	/* Eval/evaluate_comp.scm 1116 */
				obj_t BgL_iboxesz00_14766;
				BgL_ev_absz00_bglt BgL_i1250z00_14767;
				obj_t BgL_bodyz00_14768;
				long BgL_siza7ezd2framez75_14769;

				BgL_iboxesz00_14766 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14765, (int) (((long) 0))));
				BgL_i1250z00_14767 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14765, (int) (((long) 1))));
				BgL_bodyz00_14768 = PROCEDURE_REF(BgL_envz00_14765, (int) (((long) 2)));
				BgL_siza7ezd2framez75_14769 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14765, (int) (((long) 3))));
				{
					obj_t BgL_sz00_4905;

					BgL_sz00_4905 = BgL_sz00_14770;
					{	/* Eval/evaluate_comp.scm 1116 */
						obj_t BgL_bpz00_4907;

						BgL_bpz00_4907 = VECTOR_REF(BgL_sz00_4905, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1116 */

							{	/* Eval/evaluate_comp.scm 1116 */
								obj_t BgL_runz00_14667;

								BgL_runz00_14667 =
									MAKE_FX_PROCEDURE(BGl_z62run5455z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 3)));
								PROCEDURE_SET(BgL_runz00_14667,
									(int) (((long) 0)), BgL_iboxesz00_14766);
								PROCEDURE_SET(BgL_runz00_14667,
									(int) (((long) 1)), ((obj_t) BgL_i1250z00_14767));
								PROCEDURE_SET(BgL_runz00_14667,
									(int) (((long) 2)), BgL_bodyz00_14768);
								{	/* Eval/evaluate_comp.scm 1116 */
									obj_t BgL_mainz00_14668;

									BgL_mainz00_14668 =
										MAKE_VA_PROCEDURE(BGl_z62main5454z62zz__evaluate_compz00,
										(int) (((long) -5)), (int) (((long) 5)));
									PROCEDURE_SET(BgL_mainz00_14668,
										(int) (((long) 0)), BgL_iboxesz00_14766);
									PROCEDURE_SET(BgL_mainz00_14668,
										(int) (((long) 1)), ((obj_t) BgL_i1250z00_14767));
									PROCEDURE_SET(BgL_mainz00_14668,
										(int) (((long) 2)), BgL_bodyz00_14768);
									PROCEDURE_SET(BgL_mainz00_14668,
										(int) (((long) 3)), BgL_runz00_14667);
									PROCEDURE_SET(BgL_mainz00_14668,
										(int) (((long) 4)), BINT(BgL_siza7ezd2framez75_14769));
									{	/* Eval/evaluate_comp.scm 1116 */
										obj_t BgL_objz00_13553;

										BgL_objz00_13553 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_14667, BgL_objz00_13553);
										BgL_objz00_13553;
									}
									{	/* Eval/evaluate_comp.scm 1116 */
										obj_t BgL_arg3793z00_4910;

										{	/* Eval/evaluate_comp.scm 1116 */
											obj_t BgL_arg3794z00_4911;

											BgL_arg3794z00_4911 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_14767))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1116 */
												obj_t BgL_newz00_13557;

												BgL_newz00_13557 =
													create_struct(BGl_symbol5569z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 1116 */
													int BgL_auxz00_21731;

													BgL_auxz00_21731 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_13557, BgL_auxz00_21731,
														BgL_arg3794z00_4911);
												}
												{	/* Eval/evaluate_comp.scm 1116 */
													obj_t BgL_auxz00_21736;
													int BgL_auxz00_21734;

													BgL_auxz00_21736 = BINT(BgL_siza7ezd2framez75_14769);
													BgL_auxz00_21734 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_13557, BgL_auxz00_21734,
														BgL_auxz00_21736);
												}
												{	/* Eval/evaluate_comp.scm 1116 */
													int BgL_auxz00_21739;

													BgL_auxz00_21739 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_13557, BgL_auxz00_21739,
														BgL_runz00_14667);
												}
												{	/* Eval/evaluate_comp.scm 1116 */
													obj_t BgL_auxz00_21744;
													int BgL_auxz00_21742;

													BgL_auxz00_21744 = BINT(((long) -5));
													BgL_auxz00_21742 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_13557, BgL_auxz00_21742,
														BgL_auxz00_21744);
												}
												BgL_arg3793z00_4910 = BgL_newz00_13557;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_14668, BgL_arg3793z00_4910);
										BgL_arg3793z00_4910;
									}
									return BgL_mainz00_14668;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main5454 */
	obj_t BGl_z62main5454z62zz__evaluate_compz00(obj_t BgL_envz00_14771,
		obj_t BgL_az00_14777, obj_t BgL_bz00_14778, obj_t BgL_cz00_14779,
		obj_t BgL_dz00_14780, obj_t BgL_lastz00_14781)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1116 */
			{	/* Eval/evaluate_comp.scm 1116 */
				obj_t BgL_runz00_14775;
				long BgL_siza7ezd2framez75_14776;

				BgL_runz00_14775 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14771, (int) (((long) 3))));
				BgL_siza7ezd2framez75_14776 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14771, (int) (((long) 4))));
				{
					obj_t BgL_az00_4912;
					obj_t BgL_bz00_4913;
					obj_t BgL_cz00_4914;
					obj_t BgL_dz00_4915;
					obj_t BgL_lastz00_4916;

					BgL_az00_4912 = BgL_az00_14777;
					BgL_bz00_4913 = BgL_bz00_14778;
					BgL_cz00_4914 = BgL_cz00_14779;
					BgL_dz00_4915 = BgL_dz00_14780;
					BgL_lastz00_4916 = BgL_lastz00_14781;
					{	/* Eval/evaluate_comp.scm 1116 */
						obj_t BgL_sz00_4918;

						BgL_sz00_4918 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1116 */
							obj_t BgL_bpz00_4919;

							BgL_bpz00_4919 = VECTOR_REF(BgL_sz00_4918, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1116 */
								bool_t BgL_testz00_21757;

								{	/* Eval/evaluate_comp.scm 1116 */
									int BgL_arg1909z00_13488;

									BgL_arg1909z00_13488 = VECTOR_LENGTH(BgL_sz00_4918);
									BgL_testz00_21757 =
										(
										((long) CINT(BgL_bpz00_4919) +
											BgL_siza7ezd2framez75_14776) <
										(long) (BgL_arg1909z00_13488));
								}
								if (BgL_testz00_21757)
									{	/* Eval/evaluate_comp.scm 1116 */
										{	/* Eval/evaluate_comp.scm 1116 */
											long BgL_arg3797z00_4921;

											BgL_arg3797z00_4921 =
												((long) CINT(BgL_bpz00_4919) + ((long) 0));
											VECTOR_SET(BgL_sz00_4918,
												(int) (BgL_arg3797z00_4921), BgL_az00_4912);
										}
										{	/* Eval/evaluate_comp.scm 1116 */
											long BgL_arg3798z00_4922;

											BgL_arg3798z00_4922 =
												((long) CINT(BgL_bpz00_4919) + ((long) 1));
											VECTOR_SET(BgL_sz00_4918,
												(int) (BgL_arg3798z00_4922), BgL_bz00_4913);
										}
										{	/* Eval/evaluate_comp.scm 1116 */
											long BgL_arg3799z00_4923;

											BgL_arg3799z00_4923 =
												((long) CINT(BgL_bpz00_4919) + ((long) 2));
											VECTOR_SET(BgL_sz00_4918,
												(int) (BgL_arg3799z00_4923), BgL_cz00_4914);
										}
										{	/* Eval/evaluate_comp.scm 1116 */
											long BgL_arg3800z00_4924;

											BgL_arg3800z00_4924 =
												((long) CINT(BgL_bpz00_4919) + ((long) 3));
											VECTOR_SET(BgL_sz00_4918,
												(int) (BgL_arg3800z00_4924), BgL_dz00_4915);
										}
										{	/* Eval/evaluate_comp.scm 1116 */
											long BgL_arg3801z00_4925;

											BgL_arg3801z00_4925 =
												((long) CINT(BgL_bpz00_4919) + ((long) 4));
											VECTOR_SET(BgL_sz00_4918,
												(int) (BgL_arg3801z00_4925), BgL_lastz00_4916);
										}
										{	/* Eval/evaluate_comp.scm 1116 */
											obj_t BgL_val1499z00_4926;

											BgL_val1499z00_4926 =
												BGl_zc3exitza33805ze3z83zz__evaluate_compz00
												(BgL_bpz00_4919, BgL_sz00_4918, BgL_runz00_14775);
											VECTOR_SET(BgL_sz00_4918, (int) (((long) 0)),
												BgL_bpz00_4919);
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1499z00_4926)))
												{	/* Eval/evaluate_comp.scm 1116 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1499z00_4926), CDR(BgL_val1499z00_4926));
												}
											else
												{	/* Eval/evaluate_comp.scm 1116 */
													return BgL_val1499z00_4926;
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1116 */
										obj_t BgL_nsz00_4933;

										BgL_nsz00_4933 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_4933,
											(int) (((long) 1)), BgL_sz00_4918);
										VECTOR_SET(BgL_nsz00_4933,
											(int) (((long) 2)), BgL_az00_4912);
										VECTOR_SET(BgL_nsz00_4933,
											(int) (((long) 3)), BgL_bz00_4913);
										VECTOR_SET(BgL_nsz00_4933,
											(int) (((long) 4)), BgL_cz00_4914);
										VECTOR_SET(BgL_nsz00_4933,
											(int) (((long) 5)), BgL_dz00_4915);
										VECTOR_SET(BgL_nsz00_4933,
											(int) (((long) 6)), BgL_lastz00_4916);
										{	/* Eval/evaluate_comp.scm 1116 */
											obj_t BgL_auxz00_21805;

											BgL_auxz00_21805 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_21805, BgL_nsz00_4933);
										}
										{	/* Eval/evaluate_comp.scm 1116 */
											obj_t BgL_val1502z00_4935;

											BgL_val1502z00_4935 =
												BGl_zc3exitza33811ze3z83zz__evaluate_compz00
												(BgL_nsz00_4933, BgL_runz00_14775);
											{	/* Eval/evaluate_comp.scm 1116 */
												obj_t BgL_auxz00_21809;

												BgL_auxz00_21809 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_EVSTATE_SET(BgL_auxz00_21809, BgL_sz00_4918);
											}
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1502z00_4935)))
												{	/* Eval/evaluate_comp.scm 1116 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1502z00_4935), CDR(BgL_val1502z00_4935));
												}
											else
												{	/* Eval/evaluate_comp.scm 1116 */
													return BgL_val1502z00_4935;
												}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:3811> */
	obj_t BGl_zc3exitza33811ze3z83zz__evaluate_compz00(obj_t BgL_nsz00_16109,
		obj_t BgL_runz00_16108)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1116 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1503z00_4941;

			if (SET_EXIT(BgL_an_exit1503z00_4941))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1503z00_4941 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1116 */

						PUSH_EXIT(BgL_an_exit1503z00_4941, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1116 */
							obj_t BgL_val1504z00_4942;

							BgL_val1504z00_4942 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_16108,
								BgL_nsz00_16109, BINT(((long) 2)));
							POP_EXIT();
							return BgL_val1504z00_4942;
						}
					}
				}
		}
	}



/* <exit:3805> */
	obj_t BGl_zc3exitza33805ze3z83zz__evaluate_compz00(obj_t BgL_bpz00_16112,
		obj_t BgL_sz00_16111, obj_t BgL_runz00_16110)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1116 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1500z00_4931;

			if (SET_EXIT(BgL_an_exit1500z00_4931))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1500z00_4931 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1116 */

						PUSH_EXIT(BgL_an_exit1500z00_4931, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1116 */
							obj_t BgL_val1501z00_4932;

							BgL_val1501z00_4932 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_16110,
								BgL_sz00_16111, BgL_bpz00_16112);
							POP_EXIT();
							return BgL_val1501z00_4932;
						}
					}
				}
		}
	}



/* &run5455 */
	obj_t BGl_z62run5455z62zz__evaluate_compz00(obj_t BgL_envz00_14782,
		obj_t BgL_sz00_14786)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1116 */
			{	/* Eval/evaluate_comp.scm 1116 */
				obj_t BgL_iboxesz00_14783;
				BgL_ev_absz00_bglt BgL_i1250z00_14784;
				obj_t BgL_bodyz00_14785;

				BgL_iboxesz00_14783 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14782, (int) (((long) 0))));
				BgL_i1250z00_14784 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14782, (int) (((long) 1))));
				BgL_bodyz00_14785 = PROCEDURE_REF(BgL_envz00_14782, (int) (((long) 2)));
				{
					obj_t BgL_sz00_4944;

					BgL_sz00_4944 = BgL_sz00_14786;
					{	/* Eval/evaluate_comp.scm 1116 */
						obj_t BgL_bpz00_4946;

						BgL_bpz00_4946 = VECTOR_REF(BgL_sz00_4944, (int) (((long) 0)));
						BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_4944,
							BgL_iboxesz00_14783, BgL_bpz00_4946);
						{	/* Eval/evaluate_comp.scm 1116 */
							obj_t BgL_z12denvz12_4947;
							obj_t BgL_wherez00_4948;
							obj_t BgL_locz00_4949;

							BgL_z12denvz12_4947 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_4948 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_14784))->BgL_wherez00);
							BgL_locz00_4949 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_14784))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1116 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_4947, BgL_wherez00_4948,
									BgL_locz00_4949);
								{	/* Eval/evaluate_comp.scm 1116 */
									obj_t BgL_za2za2resza2za2z00_4950;

									BgL_za2za2resza2za2z00_4950 =
										PROCEDURE_ENTRY(BgL_bodyz00_14785) (BgL_bodyz00_14785,
										BgL_sz00_4944, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_4947);
									return BgL_za2za2resza2za2z00_4950;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3815> */
	obj_t BGl_z62zc3anonymousza33815ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_14787, obj_t BgL_sz00_14793)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1116 */
			{	/* Eval/evaluate_comp.scm 1116 */
				obj_t BgL_ifreesz00_14788;
				long BgL_siza7eza7_14789;
				BgL_ev_absz00_bglt BgL_i1250z00_14790;
				obj_t BgL_bodyz00_14791;
				long BgL_siza7ezd2framez75_14792;

				BgL_ifreesz00_14788 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14787, (int) (((long) 0))));
				BgL_siza7eza7_14789 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14787, (int) (((long) 1))));
				BgL_i1250z00_14790 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14787, (int) (((long) 2))));
				BgL_bodyz00_14791 = PROCEDURE_REF(BgL_envz00_14787, (int) (((long) 3)));
				BgL_siza7ezd2framez75_14792 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14787, (int) (((long) 4))));
				{
					obj_t BgL_sz00_4954;

					BgL_sz00_4954 = BgL_sz00_14793;
					{	/* Eval/evaluate_comp.scm 1116 */
						obj_t BgL_bpz00_4956;

						BgL_bpz00_4956 = VECTOR_REF(BgL_sz00_4954, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1116 */
							obj_t BgL_valza2za2_4957;

							BgL_valza2za2_4957 =
								BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_4954,
								BgL_bpz00_4956, BgL_ifreesz00_14788);
							{	/* Eval/evaluate_comp.scm 1116 */
								obj_t BgL_runz00_14664;

								BgL_runz00_14664 =
									MAKE_FX_PROCEDURE(BGl_z62run5457z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 4)));
								PROCEDURE_SET(BgL_runz00_14664,
									(int) (((long) 0)), BINT(BgL_siza7eza7_14789));
								PROCEDURE_SET(BgL_runz00_14664,
									(int) (((long) 1)), BgL_valza2za2_4957);
								PROCEDURE_SET(BgL_runz00_14664,
									(int) (((long) 2)), ((obj_t) BgL_i1250z00_14790));
								PROCEDURE_SET(BgL_runz00_14664,
									(int) (((long) 3)), BgL_bodyz00_14791);
								{	/* Eval/evaluate_comp.scm 1116 */
									obj_t BgL_mainz00_14665;

									BgL_mainz00_14665 =
										MAKE_VA_PROCEDURE(BGl_z62main5456z62zz__evaluate_compz00,
										(int) (((long) -5)), (int) (((long) 6)));
									PROCEDURE_SET(BgL_mainz00_14665,
										(int) (((long) 0)), BINT(BgL_siza7eza7_14789));
									PROCEDURE_SET(BgL_mainz00_14665,
										(int) (((long) 1)), BgL_valza2za2_4957);
									PROCEDURE_SET(BgL_mainz00_14665,
										(int) (((long) 2)), ((obj_t) BgL_i1250z00_14790));
									PROCEDURE_SET(BgL_mainz00_14665,
										(int) (((long) 3)), BgL_bodyz00_14791);
									PROCEDURE_SET(BgL_mainz00_14665,
										(int) (((long) 4)), BgL_runz00_14664);
									PROCEDURE_SET(BgL_mainz00_14665,
										(int) (((long) 5)), BINT(BgL_siza7ezd2framez75_14792));
									{	/* Eval/evaluate_comp.scm 1116 */
										obj_t BgL_objz00_13660;

										BgL_objz00_13660 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_14664, BgL_objz00_13660);
										BgL_objz00_13660;
									}
									{	/* Eval/evaluate_comp.scm 1116 */
										obj_t BgL_arg3816z00_4960;

										{	/* Eval/evaluate_comp.scm 1116 */
											obj_t BgL_arg3817z00_4961;

											BgL_arg3817z00_4961 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_14790))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1116 */
												obj_t BgL_newz00_13664;

												BgL_newz00_13664 =
													create_struct(BGl_symbol5569z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 1116 */
													int BgL_auxz00_21901;

													BgL_auxz00_21901 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_13664, BgL_auxz00_21901,
														BgL_arg3817z00_4961);
												}
												{	/* Eval/evaluate_comp.scm 1116 */
													obj_t BgL_auxz00_21906;
													int BgL_auxz00_21904;

													BgL_auxz00_21906 = BINT(BgL_siza7ezd2framez75_14792);
													BgL_auxz00_21904 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_13664, BgL_auxz00_21904,
														BgL_auxz00_21906);
												}
												{	/* Eval/evaluate_comp.scm 1116 */
													int BgL_auxz00_21909;

													BgL_auxz00_21909 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_13664, BgL_auxz00_21909,
														BgL_runz00_14664);
												}
												{	/* Eval/evaluate_comp.scm 1116 */
													obj_t BgL_auxz00_21914;
													int BgL_auxz00_21912;

													BgL_auxz00_21914 = BINT(((long) -5));
													BgL_auxz00_21912 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_13664, BgL_auxz00_21912,
														BgL_auxz00_21914);
												}
												BgL_arg3816z00_4960 = BgL_newz00_13664;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_14665, BgL_arg3816z00_4960);
										BgL_arg3816z00_4960;
									}
									return BgL_mainz00_14665;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main5456 */
	obj_t BGl_z62main5456z62zz__evaluate_compz00(obj_t BgL_envz00_14794,
		obj_t BgL_az00_14801, obj_t BgL_bz00_14802, obj_t BgL_cz00_14803,
		obj_t BgL_dz00_14804, obj_t BgL_lastz00_14805)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1116 */
			{	/* Eval/evaluate_comp.scm 1116 */
				obj_t BgL_runz00_14799;
				long BgL_siza7ezd2framez75_14800;

				BgL_runz00_14799 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14794, (int) (((long) 4))));
				BgL_siza7ezd2framez75_14800 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14794, (int) (((long) 5))));
				{
					obj_t BgL_az00_4962;
					obj_t BgL_bz00_4963;
					obj_t BgL_cz00_4964;
					obj_t BgL_dz00_4965;
					obj_t BgL_lastz00_4966;

					BgL_az00_4962 = BgL_az00_14801;
					BgL_bz00_4963 = BgL_bz00_14802;
					BgL_cz00_4964 = BgL_cz00_14803;
					BgL_dz00_4965 = BgL_dz00_14804;
					BgL_lastz00_4966 = BgL_lastz00_14805;
					{	/* Eval/evaluate_comp.scm 1116 */
						obj_t BgL_sz00_4968;

						BgL_sz00_4968 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1116 */
							obj_t BgL_bpz00_4969;

							BgL_bpz00_4969 = VECTOR_REF(BgL_sz00_4968, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1116 */
								bool_t BgL_testz00_21927;

								{	/* Eval/evaluate_comp.scm 1116 */
									int BgL_arg1909z00_13595;

									BgL_arg1909z00_13595 = VECTOR_LENGTH(BgL_sz00_4968);
									BgL_testz00_21927 =
										(
										((long) CINT(BgL_bpz00_4969) +
											BgL_siza7ezd2framez75_14800) <
										(long) (BgL_arg1909z00_13595));
								}
								if (BgL_testz00_21927)
									{	/* Eval/evaluate_comp.scm 1116 */
										{	/* Eval/evaluate_comp.scm 1116 */
											long BgL_arg3820z00_4971;

											BgL_arg3820z00_4971 =
												((long) CINT(BgL_bpz00_4969) + ((long) 0));
											VECTOR_SET(BgL_sz00_4968,
												(int) (BgL_arg3820z00_4971), BgL_az00_4962);
										}
										{	/* Eval/evaluate_comp.scm 1116 */
											long BgL_arg3821z00_4972;

											BgL_arg3821z00_4972 =
												((long) CINT(BgL_bpz00_4969) + ((long) 1));
											VECTOR_SET(BgL_sz00_4968,
												(int) (BgL_arg3821z00_4972), BgL_bz00_4963);
										}
										{	/* Eval/evaluate_comp.scm 1116 */
											long BgL_arg3822z00_4973;

											BgL_arg3822z00_4973 =
												((long) CINT(BgL_bpz00_4969) + ((long) 2));
											VECTOR_SET(BgL_sz00_4968,
												(int) (BgL_arg3822z00_4973), BgL_cz00_4964);
										}
										{	/* Eval/evaluate_comp.scm 1116 */
											long BgL_arg3823z00_4974;

											BgL_arg3823z00_4974 =
												((long) CINT(BgL_bpz00_4969) + ((long) 3));
											VECTOR_SET(BgL_sz00_4968,
												(int) (BgL_arg3823z00_4974), BgL_dz00_4965);
										}
										{	/* Eval/evaluate_comp.scm 1116 */
											long BgL_arg3824z00_4975;

											BgL_arg3824z00_4975 =
												((long) CINT(BgL_bpz00_4969) + ((long) 4));
											VECTOR_SET(BgL_sz00_4968,
												(int) (BgL_arg3824z00_4975), BgL_lastz00_4966);
										}
										{	/* Eval/evaluate_comp.scm 1116 */
											obj_t BgL_val1505z00_4976;

											BgL_val1505z00_4976 =
												BGl_zc3exitza33828ze3z83zz__evaluate_compz00
												(BgL_bpz00_4969, BgL_sz00_4968, BgL_runz00_14799);
											VECTOR_SET(BgL_sz00_4968, (int) (((long) 0)),
												BgL_bpz00_4969);
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1505z00_4976)))
												{	/* Eval/evaluate_comp.scm 1116 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1505z00_4976), CDR(BgL_val1505z00_4976));
												}
											else
												{	/* Eval/evaluate_comp.scm 1116 */
													return BgL_val1505z00_4976;
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1116 */
										obj_t BgL_nsz00_4983;

										BgL_nsz00_4983 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_4983,
											(int) (((long) 1)), BgL_sz00_4968);
										VECTOR_SET(BgL_nsz00_4983,
											(int) (((long) 2)), BgL_az00_4962);
										VECTOR_SET(BgL_nsz00_4983,
											(int) (((long) 3)), BgL_bz00_4963);
										VECTOR_SET(BgL_nsz00_4983,
											(int) (((long) 4)), BgL_cz00_4964);
										VECTOR_SET(BgL_nsz00_4983,
											(int) (((long) 5)), BgL_dz00_4965);
										VECTOR_SET(BgL_nsz00_4983,
											(int) (((long) 6)), BgL_lastz00_4966);
										{	/* Eval/evaluate_comp.scm 1116 */
											obj_t BgL_auxz00_21975;

											BgL_auxz00_21975 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_21975, BgL_nsz00_4983);
										}
										{	/* Eval/evaluate_comp.scm 1116 */
											obj_t BgL_val1508z00_4985;

											BgL_val1508z00_4985 =
												BGl_zc3exitza33834ze3z83zz__evaluate_compz00
												(BgL_nsz00_4983, BgL_runz00_14799);
											{	/* Eval/evaluate_comp.scm 1116 */
												obj_t BgL_auxz00_21979;

												BgL_auxz00_21979 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_EVSTATE_SET(BgL_auxz00_21979, BgL_sz00_4968);
											}
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1508z00_4985)))
												{	/* Eval/evaluate_comp.scm 1116 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1508z00_4985), CDR(BgL_val1508z00_4985));
												}
											else
												{	/* Eval/evaluate_comp.scm 1116 */
													return BgL_val1508z00_4985;
												}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:3834> */
	obj_t BGl_zc3exitza33834ze3z83zz__evaluate_compz00(obj_t BgL_nsz00_16104,
		obj_t BgL_runz00_16103)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1116 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1509z00_4991;

			if (SET_EXIT(BgL_an_exit1509z00_4991))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1509z00_4991 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1116 */

						PUSH_EXIT(BgL_an_exit1509z00_4991, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1116 */
							obj_t BgL_val1510z00_4992;

							BgL_val1510z00_4992 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_16103,
								BgL_nsz00_16104, BINT(((long) 2)));
							POP_EXIT();
							return BgL_val1510z00_4992;
						}
					}
				}
		}
	}



/* <exit:3828> */
	obj_t BGl_zc3exitza33828ze3z83zz__evaluate_compz00(obj_t BgL_bpz00_16107,
		obj_t BgL_sz00_16106, obj_t BgL_runz00_16105)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1116 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1506z00_4981;

			if (SET_EXIT(BgL_an_exit1506z00_4981))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1506z00_4981 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1116 */

						PUSH_EXIT(BgL_an_exit1506z00_4981, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1116 */
							obj_t BgL_val1507z00_4982;

							BgL_val1507z00_4982 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_16105,
								BgL_sz00_16106, BgL_bpz00_16107);
							POP_EXIT();
							return BgL_val1507z00_4982;
						}
					}
				}
		}
	}



/* &run5457 */
	obj_t BGl_z62run5457z62zz__evaluate_compz00(obj_t BgL_envz00_14806,
		obj_t BgL_sz00_14811)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1116 */
			{	/* Eval/evaluate_comp.scm 1116 */
				long BgL_siza7eza7_14807;
				obj_t BgL_valza2za2_14808;
				BgL_ev_absz00_bglt BgL_i1250z00_14809;
				obj_t BgL_bodyz00_14810;

				BgL_siza7eza7_14807 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14806, (int) (((long) 0))));
				BgL_valza2za2_14808 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14806, (int) (((long) 1))));
				BgL_i1250z00_14809 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14806, (int) (((long) 2))));
				BgL_bodyz00_14810 = PROCEDURE_REF(BgL_envz00_14806, (int) (((long) 3)));
				{
					obj_t BgL_sz00_4994;

					BgL_sz00_4994 = BgL_sz00_14811;
					{	/* Eval/evaluate_comp.scm 1116 */
						obj_t BgL_bpz00_4996;

						BgL_bpz00_4996 = VECTOR_REF(BgL_sz00_4994, (int) (((long) 0)));
						BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_4994,
							BgL_valza2za2_14808,
							((long) CINT(BgL_bpz00_4996) + BgL_siza7eza7_14807));
						{	/* Eval/evaluate_comp.scm 1036 */
							obj_t BgL_z12denvz12_4998;
							obj_t BgL_wherez00_4999;
							obj_t BgL_locz00_5000;

							BgL_z12denvz12_4998 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_4999 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_14809))->BgL_wherez00);
							BgL_locz00_5000 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_14809))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1036 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_4998, BgL_wherez00_4999,
									BgL_locz00_5000);
								{	/* Eval/evaluate_comp.scm 1036 */
									obj_t BgL_za2za2resza2za2z00_5001;

									BgL_za2za2resza2za2z00_5001 =
										PROCEDURE_ENTRY(BgL_bodyz00_14810) (BgL_bodyz00_14810,
										BgL_sz00_4994, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_4998);
									return BgL_za2za2resza2za2z00_5001;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3837> */
	obj_t BGl_z62zc3anonymousza33837ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_14812, obj_t BgL_sz00_14819)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1116 */
			{	/* Eval/evaluate_comp.scm 1116 */
				obj_t BgL_ifreesz00_14813;
				obj_t BgL_iboxesz00_14814;
				long BgL_siza7eza7_14815;
				BgL_ev_absz00_bglt BgL_i1250z00_14816;
				obj_t BgL_bodyz00_14817;
				long BgL_siza7ezd2framez75_14818;

				BgL_ifreesz00_14813 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14812, (int) (((long) 0))));
				BgL_iboxesz00_14814 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14812, (int) (((long) 1))));
				BgL_siza7eza7_14815 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14812, (int) (((long) 2))));
				BgL_i1250z00_14816 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14812, (int) (((long) 3))));
				BgL_bodyz00_14817 = PROCEDURE_REF(BgL_envz00_14812, (int) (((long) 4)));
				BgL_siza7ezd2framez75_14818 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14812, (int) (((long) 5))));
				{
					obj_t BgL_sz00_5003;

					BgL_sz00_5003 = BgL_sz00_14819;
					{	/* Eval/evaluate_comp.scm 1116 */
						obj_t BgL_bpz00_5005;

						BgL_bpz00_5005 = VECTOR_REF(BgL_sz00_5003, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1116 */
							obj_t BgL_valza2za2_5006;

							BgL_valza2za2_5006 =
								BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_5003,
								BgL_bpz00_5005, BgL_ifreesz00_14813);
							{	/* Eval/evaluate_comp.scm 1116 */
								obj_t BgL_runz00_14661;

								BgL_runz00_14661 =
									MAKE_FX_PROCEDURE(BGl_z62run5459z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 5)));
								PROCEDURE_SET(BgL_runz00_14661,
									(int) (((long) 0)), BgL_iboxesz00_14814);
								PROCEDURE_SET(BgL_runz00_14661,
									(int) (((long) 1)), BINT(BgL_siza7eza7_14815));
								PROCEDURE_SET(BgL_runz00_14661,
									(int) (((long) 2)), BgL_valza2za2_5006);
								PROCEDURE_SET(BgL_runz00_14661,
									(int) (((long) 3)), ((obj_t) BgL_i1250z00_14816));
								PROCEDURE_SET(BgL_runz00_14661,
									(int) (((long) 4)), BgL_bodyz00_14817);
								{	/* Eval/evaluate_comp.scm 1116 */
									obj_t BgL_mainz00_14662;

									BgL_mainz00_14662 =
										MAKE_VA_PROCEDURE(BGl_z62main5458z62zz__evaluate_compz00,
										(int) (((long) -5)), (int) (((long) 7)));
									PROCEDURE_SET(BgL_mainz00_14662,
										(int) (((long) 0)), BgL_iboxesz00_14814);
									PROCEDURE_SET(BgL_mainz00_14662,
										(int) (((long) 1)), BINT(BgL_siza7eza7_14815));
									PROCEDURE_SET(BgL_mainz00_14662,
										(int) (((long) 2)), BgL_valza2za2_5006);
									PROCEDURE_SET(BgL_mainz00_14662,
										(int) (((long) 3)), ((obj_t) BgL_i1250z00_14816));
									PROCEDURE_SET(BgL_mainz00_14662,
										(int) (((long) 4)), BgL_bodyz00_14817);
									PROCEDURE_SET(BgL_mainz00_14662,
										(int) (((long) 5)), BgL_runz00_14661);
									PROCEDURE_SET(BgL_mainz00_14662,
										(int) (((long) 6)), BINT(BgL_siza7ezd2framez75_14818));
									{	/* Eval/evaluate_comp.scm 1116 */
										obj_t BgL_objz00_13763;

										BgL_objz00_13763 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_14661, BgL_objz00_13763);
										BgL_objz00_13763;
									}
									{	/* Eval/evaluate_comp.scm 1116 */
										obj_t BgL_arg3838z00_5009;

										{	/* Eval/evaluate_comp.scm 1116 */
											obj_t BgL_arg3839z00_5010;

											BgL_arg3839z00_5010 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_14816))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1116 */
												obj_t BgL_newz00_13767;

												BgL_newz00_13767 =
													create_struct(BGl_symbol5569z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 1116 */
													int BgL_auxz00_22083;

													BgL_auxz00_22083 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_13767, BgL_auxz00_22083,
														BgL_arg3839z00_5010);
												}
												{	/* Eval/evaluate_comp.scm 1116 */
													obj_t BgL_auxz00_22088;
													int BgL_auxz00_22086;

													BgL_auxz00_22088 = BINT(BgL_siza7ezd2framez75_14818);
													BgL_auxz00_22086 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_13767, BgL_auxz00_22086,
														BgL_auxz00_22088);
												}
												{	/* Eval/evaluate_comp.scm 1116 */
													int BgL_auxz00_22091;

													BgL_auxz00_22091 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_13767, BgL_auxz00_22091,
														BgL_runz00_14661);
												}
												{	/* Eval/evaluate_comp.scm 1116 */
													obj_t BgL_auxz00_22096;
													int BgL_auxz00_22094;

													BgL_auxz00_22096 = BINT(((long) -5));
													BgL_auxz00_22094 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_13767, BgL_auxz00_22094,
														BgL_auxz00_22096);
												}
												BgL_arg3838z00_5009 = BgL_newz00_13767;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_14662, BgL_arg3838z00_5009);
										BgL_arg3838z00_5009;
									}
									return BgL_mainz00_14662;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main5458 */
	obj_t BGl_z62main5458z62zz__evaluate_compz00(obj_t BgL_envz00_14820,
		obj_t BgL_az00_14828, obj_t BgL_bz00_14829, obj_t BgL_cz00_14830,
		obj_t BgL_dz00_14831, obj_t BgL_lastz00_14832)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1116 */
			{	/* Eval/evaluate_comp.scm 1116 */
				obj_t BgL_runz00_14826;
				long BgL_siza7ezd2framez75_14827;

				BgL_runz00_14826 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14820, (int) (((long) 5))));
				BgL_siza7ezd2framez75_14827 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14820, (int) (((long) 6))));
				{
					obj_t BgL_az00_5011;
					obj_t BgL_bz00_5012;
					obj_t BgL_cz00_5013;
					obj_t BgL_dz00_5014;
					obj_t BgL_lastz00_5015;

					BgL_az00_5011 = BgL_az00_14828;
					BgL_bz00_5012 = BgL_bz00_14829;
					BgL_cz00_5013 = BgL_cz00_14830;
					BgL_dz00_5014 = BgL_dz00_14831;
					BgL_lastz00_5015 = BgL_lastz00_14832;
					{	/* Eval/evaluate_comp.scm 1116 */
						obj_t BgL_sz00_5017;

						BgL_sz00_5017 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1116 */
							obj_t BgL_bpz00_5018;

							BgL_bpz00_5018 = VECTOR_REF(BgL_sz00_5017, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1116 */
								bool_t BgL_testz00_22109;

								{	/* Eval/evaluate_comp.scm 1116 */
									int BgL_arg1909z00_13698;

									BgL_arg1909z00_13698 = VECTOR_LENGTH(BgL_sz00_5017);
									BgL_testz00_22109 =
										(
										((long) CINT(BgL_bpz00_5018) +
											BgL_siza7ezd2framez75_14827) <
										(long) (BgL_arg1909z00_13698));
								}
								if (BgL_testz00_22109)
									{	/* Eval/evaluate_comp.scm 1116 */
										{	/* Eval/evaluate_comp.scm 1116 */
											long BgL_arg3842z00_5020;

											BgL_arg3842z00_5020 =
												((long) CINT(BgL_bpz00_5018) + ((long) 0));
											VECTOR_SET(BgL_sz00_5017,
												(int) (BgL_arg3842z00_5020), BgL_az00_5011);
										}
										{	/* Eval/evaluate_comp.scm 1116 */
											long BgL_arg3843z00_5021;

											BgL_arg3843z00_5021 =
												((long) CINT(BgL_bpz00_5018) + ((long) 1));
											VECTOR_SET(BgL_sz00_5017,
												(int) (BgL_arg3843z00_5021), BgL_bz00_5012);
										}
										{	/* Eval/evaluate_comp.scm 1116 */
											long BgL_arg3844z00_5022;

											BgL_arg3844z00_5022 =
												((long) CINT(BgL_bpz00_5018) + ((long) 2));
											VECTOR_SET(BgL_sz00_5017,
												(int) (BgL_arg3844z00_5022), BgL_cz00_5013);
										}
										{	/* Eval/evaluate_comp.scm 1116 */
											long BgL_arg3845z00_5023;

											BgL_arg3845z00_5023 =
												((long) CINT(BgL_bpz00_5018) + ((long) 3));
											VECTOR_SET(BgL_sz00_5017,
												(int) (BgL_arg3845z00_5023), BgL_dz00_5014);
										}
										{	/* Eval/evaluate_comp.scm 1116 */
											long BgL_arg3846z00_5024;

											BgL_arg3846z00_5024 =
												((long) CINT(BgL_bpz00_5018) + ((long) 4));
											VECTOR_SET(BgL_sz00_5017,
												(int) (BgL_arg3846z00_5024), BgL_lastz00_5015);
										}
										{	/* Eval/evaluate_comp.scm 1116 */
											obj_t BgL_val1511z00_5025;

											BgL_val1511z00_5025 =
												BGl_zc3exitza33850ze3z83zz__evaluate_compz00
												(BgL_bpz00_5018, BgL_sz00_5017, BgL_runz00_14826);
											VECTOR_SET(BgL_sz00_5017, (int) (((long) 0)),
												BgL_bpz00_5018);
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1511z00_5025)))
												{	/* Eval/evaluate_comp.scm 1116 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1511z00_5025), CDR(BgL_val1511z00_5025));
												}
											else
												{	/* Eval/evaluate_comp.scm 1116 */
													return BgL_val1511z00_5025;
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1116 */
										obj_t BgL_nsz00_5032;

										BgL_nsz00_5032 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_5032,
											(int) (((long) 1)), BgL_sz00_5017);
										VECTOR_SET(BgL_nsz00_5032,
											(int) (((long) 2)), BgL_az00_5011);
										VECTOR_SET(BgL_nsz00_5032,
											(int) (((long) 3)), BgL_bz00_5012);
										VECTOR_SET(BgL_nsz00_5032,
											(int) (((long) 4)), BgL_cz00_5013);
										VECTOR_SET(BgL_nsz00_5032,
											(int) (((long) 5)), BgL_dz00_5014);
										VECTOR_SET(BgL_nsz00_5032,
											(int) (((long) 6)), BgL_lastz00_5015);
										{	/* Eval/evaluate_comp.scm 1116 */
											obj_t BgL_auxz00_22157;

											BgL_auxz00_22157 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_22157, BgL_nsz00_5032);
										}
										{	/* Eval/evaluate_comp.scm 1116 */
											obj_t BgL_val1514z00_5034;

											BgL_val1514z00_5034 =
												BGl_zc3exitza33856ze3z83zz__evaluate_compz00
												(BgL_nsz00_5032, BgL_runz00_14826);
											{	/* Eval/evaluate_comp.scm 1116 */
												obj_t BgL_auxz00_22161;

												BgL_auxz00_22161 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_EVSTATE_SET(BgL_auxz00_22161, BgL_sz00_5017);
											}
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1514z00_5034)))
												{	/* Eval/evaluate_comp.scm 1116 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1514z00_5034), CDR(BgL_val1514z00_5034));
												}
											else
												{	/* Eval/evaluate_comp.scm 1116 */
													return BgL_val1514z00_5034;
												}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:3856> */
	obj_t BGl_zc3exitza33856ze3z83zz__evaluate_compz00(obj_t BgL_nsz00_16099,
		obj_t BgL_runz00_16098)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1116 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1515z00_5040;

			if (SET_EXIT(BgL_an_exit1515z00_5040))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1515z00_5040 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1116 */

						PUSH_EXIT(BgL_an_exit1515z00_5040, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1116 */
							obj_t BgL_val1516z00_5041;

							BgL_val1516z00_5041 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_16098,
								BgL_nsz00_16099, BINT(((long) 2)));
							POP_EXIT();
							return BgL_val1516z00_5041;
						}
					}
				}
		}
	}



/* <exit:3850> */
	obj_t BGl_zc3exitza33850ze3z83zz__evaluate_compz00(obj_t BgL_bpz00_16102,
		obj_t BgL_sz00_16101, obj_t BgL_runz00_16100)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1116 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1512z00_5030;

			if (SET_EXIT(BgL_an_exit1512z00_5030))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1512z00_5030 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1116 */

						PUSH_EXIT(BgL_an_exit1512z00_5030, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1116 */
							obj_t BgL_val1513z00_5031;

							BgL_val1513z00_5031 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_16100,
								BgL_sz00_16101, BgL_bpz00_16102);
							POP_EXIT();
							return BgL_val1513z00_5031;
						}
					}
				}
		}
	}



/* &run5459 */
	obj_t BGl_z62run5459z62zz__evaluate_compz00(obj_t BgL_envz00_14833,
		obj_t BgL_sz00_14839)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1116 */
			{	/* Eval/evaluate_comp.scm 1116 */
				obj_t BgL_iboxesz00_14834;
				long BgL_siza7eza7_14835;
				obj_t BgL_valza2za2_14836;
				BgL_ev_absz00_bglt BgL_i1250z00_14837;
				obj_t BgL_bodyz00_14838;

				BgL_iboxesz00_14834 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14833, (int) (((long) 0))));
				BgL_siza7eza7_14835 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14833, (int) (((long) 1))));
				BgL_valza2za2_14836 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14833, (int) (((long) 2))));
				BgL_i1250z00_14837 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14833, (int) (((long) 3))));
				BgL_bodyz00_14838 = PROCEDURE_REF(BgL_envz00_14833, (int) (((long) 4)));
				{
					obj_t BgL_sz00_5043;

					BgL_sz00_5043 = BgL_sz00_14839;
					{	/* Eval/evaluate_comp.scm 1116 */
						obj_t BgL_bpz00_5045;

						BgL_bpz00_5045 = VECTOR_REF(BgL_sz00_5043, (int) (((long) 0)));
						BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_5043,
							BgL_iboxesz00_14834, BgL_bpz00_5045);
						BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_5043,
							BgL_valza2za2_14836,
							((long) CINT(BgL_bpz00_5045) + BgL_siza7eza7_14835));
						{	/* Eval/evaluate_comp.scm 1036 */
							obj_t BgL_z12denvz12_5047;
							obj_t BgL_wherez00_5048;
							obj_t BgL_locz00_5049;

							BgL_z12denvz12_5047 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_5048 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_14837))->BgL_wherez00);
							BgL_locz00_5049 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_14837))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1036 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_5047, BgL_wherez00_5048,
									BgL_locz00_5049);
								{	/* Eval/evaluate_comp.scm 1036 */
									obj_t BgL_za2za2resza2za2z00_5050;

									BgL_za2za2resza2za2z00_5050 =
										PROCEDURE_ENTRY(BgL_bodyz00_14838) (BgL_bodyz00_14838,
										BgL_sz00_5043, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_5047);
									return BgL_za2za2resza2za2z00_5050;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3683> */
	obj_t BGl_z62zc3anonymousza33683ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_14840, obj_t BgL_sz00_14844)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1116 */
			{	/* Eval/evaluate_comp.scm 1116 */
				BgL_ev_absz00_bglt BgL_i1250z00_14841;
				obj_t BgL_bodyz00_14842;
				long BgL_siza7ezd2framez75_14843;

				BgL_i1250z00_14841 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14840, (int) (((long) 0))));
				BgL_bodyz00_14842 = PROCEDURE_REF(BgL_envz00_14840, (int) (((long) 1)));
				BgL_siza7ezd2framez75_14843 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14840, (int) (((long) 2))));
				{
					obj_t BgL_sz00_4668;

					BgL_sz00_4668 = BgL_sz00_14844;
					{	/* Eval/evaluate_comp.scm 1116 */
						obj_t BgL_bpz00_4670;

						BgL_bpz00_4670 = VECTOR_REF(BgL_sz00_4668, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1116 */

							{	/* Eval/evaluate_comp.scm 1116 */
								obj_t BgL_runz00_14658;

								BgL_runz00_14658 =
									MAKE_FX_PROCEDURE(BGl_z62run5461z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 2)));
								PROCEDURE_SET(BgL_runz00_14658,
									(int) (((long) 0)), ((obj_t) BgL_i1250z00_14841));
								PROCEDURE_SET(BgL_runz00_14658,
									(int) (((long) 1)), BgL_bodyz00_14842);
								{	/* Eval/evaluate_comp.scm 1116 */
									obj_t BgL_mainz00_14659;

									BgL_mainz00_14659 =
										MAKE_FX_PROCEDURE(BGl_z62main5460z62zz__evaluate_compz00,
										(int) (((long) 4)), (int) (((long) 4)));
									PROCEDURE_SET(BgL_mainz00_14659,
										(int) (((long) 0)), ((obj_t) BgL_i1250z00_14841));
									PROCEDURE_SET(BgL_mainz00_14659,
										(int) (((long) 1)), BgL_bodyz00_14842);
									PROCEDURE_SET(BgL_mainz00_14659,
										(int) (((long) 2)), BgL_runz00_14658);
									PROCEDURE_SET(BgL_mainz00_14659,
										(int) (((long) 3)), BINT(BgL_siza7ezd2framez75_14843));
									{	/* Eval/evaluate_comp.scm 1116 */
										obj_t BgL_objz00_13062;

										BgL_objz00_13062 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_14658, BgL_objz00_13062);
										BgL_objz00_13062;
									}
									{	/* Eval/evaluate_comp.scm 1116 */
										obj_t BgL_arg3684z00_4673;

										{	/* Eval/evaluate_comp.scm 1116 */
											obj_t BgL_arg3685z00_4674;

											BgL_arg3685z00_4674 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_14841))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1116 */
												obj_t BgL_newz00_13066;

												BgL_newz00_13066 =
													create_struct(BGl_symbol5569z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 1116 */
													int BgL_auxz00_22245;

													BgL_auxz00_22245 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_13066, BgL_auxz00_22245,
														BgL_arg3685z00_4674);
												}
												{	/* Eval/evaluate_comp.scm 1116 */
													obj_t BgL_auxz00_22250;
													int BgL_auxz00_22248;

													BgL_auxz00_22250 = BINT(BgL_siza7ezd2framez75_14843);
													BgL_auxz00_22248 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_13066, BgL_auxz00_22248,
														BgL_auxz00_22250);
												}
												{	/* Eval/evaluate_comp.scm 1116 */
													int BgL_auxz00_22253;

													BgL_auxz00_22253 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_13066, BgL_auxz00_22253,
														BgL_runz00_14658);
												}
												{	/* Eval/evaluate_comp.scm 1116 */
													obj_t BgL_auxz00_22258;
													int BgL_auxz00_22256;

													BgL_auxz00_22258 = BINT(((long) 4));
													BgL_auxz00_22256 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_13066, BgL_auxz00_22256,
														BgL_auxz00_22258);
												}
												BgL_arg3684z00_4673 = BgL_newz00_13066;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_14659, BgL_arg3684z00_4673);
										BgL_arg3684z00_4673;
									}
									return BgL_mainz00_14659;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main5460 */
	obj_t BGl_z62main5460z62zz__evaluate_compz00(obj_t BgL_envz00_14845,
		obj_t BgL_az00_14850, obj_t BgL_bz00_14851, obj_t BgL_cz00_14852,
		obj_t BgL_dz00_14853)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1116 */
			{	/* Eval/evaluate_comp.scm 1116 */
				obj_t BgL_runz00_14848;
				long BgL_siza7ezd2framez75_14849;

				BgL_runz00_14848 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14845, (int) (((long) 2))));
				BgL_siza7ezd2framez75_14849 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14845, (int) (((long) 3))));
				{
					obj_t BgL_az00_4675;
					obj_t BgL_bz00_4676;
					obj_t BgL_cz00_4677;
					obj_t BgL_dz00_4678;

					BgL_az00_4675 = BgL_az00_14850;
					BgL_bz00_4676 = BgL_bz00_14851;
					BgL_cz00_4677 = BgL_cz00_14852;
					BgL_dz00_4678 = BgL_dz00_14853;
					{	/* Eval/evaluate_comp.scm 1116 */
						obj_t BgL_sz00_4680;

						BgL_sz00_4680 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1116 */
							obj_t BgL_bpz00_4681;

							BgL_bpz00_4681 = VECTOR_REF(BgL_sz00_4680, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1116 */
								bool_t BgL_testz00_22271;

								{	/* Eval/evaluate_comp.scm 1116 */
									int BgL_arg1909z00_13006;

									BgL_arg1909z00_13006 = VECTOR_LENGTH(BgL_sz00_4680);
									BgL_testz00_22271 =
										(
										((long) CINT(BgL_bpz00_4681) +
											BgL_siza7ezd2framez75_14849) <
										(long) (BgL_arg1909z00_13006));
								}
								if (BgL_testz00_22271)
									{	/* Eval/evaluate_comp.scm 1116 */
										{	/* Eval/evaluate_comp.scm 1116 */
											long BgL_arg3688z00_4683;

											BgL_arg3688z00_4683 =
												((long) CINT(BgL_bpz00_4681) + ((long) 0));
											VECTOR_SET(BgL_sz00_4680,
												(int) (BgL_arg3688z00_4683), BgL_az00_4675);
										}
										{	/* Eval/evaluate_comp.scm 1116 */
											long BgL_arg3689z00_4684;

											BgL_arg3689z00_4684 =
												((long) CINT(BgL_bpz00_4681) + ((long) 1));
											VECTOR_SET(BgL_sz00_4680,
												(int) (BgL_arg3689z00_4684), BgL_bz00_4676);
										}
										{	/* Eval/evaluate_comp.scm 1116 */
											long BgL_arg3690z00_4685;

											BgL_arg3690z00_4685 =
												((long) CINT(BgL_bpz00_4681) + ((long) 2));
											VECTOR_SET(BgL_sz00_4680,
												(int) (BgL_arg3690z00_4685), BgL_cz00_4677);
										}
										{	/* Eval/evaluate_comp.scm 1116 */
											long BgL_arg3691z00_4686;

											BgL_arg3691z00_4686 =
												((long) CINT(BgL_bpz00_4681) + ((long) 3));
											VECTOR_SET(BgL_sz00_4680,
												(int) (BgL_arg3691z00_4686), BgL_dz00_4678);
										}
										{	/* Eval/evaluate_comp.scm 1116 */
											obj_t BgL_val1469z00_4687;

											BgL_val1469z00_4687 =
												BGl_zc3exitza33695ze3z83zz__evaluate_compz00
												(BgL_bpz00_4681, BgL_sz00_4680, BgL_runz00_14848);
											VECTOR_SET(BgL_sz00_4680, (int) (((long) 0)),
												BgL_bpz00_4681);
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1469z00_4687)))
												{	/* Eval/evaluate_comp.scm 1116 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1469z00_4687), CDR(BgL_val1469z00_4687));
												}
											else
												{	/* Eval/evaluate_comp.scm 1116 */
													return BgL_val1469z00_4687;
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1116 */
										obj_t BgL_nsz00_4694;

										BgL_nsz00_4694 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_4694,
											(int) (((long) 1)), BgL_sz00_4680);
										VECTOR_SET(BgL_nsz00_4694,
											(int) (((long) 2)), BgL_az00_4675);
										VECTOR_SET(BgL_nsz00_4694,
											(int) (((long) 3)), BgL_bz00_4676);
										VECTOR_SET(BgL_nsz00_4694,
											(int) (((long) 4)), BgL_cz00_4677);
										VECTOR_SET(BgL_nsz00_4694,
											(int) (((long) 5)), BgL_dz00_4678);
										{	/* Eval/evaluate_comp.scm 1116 */
											obj_t BgL_auxz00_22313;

											BgL_auxz00_22313 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_22313, BgL_nsz00_4694);
										}
										{	/* Eval/evaluate_comp.scm 1116 */
											obj_t BgL_val1472z00_4696;

											BgL_val1472z00_4696 =
												BGl_zc3exitza33701ze3z83zz__evaluate_compz00
												(BgL_nsz00_4694, BgL_runz00_14848);
											{	/* Eval/evaluate_comp.scm 1116 */
												obj_t BgL_auxz00_22317;

												BgL_auxz00_22317 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_EVSTATE_SET(BgL_auxz00_22317, BgL_sz00_4680);
											}
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1472z00_4696)))
												{	/* Eval/evaluate_comp.scm 1116 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1472z00_4696), CDR(BgL_val1472z00_4696));
												}
											else
												{	/* Eval/evaluate_comp.scm 1116 */
													return BgL_val1472z00_4696;
												}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:3701> */
	obj_t BGl_zc3exitza33701ze3z83zz__evaluate_compz00(obj_t BgL_nsz00_16094,
		obj_t BgL_runz00_16093)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1116 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1473z00_4702;

			if (SET_EXIT(BgL_an_exit1473z00_4702))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1473z00_4702 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1116 */

						PUSH_EXIT(BgL_an_exit1473z00_4702, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1116 */
							obj_t BgL_val1474z00_4703;

							BgL_val1474z00_4703 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_16093,
								BgL_nsz00_16094, BINT(((long) 2)));
							POP_EXIT();
							return BgL_val1474z00_4703;
						}
					}
				}
		}
	}



/* <exit:3695> */
	obj_t BGl_zc3exitza33695ze3z83zz__evaluate_compz00(obj_t BgL_bpz00_16097,
		obj_t BgL_sz00_16096, obj_t BgL_runz00_16095)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1116 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1470z00_4692;

			if (SET_EXIT(BgL_an_exit1470z00_4692))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1470z00_4692 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1116 */

						PUSH_EXIT(BgL_an_exit1470z00_4692, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1116 */
							obj_t BgL_val1471z00_4693;

							BgL_val1471z00_4693 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_16095,
								BgL_sz00_16096, BgL_bpz00_16097);
							POP_EXIT();
							return BgL_val1471z00_4693;
						}
					}
				}
		}
	}



/* &run5461 */
	obj_t BGl_z62run5461z62zz__evaluate_compz00(obj_t BgL_envz00_14854,
		obj_t BgL_sz00_14857)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1116 */
			{	/* Eval/evaluate_comp.scm 1116 */
				BgL_ev_absz00_bglt BgL_i1250z00_14855;
				obj_t BgL_bodyz00_14856;

				BgL_i1250z00_14855 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14854, (int) (((long) 0))));
				BgL_bodyz00_14856 = PROCEDURE_REF(BgL_envz00_14854, (int) (((long) 1)));
				{
					obj_t BgL_sz00_4705;

					BgL_sz00_4705 = BgL_sz00_14857;
					{	/* Eval/evaluate_comp.scm 1116 */
						obj_t BgL_bpz00_4707;

						BgL_bpz00_4707 = VECTOR_REF(BgL_sz00_4705, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1116 */
							obj_t BgL_z12denvz12_4708;
							obj_t BgL_wherez00_4709;
							obj_t BgL_locz00_4710;

							BgL_z12denvz12_4708 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_4709 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_14855))->BgL_wherez00);
							BgL_locz00_4710 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_14855))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1116 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_4708, BgL_wherez00_4709,
									BgL_locz00_4710);
								{	/* Eval/evaluate_comp.scm 1116 */
									obj_t BgL_za2za2resza2za2z00_4711;

									BgL_za2za2resza2za2z00_4711 =
										PROCEDURE_ENTRY(BgL_bodyz00_14856) (BgL_bodyz00_14856,
										BgL_sz00_4705, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_4708);
									return BgL_za2za2resza2za2z00_4711;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3703> */
	obj_t BGl_z62zc3anonymousza33703ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_14858, obj_t BgL_sz00_14863)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1116 */
			{	/* Eval/evaluate_comp.scm 1116 */
				obj_t BgL_iboxesz00_14859;
				BgL_ev_absz00_bglt BgL_i1250z00_14860;
				obj_t BgL_bodyz00_14861;
				long BgL_siza7ezd2framez75_14862;

				BgL_iboxesz00_14859 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14858, (int) (((long) 0))));
				BgL_i1250z00_14860 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14858, (int) (((long) 1))));
				BgL_bodyz00_14861 = PROCEDURE_REF(BgL_envz00_14858, (int) (((long) 2)));
				BgL_siza7ezd2framez75_14862 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14858, (int) (((long) 3))));
				{
					obj_t BgL_sz00_4713;

					BgL_sz00_4713 = BgL_sz00_14863;
					{	/* Eval/evaluate_comp.scm 1116 */
						obj_t BgL_bpz00_4715;

						BgL_bpz00_4715 = VECTOR_REF(BgL_sz00_4713, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1116 */

							{	/* Eval/evaluate_comp.scm 1116 */
								obj_t BgL_runz00_14655;

								BgL_runz00_14655 =
									MAKE_FX_PROCEDURE(BGl_z62run5463z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 3)));
								PROCEDURE_SET(BgL_runz00_14655,
									(int) (((long) 0)), BgL_iboxesz00_14859);
								PROCEDURE_SET(BgL_runz00_14655,
									(int) (((long) 1)), ((obj_t) BgL_i1250z00_14860));
								PROCEDURE_SET(BgL_runz00_14655,
									(int) (((long) 2)), BgL_bodyz00_14861);
								{	/* Eval/evaluate_comp.scm 1116 */
									obj_t BgL_mainz00_14656;

									BgL_mainz00_14656 =
										MAKE_FX_PROCEDURE(BGl_z62main5462z62zz__evaluate_compz00,
										(int) (((long) 4)), (int) (((long) 5)));
									PROCEDURE_SET(BgL_mainz00_14656,
										(int) (((long) 0)), BgL_iboxesz00_14859);
									PROCEDURE_SET(BgL_mainz00_14656,
										(int) (((long) 1)), ((obj_t) BgL_i1250z00_14860));
									PROCEDURE_SET(BgL_mainz00_14656,
										(int) (((long) 2)), BgL_bodyz00_14861);
									PROCEDURE_SET(BgL_mainz00_14656,
										(int) (((long) 3)), BgL_runz00_14655);
									PROCEDURE_SET(BgL_mainz00_14656,
										(int) (((long) 4)), BINT(BgL_siza7ezd2framez75_14862));
									{	/* Eval/evaluate_comp.scm 1116 */
										obj_t BgL_objz00_13153;

										BgL_objz00_13153 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_14655, BgL_objz00_13153);
										BgL_objz00_13153;
									}
									{	/* Eval/evaluate_comp.scm 1116 */
										obj_t BgL_arg3704z00_4718;

										{	/* Eval/evaluate_comp.scm 1116 */
											obj_t BgL_arg3705z00_4719;

											BgL_arg3705z00_4719 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_14860))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1116 */
												obj_t BgL_newz00_13157;

												BgL_newz00_13157 =
													create_struct(BGl_symbol5569z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 1116 */
													int BgL_auxz00_22395;

													BgL_auxz00_22395 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_13157, BgL_auxz00_22395,
														BgL_arg3705z00_4719);
												}
												{	/* Eval/evaluate_comp.scm 1116 */
													obj_t BgL_auxz00_22400;
													int BgL_auxz00_22398;

													BgL_auxz00_22400 = BINT(BgL_siza7ezd2framez75_14862);
													BgL_auxz00_22398 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_13157, BgL_auxz00_22398,
														BgL_auxz00_22400);
												}
												{	/* Eval/evaluate_comp.scm 1116 */
													int BgL_auxz00_22403;

													BgL_auxz00_22403 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_13157, BgL_auxz00_22403,
														BgL_runz00_14655);
												}
												{	/* Eval/evaluate_comp.scm 1116 */
													obj_t BgL_auxz00_22408;
													int BgL_auxz00_22406;

													BgL_auxz00_22408 = BINT(((long) 4));
													BgL_auxz00_22406 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_13157, BgL_auxz00_22406,
														BgL_auxz00_22408);
												}
												BgL_arg3704z00_4718 = BgL_newz00_13157;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_14656, BgL_arg3704z00_4718);
										BgL_arg3704z00_4718;
									}
									return BgL_mainz00_14656;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main5462 */
	obj_t BGl_z62main5462z62zz__evaluate_compz00(obj_t BgL_envz00_14864,
		obj_t BgL_az00_14870, obj_t BgL_bz00_14871, obj_t BgL_cz00_14872,
		obj_t BgL_dz00_14873)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1116 */
			{	/* Eval/evaluate_comp.scm 1116 */
				obj_t BgL_runz00_14868;
				long BgL_siza7ezd2framez75_14869;

				BgL_runz00_14868 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14864, (int) (((long) 3))));
				BgL_siza7ezd2framez75_14869 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14864, (int) (((long) 4))));
				{
					obj_t BgL_az00_4720;
					obj_t BgL_bz00_4721;
					obj_t BgL_cz00_4722;
					obj_t BgL_dz00_4723;

					BgL_az00_4720 = BgL_az00_14870;
					BgL_bz00_4721 = BgL_bz00_14871;
					BgL_cz00_4722 = BgL_cz00_14872;
					BgL_dz00_4723 = BgL_dz00_14873;
					{	/* Eval/evaluate_comp.scm 1116 */
						obj_t BgL_sz00_4725;

						BgL_sz00_4725 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1116 */
							obj_t BgL_bpz00_4726;

							BgL_bpz00_4726 = VECTOR_REF(BgL_sz00_4725, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1116 */
								bool_t BgL_testz00_22421;

								{	/* Eval/evaluate_comp.scm 1116 */
									int BgL_arg1909z00_13097;

									BgL_arg1909z00_13097 = VECTOR_LENGTH(BgL_sz00_4725);
									BgL_testz00_22421 =
										(
										((long) CINT(BgL_bpz00_4726) +
											BgL_siza7ezd2framez75_14869) <
										(long) (BgL_arg1909z00_13097));
								}
								if (BgL_testz00_22421)
									{	/* Eval/evaluate_comp.scm 1116 */
										{	/* Eval/evaluate_comp.scm 1116 */
											long BgL_arg3708z00_4728;

											BgL_arg3708z00_4728 =
												((long) CINT(BgL_bpz00_4726) + ((long) 0));
											VECTOR_SET(BgL_sz00_4725,
												(int) (BgL_arg3708z00_4728), BgL_az00_4720);
										}
										{	/* Eval/evaluate_comp.scm 1116 */
											long BgL_arg3709z00_4729;

											BgL_arg3709z00_4729 =
												((long) CINT(BgL_bpz00_4726) + ((long) 1));
											VECTOR_SET(BgL_sz00_4725,
												(int) (BgL_arg3709z00_4729), BgL_bz00_4721);
										}
										{	/* Eval/evaluate_comp.scm 1116 */
											long BgL_arg3710z00_4730;

											BgL_arg3710z00_4730 =
												((long) CINT(BgL_bpz00_4726) + ((long) 2));
											VECTOR_SET(BgL_sz00_4725,
												(int) (BgL_arg3710z00_4730), BgL_cz00_4722);
										}
										{	/* Eval/evaluate_comp.scm 1116 */
											long BgL_arg3711z00_4731;

											BgL_arg3711z00_4731 =
												((long) CINT(BgL_bpz00_4726) + ((long) 3));
											VECTOR_SET(BgL_sz00_4725,
												(int) (BgL_arg3711z00_4731), BgL_dz00_4723);
										}
										{	/* Eval/evaluate_comp.scm 1116 */
											obj_t BgL_val1475z00_4732;

											BgL_val1475z00_4732 =
												BGl_zc3exitza33715ze3z83zz__evaluate_compz00
												(BgL_bpz00_4726, BgL_sz00_4725, BgL_runz00_14868);
											VECTOR_SET(BgL_sz00_4725, (int) (((long) 0)),
												BgL_bpz00_4726);
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1475z00_4732)))
												{	/* Eval/evaluate_comp.scm 1116 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1475z00_4732), CDR(BgL_val1475z00_4732));
												}
											else
												{	/* Eval/evaluate_comp.scm 1116 */
													return BgL_val1475z00_4732;
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1116 */
										obj_t BgL_nsz00_4739;

										BgL_nsz00_4739 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_4739,
											(int) (((long) 1)), BgL_sz00_4725);
										VECTOR_SET(BgL_nsz00_4739,
											(int) (((long) 2)), BgL_az00_4720);
										VECTOR_SET(BgL_nsz00_4739,
											(int) (((long) 3)), BgL_bz00_4721);
										VECTOR_SET(BgL_nsz00_4739,
											(int) (((long) 4)), BgL_cz00_4722);
										VECTOR_SET(BgL_nsz00_4739,
											(int) (((long) 5)), BgL_dz00_4723);
										{	/* Eval/evaluate_comp.scm 1116 */
											obj_t BgL_auxz00_22463;

											BgL_auxz00_22463 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_22463, BgL_nsz00_4739);
										}
										{	/* Eval/evaluate_comp.scm 1116 */
											obj_t BgL_val1478z00_4741;

											BgL_val1478z00_4741 =
												BGl_zc3exitza33721ze3z83zz__evaluate_compz00
												(BgL_nsz00_4739, BgL_runz00_14868);
											{	/* Eval/evaluate_comp.scm 1116 */
												obj_t BgL_auxz00_22467;

												BgL_auxz00_22467 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_EVSTATE_SET(BgL_auxz00_22467, BgL_sz00_4725);
											}
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1478z00_4741)))
												{	/* Eval/evaluate_comp.scm 1116 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1478z00_4741), CDR(BgL_val1478z00_4741));
												}
											else
												{	/* Eval/evaluate_comp.scm 1116 */
													return BgL_val1478z00_4741;
												}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:3721> */
	obj_t BGl_zc3exitza33721ze3z83zz__evaluate_compz00(obj_t BgL_nsz00_16089,
		obj_t BgL_runz00_16088)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1116 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1479z00_4747;

			if (SET_EXIT(BgL_an_exit1479z00_4747))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1479z00_4747 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1116 */

						PUSH_EXIT(BgL_an_exit1479z00_4747, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1116 */
							obj_t BgL_val1480z00_4748;

							BgL_val1480z00_4748 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_16088,
								BgL_nsz00_16089, BINT(((long) 2)));
							POP_EXIT();
							return BgL_val1480z00_4748;
						}
					}
				}
		}
	}



/* <exit:3715> */
	obj_t BGl_zc3exitza33715ze3z83zz__evaluate_compz00(obj_t BgL_bpz00_16092,
		obj_t BgL_sz00_16091, obj_t BgL_runz00_16090)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1116 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1476z00_4737;

			if (SET_EXIT(BgL_an_exit1476z00_4737))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1476z00_4737 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1116 */

						PUSH_EXIT(BgL_an_exit1476z00_4737, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1116 */
							obj_t BgL_val1477z00_4738;

							BgL_val1477z00_4738 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_16090,
								BgL_sz00_16091, BgL_bpz00_16092);
							POP_EXIT();
							return BgL_val1477z00_4738;
						}
					}
				}
		}
	}



/* &run5463 */
	obj_t BGl_z62run5463z62zz__evaluate_compz00(obj_t BgL_envz00_14874,
		obj_t BgL_sz00_14878)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1116 */
			{	/* Eval/evaluate_comp.scm 1116 */
				obj_t BgL_iboxesz00_14875;
				BgL_ev_absz00_bglt BgL_i1250z00_14876;
				obj_t BgL_bodyz00_14877;

				BgL_iboxesz00_14875 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14874, (int) (((long) 0))));
				BgL_i1250z00_14876 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14874, (int) (((long) 1))));
				BgL_bodyz00_14877 = PROCEDURE_REF(BgL_envz00_14874, (int) (((long) 2)));
				{
					obj_t BgL_sz00_4750;

					BgL_sz00_4750 = BgL_sz00_14878;
					{	/* Eval/evaluate_comp.scm 1116 */
						obj_t BgL_bpz00_4752;

						BgL_bpz00_4752 = VECTOR_REF(BgL_sz00_4750, (int) (((long) 0)));
						BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_4750,
							BgL_iboxesz00_14875, BgL_bpz00_4752);
						{	/* Eval/evaluate_comp.scm 1116 */
							obj_t BgL_z12denvz12_4753;
							obj_t BgL_wherez00_4754;
							obj_t BgL_locz00_4755;

							BgL_z12denvz12_4753 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_4754 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_14876))->BgL_wherez00);
							BgL_locz00_4755 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_14876))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1116 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_4753, BgL_wherez00_4754,
									BgL_locz00_4755);
								{	/* Eval/evaluate_comp.scm 1116 */
									obj_t BgL_za2za2resza2za2z00_4756;

									BgL_za2za2resza2za2z00_4756 =
										PROCEDURE_ENTRY(BgL_bodyz00_14877) (BgL_bodyz00_14877,
										BgL_sz00_4750, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_4753);
									return BgL_za2za2resza2za2z00_4756;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3725> */
	obj_t BGl_z62zc3anonymousza33725ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_14879, obj_t BgL_sz00_14885)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1116 */
			{	/* Eval/evaluate_comp.scm 1116 */
				obj_t BgL_ifreesz00_14880;
				long BgL_siza7eza7_14881;
				BgL_ev_absz00_bglt BgL_i1250z00_14882;
				obj_t BgL_bodyz00_14883;
				long BgL_siza7ezd2framez75_14884;

				BgL_ifreesz00_14880 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14879, (int) (((long) 0))));
				BgL_siza7eza7_14881 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14879, (int) (((long) 1))));
				BgL_i1250z00_14882 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14879, (int) (((long) 2))));
				BgL_bodyz00_14883 = PROCEDURE_REF(BgL_envz00_14879, (int) (((long) 3)));
				BgL_siza7ezd2framez75_14884 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14879, (int) (((long) 4))));
				{
					obj_t BgL_sz00_4760;

					BgL_sz00_4760 = BgL_sz00_14885;
					{	/* Eval/evaluate_comp.scm 1116 */
						obj_t BgL_bpz00_4762;

						BgL_bpz00_4762 = VECTOR_REF(BgL_sz00_4760, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1116 */
							obj_t BgL_valza2za2_4763;

							BgL_valza2za2_4763 =
								BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_4760,
								BgL_bpz00_4762, BgL_ifreesz00_14880);
							{	/* Eval/evaluate_comp.scm 1116 */
								obj_t BgL_runz00_14652;

								BgL_runz00_14652 =
									MAKE_FX_PROCEDURE(BGl_z62run5465z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 4)));
								PROCEDURE_SET(BgL_runz00_14652,
									(int) (((long) 0)), BINT(BgL_siza7eza7_14881));
								PROCEDURE_SET(BgL_runz00_14652,
									(int) (((long) 1)), BgL_valza2za2_4763);
								PROCEDURE_SET(BgL_runz00_14652,
									(int) (((long) 2)), ((obj_t) BgL_i1250z00_14882));
								PROCEDURE_SET(BgL_runz00_14652,
									(int) (((long) 3)), BgL_bodyz00_14883);
								{	/* Eval/evaluate_comp.scm 1116 */
									obj_t BgL_mainz00_14653;

									BgL_mainz00_14653 =
										MAKE_FX_PROCEDURE(BGl_z62main5464z62zz__evaluate_compz00,
										(int) (((long) 4)), (int) (((long) 6)));
									PROCEDURE_SET(BgL_mainz00_14653,
										(int) (((long) 0)), BINT(BgL_siza7eza7_14881));
									PROCEDURE_SET(BgL_mainz00_14653,
										(int) (((long) 1)), BgL_valza2za2_4763);
									PROCEDURE_SET(BgL_mainz00_14653,
										(int) (((long) 2)), ((obj_t) BgL_i1250z00_14882));
									PROCEDURE_SET(BgL_mainz00_14653,
										(int) (((long) 3)), BgL_bodyz00_14883);
									PROCEDURE_SET(BgL_mainz00_14653,
										(int) (((long) 4)), BgL_runz00_14652);
									PROCEDURE_SET(BgL_mainz00_14653,
										(int) (((long) 5)), BINT(BgL_siza7ezd2framez75_14884));
									{	/* Eval/evaluate_comp.scm 1116 */
										obj_t BgL_objz00_13251;

										BgL_objz00_13251 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_14652, BgL_objz00_13251);
										BgL_objz00_13251;
									}
									{	/* Eval/evaluate_comp.scm 1116 */
										obj_t BgL_arg3726z00_4766;

										{	/* Eval/evaluate_comp.scm 1116 */
											obj_t BgL_arg3727z00_4767;

											BgL_arg3727z00_4767 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_14882))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1116 */
												obj_t BgL_newz00_13255;

												BgL_newz00_13255 =
													create_struct(BGl_symbol5569z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 1116 */
													int BgL_auxz00_22559;

													BgL_auxz00_22559 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_13255, BgL_auxz00_22559,
														BgL_arg3727z00_4767);
												}
												{	/* Eval/evaluate_comp.scm 1116 */
													obj_t BgL_auxz00_22564;
													int BgL_auxz00_22562;

													BgL_auxz00_22564 = BINT(BgL_siza7ezd2framez75_14884);
													BgL_auxz00_22562 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_13255, BgL_auxz00_22562,
														BgL_auxz00_22564);
												}
												{	/* Eval/evaluate_comp.scm 1116 */
													int BgL_auxz00_22567;

													BgL_auxz00_22567 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_13255, BgL_auxz00_22567,
														BgL_runz00_14652);
												}
												{	/* Eval/evaluate_comp.scm 1116 */
													obj_t BgL_auxz00_22572;
													int BgL_auxz00_22570;

													BgL_auxz00_22572 = BINT(((long) 4));
													BgL_auxz00_22570 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_13255, BgL_auxz00_22570,
														BgL_auxz00_22572);
												}
												BgL_arg3726z00_4766 = BgL_newz00_13255;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_14653, BgL_arg3726z00_4766);
										BgL_arg3726z00_4766;
									}
									return BgL_mainz00_14653;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main5464 */
	obj_t BGl_z62main5464z62zz__evaluate_compz00(obj_t BgL_envz00_14886,
		obj_t BgL_az00_14893, obj_t BgL_bz00_14894, obj_t BgL_cz00_14895,
		obj_t BgL_dz00_14896)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1116 */
			{	/* Eval/evaluate_comp.scm 1116 */
				obj_t BgL_runz00_14891;
				long BgL_siza7ezd2framez75_14892;

				BgL_runz00_14891 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14886, (int) (((long) 4))));
				BgL_siza7ezd2framez75_14892 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14886, (int) (((long) 5))));
				{
					obj_t BgL_az00_4768;
					obj_t BgL_bz00_4769;
					obj_t BgL_cz00_4770;
					obj_t BgL_dz00_4771;

					BgL_az00_4768 = BgL_az00_14893;
					BgL_bz00_4769 = BgL_bz00_14894;
					BgL_cz00_4770 = BgL_cz00_14895;
					BgL_dz00_4771 = BgL_dz00_14896;
					{	/* Eval/evaluate_comp.scm 1116 */
						obj_t BgL_sz00_4773;

						BgL_sz00_4773 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1116 */
							obj_t BgL_bpz00_4774;

							BgL_bpz00_4774 = VECTOR_REF(BgL_sz00_4773, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1116 */
								bool_t BgL_testz00_22585;

								{	/* Eval/evaluate_comp.scm 1116 */
									int BgL_arg1909z00_13195;

									BgL_arg1909z00_13195 = VECTOR_LENGTH(BgL_sz00_4773);
									BgL_testz00_22585 =
										(
										((long) CINT(BgL_bpz00_4774) +
											BgL_siza7ezd2framez75_14892) <
										(long) (BgL_arg1909z00_13195));
								}
								if (BgL_testz00_22585)
									{	/* Eval/evaluate_comp.scm 1116 */
										{	/* Eval/evaluate_comp.scm 1116 */
											long BgL_arg3730z00_4776;

											BgL_arg3730z00_4776 =
												((long) CINT(BgL_bpz00_4774) + ((long) 0));
											VECTOR_SET(BgL_sz00_4773,
												(int) (BgL_arg3730z00_4776), BgL_az00_4768);
										}
										{	/* Eval/evaluate_comp.scm 1116 */
											long BgL_arg3731z00_4777;

											BgL_arg3731z00_4777 =
												((long) CINT(BgL_bpz00_4774) + ((long) 1));
											VECTOR_SET(BgL_sz00_4773,
												(int) (BgL_arg3731z00_4777), BgL_bz00_4769);
										}
										{	/* Eval/evaluate_comp.scm 1116 */
											long BgL_arg3732z00_4778;

											BgL_arg3732z00_4778 =
												((long) CINT(BgL_bpz00_4774) + ((long) 2));
											VECTOR_SET(BgL_sz00_4773,
												(int) (BgL_arg3732z00_4778), BgL_cz00_4770);
										}
										{	/* Eval/evaluate_comp.scm 1116 */
											long BgL_arg3733z00_4779;

											BgL_arg3733z00_4779 =
												((long) CINT(BgL_bpz00_4774) + ((long) 3));
											VECTOR_SET(BgL_sz00_4773,
												(int) (BgL_arg3733z00_4779), BgL_dz00_4771);
										}
										{	/* Eval/evaluate_comp.scm 1116 */
											obj_t BgL_val1481z00_4780;

											BgL_val1481z00_4780 =
												BGl_zc3exitza33737ze3z83zz__evaluate_compz00
												(BgL_bpz00_4774, BgL_sz00_4773, BgL_runz00_14891);
											VECTOR_SET(BgL_sz00_4773, (int) (((long) 0)),
												BgL_bpz00_4774);
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1481z00_4780)))
												{	/* Eval/evaluate_comp.scm 1116 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1481z00_4780), CDR(BgL_val1481z00_4780));
												}
											else
												{	/* Eval/evaluate_comp.scm 1116 */
													return BgL_val1481z00_4780;
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1116 */
										obj_t BgL_nsz00_4787;

										BgL_nsz00_4787 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_4787,
											(int) (((long) 1)), BgL_sz00_4773);
										VECTOR_SET(BgL_nsz00_4787,
											(int) (((long) 2)), BgL_az00_4768);
										VECTOR_SET(BgL_nsz00_4787,
											(int) (((long) 3)), BgL_bz00_4769);
										VECTOR_SET(BgL_nsz00_4787,
											(int) (((long) 4)), BgL_cz00_4770);
										VECTOR_SET(BgL_nsz00_4787,
											(int) (((long) 5)), BgL_dz00_4771);
										{	/* Eval/evaluate_comp.scm 1116 */
											obj_t BgL_auxz00_22627;

											BgL_auxz00_22627 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_22627, BgL_nsz00_4787);
										}
										{	/* Eval/evaluate_comp.scm 1116 */
											obj_t BgL_val1484z00_4789;

											BgL_val1484z00_4789 =
												BGl_zc3exitza33743ze3z83zz__evaluate_compz00
												(BgL_nsz00_4787, BgL_runz00_14891);
											{	/* Eval/evaluate_comp.scm 1116 */
												obj_t BgL_auxz00_22631;

												BgL_auxz00_22631 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_EVSTATE_SET(BgL_auxz00_22631, BgL_sz00_4773);
											}
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1484z00_4789)))
												{	/* Eval/evaluate_comp.scm 1116 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1484z00_4789), CDR(BgL_val1484z00_4789));
												}
											else
												{	/* Eval/evaluate_comp.scm 1116 */
													return BgL_val1484z00_4789;
												}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:3743> */
	obj_t BGl_zc3exitza33743ze3z83zz__evaluate_compz00(obj_t BgL_nsz00_16084,
		obj_t BgL_runz00_16083)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1116 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1485z00_4795;

			if (SET_EXIT(BgL_an_exit1485z00_4795))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1485z00_4795 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1116 */

						PUSH_EXIT(BgL_an_exit1485z00_4795, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1116 */
							obj_t BgL_val1486z00_4796;

							BgL_val1486z00_4796 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_16083,
								BgL_nsz00_16084, BINT(((long) 2)));
							POP_EXIT();
							return BgL_val1486z00_4796;
						}
					}
				}
		}
	}



/* <exit:3737> */
	obj_t BGl_zc3exitza33737ze3z83zz__evaluate_compz00(obj_t BgL_bpz00_16087,
		obj_t BgL_sz00_16086, obj_t BgL_runz00_16085)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1116 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1482z00_4785;

			if (SET_EXIT(BgL_an_exit1482z00_4785))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1482z00_4785 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1116 */

						PUSH_EXIT(BgL_an_exit1482z00_4785, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1116 */
							obj_t BgL_val1483z00_4786;

							BgL_val1483z00_4786 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_16085,
								BgL_sz00_16086, BgL_bpz00_16087);
							POP_EXIT();
							return BgL_val1483z00_4786;
						}
					}
				}
		}
	}



/* &run5465 */
	obj_t BGl_z62run5465z62zz__evaluate_compz00(obj_t BgL_envz00_14897,
		obj_t BgL_sz00_14902)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1116 */
			{	/* Eval/evaluate_comp.scm 1116 */
				long BgL_siza7eza7_14898;
				obj_t BgL_valza2za2_14899;
				BgL_ev_absz00_bglt BgL_i1250z00_14900;
				obj_t BgL_bodyz00_14901;

				BgL_siza7eza7_14898 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14897, (int) (((long) 0))));
				BgL_valza2za2_14899 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14897, (int) (((long) 1))));
				BgL_i1250z00_14900 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14897, (int) (((long) 2))));
				BgL_bodyz00_14901 = PROCEDURE_REF(BgL_envz00_14897, (int) (((long) 3)));
				{
					obj_t BgL_sz00_4798;

					BgL_sz00_4798 = BgL_sz00_14902;
					{	/* Eval/evaluate_comp.scm 1116 */
						obj_t BgL_bpz00_4800;

						BgL_bpz00_4800 = VECTOR_REF(BgL_sz00_4798, (int) (((long) 0)));
						BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_4798,
							BgL_valza2za2_14899,
							((long) CINT(BgL_bpz00_4800) + BgL_siza7eza7_14898));
						{	/* Eval/evaluate_comp.scm 1036 */
							obj_t BgL_z12denvz12_4802;
							obj_t BgL_wherez00_4803;
							obj_t BgL_locz00_4804;

							BgL_z12denvz12_4802 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_4803 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_14900))->BgL_wherez00);
							BgL_locz00_4804 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_14900))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1036 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_4802, BgL_wherez00_4803,
									BgL_locz00_4804);
								{	/* Eval/evaluate_comp.scm 1036 */
									obj_t BgL_za2za2resza2za2z00_4805;

									BgL_za2za2resza2za2z00_4805 =
										PROCEDURE_ENTRY(BgL_bodyz00_14901) (BgL_bodyz00_14901,
										BgL_sz00_4798, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_4802);
									return BgL_za2za2resza2za2z00_4805;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3746> */
	obj_t BGl_z62zc3anonymousza33746ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_14903, obj_t BgL_sz00_14910)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1116 */
			{	/* Eval/evaluate_comp.scm 1116 */
				obj_t BgL_ifreesz00_14904;
				obj_t BgL_iboxesz00_14905;
				long BgL_siza7eza7_14906;
				BgL_ev_absz00_bglt BgL_i1250z00_14907;
				obj_t BgL_bodyz00_14908;
				long BgL_siza7ezd2framez75_14909;

				BgL_ifreesz00_14904 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14903, (int) (((long) 0))));
				BgL_iboxesz00_14905 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14903, (int) (((long) 1))));
				BgL_siza7eza7_14906 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14903, (int) (((long) 2))));
				BgL_i1250z00_14907 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14903, (int) (((long) 3))));
				BgL_bodyz00_14908 = PROCEDURE_REF(BgL_envz00_14903, (int) (((long) 4)));
				BgL_siza7ezd2framez75_14909 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14903, (int) (((long) 5))));
				{
					obj_t BgL_sz00_4807;

					BgL_sz00_4807 = BgL_sz00_14910;
					{	/* Eval/evaluate_comp.scm 1116 */
						obj_t BgL_bpz00_4809;

						BgL_bpz00_4809 = VECTOR_REF(BgL_sz00_4807, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1116 */
							obj_t BgL_valza2za2_4810;

							BgL_valza2za2_4810 =
								BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_4807,
								BgL_bpz00_4809, BgL_ifreesz00_14904);
							{	/* Eval/evaluate_comp.scm 1116 */
								obj_t BgL_runz00_14649;

								BgL_runz00_14649 =
									MAKE_FX_PROCEDURE(BGl_z62run5467z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 5)));
								PROCEDURE_SET(BgL_runz00_14649,
									(int) (((long) 0)), BgL_iboxesz00_14905);
								PROCEDURE_SET(BgL_runz00_14649,
									(int) (((long) 1)), BINT(BgL_siza7eza7_14906));
								PROCEDURE_SET(BgL_runz00_14649,
									(int) (((long) 2)), BgL_valza2za2_4810);
								PROCEDURE_SET(BgL_runz00_14649,
									(int) (((long) 3)), ((obj_t) BgL_i1250z00_14907));
								PROCEDURE_SET(BgL_runz00_14649,
									(int) (((long) 4)), BgL_bodyz00_14908);
								{	/* Eval/evaluate_comp.scm 1116 */
									obj_t BgL_mainz00_14650;

									BgL_mainz00_14650 =
										MAKE_FX_PROCEDURE(BGl_z62main5466z62zz__evaluate_compz00,
										(int) (((long) 4)), (int) (((long) 7)));
									PROCEDURE_SET(BgL_mainz00_14650,
										(int) (((long) 0)), BgL_iboxesz00_14905);
									PROCEDURE_SET(BgL_mainz00_14650,
										(int) (((long) 1)), BINT(BgL_siza7eza7_14906));
									PROCEDURE_SET(BgL_mainz00_14650,
										(int) (((long) 2)), BgL_valza2za2_4810);
									PROCEDURE_SET(BgL_mainz00_14650,
										(int) (((long) 3)), ((obj_t) BgL_i1250z00_14907));
									PROCEDURE_SET(BgL_mainz00_14650,
										(int) (((long) 4)), BgL_bodyz00_14908);
									PROCEDURE_SET(BgL_mainz00_14650,
										(int) (((long) 5)), BgL_runz00_14649);
									PROCEDURE_SET(BgL_mainz00_14650,
										(int) (((long) 6)), BINT(BgL_siza7ezd2framez75_14909));
									{	/* Eval/evaluate_comp.scm 1116 */
										obj_t BgL_objz00_13345;

										BgL_objz00_13345 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_14649, BgL_objz00_13345);
										BgL_objz00_13345;
									}
									{	/* Eval/evaluate_comp.scm 1116 */
										obj_t BgL_arg3747z00_4813;

										{	/* Eval/evaluate_comp.scm 1116 */
											obj_t BgL_arg3748z00_4814;

											BgL_arg3748z00_4814 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_14907))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1116 */
												obj_t BgL_newz00_13349;

												BgL_newz00_13349 =
													create_struct(BGl_symbol5569z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 1116 */
													int BgL_auxz00_22735;

													BgL_auxz00_22735 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_13349, BgL_auxz00_22735,
														BgL_arg3748z00_4814);
												}
												{	/* Eval/evaluate_comp.scm 1116 */
													obj_t BgL_auxz00_22740;
													int BgL_auxz00_22738;

													BgL_auxz00_22740 = BINT(BgL_siza7ezd2framez75_14909);
													BgL_auxz00_22738 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_13349, BgL_auxz00_22738,
														BgL_auxz00_22740);
												}
												{	/* Eval/evaluate_comp.scm 1116 */
													int BgL_auxz00_22743;

													BgL_auxz00_22743 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_13349, BgL_auxz00_22743,
														BgL_runz00_14649);
												}
												{	/* Eval/evaluate_comp.scm 1116 */
													obj_t BgL_auxz00_22748;
													int BgL_auxz00_22746;

													BgL_auxz00_22748 = BINT(((long) 4));
													BgL_auxz00_22746 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_13349, BgL_auxz00_22746,
														BgL_auxz00_22748);
												}
												BgL_arg3747z00_4813 = BgL_newz00_13349;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_14650, BgL_arg3747z00_4813);
										BgL_arg3747z00_4813;
									}
									return BgL_mainz00_14650;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main5466 */
	obj_t BGl_z62main5466z62zz__evaluate_compz00(obj_t BgL_envz00_14911,
		obj_t BgL_az00_14919, obj_t BgL_bz00_14920, obj_t BgL_cz00_14921,
		obj_t BgL_dz00_14922)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1116 */
			{	/* Eval/evaluate_comp.scm 1116 */
				obj_t BgL_runz00_14917;
				long BgL_siza7ezd2framez75_14918;

				BgL_runz00_14917 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14911, (int) (((long) 5))));
				BgL_siza7ezd2framez75_14918 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14911, (int) (((long) 6))));
				{
					obj_t BgL_az00_4815;
					obj_t BgL_bz00_4816;
					obj_t BgL_cz00_4817;
					obj_t BgL_dz00_4818;

					BgL_az00_4815 = BgL_az00_14919;
					BgL_bz00_4816 = BgL_bz00_14920;
					BgL_cz00_4817 = BgL_cz00_14921;
					BgL_dz00_4818 = BgL_dz00_14922;
					{	/* Eval/evaluate_comp.scm 1116 */
						obj_t BgL_sz00_4820;

						BgL_sz00_4820 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1116 */
							obj_t BgL_bpz00_4821;

							BgL_bpz00_4821 = VECTOR_REF(BgL_sz00_4820, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1116 */
								bool_t BgL_testz00_22761;

								{	/* Eval/evaluate_comp.scm 1116 */
									int BgL_arg1909z00_13289;

									BgL_arg1909z00_13289 = VECTOR_LENGTH(BgL_sz00_4820);
									BgL_testz00_22761 =
										(
										((long) CINT(BgL_bpz00_4821) +
											BgL_siza7ezd2framez75_14918) <
										(long) (BgL_arg1909z00_13289));
								}
								if (BgL_testz00_22761)
									{	/* Eval/evaluate_comp.scm 1116 */
										{	/* Eval/evaluate_comp.scm 1116 */
											long BgL_arg3751z00_4823;

											BgL_arg3751z00_4823 =
												((long) CINT(BgL_bpz00_4821) + ((long) 0));
											VECTOR_SET(BgL_sz00_4820,
												(int) (BgL_arg3751z00_4823), BgL_az00_4815);
										}
										{	/* Eval/evaluate_comp.scm 1116 */
											long BgL_arg3752z00_4824;

											BgL_arg3752z00_4824 =
												((long) CINT(BgL_bpz00_4821) + ((long) 1));
											VECTOR_SET(BgL_sz00_4820,
												(int) (BgL_arg3752z00_4824), BgL_bz00_4816);
										}
										{	/* Eval/evaluate_comp.scm 1116 */
											long BgL_arg3753z00_4825;

											BgL_arg3753z00_4825 =
												((long) CINT(BgL_bpz00_4821) + ((long) 2));
											VECTOR_SET(BgL_sz00_4820,
												(int) (BgL_arg3753z00_4825), BgL_cz00_4817);
										}
										{	/* Eval/evaluate_comp.scm 1116 */
											long BgL_arg3754z00_4826;

											BgL_arg3754z00_4826 =
												((long) CINT(BgL_bpz00_4821) + ((long) 3));
											VECTOR_SET(BgL_sz00_4820,
												(int) (BgL_arg3754z00_4826), BgL_dz00_4818);
										}
										{	/* Eval/evaluate_comp.scm 1116 */
											obj_t BgL_val1487z00_4827;

											BgL_val1487z00_4827 =
												BGl_zc3exitza33758ze3z83zz__evaluate_compz00
												(BgL_bpz00_4821, BgL_sz00_4820, BgL_runz00_14917);
											VECTOR_SET(BgL_sz00_4820, (int) (((long) 0)),
												BgL_bpz00_4821);
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1487z00_4827)))
												{	/* Eval/evaluate_comp.scm 1116 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1487z00_4827), CDR(BgL_val1487z00_4827));
												}
											else
												{	/* Eval/evaluate_comp.scm 1116 */
													return BgL_val1487z00_4827;
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1116 */
										obj_t BgL_nsz00_4834;

										BgL_nsz00_4834 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_4834,
											(int) (((long) 1)), BgL_sz00_4820);
										VECTOR_SET(BgL_nsz00_4834,
											(int) (((long) 2)), BgL_az00_4815);
										VECTOR_SET(BgL_nsz00_4834,
											(int) (((long) 3)), BgL_bz00_4816);
										VECTOR_SET(BgL_nsz00_4834,
											(int) (((long) 4)), BgL_cz00_4817);
										VECTOR_SET(BgL_nsz00_4834,
											(int) (((long) 5)), BgL_dz00_4818);
										{	/* Eval/evaluate_comp.scm 1116 */
											obj_t BgL_auxz00_22803;

											BgL_auxz00_22803 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_22803, BgL_nsz00_4834);
										}
										{	/* Eval/evaluate_comp.scm 1116 */
											obj_t BgL_val1490z00_4836;

											BgL_val1490z00_4836 =
												BGl_zc3exitza33764ze3z83zz__evaluate_compz00
												(BgL_nsz00_4834, BgL_runz00_14917);
											{	/* Eval/evaluate_comp.scm 1116 */
												obj_t BgL_auxz00_22807;

												BgL_auxz00_22807 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_EVSTATE_SET(BgL_auxz00_22807, BgL_sz00_4820);
											}
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1490z00_4836)))
												{	/* Eval/evaluate_comp.scm 1116 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1490z00_4836), CDR(BgL_val1490z00_4836));
												}
											else
												{	/* Eval/evaluate_comp.scm 1116 */
													return BgL_val1490z00_4836;
												}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:3764> */
	obj_t BGl_zc3exitza33764ze3z83zz__evaluate_compz00(obj_t BgL_nsz00_16079,
		obj_t BgL_runz00_16078)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1116 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1491z00_4842;

			if (SET_EXIT(BgL_an_exit1491z00_4842))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1491z00_4842 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1116 */

						PUSH_EXIT(BgL_an_exit1491z00_4842, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1116 */
							obj_t BgL_val1492z00_4843;

							BgL_val1492z00_4843 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_16078,
								BgL_nsz00_16079, BINT(((long) 2)));
							POP_EXIT();
							return BgL_val1492z00_4843;
						}
					}
				}
		}
	}



/* <exit:3758> */
	obj_t BGl_zc3exitza33758ze3z83zz__evaluate_compz00(obj_t BgL_bpz00_16082,
		obj_t BgL_sz00_16081, obj_t BgL_runz00_16080)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1116 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1488z00_4832;

			if (SET_EXIT(BgL_an_exit1488z00_4832))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1488z00_4832 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1116 */

						PUSH_EXIT(BgL_an_exit1488z00_4832, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1116 */
							obj_t BgL_val1489z00_4833;

							BgL_val1489z00_4833 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_16080,
								BgL_sz00_16081, BgL_bpz00_16082);
							POP_EXIT();
							return BgL_val1489z00_4833;
						}
					}
				}
		}
	}



/* &run5467 */
	obj_t BGl_z62run5467z62zz__evaluate_compz00(obj_t BgL_envz00_14923,
		obj_t BgL_sz00_14929)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1116 */
			{	/* Eval/evaluate_comp.scm 1116 */
				obj_t BgL_iboxesz00_14924;
				long BgL_siza7eza7_14925;
				obj_t BgL_valza2za2_14926;
				BgL_ev_absz00_bglt BgL_i1250z00_14927;
				obj_t BgL_bodyz00_14928;

				BgL_iboxesz00_14924 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14923, (int) (((long) 0))));
				BgL_siza7eza7_14925 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14923, (int) (((long) 1))));
				BgL_valza2za2_14926 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14923, (int) (((long) 2))));
				BgL_i1250z00_14927 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14923, (int) (((long) 3))));
				BgL_bodyz00_14928 = PROCEDURE_REF(BgL_envz00_14923, (int) (((long) 4)));
				{
					obj_t BgL_sz00_4845;

					BgL_sz00_4845 = BgL_sz00_14929;
					{	/* Eval/evaluate_comp.scm 1116 */
						obj_t BgL_bpz00_4847;

						BgL_bpz00_4847 = VECTOR_REF(BgL_sz00_4845, (int) (((long) 0)));
						BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_4845,
							BgL_iboxesz00_14924, BgL_bpz00_4847);
						BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_4845,
							BgL_valza2za2_14926,
							((long) CINT(BgL_bpz00_4847) + BgL_siza7eza7_14925));
						{	/* Eval/evaluate_comp.scm 1036 */
							obj_t BgL_z12denvz12_4849;
							obj_t BgL_wherez00_4850;
							obj_t BgL_locz00_4851;

							BgL_z12denvz12_4849 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_4850 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_14927))->BgL_wherez00);
							BgL_locz00_4851 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_14927))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1036 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_4849, BgL_wherez00_4850,
									BgL_locz00_4851);
								{	/* Eval/evaluate_comp.scm 1036 */
									obj_t BgL_za2za2resza2za2z00_4852;

									BgL_za2za2resza2za2z00_4852 =
										PROCEDURE_ENTRY(BgL_bodyz00_14928) (BgL_bodyz00_14928,
										BgL_sz00_4845, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_4849);
									return BgL_za2za2resza2za2z00_4852;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3595> */
	obj_t BGl_z62zc3anonymousza33595ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_14930, obj_t BgL_sz00_14934)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1116 */
			{	/* Eval/evaluate_comp.scm 1116 */
				BgL_ev_absz00_bglt BgL_i1250z00_14931;
				obj_t BgL_bodyz00_14932;
				long BgL_siza7ezd2framez75_14933;

				BgL_i1250z00_14931 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14930, (int) (((long) 0))));
				BgL_bodyz00_14932 = PROCEDURE_REF(BgL_envz00_14930, (int) (((long) 1)));
				BgL_siza7ezd2framez75_14933 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14930, (int) (((long) 2))));
				{
					obj_t BgL_sz00_4478;

					BgL_sz00_4478 = BgL_sz00_14934;
					{	/* Eval/evaluate_comp.scm 1116 */
						obj_t BgL_bpz00_4480;

						BgL_bpz00_4480 = VECTOR_REF(BgL_sz00_4478, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1116 */

							{	/* Eval/evaluate_comp.scm 1116 */
								obj_t BgL_runz00_14646;

								BgL_runz00_14646 =
									MAKE_FX_PROCEDURE(BGl_z62run5469z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 2)));
								PROCEDURE_SET(BgL_runz00_14646,
									(int) (((long) 0)), ((obj_t) BgL_i1250z00_14931));
								PROCEDURE_SET(BgL_runz00_14646,
									(int) (((long) 1)), BgL_bodyz00_14932);
								{	/* Eval/evaluate_comp.scm 1116 */
									obj_t BgL_mainz00_14647;

									BgL_mainz00_14647 =
										MAKE_VA_PROCEDURE(BGl_z62main5468z62zz__evaluate_compz00,
										(int) (((long) -4)), (int) (((long) 4)));
									PROCEDURE_SET(BgL_mainz00_14647,
										(int) (((long) 0)), ((obj_t) BgL_i1250z00_14931));
									PROCEDURE_SET(BgL_mainz00_14647,
										(int) (((long) 1)), BgL_bodyz00_14932);
									PROCEDURE_SET(BgL_mainz00_14647,
										(int) (((long) 2)), BgL_runz00_14646);
									PROCEDURE_SET(BgL_mainz00_14647,
										(int) (((long) 3)), BINT(BgL_siza7ezd2framez75_14933));
									{	/* Eval/evaluate_comp.scm 1116 */
										obj_t BgL_objz00_12680;

										BgL_objz00_12680 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_14646, BgL_objz00_12680);
										BgL_objz00_12680;
									}
									{	/* Eval/evaluate_comp.scm 1116 */
										obj_t BgL_arg3596z00_4483;

										{	/* Eval/evaluate_comp.scm 1116 */
											obj_t BgL_arg3597z00_4484;

											BgL_arg3597z00_4484 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_14931))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1116 */
												obj_t BgL_newz00_12684;

												BgL_newz00_12684 =
													create_struct(BGl_symbol5569z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 1116 */
													int BgL_auxz00_22891;

													BgL_auxz00_22891 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_12684, BgL_auxz00_22891,
														BgL_arg3597z00_4484);
												}
												{	/* Eval/evaluate_comp.scm 1116 */
													obj_t BgL_auxz00_22896;
													int BgL_auxz00_22894;

													BgL_auxz00_22896 = BINT(BgL_siza7ezd2framez75_14933);
													BgL_auxz00_22894 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_12684, BgL_auxz00_22894,
														BgL_auxz00_22896);
												}
												{	/* Eval/evaluate_comp.scm 1116 */
													int BgL_auxz00_22899;

													BgL_auxz00_22899 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_12684, BgL_auxz00_22899,
														BgL_runz00_14646);
												}
												{	/* Eval/evaluate_comp.scm 1116 */
													obj_t BgL_auxz00_22904;
													int BgL_auxz00_22902;

													BgL_auxz00_22904 = BINT(((long) -4));
													BgL_auxz00_22902 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_12684, BgL_auxz00_22902,
														BgL_auxz00_22904);
												}
												BgL_arg3596z00_4483 = BgL_newz00_12684;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_14647, BgL_arg3596z00_4483);
										BgL_arg3596z00_4483;
									}
									return BgL_mainz00_14647;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main5468 */
	obj_t BGl_z62main5468z62zz__evaluate_compz00(obj_t BgL_envz00_14935,
		obj_t BgL_bz00_14940, obj_t BgL_cz00_14941, obj_t BgL_dz00_14942,
		obj_t BgL_lastz00_14943)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1116 */
			{	/* Eval/evaluate_comp.scm 1116 */
				obj_t BgL_runz00_14938;
				long BgL_siza7ezd2framez75_14939;

				BgL_runz00_14938 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14935, (int) (((long) 2))));
				BgL_siza7ezd2framez75_14939 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14935, (int) (((long) 3))));
				{
					obj_t BgL_bz00_4485;
					obj_t BgL_cz00_4486;
					obj_t BgL_dz00_4487;
					obj_t BgL_lastz00_4488;

					BgL_bz00_4485 = BgL_bz00_14940;
					BgL_cz00_4486 = BgL_cz00_14941;
					BgL_dz00_4487 = BgL_dz00_14942;
					BgL_lastz00_4488 = BgL_lastz00_14943;
					{	/* Eval/evaluate_comp.scm 1116 */
						obj_t BgL_sz00_4490;

						BgL_sz00_4490 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1116 */
							obj_t BgL_bpz00_4491;

							BgL_bpz00_4491 = VECTOR_REF(BgL_sz00_4490, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1116 */
								bool_t BgL_testz00_22917;

								{	/* Eval/evaluate_comp.scm 1116 */
									int BgL_arg1909z00_12624;

									BgL_arg1909z00_12624 = VECTOR_LENGTH(BgL_sz00_4490);
									BgL_testz00_22917 =
										(
										((long) CINT(BgL_bpz00_4491) +
											BgL_siza7ezd2framez75_14939) <
										(long) (BgL_arg1909z00_12624));
								}
								if (BgL_testz00_22917)
									{	/* Eval/evaluate_comp.scm 1116 */
										{	/* Eval/evaluate_comp.scm 1116 */
											long BgL_arg3600z00_4493;

											BgL_arg3600z00_4493 =
												((long) CINT(BgL_bpz00_4491) + ((long) 0));
											VECTOR_SET(BgL_sz00_4490,
												(int) (BgL_arg3600z00_4493), BgL_bz00_4485);
										}
										{	/* Eval/evaluate_comp.scm 1116 */
											long BgL_arg3601z00_4494;

											BgL_arg3601z00_4494 =
												((long) CINT(BgL_bpz00_4491) + ((long) 1));
											VECTOR_SET(BgL_sz00_4490,
												(int) (BgL_arg3601z00_4494), BgL_cz00_4486);
										}
										{	/* Eval/evaluate_comp.scm 1116 */
											long BgL_arg3602z00_4495;

											BgL_arg3602z00_4495 =
												((long) CINT(BgL_bpz00_4491) + ((long) 2));
											VECTOR_SET(BgL_sz00_4490,
												(int) (BgL_arg3602z00_4495), BgL_dz00_4487);
										}
										{	/* Eval/evaluate_comp.scm 1116 */
											long BgL_arg3603z00_4496;

											BgL_arg3603z00_4496 =
												((long) CINT(BgL_bpz00_4491) + ((long) 3));
											VECTOR_SET(BgL_sz00_4490,
												(int) (BgL_arg3603z00_4496), BgL_lastz00_4488);
										}
										{	/* Eval/evaluate_comp.scm 1116 */
											obj_t BgL_val1445z00_4497;

											BgL_val1445z00_4497 =
												BGl_zc3exitza33607ze3z83zz__evaluate_compz00
												(BgL_bpz00_4491, BgL_sz00_4490, BgL_runz00_14938);
											VECTOR_SET(BgL_sz00_4490, (int) (((long) 0)),
												BgL_bpz00_4491);
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1445z00_4497)))
												{	/* Eval/evaluate_comp.scm 1116 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1445z00_4497), CDR(BgL_val1445z00_4497));
												}
											else
												{	/* Eval/evaluate_comp.scm 1116 */
													return BgL_val1445z00_4497;
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1116 */
										obj_t BgL_nsz00_4504;

										BgL_nsz00_4504 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_4504,
											(int) (((long) 1)), BgL_sz00_4490);
										VECTOR_SET(BgL_nsz00_4504,
											(int) (((long) 2)), BgL_bz00_4485);
										VECTOR_SET(BgL_nsz00_4504,
											(int) (((long) 3)), BgL_cz00_4486);
										VECTOR_SET(BgL_nsz00_4504,
											(int) (((long) 4)), BgL_dz00_4487);
										VECTOR_SET(BgL_nsz00_4504,
											(int) (((long) 5)), BgL_lastz00_4488);
										{	/* Eval/evaluate_comp.scm 1116 */
											obj_t BgL_auxz00_22959;

											BgL_auxz00_22959 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_22959, BgL_nsz00_4504);
										}
										{	/* Eval/evaluate_comp.scm 1116 */
											obj_t BgL_val1448z00_4506;

											BgL_val1448z00_4506 =
												BGl_zc3exitza33613ze3z83zz__evaluate_compz00
												(BgL_nsz00_4504, BgL_runz00_14938);
											{	/* Eval/evaluate_comp.scm 1116 */
												obj_t BgL_auxz00_22963;

												BgL_auxz00_22963 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_EVSTATE_SET(BgL_auxz00_22963, BgL_sz00_4490);
											}
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1448z00_4506)))
												{	/* Eval/evaluate_comp.scm 1116 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1448z00_4506), CDR(BgL_val1448z00_4506));
												}
											else
												{	/* Eval/evaluate_comp.scm 1116 */
													return BgL_val1448z00_4506;
												}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:3613> */
	obj_t BGl_zc3exitza33613ze3z83zz__evaluate_compz00(obj_t BgL_nsz00_16074,
		obj_t BgL_runz00_16073)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1116 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1449z00_4512;

			if (SET_EXIT(BgL_an_exit1449z00_4512))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1449z00_4512 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1116 */

						PUSH_EXIT(BgL_an_exit1449z00_4512, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1116 */
							obj_t BgL_val1450z00_4513;

							BgL_val1450z00_4513 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_16073,
								BgL_nsz00_16074, BINT(((long) 2)));
							POP_EXIT();
							return BgL_val1450z00_4513;
						}
					}
				}
		}
	}



/* <exit:3607> */
	obj_t BGl_zc3exitza33607ze3z83zz__evaluate_compz00(obj_t BgL_bpz00_16077,
		obj_t BgL_sz00_16076, obj_t BgL_runz00_16075)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1116 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1446z00_4502;

			if (SET_EXIT(BgL_an_exit1446z00_4502))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1446z00_4502 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1116 */

						PUSH_EXIT(BgL_an_exit1446z00_4502, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1116 */
							obj_t BgL_val1447z00_4503;

							BgL_val1447z00_4503 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_16075,
								BgL_sz00_16076, BgL_bpz00_16077);
							POP_EXIT();
							return BgL_val1447z00_4503;
						}
					}
				}
		}
	}



/* &run5469 */
	obj_t BGl_z62run5469z62zz__evaluate_compz00(obj_t BgL_envz00_14944,
		obj_t BgL_sz00_14947)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1116 */
			{	/* Eval/evaluate_comp.scm 1116 */
				BgL_ev_absz00_bglt BgL_i1250z00_14945;
				obj_t BgL_bodyz00_14946;

				BgL_i1250z00_14945 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14944, (int) (((long) 0))));
				BgL_bodyz00_14946 = PROCEDURE_REF(BgL_envz00_14944, (int) (((long) 1)));
				{
					obj_t BgL_sz00_4515;

					BgL_sz00_4515 = BgL_sz00_14947;
					{	/* Eval/evaluate_comp.scm 1116 */
						obj_t BgL_bpz00_4517;

						BgL_bpz00_4517 = VECTOR_REF(BgL_sz00_4515, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1116 */
							obj_t BgL_z12denvz12_4518;
							obj_t BgL_wherez00_4519;
							obj_t BgL_locz00_4520;

							BgL_z12denvz12_4518 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_4519 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_14945))->BgL_wherez00);
							BgL_locz00_4520 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_14945))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1116 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_4518, BgL_wherez00_4519,
									BgL_locz00_4520);
								{	/* Eval/evaluate_comp.scm 1116 */
									obj_t BgL_za2za2resza2za2z00_4521;

									BgL_za2za2resza2za2z00_4521 =
										PROCEDURE_ENTRY(BgL_bodyz00_14946) (BgL_bodyz00_14946,
										BgL_sz00_4515, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_4518);
									return BgL_za2za2resza2za2z00_4521;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3615> */
	obj_t BGl_z62zc3anonymousza33615ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_14948, obj_t BgL_sz00_14953)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1116 */
			{	/* Eval/evaluate_comp.scm 1116 */
				obj_t BgL_iboxesz00_14949;
				BgL_ev_absz00_bglt BgL_i1250z00_14950;
				obj_t BgL_bodyz00_14951;
				long BgL_siza7ezd2framez75_14952;

				BgL_iboxesz00_14949 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14948, (int) (((long) 0))));
				BgL_i1250z00_14950 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14948, (int) (((long) 1))));
				BgL_bodyz00_14951 = PROCEDURE_REF(BgL_envz00_14948, (int) (((long) 2)));
				BgL_siza7ezd2framez75_14952 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14948, (int) (((long) 3))));
				{
					obj_t BgL_sz00_4523;

					BgL_sz00_4523 = BgL_sz00_14953;
					{	/* Eval/evaluate_comp.scm 1116 */
						obj_t BgL_bpz00_4525;

						BgL_bpz00_4525 = VECTOR_REF(BgL_sz00_4523, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1116 */

							{	/* Eval/evaluate_comp.scm 1116 */
								obj_t BgL_runz00_14643;

								BgL_runz00_14643 =
									MAKE_FX_PROCEDURE(BGl_z62run5471z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 3)));
								PROCEDURE_SET(BgL_runz00_14643,
									(int) (((long) 0)), BgL_iboxesz00_14949);
								PROCEDURE_SET(BgL_runz00_14643,
									(int) (((long) 1)), ((obj_t) BgL_i1250z00_14950));
								PROCEDURE_SET(BgL_runz00_14643,
									(int) (((long) 2)), BgL_bodyz00_14951);
								{	/* Eval/evaluate_comp.scm 1116 */
									obj_t BgL_mainz00_14644;

									BgL_mainz00_14644 =
										MAKE_VA_PROCEDURE(BGl_z62main5470z62zz__evaluate_compz00,
										(int) (((long) -4)), (int) (((long) 5)));
									PROCEDURE_SET(BgL_mainz00_14644,
										(int) (((long) 0)), BgL_iboxesz00_14949);
									PROCEDURE_SET(BgL_mainz00_14644,
										(int) (((long) 1)), ((obj_t) BgL_i1250z00_14950));
									PROCEDURE_SET(BgL_mainz00_14644,
										(int) (((long) 2)), BgL_bodyz00_14951);
									PROCEDURE_SET(BgL_mainz00_14644,
										(int) (((long) 3)), BgL_runz00_14643);
									PROCEDURE_SET(BgL_mainz00_14644,
										(int) (((long) 4)), BINT(BgL_siza7ezd2framez75_14952));
									{	/* Eval/evaluate_comp.scm 1116 */
										obj_t BgL_objz00_12771;

										BgL_objz00_12771 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_14643, BgL_objz00_12771);
										BgL_objz00_12771;
									}
									{	/* Eval/evaluate_comp.scm 1116 */
										obj_t BgL_arg3616z00_4528;

										{	/* Eval/evaluate_comp.scm 1116 */
											obj_t BgL_arg3617z00_4529;

											BgL_arg3617z00_4529 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_14950))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1116 */
												obj_t BgL_newz00_12775;

												BgL_newz00_12775 =
													create_struct(BGl_symbol5569z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 1116 */
													int BgL_auxz00_23041;

													BgL_auxz00_23041 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_12775, BgL_auxz00_23041,
														BgL_arg3617z00_4529);
												}
												{	/* Eval/evaluate_comp.scm 1116 */
													obj_t BgL_auxz00_23046;
													int BgL_auxz00_23044;

													BgL_auxz00_23046 = BINT(BgL_siza7ezd2framez75_14952);
													BgL_auxz00_23044 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_12775, BgL_auxz00_23044,
														BgL_auxz00_23046);
												}
												{	/* Eval/evaluate_comp.scm 1116 */
													int BgL_auxz00_23049;

													BgL_auxz00_23049 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_12775, BgL_auxz00_23049,
														BgL_runz00_14643);
												}
												{	/* Eval/evaluate_comp.scm 1116 */
													obj_t BgL_auxz00_23054;
													int BgL_auxz00_23052;

													BgL_auxz00_23054 = BINT(((long) -4));
													BgL_auxz00_23052 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_12775, BgL_auxz00_23052,
														BgL_auxz00_23054);
												}
												BgL_arg3616z00_4528 = BgL_newz00_12775;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_14644, BgL_arg3616z00_4528);
										BgL_arg3616z00_4528;
									}
									return BgL_mainz00_14644;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main5470 */
	obj_t BGl_z62main5470z62zz__evaluate_compz00(obj_t BgL_envz00_14954,
		obj_t BgL_bz00_14960, obj_t BgL_cz00_14961, obj_t BgL_dz00_14962,
		obj_t BgL_lastz00_14963)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1116 */
			{	/* Eval/evaluate_comp.scm 1116 */
				obj_t BgL_runz00_14958;
				long BgL_siza7ezd2framez75_14959;

				BgL_runz00_14958 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14954, (int) (((long) 3))));
				BgL_siza7ezd2framez75_14959 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14954, (int) (((long) 4))));
				{
					obj_t BgL_bz00_4530;
					obj_t BgL_cz00_4531;
					obj_t BgL_dz00_4532;
					obj_t BgL_lastz00_4533;

					BgL_bz00_4530 = BgL_bz00_14960;
					BgL_cz00_4531 = BgL_cz00_14961;
					BgL_dz00_4532 = BgL_dz00_14962;
					BgL_lastz00_4533 = BgL_lastz00_14963;
					{	/* Eval/evaluate_comp.scm 1116 */
						obj_t BgL_sz00_4535;

						BgL_sz00_4535 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1116 */
							obj_t BgL_bpz00_4536;

							BgL_bpz00_4536 = VECTOR_REF(BgL_sz00_4535, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1116 */
								bool_t BgL_testz00_23067;

								{	/* Eval/evaluate_comp.scm 1116 */
									int BgL_arg1909z00_12715;

									BgL_arg1909z00_12715 = VECTOR_LENGTH(BgL_sz00_4535);
									BgL_testz00_23067 =
										(
										((long) CINT(BgL_bpz00_4536) +
											BgL_siza7ezd2framez75_14959) <
										(long) (BgL_arg1909z00_12715));
								}
								if (BgL_testz00_23067)
									{	/* Eval/evaluate_comp.scm 1116 */
										{	/* Eval/evaluate_comp.scm 1116 */
											long BgL_arg3620z00_4538;

											BgL_arg3620z00_4538 =
												((long) CINT(BgL_bpz00_4536) + ((long) 0));
											VECTOR_SET(BgL_sz00_4535,
												(int) (BgL_arg3620z00_4538), BgL_bz00_4530);
										}
										{	/* Eval/evaluate_comp.scm 1116 */
											long BgL_arg3621z00_4539;

											BgL_arg3621z00_4539 =
												((long) CINT(BgL_bpz00_4536) + ((long) 1));
											VECTOR_SET(BgL_sz00_4535,
												(int) (BgL_arg3621z00_4539), BgL_cz00_4531);
										}
										{	/* Eval/evaluate_comp.scm 1116 */
											long BgL_arg3622z00_4540;

											BgL_arg3622z00_4540 =
												((long) CINT(BgL_bpz00_4536) + ((long) 2));
											VECTOR_SET(BgL_sz00_4535,
												(int) (BgL_arg3622z00_4540), BgL_dz00_4532);
										}
										{	/* Eval/evaluate_comp.scm 1116 */
											long BgL_arg3623z00_4541;

											BgL_arg3623z00_4541 =
												((long) CINT(BgL_bpz00_4536) + ((long) 3));
											VECTOR_SET(BgL_sz00_4535,
												(int) (BgL_arg3623z00_4541), BgL_lastz00_4533);
										}
										{	/* Eval/evaluate_comp.scm 1116 */
											obj_t BgL_val1451z00_4542;

											BgL_val1451z00_4542 =
												BGl_zc3exitza33627ze3z83zz__evaluate_compz00
												(BgL_bpz00_4536, BgL_sz00_4535, BgL_runz00_14958);
											VECTOR_SET(BgL_sz00_4535, (int) (((long) 0)),
												BgL_bpz00_4536);
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1451z00_4542)))
												{	/* Eval/evaluate_comp.scm 1116 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1451z00_4542), CDR(BgL_val1451z00_4542));
												}
											else
												{	/* Eval/evaluate_comp.scm 1116 */
													return BgL_val1451z00_4542;
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1116 */
										obj_t BgL_nsz00_4549;

										BgL_nsz00_4549 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_4549,
											(int) (((long) 1)), BgL_sz00_4535);
										VECTOR_SET(BgL_nsz00_4549,
											(int) (((long) 2)), BgL_bz00_4530);
										VECTOR_SET(BgL_nsz00_4549,
											(int) (((long) 3)), BgL_cz00_4531);
										VECTOR_SET(BgL_nsz00_4549,
											(int) (((long) 4)), BgL_dz00_4532);
										VECTOR_SET(BgL_nsz00_4549,
											(int) (((long) 5)), BgL_lastz00_4533);
										{	/* Eval/evaluate_comp.scm 1116 */
											obj_t BgL_auxz00_23109;

											BgL_auxz00_23109 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_23109, BgL_nsz00_4549);
										}
										{	/* Eval/evaluate_comp.scm 1116 */
											obj_t BgL_val1454z00_4551;

											BgL_val1454z00_4551 =
												BGl_zc3exitza33633ze3z83zz__evaluate_compz00
												(BgL_nsz00_4549, BgL_runz00_14958);
											{	/* Eval/evaluate_comp.scm 1116 */
												obj_t BgL_auxz00_23113;

												BgL_auxz00_23113 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_EVSTATE_SET(BgL_auxz00_23113, BgL_sz00_4535);
											}
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1454z00_4551)))
												{	/* Eval/evaluate_comp.scm 1116 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1454z00_4551), CDR(BgL_val1454z00_4551));
												}
											else
												{	/* Eval/evaluate_comp.scm 1116 */
													return BgL_val1454z00_4551;
												}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:3633> */
	obj_t BGl_zc3exitza33633ze3z83zz__evaluate_compz00(obj_t BgL_nsz00_16069,
		obj_t BgL_runz00_16068)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1116 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1455z00_4557;

			if (SET_EXIT(BgL_an_exit1455z00_4557))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1455z00_4557 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1116 */

						PUSH_EXIT(BgL_an_exit1455z00_4557, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1116 */
							obj_t BgL_val1456z00_4558;

							BgL_val1456z00_4558 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_16068,
								BgL_nsz00_16069, BINT(((long) 2)));
							POP_EXIT();
							return BgL_val1456z00_4558;
						}
					}
				}
		}
	}



/* <exit:3627> */
	obj_t BGl_zc3exitza33627ze3z83zz__evaluate_compz00(obj_t BgL_bpz00_16072,
		obj_t BgL_sz00_16071, obj_t BgL_runz00_16070)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1116 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1452z00_4547;

			if (SET_EXIT(BgL_an_exit1452z00_4547))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1452z00_4547 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1116 */

						PUSH_EXIT(BgL_an_exit1452z00_4547, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1116 */
							obj_t BgL_val1453z00_4548;

							BgL_val1453z00_4548 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_16070,
								BgL_sz00_16071, BgL_bpz00_16072);
							POP_EXIT();
							return BgL_val1453z00_4548;
						}
					}
				}
		}
	}



/* &run5471 */
	obj_t BGl_z62run5471z62zz__evaluate_compz00(obj_t BgL_envz00_14964,
		obj_t BgL_sz00_14968)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1116 */
			{	/* Eval/evaluate_comp.scm 1116 */
				obj_t BgL_iboxesz00_14965;
				BgL_ev_absz00_bglt BgL_i1250z00_14966;
				obj_t BgL_bodyz00_14967;

				BgL_iboxesz00_14965 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14964, (int) (((long) 0))));
				BgL_i1250z00_14966 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14964, (int) (((long) 1))));
				BgL_bodyz00_14967 = PROCEDURE_REF(BgL_envz00_14964, (int) (((long) 2)));
				{
					obj_t BgL_sz00_4560;

					BgL_sz00_4560 = BgL_sz00_14968;
					{	/* Eval/evaluate_comp.scm 1116 */
						obj_t BgL_bpz00_4562;

						BgL_bpz00_4562 = VECTOR_REF(BgL_sz00_4560, (int) (((long) 0)));
						BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_4560,
							BgL_iboxesz00_14965, BgL_bpz00_4562);
						{	/* Eval/evaluate_comp.scm 1116 */
							obj_t BgL_z12denvz12_4563;
							obj_t BgL_wherez00_4564;
							obj_t BgL_locz00_4565;

							BgL_z12denvz12_4563 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_4564 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_14966))->BgL_wherez00);
							BgL_locz00_4565 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_14966))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1116 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_4563, BgL_wherez00_4564,
									BgL_locz00_4565);
								{	/* Eval/evaluate_comp.scm 1116 */
									obj_t BgL_za2za2resza2za2z00_4566;

									BgL_za2za2resza2za2z00_4566 =
										PROCEDURE_ENTRY(BgL_bodyz00_14967) (BgL_bodyz00_14967,
										BgL_sz00_4560, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_4563);
									return BgL_za2za2resza2za2z00_4566;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3637> */
	obj_t BGl_z62zc3anonymousza33637ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_14969, obj_t BgL_sz00_14975)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1116 */
			{	/* Eval/evaluate_comp.scm 1116 */
				obj_t BgL_ifreesz00_14970;
				long BgL_siza7eza7_14971;
				BgL_ev_absz00_bglt BgL_i1250z00_14972;
				obj_t BgL_bodyz00_14973;
				long BgL_siza7ezd2framez75_14974;

				BgL_ifreesz00_14970 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14969, (int) (((long) 0))));
				BgL_siza7eza7_14971 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14969, (int) (((long) 1))));
				BgL_i1250z00_14972 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14969, (int) (((long) 2))));
				BgL_bodyz00_14973 = PROCEDURE_REF(BgL_envz00_14969, (int) (((long) 3)));
				BgL_siza7ezd2framez75_14974 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14969, (int) (((long) 4))));
				{
					obj_t BgL_sz00_4570;

					BgL_sz00_4570 = BgL_sz00_14975;
					{	/* Eval/evaluate_comp.scm 1116 */
						obj_t BgL_bpz00_4572;

						BgL_bpz00_4572 = VECTOR_REF(BgL_sz00_4570, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1116 */
							obj_t BgL_valza2za2_4573;

							BgL_valza2za2_4573 =
								BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_4570,
								BgL_bpz00_4572, BgL_ifreesz00_14970);
							{	/* Eval/evaluate_comp.scm 1116 */
								obj_t BgL_runz00_14640;

								BgL_runz00_14640 =
									MAKE_FX_PROCEDURE(BGl_z62run5473z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 4)));
								PROCEDURE_SET(BgL_runz00_14640,
									(int) (((long) 0)), BINT(BgL_siza7eza7_14971));
								PROCEDURE_SET(BgL_runz00_14640,
									(int) (((long) 1)), BgL_valza2za2_4573);
								PROCEDURE_SET(BgL_runz00_14640,
									(int) (((long) 2)), ((obj_t) BgL_i1250z00_14972));
								PROCEDURE_SET(BgL_runz00_14640,
									(int) (((long) 3)), BgL_bodyz00_14973);
								{	/* Eval/evaluate_comp.scm 1116 */
									obj_t BgL_mainz00_14641;

									BgL_mainz00_14641 =
										MAKE_VA_PROCEDURE(BGl_z62main5472z62zz__evaluate_compz00,
										(int) (((long) -4)), (int) (((long) 6)));
									PROCEDURE_SET(BgL_mainz00_14641,
										(int) (((long) 0)), BINT(BgL_siza7eza7_14971));
									PROCEDURE_SET(BgL_mainz00_14641,
										(int) (((long) 1)), BgL_valza2za2_4573);
									PROCEDURE_SET(BgL_mainz00_14641,
										(int) (((long) 2)), ((obj_t) BgL_i1250z00_14972));
									PROCEDURE_SET(BgL_mainz00_14641,
										(int) (((long) 3)), BgL_bodyz00_14973);
									PROCEDURE_SET(BgL_mainz00_14641,
										(int) (((long) 4)), BgL_runz00_14640);
									PROCEDURE_SET(BgL_mainz00_14641,
										(int) (((long) 5)), BINT(BgL_siza7ezd2framez75_14974));
									{	/* Eval/evaluate_comp.scm 1116 */
										obj_t BgL_objz00_12869;

										BgL_objz00_12869 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_14640, BgL_objz00_12869);
										BgL_objz00_12869;
									}
									{	/* Eval/evaluate_comp.scm 1116 */
										obj_t BgL_arg3638z00_4576;

										{	/* Eval/evaluate_comp.scm 1116 */
											obj_t BgL_arg3639z00_4577;

											BgL_arg3639z00_4577 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_14972))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1116 */
												obj_t BgL_newz00_12873;

												BgL_newz00_12873 =
													create_struct(BGl_symbol5569z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 1116 */
													int BgL_auxz00_23205;

													BgL_auxz00_23205 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_12873, BgL_auxz00_23205,
														BgL_arg3639z00_4577);
												}
												{	/* Eval/evaluate_comp.scm 1116 */
													obj_t BgL_auxz00_23210;
													int BgL_auxz00_23208;

													BgL_auxz00_23210 = BINT(BgL_siza7ezd2framez75_14974);
													BgL_auxz00_23208 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_12873, BgL_auxz00_23208,
														BgL_auxz00_23210);
												}
												{	/* Eval/evaluate_comp.scm 1116 */
													int BgL_auxz00_23213;

													BgL_auxz00_23213 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_12873, BgL_auxz00_23213,
														BgL_runz00_14640);
												}
												{	/* Eval/evaluate_comp.scm 1116 */
													obj_t BgL_auxz00_23218;
													int BgL_auxz00_23216;

													BgL_auxz00_23218 = BINT(((long) -4));
													BgL_auxz00_23216 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_12873, BgL_auxz00_23216,
														BgL_auxz00_23218);
												}
												BgL_arg3638z00_4576 = BgL_newz00_12873;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_14641, BgL_arg3638z00_4576);
										BgL_arg3638z00_4576;
									}
									return BgL_mainz00_14641;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main5472 */
	obj_t BGl_z62main5472z62zz__evaluate_compz00(obj_t BgL_envz00_14976,
		obj_t BgL_bz00_14983, obj_t BgL_cz00_14984, obj_t BgL_dz00_14985,
		obj_t BgL_lastz00_14986)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1116 */
			{	/* Eval/evaluate_comp.scm 1116 */
				obj_t BgL_runz00_14981;
				long BgL_siza7ezd2framez75_14982;

				BgL_runz00_14981 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14976, (int) (((long) 4))));
				BgL_siza7ezd2framez75_14982 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14976, (int) (((long) 5))));
				{
					obj_t BgL_bz00_4578;
					obj_t BgL_cz00_4579;
					obj_t BgL_dz00_4580;
					obj_t BgL_lastz00_4581;

					BgL_bz00_4578 = BgL_bz00_14983;
					BgL_cz00_4579 = BgL_cz00_14984;
					BgL_dz00_4580 = BgL_dz00_14985;
					BgL_lastz00_4581 = BgL_lastz00_14986;
					{	/* Eval/evaluate_comp.scm 1116 */
						obj_t BgL_sz00_4583;

						BgL_sz00_4583 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1116 */
							obj_t BgL_bpz00_4584;

							BgL_bpz00_4584 = VECTOR_REF(BgL_sz00_4583, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1116 */
								bool_t BgL_testz00_23231;

								{	/* Eval/evaluate_comp.scm 1116 */
									int BgL_arg1909z00_12813;

									BgL_arg1909z00_12813 = VECTOR_LENGTH(BgL_sz00_4583);
									BgL_testz00_23231 =
										(
										((long) CINT(BgL_bpz00_4584) +
											BgL_siza7ezd2framez75_14982) <
										(long) (BgL_arg1909z00_12813));
								}
								if (BgL_testz00_23231)
									{	/* Eval/evaluate_comp.scm 1116 */
										{	/* Eval/evaluate_comp.scm 1116 */
											long BgL_arg3642z00_4586;

											BgL_arg3642z00_4586 =
												((long) CINT(BgL_bpz00_4584) + ((long) 0));
											VECTOR_SET(BgL_sz00_4583,
												(int) (BgL_arg3642z00_4586), BgL_bz00_4578);
										}
										{	/* Eval/evaluate_comp.scm 1116 */
											long BgL_arg3643z00_4587;

											BgL_arg3643z00_4587 =
												((long) CINT(BgL_bpz00_4584) + ((long) 1));
											VECTOR_SET(BgL_sz00_4583,
												(int) (BgL_arg3643z00_4587), BgL_cz00_4579);
										}
										{	/* Eval/evaluate_comp.scm 1116 */
											long BgL_arg3644z00_4588;

											BgL_arg3644z00_4588 =
												((long) CINT(BgL_bpz00_4584) + ((long) 2));
											VECTOR_SET(BgL_sz00_4583,
												(int) (BgL_arg3644z00_4588), BgL_dz00_4580);
										}
										{	/* Eval/evaluate_comp.scm 1116 */
											long BgL_arg3645z00_4589;

											BgL_arg3645z00_4589 =
												((long) CINT(BgL_bpz00_4584) + ((long) 3));
											VECTOR_SET(BgL_sz00_4583,
												(int) (BgL_arg3645z00_4589), BgL_lastz00_4581);
										}
										{	/* Eval/evaluate_comp.scm 1116 */
											obj_t BgL_val1457z00_4590;

											BgL_val1457z00_4590 =
												BGl_zc3exitza33649ze3z83zz__evaluate_compz00
												(BgL_bpz00_4584, BgL_sz00_4583, BgL_runz00_14981);
											VECTOR_SET(BgL_sz00_4583, (int) (((long) 0)),
												BgL_bpz00_4584);
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1457z00_4590)))
												{	/* Eval/evaluate_comp.scm 1116 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1457z00_4590), CDR(BgL_val1457z00_4590));
												}
											else
												{	/* Eval/evaluate_comp.scm 1116 */
													return BgL_val1457z00_4590;
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1116 */
										obj_t BgL_nsz00_4597;

										BgL_nsz00_4597 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_4597,
											(int) (((long) 1)), BgL_sz00_4583);
										VECTOR_SET(BgL_nsz00_4597,
											(int) (((long) 2)), BgL_bz00_4578);
										VECTOR_SET(BgL_nsz00_4597,
											(int) (((long) 3)), BgL_cz00_4579);
										VECTOR_SET(BgL_nsz00_4597,
											(int) (((long) 4)), BgL_dz00_4580);
										VECTOR_SET(BgL_nsz00_4597,
											(int) (((long) 5)), BgL_lastz00_4581);
										{	/* Eval/evaluate_comp.scm 1116 */
											obj_t BgL_auxz00_23273;

											BgL_auxz00_23273 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_23273, BgL_nsz00_4597);
										}
										{	/* Eval/evaluate_comp.scm 1116 */
											obj_t BgL_val1460z00_4599;

											BgL_val1460z00_4599 =
												BGl_zc3exitza33655ze3z83zz__evaluate_compz00
												(BgL_nsz00_4597, BgL_runz00_14981);
											{	/* Eval/evaluate_comp.scm 1116 */
												obj_t BgL_auxz00_23277;

												BgL_auxz00_23277 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_EVSTATE_SET(BgL_auxz00_23277, BgL_sz00_4583);
											}
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1460z00_4599)))
												{	/* Eval/evaluate_comp.scm 1116 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1460z00_4599), CDR(BgL_val1460z00_4599));
												}
											else
												{	/* Eval/evaluate_comp.scm 1116 */
													return BgL_val1460z00_4599;
												}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:3655> */
	obj_t BGl_zc3exitza33655ze3z83zz__evaluate_compz00(obj_t BgL_nsz00_16064,
		obj_t BgL_runz00_16063)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1116 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1461z00_4605;

			if (SET_EXIT(BgL_an_exit1461z00_4605))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1461z00_4605 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1116 */

						PUSH_EXIT(BgL_an_exit1461z00_4605, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1116 */
							obj_t BgL_val1462z00_4606;

							BgL_val1462z00_4606 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_16063,
								BgL_nsz00_16064, BINT(((long) 2)));
							POP_EXIT();
							return BgL_val1462z00_4606;
						}
					}
				}
		}
	}



/* <exit:3649> */
	obj_t BGl_zc3exitza33649ze3z83zz__evaluate_compz00(obj_t BgL_bpz00_16067,
		obj_t BgL_sz00_16066, obj_t BgL_runz00_16065)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1116 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1458z00_4595;

			if (SET_EXIT(BgL_an_exit1458z00_4595))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1458z00_4595 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1116 */

						PUSH_EXIT(BgL_an_exit1458z00_4595, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1116 */
							obj_t BgL_val1459z00_4596;

							BgL_val1459z00_4596 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_16065,
								BgL_sz00_16066, BgL_bpz00_16067);
							POP_EXIT();
							return BgL_val1459z00_4596;
						}
					}
				}
		}
	}



/* &run5473 */
	obj_t BGl_z62run5473z62zz__evaluate_compz00(obj_t BgL_envz00_14987,
		obj_t BgL_sz00_14992)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1116 */
			{	/* Eval/evaluate_comp.scm 1116 */
				long BgL_siza7eza7_14988;
				obj_t BgL_valza2za2_14989;
				BgL_ev_absz00_bglt BgL_i1250z00_14990;
				obj_t BgL_bodyz00_14991;

				BgL_siza7eza7_14988 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14987, (int) (((long) 0))));
				BgL_valza2za2_14989 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14987, (int) (((long) 1))));
				BgL_i1250z00_14990 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14987, (int) (((long) 2))));
				BgL_bodyz00_14991 = PROCEDURE_REF(BgL_envz00_14987, (int) (((long) 3)));
				{
					obj_t BgL_sz00_4608;

					BgL_sz00_4608 = BgL_sz00_14992;
					{	/* Eval/evaluate_comp.scm 1116 */
						obj_t BgL_bpz00_4610;

						BgL_bpz00_4610 = VECTOR_REF(BgL_sz00_4608, (int) (((long) 0)));
						BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_4608,
							BgL_valza2za2_14989,
							((long) CINT(BgL_bpz00_4610) + BgL_siza7eza7_14988));
						{	/* Eval/evaluate_comp.scm 1036 */
							obj_t BgL_z12denvz12_4612;
							obj_t BgL_wherez00_4613;
							obj_t BgL_locz00_4614;

							BgL_z12denvz12_4612 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_4613 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_14990))->BgL_wherez00);
							BgL_locz00_4614 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_14990))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1036 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_4612, BgL_wherez00_4613,
									BgL_locz00_4614);
								{	/* Eval/evaluate_comp.scm 1036 */
									obj_t BgL_za2za2resza2za2z00_4615;

									BgL_za2za2resza2za2z00_4615 =
										PROCEDURE_ENTRY(BgL_bodyz00_14991) (BgL_bodyz00_14991,
										BgL_sz00_4608, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_4612);
									return BgL_za2za2resza2za2z00_4615;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3658> */
	obj_t BGl_z62zc3anonymousza33658ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_14993, obj_t BgL_sz00_15000)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1116 */
			{	/* Eval/evaluate_comp.scm 1116 */
				obj_t BgL_ifreesz00_14994;
				obj_t BgL_iboxesz00_14995;
				long BgL_siza7eza7_14996;
				BgL_ev_absz00_bglt BgL_i1250z00_14997;
				obj_t BgL_bodyz00_14998;
				long BgL_siza7ezd2framez75_14999;

				BgL_ifreesz00_14994 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14993, (int) (((long) 0))));
				BgL_iboxesz00_14995 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14993, (int) (((long) 1))));
				BgL_siza7eza7_14996 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14993, (int) (((long) 2))));
				BgL_i1250z00_14997 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14993, (int) (((long) 3))));
				BgL_bodyz00_14998 = PROCEDURE_REF(BgL_envz00_14993, (int) (((long) 4)));
				BgL_siza7ezd2framez75_14999 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14993, (int) (((long) 5))));
				{
					obj_t BgL_sz00_4617;

					BgL_sz00_4617 = BgL_sz00_15000;
					{	/* Eval/evaluate_comp.scm 1116 */
						obj_t BgL_bpz00_4619;

						BgL_bpz00_4619 = VECTOR_REF(BgL_sz00_4617, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1116 */
							obj_t BgL_valza2za2_4620;

							BgL_valza2za2_4620 =
								BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_4617,
								BgL_bpz00_4619, BgL_ifreesz00_14994);
							{	/* Eval/evaluate_comp.scm 1116 */
								obj_t BgL_runz00_14637;

								BgL_runz00_14637 =
									MAKE_FX_PROCEDURE(BGl_z62run5475z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 5)));
								PROCEDURE_SET(BgL_runz00_14637,
									(int) (((long) 0)), BgL_iboxesz00_14995);
								PROCEDURE_SET(BgL_runz00_14637,
									(int) (((long) 1)), BINT(BgL_siza7eza7_14996));
								PROCEDURE_SET(BgL_runz00_14637,
									(int) (((long) 2)), BgL_valza2za2_4620);
								PROCEDURE_SET(BgL_runz00_14637,
									(int) (((long) 3)), ((obj_t) BgL_i1250z00_14997));
								PROCEDURE_SET(BgL_runz00_14637,
									(int) (((long) 4)), BgL_bodyz00_14998);
								{	/* Eval/evaluate_comp.scm 1116 */
									obj_t BgL_mainz00_14638;

									BgL_mainz00_14638 =
										MAKE_VA_PROCEDURE(BGl_z62main5474z62zz__evaluate_compz00,
										(int) (((long) -4)), (int) (((long) 7)));
									PROCEDURE_SET(BgL_mainz00_14638,
										(int) (((long) 0)), BgL_iboxesz00_14995);
									PROCEDURE_SET(BgL_mainz00_14638,
										(int) (((long) 1)), BINT(BgL_siza7eza7_14996));
									PROCEDURE_SET(BgL_mainz00_14638,
										(int) (((long) 2)), BgL_valza2za2_4620);
									PROCEDURE_SET(BgL_mainz00_14638,
										(int) (((long) 3)), ((obj_t) BgL_i1250z00_14997));
									PROCEDURE_SET(BgL_mainz00_14638,
										(int) (((long) 4)), BgL_bodyz00_14998);
									PROCEDURE_SET(BgL_mainz00_14638,
										(int) (((long) 5)), BgL_runz00_14637);
									PROCEDURE_SET(BgL_mainz00_14638,
										(int) (((long) 6)), BINT(BgL_siza7ezd2framez75_14999));
									{	/* Eval/evaluate_comp.scm 1116 */
										obj_t BgL_objz00_12963;

										BgL_objz00_12963 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_14637, BgL_objz00_12963);
										BgL_objz00_12963;
									}
									{	/* Eval/evaluate_comp.scm 1116 */
										obj_t BgL_arg3659z00_4623;

										{	/* Eval/evaluate_comp.scm 1116 */
											obj_t BgL_arg3660z00_4624;

											BgL_arg3660z00_4624 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_14997))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1116 */
												obj_t BgL_newz00_12967;

												BgL_newz00_12967 =
													create_struct(BGl_symbol5569z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 1116 */
													int BgL_auxz00_23381;

													BgL_auxz00_23381 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_12967, BgL_auxz00_23381,
														BgL_arg3660z00_4624);
												}
												{	/* Eval/evaluate_comp.scm 1116 */
													obj_t BgL_auxz00_23386;
													int BgL_auxz00_23384;

													BgL_auxz00_23386 = BINT(BgL_siza7ezd2framez75_14999);
													BgL_auxz00_23384 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_12967, BgL_auxz00_23384,
														BgL_auxz00_23386);
												}
												{	/* Eval/evaluate_comp.scm 1116 */
													int BgL_auxz00_23389;

													BgL_auxz00_23389 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_12967, BgL_auxz00_23389,
														BgL_runz00_14637);
												}
												{	/* Eval/evaluate_comp.scm 1116 */
													obj_t BgL_auxz00_23394;
													int BgL_auxz00_23392;

													BgL_auxz00_23394 = BINT(((long) -4));
													BgL_auxz00_23392 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_12967, BgL_auxz00_23392,
														BgL_auxz00_23394);
												}
												BgL_arg3659z00_4623 = BgL_newz00_12967;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_14638, BgL_arg3659z00_4623);
										BgL_arg3659z00_4623;
									}
									return BgL_mainz00_14638;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main5474 */
	obj_t BGl_z62main5474z62zz__evaluate_compz00(obj_t BgL_envz00_15001,
		obj_t BgL_bz00_15009, obj_t BgL_cz00_15010, obj_t BgL_dz00_15011,
		obj_t BgL_lastz00_15012)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1116 */
			{	/* Eval/evaluate_comp.scm 1116 */
				obj_t BgL_runz00_15007;
				long BgL_siza7ezd2framez75_15008;

				BgL_runz00_15007 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15001, (int) (((long) 5))));
				BgL_siza7ezd2framez75_15008 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15001, (int) (((long) 6))));
				{
					obj_t BgL_bz00_4625;
					obj_t BgL_cz00_4626;
					obj_t BgL_dz00_4627;
					obj_t BgL_lastz00_4628;

					BgL_bz00_4625 = BgL_bz00_15009;
					BgL_cz00_4626 = BgL_cz00_15010;
					BgL_dz00_4627 = BgL_dz00_15011;
					BgL_lastz00_4628 = BgL_lastz00_15012;
					{	/* Eval/evaluate_comp.scm 1116 */
						obj_t BgL_sz00_4630;

						BgL_sz00_4630 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1116 */
							obj_t BgL_bpz00_4631;

							BgL_bpz00_4631 = VECTOR_REF(BgL_sz00_4630, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1116 */
								bool_t BgL_testz00_23407;

								{	/* Eval/evaluate_comp.scm 1116 */
									int BgL_arg1909z00_12907;

									BgL_arg1909z00_12907 = VECTOR_LENGTH(BgL_sz00_4630);
									BgL_testz00_23407 =
										(
										((long) CINT(BgL_bpz00_4631) +
											BgL_siza7ezd2framez75_15008) <
										(long) (BgL_arg1909z00_12907));
								}
								if (BgL_testz00_23407)
									{	/* Eval/evaluate_comp.scm 1116 */
										{	/* Eval/evaluate_comp.scm 1116 */
											long BgL_arg3663z00_4633;

											BgL_arg3663z00_4633 =
												((long) CINT(BgL_bpz00_4631) + ((long) 0));
											VECTOR_SET(BgL_sz00_4630,
												(int) (BgL_arg3663z00_4633), BgL_bz00_4625);
										}
										{	/* Eval/evaluate_comp.scm 1116 */
											long BgL_arg3664z00_4634;

											BgL_arg3664z00_4634 =
												((long) CINT(BgL_bpz00_4631) + ((long) 1));
											VECTOR_SET(BgL_sz00_4630,
												(int) (BgL_arg3664z00_4634), BgL_cz00_4626);
										}
										{	/* Eval/evaluate_comp.scm 1116 */
											long BgL_arg3665z00_4635;

											BgL_arg3665z00_4635 =
												((long) CINT(BgL_bpz00_4631) + ((long) 2));
											VECTOR_SET(BgL_sz00_4630,
												(int) (BgL_arg3665z00_4635), BgL_dz00_4627);
										}
										{	/* Eval/evaluate_comp.scm 1116 */
											long BgL_arg3666z00_4636;

											BgL_arg3666z00_4636 =
												((long) CINT(BgL_bpz00_4631) + ((long) 3));
											VECTOR_SET(BgL_sz00_4630,
												(int) (BgL_arg3666z00_4636), BgL_lastz00_4628);
										}
										{	/* Eval/evaluate_comp.scm 1116 */
											obj_t BgL_val1463z00_4637;

											BgL_val1463z00_4637 =
												BGl_zc3exitza33670ze3z83zz__evaluate_compz00
												(BgL_bpz00_4631, BgL_sz00_4630, BgL_runz00_15007);
											VECTOR_SET(BgL_sz00_4630, (int) (((long) 0)),
												BgL_bpz00_4631);
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1463z00_4637)))
												{	/* Eval/evaluate_comp.scm 1116 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1463z00_4637), CDR(BgL_val1463z00_4637));
												}
											else
												{	/* Eval/evaluate_comp.scm 1116 */
													return BgL_val1463z00_4637;
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1116 */
										obj_t BgL_nsz00_4644;

										BgL_nsz00_4644 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_4644,
											(int) (((long) 1)), BgL_sz00_4630);
										VECTOR_SET(BgL_nsz00_4644,
											(int) (((long) 2)), BgL_bz00_4625);
										VECTOR_SET(BgL_nsz00_4644,
											(int) (((long) 3)), BgL_cz00_4626);
										VECTOR_SET(BgL_nsz00_4644,
											(int) (((long) 4)), BgL_dz00_4627);
										VECTOR_SET(BgL_nsz00_4644,
											(int) (((long) 5)), BgL_lastz00_4628);
										{	/* Eval/evaluate_comp.scm 1116 */
											obj_t BgL_auxz00_23449;

											BgL_auxz00_23449 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_23449, BgL_nsz00_4644);
										}
										{	/* Eval/evaluate_comp.scm 1116 */
											obj_t BgL_val1466z00_4646;

											BgL_val1466z00_4646 =
												BGl_zc3exitza33676ze3z83zz__evaluate_compz00
												(BgL_nsz00_4644, BgL_runz00_15007);
											{	/* Eval/evaluate_comp.scm 1116 */
												obj_t BgL_auxz00_23453;

												BgL_auxz00_23453 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_EVSTATE_SET(BgL_auxz00_23453, BgL_sz00_4630);
											}
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1466z00_4646)))
												{	/* Eval/evaluate_comp.scm 1116 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1466z00_4646), CDR(BgL_val1466z00_4646));
												}
											else
												{	/* Eval/evaluate_comp.scm 1116 */
													return BgL_val1466z00_4646;
												}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:3676> */
	obj_t BGl_zc3exitza33676ze3z83zz__evaluate_compz00(obj_t BgL_nsz00_16059,
		obj_t BgL_runz00_16058)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1116 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1467z00_4652;

			if (SET_EXIT(BgL_an_exit1467z00_4652))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1467z00_4652 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1116 */

						PUSH_EXIT(BgL_an_exit1467z00_4652, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1116 */
							obj_t BgL_val1468z00_4653;

							BgL_val1468z00_4653 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_16058,
								BgL_nsz00_16059, BINT(((long) 2)));
							POP_EXIT();
							return BgL_val1468z00_4653;
						}
					}
				}
		}
	}



/* <exit:3670> */
	obj_t BGl_zc3exitza33670ze3z83zz__evaluate_compz00(obj_t BgL_bpz00_16062,
		obj_t BgL_sz00_16061, obj_t BgL_runz00_16060)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1116 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1464z00_4642;

			if (SET_EXIT(BgL_an_exit1464z00_4642))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1464z00_4642 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1116 */

						PUSH_EXIT(BgL_an_exit1464z00_4642, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1116 */
							obj_t BgL_val1465z00_4643;

							BgL_val1465z00_4643 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_16060,
								BgL_sz00_16061, BgL_bpz00_16062);
							POP_EXIT();
							return BgL_val1465z00_4643;
						}
					}
				}
		}
	}



/* &run5475 */
	obj_t BGl_z62run5475z62zz__evaluate_compz00(obj_t BgL_envz00_15013,
		obj_t BgL_sz00_15019)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1116 */
			{	/* Eval/evaluate_comp.scm 1116 */
				obj_t BgL_iboxesz00_15014;
				long BgL_siza7eza7_15015;
				obj_t BgL_valza2za2_15016;
				BgL_ev_absz00_bglt BgL_i1250z00_15017;
				obj_t BgL_bodyz00_15018;

				BgL_iboxesz00_15014 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15013, (int) (((long) 0))));
				BgL_siza7eza7_15015 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15013, (int) (((long) 1))));
				BgL_valza2za2_15016 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15013, (int) (((long) 2))));
				BgL_i1250z00_15017 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_15013, (int) (((long) 3))));
				BgL_bodyz00_15018 = PROCEDURE_REF(BgL_envz00_15013, (int) (((long) 4)));
				{
					obj_t BgL_sz00_4655;

					BgL_sz00_4655 = BgL_sz00_15019;
					{	/* Eval/evaluate_comp.scm 1116 */
						obj_t BgL_bpz00_4657;

						BgL_bpz00_4657 = VECTOR_REF(BgL_sz00_4655, (int) (((long) 0)));
						BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_4655,
							BgL_iboxesz00_15014, BgL_bpz00_4657);
						BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_4655,
							BgL_valza2za2_15016,
							((long) CINT(BgL_bpz00_4657) + BgL_siza7eza7_15015));
						{	/* Eval/evaluate_comp.scm 1036 */
							obj_t BgL_z12denvz12_4659;
							obj_t BgL_wherez00_4660;
							obj_t BgL_locz00_4661;

							BgL_z12denvz12_4659 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_4660 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_15017))->BgL_wherez00);
							BgL_locz00_4661 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_15017))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1036 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_4659, BgL_wherez00_4660,
									BgL_locz00_4661);
								{	/* Eval/evaluate_comp.scm 1036 */
									obj_t BgL_za2za2resza2za2z00_4662;

									BgL_za2za2resza2za2z00_4662 =
										PROCEDURE_ENTRY(BgL_bodyz00_15018) (BgL_bodyz00_15018,
										BgL_sz00_4655, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_4659);
									return BgL_za2za2resza2za2z00_4662;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3511> */
	obj_t BGl_z62zc3anonymousza33511ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15020, obj_t BgL_sz00_15024)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1116 */
			{	/* Eval/evaluate_comp.scm 1116 */
				BgL_ev_absz00_bglt BgL_i1250z00_15021;
				obj_t BgL_bodyz00_15022;
				long BgL_siza7ezd2framez75_15023;

				BgL_i1250z00_15021 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_15020, (int) (((long) 0))));
				BgL_bodyz00_15022 = PROCEDURE_REF(BgL_envz00_15020, (int) (((long) 1)));
				BgL_siza7ezd2framez75_15023 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15020, (int) (((long) 2))));
				{
					obj_t BgL_sz00_4296;

					BgL_sz00_4296 = BgL_sz00_15024;
					{	/* Eval/evaluate_comp.scm 1116 */
						obj_t BgL_bpz00_4298;

						BgL_bpz00_4298 = VECTOR_REF(BgL_sz00_4296, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1116 */

							{	/* Eval/evaluate_comp.scm 1116 */
								obj_t BgL_runz00_14634;

								BgL_runz00_14634 =
									MAKE_FX_PROCEDURE(BGl_z62run5477z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 2)));
								PROCEDURE_SET(BgL_runz00_14634,
									(int) (((long) 0)), ((obj_t) BgL_i1250z00_15021));
								PROCEDURE_SET(BgL_runz00_14634,
									(int) (((long) 1)), BgL_bodyz00_15022);
								{	/* Eval/evaluate_comp.scm 1116 */
									obj_t BgL_mainz00_14635;

									BgL_mainz00_14635 =
										MAKE_FX_PROCEDURE(BGl_z62main5476z62zz__evaluate_compz00,
										(int) (((long) 3)), (int) (((long) 4)));
									PROCEDURE_SET(BgL_mainz00_14635,
										(int) (((long) 0)), ((obj_t) BgL_i1250z00_15021));
									PROCEDURE_SET(BgL_mainz00_14635,
										(int) (((long) 1)), BgL_bodyz00_15022);
									PROCEDURE_SET(BgL_mainz00_14635,
										(int) (((long) 2)), BgL_runz00_14634);
									PROCEDURE_SET(BgL_mainz00_14635,
										(int) (((long) 3)), BINT(BgL_siza7ezd2framez75_15023));
									{	/* Eval/evaluate_comp.scm 1116 */
										obj_t BgL_objz00_12325;

										BgL_objz00_12325 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_14634, BgL_objz00_12325);
										BgL_objz00_12325;
									}
									{	/* Eval/evaluate_comp.scm 1116 */
										obj_t BgL_arg3512z00_4301;

										{	/* Eval/evaluate_comp.scm 1116 */
											obj_t BgL_arg3513z00_4302;

											BgL_arg3513z00_4302 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_15021))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1116 */
												obj_t BgL_newz00_12329;

												BgL_newz00_12329 =
													create_struct(BGl_symbol5569z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 1116 */
													int BgL_auxz00_23537;

													BgL_auxz00_23537 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_12329, BgL_auxz00_23537,
														BgL_arg3513z00_4302);
												}
												{	/* Eval/evaluate_comp.scm 1116 */
													obj_t BgL_auxz00_23542;
													int BgL_auxz00_23540;

													BgL_auxz00_23542 = BINT(BgL_siza7ezd2framez75_15023);
													BgL_auxz00_23540 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_12329, BgL_auxz00_23540,
														BgL_auxz00_23542);
												}
												{	/* Eval/evaluate_comp.scm 1116 */
													int BgL_auxz00_23545;

													BgL_auxz00_23545 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_12329, BgL_auxz00_23545,
														BgL_runz00_14634);
												}
												{	/* Eval/evaluate_comp.scm 1116 */
													obj_t BgL_auxz00_23550;
													int BgL_auxz00_23548;

													BgL_auxz00_23550 = BINT(((long) 3));
													BgL_auxz00_23548 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_12329, BgL_auxz00_23548,
														BgL_auxz00_23550);
												}
												BgL_arg3512z00_4301 = BgL_newz00_12329;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_14635, BgL_arg3512z00_4301);
										BgL_arg3512z00_4301;
									}
									return BgL_mainz00_14635;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main5476 */
	obj_t BGl_z62main5476z62zz__evaluate_compz00(obj_t BgL_envz00_15025,
		obj_t BgL_bz00_15030, obj_t BgL_cz00_15031, obj_t BgL_dz00_15032)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1116 */
			{	/* Eval/evaluate_comp.scm 1116 */
				obj_t BgL_runz00_15028;
				long BgL_siza7ezd2framez75_15029;

				BgL_runz00_15028 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15025, (int) (((long) 2))));
				BgL_siza7ezd2framez75_15029 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15025, (int) (((long) 3))));
				{
					obj_t BgL_bz00_4303;
					obj_t BgL_cz00_4304;
					obj_t BgL_dz00_4305;

					BgL_bz00_4303 = BgL_bz00_15030;
					BgL_cz00_4304 = BgL_cz00_15031;
					BgL_dz00_4305 = BgL_dz00_15032;
					{	/* Eval/evaluate_comp.scm 1116 */
						obj_t BgL_sz00_4307;

						BgL_sz00_4307 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1116 */
							obj_t BgL_bpz00_4308;

							BgL_bpz00_4308 = VECTOR_REF(BgL_sz00_4307, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1116 */
								bool_t BgL_testz00_23563;

								{	/* Eval/evaluate_comp.scm 1116 */
									int BgL_arg1909z00_12278;

									BgL_arg1909z00_12278 = VECTOR_LENGTH(BgL_sz00_4307);
									BgL_testz00_23563 =
										(
										((long) CINT(BgL_bpz00_4308) +
											BgL_siza7ezd2framez75_15029) <
										(long) (BgL_arg1909z00_12278));
								}
								if (BgL_testz00_23563)
									{	/* Eval/evaluate_comp.scm 1116 */
										{	/* Eval/evaluate_comp.scm 1116 */
											long BgL_arg3516z00_4310;

											BgL_arg3516z00_4310 =
												((long) CINT(BgL_bpz00_4308) + ((long) 0));
											VECTOR_SET(BgL_sz00_4307,
												(int) (BgL_arg3516z00_4310), BgL_bz00_4303);
										}
										{	/* Eval/evaluate_comp.scm 1116 */
											long BgL_arg3517z00_4311;

											BgL_arg3517z00_4311 =
												((long) CINT(BgL_bpz00_4308) + ((long) 1));
											VECTOR_SET(BgL_sz00_4307,
												(int) (BgL_arg3517z00_4311), BgL_cz00_4304);
										}
										{	/* Eval/evaluate_comp.scm 1116 */
											long BgL_arg3518z00_4312;

											BgL_arg3518z00_4312 =
												((long) CINT(BgL_bpz00_4308) + ((long) 2));
											VECTOR_SET(BgL_sz00_4307,
												(int) (BgL_arg3518z00_4312), BgL_dz00_4305);
										}
										{	/* Eval/evaluate_comp.scm 1116 */
											obj_t BgL_val1421z00_4313;

											BgL_val1421z00_4313 =
												BGl_zc3exitza33522ze3z83zz__evaluate_compz00
												(BgL_bpz00_4308, BgL_sz00_4307, BgL_runz00_15028);
											VECTOR_SET(BgL_sz00_4307, (int) (((long) 0)),
												BgL_bpz00_4308);
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1421z00_4313)))
												{	/* Eval/evaluate_comp.scm 1116 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1421z00_4313), CDR(BgL_val1421z00_4313));
												}
											else
												{	/* Eval/evaluate_comp.scm 1116 */
													return BgL_val1421z00_4313;
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1116 */
										obj_t BgL_nsz00_4320;

										BgL_nsz00_4320 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_4320,
											(int) (((long) 1)), BgL_sz00_4307);
										VECTOR_SET(BgL_nsz00_4320,
											(int) (((long) 2)), BgL_bz00_4303);
										VECTOR_SET(BgL_nsz00_4320,
											(int) (((long) 3)), BgL_cz00_4304);
										VECTOR_SET(BgL_nsz00_4320,
											(int) (((long) 4)), BgL_dz00_4305);
										{	/* Eval/evaluate_comp.scm 1116 */
											obj_t BgL_auxz00_23599;

											BgL_auxz00_23599 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_23599, BgL_nsz00_4320);
										}
										{	/* Eval/evaluate_comp.scm 1116 */
											obj_t BgL_val1424z00_4322;

											BgL_val1424z00_4322 =
												BGl_zc3exitza33528ze3z83zz__evaluate_compz00
												(BgL_nsz00_4320, BgL_runz00_15028);
											{	/* Eval/evaluate_comp.scm 1116 */
												obj_t BgL_auxz00_23603;

												BgL_auxz00_23603 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_EVSTATE_SET(BgL_auxz00_23603, BgL_sz00_4307);
											}
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1424z00_4322)))
												{	/* Eval/evaluate_comp.scm 1116 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1424z00_4322), CDR(BgL_val1424z00_4322));
												}
											else
												{	/* Eval/evaluate_comp.scm 1116 */
													return BgL_val1424z00_4322;
												}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:3528> */
	obj_t BGl_zc3exitza33528ze3z83zz__evaluate_compz00(obj_t BgL_nsz00_16054,
		obj_t BgL_runz00_16053)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1116 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1425z00_4328;

			if (SET_EXIT(BgL_an_exit1425z00_4328))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1425z00_4328 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1116 */

						PUSH_EXIT(BgL_an_exit1425z00_4328, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1116 */
							obj_t BgL_val1426z00_4329;

							BgL_val1426z00_4329 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_16053,
								BgL_nsz00_16054, BINT(((long) 2)));
							POP_EXIT();
							return BgL_val1426z00_4329;
						}
					}
				}
		}
	}



/* <exit:3522> */
	obj_t BGl_zc3exitza33522ze3z83zz__evaluate_compz00(obj_t BgL_bpz00_16057,
		obj_t BgL_sz00_16056, obj_t BgL_runz00_16055)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1116 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1422z00_4318;

			if (SET_EXIT(BgL_an_exit1422z00_4318))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1422z00_4318 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1116 */

						PUSH_EXIT(BgL_an_exit1422z00_4318, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1116 */
							obj_t BgL_val1423z00_4319;

							BgL_val1423z00_4319 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_16055,
								BgL_sz00_16056, BgL_bpz00_16057);
							POP_EXIT();
							return BgL_val1423z00_4319;
						}
					}
				}
		}
	}



/* &run5477 */
	obj_t BGl_z62run5477z62zz__evaluate_compz00(obj_t BgL_envz00_15033,
		obj_t BgL_sz00_15036)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1116 */
			{	/* Eval/evaluate_comp.scm 1116 */
				BgL_ev_absz00_bglt BgL_i1250z00_15034;
				obj_t BgL_bodyz00_15035;

				BgL_i1250z00_15034 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_15033, (int) (((long) 0))));
				BgL_bodyz00_15035 = PROCEDURE_REF(BgL_envz00_15033, (int) (((long) 1)));
				{
					obj_t BgL_sz00_4331;

					BgL_sz00_4331 = BgL_sz00_15036;
					{	/* Eval/evaluate_comp.scm 1116 */
						obj_t BgL_bpz00_4333;

						BgL_bpz00_4333 = VECTOR_REF(BgL_sz00_4331, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1116 */
							obj_t BgL_z12denvz12_4334;
							obj_t BgL_wherez00_4335;
							obj_t BgL_locz00_4336;

							BgL_z12denvz12_4334 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_4335 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_15034))->BgL_wherez00);
							BgL_locz00_4336 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_15034))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1116 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_4334, BgL_wherez00_4335,
									BgL_locz00_4336);
								{	/* Eval/evaluate_comp.scm 1116 */
									obj_t BgL_za2za2resza2za2z00_4337;

									BgL_za2za2resza2za2z00_4337 =
										PROCEDURE_ENTRY(BgL_bodyz00_15035) (BgL_bodyz00_15035,
										BgL_sz00_4331, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_4334);
									return BgL_za2za2resza2za2z00_4337;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3530> */
	obj_t BGl_z62zc3anonymousza33530ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15037, obj_t BgL_sz00_15042)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1116 */
			{	/* Eval/evaluate_comp.scm 1116 */
				obj_t BgL_iboxesz00_15038;
				BgL_ev_absz00_bglt BgL_i1250z00_15039;
				obj_t BgL_bodyz00_15040;
				long BgL_siza7ezd2framez75_15041;

				BgL_iboxesz00_15038 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15037, (int) (((long) 0))));
				BgL_i1250z00_15039 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_15037, (int) (((long) 1))));
				BgL_bodyz00_15040 = PROCEDURE_REF(BgL_envz00_15037, (int) (((long) 2)));
				BgL_siza7ezd2framez75_15041 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15037, (int) (((long) 3))));
				{
					obj_t BgL_sz00_4339;

					BgL_sz00_4339 = BgL_sz00_15042;
					{	/* Eval/evaluate_comp.scm 1116 */
						obj_t BgL_bpz00_4341;

						BgL_bpz00_4341 = VECTOR_REF(BgL_sz00_4339, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1116 */

							{	/* Eval/evaluate_comp.scm 1116 */
								obj_t BgL_runz00_14631;

								BgL_runz00_14631 =
									MAKE_FX_PROCEDURE(BGl_z62run5479z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 3)));
								PROCEDURE_SET(BgL_runz00_14631,
									(int) (((long) 0)), BgL_iboxesz00_15038);
								PROCEDURE_SET(BgL_runz00_14631,
									(int) (((long) 1)), ((obj_t) BgL_i1250z00_15039));
								PROCEDURE_SET(BgL_runz00_14631,
									(int) (((long) 2)), BgL_bodyz00_15040);
								{	/* Eval/evaluate_comp.scm 1116 */
									obj_t BgL_mainz00_14632;

									BgL_mainz00_14632 =
										MAKE_FX_PROCEDURE(BGl_z62main5478z62zz__evaluate_compz00,
										(int) (((long) 3)), (int) (((long) 5)));
									PROCEDURE_SET(BgL_mainz00_14632,
										(int) (((long) 0)), BgL_iboxesz00_15038);
									PROCEDURE_SET(BgL_mainz00_14632,
										(int) (((long) 1)), ((obj_t) BgL_i1250z00_15039));
									PROCEDURE_SET(BgL_mainz00_14632,
										(int) (((long) 2)), BgL_bodyz00_15040);
									PROCEDURE_SET(BgL_mainz00_14632,
										(int) (((long) 3)), BgL_runz00_14631);
									PROCEDURE_SET(BgL_mainz00_14632,
										(int) (((long) 4)), BINT(BgL_siza7ezd2framez75_15041));
									{	/* Eval/evaluate_comp.scm 1116 */
										obj_t BgL_objz00_12407;

										BgL_objz00_12407 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_14631, BgL_objz00_12407);
										BgL_objz00_12407;
									}
									{	/* Eval/evaluate_comp.scm 1116 */
										obj_t BgL_arg3531z00_4344;

										{	/* Eval/evaluate_comp.scm 1116 */
											obj_t BgL_arg3532z00_4345;

											BgL_arg3532z00_4345 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_15039))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1116 */
												obj_t BgL_newz00_12411;

												BgL_newz00_12411 =
													create_struct(BGl_symbol5569z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 1116 */
													int BgL_auxz00_23681;

													BgL_auxz00_23681 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_12411, BgL_auxz00_23681,
														BgL_arg3532z00_4345);
												}
												{	/* Eval/evaluate_comp.scm 1116 */
													obj_t BgL_auxz00_23686;
													int BgL_auxz00_23684;

													BgL_auxz00_23686 = BINT(BgL_siza7ezd2framez75_15041);
													BgL_auxz00_23684 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_12411, BgL_auxz00_23684,
														BgL_auxz00_23686);
												}
												{	/* Eval/evaluate_comp.scm 1116 */
													int BgL_auxz00_23689;

													BgL_auxz00_23689 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_12411, BgL_auxz00_23689,
														BgL_runz00_14631);
												}
												{	/* Eval/evaluate_comp.scm 1116 */
													obj_t BgL_auxz00_23694;
													int BgL_auxz00_23692;

													BgL_auxz00_23694 = BINT(((long) 3));
													BgL_auxz00_23692 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_12411, BgL_auxz00_23692,
														BgL_auxz00_23694);
												}
												BgL_arg3531z00_4344 = BgL_newz00_12411;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_14632, BgL_arg3531z00_4344);
										BgL_arg3531z00_4344;
									}
									return BgL_mainz00_14632;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main5478 */
	obj_t BGl_z62main5478z62zz__evaluate_compz00(obj_t BgL_envz00_15043,
		obj_t BgL_bz00_15049, obj_t BgL_cz00_15050, obj_t BgL_dz00_15051)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1116 */
			{	/* Eval/evaluate_comp.scm 1116 */
				obj_t BgL_runz00_15047;
				long BgL_siza7ezd2framez75_15048;

				BgL_runz00_15047 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15043, (int) (((long) 3))));
				BgL_siza7ezd2framez75_15048 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15043, (int) (((long) 4))));
				{
					obj_t BgL_bz00_4346;
					obj_t BgL_cz00_4347;
					obj_t BgL_dz00_4348;

					BgL_bz00_4346 = BgL_bz00_15049;
					BgL_cz00_4347 = BgL_cz00_15050;
					BgL_dz00_4348 = BgL_dz00_15051;
					{	/* Eval/evaluate_comp.scm 1116 */
						obj_t BgL_sz00_4350;

						BgL_sz00_4350 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1116 */
							obj_t BgL_bpz00_4351;

							BgL_bpz00_4351 = VECTOR_REF(BgL_sz00_4350, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1116 */
								bool_t BgL_testz00_23707;

								{	/* Eval/evaluate_comp.scm 1116 */
									int BgL_arg1909z00_12360;

									BgL_arg1909z00_12360 = VECTOR_LENGTH(BgL_sz00_4350);
									BgL_testz00_23707 =
										(
										((long) CINT(BgL_bpz00_4351) +
											BgL_siza7ezd2framez75_15048) <
										(long) (BgL_arg1909z00_12360));
								}
								if (BgL_testz00_23707)
									{	/* Eval/evaluate_comp.scm 1116 */
										{	/* Eval/evaluate_comp.scm 1116 */
											long BgL_arg3535z00_4353;

											BgL_arg3535z00_4353 =
												((long) CINT(BgL_bpz00_4351) + ((long) 0));
											VECTOR_SET(BgL_sz00_4350,
												(int) (BgL_arg3535z00_4353), BgL_bz00_4346);
										}
										{	/* Eval/evaluate_comp.scm 1116 */
											long BgL_arg3536z00_4354;

											BgL_arg3536z00_4354 =
												((long) CINT(BgL_bpz00_4351) + ((long) 1));
											VECTOR_SET(BgL_sz00_4350,
												(int) (BgL_arg3536z00_4354), BgL_cz00_4347);
										}
										{	/* Eval/evaluate_comp.scm 1116 */
											long BgL_arg3537z00_4355;

											BgL_arg3537z00_4355 =
												((long) CINT(BgL_bpz00_4351) + ((long) 2));
											VECTOR_SET(BgL_sz00_4350,
												(int) (BgL_arg3537z00_4355), BgL_dz00_4348);
										}
										{	/* Eval/evaluate_comp.scm 1116 */
											obj_t BgL_val1427z00_4356;

											BgL_val1427z00_4356 =
												BGl_zc3exitza33541ze3z83zz__evaluate_compz00
												(BgL_bpz00_4351, BgL_sz00_4350, BgL_runz00_15047);
											VECTOR_SET(BgL_sz00_4350, (int) (((long) 0)),
												BgL_bpz00_4351);
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1427z00_4356)))
												{	/* Eval/evaluate_comp.scm 1116 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1427z00_4356), CDR(BgL_val1427z00_4356));
												}
											else
												{	/* Eval/evaluate_comp.scm 1116 */
													return BgL_val1427z00_4356;
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1116 */
										obj_t BgL_nsz00_4363;

										BgL_nsz00_4363 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_4363,
											(int) (((long) 1)), BgL_sz00_4350);
										VECTOR_SET(BgL_nsz00_4363,
											(int) (((long) 2)), BgL_bz00_4346);
										VECTOR_SET(BgL_nsz00_4363,
											(int) (((long) 3)), BgL_cz00_4347);
										VECTOR_SET(BgL_nsz00_4363,
											(int) (((long) 4)), BgL_dz00_4348);
										{	/* Eval/evaluate_comp.scm 1116 */
											obj_t BgL_auxz00_23743;

											BgL_auxz00_23743 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_23743, BgL_nsz00_4363);
										}
										{	/* Eval/evaluate_comp.scm 1116 */
											obj_t BgL_val1430z00_4365;

											BgL_val1430z00_4365 =
												BGl_zc3exitza33547ze3z83zz__evaluate_compz00
												(BgL_nsz00_4363, BgL_runz00_15047);
											{	/* Eval/evaluate_comp.scm 1116 */
												obj_t BgL_auxz00_23747;

												BgL_auxz00_23747 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_EVSTATE_SET(BgL_auxz00_23747, BgL_sz00_4350);
											}
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1430z00_4365)))
												{	/* Eval/evaluate_comp.scm 1116 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1430z00_4365), CDR(BgL_val1430z00_4365));
												}
											else
												{	/* Eval/evaluate_comp.scm 1116 */
													return BgL_val1430z00_4365;
												}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:3547> */
	obj_t BGl_zc3exitza33547ze3z83zz__evaluate_compz00(obj_t BgL_nsz00_16049,
		obj_t BgL_runz00_16048)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1116 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1431z00_4371;

			if (SET_EXIT(BgL_an_exit1431z00_4371))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1431z00_4371 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1116 */

						PUSH_EXIT(BgL_an_exit1431z00_4371, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1116 */
							obj_t BgL_val1432z00_4372;

							BgL_val1432z00_4372 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_16048,
								BgL_nsz00_16049, BINT(((long) 2)));
							POP_EXIT();
							return BgL_val1432z00_4372;
						}
					}
				}
		}
	}



/* <exit:3541> */
	obj_t BGl_zc3exitza33541ze3z83zz__evaluate_compz00(obj_t BgL_bpz00_16052,
		obj_t BgL_sz00_16051, obj_t BgL_runz00_16050)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1116 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1428z00_4361;

			if (SET_EXIT(BgL_an_exit1428z00_4361))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1428z00_4361 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1116 */

						PUSH_EXIT(BgL_an_exit1428z00_4361, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1116 */
							obj_t BgL_val1429z00_4362;

							BgL_val1429z00_4362 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_16050,
								BgL_sz00_16051, BgL_bpz00_16052);
							POP_EXIT();
							return BgL_val1429z00_4362;
						}
					}
				}
		}
	}



/* &run5479 */
	obj_t BGl_z62run5479z62zz__evaluate_compz00(obj_t BgL_envz00_15052,
		obj_t BgL_sz00_15056)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1116 */
			{	/* Eval/evaluate_comp.scm 1116 */
				obj_t BgL_iboxesz00_15053;
				BgL_ev_absz00_bglt BgL_i1250z00_15054;
				obj_t BgL_bodyz00_15055;

				BgL_iboxesz00_15053 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15052, (int) (((long) 0))));
				BgL_i1250z00_15054 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_15052, (int) (((long) 1))));
				BgL_bodyz00_15055 = PROCEDURE_REF(BgL_envz00_15052, (int) (((long) 2)));
				{
					obj_t BgL_sz00_4374;

					BgL_sz00_4374 = BgL_sz00_15056;
					{	/* Eval/evaluate_comp.scm 1116 */
						obj_t BgL_bpz00_4376;

						BgL_bpz00_4376 = VECTOR_REF(BgL_sz00_4374, (int) (((long) 0)));
						BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_4374,
							BgL_iboxesz00_15053, BgL_bpz00_4376);
						{	/* Eval/evaluate_comp.scm 1116 */
							obj_t BgL_z12denvz12_4377;
							obj_t BgL_wherez00_4378;
							obj_t BgL_locz00_4379;

							BgL_z12denvz12_4377 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_4378 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_15054))->BgL_wherez00);
							BgL_locz00_4379 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_15054))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1116 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_4377, BgL_wherez00_4378,
									BgL_locz00_4379);
								{	/* Eval/evaluate_comp.scm 1116 */
									obj_t BgL_za2za2resza2za2z00_4380;

									BgL_za2za2resza2za2z00_4380 =
										PROCEDURE_ENTRY(BgL_bodyz00_15055) (BgL_bodyz00_15055,
										BgL_sz00_4374, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_4377);
									return BgL_za2za2resza2za2z00_4380;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3551> */
	obj_t BGl_z62zc3anonymousza33551ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15057, obj_t BgL_sz00_15063)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1116 */
			{	/* Eval/evaluate_comp.scm 1116 */
				obj_t BgL_ifreesz00_15058;
				long BgL_siza7eza7_15059;
				BgL_ev_absz00_bglt BgL_i1250z00_15060;
				obj_t BgL_bodyz00_15061;
				long BgL_siza7ezd2framez75_15062;

				BgL_ifreesz00_15058 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15057, (int) (((long) 0))));
				BgL_siza7eza7_15059 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15057, (int) (((long) 1))));
				BgL_i1250z00_15060 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_15057, (int) (((long) 2))));
				BgL_bodyz00_15061 = PROCEDURE_REF(BgL_envz00_15057, (int) (((long) 3)));
				BgL_siza7ezd2framez75_15062 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15057, (int) (((long) 4))));
				{
					obj_t BgL_sz00_4384;

					BgL_sz00_4384 = BgL_sz00_15063;
					{	/* Eval/evaluate_comp.scm 1116 */
						obj_t BgL_bpz00_4386;

						BgL_bpz00_4386 = VECTOR_REF(BgL_sz00_4384, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1116 */
							obj_t BgL_valza2za2_4387;

							BgL_valza2za2_4387 =
								BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_4384,
								BgL_bpz00_4386, BgL_ifreesz00_15058);
							{	/* Eval/evaluate_comp.scm 1116 */
								obj_t BgL_runz00_14628;

								BgL_runz00_14628 =
									MAKE_FX_PROCEDURE(BGl_z62run5481z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 4)));
								PROCEDURE_SET(BgL_runz00_14628,
									(int) (((long) 0)), BINT(BgL_siza7eza7_15059));
								PROCEDURE_SET(BgL_runz00_14628,
									(int) (((long) 1)), BgL_valza2za2_4387);
								PROCEDURE_SET(BgL_runz00_14628,
									(int) (((long) 2)), ((obj_t) BgL_i1250z00_15060));
								PROCEDURE_SET(BgL_runz00_14628,
									(int) (((long) 3)), BgL_bodyz00_15061);
								{	/* Eval/evaluate_comp.scm 1116 */
									obj_t BgL_mainz00_14629;

									BgL_mainz00_14629 =
										MAKE_FX_PROCEDURE(BGl_z62main5480z62zz__evaluate_compz00,
										(int) (((long) 3)), (int) (((long) 6)));
									PROCEDURE_SET(BgL_mainz00_14629,
										(int) (((long) 0)), BINT(BgL_siza7eza7_15059));
									PROCEDURE_SET(BgL_mainz00_14629,
										(int) (((long) 1)), BgL_valza2za2_4387);
									PROCEDURE_SET(BgL_mainz00_14629,
										(int) (((long) 2)), ((obj_t) BgL_i1250z00_15060));
									PROCEDURE_SET(BgL_mainz00_14629,
										(int) (((long) 3)), BgL_bodyz00_15061);
									PROCEDURE_SET(BgL_mainz00_14629,
										(int) (((long) 4)), BgL_runz00_14628);
									PROCEDURE_SET(BgL_mainz00_14629,
										(int) (((long) 5)), BINT(BgL_siza7ezd2framez75_15062));
									{	/* Eval/evaluate_comp.scm 1116 */
										obj_t BgL_objz00_12496;

										BgL_objz00_12496 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_14628, BgL_objz00_12496);
										BgL_objz00_12496;
									}
									{	/* Eval/evaluate_comp.scm 1116 */
										obj_t BgL_arg3552z00_4390;

										{	/* Eval/evaluate_comp.scm 1116 */
											obj_t BgL_arg3553z00_4391;

											BgL_arg3553z00_4391 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_15060))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1116 */
												obj_t BgL_newz00_12500;

												BgL_newz00_12500 =
													create_struct(BGl_symbol5569z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 1116 */
													int BgL_auxz00_23839;

													BgL_auxz00_23839 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_12500, BgL_auxz00_23839,
														BgL_arg3553z00_4391);
												}
												{	/* Eval/evaluate_comp.scm 1116 */
													obj_t BgL_auxz00_23844;
													int BgL_auxz00_23842;

													BgL_auxz00_23844 = BINT(BgL_siza7ezd2framez75_15062);
													BgL_auxz00_23842 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_12500, BgL_auxz00_23842,
														BgL_auxz00_23844);
												}
												{	/* Eval/evaluate_comp.scm 1116 */
													int BgL_auxz00_23847;

													BgL_auxz00_23847 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_12500, BgL_auxz00_23847,
														BgL_runz00_14628);
												}
												{	/* Eval/evaluate_comp.scm 1116 */
													obj_t BgL_auxz00_23852;
													int BgL_auxz00_23850;

													BgL_auxz00_23852 = BINT(((long) 3));
													BgL_auxz00_23850 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_12500, BgL_auxz00_23850,
														BgL_auxz00_23852);
												}
												BgL_arg3552z00_4390 = BgL_newz00_12500;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_14629, BgL_arg3552z00_4390);
										BgL_arg3552z00_4390;
									}
									return BgL_mainz00_14629;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main5480 */
	obj_t BGl_z62main5480z62zz__evaluate_compz00(obj_t BgL_envz00_15064,
		obj_t BgL_bz00_15071, obj_t BgL_cz00_15072, obj_t BgL_dz00_15073)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1116 */
			{	/* Eval/evaluate_comp.scm 1116 */
				obj_t BgL_runz00_15069;
				long BgL_siza7ezd2framez75_15070;

				BgL_runz00_15069 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15064, (int) (((long) 4))));
				BgL_siza7ezd2framez75_15070 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15064, (int) (((long) 5))));
				{
					obj_t BgL_bz00_4392;
					obj_t BgL_cz00_4393;
					obj_t BgL_dz00_4394;

					BgL_bz00_4392 = BgL_bz00_15071;
					BgL_cz00_4393 = BgL_cz00_15072;
					BgL_dz00_4394 = BgL_dz00_15073;
					{	/* Eval/evaluate_comp.scm 1116 */
						obj_t BgL_sz00_4396;

						BgL_sz00_4396 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1116 */
							obj_t BgL_bpz00_4397;

							BgL_bpz00_4397 = VECTOR_REF(BgL_sz00_4396, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1116 */
								bool_t BgL_testz00_23865;

								{	/* Eval/evaluate_comp.scm 1116 */
									int BgL_arg1909z00_12449;

									BgL_arg1909z00_12449 = VECTOR_LENGTH(BgL_sz00_4396);
									BgL_testz00_23865 =
										(
										((long) CINT(BgL_bpz00_4397) +
											BgL_siza7ezd2framez75_15070) <
										(long) (BgL_arg1909z00_12449));
								}
								if (BgL_testz00_23865)
									{	/* Eval/evaluate_comp.scm 1116 */
										{	/* Eval/evaluate_comp.scm 1116 */
											long BgL_arg3556z00_4399;

											BgL_arg3556z00_4399 =
												((long) CINT(BgL_bpz00_4397) + ((long) 0));
											VECTOR_SET(BgL_sz00_4396,
												(int) (BgL_arg3556z00_4399), BgL_bz00_4392);
										}
										{	/* Eval/evaluate_comp.scm 1116 */
											long BgL_arg3557z00_4400;

											BgL_arg3557z00_4400 =
												((long) CINT(BgL_bpz00_4397) + ((long) 1));
											VECTOR_SET(BgL_sz00_4396,
												(int) (BgL_arg3557z00_4400), BgL_cz00_4393);
										}
										{	/* Eval/evaluate_comp.scm 1116 */
											long BgL_arg3558z00_4401;

											BgL_arg3558z00_4401 =
												((long) CINT(BgL_bpz00_4397) + ((long) 2));
											VECTOR_SET(BgL_sz00_4396,
												(int) (BgL_arg3558z00_4401), BgL_dz00_4394);
										}
										{	/* Eval/evaluate_comp.scm 1116 */
											obj_t BgL_val1433z00_4402;

											BgL_val1433z00_4402 =
												BGl_zc3exitza33562ze3z83zz__evaluate_compz00
												(BgL_bpz00_4397, BgL_sz00_4396, BgL_runz00_15069);
											VECTOR_SET(BgL_sz00_4396, (int) (((long) 0)),
												BgL_bpz00_4397);
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1433z00_4402)))
												{	/* Eval/evaluate_comp.scm 1116 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1433z00_4402), CDR(BgL_val1433z00_4402));
												}
											else
												{	/* Eval/evaluate_comp.scm 1116 */
													return BgL_val1433z00_4402;
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1116 */
										obj_t BgL_nsz00_4409;

										BgL_nsz00_4409 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_4409,
											(int) (((long) 1)), BgL_sz00_4396);
										VECTOR_SET(BgL_nsz00_4409,
											(int) (((long) 2)), BgL_bz00_4392);
										VECTOR_SET(BgL_nsz00_4409,
											(int) (((long) 3)), BgL_cz00_4393);
										VECTOR_SET(BgL_nsz00_4409,
											(int) (((long) 4)), BgL_dz00_4394);
										{	/* Eval/evaluate_comp.scm 1116 */
											obj_t BgL_auxz00_23901;

											BgL_auxz00_23901 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_23901, BgL_nsz00_4409);
										}
										{	/* Eval/evaluate_comp.scm 1116 */
											obj_t BgL_val1436z00_4411;

											BgL_val1436z00_4411 =
												BGl_zc3exitza33568ze3z83zz__evaluate_compz00
												(BgL_nsz00_4409, BgL_runz00_15069);
											{	/* Eval/evaluate_comp.scm 1116 */
												obj_t BgL_auxz00_23905;

												BgL_auxz00_23905 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_EVSTATE_SET(BgL_auxz00_23905, BgL_sz00_4396);
											}
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1436z00_4411)))
												{	/* Eval/evaluate_comp.scm 1116 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1436z00_4411), CDR(BgL_val1436z00_4411));
												}
											else
												{	/* Eval/evaluate_comp.scm 1116 */
													return BgL_val1436z00_4411;
												}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:3568> */
	obj_t BGl_zc3exitza33568ze3z83zz__evaluate_compz00(obj_t BgL_nsz00_16044,
		obj_t BgL_runz00_16043)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1116 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1437z00_4417;

			if (SET_EXIT(BgL_an_exit1437z00_4417))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1437z00_4417 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1116 */

						PUSH_EXIT(BgL_an_exit1437z00_4417, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1116 */
							obj_t BgL_val1438z00_4418;

							BgL_val1438z00_4418 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_16043,
								BgL_nsz00_16044, BINT(((long) 2)));
							POP_EXIT();
							return BgL_val1438z00_4418;
						}
					}
				}
		}
	}



/* <exit:3562> */
	obj_t BGl_zc3exitza33562ze3z83zz__evaluate_compz00(obj_t BgL_bpz00_16047,
		obj_t BgL_sz00_16046, obj_t BgL_runz00_16045)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1116 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1434z00_4407;

			if (SET_EXIT(BgL_an_exit1434z00_4407))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1434z00_4407 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1116 */

						PUSH_EXIT(BgL_an_exit1434z00_4407, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1116 */
							obj_t BgL_val1435z00_4408;

							BgL_val1435z00_4408 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_16045,
								BgL_sz00_16046, BgL_bpz00_16047);
							POP_EXIT();
							return BgL_val1435z00_4408;
						}
					}
				}
		}
	}



/* &run5481 */
	obj_t BGl_z62run5481z62zz__evaluate_compz00(obj_t BgL_envz00_15074,
		obj_t BgL_sz00_15079)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1116 */
			{	/* Eval/evaluate_comp.scm 1116 */
				long BgL_siza7eza7_15075;
				obj_t BgL_valza2za2_15076;
				BgL_ev_absz00_bglt BgL_i1250z00_15077;
				obj_t BgL_bodyz00_15078;

				BgL_siza7eza7_15075 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15074, (int) (((long) 0))));
				BgL_valza2za2_15076 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15074, (int) (((long) 1))));
				BgL_i1250z00_15077 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_15074, (int) (((long) 2))));
				BgL_bodyz00_15078 = PROCEDURE_REF(BgL_envz00_15074, (int) (((long) 3)));
				{
					obj_t BgL_sz00_4420;

					BgL_sz00_4420 = BgL_sz00_15079;
					{	/* Eval/evaluate_comp.scm 1116 */
						obj_t BgL_bpz00_4422;

						BgL_bpz00_4422 = VECTOR_REF(BgL_sz00_4420, (int) (((long) 0)));
						BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_4420,
							BgL_valza2za2_15076,
							((long) CINT(BgL_bpz00_4422) + BgL_siza7eza7_15075));
						{	/* Eval/evaluate_comp.scm 1036 */
							obj_t BgL_z12denvz12_4424;
							obj_t BgL_wherez00_4425;
							obj_t BgL_locz00_4426;

							BgL_z12denvz12_4424 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_4425 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_15077))->BgL_wherez00);
							BgL_locz00_4426 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_15077))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1036 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_4424, BgL_wherez00_4425,
									BgL_locz00_4426);
								{	/* Eval/evaluate_comp.scm 1036 */
									obj_t BgL_za2za2resza2za2z00_4427;

									BgL_za2za2resza2za2z00_4427 =
										PROCEDURE_ENTRY(BgL_bodyz00_15078) (BgL_bodyz00_15078,
										BgL_sz00_4420, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_4424);
									return BgL_za2za2resza2za2z00_4427;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3571> */
	obj_t BGl_z62zc3anonymousza33571ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15080, obj_t BgL_sz00_15087)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1116 */
			{	/* Eval/evaluate_comp.scm 1116 */
				obj_t BgL_ifreesz00_15081;
				obj_t BgL_iboxesz00_15082;
				long BgL_siza7eza7_15083;
				BgL_ev_absz00_bglt BgL_i1250z00_15084;
				obj_t BgL_bodyz00_15085;
				long BgL_siza7ezd2framez75_15086;

				BgL_ifreesz00_15081 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15080, (int) (((long) 0))));
				BgL_iboxesz00_15082 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15080, (int) (((long) 1))));
				BgL_siza7eza7_15083 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15080, (int) (((long) 2))));
				BgL_i1250z00_15084 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_15080, (int) (((long) 3))));
				BgL_bodyz00_15085 = PROCEDURE_REF(BgL_envz00_15080, (int) (((long) 4)));
				BgL_siza7ezd2framez75_15086 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15080, (int) (((long) 5))));
				{
					obj_t BgL_sz00_4429;

					BgL_sz00_4429 = BgL_sz00_15087;
					{	/* Eval/evaluate_comp.scm 1116 */
						obj_t BgL_bpz00_4431;

						BgL_bpz00_4431 = VECTOR_REF(BgL_sz00_4429, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1116 */
							obj_t BgL_valza2za2_4432;

							BgL_valza2za2_4432 =
								BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_4429,
								BgL_bpz00_4431, BgL_ifreesz00_15081);
							{	/* Eval/evaluate_comp.scm 1116 */
								obj_t BgL_runz00_14625;

								BgL_runz00_14625 =
									MAKE_FX_PROCEDURE(BGl_z62run5483z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 5)));
								PROCEDURE_SET(BgL_runz00_14625,
									(int) (((long) 0)), BgL_iboxesz00_15082);
								PROCEDURE_SET(BgL_runz00_14625,
									(int) (((long) 1)), BINT(BgL_siza7eza7_15083));
								PROCEDURE_SET(BgL_runz00_14625,
									(int) (((long) 2)), BgL_valza2za2_4432);
								PROCEDURE_SET(BgL_runz00_14625,
									(int) (((long) 3)), ((obj_t) BgL_i1250z00_15084));
								PROCEDURE_SET(BgL_runz00_14625,
									(int) (((long) 4)), BgL_bodyz00_15085);
								{	/* Eval/evaluate_comp.scm 1116 */
									obj_t BgL_mainz00_14626;

									BgL_mainz00_14626 =
										MAKE_FX_PROCEDURE(BGl_z62main5482z62zz__evaluate_compz00,
										(int) (((long) 3)), (int) (((long) 7)));
									PROCEDURE_SET(BgL_mainz00_14626,
										(int) (((long) 0)), BgL_iboxesz00_15082);
									PROCEDURE_SET(BgL_mainz00_14626,
										(int) (((long) 1)), BINT(BgL_siza7eza7_15083));
									PROCEDURE_SET(BgL_mainz00_14626,
										(int) (((long) 2)), BgL_valza2za2_4432);
									PROCEDURE_SET(BgL_mainz00_14626,
										(int) (((long) 3)), ((obj_t) BgL_i1250z00_15084));
									PROCEDURE_SET(BgL_mainz00_14626,
										(int) (((long) 4)), BgL_bodyz00_15085);
									PROCEDURE_SET(BgL_mainz00_14626,
										(int) (((long) 5)), BgL_runz00_14625);
									PROCEDURE_SET(BgL_mainz00_14626,
										(int) (((long) 6)), BINT(BgL_siza7ezd2framez75_15086));
									{	/* Eval/evaluate_comp.scm 1116 */
										obj_t BgL_objz00_12581;

										BgL_objz00_12581 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_14625, BgL_objz00_12581);
										BgL_objz00_12581;
									}
									{	/* Eval/evaluate_comp.scm 1116 */
										obj_t BgL_arg3572z00_4435;

										{	/* Eval/evaluate_comp.scm 1116 */
											obj_t BgL_arg3573z00_4436;

											BgL_arg3573z00_4436 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_15084))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1116 */
												obj_t BgL_newz00_12585;

												BgL_newz00_12585 =
													create_struct(BGl_symbol5569z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 1116 */
													int BgL_auxz00_24009;

													BgL_auxz00_24009 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_12585, BgL_auxz00_24009,
														BgL_arg3573z00_4436);
												}
												{	/* Eval/evaluate_comp.scm 1116 */
													obj_t BgL_auxz00_24014;
													int BgL_auxz00_24012;

													BgL_auxz00_24014 = BINT(BgL_siza7ezd2framez75_15086);
													BgL_auxz00_24012 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_12585, BgL_auxz00_24012,
														BgL_auxz00_24014);
												}
												{	/* Eval/evaluate_comp.scm 1116 */
													int BgL_auxz00_24017;

													BgL_auxz00_24017 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_12585, BgL_auxz00_24017,
														BgL_runz00_14625);
												}
												{	/* Eval/evaluate_comp.scm 1116 */
													obj_t BgL_auxz00_24022;
													int BgL_auxz00_24020;

													BgL_auxz00_24022 = BINT(((long) 3));
													BgL_auxz00_24020 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_12585, BgL_auxz00_24020,
														BgL_auxz00_24022);
												}
												BgL_arg3572z00_4435 = BgL_newz00_12585;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_14626, BgL_arg3572z00_4435);
										BgL_arg3572z00_4435;
									}
									return BgL_mainz00_14626;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main5482 */
	obj_t BGl_z62main5482z62zz__evaluate_compz00(obj_t BgL_envz00_15088,
		obj_t BgL_bz00_15096, obj_t BgL_cz00_15097, obj_t BgL_dz00_15098)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1116 */
			{	/* Eval/evaluate_comp.scm 1116 */
				obj_t BgL_runz00_15094;
				long BgL_siza7ezd2framez75_15095;

				BgL_runz00_15094 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15088, (int) (((long) 5))));
				BgL_siza7ezd2framez75_15095 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15088, (int) (((long) 6))));
				{
					obj_t BgL_bz00_4437;
					obj_t BgL_cz00_4438;
					obj_t BgL_dz00_4439;

					BgL_bz00_4437 = BgL_bz00_15096;
					BgL_cz00_4438 = BgL_cz00_15097;
					BgL_dz00_4439 = BgL_dz00_15098;
					{	/* Eval/evaluate_comp.scm 1116 */
						obj_t BgL_sz00_4441;

						BgL_sz00_4441 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1116 */
							obj_t BgL_bpz00_4442;

							BgL_bpz00_4442 = VECTOR_REF(BgL_sz00_4441, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1116 */
								bool_t BgL_testz00_24035;

								{	/* Eval/evaluate_comp.scm 1116 */
									int BgL_arg1909z00_12534;

									BgL_arg1909z00_12534 = VECTOR_LENGTH(BgL_sz00_4441);
									BgL_testz00_24035 =
										(
										((long) CINT(BgL_bpz00_4442) +
											BgL_siza7ezd2framez75_15095) <
										(long) (BgL_arg1909z00_12534));
								}
								if (BgL_testz00_24035)
									{	/* Eval/evaluate_comp.scm 1116 */
										{	/* Eval/evaluate_comp.scm 1116 */
											long BgL_arg3576z00_4444;

											BgL_arg3576z00_4444 =
												((long) CINT(BgL_bpz00_4442) + ((long) 0));
											VECTOR_SET(BgL_sz00_4441,
												(int) (BgL_arg3576z00_4444), BgL_bz00_4437);
										}
										{	/* Eval/evaluate_comp.scm 1116 */
											long BgL_arg3577z00_4445;

											BgL_arg3577z00_4445 =
												((long) CINT(BgL_bpz00_4442) + ((long) 1));
											VECTOR_SET(BgL_sz00_4441,
												(int) (BgL_arg3577z00_4445), BgL_cz00_4438);
										}
										{	/* Eval/evaluate_comp.scm 1116 */
											long BgL_arg3578z00_4446;

											BgL_arg3578z00_4446 =
												((long) CINT(BgL_bpz00_4442) + ((long) 2));
											VECTOR_SET(BgL_sz00_4441,
												(int) (BgL_arg3578z00_4446), BgL_dz00_4439);
										}
										{	/* Eval/evaluate_comp.scm 1116 */
											obj_t BgL_val1439z00_4447;

											BgL_val1439z00_4447 =
												BGl_zc3exitza33582ze3z83zz__evaluate_compz00
												(BgL_bpz00_4442, BgL_sz00_4441, BgL_runz00_15094);
											VECTOR_SET(BgL_sz00_4441, (int) (((long) 0)),
												BgL_bpz00_4442);
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1439z00_4447)))
												{	/* Eval/evaluate_comp.scm 1116 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1439z00_4447), CDR(BgL_val1439z00_4447));
												}
											else
												{	/* Eval/evaluate_comp.scm 1116 */
													return BgL_val1439z00_4447;
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1116 */
										obj_t BgL_nsz00_4454;

										BgL_nsz00_4454 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_4454,
											(int) (((long) 1)), BgL_sz00_4441);
										VECTOR_SET(BgL_nsz00_4454,
											(int) (((long) 2)), BgL_bz00_4437);
										VECTOR_SET(BgL_nsz00_4454,
											(int) (((long) 3)), BgL_cz00_4438);
										VECTOR_SET(BgL_nsz00_4454,
											(int) (((long) 4)), BgL_dz00_4439);
										{	/* Eval/evaluate_comp.scm 1116 */
											obj_t BgL_auxz00_24071;

											BgL_auxz00_24071 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_24071, BgL_nsz00_4454);
										}
										{	/* Eval/evaluate_comp.scm 1116 */
											obj_t BgL_val1442z00_4456;

											BgL_val1442z00_4456 =
												BGl_zc3exitza33588ze3z83zz__evaluate_compz00
												(BgL_nsz00_4454, BgL_runz00_15094);
											{	/* Eval/evaluate_comp.scm 1116 */
												obj_t BgL_auxz00_24075;

												BgL_auxz00_24075 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_EVSTATE_SET(BgL_auxz00_24075, BgL_sz00_4441);
											}
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1442z00_4456)))
												{	/* Eval/evaluate_comp.scm 1116 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1442z00_4456), CDR(BgL_val1442z00_4456));
												}
											else
												{	/* Eval/evaluate_comp.scm 1116 */
													return BgL_val1442z00_4456;
												}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:3588> */
	obj_t BGl_zc3exitza33588ze3z83zz__evaluate_compz00(obj_t BgL_nsz00_16039,
		obj_t BgL_runz00_16038)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1116 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1443z00_4462;

			if (SET_EXIT(BgL_an_exit1443z00_4462))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1443z00_4462 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1116 */

						PUSH_EXIT(BgL_an_exit1443z00_4462, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1116 */
							obj_t BgL_val1444z00_4463;

							BgL_val1444z00_4463 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_16038,
								BgL_nsz00_16039, BINT(((long) 2)));
							POP_EXIT();
							return BgL_val1444z00_4463;
						}
					}
				}
		}
	}



/* <exit:3582> */
	obj_t BGl_zc3exitza33582ze3z83zz__evaluate_compz00(obj_t BgL_bpz00_16042,
		obj_t BgL_sz00_16041, obj_t BgL_runz00_16040)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1116 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1440z00_4452;

			if (SET_EXIT(BgL_an_exit1440z00_4452))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1440z00_4452 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1116 */

						PUSH_EXIT(BgL_an_exit1440z00_4452, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1116 */
							obj_t BgL_val1441z00_4453;

							BgL_val1441z00_4453 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_16040,
								BgL_sz00_16041, BgL_bpz00_16042);
							POP_EXIT();
							return BgL_val1441z00_4453;
						}
					}
				}
		}
	}



/* &run5483 */
	obj_t BGl_z62run5483z62zz__evaluate_compz00(obj_t BgL_envz00_15099,
		obj_t BgL_sz00_15105)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1116 */
			{	/* Eval/evaluate_comp.scm 1116 */
				obj_t BgL_iboxesz00_15100;
				long BgL_siza7eza7_15101;
				obj_t BgL_valza2za2_15102;
				BgL_ev_absz00_bglt BgL_i1250z00_15103;
				obj_t BgL_bodyz00_15104;

				BgL_iboxesz00_15100 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15099, (int) (((long) 0))));
				BgL_siza7eza7_15101 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15099, (int) (((long) 1))));
				BgL_valza2za2_15102 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15099, (int) (((long) 2))));
				BgL_i1250z00_15103 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_15099, (int) (((long) 3))));
				BgL_bodyz00_15104 = PROCEDURE_REF(BgL_envz00_15099, (int) (((long) 4)));
				{
					obj_t BgL_sz00_4465;

					BgL_sz00_4465 = BgL_sz00_15105;
					{	/* Eval/evaluate_comp.scm 1116 */
						obj_t BgL_bpz00_4467;

						BgL_bpz00_4467 = VECTOR_REF(BgL_sz00_4465, (int) (((long) 0)));
						BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_4465,
							BgL_iboxesz00_15100, BgL_bpz00_4467);
						BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_4465,
							BgL_valza2za2_15102,
							((long) CINT(BgL_bpz00_4467) + BgL_siza7eza7_15101));
						{	/* Eval/evaluate_comp.scm 1036 */
							obj_t BgL_z12denvz12_4469;
							obj_t BgL_wherez00_4470;
							obj_t BgL_locz00_4471;

							BgL_z12denvz12_4469 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_4470 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_15103))->BgL_wherez00);
							BgL_locz00_4471 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_15103))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1036 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_4469, BgL_wherez00_4470,
									BgL_locz00_4471);
								{	/* Eval/evaluate_comp.scm 1036 */
									obj_t BgL_za2za2resza2za2z00_4472;

									BgL_za2za2resza2za2z00_4472 =
										PROCEDURE_ENTRY(BgL_bodyz00_15104) (BgL_bodyz00_15104,
										BgL_sz00_4465, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_4469);
									return BgL_za2za2resza2za2z00_4472;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3427> */
	obj_t BGl_z62zc3anonymousza33427ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15106, obj_t BgL_sz00_15110)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1116 */
			{	/* Eval/evaluate_comp.scm 1116 */
				BgL_ev_absz00_bglt BgL_i1250z00_15107;
				obj_t BgL_bodyz00_15108;
				long BgL_siza7ezd2framez75_15109;

				BgL_i1250z00_15107 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_15106, (int) (((long) 0))));
				BgL_bodyz00_15108 = PROCEDURE_REF(BgL_envz00_15106, (int) (((long) 1)));
				BgL_siza7ezd2framez75_15109 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15106, (int) (((long) 2))));
				{
					obj_t BgL_sz00_4114;

					BgL_sz00_4114 = BgL_sz00_15110;
					{	/* Eval/evaluate_comp.scm 1116 */
						obj_t BgL_bpz00_4116;

						BgL_bpz00_4116 = VECTOR_REF(BgL_sz00_4114, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1116 */

							{	/* Eval/evaluate_comp.scm 1116 */
								obj_t BgL_runz00_14622;

								BgL_runz00_14622 =
									MAKE_FX_PROCEDURE(BGl_z62run5485z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 2)));
								PROCEDURE_SET(BgL_runz00_14622,
									(int) (((long) 0)), ((obj_t) BgL_i1250z00_15107));
								PROCEDURE_SET(BgL_runz00_14622,
									(int) (((long) 1)), BgL_bodyz00_15108);
								{	/* Eval/evaluate_comp.scm 1116 */
									obj_t BgL_mainz00_14623;

									BgL_mainz00_14623 =
										MAKE_VA_PROCEDURE(BGl_z62main5484z62zz__evaluate_compz00,
										(int) (((long) -3)), (int) (((long) 4)));
									PROCEDURE_SET(BgL_mainz00_14623,
										(int) (((long) 0)), ((obj_t) BgL_i1250z00_15107));
									PROCEDURE_SET(BgL_mainz00_14623,
										(int) (((long) 1)), BgL_bodyz00_15108);
									PROCEDURE_SET(BgL_mainz00_14623,
										(int) (((long) 2)), BgL_runz00_14622);
									PROCEDURE_SET(BgL_mainz00_14623,
										(int) (((long) 3)), BINT(BgL_siza7ezd2framez75_15109));
									{	/* Eval/evaluate_comp.scm 1116 */
										obj_t BgL_objz00_11979;

										BgL_objz00_11979 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_14622, BgL_objz00_11979);
										BgL_objz00_11979;
									}
									{	/* Eval/evaluate_comp.scm 1116 */
										obj_t BgL_arg3428z00_4119;

										{	/* Eval/evaluate_comp.scm 1116 */
											obj_t BgL_arg3429z00_4120;

											BgL_arg3429z00_4120 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_15107))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1116 */
												obj_t BgL_newz00_11983;

												BgL_newz00_11983 =
													create_struct(BGl_symbol5569z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 1116 */
													int BgL_auxz00_24159;

													BgL_auxz00_24159 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_11983, BgL_auxz00_24159,
														BgL_arg3429z00_4120);
												}
												{	/* Eval/evaluate_comp.scm 1116 */
													obj_t BgL_auxz00_24164;
													int BgL_auxz00_24162;

													BgL_auxz00_24164 = BINT(BgL_siza7ezd2framez75_15109);
													BgL_auxz00_24162 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_11983, BgL_auxz00_24162,
														BgL_auxz00_24164);
												}
												{	/* Eval/evaluate_comp.scm 1116 */
													int BgL_auxz00_24167;

													BgL_auxz00_24167 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_11983, BgL_auxz00_24167,
														BgL_runz00_14622);
												}
												{	/* Eval/evaluate_comp.scm 1116 */
													obj_t BgL_auxz00_24172;
													int BgL_auxz00_24170;

													BgL_auxz00_24172 = BINT(((long) -3));
													BgL_auxz00_24170 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_11983, BgL_auxz00_24170,
														BgL_auxz00_24172);
												}
												BgL_arg3428z00_4119 = BgL_newz00_11983;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_14623, BgL_arg3428z00_4119);
										BgL_arg3428z00_4119;
									}
									return BgL_mainz00_14623;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main5484 */
	obj_t BGl_z62main5484z62zz__evaluate_compz00(obj_t BgL_envz00_15111,
		obj_t BgL_cz00_15116, obj_t BgL_dz00_15117, obj_t BgL_lastz00_15118)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1116 */
			{	/* Eval/evaluate_comp.scm 1116 */
				obj_t BgL_runz00_15114;
				long BgL_siza7ezd2framez75_15115;

				BgL_runz00_15114 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15111, (int) (((long) 2))));
				BgL_siza7ezd2framez75_15115 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15111, (int) (((long) 3))));
				{
					obj_t BgL_cz00_4121;
					obj_t BgL_dz00_4122;
					obj_t BgL_lastz00_4123;

					BgL_cz00_4121 = BgL_cz00_15116;
					BgL_dz00_4122 = BgL_dz00_15117;
					BgL_lastz00_4123 = BgL_lastz00_15118;
					{	/* Eval/evaluate_comp.scm 1116 */
						obj_t BgL_sz00_4125;

						BgL_sz00_4125 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1116 */
							obj_t BgL_bpz00_4126;

							BgL_bpz00_4126 = VECTOR_REF(BgL_sz00_4125, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1116 */
								bool_t BgL_testz00_24185;

								{	/* Eval/evaluate_comp.scm 1116 */
									int BgL_arg1909z00_11932;

									BgL_arg1909z00_11932 = VECTOR_LENGTH(BgL_sz00_4125);
									BgL_testz00_24185 =
										(
										((long) CINT(BgL_bpz00_4126) +
											BgL_siza7ezd2framez75_15115) <
										(long) (BgL_arg1909z00_11932));
								}
								if (BgL_testz00_24185)
									{	/* Eval/evaluate_comp.scm 1116 */
										{	/* Eval/evaluate_comp.scm 1116 */
											long BgL_arg3432z00_4128;

											BgL_arg3432z00_4128 =
												((long) CINT(BgL_bpz00_4126) + ((long) 0));
											VECTOR_SET(BgL_sz00_4125,
												(int) (BgL_arg3432z00_4128), BgL_cz00_4121);
										}
										{	/* Eval/evaluate_comp.scm 1116 */
											long BgL_arg3433z00_4129;

											BgL_arg3433z00_4129 =
												((long) CINT(BgL_bpz00_4126) + ((long) 1));
											VECTOR_SET(BgL_sz00_4125,
												(int) (BgL_arg3433z00_4129), BgL_dz00_4122);
										}
										{	/* Eval/evaluate_comp.scm 1116 */
											long BgL_arg3434z00_4130;

											BgL_arg3434z00_4130 =
												((long) CINT(BgL_bpz00_4126) + ((long) 2));
											VECTOR_SET(BgL_sz00_4125,
												(int) (BgL_arg3434z00_4130), BgL_lastz00_4123);
										}
										{	/* Eval/evaluate_comp.scm 1116 */
											obj_t BgL_val1397z00_4131;

											BgL_val1397z00_4131 =
												BGl_zc3exitza33438ze3z83zz__evaluate_compz00
												(BgL_bpz00_4126, BgL_sz00_4125, BgL_runz00_15114);
											VECTOR_SET(BgL_sz00_4125, (int) (((long) 0)),
												BgL_bpz00_4126);
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1397z00_4131)))
												{	/* Eval/evaluate_comp.scm 1116 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1397z00_4131), CDR(BgL_val1397z00_4131));
												}
											else
												{	/* Eval/evaluate_comp.scm 1116 */
													return BgL_val1397z00_4131;
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1116 */
										obj_t BgL_nsz00_4138;

										BgL_nsz00_4138 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_4138,
											(int) (((long) 1)), BgL_sz00_4125);
										VECTOR_SET(BgL_nsz00_4138,
											(int) (((long) 2)), BgL_cz00_4121);
										VECTOR_SET(BgL_nsz00_4138,
											(int) (((long) 3)), BgL_dz00_4122);
										VECTOR_SET(BgL_nsz00_4138,
											(int) (((long) 4)), BgL_lastz00_4123);
										{	/* Eval/evaluate_comp.scm 1116 */
											obj_t BgL_auxz00_24221;

											BgL_auxz00_24221 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_24221, BgL_nsz00_4138);
										}
										{	/* Eval/evaluate_comp.scm 1116 */
											obj_t BgL_val1400z00_4140;

											BgL_val1400z00_4140 =
												BGl_zc3exitza33444ze3z83zz__evaluate_compz00
												(BgL_nsz00_4138, BgL_runz00_15114);
											{	/* Eval/evaluate_comp.scm 1116 */
												obj_t BgL_auxz00_24225;

												BgL_auxz00_24225 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_EVSTATE_SET(BgL_auxz00_24225, BgL_sz00_4125);
											}
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1400z00_4140)))
												{	/* Eval/evaluate_comp.scm 1116 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1400z00_4140), CDR(BgL_val1400z00_4140));
												}
											else
												{	/* Eval/evaluate_comp.scm 1116 */
													return BgL_val1400z00_4140;
												}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:3444> */
	obj_t BGl_zc3exitza33444ze3z83zz__evaluate_compz00(obj_t BgL_nsz00_16034,
		obj_t BgL_runz00_16033)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1116 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1401z00_4146;

			if (SET_EXIT(BgL_an_exit1401z00_4146))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1401z00_4146 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1116 */

						PUSH_EXIT(BgL_an_exit1401z00_4146, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1116 */
							obj_t BgL_val1402z00_4147;

							BgL_val1402z00_4147 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_16033,
								BgL_nsz00_16034, BINT(((long) 2)));
							POP_EXIT();
							return BgL_val1402z00_4147;
						}
					}
				}
		}
	}



/* <exit:3438> */
	obj_t BGl_zc3exitza33438ze3z83zz__evaluate_compz00(obj_t BgL_bpz00_16037,
		obj_t BgL_sz00_16036, obj_t BgL_runz00_16035)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1116 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1398z00_4136;

			if (SET_EXIT(BgL_an_exit1398z00_4136))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1398z00_4136 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1116 */

						PUSH_EXIT(BgL_an_exit1398z00_4136, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1116 */
							obj_t BgL_val1399z00_4137;

							BgL_val1399z00_4137 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_16035,
								BgL_sz00_16036, BgL_bpz00_16037);
							POP_EXIT();
							return BgL_val1399z00_4137;
						}
					}
				}
		}
	}



/* &run5485 */
	obj_t BGl_z62run5485z62zz__evaluate_compz00(obj_t BgL_envz00_15119,
		obj_t BgL_sz00_15122)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1116 */
			{	/* Eval/evaluate_comp.scm 1116 */
				BgL_ev_absz00_bglt BgL_i1250z00_15120;
				obj_t BgL_bodyz00_15121;

				BgL_i1250z00_15120 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_15119, (int) (((long) 0))));
				BgL_bodyz00_15121 = PROCEDURE_REF(BgL_envz00_15119, (int) (((long) 1)));
				{
					obj_t BgL_sz00_4149;

					BgL_sz00_4149 = BgL_sz00_15122;
					{	/* Eval/evaluate_comp.scm 1116 */
						obj_t BgL_bpz00_4151;

						BgL_bpz00_4151 = VECTOR_REF(BgL_sz00_4149, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1116 */
							obj_t BgL_z12denvz12_4152;
							obj_t BgL_wherez00_4153;
							obj_t BgL_locz00_4154;

							BgL_z12denvz12_4152 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_4153 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_15120))->BgL_wherez00);
							BgL_locz00_4154 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_15120))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1116 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_4152, BgL_wherez00_4153,
									BgL_locz00_4154);
								{	/* Eval/evaluate_comp.scm 1116 */
									obj_t BgL_za2za2resza2za2z00_4155;

									BgL_za2za2resza2za2z00_4155 =
										PROCEDURE_ENTRY(BgL_bodyz00_15121) (BgL_bodyz00_15121,
										BgL_sz00_4149, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_4152);
									return BgL_za2za2resza2za2z00_4155;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3446> */
	obj_t BGl_z62zc3anonymousza33446ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15123, obj_t BgL_sz00_15128)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1116 */
			{	/* Eval/evaluate_comp.scm 1116 */
				obj_t BgL_iboxesz00_15124;
				BgL_ev_absz00_bglt BgL_i1250z00_15125;
				obj_t BgL_bodyz00_15126;
				long BgL_siza7ezd2framez75_15127;

				BgL_iboxesz00_15124 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15123, (int) (((long) 0))));
				BgL_i1250z00_15125 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_15123, (int) (((long) 1))));
				BgL_bodyz00_15126 = PROCEDURE_REF(BgL_envz00_15123, (int) (((long) 2)));
				BgL_siza7ezd2framez75_15127 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15123, (int) (((long) 3))));
				{
					obj_t BgL_sz00_4157;

					BgL_sz00_4157 = BgL_sz00_15128;
					{	/* Eval/evaluate_comp.scm 1116 */
						obj_t BgL_bpz00_4159;

						BgL_bpz00_4159 = VECTOR_REF(BgL_sz00_4157, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1116 */

							{	/* Eval/evaluate_comp.scm 1116 */
								obj_t BgL_runz00_14619;

								BgL_runz00_14619 =
									MAKE_FX_PROCEDURE(BGl_z62run5487z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 3)));
								PROCEDURE_SET(BgL_runz00_14619,
									(int) (((long) 0)), BgL_iboxesz00_15124);
								PROCEDURE_SET(BgL_runz00_14619,
									(int) (((long) 1)), ((obj_t) BgL_i1250z00_15125));
								PROCEDURE_SET(BgL_runz00_14619,
									(int) (((long) 2)), BgL_bodyz00_15126);
								{	/* Eval/evaluate_comp.scm 1116 */
									obj_t BgL_mainz00_14620;

									BgL_mainz00_14620 =
										MAKE_VA_PROCEDURE(BGl_z62main5486z62zz__evaluate_compz00,
										(int) (((long) -3)), (int) (((long) 5)));
									PROCEDURE_SET(BgL_mainz00_14620,
										(int) (((long) 0)), BgL_iboxesz00_15124);
									PROCEDURE_SET(BgL_mainz00_14620,
										(int) (((long) 1)), ((obj_t) BgL_i1250z00_15125));
									PROCEDURE_SET(BgL_mainz00_14620,
										(int) (((long) 2)), BgL_bodyz00_15126);
									PROCEDURE_SET(BgL_mainz00_14620,
										(int) (((long) 3)), BgL_runz00_14619);
									PROCEDURE_SET(BgL_mainz00_14620,
										(int) (((long) 4)), BINT(BgL_siza7ezd2framez75_15127));
									{	/* Eval/evaluate_comp.scm 1116 */
										obj_t BgL_objz00_12061;

										BgL_objz00_12061 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_14619, BgL_objz00_12061);
										BgL_objz00_12061;
									}
									{	/* Eval/evaluate_comp.scm 1116 */
										obj_t BgL_arg3447z00_4162;

										{	/* Eval/evaluate_comp.scm 1116 */
											obj_t BgL_arg3448z00_4163;

											BgL_arg3448z00_4163 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_15125))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1116 */
												obj_t BgL_newz00_12065;

												BgL_newz00_12065 =
													create_struct(BGl_symbol5569z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 1116 */
													int BgL_auxz00_24303;

													BgL_auxz00_24303 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_12065, BgL_auxz00_24303,
														BgL_arg3448z00_4163);
												}
												{	/* Eval/evaluate_comp.scm 1116 */
													obj_t BgL_auxz00_24308;
													int BgL_auxz00_24306;

													BgL_auxz00_24308 = BINT(BgL_siza7ezd2framez75_15127);
													BgL_auxz00_24306 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_12065, BgL_auxz00_24306,
														BgL_auxz00_24308);
												}
												{	/* Eval/evaluate_comp.scm 1116 */
													int BgL_auxz00_24311;

													BgL_auxz00_24311 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_12065, BgL_auxz00_24311,
														BgL_runz00_14619);
												}
												{	/* Eval/evaluate_comp.scm 1116 */
													obj_t BgL_auxz00_24316;
													int BgL_auxz00_24314;

													BgL_auxz00_24316 = BINT(((long) -3));
													BgL_auxz00_24314 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_12065, BgL_auxz00_24314,
														BgL_auxz00_24316);
												}
												BgL_arg3447z00_4162 = BgL_newz00_12065;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_14620, BgL_arg3447z00_4162);
										BgL_arg3447z00_4162;
									}
									return BgL_mainz00_14620;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main5486 */
	obj_t BGl_z62main5486z62zz__evaluate_compz00(obj_t BgL_envz00_15129,
		obj_t BgL_cz00_15135, obj_t BgL_dz00_15136, obj_t BgL_lastz00_15137)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1116 */
			{	/* Eval/evaluate_comp.scm 1116 */
				obj_t BgL_runz00_15133;
				long BgL_siza7ezd2framez75_15134;

				BgL_runz00_15133 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15129, (int) (((long) 3))));
				BgL_siza7ezd2framez75_15134 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15129, (int) (((long) 4))));
				{
					obj_t BgL_cz00_4164;
					obj_t BgL_dz00_4165;
					obj_t BgL_lastz00_4166;

					BgL_cz00_4164 = BgL_cz00_15135;
					BgL_dz00_4165 = BgL_dz00_15136;
					BgL_lastz00_4166 = BgL_lastz00_15137;
					{	/* Eval/evaluate_comp.scm 1116 */
						obj_t BgL_sz00_4168;

						BgL_sz00_4168 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1116 */
							obj_t BgL_bpz00_4169;

							BgL_bpz00_4169 = VECTOR_REF(BgL_sz00_4168, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1116 */
								bool_t BgL_testz00_24329;

								{	/* Eval/evaluate_comp.scm 1116 */
									int BgL_arg1909z00_12014;

									BgL_arg1909z00_12014 = VECTOR_LENGTH(BgL_sz00_4168);
									BgL_testz00_24329 =
										(
										((long) CINT(BgL_bpz00_4169) +
											BgL_siza7ezd2framez75_15134) <
										(long) (BgL_arg1909z00_12014));
								}
								if (BgL_testz00_24329)
									{	/* Eval/evaluate_comp.scm 1116 */
										{	/* Eval/evaluate_comp.scm 1116 */
											long BgL_arg3451z00_4171;

											BgL_arg3451z00_4171 =
												((long) CINT(BgL_bpz00_4169) + ((long) 0));
											VECTOR_SET(BgL_sz00_4168,
												(int) (BgL_arg3451z00_4171), BgL_cz00_4164);
										}
										{	/* Eval/evaluate_comp.scm 1116 */
											long BgL_arg3452z00_4172;

											BgL_arg3452z00_4172 =
												((long) CINT(BgL_bpz00_4169) + ((long) 1));
											VECTOR_SET(BgL_sz00_4168,
												(int) (BgL_arg3452z00_4172), BgL_dz00_4165);
										}
										{	/* Eval/evaluate_comp.scm 1116 */
											long BgL_arg3453z00_4173;

											BgL_arg3453z00_4173 =
												((long) CINT(BgL_bpz00_4169) + ((long) 2));
											VECTOR_SET(BgL_sz00_4168,
												(int) (BgL_arg3453z00_4173), BgL_lastz00_4166);
										}
										{	/* Eval/evaluate_comp.scm 1116 */
											obj_t BgL_val1403z00_4174;

											BgL_val1403z00_4174 =
												BGl_zc3exitza33457ze3z83zz__evaluate_compz00
												(BgL_bpz00_4169, BgL_sz00_4168, BgL_runz00_15133);
											VECTOR_SET(BgL_sz00_4168, (int) (((long) 0)),
												BgL_bpz00_4169);
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1403z00_4174)))
												{	/* Eval/evaluate_comp.scm 1116 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1403z00_4174), CDR(BgL_val1403z00_4174));
												}
											else
												{	/* Eval/evaluate_comp.scm 1116 */
													return BgL_val1403z00_4174;
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1116 */
										obj_t BgL_nsz00_4181;

										BgL_nsz00_4181 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_4181,
											(int) (((long) 1)), BgL_sz00_4168);
										VECTOR_SET(BgL_nsz00_4181,
											(int) (((long) 2)), BgL_cz00_4164);
										VECTOR_SET(BgL_nsz00_4181,
											(int) (((long) 3)), BgL_dz00_4165);
										VECTOR_SET(BgL_nsz00_4181,
											(int) (((long) 4)), BgL_lastz00_4166);
										{	/* Eval/evaluate_comp.scm 1116 */
											obj_t BgL_auxz00_24365;

											BgL_auxz00_24365 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_24365, BgL_nsz00_4181);
										}
										{	/* Eval/evaluate_comp.scm 1116 */
											obj_t BgL_val1406z00_4183;

											BgL_val1406z00_4183 =
												BGl_zc3exitza33463ze3z83zz__evaluate_compz00
												(BgL_nsz00_4181, BgL_runz00_15133);
											{	/* Eval/evaluate_comp.scm 1116 */
												obj_t BgL_auxz00_24369;

												BgL_auxz00_24369 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_EVSTATE_SET(BgL_auxz00_24369, BgL_sz00_4168);
											}
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1406z00_4183)))
												{	/* Eval/evaluate_comp.scm 1116 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1406z00_4183), CDR(BgL_val1406z00_4183));
												}
											else
												{	/* Eval/evaluate_comp.scm 1116 */
													return BgL_val1406z00_4183;
												}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:3463> */
	obj_t BGl_zc3exitza33463ze3z83zz__evaluate_compz00(obj_t BgL_nsz00_16029,
		obj_t BgL_runz00_16028)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1116 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1407z00_4189;

			if (SET_EXIT(BgL_an_exit1407z00_4189))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1407z00_4189 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1116 */

						PUSH_EXIT(BgL_an_exit1407z00_4189, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1116 */
							obj_t BgL_val1408z00_4190;

							BgL_val1408z00_4190 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_16028,
								BgL_nsz00_16029, BINT(((long) 2)));
							POP_EXIT();
							return BgL_val1408z00_4190;
						}
					}
				}
		}
	}



/* <exit:3457> */
	obj_t BGl_zc3exitza33457ze3z83zz__evaluate_compz00(obj_t BgL_bpz00_16032,
		obj_t BgL_sz00_16031, obj_t BgL_runz00_16030)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1116 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1404z00_4179;

			if (SET_EXIT(BgL_an_exit1404z00_4179))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1404z00_4179 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1116 */

						PUSH_EXIT(BgL_an_exit1404z00_4179, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1116 */
							obj_t BgL_val1405z00_4180;

							BgL_val1405z00_4180 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_16030,
								BgL_sz00_16031, BgL_bpz00_16032);
							POP_EXIT();
							return BgL_val1405z00_4180;
						}
					}
				}
		}
	}



/* &run5487 */
	obj_t BGl_z62run5487z62zz__evaluate_compz00(obj_t BgL_envz00_15138,
		obj_t BgL_sz00_15142)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1116 */
			{	/* Eval/evaluate_comp.scm 1116 */
				obj_t BgL_iboxesz00_15139;
				BgL_ev_absz00_bglt BgL_i1250z00_15140;
				obj_t BgL_bodyz00_15141;

				BgL_iboxesz00_15139 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15138, (int) (((long) 0))));
				BgL_i1250z00_15140 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_15138, (int) (((long) 1))));
				BgL_bodyz00_15141 = PROCEDURE_REF(BgL_envz00_15138, (int) (((long) 2)));
				{
					obj_t BgL_sz00_4192;

					BgL_sz00_4192 = BgL_sz00_15142;
					{	/* Eval/evaluate_comp.scm 1116 */
						obj_t BgL_bpz00_4194;

						BgL_bpz00_4194 = VECTOR_REF(BgL_sz00_4192, (int) (((long) 0)));
						BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_4192,
							BgL_iboxesz00_15139, BgL_bpz00_4194);
						{	/* Eval/evaluate_comp.scm 1116 */
							obj_t BgL_z12denvz12_4195;
							obj_t BgL_wherez00_4196;
							obj_t BgL_locz00_4197;

							BgL_z12denvz12_4195 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_4196 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_15140))->BgL_wherez00);
							BgL_locz00_4197 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_15140))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1116 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_4195, BgL_wherez00_4196,
									BgL_locz00_4197);
								{	/* Eval/evaluate_comp.scm 1116 */
									obj_t BgL_za2za2resza2za2z00_4198;

									BgL_za2za2resza2za2z00_4198 =
										PROCEDURE_ENTRY(BgL_bodyz00_15141) (BgL_bodyz00_15141,
										BgL_sz00_4192, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_4195);
									return BgL_za2za2resza2za2z00_4198;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3467> */
	obj_t BGl_z62zc3anonymousza33467ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15143, obj_t BgL_sz00_15149)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1116 */
			{	/* Eval/evaluate_comp.scm 1116 */
				obj_t BgL_ifreesz00_15144;
				long BgL_siza7eza7_15145;
				BgL_ev_absz00_bglt BgL_i1250z00_15146;
				obj_t BgL_bodyz00_15147;
				long BgL_siza7ezd2framez75_15148;

				BgL_ifreesz00_15144 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15143, (int) (((long) 0))));
				BgL_siza7eza7_15145 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15143, (int) (((long) 1))));
				BgL_i1250z00_15146 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_15143, (int) (((long) 2))));
				BgL_bodyz00_15147 = PROCEDURE_REF(BgL_envz00_15143, (int) (((long) 3)));
				BgL_siza7ezd2framez75_15148 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15143, (int) (((long) 4))));
				{
					obj_t BgL_sz00_4202;

					BgL_sz00_4202 = BgL_sz00_15149;
					{	/* Eval/evaluate_comp.scm 1116 */
						obj_t BgL_bpz00_4204;

						BgL_bpz00_4204 = VECTOR_REF(BgL_sz00_4202, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1116 */
							obj_t BgL_valza2za2_4205;

							BgL_valza2za2_4205 =
								BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_4202,
								BgL_bpz00_4204, BgL_ifreesz00_15144);
							{	/* Eval/evaluate_comp.scm 1116 */
								obj_t BgL_runz00_14616;

								BgL_runz00_14616 =
									MAKE_FX_PROCEDURE(BGl_z62run5489z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 4)));
								PROCEDURE_SET(BgL_runz00_14616,
									(int) (((long) 0)), BINT(BgL_siza7eza7_15145));
								PROCEDURE_SET(BgL_runz00_14616,
									(int) (((long) 1)), BgL_valza2za2_4205);
								PROCEDURE_SET(BgL_runz00_14616,
									(int) (((long) 2)), ((obj_t) BgL_i1250z00_15146));
								PROCEDURE_SET(BgL_runz00_14616,
									(int) (((long) 3)), BgL_bodyz00_15147);
								{	/* Eval/evaluate_comp.scm 1116 */
									obj_t BgL_mainz00_14617;

									BgL_mainz00_14617 =
										MAKE_VA_PROCEDURE(BGl_z62main5488z62zz__evaluate_compz00,
										(int) (((long) -3)), (int) (((long) 6)));
									PROCEDURE_SET(BgL_mainz00_14617,
										(int) (((long) 0)), BINT(BgL_siza7eza7_15145));
									PROCEDURE_SET(BgL_mainz00_14617,
										(int) (((long) 1)), BgL_valza2za2_4205);
									PROCEDURE_SET(BgL_mainz00_14617,
										(int) (((long) 2)), ((obj_t) BgL_i1250z00_15146));
									PROCEDURE_SET(BgL_mainz00_14617,
										(int) (((long) 3)), BgL_bodyz00_15147);
									PROCEDURE_SET(BgL_mainz00_14617,
										(int) (((long) 4)), BgL_runz00_14616);
									PROCEDURE_SET(BgL_mainz00_14617,
										(int) (((long) 5)), BINT(BgL_siza7ezd2framez75_15148));
									{	/* Eval/evaluate_comp.scm 1116 */
										obj_t BgL_objz00_12150;

										BgL_objz00_12150 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_14616, BgL_objz00_12150);
										BgL_objz00_12150;
									}
									{	/* Eval/evaluate_comp.scm 1116 */
										obj_t BgL_arg3468z00_4208;

										{	/* Eval/evaluate_comp.scm 1116 */
											obj_t BgL_arg3469z00_4209;

											BgL_arg3469z00_4209 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_15146))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1116 */
												obj_t BgL_newz00_12154;

												BgL_newz00_12154 =
													create_struct(BGl_symbol5569z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 1116 */
													int BgL_auxz00_24461;

													BgL_auxz00_24461 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_12154, BgL_auxz00_24461,
														BgL_arg3469z00_4209);
												}
												{	/* Eval/evaluate_comp.scm 1116 */
													obj_t BgL_auxz00_24466;
													int BgL_auxz00_24464;

													BgL_auxz00_24466 = BINT(BgL_siza7ezd2framez75_15148);
													BgL_auxz00_24464 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_12154, BgL_auxz00_24464,
														BgL_auxz00_24466);
												}
												{	/* Eval/evaluate_comp.scm 1116 */
													int BgL_auxz00_24469;

													BgL_auxz00_24469 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_12154, BgL_auxz00_24469,
														BgL_runz00_14616);
												}
												{	/* Eval/evaluate_comp.scm 1116 */
													obj_t BgL_auxz00_24474;
													int BgL_auxz00_24472;

													BgL_auxz00_24474 = BINT(((long) -3));
													BgL_auxz00_24472 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_12154, BgL_auxz00_24472,
														BgL_auxz00_24474);
												}
												BgL_arg3468z00_4208 = BgL_newz00_12154;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_14617, BgL_arg3468z00_4208);
										BgL_arg3468z00_4208;
									}
									return BgL_mainz00_14617;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main5488 */
	obj_t BGl_z62main5488z62zz__evaluate_compz00(obj_t BgL_envz00_15150,
		obj_t BgL_cz00_15157, obj_t BgL_dz00_15158, obj_t BgL_lastz00_15159)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1116 */
			{	/* Eval/evaluate_comp.scm 1116 */
				obj_t BgL_runz00_15155;
				long BgL_siza7ezd2framez75_15156;

				BgL_runz00_15155 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15150, (int) (((long) 4))));
				BgL_siza7ezd2framez75_15156 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15150, (int) (((long) 5))));
				{
					obj_t BgL_cz00_4210;
					obj_t BgL_dz00_4211;
					obj_t BgL_lastz00_4212;

					BgL_cz00_4210 = BgL_cz00_15157;
					BgL_dz00_4211 = BgL_dz00_15158;
					BgL_lastz00_4212 = BgL_lastz00_15159;
					{	/* Eval/evaluate_comp.scm 1116 */
						obj_t BgL_sz00_4214;

						BgL_sz00_4214 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1116 */
							obj_t BgL_bpz00_4215;

							BgL_bpz00_4215 = VECTOR_REF(BgL_sz00_4214, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1116 */
								bool_t BgL_testz00_24487;

								{	/* Eval/evaluate_comp.scm 1116 */
									int BgL_arg1909z00_12103;

									BgL_arg1909z00_12103 = VECTOR_LENGTH(BgL_sz00_4214);
									BgL_testz00_24487 =
										(
										((long) CINT(BgL_bpz00_4215) +
											BgL_siza7ezd2framez75_15156) <
										(long) (BgL_arg1909z00_12103));
								}
								if (BgL_testz00_24487)
									{	/* Eval/evaluate_comp.scm 1116 */
										{	/* Eval/evaluate_comp.scm 1116 */
											long BgL_arg3472z00_4217;

											BgL_arg3472z00_4217 =
												((long) CINT(BgL_bpz00_4215) + ((long) 0));
											VECTOR_SET(BgL_sz00_4214,
												(int) (BgL_arg3472z00_4217), BgL_cz00_4210);
										}
										{	/* Eval/evaluate_comp.scm 1116 */
											long BgL_arg3473z00_4218;

											BgL_arg3473z00_4218 =
												((long) CINT(BgL_bpz00_4215) + ((long) 1));
											VECTOR_SET(BgL_sz00_4214,
												(int) (BgL_arg3473z00_4218), BgL_dz00_4211);
										}
										{	/* Eval/evaluate_comp.scm 1116 */
											long BgL_arg3474z00_4219;

											BgL_arg3474z00_4219 =
												((long) CINT(BgL_bpz00_4215) + ((long) 2));
											VECTOR_SET(BgL_sz00_4214,
												(int) (BgL_arg3474z00_4219), BgL_lastz00_4212);
										}
										{	/* Eval/evaluate_comp.scm 1116 */
											obj_t BgL_val1409z00_4220;

											BgL_val1409z00_4220 =
												BGl_zc3exitza33478ze3z83zz__evaluate_compz00
												(BgL_bpz00_4215, BgL_sz00_4214, BgL_runz00_15155);
											VECTOR_SET(BgL_sz00_4214, (int) (((long) 0)),
												BgL_bpz00_4215);
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1409z00_4220)))
												{	/* Eval/evaluate_comp.scm 1116 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1409z00_4220), CDR(BgL_val1409z00_4220));
												}
											else
												{	/* Eval/evaluate_comp.scm 1116 */
													return BgL_val1409z00_4220;
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1116 */
										obj_t BgL_nsz00_4227;

										BgL_nsz00_4227 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_4227,
											(int) (((long) 1)), BgL_sz00_4214);
										VECTOR_SET(BgL_nsz00_4227,
											(int) (((long) 2)), BgL_cz00_4210);
										VECTOR_SET(BgL_nsz00_4227,
											(int) (((long) 3)), BgL_dz00_4211);
										VECTOR_SET(BgL_nsz00_4227,
											(int) (((long) 4)), BgL_lastz00_4212);
										{	/* Eval/evaluate_comp.scm 1116 */
											obj_t BgL_auxz00_24523;

											BgL_auxz00_24523 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_24523, BgL_nsz00_4227);
										}
										{	/* Eval/evaluate_comp.scm 1116 */
											obj_t BgL_val1412z00_4229;

											BgL_val1412z00_4229 =
												BGl_zc3exitza33484ze3z83zz__evaluate_compz00
												(BgL_nsz00_4227, BgL_runz00_15155);
											{	/* Eval/evaluate_comp.scm 1116 */
												obj_t BgL_auxz00_24527;

												BgL_auxz00_24527 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_EVSTATE_SET(BgL_auxz00_24527, BgL_sz00_4214);
											}
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1412z00_4229)))
												{	/* Eval/evaluate_comp.scm 1116 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1412z00_4229), CDR(BgL_val1412z00_4229));
												}
											else
												{	/* Eval/evaluate_comp.scm 1116 */
													return BgL_val1412z00_4229;
												}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:3484> */
	obj_t BGl_zc3exitza33484ze3z83zz__evaluate_compz00(obj_t BgL_nsz00_16024,
		obj_t BgL_runz00_16023)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1116 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1413z00_4235;

			if (SET_EXIT(BgL_an_exit1413z00_4235))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1413z00_4235 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1116 */

						PUSH_EXIT(BgL_an_exit1413z00_4235, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1116 */
							obj_t BgL_val1414z00_4236;

							BgL_val1414z00_4236 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_16023,
								BgL_nsz00_16024, BINT(((long) 2)));
							POP_EXIT();
							return BgL_val1414z00_4236;
						}
					}
				}
		}
	}



/* <exit:3478> */
	obj_t BGl_zc3exitza33478ze3z83zz__evaluate_compz00(obj_t BgL_bpz00_16027,
		obj_t BgL_sz00_16026, obj_t BgL_runz00_16025)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1116 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1410z00_4225;

			if (SET_EXIT(BgL_an_exit1410z00_4225))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1410z00_4225 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1116 */

						PUSH_EXIT(BgL_an_exit1410z00_4225, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1116 */
							obj_t BgL_val1411z00_4226;

							BgL_val1411z00_4226 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_16025,
								BgL_sz00_16026, BgL_bpz00_16027);
							POP_EXIT();
							return BgL_val1411z00_4226;
						}
					}
				}
		}
	}



/* &run5489 */
	obj_t BGl_z62run5489z62zz__evaluate_compz00(obj_t BgL_envz00_15160,
		obj_t BgL_sz00_15165)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1116 */
			{	/* Eval/evaluate_comp.scm 1116 */
				long BgL_siza7eza7_15161;
				obj_t BgL_valza2za2_15162;
				BgL_ev_absz00_bglt BgL_i1250z00_15163;
				obj_t BgL_bodyz00_15164;

				BgL_siza7eza7_15161 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15160, (int) (((long) 0))));
				BgL_valza2za2_15162 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15160, (int) (((long) 1))));
				BgL_i1250z00_15163 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_15160, (int) (((long) 2))));
				BgL_bodyz00_15164 = PROCEDURE_REF(BgL_envz00_15160, (int) (((long) 3)));
				{
					obj_t BgL_sz00_4238;

					BgL_sz00_4238 = BgL_sz00_15165;
					{	/* Eval/evaluate_comp.scm 1116 */
						obj_t BgL_bpz00_4240;

						BgL_bpz00_4240 = VECTOR_REF(BgL_sz00_4238, (int) (((long) 0)));
						BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_4238,
							BgL_valza2za2_15162,
							((long) CINT(BgL_bpz00_4240) + BgL_siza7eza7_15161));
						{	/* Eval/evaluate_comp.scm 1036 */
							obj_t BgL_z12denvz12_4242;
							obj_t BgL_wherez00_4243;
							obj_t BgL_locz00_4244;

							BgL_z12denvz12_4242 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_4243 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_15163))->BgL_wherez00);
							BgL_locz00_4244 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_15163))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1036 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_4242, BgL_wherez00_4243,
									BgL_locz00_4244);
								{	/* Eval/evaluate_comp.scm 1036 */
									obj_t BgL_za2za2resza2za2z00_4245;

									BgL_za2za2resza2za2z00_4245 =
										PROCEDURE_ENTRY(BgL_bodyz00_15164) (BgL_bodyz00_15164,
										BgL_sz00_4238, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_4242);
									return BgL_za2za2resza2za2z00_4245;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3487> */
	obj_t BGl_z62zc3anonymousza33487ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15166, obj_t BgL_sz00_15173)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1116 */
			{	/* Eval/evaluate_comp.scm 1116 */
				obj_t BgL_ifreesz00_15167;
				obj_t BgL_iboxesz00_15168;
				long BgL_siza7eza7_15169;
				BgL_ev_absz00_bglt BgL_i1250z00_15170;
				obj_t BgL_bodyz00_15171;
				long BgL_siza7ezd2framez75_15172;

				BgL_ifreesz00_15167 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15166, (int) (((long) 0))));
				BgL_iboxesz00_15168 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15166, (int) (((long) 1))));
				BgL_siza7eza7_15169 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15166, (int) (((long) 2))));
				BgL_i1250z00_15170 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_15166, (int) (((long) 3))));
				BgL_bodyz00_15171 = PROCEDURE_REF(BgL_envz00_15166, (int) (((long) 4)));
				BgL_siza7ezd2framez75_15172 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15166, (int) (((long) 5))));
				{
					obj_t BgL_sz00_4247;

					BgL_sz00_4247 = BgL_sz00_15173;
					{	/* Eval/evaluate_comp.scm 1116 */
						obj_t BgL_bpz00_4249;

						BgL_bpz00_4249 = VECTOR_REF(BgL_sz00_4247, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1116 */
							obj_t BgL_valza2za2_4250;

							BgL_valza2za2_4250 =
								BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_4247,
								BgL_bpz00_4249, BgL_ifreesz00_15167);
							{	/* Eval/evaluate_comp.scm 1116 */
								obj_t BgL_runz00_14613;

								BgL_runz00_14613 =
									MAKE_FX_PROCEDURE(BGl_z62run5491z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 5)));
								PROCEDURE_SET(BgL_runz00_14613,
									(int) (((long) 0)), BgL_iboxesz00_15168);
								PROCEDURE_SET(BgL_runz00_14613,
									(int) (((long) 1)), BINT(BgL_siza7eza7_15169));
								PROCEDURE_SET(BgL_runz00_14613,
									(int) (((long) 2)), BgL_valza2za2_4250);
								PROCEDURE_SET(BgL_runz00_14613,
									(int) (((long) 3)), ((obj_t) BgL_i1250z00_15170));
								PROCEDURE_SET(BgL_runz00_14613,
									(int) (((long) 4)), BgL_bodyz00_15171);
								{	/* Eval/evaluate_comp.scm 1116 */
									obj_t BgL_mainz00_14614;

									BgL_mainz00_14614 =
										MAKE_VA_PROCEDURE(BGl_z62main5490z62zz__evaluate_compz00,
										(int) (((long) -3)), (int) (((long) 7)));
									PROCEDURE_SET(BgL_mainz00_14614,
										(int) (((long) 0)), BgL_iboxesz00_15168);
									PROCEDURE_SET(BgL_mainz00_14614,
										(int) (((long) 1)), BINT(BgL_siza7eza7_15169));
									PROCEDURE_SET(BgL_mainz00_14614,
										(int) (((long) 2)), BgL_valza2za2_4250);
									PROCEDURE_SET(BgL_mainz00_14614,
										(int) (((long) 3)), ((obj_t) BgL_i1250z00_15170));
									PROCEDURE_SET(BgL_mainz00_14614,
										(int) (((long) 4)), BgL_bodyz00_15171);
									PROCEDURE_SET(BgL_mainz00_14614,
										(int) (((long) 5)), BgL_runz00_14613);
									PROCEDURE_SET(BgL_mainz00_14614,
										(int) (((long) 6)), BINT(BgL_siza7ezd2framez75_15172));
									{	/* Eval/evaluate_comp.scm 1116 */
										obj_t BgL_objz00_12235;

										BgL_objz00_12235 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_14613, BgL_objz00_12235);
										BgL_objz00_12235;
									}
									{	/* Eval/evaluate_comp.scm 1116 */
										obj_t BgL_arg3488z00_4253;

										{	/* Eval/evaluate_comp.scm 1116 */
											obj_t BgL_arg3489z00_4254;

											BgL_arg3489z00_4254 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_15170))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1116 */
												obj_t BgL_newz00_12239;

												BgL_newz00_12239 =
													create_struct(BGl_symbol5569z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 1116 */
													int BgL_auxz00_24631;

													BgL_auxz00_24631 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_12239, BgL_auxz00_24631,
														BgL_arg3489z00_4254);
												}
												{	/* Eval/evaluate_comp.scm 1116 */
													obj_t BgL_auxz00_24636;
													int BgL_auxz00_24634;

													BgL_auxz00_24636 = BINT(BgL_siza7ezd2framez75_15172);
													BgL_auxz00_24634 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_12239, BgL_auxz00_24634,
														BgL_auxz00_24636);
												}
												{	/* Eval/evaluate_comp.scm 1116 */
													int BgL_auxz00_24639;

													BgL_auxz00_24639 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_12239, BgL_auxz00_24639,
														BgL_runz00_14613);
												}
												{	/* Eval/evaluate_comp.scm 1116 */
													obj_t BgL_auxz00_24644;
													int BgL_auxz00_24642;

													BgL_auxz00_24644 = BINT(((long) -3));
													BgL_auxz00_24642 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_12239, BgL_auxz00_24642,
														BgL_auxz00_24644);
												}
												BgL_arg3488z00_4253 = BgL_newz00_12239;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_14614, BgL_arg3488z00_4253);
										BgL_arg3488z00_4253;
									}
									return BgL_mainz00_14614;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main5490 */
	obj_t BGl_z62main5490z62zz__evaluate_compz00(obj_t BgL_envz00_15174,
		obj_t BgL_cz00_15182, obj_t BgL_dz00_15183, obj_t BgL_lastz00_15184)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1116 */
			{	/* Eval/evaluate_comp.scm 1116 */
				obj_t BgL_runz00_15180;
				long BgL_siza7ezd2framez75_15181;

				BgL_runz00_15180 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15174, (int) (((long) 5))));
				BgL_siza7ezd2framez75_15181 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15174, (int) (((long) 6))));
				{
					obj_t BgL_cz00_4255;
					obj_t BgL_dz00_4256;
					obj_t BgL_lastz00_4257;

					BgL_cz00_4255 = BgL_cz00_15182;
					BgL_dz00_4256 = BgL_dz00_15183;
					BgL_lastz00_4257 = BgL_lastz00_15184;
					{	/* Eval/evaluate_comp.scm 1116 */
						obj_t BgL_sz00_4259;

						BgL_sz00_4259 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1116 */
							obj_t BgL_bpz00_4260;

							BgL_bpz00_4260 = VECTOR_REF(BgL_sz00_4259, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1116 */
								bool_t BgL_testz00_24657;

								{	/* Eval/evaluate_comp.scm 1116 */
									int BgL_arg1909z00_12188;

									BgL_arg1909z00_12188 = VECTOR_LENGTH(BgL_sz00_4259);
									BgL_testz00_24657 =
										(
										((long) CINT(BgL_bpz00_4260) +
											BgL_siza7ezd2framez75_15181) <
										(long) (BgL_arg1909z00_12188));
								}
								if (BgL_testz00_24657)
									{	/* Eval/evaluate_comp.scm 1116 */
										{	/* Eval/evaluate_comp.scm 1116 */
											long BgL_arg3492z00_4262;

											BgL_arg3492z00_4262 =
												((long) CINT(BgL_bpz00_4260) + ((long) 0));
											VECTOR_SET(BgL_sz00_4259,
												(int) (BgL_arg3492z00_4262), BgL_cz00_4255);
										}
										{	/* Eval/evaluate_comp.scm 1116 */
											long BgL_arg3493z00_4263;

											BgL_arg3493z00_4263 =
												((long) CINT(BgL_bpz00_4260) + ((long) 1));
											VECTOR_SET(BgL_sz00_4259,
												(int) (BgL_arg3493z00_4263), BgL_dz00_4256);
										}
										{	/* Eval/evaluate_comp.scm 1116 */
											long BgL_arg3494z00_4264;

											BgL_arg3494z00_4264 =
												((long) CINT(BgL_bpz00_4260) + ((long) 2));
											VECTOR_SET(BgL_sz00_4259,
												(int) (BgL_arg3494z00_4264), BgL_lastz00_4257);
										}
										{	/* Eval/evaluate_comp.scm 1116 */
											obj_t BgL_val1415z00_4265;

											BgL_val1415z00_4265 =
												BGl_zc3exitza33498ze3z83zz__evaluate_compz00
												(BgL_bpz00_4260, BgL_sz00_4259, BgL_runz00_15180);
											VECTOR_SET(BgL_sz00_4259, (int) (((long) 0)),
												BgL_bpz00_4260);
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1415z00_4265)))
												{	/* Eval/evaluate_comp.scm 1116 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1415z00_4265), CDR(BgL_val1415z00_4265));
												}
											else
												{	/* Eval/evaluate_comp.scm 1116 */
													return BgL_val1415z00_4265;
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1116 */
										obj_t BgL_nsz00_4272;

										BgL_nsz00_4272 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_4272,
											(int) (((long) 1)), BgL_sz00_4259);
										VECTOR_SET(BgL_nsz00_4272,
											(int) (((long) 2)), BgL_cz00_4255);
										VECTOR_SET(BgL_nsz00_4272,
											(int) (((long) 3)), BgL_dz00_4256);
										VECTOR_SET(BgL_nsz00_4272,
											(int) (((long) 4)), BgL_lastz00_4257);
										{	/* Eval/evaluate_comp.scm 1116 */
											obj_t BgL_auxz00_24693;

											BgL_auxz00_24693 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_24693, BgL_nsz00_4272);
										}
										{	/* Eval/evaluate_comp.scm 1116 */
											obj_t BgL_val1418z00_4274;

											BgL_val1418z00_4274 =
												BGl_zc3exitza33504ze3z83zz__evaluate_compz00
												(BgL_nsz00_4272, BgL_runz00_15180);
											{	/* Eval/evaluate_comp.scm 1116 */
												obj_t BgL_auxz00_24697;

												BgL_auxz00_24697 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_EVSTATE_SET(BgL_auxz00_24697, BgL_sz00_4259);
											}
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1418z00_4274)))
												{	/* Eval/evaluate_comp.scm 1116 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1418z00_4274), CDR(BgL_val1418z00_4274));
												}
											else
												{	/* Eval/evaluate_comp.scm 1116 */
													return BgL_val1418z00_4274;
												}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:3504> */
	obj_t BGl_zc3exitza33504ze3z83zz__evaluate_compz00(obj_t BgL_nsz00_16019,
		obj_t BgL_runz00_16018)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1116 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1419z00_4280;

			if (SET_EXIT(BgL_an_exit1419z00_4280))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1419z00_4280 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1116 */

						PUSH_EXIT(BgL_an_exit1419z00_4280, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1116 */
							obj_t BgL_val1420z00_4281;

							BgL_val1420z00_4281 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_16018,
								BgL_nsz00_16019, BINT(((long) 2)));
							POP_EXIT();
							return BgL_val1420z00_4281;
						}
					}
				}
		}
	}



/* <exit:3498> */
	obj_t BGl_zc3exitza33498ze3z83zz__evaluate_compz00(obj_t BgL_bpz00_16022,
		obj_t BgL_sz00_16021, obj_t BgL_runz00_16020)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1116 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1416z00_4270;

			if (SET_EXIT(BgL_an_exit1416z00_4270))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1416z00_4270 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1116 */

						PUSH_EXIT(BgL_an_exit1416z00_4270, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1116 */
							obj_t BgL_val1417z00_4271;

							BgL_val1417z00_4271 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_16020,
								BgL_sz00_16021, BgL_bpz00_16022);
							POP_EXIT();
							return BgL_val1417z00_4271;
						}
					}
				}
		}
	}



/* &run5491 */
	obj_t BGl_z62run5491z62zz__evaluate_compz00(obj_t BgL_envz00_15185,
		obj_t BgL_sz00_15191)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1116 */
			{	/* Eval/evaluate_comp.scm 1116 */
				obj_t BgL_iboxesz00_15186;
				long BgL_siza7eza7_15187;
				obj_t BgL_valza2za2_15188;
				BgL_ev_absz00_bglt BgL_i1250z00_15189;
				obj_t BgL_bodyz00_15190;

				BgL_iboxesz00_15186 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15185, (int) (((long) 0))));
				BgL_siza7eza7_15187 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15185, (int) (((long) 1))));
				BgL_valza2za2_15188 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15185, (int) (((long) 2))));
				BgL_i1250z00_15189 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_15185, (int) (((long) 3))));
				BgL_bodyz00_15190 = PROCEDURE_REF(BgL_envz00_15185, (int) (((long) 4)));
				{
					obj_t BgL_sz00_4283;

					BgL_sz00_4283 = BgL_sz00_15191;
					{	/* Eval/evaluate_comp.scm 1116 */
						obj_t BgL_bpz00_4285;

						BgL_bpz00_4285 = VECTOR_REF(BgL_sz00_4283, (int) (((long) 0)));
						BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_4283,
							BgL_iboxesz00_15186, BgL_bpz00_4285);
						BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_4283,
							BgL_valza2za2_15188,
							((long) CINT(BgL_bpz00_4285) + BgL_siza7eza7_15187));
						{	/* Eval/evaluate_comp.scm 1036 */
							obj_t BgL_z12denvz12_4287;
							obj_t BgL_wherez00_4288;
							obj_t BgL_locz00_4289;

							BgL_z12denvz12_4287 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_4288 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_15189))->BgL_wherez00);
							BgL_locz00_4289 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_15189))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1036 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_4287, BgL_wherez00_4288,
									BgL_locz00_4289);
								{	/* Eval/evaluate_comp.scm 1036 */
									obj_t BgL_za2za2resza2za2z00_4290;

									BgL_za2za2resza2za2z00_4290 =
										PROCEDURE_ENTRY(BgL_bodyz00_15190) (BgL_bodyz00_15190,
										BgL_sz00_4283, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_4287);
									return BgL_za2za2resza2za2z00_4290;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3347> */
	obj_t BGl_z62zc3anonymousza33347ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15192, obj_t BgL_sz00_15196)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1116 */
			{	/* Eval/evaluate_comp.scm 1116 */
				BgL_ev_absz00_bglt BgL_i1250z00_15193;
				obj_t BgL_bodyz00_15194;
				long BgL_siza7ezd2framez75_15195;

				BgL_i1250z00_15193 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_15192, (int) (((long) 0))));
				BgL_bodyz00_15194 = PROCEDURE_REF(BgL_envz00_15192, (int) (((long) 1)));
				BgL_siza7ezd2framez75_15195 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15192, (int) (((long) 2))));
				{
					obj_t BgL_sz00_3940;

					BgL_sz00_3940 = BgL_sz00_15196;
					{	/* Eval/evaluate_comp.scm 1116 */
						obj_t BgL_bpz00_3942;

						BgL_bpz00_3942 = VECTOR_REF(BgL_sz00_3940, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1116 */

							{	/* Eval/evaluate_comp.scm 1116 */
								obj_t BgL_runz00_14610;

								BgL_runz00_14610 =
									MAKE_FX_PROCEDURE(BGl_z62run5493z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 2)));
								PROCEDURE_SET(BgL_runz00_14610,
									(int) (((long) 0)), ((obj_t) BgL_i1250z00_15193));
								PROCEDURE_SET(BgL_runz00_14610,
									(int) (((long) 1)), BgL_bodyz00_15194);
								{	/* Eval/evaluate_comp.scm 1116 */
									obj_t BgL_mainz00_14611;

									BgL_mainz00_14611 =
										MAKE_FX_PROCEDURE(BGl_z62main5492z62zz__evaluate_compz00,
										(int) (((long) 2)), (int) (((long) 4)));
									PROCEDURE_SET(BgL_mainz00_14611,
										(int) (((long) 0)), ((obj_t) BgL_i1250z00_15193));
									PROCEDURE_SET(BgL_mainz00_14611,
										(int) (((long) 1)), BgL_bodyz00_15194);
									PROCEDURE_SET(BgL_mainz00_14611,
										(int) (((long) 2)), BgL_runz00_14610);
									PROCEDURE_SET(BgL_mainz00_14611,
										(int) (((long) 3)), BINT(BgL_siza7ezd2framez75_15195));
									{	/* Eval/evaluate_comp.scm 1116 */
										obj_t BgL_objz00_11660;

										BgL_objz00_11660 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_14610, BgL_objz00_11660);
										BgL_objz00_11660;
									}
									{	/* Eval/evaluate_comp.scm 1116 */
										obj_t BgL_arg3348z00_3945;

										{	/* Eval/evaluate_comp.scm 1116 */
											obj_t BgL_arg3349z00_3946;

											BgL_arg3349z00_3946 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_15193))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1116 */
												obj_t BgL_newz00_11664;

												BgL_newz00_11664 =
													create_struct(BGl_symbol5569z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 1116 */
													int BgL_auxz00_24781;

													BgL_auxz00_24781 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_11664, BgL_auxz00_24781,
														BgL_arg3349z00_3946);
												}
												{	/* Eval/evaluate_comp.scm 1116 */
													obj_t BgL_auxz00_24786;
													int BgL_auxz00_24784;

													BgL_auxz00_24786 = BINT(BgL_siza7ezd2framez75_15195);
													BgL_auxz00_24784 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_11664, BgL_auxz00_24784,
														BgL_auxz00_24786);
												}
												{	/* Eval/evaluate_comp.scm 1116 */
													int BgL_auxz00_24789;

													BgL_auxz00_24789 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_11664, BgL_auxz00_24789,
														BgL_runz00_14610);
												}
												{	/* Eval/evaluate_comp.scm 1116 */
													obj_t BgL_auxz00_24794;
													int BgL_auxz00_24792;

													BgL_auxz00_24794 = BINT(((long) 2));
													BgL_auxz00_24792 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_11664, BgL_auxz00_24792,
														BgL_auxz00_24794);
												}
												BgL_arg3348z00_3945 = BgL_newz00_11664;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_14611, BgL_arg3348z00_3945);
										BgL_arg3348z00_3945;
									}
									return BgL_mainz00_14611;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main5492 */
	obj_t BGl_z62main5492z62zz__evaluate_compz00(obj_t BgL_envz00_15197,
		obj_t BgL_cz00_15202, obj_t BgL_dz00_15203)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1116 */
			{	/* Eval/evaluate_comp.scm 1116 */
				obj_t BgL_runz00_15200;
				long BgL_siza7ezd2framez75_15201;

				BgL_runz00_15200 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15197, (int) (((long) 2))));
				BgL_siza7ezd2framez75_15201 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15197, (int) (((long) 3))));
				{
					obj_t BgL_cz00_3947;
					obj_t BgL_dz00_3948;

					BgL_cz00_3947 = BgL_cz00_15202;
					BgL_dz00_3948 = BgL_dz00_15203;
					{	/* Eval/evaluate_comp.scm 1116 */
						obj_t BgL_sz00_3950;

						BgL_sz00_3950 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1116 */
							obj_t BgL_bpz00_3951;

							BgL_bpz00_3951 = VECTOR_REF(BgL_sz00_3950, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1116 */
								bool_t BgL_testz00_24807;

								{	/* Eval/evaluate_comp.scm 1116 */
									int BgL_arg1909z00_11622;

									BgL_arg1909z00_11622 = VECTOR_LENGTH(BgL_sz00_3950);
									BgL_testz00_24807 =
										(
										((long) CINT(BgL_bpz00_3951) +
											BgL_siza7ezd2framez75_15201) <
										(long) (BgL_arg1909z00_11622));
								}
								if (BgL_testz00_24807)
									{	/* Eval/evaluate_comp.scm 1116 */
										{	/* Eval/evaluate_comp.scm 1116 */
											long BgL_arg3352z00_3953;

											BgL_arg3352z00_3953 =
												((long) CINT(BgL_bpz00_3951) + ((long) 0));
											VECTOR_SET(BgL_sz00_3950,
												(int) (BgL_arg3352z00_3953), BgL_cz00_3947);
										}
										{	/* Eval/evaluate_comp.scm 1116 */
											long BgL_arg3353z00_3954;

											BgL_arg3353z00_3954 =
												((long) CINT(BgL_bpz00_3951) + ((long) 1));
											VECTOR_SET(BgL_sz00_3950,
												(int) (BgL_arg3353z00_3954), BgL_dz00_3948);
										}
										{	/* Eval/evaluate_comp.scm 1116 */
											obj_t BgL_val1373z00_3955;

											BgL_val1373z00_3955 =
												BGl_zc3exitza33357ze3z83zz__evaluate_compz00
												(BgL_bpz00_3951, BgL_sz00_3950, BgL_runz00_15200);
											VECTOR_SET(BgL_sz00_3950, (int) (((long) 0)),
												BgL_bpz00_3951);
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1373z00_3955)))
												{	/* Eval/evaluate_comp.scm 1116 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1373z00_3955), CDR(BgL_val1373z00_3955));
												}
											else
												{	/* Eval/evaluate_comp.scm 1116 */
													return BgL_val1373z00_3955;
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1116 */
										obj_t BgL_nsz00_3962;

										BgL_nsz00_3962 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_3962,
											(int) (((long) 1)), BgL_sz00_3950);
										VECTOR_SET(BgL_nsz00_3962,
											(int) (((long) 2)), BgL_cz00_3947);
										VECTOR_SET(BgL_nsz00_3962,
											(int) (((long) 3)), BgL_dz00_3948);
										{	/* Eval/evaluate_comp.scm 1116 */
											obj_t BgL_auxz00_24837;

											BgL_auxz00_24837 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_24837, BgL_nsz00_3962);
										}
										{	/* Eval/evaluate_comp.scm 1116 */
											obj_t BgL_val1376z00_3964;

											BgL_val1376z00_3964 =
												BGl_zc3exitza33363ze3z83zz__evaluate_compz00
												(BgL_nsz00_3962, BgL_runz00_15200);
											{	/* Eval/evaluate_comp.scm 1116 */
												obj_t BgL_auxz00_24841;

												BgL_auxz00_24841 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_EVSTATE_SET(BgL_auxz00_24841, BgL_sz00_3950);
											}
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1376z00_3964)))
												{	/* Eval/evaluate_comp.scm 1116 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1376z00_3964), CDR(BgL_val1376z00_3964));
												}
											else
												{	/* Eval/evaluate_comp.scm 1116 */
													return BgL_val1376z00_3964;
												}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:3363> */
	obj_t BGl_zc3exitza33363ze3z83zz__evaluate_compz00(obj_t BgL_nsz00_16014,
		obj_t BgL_runz00_16013)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1116 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1377z00_3970;

			if (SET_EXIT(BgL_an_exit1377z00_3970))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1377z00_3970 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1116 */

						PUSH_EXIT(BgL_an_exit1377z00_3970, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1116 */
							obj_t BgL_val1378z00_3971;

							BgL_val1378z00_3971 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_16013,
								BgL_nsz00_16014, BINT(((long) 2)));
							POP_EXIT();
							return BgL_val1378z00_3971;
						}
					}
				}
		}
	}



/* <exit:3357> */
	obj_t BGl_zc3exitza33357ze3z83zz__evaluate_compz00(obj_t BgL_bpz00_16017,
		obj_t BgL_sz00_16016, obj_t BgL_runz00_16015)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1116 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1374z00_3960;

			if (SET_EXIT(BgL_an_exit1374z00_3960))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1374z00_3960 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1116 */

						PUSH_EXIT(BgL_an_exit1374z00_3960, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1116 */
							obj_t BgL_val1375z00_3961;

							BgL_val1375z00_3961 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_16015,
								BgL_sz00_16016, BgL_bpz00_16017);
							POP_EXIT();
							return BgL_val1375z00_3961;
						}
					}
				}
		}
	}



/* &run5493 */
	obj_t BGl_z62run5493z62zz__evaluate_compz00(obj_t BgL_envz00_15204,
		obj_t BgL_sz00_15207)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1116 */
			{	/* Eval/evaluate_comp.scm 1116 */
				BgL_ev_absz00_bglt BgL_i1250z00_15205;
				obj_t BgL_bodyz00_15206;

				BgL_i1250z00_15205 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_15204, (int) (((long) 0))));
				BgL_bodyz00_15206 = PROCEDURE_REF(BgL_envz00_15204, (int) (((long) 1)));
				{
					obj_t BgL_sz00_3973;

					BgL_sz00_3973 = BgL_sz00_15207;
					{	/* Eval/evaluate_comp.scm 1116 */
						obj_t BgL_bpz00_3975;

						BgL_bpz00_3975 = VECTOR_REF(BgL_sz00_3973, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1116 */
							obj_t BgL_z12denvz12_3976;
							obj_t BgL_wherez00_3977;
							obj_t BgL_locz00_3978;

							BgL_z12denvz12_3976 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_3977 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_15205))->BgL_wherez00);
							BgL_locz00_3978 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_15205))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1116 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_3976, BgL_wherez00_3977,
									BgL_locz00_3978);
								{	/* Eval/evaluate_comp.scm 1116 */
									obj_t BgL_za2za2resza2za2z00_3979;

									BgL_za2za2resza2za2z00_3979 =
										PROCEDURE_ENTRY(BgL_bodyz00_15206) (BgL_bodyz00_15206,
										BgL_sz00_3973, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_3976);
									return BgL_za2za2resza2za2z00_3979;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3365> */
	obj_t BGl_z62zc3anonymousza33365ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15208, obj_t BgL_sz00_15213)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1116 */
			{	/* Eval/evaluate_comp.scm 1116 */
				obj_t BgL_iboxesz00_15209;
				BgL_ev_absz00_bglt BgL_i1250z00_15210;
				obj_t BgL_bodyz00_15211;
				long BgL_siza7ezd2framez75_15212;

				BgL_iboxesz00_15209 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15208, (int) (((long) 0))));
				BgL_i1250z00_15210 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_15208, (int) (((long) 1))));
				BgL_bodyz00_15211 = PROCEDURE_REF(BgL_envz00_15208, (int) (((long) 2)));
				BgL_siza7ezd2framez75_15212 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15208, (int) (((long) 3))));
				{
					obj_t BgL_sz00_3981;

					BgL_sz00_3981 = BgL_sz00_15213;
					{	/* Eval/evaluate_comp.scm 1116 */
						obj_t BgL_bpz00_3983;

						BgL_bpz00_3983 = VECTOR_REF(BgL_sz00_3981, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1116 */

							{	/* Eval/evaluate_comp.scm 1116 */
								obj_t BgL_runz00_14607;

								BgL_runz00_14607 =
									MAKE_FX_PROCEDURE(BGl_z62run5495z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 3)));
								PROCEDURE_SET(BgL_runz00_14607,
									(int) (((long) 0)), BgL_iboxesz00_15209);
								PROCEDURE_SET(BgL_runz00_14607,
									(int) (((long) 1)), ((obj_t) BgL_i1250z00_15210));
								PROCEDURE_SET(BgL_runz00_14607,
									(int) (((long) 2)), BgL_bodyz00_15211);
								{	/* Eval/evaluate_comp.scm 1116 */
									obj_t BgL_mainz00_14608;

									BgL_mainz00_14608 =
										MAKE_FX_PROCEDURE(BGl_z62main5494z62zz__evaluate_compz00,
										(int) (((long) 2)), (int) (((long) 5)));
									PROCEDURE_SET(BgL_mainz00_14608,
										(int) (((long) 0)), BgL_iboxesz00_15209);
									PROCEDURE_SET(BgL_mainz00_14608,
										(int) (((long) 1)), ((obj_t) BgL_i1250z00_15210));
									PROCEDURE_SET(BgL_mainz00_14608,
										(int) (((long) 2)), BgL_bodyz00_15211);
									PROCEDURE_SET(BgL_mainz00_14608,
										(int) (((long) 3)), BgL_runz00_14607);
									PROCEDURE_SET(BgL_mainz00_14608,
										(int) (((long) 4)), BINT(BgL_siza7ezd2framez75_15212));
									{	/* Eval/evaluate_comp.scm 1116 */
										obj_t BgL_objz00_11733;

										BgL_objz00_11733 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_14607, BgL_objz00_11733);
										BgL_objz00_11733;
									}
									{	/* Eval/evaluate_comp.scm 1116 */
										obj_t BgL_arg3366z00_3986;

										{	/* Eval/evaluate_comp.scm 1116 */
											obj_t BgL_arg3367z00_3987;

											BgL_arg3367z00_3987 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_15210))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1116 */
												obj_t BgL_newz00_11737;

												BgL_newz00_11737 =
													create_struct(BGl_symbol5569z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 1116 */
													int BgL_auxz00_24919;

													BgL_auxz00_24919 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_11737, BgL_auxz00_24919,
														BgL_arg3367z00_3987);
												}
												{	/* Eval/evaluate_comp.scm 1116 */
													obj_t BgL_auxz00_24924;
													int BgL_auxz00_24922;

													BgL_auxz00_24924 = BINT(BgL_siza7ezd2framez75_15212);
													BgL_auxz00_24922 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_11737, BgL_auxz00_24922,
														BgL_auxz00_24924);
												}
												{	/* Eval/evaluate_comp.scm 1116 */
													int BgL_auxz00_24927;

													BgL_auxz00_24927 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_11737, BgL_auxz00_24927,
														BgL_runz00_14607);
												}
												{	/* Eval/evaluate_comp.scm 1116 */
													obj_t BgL_auxz00_24932;
													int BgL_auxz00_24930;

													BgL_auxz00_24932 = BINT(((long) 2));
													BgL_auxz00_24930 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_11737, BgL_auxz00_24930,
														BgL_auxz00_24932);
												}
												BgL_arg3366z00_3986 = BgL_newz00_11737;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_14608, BgL_arg3366z00_3986);
										BgL_arg3366z00_3986;
									}
									return BgL_mainz00_14608;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main5494 */
	obj_t BGl_z62main5494z62zz__evaluate_compz00(obj_t BgL_envz00_15214,
		obj_t BgL_cz00_15220, obj_t BgL_dz00_15221)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1116 */
			{	/* Eval/evaluate_comp.scm 1116 */
				obj_t BgL_runz00_15218;
				long BgL_siza7ezd2framez75_15219;

				BgL_runz00_15218 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15214, (int) (((long) 3))));
				BgL_siza7ezd2framez75_15219 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15214, (int) (((long) 4))));
				{
					obj_t BgL_cz00_3988;
					obj_t BgL_dz00_3989;

					BgL_cz00_3988 = BgL_cz00_15220;
					BgL_dz00_3989 = BgL_dz00_15221;
					{	/* Eval/evaluate_comp.scm 1116 */
						obj_t BgL_sz00_3991;

						BgL_sz00_3991 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1116 */
							obj_t BgL_bpz00_3992;

							BgL_bpz00_3992 = VECTOR_REF(BgL_sz00_3991, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1116 */
								bool_t BgL_testz00_24945;

								{	/* Eval/evaluate_comp.scm 1116 */
									int BgL_arg1909z00_11695;

									BgL_arg1909z00_11695 = VECTOR_LENGTH(BgL_sz00_3991);
									BgL_testz00_24945 =
										(
										((long) CINT(BgL_bpz00_3992) +
											BgL_siza7ezd2framez75_15219) <
										(long) (BgL_arg1909z00_11695));
								}
								if (BgL_testz00_24945)
									{	/* Eval/evaluate_comp.scm 1116 */
										{	/* Eval/evaluate_comp.scm 1116 */
											long BgL_arg3370z00_3994;

											BgL_arg3370z00_3994 =
												((long) CINT(BgL_bpz00_3992) + ((long) 0));
											VECTOR_SET(BgL_sz00_3991,
												(int) (BgL_arg3370z00_3994), BgL_cz00_3988);
										}
										{	/* Eval/evaluate_comp.scm 1116 */
											long BgL_arg3371z00_3995;

											BgL_arg3371z00_3995 =
												((long) CINT(BgL_bpz00_3992) + ((long) 1));
											VECTOR_SET(BgL_sz00_3991,
												(int) (BgL_arg3371z00_3995), BgL_dz00_3989);
										}
										{	/* Eval/evaluate_comp.scm 1116 */
											obj_t BgL_val1379z00_3996;

											BgL_val1379z00_3996 =
												BGl_zc3exitza33375ze3z83zz__evaluate_compz00
												(BgL_bpz00_3992, BgL_sz00_3991, BgL_runz00_15218);
											VECTOR_SET(BgL_sz00_3991, (int) (((long) 0)),
												BgL_bpz00_3992);
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1379z00_3996)))
												{	/* Eval/evaluate_comp.scm 1116 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1379z00_3996), CDR(BgL_val1379z00_3996));
												}
											else
												{	/* Eval/evaluate_comp.scm 1116 */
													return BgL_val1379z00_3996;
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1116 */
										obj_t BgL_nsz00_4003;

										BgL_nsz00_4003 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_4003,
											(int) (((long) 1)), BgL_sz00_3991);
										VECTOR_SET(BgL_nsz00_4003,
											(int) (((long) 2)), BgL_cz00_3988);
										VECTOR_SET(BgL_nsz00_4003,
											(int) (((long) 3)), BgL_dz00_3989);
										{	/* Eval/evaluate_comp.scm 1116 */
											obj_t BgL_auxz00_24975;

											BgL_auxz00_24975 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_24975, BgL_nsz00_4003);
										}
										{	/* Eval/evaluate_comp.scm 1116 */
											obj_t BgL_val1382z00_4005;

											BgL_val1382z00_4005 =
												BGl_zc3exitza33381ze3z83zz__evaluate_compz00
												(BgL_nsz00_4003, BgL_runz00_15218);
											{	/* Eval/evaluate_comp.scm 1116 */
												obj_t BgL_auxz00_24979;

												BgL_auxz00_24979 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_EVSTATE_SET(BgL_auxz00_24979, BgL_sz00_3991);
											}
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1382z00_4005)))
												{	/* Eval/evaluate_comp.scm 1116 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1382z00_4005), CDR(BgL_val1382z00_4005));
												}
											else
												{	/* Eval/evaluate_comp.scm 1116 */
													return BgL_val1382z00_4005;
												}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:3381> */
	obj_t BGl_zc3exitza33381ze3z83zz__evaluate_compz00(obj_t BgL_nsz00_16009,
		obj_t BgL_runz00_16008)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1116 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1383z00_4011;

			if (SET_EXIT(BgL_an_exit1383z00_4011))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1383z00_4011 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1116 */

						PUSH_EXIT(BgL_an_exit1383z00_4011, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1116 */
							obj_t BgL_val1384z00_4012;

							BgL_val1384z00_4012 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_16008,
								BgL_nsz00_16009, BINT(((long) 2)));
							POP_EXIT();
							return BgL_val1384z00_4012;
						}
					}
				}
		}
	}



/* <exit:3375> */
	obj_t BGl_zc3exitza33375ze3z83zz__evaluate_compz00(obj_t BgL_bpz00_16012,
		obj_t BgL_sz00_16011, obj_t BgL_runz00_16010)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1116 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1380z00_4001;

			if (SET_EXIT(BgL_an_exit1380z00_4001))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1380z00_4001 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1116 */

						PUSH_EXIT(BgL_an_exit1380z00_4001, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1116 */
							obj_t BgL_val1381z00_4002;

							BgL_val1381z00_4002 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_16010,
								BgL_sz00_16011, BgL_bpz00_16012);
							POP_EXIT();
							return BgL_val1381z00_4002;
						}
					}
				}
		}
	}



/* &run5495 */
	obj_t BGl_z62run5495z62zz__evaluate_compz00(obj_t BgL_envz00_15222,
		obj_t BgL_sz00_15226)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1116 */
			{	/* Eval/evaluate_comp.scm 1116 */
				obj_t BgL_iboxesz00_15223;
				BgL_ev_absz00_bglt BgL_i1250z00_15224;
				obj_t BgL_bodyz00_15225;

				BgL_iboxesz00_15223 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15222, (int) (((long) 0))));
				BgL_i1250z00_15224 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_15222, (int) (((long) 1))));
				BgL_bodyz00_15225 = PROCEDURE_REF(BgL_envz00_15222, (int) (((long) 2)));
				{
					obj_t BgL_sz00_4014;

					BgL_sz00_4014 = BgL_sz00_15226;
					{	/* Eval/evaluate_comp.scm 1116 */
						obj_t BgL_bpz00_4016;

						BgL_bpz00_4016 = VECTOR_REF(BgL_sz00_4014, (int) (((long) 0)));
						BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_4014,
							BgL_iboxesz00_15223, BgL_bpz00_4016);
						{	/* Eval/evaluate_comp.scm 1116 */
							obj_t BgL_z12denvz12_4017;
							obj_t BgL_wherez00_4018;
							obj_t BgL_locz00_4019;

							BgL_z12denvz12_4017 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_4018 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_15224))->BgL_wherez00);
							BgL_locz00_4019 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_15224))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1116 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_4017, BgL_wherez00_4018,
									BgL_locz00_4019);
								{	/* Eval/evaluate_comp.scm 1116 */
									obj_t BgL_za2za2resza2za2z00_4020;

									BgL_za2za2resza2za2z00_4020 =
										PROCEDURE_ENTRY(BgL_bodyz00_15225) (BgL_bodyz00_15225,
										BgL_sz00_4014, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_4017);
									return BgL_za2za2resza2za2z00_4020;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3385> */
	obj_t BGl_z62zc3anonymousza33385ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15227, obj_t BgL_sz00_15233)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1116 */
			{	/* Eval/evaluate_comp.scm 1116 */
				obj_t BgL_ifreesz00_15228;
				long BgL_siza7eza7_15229;
				BgL_ev_absz00_bglt BgL_i1250z00_15230;
				obj_t BgL_bodyz00_15231;
				long BgL_siza7ezd2framez75_15232;

				BgL_ifreesz00_15228 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15227, (int) (((long) 0))));
				BgL_siza7eza7_15229 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15227, (int) (((long) 1))));
				BgL_i1250z00_15230 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_15227, (int) (((long) 2))));
				BgL_bodyz00_15231 = PROCEDURE_REF(BgL_envz00_15227, (int) (((long) 3)));
				BgL_siza7ezd2framez75_15232 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15227, (int) (((long) 4))));
				{
					obj_t BgL_sz00_4024;

					BgL_sz00_4024 = BgL_sz00_15233;
					{	/* Eval/evaluate_comp.scm 1116 */
						obj_t BgL_bpz00_4026;

						BgL_bpz00_4026 = VECTOR_REF(BgL_sz00_4024, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1116 */
							obj_t BgL_valza2za2_4027;

							BgL_valza2za2_4027 =
								BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_4024,
								BgL_bpz00_4026, BgL_ifreesz00_15228);
							{	/* Eval/evaluate_comp.scm 1116 */
								obj_t BgL_runz00_14604;

								BgL_runz00_14604 =
									MAKE_FX_PROCEDURE(BGl_z62run5497z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 4)));
								PROCEDURE_SET(BgL_runz00_14604,
									(int) (((long) 0)), BINT(BgL_siza7eza7_15229));
								PROCEDURE_SET(BgL_runz00_14604,
									(int) (((long) 1)), BgL_valza2za2_4027);
								PROCEDURE_SET(BgL_runz00_14604,
									(int) (((long) 2)), ((obj_t) BgL_i1250z00_15230));
								PROCEDURE_SET(BgL_runz00_14604,
									(int) (((long) 3)), BgL_bodyz00_15231);
								{	/* Eval/evaluate_comp.scm 1116 */
									obj_t BgL_mainz00_14605;

									BgL_mainz00_14605 =
										MAKE_FX_PROCEDURE(BGl_z62main5496z62zz__evaluate_compz00,
										(int) (((long) 2)), (int) (((long) 6)));
									PROCEDURE_SET(BgL_mainz00_14605,
										(int) (((long) 0)), BINT(BgL_siza7eza7_15229));
									PROCEDURE_SET(BgL_mainz00_14605,
										(int) (((long) 1)), BgL_valza2za2_4027);
									PROCEDURE_SET(BgL_mainz00_14605,
										(int) (((long) 2)), ((obj_t) BgL_i1250z00_15230));
									PROCEDURE_SET(BgL_mainz00_14605,
										(int) (((long) 3)), BgL_bodyz00_15231);
									PROCEDURE_SET(BgL_mainz00_14605,
										(int) (((long) 4)), BgL_runz00_14604);
									PROCEDURE_SET(BgL_mainz00_14605,
										(int) (((long) 5)), BINT(BgL_siza7ezd2framez75_15232));
									{	/* Eval/evaluate_comp.scm 1116 */
										obj_t BgL_objz00_11813;

										BgL_objz00_11813 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_14604, BgL_objz00_11813);
										BgL_objz00_11813;
									}
									{	/* Eval/evaluate_comp.scm 1116 */
										obj_t BgL_arg3386z00_4030;

										{	/* Eval/evaluate_comp.scm 1116 */
											obj_t BgL_arg3387z00_4031;

											BgL_arg3387z00_4031 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_15230))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1116 */
												obj_t BgL_newz00_11817;

												BgL_newz00_11817 =
													create_struct(BGl_symbol5569z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 1116 */
													int BgL_auxz00_25071;

													BgL_auxz00_25071 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_11817, BgL_auxz00_25071,
														BgL_arg3387z00_4031);
												}
												{	/* Eval/evaluate_comp.scm 1116 */
													obj_t BgL_auxz00_25076;
													int BgL_auxz00_25074;

													BgL_auxz00_25076 = BINT(BgL_siza7ezd2framez75_15232);
													BgL_auxz00_25074 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_11817, BgL_auxz00_25074,
														BgL_auxz00_25076);
												}
												{	/* Eval/evaluate_comp.scm 1116 */
													int BgL_auxz00_25079;

													BgL_auxz00_25079 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_11817, BgL_auxz00_25079,
														BgL_runz00_14604);
												}
												{	/* Eval/evaluate_comp.scm 1116 */
													obj_t BgL_auxz00_25084;
													int BgL_auxz00_25082;

													BgL_auxz00_25084 = BINT(((long) 2));
													BgL_auxz00_25082 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_11817, BgL_auxz00_25082,
														BgL_auxz00_25084);
												}
												BgL_arg3386z00_4030 = BgL_newz00_11817;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_14605, BgL_arg3386z00_4030);
										BgL_arg3386z00_4030;
									}
									return BgL_mainz00_14605;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main5496 */
	obj_t BGl_z62main5496z62zz__evaluate_compz00(obj_t BgL_envz00_15234,
		obj_t BgL_cz00_15241, obj_t BgL_dz00_15242)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1116 */
			{	/* Eval/evaluate_comp.scm 1116 */
				obj_t BgL_runz00_15239;
				long BgL_siza7ezd2framez75_15240;

				BgL_runz00_15239 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15234, (int) (((long) 4))));
				BgL_siza7ezd2framez75_15240 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15234, (int) (((long) 5))));
				{
					obj_t BgL_cz00_4032;
					obj_t BgL_dz00_4033;

					BgL_cz00_4032 = BgL_cz00_15241;
					BgL_dz00_4033 = BgL_dz00_15242;
					{	/* Eval/evaluate_comp.scm 1116 */
						obj_t BgL_sz00_4035;

						BgL_sz00_4035 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1116 */
							obj_t BgL_bpz00_4036;

							BgL_bpz00_4036 = VECTOR_REF(BgL_sz00_4035, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1116 */
								bool_t BgL_testz00_25097;

								{	/* Eval/evaluate_comp.scm 1116 */
									int BgL_arg1909z00_11775;

									BgL_arg1909z00_11775 = VECTOR_LENGTH(BgL_sz00_4035);
									BgL_testz00_25097 =
										(
										((long) CINT(BgL_bpz00_4036) +
											BgL_siza7ezd2framez75_15240) <
										(long) (BgL_arg1909z00_11775));
								}
								if (BgL_testz00_25097)
									{	/* Eval/evaluate_comp.scm 1116 */
										{	/* Eval/evaluate_comp.scm 1116 */
											long BgL_arg3390z00_4038;

											BgL_arg3390z00_4038 =
												((long) CINT(BgL_bpz00_4036) + ((long) 0));
											VECTOR_SET(BgL_sz00_4035,
												(int) (BgL_arg3390z00_4038), BgL_cz00_4032);
										}
										{	/* Eval/evaluate_comp.scm 1116 */
											long BgL_arg3391z00_4039;

											BgL_arg3391z00_4039 =
												((long) CINT(BgL_bpz00_4036) + ((long) 1));
											VECTOR_SET(BgL_sz00_4035,
												(int) (BgL_arg3391z00_4039), BgL_dz00_4033);
										}
										{	/* Eval/evaluate_comp.scm 1116 */
											obj_t BgL_val1385z00_4040;

											BgL_val1385z00_4040 =
												BGl_zc3exitza33395ze3z83zz__evaluate_compz00
												(BgL_bpz00_4036, BgL_sz00_4035, BgL_runz00_15239);
											VECTOR_SET(BgL_sz00_4035, (int) (((long) 0)),
												BgL_bpz00_4036);
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1385z00_4040)))
												{	/* Eval/evaluate_comp.scm 1116 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1385z00_4040), CDR(BgL_val1385z00_4040));
												}
											else
												{	/* Eval/evaluate_comp.scm 1116 */
													return BgL_val1385z00_4040;
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1116 */
										obj_t BgL_nsz00_4047;

										BgL_nsz00_4047 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_4047,
											(int) (((long) 1)), BgL_sz00_4035);
										VECTOR_SET(BgL_nsz00_4047,
											(int) (((long) 2)), BgL_cz00_4032);
										VECTOR_SET(BgL_nsz00_4047,
											(int) (((long) 3)), BgL_dz00_4033);
										{	/* Eval/evaluate_comp.scm 1116 */
											obj_t BgL_auxz00_25127;

											BgL_auxz00_25127 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_25127, BgL_nsz00_4047);
										}
										{	/* Eval/evaluate_comp.scm 1116 */
											obj_t BgL_val1388z00_4049;

											BgL_val1388z00_4049 =
												BGl_zc3exitza33401ze3z83zz__evaluate_compz00
												(BgL_nsz00_4047, BgL_runz00_15239);
											{	/* Eval/evaluate_comp.scm 1116 */
												obj_t BgL_auxz00_25131;

												BgL_auxz00_25131 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_EVSTATE_SET(BgL_auxz00_25131, BgL_sz00_4035);
											}
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1388z00_4049)))
												{	/* Eval/evaluate_comp.scm 1116 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1388z00_4049), CDR(BgL_val1388z00_4049));
												}
											else
												{	/* Eval/evaluate_comp.scm 1116 */
													return BgL_val1388z00_4049;
												}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:3401> */
	obj_t BGl_zc3exitza33401ze3z83zz__evaluate_compz00(obj_t BgL_nsz00_16004,
		obj_t BgL_runz00_16003)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1116 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1389z00_4055;

			if (SET_EXIT(BgL_an_exit1389z00_4055))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1389z00_4055 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1116 */

						PUSH_EXIT(BgL_an_exit1389z00_4055, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1116 */
							obj_t BgL_val1390z00_4056;

							BgL_val1390z00_4056 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_16003,
								BgL_nsz00_16004, BINT(((long) 2)));
							POP_EXIT();
							return BgL_val1390z00_4056;
						}
					}
				}
		}
	}



/* <exit:3395> */
	obj_t BGl_zc3exitza33395ze3z83zz__evaluate_compz00(obj_t BgL_bpz00_16007,
		obj_t BgL_sz00_16006, obj_t BgL_runz00_16005)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1116 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1386z00_4045;

			if (SET_EXIT(BgL_an_exit1386z00_4045))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1386z00_4045 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1116 */

						PUSH_EXIT(BgL_an_exit1386z00_4045, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1116 */
							obj_t BgL_val1387z00_4046;

							BgL_val1387z00_4046 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_16005,
								BgL_sz00_16006, BgL_bpz00_16007);
							POP_EXIT();
							return BgL_val1387z00_4046;
						}
					}
				}
		}
	}



/* &run5497 */
	obj_t BGl_z62run5497z62zz__evaluate_compz00(obj_t BgL_envz00_15243,
		obj_t BgL_sz00_15248)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1116 */
			{	/* Eval/evaluate_comp.scm 1116 */
				long BgL_siza7eza7_15244;
				obj_t BgL_valza2za2_15245;
				BgL_ev_absz00_bglt BgL_i1250z00_15246;
				obj_t BgL_bodyz00_15247;

				BgL_siza7eza7_15244 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15243, (int) (((long) 0))));
				BgL_valza2za2_15245 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15243, (int) (((long) 1))));
				BgL_i1250z00_15246 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_15243, (int) (((long) 2))));
				BgL_bodyz00_15247 = PROCEDURE_REF(BgL_envz00_15243, (int) (((long) 3)));
				{
					obj_t BgL_sz00_4058;

					BgL_sz00_4058 = BgL_sz00_15248;
					{	/* Eval/evaluate_comp.scm 1116 */
						obj_t BgL_bpz00_4060;

						BgL_bpz00_4060 = VECTOR_REF(BgL_sz00_4058, (int) (((long) 0)));
						BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_4058,
							BgL_valza2za2_15245,
							((long) CINT(BgL_bpz00_4060) + BgL_siza7eza7_15244));
						{	/* Eval/evaluate_comp.scm 1036 */
							obj_t BgL_z12denvz12_4062;
							obj_t BgL_wherez00_4063;
							obj_t BgL_locz00_4064;

							BgL_z12denvz12_4062 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_4063 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_15246))->BgL_wherez00);
							BgL_locz00_4064 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_15246))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1036 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_4062, BgL_wherez00_4063,
									BgL_locz00_4064);
								{	/* Eval/evaluate_comp.scm 1036 */
									obj_t BgL_za2za2resza2za2z00_4065;

									BgL_za2za2resza2za2z00_4065 =
										PROCEDURE_ENTRY(BgL_bodyz00_15247) (BgL_bodyz00_15247,
										BgL_sz00_4058, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_4062);
									return BgL_za2za2resza2za2z00_4065;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3404> */
	obj_t BGl_z62zc3anonymousza33404ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15249, obj_t BgL_sz00_15256)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1116 */
			{	/* Eval/evaluate_comp.scm 1116 */
				obj_t BgL_ifreesz00_15250;
				obj_t BgL_iboxesz00_15251;
				long BgL_siza7eza7_15252;
				BgL_ev_absz00_bglt BgL_i1250z00_15253;
				obj_t BgL_bodyz00_15254;
				long BgL_siza7ezd2framez75_15255;

				BgL_ifreesz00_15250 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15249, (int) (((long) 0))));
				BgL_iboxesz00_15251 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15249, (int) (((long) 1))));
				BgL_siza7eza7_15252 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15249, (int) (((long) 2))));
				BgL_i1250z00_15253 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_15249, (int) (((long) 3))));
				BgL_bodyz00_15254 = PROCEDURE_REF(BgL_envz00_15249, (int) (((long) 4)));
				BgL_siza7ezd2framez75_15255 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15249, (int) (((long) 5))));
				{
					obj_t BgL_sz00_4067;

					BgL_sz00_4067 = BgL_sz00_15256;
					{	/* Eval/evaluate_comp.scm 1116 */
						obj_t BgL_bpz00_4069;

						BgL_bpz00_4069 = VECTOR_REF(BgL_sz00_4067, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1116 */
							obj_t BgL_valza2za2_4070;

							BgL_valza2za2_4070 =
								BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_4067,
								BgL_bpz00_4069, BgL_ifreesz00_15250);
							{	/* Eval/evaluate_comp.scm 1116 */
								obj_t BgL_runz00_14601;

								BgL_runz00_14601 =
									MAKE_FX_PROCEDURE(BGl_z62run5499z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 5)));
								PROCEDURE_SET(BgL_runz00_14601,
									(int) (((long) 0)), BgL_iboxesz00_15251);
								PROCEDURE_SET(BgL_runz00_14601,
									(int) (((long) 1)), BINT(BgL_siza7eza7_15252));
								PROCEDURE_SET(BgL_runz00_14601,
									(int) (((long) 2)), BgL_valza2za2_4070);
								PROCEDURE_SET(BgL_runz00_14601,
									(int) (((long) 3)), ((obj_t) BgL_i1250z00_15253));
								PROCEDURE_SET(BgL_runz00_14601,
									(int) (((long) 4)), BgL_bodyz00_15254);
								{	/* Eval/evaluate_comp.scm 1116 */
									obj_t BgL_mainz00_14602;

									BgL_mainz00_14602 =
										MAKE_FX_PROCEDURE(BGl_z62main5498z62zz__evaluate_compz00,
										(int) (((long) 2)), (int) (((long) 7)));
									PROCEDURE_SET(BgL_mainz00_14602,
										(int) (((long) 0)), BgL_iboxesz00_15251);
									PROCEDURE_SET(BgL_mainz00_14602,
										(int) (((long) 1)), BINT(BgL_siza7eza7_15252));
									PROCEDURE_SET(BgL_mainz00_14602,
										(int) (((long) 2)), BgL_valza2za2_4070);
									PROCEDURE_SET(BgL_mainz00_14602,
										(int) (((long) 3)), ((obj_t) BgL_i1250z00_15253));
									PROCEDURE_SET(BgL_mainz00_14602,
										(int) (((long) 4)), BgL_bodyz00_15254);
									PROCEDURE_SET(BgL_mainz00_14602,
										(int) (((long) 5)), BgL_runz00_14601);
									PROCEDURE_SET(BgL_mainz00_14602,
										(int) (((long) 6)), BINT(BgL_siza7ezd2framez75_15255));
									{	/* Eval/evaluate_comp.scm 1116 */
										obj_t BgL_objz00_11889;

										BgL_objz00_11889 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_14601, BgL_objz00_11889);
										BgL_objz00_11889;
									}
									{	/* Eval/evaluate_comp.scm 1116 */
										obj_t BgL_arg3405z00_4073;

										{	/* Eval/evaluate_comp.scm 1116 */
											obj_t BgL_arg3406z00_4074;

											BgL_arg3406z00_4074 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_15253))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1116 */
												obj_t BgL_newz00_11893;

												BgL_newz00_11893 =
													create_struct(BGl_symbol5569z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 1116 */
													int BgL_auxz00_25235;

													BgL_auxz00_25235 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_11893, BgL_auxz00_25235,
														BgL_arg3406z00_4074);
												}
												{	/* Eval/evaluate_comp.scm 1116 */
													obj_t BgL_auxz00_25240;
													int BgL_auxz00_25238;

													BgL_auxz00_25240 = BINT(BgL_siza7ezd2framez75_15255);
													BgL_auxz00_25238 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_11893, BgL_auxz00_25238,
														BgL_auxz00_25240);
												}
												{	/* Eval/evaluate_comp.scm 1116 */
													int BgL_auxz00_25243;

													BgL_auxz00_25243 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_11893, BgL_auxz00_25243,
														BgL_runz00_14601);
												}
												{	/* Eval/evaluate_comp.scm 1116 */
													obj_t BgL_auxz00_25248;
													int BgL_auxz00_25246;

													BgL_auxz00_25248 = BINT(((long) 2));
													BgL_auxz00_25246 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_11893, BgL_auxz00_25246,
														BgL_auxz00_25248);
												}
												BgL_arg3405z00_4073 = BgL_newz00_11893;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_14602, BgL_arg3405z00_4073);
										BgL_arg3405z00_4073;
									}
									return BgL_mainz00_14602;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main5498 */
	obj_t BGl_z62main5498z62zz__evaluate_compz00(obj_t BgL_envz00_15257,
		obj_t BgL_cz00_15265, obj_t BgL_dz00_15266)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1116 */
			{	/* Eval/evaluate_comp.scm 1116 */
				obj_t BgL_runz00_15263;
				long BgL_siza7ezd2framez75_15264;

				BgL_runz00_15263 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15257, (int) (((long) 5))));
				BgL_siza7ezd2framez75_15264 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15257, (int) (((long) 6))));
				{
					obj_t BgL_cz00_4075;
					obj_t BgL_dz00_4076;

					BgL_cz00_4075 = BgL_cz00_15265;
					BgL_dz00_4076 = BgL_dz00_15266;
					{	/* Eval/evaluate_comp.scm 1116 */
						obj_t BgL_sz00_4078;

						BgL_sz00_4078 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1116 */
							obj_t BgL_bpz00_4079;

							BgL_bpz00_4079 = VECTOR_REF(BgL_sz00_4078, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1116 */
								bool_t BgL_testz00_25261;

								{	/* Eval/evaluate_comp.scm 1116 */
									int BgL_arg1909z00_11851;

									BgL_arg1909z00_11851 = VECTOR_LENGTH(BgL_sz00_4078);
									BgL_testz00_25261 =
										(
										((long) CINT(BgL_bpz00_4079) +
											BgL_siza7ezd2framez75_15264) <
										(long) (BgL_arg1909z00_11851));
								}
								if (BgL_testz00_25261)
									{	/* Eval/evaluate_comp.scm 1116 */
										{	/* Eval/evaluate_comp.scm 1116 */
											long BgL_arg3409z00_4081;

											BgL_arg3409z00_4081 =
												((long) CINT(BgL_bpz00_4079) + ((long) 0));
											VECTOR_SET(BgL_sz00_4078,
												(int) (BgL_arg3409z00_4081), BgL_cz00_4075);
										}
										{	/* Eval/evaluate_comp.scm 1116 */
											long BgL_arg3410z00_4082;

											BgL_arg3410z00_4082 =
												((long) CINT(BgL_bpz00_4079) + ((long) 1));
											VECTOR_SET(BgL_sz00_4078,
												(int) (BgL_arg3410z00_4082), BgL_dz00_4076);
										}
										{	/* Eval/evaluate_comp.scm 1116 */
											obj_t BgL_val1391z00_4083;

											BgL_val1391z00_4083 =
												BGl_zc3exitza33414ze3z83zz__evaluate_compz00
												(BgL_bpz00_4079, BgL_sz00_4078, BgL_runz00_15263);
											VECTOR_SET(BgL_sz00_4078, (int) (((long) 0)),
												BgL_bpz00_4079);
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1391z00_4083)))
												{	/* Eval/evaluate_comp.scm 1116 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1391z00_4083), CDR(BgL_val1391z00_4083));
												}
											else
												{	/* Eval/evaluate_comp.scm 1116 */
													return BgL_val1391z00_4083;
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1116 */
										obj_t BgL_nsz00_4090;

										BgL_nsz00_4090 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_4090,
											(int) (((long) 1)), BgL_sz00_4078);
										VECTOR_SET(BgL_nsz00_4090,
											(int) (((long) 2)), BgL_cz00_4075);
										VECTOR_SET(BgL_nsz00_4090,
											(int) (((long) 3)), BgL_dz00_4076);
										{	/* Eval/evaluate_comp.scm 1116 */
											obj_t BgL_auxz00_25291;

											BgL_auxz00_25291 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_25291, BgL_nsz00_4090);
										}
										{	/* Eval/evaluate_comp.scm 1116 */
											obj_t BgL_val1394z00_4092;

											BgL_val1394z00_4092 =
												BGl_zc3exitza33420ze3z83zz__evaluate_compz00
												(BgL_nsz00_4090, BgL_runz00_15263);
											{	/* Eval/evaluate_comp.scm 1116 */
												obj_t BgL_auxz00_25295;

												BgL_auxz00_25295 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_EVSTATE_SET(BgL_auxz00_25295, BgL_sz00_4078);
											}
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1394z00_4092)))
												{	/* Eval/evaluate_comp.scm 1116 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1394z00_4092), CDR(BgL_val1394z00_4092));
												}
											else
												{	/* Eval/evaluate_comp.scm 1116 */
													return BgL_val1394z00_4092;
												}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:3420> */
	obj_t BGl_zc3exitza33420ze3z83zz__evaluate_compz00(obj_t BgL_nsz00_15999,
		obj_t BgL_runz00_15998)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1116 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1395z00_4098;

			if (SET_EXIT(BgL_an_exit1395z00_4098))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1395z00_4098 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1116 */

						PUSH_EXIT(BgL_an_exit1395z00_4098, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1116 */
							obj_t BgL_val1396z00_4099;

							BgL_val1396z00_4099 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_15998,
								BgL_nsz00_15999, BINT(((long) 2)));
							POP_EXIT();
							return BgL_val1396z00_4099;
						}
					}
				}
		}
	}



/* <exit:3414> */
	obj_t BGl_zc3exitza33414ze3z83zz__evaluate_compz00(obj_t BgL_bpz00_16002,
		obj_t BgL_sz00_16001, obj_t BgL_runz00_16000)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1116 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1392z00_4088;

			if (SET_EXIT(BgL_an_exit1392z00_4088))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1392z00_4088 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1116 */

						PUSH_EXIT(BgL_an_exit1392z00_4088, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1116 */
							obj_t BgL_val1393z00_4089;

							BgL_val1393z00_4089 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_16000,
								BgL_sz00_16001, BgL_bpz00_16002);
							POP_EXIT();
							return BgL_val1393z00_4089;
						}
					}
				}
		}
	}



/* &run5499 */
	obj_t BGl_z62run5499z62zz__evaluate_compz00(obj_t BgL_envz00_15267,
		obj_t BgL_sz00_15273)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1116 */
			{	/* Eval/evaluate_comp.scm 1116 */
				obj_t BgL_iboxesz00_15268;
				long BgL_siza7eza7_15269;
				obj_t BgL_valza2za2_15270;
				BgL_ev_absz00_bglt BgL_i1250z00_15271;
				obj_t BgL_bodyz00_15272;

				BgL_iboxesz00_15268 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15267, (int) (((long) 0))));
				BgL_siza7eza7_15269 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15267, (int) (((long) 1))));
				BgL_valza2za2_15270 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15267, (int) (((long) 2))));
				BgL_i1250z00_15271 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_15267, (int) (((long) 3))));
				BgL_bodyz00_15272 = PROCEDURE_REF(BgL_envz00_15267, (int) (((long) 4)));
				{
					obj_t BgL_sz00_4101;

					BgL_sz00_4101 = BgL_sz00_15273;
					{	/* Eval/evaluate_comp.scm 1116 */
						obj_t BgL_bpz00_4103;

						BgL_bpz00_4103 = VECTOR_REF(BgL_sz00_4101, (int) (((long) 0)));
						BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_4101,
							BgL_iboxesz00_15268, BgL_bpz00_4103);
						BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_4101,
							BgL_valza2za2_15270,
							((long) CINT(BgL_bpz00_4103) + BgL_siza7eza7_15269));
						{	/* Eval/evaluate_comp.scm 1036 */
							obj_t BgL_z12denvz12_4105;
							obj_t BgL_wherez00_4106;
							obj_t BgL_locz00_4107;

							BgL_z12denvz12_4105 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_4106 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_15271))->BgL_wherez00);
							BgL_locz00_4107 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_15271))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1036 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_4105, BgL_wherez00_4106,
									BgL_locz00_4107);
								{	/* Eval/evaluate_comp.scm 1036 */
									obj_t BgL_za2za2resza2za2z00_4108;

									BgL_za2za2resza2za2z00_4108 =
										PROCEDURE_ENTRY(BgL_bodyz00_15272) (BgL_bodyz00_15272,
										BgL_sz00_4101, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_4105);
									return BgL_za2za2resza2za2z00_4108;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3267> */
	obj_t BGl_z62zc3anonymousza33267ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15274, obj_t BgL_sz00_15278)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1116 */
			{	/* Eval/evaluate_comp.scm 1116 */
				BgL_ev_absz00_bglt BgL_i1250z00_15275;
				obj_t BgL_bodyz00_15276;
				long BgL_siza7ezd2framez75_15277;

				BgL_i1250z00_15275 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_15274, (int) (((long) 0))));
				BgL_bodyz00_15276 = PROCEDURE_REF(BgL_envz00_15274, (int) (((long) 1)));
				BgL_siza7ezd2framez75_15277 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15274, (int) (((long) 2))));
				{
					obj_t BgL_sz00_3766;

					BgL_sz00_3766 = BgL_sz00_15278;
					{	/* Eval/evaluate_comp.scm 1116 */
						obj_t BgL_bpz00_3768;

						BgL_bpz00_3768 = VECTOR_REF(BgL_sz00_3766, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1116 */

							{	/* Eval/evaluate_comp.scm 1116 */
								obj_t BgL_runz00_14598;

								BgL_runz00_14598 =
									MAKE_FX_PROCEDURE(BGl_z62run5501z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 2)));
								PROCEDURE_SET(BgL_runz00_14598,
									(int) (((long) 0)), ((obj_t) BgL_i1250z00_15275));
								PROCEDURE_SET(BgL_runz00_14598,
									(int) (((long) 1)), BgL_bodyz00_15276);
								{	/* Eval/evaluate_comp.scm 1116 */
									obj_t BgL_mainz00_14599;

									BgL_mainz00_14599 =
										MAKE_VA_PROCEDURE(BGl_z62main5500z62zz__evaluate_compz00,
										(int) (((long) -2)), (int) (((long) 4)));
									PROCEDURE_SET(BgL_mainz00_14599,
										(int) (((long) 0)), ((obj_t) BgL_i1250z00_15275));
									PROCEDURE_SET(BgL_mainz00_14599,
										(int) (((long) 1)), BgL_bodyz00_15276);
									PROCEDURE_SET(BgL_mainz00_14599,
										(int) (((long) 2)), BgL_runz00_14598);
									PROCEDURE_SET(BgL_mainz00_14599,
										(int) (((long) 3)), BINT(BgL_siza7ezd2framez75_15277));
									{	/* Eval/evaluate_comp.scm 1116 */
										obj_t BgL_objz00_11350;

										BgL_objz00_11350 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_14598, BgL_objz00_11350);
										BgL_objz00_11350;
									}
									{	/* Eval/evaluate_comp.scm 1116 */
										obj_t BgL_arg3268z00_3771;

										{	/* Eval/evaluate_comp.scm 1116 */
											obj_t BgL_arg3269z00_3772;

											BgL_arg3269z00_3772 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_15275))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1116 */
												obj_t BgL_newz00_11354;

												BgL_newz00_11354 =
													create_struct(BGl_symbol5569z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 1116 */
													int BgL_auxz00_25379;

													BgL_auxz00_25379 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_11354, BgL_auxz00_25379,
														BgL_arg3269z00_3772);
												}
												{	/* Eval/evaluate_comp.scm 1116 */
													obj_t BgL_auxz00_25384;
													int BgL_auxz00_25382;

													BgL_auxz00_25384 = BINT(BgL_siza7ezd2framez75_15277);
													BgL_auxz00_25382 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_11354, BgL_auxz00_25382,
														BgL_auxz00_25384);
												}
												{	/* Eval/evaluate_comp.scm 1116 */
													int BgL_auxz00_25387;

													BgL_auxz00_25387 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_11354, BgL_auxz00_25387,
														BgL_runz00_14598);
												}
												{	/* Eval/evaluate_comp.scm 1116 */
													obj_t BgL_auxz00_25392;
													int BgL_auxz00_25390;

													BgL_auxz00_25392 = BINT(((long) -2));
													BgL_auxz00_25390 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_11354, BgL_auxz00_25390,
														BgL_auxz00_25392);
												}
												BgL_arg3268z00_3771 = BgL_newz00_11354;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_14599, BgL_arg3268z00_3771);
										BgL_arg3268z00_3771;
									}
									return BgL_mainz00_14599;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main5500 */
	obj_t BGl_z62main5500z62zz__evaluate_compz00(obj_t BgL_envz00_15279,
		obj_t BgL_dz00_15284, obj_t BgL_lastz00_15285)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1116 */
			{	/* Eval/evaluate_comp.scm 1116 */
				obj_t BgL_runz00_15282;
				long BgL_siza7ezd2framez75_15283;

				BgL_runz00_15282 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15279, (int) (((long) 2))));
				BgL_siza7ezd2framez75_15283 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15279, (int) (((long) 3))));
				{
					obj_t BgL_dz00_3773;
					obj_t BgL_lastz00_3774;

					BgL_dz00_3773 = BgL_dz00_15284;
					BgL_lastz00_3774 = BgL_lastz00_15285;
					{	/* Eval/evaluate_comp.scm 1116 */
						obj_t BgL_sz00_3776;

						BgL_sz00_3776 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1116 */
							obj_t BgL_bpz00_3777;

							BgL_bpz00_3777 = VECTOR_REF(BgL_sz00_3776, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1116 */
								bool_t BgL_testz00_25405;

								{	/* Eval/evaluate_comp.scm 1116 */
									int BgL_arg1909z00_11312;

									BgL_arg1909z00_11312 = VECTOR_LENGTH(BgL_sz00_3776);
									BgL_testz00_25405 =
										(
										((long) CINT(BgL_bpz00_3777) +
											BgL_siza7ezd2framez75_15283) <
										(long) (BgL_arg1909z00_11312));
								}
								if (BgL_testz00_25405)
									{	/* Eval/evaluate_comp.scm 1116 */
										{	/* Eval/evaluate_comp.scm 1116 */
											long BgL_arg3272z00_3779;

											BgL_arg3272z00_3779 =
												((long) CINT(BgL_bpz00_3777) + ((long) 0));
											VECTOR_SET(BgL_sz00_3776,
												(int) (BgL_arg3272z00_3779), BgL_dz00_3773);
										}
										{	/* Eval/evaluate_comp.scm 1116 */
											long BgL_arg3273z00_3780;

											BgL_arg3273z00_3780 =
												((long) CINT(BgL_bpz00_3777) + ((long) 1));
											VECTOR_SET(BgL_sz00_3776,
												(int) (BgL_arg3273z00_3780), BgL_lastz00_3774);
										}
										{	/* Eval/evaluate_comp.scm 1116 */
											obj_t BgL_val1349z00_3781;

											BgL_val1349z00_3781 =
												BGl_zc3exitza33277ze3z83zz__evaluate_compz00
												(BgL_bpz00_3777, BgL_sz00_3776, BgL_runz00_15282);
											VECTOR_SET(BgL_sz00_3776, (int) (((long) 0)),
												BgL_bpz00_3777);
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1349z00_3781)))
												{	/* Eval/evaluate_comp.scm 1116 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1349z00_3781), CDR(BgL_val1349z00_3781));
												}
											else
												{	/* Eval/evaluate_comp.scm 1116 */
													return BgL_val1349z00_3781;
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1116 */
										obj_t BgL_nsz00_3788;

										BgL_nsz00_3788 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_3788,
											(int) (((long) 1)), BgL_sz00_3776);
										VECTOR_SET(BgL_nsz00_3788,
											(int) (((long) 2)), BgL_dz00_3773);
										VECTOR_SET(BgL_nsz00_3788,
											(int) (((long) 3)), BgL_lastz00_3774);
										{	/* Eval/evaluate_comp.scm 1116 */
											obj_t BgL_auxz00_25435;

											BgL_auxz00_25435 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_25435, BgL_nsz00_3788);
										}
										{	/* Eval/evaluate_comp.scm 1116 */
											obj_t BgL_val1352z00_3790;

											BgL_val1352z00_3790 =
												BGl_zc3exitza33283ze3z83zz__evaluate_compz00
												(BgL_nsz00_3788, BgL_runz00_15282);
											{	/* Eval/evaluate_comp.scm 1116 */
												obj_t BgL_auxz00_25439;

												BgL_auxz00_25439 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_EVSTATE_SET(BgL_auxz00_25439, BgL_sz00_3776);
											}
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1352z00_3790)))
												{	/* Eval/evaluate_comp.scm 1116 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1352z00_3790), CDR(BgL_val1352z00_3790));
												}
											else
												{	/* Eval/evaluate_comp.scm 1116 */
													return BgL_val1352z00_3790;
												}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:3283> */
	obj_t BGl_zc3exitza33283ze3z83zz__evaluate_compz00(obj_t BgL_nsz00_15994,
		obj_t BgL_runz00_15993)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1116 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1353z00_3796;

			if (SET_EXIT(BgL_an_exit1353z00_3796))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1353z00_3796 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1116 */

						PUSH_EXIT(BgL_an_exit1353z00_3796, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1116 */
							obj_t BgL_val1354z00_3797;

							BgL_val1354z00_3797 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_15993,
								BgL_nsz00_15994, BINT(((long) 2)));
							POP_EXIT();
							return BgL_val1354z00_3797;
						}
					}
				}
		}
	}



/* <exit:3277> */
	obj_t BGl_zc3exitza33277ze3z83zz__evaluate_compz00(obj_t BgL_bpz00_15997,
		obj_t BgL_sz00_15996, obj_t BgL_runz00_15995)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1116 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1350z00_3786;

			if (SET_EXIT(BgL_an_exit1350z00_3786))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1350z00_3786 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1116 */

						PUSH_EXIT(BgL_an_exit1350z00_3786, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1116 */
							obj_t BgL_val1351z00_3787;

							BgL_val1351z00_3787 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_15995,
								BgL_sz00_15996, BgL_bpz00_15997);
							POP_EXIT();
							return BgL_val1351z00_3787;
						}
					}
				}
		}
	}



/* &run5501 */
	obj_t BGl_z62run5501z62zz__evaluate_compz00(obj_t BgL_envz00_15286,
		obj_t BgL_sz00_15289)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1116 */
			{	/* Eval/evaluate_comp.scm 1116 */
				BgL_ev_absz00_bglt BgL_i1250z00_15287;
				obj_t BgL_bodyz00_15288;

				BgL_i1250z00_15287 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_15286, (int) (((long) 0))));
				BgL_bodyz00_15288 = PROCEDURE_REF(BgL_envz00_15286, (int) (((long) 1)));
				{
					obj_t BgL_sz00_3799;

					BgL_sz00_3799 = BgL_sz00_15289;
					{	/* Eval/evaluate_comp.scm 1116 */
						obj_t BgL_bpz00_3801;

						BgL_bpz00_3801 = VECTOR_REF(BgL_sz00_3799, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1116 */
							obj_t BgL_z12denvz12_3802;
							obj_t BgL_wherez00_3803;
							obj_t BgL_locz00_3804;

							BgL_z12denvz12_3802 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_3803 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_15287))->BgL_wherez00);
							BgL_locz00_3804 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_15287))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1116 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_3802, BgL_wherez00_3803,
									BgL_locz00_3804);
								{	/* Eval/evaluate_comp.scm 1116 */
									obj_t BgL_za2za2resza2za2z00_3805;

									BgL_za2za2resza2za2z00_3805 =
										PROCEDURE_ENTRY(BgL_bodyz00_15288) (BgL_bodyz00_15288,
										BgL_sz00_3799, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_3802);
									return BgL_za2za2resza2za2z00_3805;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3285> */
	obj_t BGl_z62zc3anonymousza33285ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15290, obj_t BgL_sz00_15295)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1116 */
			{	/* Eval/evaluate_comp.scm 1116 */
				obj_t BgL_iboxesz00_15291;
				BgL_ev_absz00_bglt BgL_i1250z00_15292;
				obj_t BgL_bodyz00_15293;
				long BgL_siza7ezd2framez75_15294;

				BgL_iboxesz00_15291 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15290, (int) (((long) 0))));
				BgL_i1250z00_15292 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_15290, (int) (((long) 1))));
				BgL_bodyz00_15293 = PROCEDURE_REF(BgL_envz00_15290, (int) (((long) 2)));
				BgL_siza7ezd2framez75_15294 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15290, (int) (((long) 3))));
				{
					obj_t BgL_sz00_3807;

					BgL_sz00_3807 = BgL_sz00_15295;
					{	/* Eval/evaluate_comp.scm 1116 */
						obj_t BgL_bpz00_3809;

						BgL_bpz00_3809 = VECTOR_REF(BgL_sz00_3807, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1116 */

							{	/* Eval/evaluate_comp.scm 1116 */
								obj_t BgL_runz00_14595;

								BgL_runz00_14595 =
									MAKE_FX_PROCEDURE(BGl_z62run5503z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 3)));
								PROCEDURE_SET(BgL_runz00_14595,
									(int) (((long) 0)), BgL_iboxesz00_15291);
								PROCEDURE_SET(BgL_runz00_14595,
									(int) (((long) 1)), ((obj_t) BgL_i1250z00_15292));
								PROCEDURE_SET(BgL_runz00_14595,
									(int) (((long) 2)), BgL_bodyz00_15293);
								{	/* Eval/evaluate_comp.scm 1116 */
									obj_t BgL_mainz00_14596;

									BgL_mainz00_14596 =
										MAKE_VA_PROCEDURE(BGl_z62main5502z62zz__evaluate_compz00,
										(int) (((long) -2)), (int) (((long) 5)));
									PROCEDURE_SET(BgL_mainz00_14596,
										(int) (((long) 0)), BgL_iboxesz00_15291);
									PROCEDURE_SET(BgL_mainz00_14596,
										(int) (((long) 1)), ((obj_t) BgL_i1250z00_15292));
									PROCEDURE_SET(BgL_mainz00_14596,
										(int) (((long) 2)), BgL_bodyz00_15293);
									PROCEDURE_SET(BgL_mainz00_14596,
										(int) (((long) 3)), BgL_runz00_14595);
									PROCEDURE_SET(BgL_mainz00_14596,
										(int) (((long) 4)), BINT(BgL_siza7ezd2framez75_15294));
									{	/* Eval/evaluate_comp.scm 1116 */
										obj_t BgL_objz00_11423;

										BgL_objz00_11423 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_14595, BgL_objz00_11423);
										BgL_objz00_11423;
									}
									{	/* Eval/evaluate_comp.scm 1116 */
										obj_t BgL_arg3286z00_3812;

										{	/* Eval/evaluate_comp.scm 1116 */
											obj_t BgL_arg3287z00_3813;

											BgL_arg3287z00_3813 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_15292))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1116 */
												obj_t BgL_newz00_11427;

												BgL_newz00_11427 =
													create_struct(BGl_symbol5569z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 1116 */
													int BgL_auxz00_25517;

													BgL_auxz00_25517 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_11427, BgL_auxz00_25517,
														BgL_arg3287z00_3813);
												}
												{	/* Eval/evaluate_comp.scm 1116 */
													obj_t BgL_auxz00_25522;
													int BgL_auxz00_25520;

													BgL_auxz00_25522 = BINT(BgL_siza7ezd2framez75_15294);
													BgL_auxz00_25520 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_11427, BgL_auxz00_25520,
														BgL_auxz00_25522);
												}
												{	/* Eval/evaluate_comp.scm 1116 */
													int BgL_auxz00_25525;

													BgL_auxz00_25525 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_11427, BgL_auxz00_25525,
														BgL_runz00_14595);
												}
												{	/* Eval/evaluate_comp.scm 1116 */
													obj_t BgL_auxz00_25530;
													int BgL_auxz00_25528;

													BgL_auxz00_25530 = BINT(((long) -2));
													BgL_auxz00_25528 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_11427, BgL_auxz00_25528,
														BgL_auxz00_25530);
												}
												BgL_arg3286z00_3812 = BgL_newz00_11427;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_14596, BgL_arg3286z00_3812);
										BgL_arg3286z00_3812;
									}
									return BgL_mainz00_14596;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main5502 */
	obj_t BGl_z62main5502z62zz__evaluate_compz00(obj_t BgL_envz00_15296,
		obj_t BgL_dz00_15302, obj_t BgL_lastz00_15303)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1116 */
			{	/* Eval/evaluate_comp.scm 1116 */
				obj_t BgL_runz00_15300;
				long BgL_siza7ezd2framez75_15301;

				BgL_runz00_15300 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15296, (int) (((long) 3))));
				BgL_siza7ezd2framez75_15301 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15296, (int) (((long) 4))));
				{
					obj_t BgL_dz00_3814;
					obj_t BgL_lastz00_3815;

					BgL_dz00_3814 = BgL_dz00_15302;
					BgL_lastz00_3815 = BgL_lastz00_15303;
					{	/* Eval/evaluate_comp.scm 1116 */
						obj_t BgL_sz00_3817;

						BgL_sz00_3817 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1116 */
							obj_t BgL_bpz00_3818;

							BgL_bpz00_3818 = VECTOR_REF(BgL_sz00_3817, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1116 */
								bool_t BgL_testz00_25543;

								{	/* Eval/evaluate_comp.scm 1116 */
									int BgL_arg1909z00_11385;

									BgL_arg1909z00_11385 = VECTOR_LENGTH(BgL_sz00_3817);
									BgL_testz00_25543 =
										(
										((long) CINT(BgL_bpz00_3818) +
											BgL_siza7ezd2framez75_15301) <
										(long) (BgL_arg1909z00_11385));
								}
								if (BgL_testz00_25543)
									{	/* Eval/evaluate_comp.scm 1116 */
										{	/* Eval/evaluate_comp.scm 1116 */
											long BgL_arg3290z00_3820;

											BgL_arg3290z00_3820 =
												((long) CINT(BgL_bpz00_3818) + ((long) 0));
											VECTOR_SET(BgL_sz00_3817,
												(int) (BgL_arg3290z00_3820), BgL_dz00_3814);
										}
										{	/* Eval/evaluate_comp.scm 1116 */
											long BgL_arg3291z00_3821;

											BgL_arg3291z00_3821 =
												((long) CINT(BgL_bpz00_3818) + ((long) 1));
											VECTOR_SET(BgL_sz00_3817,
												(int) (BgL_arg3291z00_3821), BgL_lastz00_3815);
										}
										{	/* Eval/evaluate_comp.scm 1116 */
											obj_t BgL_val1355z00_3822;

											BgL_val1355z00_3822 =
												BGl_zc3exitza33295ze3z83zz__evaluate_compz00
												(BgL_bpz00_3818, BgL_sz00_3817, BgL_runz00_15300);
											VECTOR_SET(BgL_sz00_3817, (int) (((long) 0)),
												BgL_bpz00_3818);
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1355z00_3822)))
												{	/* Eval/evaluate_comp.scm 1116 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1355z00_3822), CDR(BgL_val1355z00_3822));
												}
											else
												{	/* Eval/evaluate_comp.scm 1116 */
													return BgL_val1355z00_3822;
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1116 */
										obj_t BgL_nsz00_3829;

										BgL_nsz00_3829 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_3829,
											(int) (((long) 1)), BgL_sz00_3817);
										VECTOR_SET(BgL_nsz00_3829,
											(int) (((long) 2)), BgL_dz00_3814);
										VECTOR_SET(BgL_nsz00_3829,
											(int) (((long) 3)), BgL_lastz00_3815);
										{	/* Eval/evaluate_comp.scm 1116 */
											obj_t BgL_auxz00_25573;

											BgL_auxz00_25573 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_25573, BgL_nsz00_3829);
										}
										{	/* Eval/evaluate_comp.scm 1116 */
											obj_t BgL_val1358z00_3831;

											BgL_val1358z00_3831 =
												BGl_zc3exitza33301ze3z83zz__evaluate_compz00
												(BgL_nsz00_3829, BgL_runz00_15300);
											{	/* Eval/evaluate_comp.scm 1116 */
												obj_t BgL_auxz00_25577;

												BgL_auxz00_25577 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_EVSTATE_SET(BgL_auxz00_25577, BgL_sz00_3817);
											}
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1358z00_3831)))
												{	/* Eval/evaluate_comp.scm 1116 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1358z00_3831), CDR(BgL_val1358z00_3831));
												}
											else
												{	/* Eval/evaluate_comp.scm 1116 */
													return BgL_val1358z00_3831;
												}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:3301> */
	obj_t BGl_zc3exitza33301ze3z83zz__evaluate_compz00(obj_t BgL_nsz00_15989,
		obj_t BgL_runz00_15988)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1116 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1359z00_3837;

			if (SET_EXIT(BgL_an_exit1359z00_3837))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1359z00_3837 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1116 */

						PUSH_EXIT(BgL_an_exit1359z00_3837, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1116 */
							obj_t BgL_val1360z00_3838;

							BgL_val1360z00_3838 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_15988,
								BgL_nsz00_15989, BINT(((long) 2)));
							POP_EXIT();
							return BgL_val1360z00_3838;
						}
					}
				}
		}
	}



/* <exit:3295> */
	obj_t BGl_zc3exitza33295ze3z83zz__evaluate_compz00(obj_t BgL_bpz00_15992,
		obj_t BgL_sz00_15991, obj_t BgL_runz00_15990)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1116 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1356z00_3827;

			if (SET_EXIT(BgL_an_exit1356z00_3827))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1356z00_3827 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1116 */

						PUSH_EXIT(BgL_an_exit1356z00_3827, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1116 */
							obj_t BgL_val1357z00_3828;

							BgL_val1357z00_3828 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_15990,
								BgL_sz00_15991, BgL_bpz00_15992);
							POP_EXIT();
							return BgL_val1357z00_3828;
						}
					}
				}
		}
	}



/* &run5503 */
	obj_t BGl_z62run5503z62zz__evaluate_compz00(obj_t BgL_envz00_15304,
		obj_t BgL_sz00_15308)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1116 */
			{	/* Eval/evaluate_comp.scm 1116 */
				obj_t BgL_iboxesz00_15305;
				BgL_ev_absz00_bglt BgL_i1250z00_15306;
				obj_t BgL_bodyz00_15307;

				BgL_iboxesz00_15305 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15304, (int) (((long) 0))));
				BgL_i1250z00_15306 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_15304, (int) (((long) 1))));
				BgL_bodyz00_15307 = PROCEDURE_REF(BgL_envz00_15304, (int) (((long) 2)));
				{
					obj_t BgL_sz00_3840;

					BgL_sz00_3840 = BgL_sz00_15308;
					{	/* Eval/evaluate_comp.scm 1116 */
						obj_t BgL_bpz00_3842;

						BgL_bpz00_3842 = VECTOR_REF(BgL_sz00_3840, (int) (((long) 0)));
						BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_3840,
							BgL_iboxesz00_15305, BgL_bpz00_3842);
						{	/* Eval/evaluate_comp.scm 1116 */
							obj_t BgL_z12denvz12_3843;
							obj_t BgL_wherez00_3844;
							obj_t BgL_locz00_3845;

							BgL_z12denvz12_3843 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_3844 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_15306))->BgL_wherez00);
							BgL_locz00_3845 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_15306))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1116 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_3843, BgL_wherez00_3844,
									BgL_locz00_3845);
								{	/* Eval/evaluate_comp.scm 1116 */
									obj_t BgL_za2za2resza2za2z00_3846;

									BgL_za2za2resza2za2z00_3846 =
										PROCEDURE_ENTRY(BgL_bodyz00_15307) (BgL_bodyz00_15307,
										BgL_sz00_3840, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_3843);
									return BgL_za2za2resza2za2z00_3846;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3305> */
	obj_t BGl_z62zc3anonymousza33305ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15309, obj_t BgL_sz00_15315)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1116 */
			{	/* Eval/evaluate_comp.scm 1116 */
				obj_t BgL_ifreesz00_15310;
				long BgL_siza7eza7_15311;
				BgL_ev_absz00_bglt BgL_i1250z00_15312;
				obj_t BgL_bodyz00_15313;
				long BgL_siza7ezd2framez75_15314;

				BgL_ifreesz00_15310 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15309, (int) (((long) 0))));
				BgL_siza7eza7_15311 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15309, (int) (((long) 1))));
				BgL_i1250z00_15312 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_15309, (int) (((long) 2))));
				BgL_bodyz00_15313 = PROCEDURE_REF(BgL_envz00_15309, (int) (((long) 3)));
				BgL_siza7ezd2framez75_15314 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15309, (int) (((long) 4))));
				{
					obj_t BgL_sz00_3850;

					BgL_sz00_3850 = BgL_sz00_15315;
					{	/* Eval/evaluate_comp.scm 1116 */
						obj_t BgL_bpz00_3852;

						BgL_bpz00_3852 = VECTOR_REF(BgL_sz00_3850, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1116 */
							obj_t BgL_valza2za2_3853;

							BgL_valza2za2_3853 =
								BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_3850,
								BgL_bpz00_3852, BgL_ifreesz00_15310);
							{	/* Eval/evaluate_comp.scm 1116 */
								obj_t BgL_runz00_14592;

								BgL_runz00_14592 =
									MAKE_FX_PROCEDURE(BGl_z62run5505z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 4)));
								PROCEDURE_SET(BgL_runz00_14592,
									(int) (((long) 0)), BINT(BgL_siza7eza7_15311));
								PROCEDURE_SET(BgL_runz00_14592,
									(int) (((long) 1)), BgL_valza2za2_3853);
								PROCEDURE_SET(BgL_runz00_14592,
									(int) (((long) 2)), ((obj_t) BgL_i1250z00_15312));
								PROCEDURE_SET(BgL_runz00_14592,
									(int) (((long) 3)), BgL_bodyz00_15313);
								{	/* Eval/evaluate_comp.scm 1116 */
									obj_t BgL_mainz00_14593;

									BgL_mainz00_14593 =
										MAKE_VA_PROCEDURE(BGl_z62main5504z62zz__evaluate_compz00,
										(int) (((long) -2)), (int) (((long) 6)));
									PROCEDURE_SET(BgL_mainz00_14593,
										(int) (((long) 0)), BINT(BgL_siza7eza7_15311));
									PROCEDURE_SET(BgL_mainz00_14593,
										(int) (((long) 1)), BgL_valza2za2_3853);
									PROCEDURE_SET(BgL_mainz00_14593,
										(int) (((long) 2)), ((obj_t) BgL_i1250z00_15312));
									PROCEDURE_SET(BgL_mainz00_14593,
										(int) (((long) 3)), BgL_bodyz00_15313);
									PROCEDURE_SET(BgL_mainz00_14593,
										(int) (((long) 4)), BgL_runz00_14592);
									PROCEDURE_SET(BgL_mainz00_14593,
										(int) (((long) 5)), BINT(BgL_siza7ezd2framez75_15314));
									{	/* Eval/evaluate_comp.scm 1116 */
										obj_t BgL_objz00_11503;

										BgL_objz00_11503 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_14592, BgL_objz00_11503);
										BgL_objz00_11503;
									}
									{	/* Eval/evaluate_comp.scm 1116 */
										obj_t BgL_arg3306z00_3856;

										{	/* Eval/evaluate_comp.scm 1116 */
											obj_t BgL_arg3307z00_3857;

											BgL_arg3307z00_3857 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_15312))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1116 */
												obj_t BgL_newz00_11507;

												BgL_newz00_11507 =
													create_struct(BGl_symbol5569z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 1116 */
													int BgL_auxz00_25669;

													BgL_auxz00_25669 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_11507, BgL_auxz00_25669,
														BgL_arg3307z00_3857);
												}
												{	/* Eval/evaluate_comp.scm 1116 */
													obj_t BgL_auxz00_25674;
													int BgL_auxz00_25672;

													BgL_auxz00_25674 = BINT(BgL_siza7ezd2framez75_15314);
													BgL_auxz00_25672 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_11507, BgL_auxz00_25672,
														BgL_auxz00_25674);
												}
												{	/* Eval/evaluate_comp.scm 1116 */
													int BgL_auxz00_25677;

													BgL_auxz00_25677 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_11507, BgL_auxz00_25677,
														BgL_runz00_14592);
												}
												{	/* Eval/evaluate_comp.scm 1116 */
													obj_t BgL_auxz00_25682;
													int BgL_auxz00_25680;

													BgL_auxz00_25682 = BINT(((long) -2));
													BgL_auxz00_25680 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_11507, BgL_auxz00_25680,
														BgL_auxz00_25682);
												}
												BgL_arg3306z00_3856 = BgL_newz00_11507;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_14593, BgL_arg3306z00_3856);
										BgL_arg3306z00_3856;
									}
									return BgL_mainz00_14593;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main5504 */
	obj_t BGl_z62main5504z62zz__evaluate_compz00(obj_t BgL_envz00_15316,
		obj_t BgL_dz00_15323, obj_t BgL_lastz00_15324)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1116 */
			{	/* Eval/evaluate_comp.scm 1116 */
				obj_t BgL_runz00_15321;
				long BgL_siza7ezd2framez75_15322;

				BgL_runz00_15321 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15316, (int) (((long) 4))));
				BgL_siza7ezd2framez75_15322 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15316, (int) (((long) 5))));
				{
					obj_t BgL_dz00_3858;
					obj_t BgL_lastz00_3859;

					BgL_dz00_3858 = BgL_dz00_15323;
					BgL_lastz00_3859 = BgL_lastz00_15324;
					{	/* Eval/evaluate_comp.scm 1116 */
						obj_t BgL_sz00_3861;

						BgL_sz00_3861 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1116 */
							obj_t BgL_bpz00_3862;

							BgL_bpz00_3862 = VECTOR_REF(BgL_sz00_3861, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1116 */
								bool_t BgL_testz00_25695;

								{	/* Eval/evaluate_comp.scm 1116 */
									int BgL_arg1909z00_11465;

									BgL_arg1909z00_11465 = VECTOR_LENGTH(BgL_sz00_3861);
									BgL_testz00_25695 =
										(
										((long) CINT(BgL_bpz00_3862) +
											BgL_siza7ezd2framez75_15322) <
										(long) (BgL_arg1909z00_11465));
								}
								if (BgL_testz00_25695)
									{	/* Eval/evaluate_comp.scm 1116 */
										{	/* Eval/evaluate_comp.scm 1116 */
											long BgL_arg3310z00_3864;

											BgL_arg3310z00_3864 =
												((long) CINT(BgL_bpz00_3862) + ((long) 0));
											VECTOR_SET(BgL_sz00_3861,
												(int) (BgL_arg3310z00_3864), BgL_dz00_3858);
										}
										{	/* Eval/evaluate_comp.scm 1116 */
											long BgL_arg3311z00_3865;

											BgL_arg3311z00_3865 =
												((long) CINT(BgL_bpz00_3862) + ((long) 1));
											VECTOR_SET(BgL_sz00_3861,
												(int) (BgL_arg3311z00_3865), BgL_lastz00_3859);
										}
										{	/* Eval/evaluate_comp.scm 1116 */
											obj_t BgL_val1361z00_3866;

											BgL_val1361z00_3866 =
												BGl_zc3exitza33315ze3z83zz__evaluate_compz00
												(BgL_bpz00_3862, BgL_sz00_3861, BgL_runz00_15321);
											VECTOR_SET(BgL_sz00_3861, (int) (((long) 0)),
												BgL_bpz00_3862);
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1361z00_3866)))
												{	/* Eval/evaluate_comp.scm 1116 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1361z00_3866), CDR(BgL_val1361z00_3866));
												}
											else
												{	/* Eval/evaluate_comp.scm 1116 */
													return BgL_val1361z00_3866;
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1116 */
										obj_t BgL_nsz00_3873;

										BgL_nsz00_3873 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_3873,
											(int) (((long) 1)), BgL_sz00_3861);
										VECTOR_SET(BgL_nsz00_3873,
											(int) (((long) 2)), BgL_dz00_3858);
										VECTOR_SET(BgL_nsz00_3873,
											(int) (((long) 3)), BgL_lastz00_3859);
										{	/* Eval/evaluate_comp.scm 1116 */
											obj_t BgL_auxz00_25725;

											BgL_auxz00_25725 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_25725, BgL_nsz00_3873);
										}
										{	/* Eval/evaluate_comp.scm 1116 */
											obj_t BgL_val1364z00_3875;

											BgL_val1364z00_3875 =
												BGl_zc3exitza33321ze3z83zz__evaluate_compz00
												(BgL_nsz00_3873, BgL_runz00_15321);
											{	/* Eval/evaluate_comp.scm 1116 */
												obj_t BgL_auxz00_25729;

												BgL_auxz00_25729 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_EVSTATE_SET(BgL_auxz00_25729, BgL_sz00_3861);
											}
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1364z00_3875)))
												{	/* Eval/evaluate_comp.scm 1116 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1364z00_3875), CDR(BgL_val1364z00_3875));
												}
											else
												{	/* Eval/evaluate_comp.scm 1116 */
													return BgL_val1364z00_3875;
												}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:3321> */
	obj_t BGl_zc3exitza33321ze3z83zz__evaluate_compz00(obj_t BgL_nsz00_15984,
		obj_t BgL_runz00_15983)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1116 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1365z00_3881;

			if (SET_EXIT(BgL_an_exit1365z00_3881))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1365z00_3881 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1116 */

						PUSH_EXIT(BgL_an_exit1365z00_3881, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1116 */
							obj_t BgL_val1366z00_3882;

							BgL_val1366z00_3882 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_15983,
								BgL_nsz00_15984, BINT(((long) 2)));
							POP_EXIT();
							return BgL_val1366z00_3882;
						}
					}
				}
		}
	}



/* <exit:3315> */
	obj_t BGl_zc3exitza33315ze3z83zz__evaluate_compz00(obj_t BgL_bpz00_15987,
		obj_t BgL_sz00_15986, obj_t BgL_runz00_15985)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1116 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1362z00_3871;

			if (SET_EXIT(BgL_an_exit1362z00_3871))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1362z00_3871 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1116 */

						PUSH_EXIT(BgL_an_exit1362z00_3871, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1116 */
							obj_t BgL_val1363z00_3872;

							BgL_val1363z00_3872 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_15985,
								BgL_sz00_15986, BgL_bpz00_15987);
							POP_EXIT();
							return BgL_val1363z00_3872;
						}
					}
				}
		}
	}



/* &run5505 */
	obj_t BGl_z62run5505z62zz__evaluate_compz00(obj_t BgL_envz00_15325,
		obj_t BgL_sz00_15330)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1116 */
			{	/* Eval/evaluate_comp.scm 1116 */
				long BgL_siza7eza7_15326;
				obj_t BgL_valza2za2_15327;
				BgL_ev_absz00_bglt BgL_i1250z00_15328;
				obj_t BgL_bodyz00_15329;

				BgL_siza7eza7_15326 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15325, (int) (((long) 0))));
				BgL_valza2za2_15327 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15325, (int) (((long) 1))));
				BgL_i1250z00_15328 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_15325, (int) (((long) 2))));
				BgL_bodyz00_15329 = PROCEDURE_REF(BgL_envz00_15325, (int) (((long) 3)));
				{
					obj_t BgL_sz00_3884;

					BgL_sz00_3884 = BgL_sz00_15330;
					{	/* Eval/evaluate_comp.scm 1116 */
						obj_t BgL_bpz00_3886;

						BgL_bpz00_3886 = VECTOR_REF(BgL_sz00_3884, (int) (((long) 0)));
						BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_3884,
							BgL_valza2za2_15327,
							((long) CINT(BgL_bpz00_3886) + BgL_siza7eza7_15326));
						{	/* Eval/evaluate_comp.scm 1036 */
							obj_t BgL_z12denvz12_3888;
							obj_t BgL_wherez00_3889;
							obj_t BgL_locz00_3890;

							BgL_z12denvz12_3888 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_3889 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_15328))->BgL_wherez00);
							BgL_locz00_3890 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_15328))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1036 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_3888, BgL_wherez00_3889,
									BgL_locz00_3890);
								{	/* Eval/evaluate_comp.scm 1036 */
									obj_t BgL_za2za2resza2za2z00_3891;

									BgL_za2za2resza2za2z00_3891 =
										PROCEDURE_ENTRY(BgL_bodyz00_15329) (BgL_bodyz00_15329,
										BgL_sz00_3884, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_3888);
									return BgL_za2za2resza2za2z00_3891;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3324> */
	obj_t BGl_z62zc3anonymousza33324ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15331, obj_t BgL_sz00_15338)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1116 */
			{	/* Eval/evaluate_comp.scm 1116 */
				obj_t BgL_ifreesz00_15332;
				obj_t BgL_iboxesz00_15333;
				long BgL_siza7eza7_15334;
				BgL_ev_absz00_bglt BgL_i1250z00_15335;
				obj_t BgL_bodyz00_15336;
				long BgL_siza7ezd2framez75_15337;

				BgL_ifreesz00_15332 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15331, (int) (((long) 0))));
				BgL_iboxesz00_15333 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15331, (int) (((long) 1))));
				BgL_siza7eza7_15334 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15331, (int) (((long) 2))));
				BgL_i1250z00_15335 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_15331, (int) (((long) 3))));
				BgL_bodyz00_15336 = PROCEDURE_REF(BgL_envz00_15331, (int) (((long) 4)));
				BgL_siza7ezd2framez75_15337 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15331, (int) (((long) 5))));
				{
					obj_t BgL_sz00_3893;

					BgL_sz00_3893 = BgL_sz00_15338;
					{	/* Eval/evaluate_comp.scm 1116 */
						obj_t BgL_bpz00_3895;

						BgL_bpz00_3895 = VECTOR_REF(BgL_sz00_3893, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1116 */
							obj_t BgL_valza2za2_3896;

							BgL_valza2za2_3896 =
								BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_3893,
								BgL_bpz00_3895, BgL_ifreesz00_15332);
							{	/* Eval/evaluate_comp.scm 1116 */
								obj_t BgL_runz00_14589;

								BgL_runz00_14589 =
									MAKE_FX_PROCEDURE(BGl_z62run5507z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 5)));
								PROCEDURE_SET(BgL_runz00_14589,
									(int) (((long) 0)), BgL_iboxesz00_15333);
								PROCEDURE_SET(BgL_runz00_14589,
									(int) (((long) 1)), BINT(BgL_siza7eza7_15334));
								PROCEDURE_SET(BgL_runz00_14589,
									(int) (((long) 2)), BgL_valza2za2_3896);
								PROCEDURE_SET(BgL_runz00_14589,
									(int) (((long) 3)), ((obj_t) BgL_i1250z00_15335));
								PROCEDURE_SET(BgL_runz00_14589,
									(int) (((long) 4)), BgL_bodyz00_15336);
								{	/* Eval/evaluate_comp.scm 1116 */
									obj_t BgL_mainz00_14590;

									BgL_mainz00_14590 =
										MAKE_VA_PROCEDURE(BGl_z62main5506z62zz__evaluate_compz00,
										(int) (((long) -2)), (int) (((long) 7)));
									PROCEDURE_SET(BgL_mainz00_14590,
										(int) (((long) 0)), BgL_iboxesz00_15333);
									PROCEDURE_SET(BgL_mainz00_14590,
										(int) (((long) 1)), BINT(BgL_siza7eza7_15334));
									PROCEDURE_SET(BgL_mainz00_14590,
										(int) (((long) 2)), BgL_valza2za2_3896);
									PROCEDURE_SET(BgL_mainz00_14590,
										(int) (((long) 3)), ((obj_t) BgL_i1250z00_15335));
									PROCEDURE_SET(BgL_mainz00_14590,
										(int) (((long) 4)), BgL_bodyz00_15336);
									PROCEDURE_SET(BgL_mainz00_14590,
										(int) (((long) 5)), BgL_runz00_14589);
									PROCEDURE_SET(BgL_mainz00_14590,
										(int) (((long) 6)), BINT(BgL_siza7ezd2framez75_15337));
									{	/* Eval/evaluate_comp.scm 1116 */
										obj_t BgL_objz00_11579;

										BgL_objz00_11579 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_14589, BgL_objz00_11579);
										BgL_objz00_11579;
									}
									{	/* Eval/evaluate_comp.scm 1116 */
										obj_t BgL_arg3325z00_3899;

										{	/* Eval/evaluate_comp.scm 1116 */
											obj_t BgL_arg3326z00_3900;

											BgL_arg3326z00_3900 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_15335))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1116 */
												obj_t BgL_newz00_11583;

												BgL_newz00_11583 =
													create_struct(BGl_symbol5569z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 1116 */
													int BgL_auxz00_25833;

													BgL_auxz00_25833 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_11583, BgL_auxz00_25833,
														BgL_arg3326z00_3900);
												}
												{	/* Eval/evaluate_comp.scm 1116 */
													obj_t BgL_auxz00_25838;
													int BgL_auxz00_25836;

													BgL_auxz00_25838 = BINT(BgL_siza7ezd2framez75_15337);
													BgL_auxz00_25836 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_11583, BgL_auxz00_25836,
														BgL_auxz00_25838);
												}
												{	/* Eval/evaluate_comp.scm 1116 */
													int BgL_auxz00_25841;

													BgL_auxz00_25841 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_11583, BgL_auxz00_25841,
														BgL_runz00_14589);
												}
												{	/* Eval/evaluate_comp.scm 1116 */
													obj_t BgL_auxz00_25846;
													int BgL_auxz00_25844;

													BgL_auxz00_25846 = BINT(((long) -2));
													BgL_auxz00_25844 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_11583, BgL_auxz00_25844,
														BgL_auxz00_25846);
												}
												BgL_arg3325z00_3899 = BgL_newz00_11583;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_14590, BgL_arg3325z00_3899);
										BgL_arg3325z00_3899;
									}
									return BgL_mainz00_14590;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main5506 */
	obj_t BGl_z62main5506z62zz__evaluate_compz00(obj_t BgL_envz00_15339,
		obj_t BgL_dz00_15347, obj_t BgL_lastz00_15348)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1116 */
			{	/* Eval/evaluate_comp.scm 1116 */
				obj_t BgL_runz00_15345;
				long BgL_siza7ezd2framez75_15346;

				BgL_runz00_15345 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15339, (int) (((long) 5))));
				BgL_siza7ezd2framez75_15346 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15339, (int) (((long) 6))));
				{
					obj_t BgL_dz00_3901;
					obj_t BgL_lastz00_3902;

					BgL_dz00_3901 = BgL_dz00_15347;
					BgL_lastz00_3902 = BgL_lastz00_15348;
					{	/* Eval/evaluate_comp.scm 1116 */
						obj_t BgL_sz00_3904;

						BgL_sz00_3904 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1116 */
							obj_t BgL_bpz00_3905;

							BgL_bpz00_3905 = VECTOR_REF(BgL_sz00_3904, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1116 */
								bool_t BgL_testz00_25859;

								{	/* Eval/evaluate_comp.scm 1116 */
									int BgL_arg1909z00_11541;

									BgL_arg1909z00_11541 = VECTOR_LENGTH(BgL_sz00_3904);
									BgL_testz00_25859 =
										(
										((long) CINT(BgL_bpz00_3905) +
											BgL_siza7ezd2framez75_15346) <
										(long) (BgL_arg1909z00_11541));
								}
								if (BgL_testz00_25859)
									{	/* Eval/evaluate_comp.scm 1116 */
										{	/* Eval/evaluate_comp.scm 1116 */
											long BgL_arg3329z00_3907;

											BgL_arg3329z00_3907 =
												((long) CINT(BgL_bpz00_3905) + ((long) 0));
											VECTOR_SET(BgL_sz00_3904,
												(int) (BgL_arg3329z00_3907), BgL_dz00_3901);
										}
										{	/* Eval/evaluate_comp.scm 1116 */
											long BgL_arg3330z00_3908;

											BgL_arg3330z00_3908 =
												((long) CINT(BgL_bpz00_3905) + ((long) 1));
											VECTOR_SET(BgL_sz00_3904,
												(int) (BgL_arg3330z00_3908), BgL_lastz00_3902);
										}
										{	/* Eval/evaluate_comp.scm 1116 */
											obj_t BgL_val1367z00_3909;

											BgL_val1367z00_3909 =
												BGl_zc3exitza33334ze3z83zz__evaluate_compz00
												(BgL_bpz00_3905, BgL_sz00_3904, BgL_runz00_15345);
											VECTOR_SET(BgL_sz00_3904, (int) (((long) 0)),
												BgL_bpz00_3905);
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1367z00_3909)))
												{	/* Eval/evaluate_comp.scm 1116 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1367z00_3909), CDR(BgL_val1367z00_3909));
												}
											else
												{	/* Eval/evaluate_comp.scm 1116 */
													return BgL_val1367z00_3909;
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1116 */
										obj_t BgL_nsz00_3916;

										BgL_nsz00_3916 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_3916,
											(int) (((long) 1)), BgL_sz00_3904);
										VECTOR_SET(BgL_nsz00_3916,
											(int) (((long) 2)), BgL_dz00_3901);
										VECTOR_SET(BgL_nsz00_3916,
											(int) (((long) 3)), BgL_lastz00_3902);
										{	/* Eval/evaluate_comp.scm 1116 */
											obj_t BgL_auxz00_25889;

											BgL_auxz00_25889 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_25889, BgL_nsz00_3916);
										}
										{	/* Eval/evaluate_comp.scm 1116 */
											obj_t BgL_val1370z00_3918;

											BgL_val1370z00_3918 =
												BGl_zc3exitza33340ze3z83zz__evaluate_compz00
												(BgL_nsz00_3916, BgL_runz00_15345);
											{	/* Eval/evaluate_comp.scm 1116 */
												obj_t BgL_auxz00_25893;

												BgL_auxz00_25893 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_EVSTATE_SET(BgL_auxz00_25893, BgL_sz00_3904);
											}
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1370z00_3918)))
												{	/* Eval/evaluate_comp.scm 1116 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1370z00_3918), CDR(BgL_val1370z00_3918));
												}
											else
												{	/* Eval/evaluate_comp.scm 1116 */
													return BgL_val1370z00_3918;
												}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:3340> */
	obj_t BGl_zc3exitza33340ze3z83zz__evaluate_compz00(obj_t BgL_nsz00_15979,
		obj_t BgL_runz00_15978)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1116 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1371z00_3924;

			if (SET_EXIT(BgL_an_exit1371z00_3924))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1371z00_3924 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1116 */

						PUSH_EXIT(BgL_an_exit1371z00_3924, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1116 */
							obj_t BgL_val1372z00_3925;

							BgL_val1372z00_3925 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_15978,
								BgL_nsz00_15979, BINT(((long) 2)));
							POP_EXIT();
							return BgL_val1372z00_3925;
						}
					}
				}
		}
	}



/* <exit:3334> */
	obj_t BGl_zc3exitza33334ze3z83zz__evaluate_compz00(obj_t BgL_bpz00_15982,
		obj_t BgL_sz00_15981, obj_t BgL_runz00_15980)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1116 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1368z00_3914;

			if (SET_EXIT(BgL_an_exit1368z00_3914))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1368z00_3914 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1116 */

						PUSH_EXIT(BgL_an_exit1368z00_3914, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1116 */
							obj_t BgL_val1369z00_3915;

							BgL_val1369z00_3915 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_15980,
								BgL_sz00_15981, BgL_bpz00_15982);
							POP_EXIT();
							return BgL_val1369z00_3915;
						}
					}
				}
		}
	}



/* &run5507 */
	obj_t BGl_z62run5507z62zz__evaluate_compz00(obj_t BgL_envz00_15349,
		obj_t BgL_sz00_15355)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1116 */
			{	/* Eval/evaluate_comp.scm 1116 */
				obj_t BgL_iboxesz00_15350;
				long BgL_siza7eza7_15351;
				obj_t BgL_valza2za2_15352;
				BgL_ev_absz00_bglt BgL_i1250z00_15353;
				obj_t BgL_bodyz00_15354;

				BgL_iboxesz00_15350 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15349, (int) (((long) 0))));
				BgL_siza7eza7_15351 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15349, (int) (((long) 1))));
				BgL_valza2za2_15352 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15349, (int) (((long) 2))));
				BgL_i1250z00_15353 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_15349, (int) (((long) 3))));
				BgL_bodyz00_15354 = PROCEDURE_REF(BgL_envz00_15349, (int) (((long) 4)));
				{
					obj_t BgL_sz00_3927;

					BgL_sz00_3927 = BgL_sz00_15355;
					{	/* Eval/evaluate_comp.scm 1116 */
						obj_t BgL_bpz00_3929;

						BgL_bpz00_3929 = VECTOR_REF(BgL_sz00_3927, (int) (((long) 0)));
						BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_3927,
							BgL_iboxesz00_15350, BgL_bpz00_3929);
						BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_3927,
							BgL_valza2za2_15352,
							((long) CINT(BgL_bpz00_3929) + BgL_siza7eza7_15351));
						{	/* Eval/evaluate_comp.scm 1036 */
							obj_t BgL_z12denvz12_3931;
							obj_t BgL_wherez00_3932;
							obj_t BgL_locz00_3933;

							BgL_z12denvz12_3931 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_3932 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_15353))->BgL_wherez00);
							BgL_locz00_3933 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_15353))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1036 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_3931, BgL_wherez00_3932,
									BgL_locz00_3933);
								{	/* Eval/evaluate_comp.scm 1036 */
									obj_t BgL_za2za2resza2za2z00_3934;

									BgL_za2za2resza2za2z00_3934 =
										PROCEDURE_ENTRY(BgL_bodyz00_15354) (BgL_bodyz00_15354,
										BgL_sz00_3927, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_3931);
									return BgL_za2za2resza2za2z00_3934;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3190> */
	obj_t BGl_z62zc3anonymousza33190ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15356, obj_t BgL_sz00_15360)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1116 */
			{	/* Eval/evaluate_comp.scm 1116 */
				BgL_ev_absz00_bglt BgL_i1250z00_15357;
				obj_t BgL_bodyz00_15358;
				long BgL_siza7ezd2framez75_15359;

				BgL_i1250z00_15357 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_15356, (int) (((long) 0))));
				BgL_bodyz00_15358 = PROCEDURE_REF(BgL_envz00_15356, (int) (((long) 1)));
				BgL_siza7ezd2framez75_15359 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15356, (int) (((long) 2))));
				{
					obj_t BgL_sz00_3600;

					BgL_sz00_3600 = BgL_sz00_15360;
					{	/* Eval/evaluate_comp.scm 1116 */
						obj_t BgL_bpz00_3602;

						BgL_bpz00_3602 = VECTOR_REF(BgL_sz00_3600, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1116 */

							{	/* Eval/evaluate_comp.scm 1116 */
								obj_t BgL_runz00_14586;

								BgL_runz00_14586 =
									MAKE_FX_PROCEDURE(BGl_z62run5509z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 2)));
								PROCEDURE_SET(BgL_runz00_14586,
									(int) (((long) 0)), ((obj_t) BgL_i1250z00_15357));
								PROCEDURE_SET(BgL_runz00_14586,
									(int) (((long) 1)), BgL_bodyz00_15358);
								{	/* Eval/evaluate_comp.scm 1116 */
									obj_t BgL_mainz00_14587;

									BgL_mainz00_14587 =
										MAKE_FX_PROCEDURE(BGl_z62main5508z62zz__evaluate_compz00,
										(int) (((long) 1)), (int) (((long) 4)));
									PROCEDURE_SET(BgL_mainz00_14587,
										(int) (((long) 0)), ((obj_t) BgL_i1250z00_15357));
									PROCEDURE_SET(BgL_mainz00_14587,
										(int) (((long) 1)), BgL_bodyz00_15358);
									PROCEDURE_SET(BgL_mainz00_14587,
										(int) (((long) 2)), BgL_runz00_14586);
									PROCEDURE_SET(BgL_mainz00_14587,
										(int) (((long) 3)), BINT(BgL_siza7ezd2framez75_15359));
									{	/* Eval/evaluate_comp.scm 1116 */
										obj_t BgL_objz00_11067;

										BgL_objz00_11067 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_14586, BgL_objz00_11067);
										BgL_objz00_11067;
									}
									{	/* Eval/evaluate_comp.scm 1116 */
										obj_t BgL_arg3191z00_3605;

										{	/* Eval/evaluate_comp.scm 1116 */
											obj_t BgL_arg3192z00_3606;

											BgL_arg3192z00_3606 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_15357))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1116 */
												obj_t BgL_newz00_11071;

												BgL_newz00_11071 =
													create_struct(BGl_symbol5569z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 1116 */
													int BgL_auxz00_25977;

													BgL_auxz00_25977 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_11071, BgL_auxz00_25977,
														BgL_arg3192z00_3606);
												}
												{	/* Eval/evaluate_comp.scm 1116 */
													obj_t BgL_auxz00_25982;
													int BgL_auxz00_25980;

													BgL_auxz00_25982 = BINT(BgL_siza7ezd2framez75_15359);
													BgL_auxz00_25980 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_11071, BgL_auxz00_25980,
														BgL_auxz00_25982);
												}
												{	/* Eval/evaluate_comp.scm 1116 */
													int BgL_auxz00_25985;

													BgL_auxz00_25985 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_11071, BgL_auxz00_25985,
														BgL_runz00_14586);
												}
												{	/* Eval/evaluate_comp.scm 1116 */
													obj_t BgL_auxz00_25990;
													int BgL_auxz00_25988;

													BgL_auxz00_25990 = BINT(((long) 1));
													BgL_auxz00_25988 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_11071, BgL_auxz00_25988,
														BgL_auxz00_25990);
												}
												BgL_arg3191z00_3605 = BgL_newz00_11071;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_14587, BgL_arg3191z00_3605);
										BgL_arg3191z00_3605;
									}
									return BgL_mainz00_14587;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main5508 */
	obj_t BGl_z62main5508z62zz__evaluate_compz00(obj_t BgL_envz00_15361,
		obj_t BgL_dz00_15366)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1116 */
			{	/* Eval/evaluate_comp.scm 1116 */
				obj_t BgL_runz00_15364;
				long BgL_siza7ezd2framez75_15365;

				BgL_runz00_15364 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15361, (int) (((long) 2))));
				BgL_siza7ezd2framez75_15365 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15361, (int) (((long) 3))));
				{
					obj_t BgL_dz00_3607;

					BgL_dz00_3607 = BgL_dz00_15366;
					{	/* Eval/evaluate_comp.scm 1116 */
						obj_t BgL_sz00_3609;

						BgL_sz00_3609 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1116 */
							obj_t BgL_bpz00_3610;

							BgL_bpz00_3610 = VECTOR_REF(BgL_sz00_3609, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1116 */
								bool_t BgL_testz00_26003;

								{	/* Eval/evaluate_comp.scm 1116 */
									int BgL_arg1909z00_11038;

									BgL_arg1909z00_11038 = VECTOR_LENGTH(BgL_sz00_3609);
									BgL_testz00_26003 =
										(
										((long) CINT(BgL_bpz00_3610) +
											BgL_siza7ezd2framez75_15365) <
										(long) (BgL_arg1909z00_11038));
								}
								if (BgL_testz00_26003)
									{	/* Eval/evaluate_comp.scm 1116 */
										{	/* Eval/evaluate_comp.scm 1116 */
											long BgL_arg3195z00_3612;

											BgL_arg3195z00_3612 =
												((long) CINT(BgL_bpz00_3610) + ((long) 0));
											VECTOR_SET(BgL_sz00_3609,
												(int) (BgL_arg3195z00_3612), BgL_dz00_3607);
										}
										{	/* Eval/evaluate_comp.scm 1116 */
											obj_t BgL_val1325z00_3613;

											BgL_val1325z00_3613 =
												BGl_zc3exitza33199ze3z83zz__evaluate_compz00
												(BgL_bpz00_3610, BgL_sz00_3609, BgL_runz00_15364);
											VECTOR_SET(BgL_sz00_3609, (int) (((long) 0)),
												BgL_bpz00_3610);
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1325z00_3613)))
												{	/* Eval/evaluate_comp.scm 1116 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1325z00_3613), CDR(BgL_val1325z00_3613));
												}
											else
												{	/* Eval/evaluate_comp.scm 1116 */
													return BgL_val1325z00_3613;
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1116 */
										obj_t BgL_nsz00_3620;

										BgL_nsz00_3620 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_3620,
											(int) (((long) 1)), BgL_sz00_3609);
										VECTOR_SET(BgL_nsz00_3620,
											(int) (((long) 2)), BgL_dz00_3607);
										{	/* Eval/evaluate_comp.scm 1116 */
											obj_t BgL_auxz00_26027;

											BgL_auxz00_26027 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_26027, BgL_nsz00_3620);
										}
										{	/* Eval/evaluate_comp.scm 1116 */
											obj_t BgL_val1328z00_3622;

											BgL_val1328z00_3622 =
												BGl_zc3exitza33205ze3z83zz__evaluate_compz00
												(BgL_nsz00_3620, BgL_runz00_15364);
											{	/* Eval/evaluate_comp.scm 1116 */
												obj_t BgL_auxz00_26031;

												BgL_auxz00_26031 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_EVSTATE_SET(BgL_auxz00_26031, BgL_sz00_3609);
											}
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1328z00_3622)))
												{	/* Eval/evaluate_comp.scm 1116 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1328z00_3622), CDR(BgL_val1328z00_3622));
												}
											else
												{	/* Eval/evaluate_comp.scm 1116 */
													return BgL_val1328z00_3622;
												}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:3205> */
	obj_t BGl_zc3exitza33205ze3z83zz__evaluate_compz00(obj_t BgL_nsz00_15974,
		obj_t BgL_runz00_15973)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1116 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1329z00_3628;

			if (SET_EXIT(BgL_an_exit1329z00_3628))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1329z00_3628 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1116 */

						PUSH_EXIT(BgL_an_exit1329z00_3628, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1116 */
							obj_t BgL_val1330z00_3629;

							BgL_val1330z00_3629 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_15973,
								BgL_nsz00_15974, BINT(((long) 2)));
							POP_EXIT();
							return BgL_val1330z00_3629;
						}
					}
				}
		}
	}



/* <exit:3199> */
	obj_t BGl_zc3exitza33199ze3z83zz__evaluate_compz00(obj_t BgL_bpz00_15977,
		obj_t BgL_sz00_15976, obj_t BgL_runz00_15975)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1116 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1326z00_3618;

			if (SET_EXIT(BgL_an_exit1326z00_3618))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1326z00_3618 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1116 */

						PUSH_EXIT(BgL_an_exit1326z00_3618, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1116 */
							obj_t BgL_val1327z00_3619;

							BgL_val1327z00_3619 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_15975,
								BgL_sz00_15976, BgL_bpz00_15977);
							POP_EXIT();
							return BgL_val1327z00_3619;
						}
					}
				}
		}
	}



/* &run5509 */
	obj_t BGl_z62run5509z62zz__evaluate_compz00(obj_t BgL_envz00_15367,
		obj_t BgL_sz00_15370)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1116 */
			{	/* Eval/evaluate_comp.scm 1116 */
				BgL_ev_absz00_bglt BgL_i1250z00_15368;
				obj_t BgL_bodyz00_15369;

				BgL_i1250z00_15368 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_15367, (int) (((long) 0))));
				BgL_bodyz00_15369 = PROCEDURE_REF(BgL_envz00_15367, (int) (((long) 1)));
				{
					obj_t BgL_sz00_3631;

					BgL_sz00_3631 = BgL_sz00_15370;
					{	/* Eval/evaluate_comp.scm 1116 */
						obj_t BgL_bpz00_3633;

						BgL_bpz00_3633 = VECTOR_REF(BgL_sz00_3631, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1116 */
							obj_t BgL_z12denvz12_3634;
							obj_t BgL_wherez00_3635;
							obj_t BgL_locz00_3636;

							BgL_z12denvz12_3634 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_3635 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_15368))->BgL_wherez00);
							BgL_locz00_3636 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_15368))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1116 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_3634, BgL_wherez00_3635,
									BgL_locz00_3636);
								{	/* Eval/evaluate_comp.scm 1116 */
									obj_t BgL_za2za2resza2za2z00_3637;

									BgL_za2za2resza2za2z00_3637 =
										PROCEDURE_ENTRY(BgL_bodyz00_15369) (BgL_bodyz00_15369,
										BgL_sz00_3631, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_3634);
									return BgL_za2za2resza2za2z00_3637;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3207> */
	obj_t BGl_z62zc3anonymousza33207ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15371, obj_t BgL_sz00_15376)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1116 */
			{	/* Eval/evaluate_comp.scm 1116 */
				obj_t BgL_iboxesz00_15372;
				BgL_ev_absz00_bglt BgL_i1250z00_15373;
				obj_t BgL_bodyz00_15374;
				long BgL_siza7ezd2framez75_15375;

				BgL_iboxesz00_15372 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15371, (int) (((long) 0))));
				BgL_i1250z00_15373 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_15371, (int) (((long) 1))));
				BgL_bodyz00_15374 = PROCEDURE_REF(BgL_envz00_15371, (int) (((long) 2)));
				BgL_siza7ezd2framez75_15375 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15371, (int) (((long) 3))));
				{
					obj_t BgL_sz00_3639;

					BgL_sz00_3639 = BgL_sz00_15376;
					{	/* Eval/evaluate_comp.scm 1116 */
						obj_t BgL_bpz00_3641;

						BgL_bpz00_3641 = VECTOR_REF(BgL_sz00_3639, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1116 */

							{	/* Eval/evaluate_comp.scm 1116 */
								obj_t BgL_runz00_14583;

								BgL_runz00_14583 =
									MAKE_FX_PROCEDURE(BGl_z62run5511z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 3)));
								PROCEDURE_SET(BgL_runz00_14583,
									(int) (((long) 0)), BgL_iboxesz00_15372);
								PROCEDURE_SET(BgL_runz00_14583,
									(int) (((long) 1)), ((obj_t) BgL_i1250z00_15373));
								PROCEDURE_SET(BgL_runz00_14583,
									(int) (((long) 2)), BgL_bodyz00_15374);
								{	/* Eval/evaluate_comp.scm 1116 */
									obj_t BgL_mainz00_14584;

									BgL_mainz00_14584 =
										MAKE_FX_PROCEDURE(BGl_z62main5510z62zz__evaluate_compz00,
										(int) (((long) 1)), (int) (((long) 5)));
									PROCEDURE_SET(BgL_mainz00_14584,
										(int) (((long) 0)), BgL_iboxesz00_15372);
									PROCEDURE_SET(BgL_mainz00_14584,
										(int) (((long) 1)), ((obj_t) BgL_i1250z00_15373));
									PROCEDURE_SET(BgL_mainz00_14584,
										(int) (((long) 2)), BgL_bodyz00_15374);
									PROCEDURE_SET(BgL_mainz00_14584,
										(int) (((long) 3)), BgL_runz00_14583);
									PROCEDURE_SET(BgL_mainz00_14584,
										(int) (((long) 4)), BINT(BgL_siza7ezd2framez75_15375));
									{	/* Eval/evaluate_comp.scm 1116 */
										obj_t BgL_objz00_11131;

										BgL_objz00_11131 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_14583, BgL_objz00_11131);
										BgL_objz00_11131;
									}
									{	/* Eval/evaluate_comp.scm 1116 */
										obj_t BgL_arg3208z00_3644;

										{	/* Eval/evaluate_comp.scm 1116 */
											obj_t BgL_arg3209z00_3645;

											BgL_arg3209z00_3645 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_15373))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1116 */
												obj_t BgL_newz00_11135;

												BgL_newz00_11135 =
													create_struct(BGl_symbol5569z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 1116 */
													int BgL_auxz00_26109;

													BgL_auxz00_26109 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_11135, BgL_auxz00_26109,
														BgL_arg3209z00_3645);
												}
												{	/* Eval/evaluate_comp.scm 1116 */
													obj_t BgL_auxz00_26114;
													int BgL_auxz00_26112;

													BgL_auxz00_26114 = BINT(BgL_siza7ezd2framez75_15375);
													BgL_auxz00_26112 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_11135, BgL_auxz00_26112,
														BgL_auxz00_26114);
												}
												{	/* Eval/evaluate_comp.scm 1116 */
													int BgL_auxz00_26117;

													BgL_auxz00_26117 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_11135, BgL_auxz00_26117,
														BgL_runz00_14583);
												}
												{	/* Eval/evaluate_comp.scm 1116 */
													obj_t BgL_auxz00_26122;
													int BgL_auxz00_26120;

													BgL_auxz00_26122 = BINT(((long) 1));
													BgL_auxz00_26120 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_11135, BgL_auxz00_26120,
														BgL_auxz00_26122);
												}
												BgL_arg3208z00_3644 = BgL_newz00_11135;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_14584, BgL_arg3208z00_3644);
										BgL_arg3208z00_3644;
									}
									return BgL_mainz00_14584;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main5510 */
	obj_t BGl_z62main5510z62zz__evaluate_compz00(obj_t BgL_envz00_15377,
		obj_t BgL_dz00_15383)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1116 */
			{	/* Eval/evaluate_comp.scm 1116 */
				obj_t BgL_runz00_15381;
				long BgL_siza7ezd2framez75_15382;

				BgL_runz00_15381 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15377, (int) (((long) 3))));
				BgL_siza7ezd2framez75_15382 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15377, (int) (((long) 4))));
				{
					obj_t BgL_dz00_3646;

					BgL_dz00_3646 = BgL_dz00_15383;
					{	/* Eval/evaluate_comp.scm 1116 */
						obj_t BgL_sz00_3648;

						BgL_sz00_3648 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1116 */
							obj_t BgL_bpz00_3649;

							BgL_bpz00_3649 = VECTOR_REF(BgL_sz00_3648, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1116 */
								bool_t BgL_testz00_26135;

								{	/* Eval/evaluate_comp.scm 1116 */
									int BgL_arg1909z00_11102;

									BgL_arg1909z00_11102 = VECTOR_LENGTH(BgL_sz00_3648);
									BgL_testz00_26135 =
										(
										((long) CINT(BgL_bpz00_3649) +
											BgL_siza7ezd2framez75_15382) <
										(long) (BgL_arg1909z00_11102));
								}
								if (BgL_testz00_26135)
									{	/* Eval/evaluate_comp.scm 1116 */
										{	/* Eval/evaluate_comp.scm 1116 */
											long BgL_arg3212z00_3651;

											BgL_arg3212z00_3651 =
												((long) CINT(BgL_bpz00_3649) + ((long) 0));
											VECTOR_SET(BgL_sz00_3648,
												(int) (BgL_arg3212z00_3651), BgL_dz00_3646);
										}
										{	/* Eval/evaluate_comp.scm 1116 */
											obj_t BgL_val1331z00_3652;

											BgL_val1331z00_3652 =
												BGl_zc3exitza33216ze3z83zz__evaluate_compz00
												(BgL_bpz00_3649, BgL_sz00_3648, BgL_runz00_15381);
											VECTOR_SET(BgL_sz00_3648, (int) (((long) 0)),
												BgL_bpz00_3649);
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1331z00_3652)))
												{	/* Eval/evaluate_comp.scm 1116 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1331z00_3652), CDR(BgL_val1331z00_3652));
												}
											else
												{	/* Eval/evaluate_comp.scm 1116 */
													return BgL_val1331z00_3652;
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1116 */
										obj_t BgL_nsz00_3659;

										BgL_nsz00_3659 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_3659,
											(int) (((long) 1)), BgL_sz00_3648);
										VECTOR_SET(BgL_nsz00_3659,
											(int) (((long) 2)), BgL_dz00_3646);
										{	/* Eval/evaluate_comp.scm 1116 */
											obj_t BgL_auxz00_26159;

											BgL_auxz00_26159 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_26159, BgL_nsz00_3659);
										}
										{	/* Eval/evaluate_comp.scm 1116 */
											obj_t BgL_val1334z00_3661;

											BgL_val1334z00_3661 =
												BGl_zc3exitza33222ze3z83zz__evaluate_compz00
												(BgL_nsz00_3659, BgL_runz00_15381);
											{	/* Eval/evaluate_comp.scm 1116 */
												obj_t BgL_auxz00_26163;

												BgL_auxz00_26163 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_EVSTATE_SET(BgL_auxz00_26163, BgL_sz00_3648);
											}
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1334z00_3661)))
												{	/* Eval/evaluate_comp.scm 1116 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1334z00_3661), CDR(BgL_val1334z00_3661));
												}
											else
												{	/* Eval/evaluate_comp.scm 1116 */
													return BgL_val1334z00_3661;
												}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:3222> */
	obj_t BGl_zc3exitza33222ze3z83zz__evaluate_compz00(obj_t BgL_nsz00_15969,
		obj_t BgL_runz00_15968)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1116 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1335z00_3667;

			if (SET_EXIT(BgL_an_exit1335z00_3667))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1335z00_3667 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1116 */

						PUSH_EXIT(BgL_an_exit1335z00_3667, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1116 */
							obj_t BgL_val1336z00_3668;

							BgL_val1336z00_3668 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_15968,
								BgL_nsz00_15969, BINT(((long) 2)));
							POP_EXIT();
							return BgL_val1336z00_3668;
						}
					}
				}
		}
	}



/* <exit:3216> */
	obj_t BGl_zc3exitza33216ze3z83zz__evaluate_compz00(obj_t BgL_bpz00_15972,
		obj_t BgL_sz00_15971, obj_t BgL_runz00_15970)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1116 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1332z00_3657;

			if (SET_EXIT(BgL_an_exit1332z00_3657))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1332z00_3657 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1116 */

						PUSH_EXIT(BgL_an_exit1332z00_3657, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1116 */
							obj_t BgL_val1333z00_3658;

							BgL_val1333z00_3658 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_15970,
								BgL_sz00_15971, BgL_bpz00_15972);
							POP_EXIT();
							return BgL_val1333z00_3658;
						}
					}
				}
		}
	}



/* &run5511 */
	obj_t BGl_z62run5511z62zz__evaluate_compz00(obj_t BgL_envz00_15384,
		obj_t BgL_sz00_15388)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1116 */
			{	/* Eval/evaluate_comp.scm 1116 */
				obj_t BgL_iboxesz00_15385;
				BgL_ev_absz00_bglt BgL_i1250z00_15386;
				obj_t BgL_bodyz00_15387;

				BgL_iboxesz00_15385 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15384, (int) (((long) 0))));
				BgL_i1250z00_15386 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_15384, (int) (((long) 1))));
				BgL_bodyz00_15387 = PROCEDURE_REF(BgL_envz00_15384, (int) (((long) 2)));
				{
					obj_t BgL_sz00_3670;

					BgL_sz00_3670 = BgL_sz00_15388;
					{	/* Eval/evaluate_comp.scm 1116 */
						obj_t BgL_bpz00_3672;

						BgL_bpz00_3672 = VECTOR_REF(BgL_sz00_3670, (int) (((long) 0)));
						BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_3670,
							BgL_iboxesz00_15385, BgL_bpz00_3672);
						{	/* Eval/evaluate_comp.scm 1116 */
							obj_t BgL_z12denvz12_3673;
							obj_t BgL_wherez00_3674;
							obj_t BgL_locz00_3675;

							BgL_z12denvz12_3673 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_3674 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_15386))->BgL_wherez00);
							BgL_locz00_3675 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_15386))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1116 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_3673, BgL_wherez00_3674,
									BgL_locz00_3675);
								{	/* Eval/evaluate_comp.scm 1116 */
									obj_t BgL_za2za2resza2za2z00_3676;

									BgL_za2za2resza2za2z00_3676 =
										PROCEDURE_ENTRY(BgL_bodyz00_15387) (BgL_bodyz00_15387,
										BgL_sz00_3670, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_3673);
									return BgL_za2za2resza2za2z00_3676;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3226> */
	obj_t BGl_z62zc3anonymousza33226ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15389, obj_t BgL_sz00_15395)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1116 */
			{	/* Eval/evaluate_comp.scm 1116 */
				obj_t BgL_ifreesz00_15390;
				long BgL_siza7eza7_15391;
				BgL_ev_absz00_bglt BgL_i1250z00_15392;
				obj_t BgL_bodyz00_15393;
				long BgL_siza7ezd2framez75_15394;

				BgL_ifreesz00_15390 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15389, (int) (((long) 0))));
				BgL_siza7eza7_15391 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15389, (int) (((long) 1))));
				BgL_i1250z00_15392 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_15389, (int) (((long) 2))));
				BgL_bodyz00_15393 = PROCEDURE_REF(BgL_envz00_15389, (int) (((long) 3)));
				BgL_siza7ezd2framez75_15394 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15389, (int) (((long) 4))));
				{
					obj_t BgL_sz00_3680;

					BgL_sz00_3680 = BgL_sz00_15395;
					{	/* Eval/evaluate_comp.scm 1116 */
						obj_t BgL_bpz00_3682;

						BgL_bpz00_3682 = VECTOR_REF(BgL_sz00_3680, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1116 */
							obj_t BgL_valza2za2_3683;

							BgL_valza2za2_3683 =
								BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_3680,
								BgL_bpz00_3682, BgL_ifreesz00_15390);
							{	/* Eval/evaluate_comp.scm 1116 */
								obj_t BgL_runz00_14580;

								BgL_runz00_14580 =
									MAKE_FX_PROCEDURE(BGl_z62run5513z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 4)));
								PROCEDURE_SET(BgL_runz00_14580,
									(int) (((long) 0)), BINT(BgL_siza7eza7_15391));
								PROCEDURE_SET(BgL_runz00_14580,
									(int) (((long) 1)), BgL_valza2za2_3683);
								PROCEDURE_SET(BgL_runz00_14580,
									(int) (((long) 2)), ((obj_t) BgL_i1250z00_15392));
								PROCEDURE_SET(BgL_runz00_14580,
									(int) (((long) 3)), BgL_bodyz00_15393);
								{	/* Eval/evaluate_comp.scm 1116 */
									obj_t BgL_mainz00_14581;

									BgL_mainz00_14581 =
										MAKE_FX_PROCEDURE(BGl_z62main5512z62zz__evaluate_compz00,
										(int) (((long) 1)), (int) (((long) 6)));
									PROCEDURE_SET(BgL_mainz00_14581,
										(int) (((long) 0)), BINT(BgL_siza7eza7_15391));
									PROCEDURE_SET(BgL_mainz00_14581,
										(int) (((long) 1)), BgL_valza2za2_3683);
									PROCEDURE_SET(BgL_mainz00_14581,
										(int) (((long) 2)), ((obj_t) BgL_i1250z00_15392));
									PROCEDURE_SET(BgL_mainz00_14581,
										(int) (((long) 3)), BgL_bodyz00_15393);
									PROCEDURE_SET(BgL_mainz00_14581,
										(int) (((long) 4)), BgL_runz00_14580);
									PROCEDURE_SET(BgL_mainz00_14581,
										(int) (((long) 5)), BINT(BgL_siza7ezd2framez75_15394));
									{	/* Eval/evaluate_comp.scm 1116 */
										obj_t BgL_objz00_11202;

										BgL_objz00_11202 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_14580, BgL_objz00_11202);
										BgL_objz00_11202;
									}
									{	/* Eval/evaluate_comp.scm 1116 */
										obj_t BgL_arg3227z00_3686;

										{	/* Eval/evaluate_comp.scm 1116 */
											obj_t BgL_arg3228z00_3687;

											BgL_arg3228z00_3687 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_15392))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1116 */
												obj_t BgL_newz00_11206;

												BgL_newz00_11206 =
													create_struct(BGl_symbol5569z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 1116 */
													int BgL_auxz00_26255;

													BgL_auxz00_26255 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_11206, BgL_auxz00_26255,
														BgL_arg3228z00_3687);
												}
												{	/* Eval/evaluate_comp.scm 1116 */
													obj_t BgL_auxz00_26260;
													int BgL_auxz00_26258;

													BgL_auxz00_26260 = BINT(BgL_siza7ezd2framez75_15394);
													BgL_auxz00_26258 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_11206, BgL_auxz00_26258,
														BgL_auxz00_26260);
												}
												{	/* Eval/evaluate_comp.scm 1116 */
													int BgL_auxz00_26263;

													BgL_auxz00_26263 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_11206, BgL_auxz00_26263,
														BgL_runz00_14580);
												}
												{	/* Eval/evaluate_comp.scm 1116 */
													obj_t BgL_auxz00_26268;
													int BgL_auxz00_26266;

													BgL_auxz00_26268 = BINT(((long) 1));
													BgL_auxz00_26266 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_11206, BgL_auxz00_26266,
														BgL_auxz00_26268);
												}
												BgL_arg3227z00_3686 = BgL_newz00_11206;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_14581, BgL_arg3227z00_3686);
										BgL_arg3227z00_3686;
									}
									return BgL_mainz00_14581;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main5512 */
	obj_t BGl_z62main5512z62zz__evaluate_compz00(obj_t BgL_envz00_15396,
		obj_t BgL_dz00_15403)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1116 */
			{	/* Eval/evaluate_comp.scm 1116 */
				obj_t BgL_runz00_15401;
				long BgL_siza7ezd2framez75_15402;

				BgL_runz00_15401 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15396, (int) (((long) 4))));
				BgL_siza7ezd2framez75_15402 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15396, (int) (((long) 5))));
				{
					obj_t BgL_dz00_3688;

					BgL_dz00_3688 = BgL_dz00_15403;
					{	/* Eval/evaluate_comp.scm 1116 */
						obj_t BgL_sz00_3690;

						BgL_sz00_3690 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1116 */
							obj_t BgL_bpz00_3691;

							BgL_bpz00_3691 = VECTOR_REF(BgL_sz00_3690, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1116 */
								bool_t BgL_testz00_26281;

								{	/* Eval/evaluate_comp.scm 1116 */
									int BgL_arg1909z00_11173;

									BgL_arg1909z00_11173 = VECTOR_LENGTH(BgL_sz00_3690);
									BgL_testz00_26281 =
										(
										((long) CINT(BgL_bpz00_3691) +
											BgL_siza7ezd2framez75_15402) <
										(long) (BgL_arg1909z00_11173));
								}
								if (BgL_testz00_26281)
									{	/* Eval/evaluate_comp.scm 1116 */
										{	/* Eval/evaluate_comp.scm 1116 */
											long BgL_arg3231z00_3693;

											BgL_arg3231z00_3693 =
												((long) CINT(BgL_bpz00_3691) + ((long) 0));
											VECTOR_SET(BgL_sz00_3690,
												(int) (BgL_arg3231z00_3693), BgL_dz00_3688);
										}
										{	/* Eval/evaluate_comp.scm 1116 */
											obj_t BgL_val1337z00_3694;

											BgL_val1337z00_3694 =
												BGl_zc3exitza33236ze3z83zz__evaluate_compz00
												(BgL_bpz00_3691, BgL_sz00_3690, BgL_runz00_15401);
											VECTOR_SET(BgL_sz00_3690, (int) (((long) 0)),
												BgL_bpz00_3691);
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1337z00_3694)))
												{	/* Eval/evaluate_comp.scm 1116 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1337z00_3694), CDR(BgL_val1337z00_3694));
												}
											else
												{	/* Eval/evaluate_comp.scm 1116 */
													return BgL_val1337z00_3694;
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1116 */
										obj_t BgL_nsz00_3701;

										BgL_nsz00_3701 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_3701,
											(int) (((long) 1)), BgL_sz00_3690);
										VECTOR_SET(BgL_nsz00_3701,
											(int) (((long) 2)), BgL_dz00_3688);
										{	/* Eval/evaluate_comp.scm 1116 */
											obj_t BgL_auxz00_26305;

											BgL_auxz00_26305 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_26305, BgL_nsz00_3701);
										}
										{	/* Eval/evaluate_comp.scm 1116 */
											obj_t BgL_val1340z00_3703;

											BgL_val1340z00_3703 =
												BGl_zc3exitza33242ze3z83zz__evaluate_compz00
												(BgL_nsz00_3701, BgL_runz00_15401);
											{	/* Eval/evaluate_comp.scm 1116 */
												obj_t BgL_auxz00_26309;

												BgL_auxz00_26309 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_EVSTATE_SET(BgL_auxz00_26309, BgL_sz00_3690);
											}
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1340z00_3703)))
												{	/* Eval/evaluate_comp.scm 1116 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1340z00_3703), CDR(BgL_val1340z00_3703));
												}
											else
												{	/* Eval/evaluate_comp.scm 1116 */
													return BgL_val1340z00_3703;
												}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:3242> */
	obj_t BGl_zc3exitza33242ze3z83zz__evaluate_compz00(obj_t BgL_nsz00_15964,
		obj_t BgL_runz00_15963)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1116 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1341z00_3709;

			if (SET_EXIT(BgL_an_exit1341z00_3709))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1341z00_3709 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1116 */

						PUSH_EXIT(BgL_an_exit1341z00_3709, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1116 */
							obj_t BgL_val1342z00_3710;

							BgL_val1342z00_3710 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_15963,
								BgL_nsz00_15964, BINT(((long) 2)));
							POP_EXIT();
							return BgL_val1342z00_3710;
						}
					}
				}
		}
	}



/* <exit:3236> */
	obj_t BGl_zc3exitza33236ze3z83zz__evaluate_compz00(obj_t BgL_bpz00_15967,
		obj_t BgL_sz00_15966, obj_t BgL_runz00_15965)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1116 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1338z00_3699;

			if (SET_EXIT(BgL_an_exit1338z00_3699))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1338z00_3699 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1116 */

						PUSH_EXIT(BgL_an_exit1338z00_3699, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1116 */
							obj_t BgL_val1339z00_3700;

							BgL_val1339z00_3700 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_15965,
								BgL_sz00_15966, BgL_bpz00_15967);
							POP_EXIT();
							return BgL_val1339z00_3700;
						}
					}
				}
		}
	}



/* &run5513 */
	obj_t BGl_z62run5513z62zz__evaluate_compz00(obj_t BgL_envz00_15404,
		obj_t BgL_sz00_15409)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1116 */
			{	/* Eval/evaluate_comp.scm 1116 */
				long BgL_siza7eza7_15405;
				obj_t BgL_valza2za2_15406;
				BgL_ev_absz00_bglt BgL_i1250z00_15407;
				obj_t BgL_bodyz00_15408;

				BgL_siza7eza7_15405 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15404, (int) (((long) 0))));
				BgL_valza2za2_15406 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15404, (int) (((long) 1))));
				BgL_i1250z00_15407 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_15404, (int) (((long) 2))));
				BgL_bodyz00_15408 = PROCEDURE_REF(BgL_envz00_15404, (int) (((long) 3)));
				{
					obj_t BgL_sz00_3712;

					BgL_sz00_3712 = BgL_sz00_15409;
					{	/* Eval/evaluate_comp.scm 1116 */
						obj_t BgL_bpz00_3714;

						BgL_bpz00_3714 = VECTOR_REF(BgL_sz00_3712, (int) (((long) 0)));
						BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_3712,
							BgL_valza2za2_15406,
							((long) CINT(BgL_bpz00_3714) + BgL_siza7eza7_15405));
						{	/* Eval/evaluate_comp.scm 1036 */
							obj_t BgL_z12denvz12_3716;
							obj_t BgL_wherez00_3717;
							obj_t BgL_locz00_3718;

							BgL_z12denvz12_3716 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_3717 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_15407))->BgL_wherez00);
							BgL_locz00_3718 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_15407))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1036 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_3716, BgL_wherez00_3717,
									BgL_locz00_3718);
								{	/* Eval/evaluate_comp.scm 1036 */
									obj_t BgL_za2za2resza2za2z00_3719;

									BgL_za2za2resza2za2z00_3719 =
										PROCEDURE_ENTRY(BgL_bodyz00_15408) (BgL_bodyz00_15408,
										BgL_sz00_3712, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_3716);
									return BgL_za2za2resza2za2z00_3719;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3245> */
	obj_t BGl_z62zc3anonymousza33245ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15410, obj_t BgL_sz00_15417)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1116 */
			{	/* Eval/evaluate_comp.scm 1116 */
				obj_t BgL_ifreesz00_15411;
				obj_t BgL_iboxesz00_15412;
				long BgL_siza7eza7_15413;
				BgL_ev_absz00_bglt BgL_i1250z00_15414;
				obj_t BgL_bodyz00_15415;
				long BgL_siza7ezd2framez75_15416;

				BgL_ifreesz00_15411 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15410, (int) (((long) 0))));
				BgL_iboxesz00_15412 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15410, (int) (((long) 1))));
				BgL_siza7eza7_15413 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15410, (int) (((long) 2))));
				BgL_i1250z00_15414 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_15410, (int) (((long) 3))));
				BgL_bodyz00_15415 = PROCEDURE_REF(BgL_envz00_15410, (int) (((long) 4)));
				BgL_siza7ezd2framez75_15416 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15410, (int) (((long) 5))));
				{
					obj_t BgL_sz00_3721;

					BgL_sz00_3721 = BgL_sz00_15417;
					{	/* Eval/evaluate_comp.scm 1116 */
						obj_t BgL_bpz00_3723;

						BgL_bpz00_3723 = VECTOR_REF(BgL_sz00_3721, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1116 */
							obj_t BgL_valza2za2_3724;

							BgL_valza2za2_3724 =
								BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_3721,
								BgL_bpz00_3723, BgL_ifreesz00_15411);
							{	/* Eval/evaluate_comp.scm 1116 */
								obj_t BgL_runz00_14577;

								BgL_runz00_14577 =
									MAKE_FX_PROCEDURE(BGl_z62run5515z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 5)));
								PROCEDURE_SET(BgL_runz00_14577,
									(int) (((long) 0)), BgL_iboxesz00_15412);
								PROCEDURE_SET(BgL_runz00_14577,
									(int) (((long) 1)), BINT(BgL_siza7eza7_15413));
								PROCEDURE_SET(BgL_runz00_14577,
									(int) (((long) 2)), BgL_valza2za2_3724);
								PROCEDURE_SET(BgL_runz00_14577,
									(int) (((long) 3)), ((obj_t) BgL_i1250z00_15414));
								PROCEDURE_SET(BgL_runz00_14577,
									(int) (((long) 4)), BgL_bodyz00_15415);
								{	/* Eval/evaluate_comp.scm 1116 */
									obj_t BgL_mainz00_14578;

									BgL_mainz00_14578 =
										MAKE_FX_PROCEDURE(BGl_z62main5514z62zz__evaluate_compz00,
										(int) (((long) 1)), (int) (((long) 7)));
									PROCEDURE_SET(BgL_mainz00_14578,
										(int) (((long) 0)), BgL_iboxesz00_15412);
									PROCEDURE_SET(BgL_mainz00_14578,
										(int) (((long) 1)), BINT(BgL_siza7eza7_15413));
									PROCEDURE_SET(BgL_mainz00_14578,
										(int) (((long) 2)), BgL_valza2za2_3724);
									PROCEDURE_SET(BgL_mainz00_14578,
										(int) (((long) 3)), ((obj_t) BgL_i1250z00_15414));
									PROCEDURE_SET(BgL_mainz00_14578,
										(int) (((long) 4)), BgL_bodyz00_15415);
									PROCEDURE_SET(BgL_mainz00_14578,
										(int) (((long) 5)), BgL_runz00_14577);
									PROCEDURE_SET(BgL_mainz00_14578,
										(int) (((long) 6)), BINT(BgL_siza7ezd2framez75_15416));
									{	/* Eval/evaluate_comp.scm 1116 */
										obj_t BgL_objz00_11269;

										BgL_objz00_11269 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_14577, BgL_objz00_11269);
										BgL_objz00_11269;
									}
									{	/* Eval/evaluate_comp.scm 1116 */
										obj_t BgL_arg3246z00_3727;

										{	/* Eval/evaluate_comp.scm 1116 */
											obj_t BgL_arg3247z00_3728;

											BgL_arg3247z00_3728 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_15414))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1116 */
												obj_t BgL_newz00_11273;

												BgL_newz00_11273 =
													create_struct(BGl_symbol5569z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 1116 */
													int BgL_auxz00_26413;

													BgL_auxz00_26413 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_11273, BgL_auxz00_26413,
														BgL_arg3247z00_3728);
												}
												{	/* Eval/evaluate_comp.scm 1116 */
													obj_t BgL_auxz00_26418;
													int BgL_auxz00_26416;

													BgL_auxz00_26418 = BINT(BgL_siza7ezd2framez75_15416);
													BgL_auxz00_26416 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_11273, BgL_auxz00_26416,
														BgL_auxz00_26418);
												}
												{	/* Eval/evaluate_comp.scm 1116 */
													int BgL_auxz00_26421;

													BgL_auxz00_26421 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_11273, BgL_auxz00_26421,
														BgL_runz00_14577);
												}
												{	/* Eval/evaluate_comp.scm 1116 */
													obj_t BgL_auxz00_26426;
													int BgL_auxz00_26424;

													BgL_auxz00_26426 = BINT(((long) 1));
													BgL_auxz00_26424 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_11273, BgL_auxz00_26424,
														BgL_auxz00_26426);
												}
												BgL_arg3246z00_3727 = BgL_newz00_11273;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_14578, BgL_arg3246z00_3727);
										BgL_arg3246z00_3727;
									}
									return BgL_mainz00_14578;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main5514 */
	obj_t BGl_z62main5514z62zz__evaluate_compz00(obj_t BgL_envz00_15418,
		obj_t BgL_dz00_15426)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1116 */
			{	/* Eval/evaluate_comp.scm 1116 */
				obj_t BgL_runz00_15424;
				long BgL_siza7ezd2framez75_15425;

				BgL_runz00_15424 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15418, (int) (((long) 5))));
				BgL_siza7ezd2framez75_15425 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15418, (int) (((long) 6))));
				{
					obj_t BgL_dz00_3729;

					BgL_dz00_3729 = BgL_dz00_15426;
					{	/* Eval/evaluate_comp.scm 1116 */
						obj_t BgL_sz00_3731;

						BgL_sz00_3731 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1116 */
							obj_t BgL_bpz00_3732;

							BgL_bpz00_3732 = VECTOR_REF(BgL_sz00_3731, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1116 */
								bool_t BgL_testz00_26439;

								{	/* Eval/evaluate_comp.scm 1116 */
									int BgL_arg1909z00_11240;

									BgL_arg1909z00_11240 = VECTOR_LENGTH(BgL_sz00_3731);
									BgL_testz00_26439 =
										(
										((long) CINT(BgL_bpz00_3732) +
											BgL_siza7ezd2framez75_15425) <
										(long) (BgL_arg1909z00_11240));
								}
								if (BgL_testz00_26439)
									{	/* Eval/evaluate_comp.scm 1116 */
										{	/* Eval/evaluate_comp.scm 1116 */
											long BgL_arg3250z00_3734;

											BgL_arg3250z00_3734 =
												((long) CINT(BgL_bpz00_3732) + ((long) 0));
											VECTOR_SET(BgL_sz00_3731,
												(int) (BgL_arg3250z00_3734), BgL_dz00_3729);
										}
										{	/* Eval/evaluate_comp.scm 1116 */
											obj_t BgL_val1343z00_3735;

											BgL_val1343z00_3735 =
												BGl_zc3exitza33254ze3z83zz__evaluate_compz00
												(BgL_bpz00_3732, BgL_sz00_3731, BgL_runz00_15424);
											VECTOR_SET(BgL_sz00_3731, (int) (((long) 0)),
												BgL_bpz00_3732);
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1343z00_3735)))
												{	/* Eval/evaluate_comp.scm 1116 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1343z00_3735), CDR(BgL_val1343z00_3735));
												}
											else
												{	/* Eval/evaluate_comp.scm 1116 */
													return BgL_val1343z00_3735;
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1116 */
										obj_t BgL_nsz00_3742;

										BgL_nsz00_3742 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_3742,
											(int) (((long) 1)), BgL_sz00_3731);
										VECTOR_SET(BgL_nsz00_3742,
											(int) (((long) 2)), BgL_dz00_3729);
										{	/* Eval/evaluate_comp.scm 1116 */
											obj_t BgL_auxz00_26463;

											BgL_auxz00_26463 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_26463, BgL_nsz00_3742);
										}
										{	/* Eval/evaluate_comp.scm 1116 */
											obj_t BgL_val1346z00_3744;

											BgL_val1346z00_3744 =
												BGl_zc3exitza33260ze3z83zz__evaluate_compz00
												(BgL_nsz00_3742, BgL_runz00_15424);
											{	/* Eval/evaluate_comp.scm 1116 */
												obj_t BgL_auxz00_26467;

												BgL_auxz00_26467 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_EVSTATE_SET(BgL_auxz00_26467, BgL_sz00_3731);
											}
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1346z00_3744)))
												{	/* Eval/evaluate_comp.scm 1116 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1346z00_3744), CDR(BgL_val1346z00_3744));
												}
											else
												{	/* Eval/evaluate_comp.scm 1116 */
													return BgL_val1346z00_3744;
												}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:3260> */
	obj_t BGl_zc3exitza33260ze3z83zz__evaluate_compz00(obj_t BgL_nsz00_15959,
		obj_t BgL_runz00_15958)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1116 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1347z00_3750;

			if (SET_EXIT(BgL_an_exit1347z00_3750))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1347z00_3750 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1116 */

						PUSH_EXIT(BgL_an_exit1347z00_3750, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1116 */
							obj_t BgL_val1348z00_3751;

							BgL_val1348z00_3751 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_15958,
								BgL_nsz00_15959, BINT(((long) 2)));
							POP_EXIT();
							return BgL_val1348z00_3751;
						}
					}
				}
		}
	}



/* <exit:3254> */
	obj_t BGl_zc3exitza33254ze3z83zz__evaluate_compz00(obj_t BgL_bpz00_15962,
		obj_t BgL_sz00_15961, obj_t BgL_runz00_15960)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1116 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1344z00_3740;

			if (SET_EXIT(BgL_an_exit1344z00_3740))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1344z00_3740 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1116 */

						PUSH_EXIT(BgL_an_exit1344z00_3740, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1116 */
							obj_t BgL_val1345z00_3741;

							BgL_val1345z00_3741 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_15960,
								BgL_sz00_15961, BgL_bpz00_15962);
							POP_EXIT();
							return BgL_val1345z00_3741;
						}
					}
				}
		}
	}



/* &run5515 */
	obj_t BGl_z62run5515z62zz__evaluate_compz00(obj_t BgL_envz00_15427,
		obj_t BgL_sz00_15433)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1116 */
			{	/* Eval/evaluate_comp.scm 1116 */
				obj_t BgL_iboxesz00_15428;
				long BgL_siza7eza7_15429;
				obj_t BgL_valza2za2_15430;
				BgL_ev_absz00_bglt BgL_i1250z00_15431;
				obj_t BgL_bodyz00_15432;

				BgL_iboxesz00_15428 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15427, (int) (((long) 0))));
				BgL_siza7eza7_15429 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15427, (int) (((long) 1))));
				BgL_valza2za2_15430 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15427, (int) (((long) 2))));
				BgL_i1250z00_15431 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_15427, (int) (((long) 3))));
				BgL_bodyz00_15432 = PROCEDURE_REF(BgL_envz00_15427, (int) (((long) 4)));
				{
					obj_t BgL_sz00_3753;

					BgL_sz00_3753 = BgL_sz00_15433;
					{	/* Eval/evaluate_comp.scm 1116 */
						obj_t BgL_bpz00_3755;

						BgL_bpz00_3755 = VECTOR_REF(BgL_sz00_3753, (int) (((long) 0)));
						BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_3753,
							BgL_iboxesz00_15428, BgL_bpz00_3755);
						BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_3753,
							BgL_valza2za2_15430,
							((long) CINT(BgL_bpz00_3755) + BgL_siza7eza7_15429));
						{	/* Eval/evaluate_comp.scm 1036 */
							obj_t BgL_z12denvz12_3757;
							obj_t BgL_wherez00_3758;
							obj_t BgL_locz00_3759;

							BgL_z12denvz12_3757 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_3758 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_15431))->BgL_wherez00);
							BgL_locz00_3759 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_15431))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1036 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_3757, BgL_wherez00_3758,
									BgL_locz00_3759);
								{	/* Eval/evaluate_comp.scm 1036 */
									obj_t BgL_za2za2resza2za2z00_3760;

									BgL_za2za2resza2za2z00_3760 =
										PROCEDURE_ENTRY(BgL_bodyz00_15432) (BgL_bodyz00_15432,
										BgL_sz00_3753, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_3757);
									return BgL_za2za2resza2za2z00_3760;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3114> */
	obj_t BGl_z62zc3anonymousza33114ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15434, obj_t BgL_sz00_15438)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1116 */
			{	/* Eval/evaluate_comp.scm 1116 */
				BgL_ev_absz00_bglt BgL_i1250z00_15435;
				obj_t BgL_bodyz00_15436;
				long BgL_siza7ezd2framez75_15437;

				BgL_i1250z00_15435 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_15434, (int) (((long) 0))));
				BgL_bodyz00_15436 = PROCEDURE_REF(BgL_envz00_15434, (int) (((long) 1)));
				BgL_siza7ezd2framez75_15437 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15434, (int) (((long) 2))));
				{
					obj_t BgL_sz00_3434;

					BgL_sz00_3434 = BgL_sz00_15438;
					{	/* Eval/evaluate_comp.scm 1116 */
						obj_t BgL_bpz00_3436;

						BgL_bpz00_3436 = VECTOR_REF(BgL_sz00_3434, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1116 */

							{	/* Eval/evaluate_comp.scm 1116 */
								obj_t BgL_runz00_14574;

								BgL_runz00_14574 =
									MAKE_FX_PROCEDURE(BGl_z62run5517z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 2)));
								PROCEDURE_SET(BgL_runz00_14574,
									(int) (((long) 0)), ((obj_t) BgL_i1250z00_15435));
								PROCEDURE_SET(BgL_runz00_14574,
									(int) (((long) 1)), BgL_bodyz00_15436);
								{	/* Eval/evaluate_comp.scm 1116 */
									obj_t BgL_mainz00_14575;

									BgL_mainz00_14575 =
										MAKE_VA_PROCEDURE(BGl_z62main5516z62zz__evaluate_compz00,
										(int) (((long) -1)), (int) (((long) 4)));
									PROCEDURE_SET(BgL_mainz00_14575,
										(int) (((long) 0)), ((obj_t) BgL_i1250z00_15435));
									PROCEDURE_SET(BgL_mainz00_14575,
										(int) (((long) 1)), BgL_bodyz00_15436);
									PROCEDURE_SET(BgL_mainz00_14575,
										(int) (((long) 2)), BgL_runz00_14574);
									PROCEDURE_SET(BgL_mainz00_14575,
										(int) (((long) 3)), BINT(BgL_siza7ezd2framez75_15437));
									{	/* Eval/evaluate_comp.scm 1116 */
										obj_t BgL_objz00_10793;

										BgL_objz00_10793 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_14574, BgL_objz00_10793);
										BgL_objz00_10793;
									}
									{	/* Eval/evaluate_comp.scm 1116 */
										obj_t BgL_arg3115z00_3439;

										{	/* Eval/evaluate_comp.scm 1116 */
											obj_t BgL_arg3116z00_3440;

											BgL_arg3116z00_3440 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_15435))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1116 */
												obj_t BgL_newz00_10797;

												BgL_newz00_10797 =
													create_struct(BGl_symbol5569z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 1116 */
													int BgL_auxz00_26551;

													BgL_auxz00_26551 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_10797, BgL_auxz00_26551,
														BgL_arg3116z00_3440);
												}
												{	/* Eval/evaluate_comp.scm 1116 */
													obj_t BgL_auxz00_26556;
													int BgL_auxz00_26554;

													BgL_auxz00_26556 = BINT(BgL_siza7ezd2framez75_15437);
													BgL_auxz00_26554 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_10797, BgL_auxz00_26554,
														BgL_auxz00_26556);
												}
												{	/* Eval/evaluate_comp.scm 1116 */
													int BgL_auxz00_26559;

													BgL_auxz00_26559 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_10797, BgL_auxz00_26559,
														BgL_runz00_14574);
												}
												{	/* Eval/evaluate_comp.scm 1116 */
													obj_t BgL_auxz00_26564;
													int BgL_auxz00_26562;

													BgL_auxz00_26564 = BINT(((long) -1));
													BgL_auxz00_26562 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_10797, BgL_auxz00_26562,
														BgL_auxz00_26564);
												}
												BgL_arg3115z00_3439 = BgL_newz00_10797;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_14575, BgL_arg3115z00_3439);
										BgL_arg3115z00_3439;
									}
									return BgL_mainz00_14575;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main5516 */
	obj_t BGl_z62main5516z62zz__evaluate_compz00(obj_t BgL_envz00_15439,
		obj_t BgL_lastz00_15444)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1116 */
			{	/* Eval/evaluate_comp.scm 1116 */
				obj_t BgL_runz00_15442;
				long BgL_siza7ezd2framez75_15443;

				BgL_runz00_15442 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15439, (int) (((long) 2))));
				BgL_siza7ezd2framez75_15443 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15439, (int) (((long) 3))));
				{
					obj_t BgL_lastz00_3441;

					BgL_lastz00_3441 = BgL_lastz00_15444;
					{	/* Eval/evaluate_comp.scm 1116 */
						obj_t BgL_sz00_3443;

						BgL_sz00_3443 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1116 */
							obj_t BgL_bpz00_3444;

							BgL_bpz00_3444 = VECTOR_REF(BgL_sz00_3443, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1116 */
								bool_t BgL_testz00_26577;

								{	/* Eval/evaluate_comp.scm 1116 */
									int BgL_arg1909z00_10764;

									BgL_arg1909z00_10764 = VECTOR_LENGTH(BgL_sz00_3443);
									BgL_testz00_26577 =
										(
										((long) CINT(BgL_bpz00_3444) +
											BgL_siza7ezd2framez75_15443) <
										(long) (BgL_arg1909z00_10764));
								}
								if (BgL_testz00_26577)
									{	/* Eval/evaluate_comp.scm 1116 */
										{	/* Eval/evaluate_comp.scm 1116 */
											long BgL_arg3119z00_3446;

											BgL_arg3119z00_3446 =
												((long) CINT(BgL_bpz00_3444) + ((long) 0));
											VECTOR_SET(BgL_sz00_3443,
												(int) (BgL_arg3119z00_3446), BgL_lastz00_3441);
										}
										{	/* Eval/evaluate_comp.scm 1116 */
											obj_t BgL_val1301z00_3447;

											BgL_val1301z00_3447 =
												BGl_zc3exitza33123ze3z83zz__evaluate_compz00
												(BgL_bpz00_3444, BgL_sz00_3443, BgL_runz00_15442);
											VECTOR_SET(BgL_sz00_3443, (int) (((long) 0)),
												BgL_bpz00_3444);
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1301z00_3447)))
												{	/* Eval/evaluate_comp.scm 1116 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1301z00_3447), CDR(BgL_val1301z00_3447));
												}
											else
												{	/* Eval/evaluate_comp.scm 1116 */
													return BgL_val1301z00_3447;
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1116 */
										obj_t BgL_nsz00_3454;

										BgL_nsz00_3454 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_3454,
											(int) (((long) 1)), BgL_sz00_3443);
										VECTOR_SET(BgL_nsz00_3454,
											(int) (((long) 2)), BgL_lastz00_3441);
										{	/* Eval/evaluate_comp.scm 1116 */
											obj_t BgL_auxz00_26601;

											BgL_auxz00_26601 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_26601, BgL_nsz00_3454);
										}
										{	/* Eval/evaluate_comp.scm 1116 */
											obj_t BgL_val1304z00_3456;

											BgL_val1304z00_3456 =
												BGl_zc3exitza33129ze3z83zz__evaluate_compz00
												(BgL_nsz00_3454, BgL_runz00_15442);
											{	/* Eval/evaluate_comp.scm 1116 */
												obj_t BgL_auxz00_26605;

												BgL_auxz00_26605 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_EVSTATE_SET(BgL_auxz00_26605, BgL_sz00_3443);
											}
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1304z00_3456)))
												{	/* Eval/evaluate_comp.scm 1116 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1304z00_3456), CDR(BgL_val1304z00_3456));
												}
											else
												{	/* Eval/evaluate_comp.scm 1116 */
													return BgL_val1304z00_3456;
												}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:3129> */
	obj_t BGl_zc3exitza33129ze3z83zz__evaluate_compz00(obj_t BgL_nsz00_15954,
		obj_t BgL_runz00_15953)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1116 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1305z00_3462;

			if (SET_EXIT(BgL_an_exit1305z00_3462))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1305z00_3462 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1116 */

						PUSH_EXIT(BgL_an_exit1305z00_3462, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1116 */
							obj_t BgL_val1306z00_3463;

							BgL_val1306z00_3463 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_15953,
								BgL_nsz00_15954, BINT(((long) 2)));
							POP_EXIT();
							return BgL_val1306z00_3463;
						}
					}
				}
		}
	}



/* <exit:3123> */
	obj_t BGl_zc3exitza33123ze3z83zz__evaluate_compz00(obj_t BgL_bpz00_15957,
		obj_t BgL_sz00_15956, obj_t BgL_runz00_15955)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1116 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1302z00_3452;

			if (SET_EXIT(BgL_an_exit1302z00_3452))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1302z00_3452 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1116 */

						PUSH_EXIT(BgL_an_exit1302z00_3452, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1116 */
							obj_t BgL_val1303z00_3453;

							BgL_val1303z00_3453 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_15955,
								BgL_sz00_15956, BgL_bpz00_15957);
							POP_EXIT();
							return BgL_val1303z00_3453;
						}
					}
				}
		}
	}



/* &run5517 */
	obj_t BGl_z62run5517z62zz__evaluate_compz00(obj_t BgL_envz00_15445,
		obj_t BgL_sz00_15448)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1116 */
			{	/* Eval/evaluate_comp.scm 1116 */
				BgL_ev_absz00_bglt BgL_i1250z00_15446;
				obj_t BgL_bodyz00_15447;

				BgL_i1250z00_15446 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_15445, (int) (((long) 0))));
				BgL_bodyz00_15447 = PROCEDURE_REF(BgL_envz00_15445, (int) (((long) 1)));
				{
					obj_t BgL_sz00_3465;

					BgL_sz00_3465 = BgL_sz00_15448;
					{	/* Eval/evaluate_comp.scm 1116 */
						obj_t BgL_bpz00_3467;

						BgL_bpz00_3467 = VECTOR_REF(BgL_sz00_3465, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1116 */
							obj_t BgL_z12denvz12_3468;
							obj_t BgL_wherez00_3469;
							obj_t BgL_locz00_3470;

							BgL_z12denvz12_3468 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_3469 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_15446))->BgL_wherez00);
							BgL_locz00_3470 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_15446))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1116 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_3468, BgL_wherez00_3469,
									BgL_locz00_3470);
								{	/* Eval/evaluate_comp.scm 1116 */
									obj_t BgL_za2za2resza2za2z00_3471;

									BgL_za2za2resza2za2z00_3471 =
										PROCEDURE_ENTRY(BgL_bodyz00_15447) (BgL_bodyz00_15447,
										BgL_sz00_3465, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_3468);
									return BgL_za2za2resza2za2z00_3471;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3131> */
	obj_t BGl_z62zc3anonymousza33131ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15449, obj_t BgL_sz00_15454)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1116 */
			{	/* Eval/evaluate_comp.scm 1116 */
				obj_t BgL_iboxesz00_15450;
				BgL_ev_absz00_bglt BgL_i1250z00_15451;
				obj_t BgL_bodyz00_15452;
				long BgL_siza7ezd2framez75_15453;

				BgL_iboxesz00_15450 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15449, (int) (((long) 0))));
				BgL_i1250z00_15451 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_15449, (int) (((long) 1))));
				BgL_bodyz00_15452 = PROCEDURE_REF(BgL_envz00_15449, (int) (((long) 2)));
				BgL_siza7ezd2framez75_15453 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15449, (int) (((long) 3))));
				{
					obj_t BgL_sz00_3473;

					BgL_sz00_3473 = BgL_sz00_15454;
					{	/* Eval/evaluate_comp.scm 1116 */
						obj_t BgL_bpz00_3475;

						BgL_bpz00_3475 = VECTOR_REF(BgL_sz00_3473, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1116 */

							{	/* Eval/evaluate_comp.scm 1116 */
								obj_t BgL_runz00_14571;

								BgL_runz00_14571 =
									MAKE_FX_PROCEDURE(BGl_z62run5519z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 3)));
								PROCEDURE_SET(BgL_runz00_14571,
									(int) (((long) 0)), BgL_iboxesz00_15450);
								PROCEDURE_SET(BgL_runz00_14571,
									(int) (((long) 1)), ((obj_t) BgL_i1250z00_15451));
								PROCEDURE_SET(BgL_runz00_14571,
									(int) (((long) 2)), BgL_bodyz00_15452);
								{	/* Eval/evaluate_comp.scm 1116 */
									obj_t BgL_mainz00_14572;

									BgL_mainz00_14572 =
										MAKE_VA_PROCEDURE(BGl_z62main5518z62zz__evaluate_compz00,
										(int) (((long) -1)), (int) (((long) 5)));
									PROCEDURE_SET(BgL_mainz00_14572,
										(int) (((long) 0)), BgL_iboxesz00_15450);
									PROCEDURE_SET(BgL_mainz00_14572,
										(int) (((long) 1)), ((obj_t) BgL_i1250z00_15451));
									PROCEDURE_SET(BgL_mainz00_14572,
										(int) (((long) 2)), BgL_bodyz00_15452);
									PROCEDURE_SET(BgL_mainz00_14572,
										(int) (((long) 3)), BgL_runz00_14571);
									PROCEDURE_SET(BgL_mainz00_14572,
										(int) (((long) 4)), BINT(BgL_siza7ezd2framez75_15453));
									{	/* Eval/evaluate_comp.scm 1116 */
										obj_t BgL_objz00_10857;

										BgL_objz00_10857 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_14571, BgL_objz00_10857);
										BgL_objz00_10857;
									}
									{	/* Eval/evaluate_comp.scm 1116 */
										obj_t BgL_arg3132z00_3478;

										{	/* Eval/evaluate_comp.scm 1116 */
											obj_t BgL_arg3133z00_3479;

											BgL_arg3133z00_3479 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_15451))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1116 */
												obj_t BgL_newz00_10861;

												BgL_newz00_10861 =
													create_struct(BGl_symbol5569z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 1116 */
													int BgL_auxz00_26683;

													BgL_auxz00_26683 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_10861, BgL_auxz00_26683,
														BgL_arg3133z00_3479);
												}
												{	/* Eval/evaluate_comp.scm 1116 */
													obj_t BgL_auxz00_26688;
													int BgL_auxz00_26686;

													BgL_auxz00_26688 = BINT(BgL_siza7ezd2framez75_15453);
													BgL_auxz00_26686 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_10861, BgL_auxz00_26686,
														BgL_auxz00_26688);
												}
												{	/* Eval/evaluate_comp.scm 1116 */
													int BgL_auxz00_26691;

													BgL_auxz00_26691 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_10861, BgL_auxz00_26691,
														BgL_runz00_14571);
												}
												{	/* Eval/evaluate_comp.scm 1116 */
													obj_t BgL_auxz00_26696;
													int BgL_auxz00_26694;

													BgL_auxz00_26696 = BINT(((long) -1));
													BgL_auxz00_26694 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_10861, BgL_auxz00_26694,
														BgL_auxz00_26696);
												}
												BgL_arg3132z00_3478 = BgL_newz00_10861;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_14572, BgL_arg3132z00_3478);
										BgL_arg3132z00_3478;
									}
									return BgL_mainz00_14572;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main5518 */
	obj_t BGl_z62main5518z62zz__evaluate_compz00(obj_t BgL_envz00_15455,
		obj_t BgL_lastz00_15461)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1116 */
			{	/* Eval/evaluate_comp.scm 1116 */
				obj_t BgL_runz00_15459;
				long BgL_siza7ezd2framez75_15460;

				BgL_runz00_15459 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15455, (int) (((long) 3))));
				BgL_siza7ezd2framez75_15460 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15455, (int) (((long) 4))));
				{
					obj_t BgL_lastz00_3480;

					BgL_lastz00_3480 = BgL_lastz00_15461;
					{	/* Eval/evaluate_comp.scm 1116 */
						obj_t BgL_sz00_3482;

						BgL_sz00_3482 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1116 */
							obj_t BgL_bpz00_3483;

							BgL_bpz00_3483 = VECTOR_REF(BgL_sz00_3482, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1116 */
								bool_t BgL_testz00_26709;

								{	/* Eval/evaluate_comp.scm 1116 */
									int BgL_arg1909z00_10828;

									BgL_arg1909z00_10828 = VECTOR_LENGTH(BgL_sz00_3482);
									BgL_testz00_26709 =
										(
										((long) CINT(BgL_bpz00_3483) +
											BgL_siza7ezd2framez75_15460) <
										(long) (BgL_arg1909z00_10828));
								}
								if (BgL_testz00_26709)
									{	/* Eval/evaluate_comp.scm 1116 */
										{	/* Eval/evaluate_comp.scm 1116 */
											long BgL_arg3136z00_3485;

											BgL_arg3136z00_3485 =
												((long) CINT(BgL_bpz00_3483) + ((long) 0));
											VECTOR_SET(BgL_sz00_3482,
												(int) (BgL_arg3136z00_3485), BgL_lastz00_3480);
										}
										{	/* Eval/evaluate_comp.scm 1116 */
											obj_t BgL_val1307z00_3486;

											BgL_val1307z00_3486 =
												BGl_zc3exitza33140ze3z83zz__evaluate_compz00
												(BgL_bpz00_3483, BgL_sz00_3482, BgL_runz00_15459);
											VECTOR_SET(BgL_sz00_3482, (int) (((long) 0)),
												BgL_bpz00_3483);
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1307z00_3486)))
												{	/* Eval/evaluate_comp.scm 1116 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1307z00_3486), CDR(BgL_val1307z00_3486));
												}
											else
												{	/* Eval/evaluate_comp.scm 1116 */
													return BgL_val1307z00_3486;
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1116 */
										obj_t BgL_nsz00_3493;

										BgL_nsz00_3493 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_3493,
											(int) (((long) 1)), BgL_sz00_3482);
										VECTOR_SET(BgL_nsz00_3493,
											(int) (((long) 2)), BgL_lastz00_3480);
										{	/* Eval/evaluate_comp.scm 1116 */
											obj_t BgL_auxz00_26733;

											BgL_auxz00_26733 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_26733, BgL_nsz00_3493);
										}
										{	/* Eval/evaluate_comp.scm 1116 */
											obj_t BgL_val1310z00_3495;

											BgL_val1310z00_3495 =
												BGl_zc3exitza33146ze3z83zz__evaluate_compz00
												(BgL_nsz00_3493, BgL_runz00_15459);
											{	/* Eval/evaluate_comp.scm 1116 */
												obj_t BgL_auxz00_26737;

												BgL_auxz00_26737 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_EVSTATE_SET(BgL_auxz00_26737, BgL_sz00_3482);
											}
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1310z00_3495)))
												{	/* Eval/evaluate_comp.scm 1116 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1310z00_3495), CDR(BgL_val1310z00_3495));
												}
											else
												{	/* Eval/evaluate_comp.scm 1116 */
													return BgL_val1310z00_3495;
												}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:3146> */
	obj_t BGl_zc3exitza33146ze3z83zz__evaluate_compz00(obj_t BgL_nsz00_15949,
		obj_t BgL_runz00_15948)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1116 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1311z00_3501;

			if (SET_EXIT(BgL_an_exit1311z00_3501))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1311z00_3501 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1116 */

						PUSH_EXIT(BgL_an_exit1311z00_3501, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1116 */
							obj_t BgL_val1312z00_3502;

							BgL_val1312z00_3502 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_15948,
								BgL_nsz00_15949, BINT(((long) 2)));
							POP_EXIT();
							return BgL_val1312z00_3502;
						}
					}
				}
		}
	}



/* <exit:3140> */
	obj_t BGl_zc3exitza33140ze3z83zz__evaluate_compz00(obj_t BgL_bpz00_15952,
		obj_t BgL_sz00_15951, obj_t BgL_runz00_15950)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1116 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1308z00_3491;

			if (SET_EXIT(BgL_an_exit1308z00_3491))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1308z00_3491 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1116 */

						PUSH_EXIT(BgL_an_exit1308z00_3491, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1116 */
							obj_t BgL_val1309z00_3492;

							BgL_val1309z00_3492 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_15950,
								BgL_sz00_15951, BgL_bpz00_15952);
							POP_EXIT();
							return BgL_val1309z00_3492;
						}
					}
				}
		}
	}



/* &run5519 */
	obj_t BGl_z62run5519z62zz__evaluate_compz00(obj_t BgL_envz00_15462,
		obj_t BgL_sz00_15466)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1116 */
			{	/* Eval/evaluate_comp.scm 1116 */
				obj_t BgL_iboxesz00_15463;
				BgL_ev_absz00_bglt BgL_i1250z00_15464;
				obj_t BgL_bodyz00_15465;

				BgL_iboxesz00_15463 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15462, (int) (((long) 0))));
				BgL_i1250z00_15464 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_15462, (int) (((long) 1))));
				BgL_bodyz00_15465 = PROCEDURE_REF(BgL_envz00_15462, (int) (((long) 2)));
				{
					obj_t BgL_sz00_3504;

					BgL_sz00_3504 = BgL_sz00_15466;
					{	/* Eval/evaluate_comp.scm 1116 */
						obj_t BgL_bpz00_3506;

						BgL_bpz00_3506 = VECTOR_REF(BgL_sz00_3504, (int) (((long) 0)));
						BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_3504,
							BgL_iboxesz00_15463, BgL_bpz00_3506);
						{	/* Eval/evaluate_comp.scm 1116 */
							obj_t BgL_z12denvz12_3507;
							obj_t BgL_wherez00_3508;
							obj_t BgL_locz00_3509;

							BgL_z12denvz12_3507 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_3508 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_15464))->BgL_wherez00);
							BgL_locz00_3509 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_15464))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1116 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_3507, BgL_wherez00_3508,
									BgL_locz00_3509);
								{	/* Eval/evaluate_comp.scm 1116 */
									obj_t BgL_za2za2resza2za2z00_3510;

									BgL_za2za2resza2za2z00_3510 =
										PROCEDURE_ENTRY(BgL_bodyz00_15465) (BgL_bodyz00_15465,
										BgL_sz00_3504, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_3507);
									return BgL_za2za2resza2za2z00_3510;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3150> */
	obj_t BGl_z62zc3anonymousza33150ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15467, obj_t BgL_sz00_15473)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1116 */
			{	/* Eval/evaluate_comp.scm 1116 */
				obj_t BgL_ifreesz00_15468;
				long BgL_siza7eza7_15469;
				BgL_ev_absz00_bglt BgL_i1250z00_15470;
				obj_t BgL_bodyz00_15471;
				long BgL_siza7ezd2framez75_15472;

				BgL_ifreesz00_15468 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15467, (int) (((long) 0))));
				BgL_siza7eza7_15469 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15467, (int) (((long) 1))));
				BgL_i1250z00_15470 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_15467, (int) (((long) 2))));
				BgL_bodyz00_15471 = PROCEDURE_REF(BgL_envz00_15467, (int) (((long) 3)));
				BgL_siza7ezd2framez75_15472 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15467, (int) (((long) 4))));
				{
					obj_t BgL_sz00_3514;

					BgL_sz00_3514 = BgL_sz00_15473;
					{	/* Eval/evaluate_comp.scm 1116 */
						obj_t BgL_bpz00_3516;

						BgL_bpz00_3516 = VECTOR_REF(BgL_sz00_3514, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1116 */
							obj_t BgL_valza2za2_3517;

							BgL_valza2za2_3517 =
								BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_3514,
								BgL_bpz00_3516, BgL_ifreesz00_15468);
							{	/* Eval/evaluate_comp.scm 1116 */
								obj_t BgL_runz00_14568;

								BgL_runz00_14568 =
									MAKE_FX_PROCEDURE(BGl_z62run5521z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 4)));
								PROCEDURE_SET(BgL_runz00_14568,
									(int) (((long) 0)), BINT(BgL_siza7eza7_15469));
								PROCEDURE_SET(BgL_runz00_14568,
									(int) (((long) 1)), BgL_valza2za2_3517);
								PROCEDURE_SET(BgL_runz00_14568,
									(int) (((long) 2)), ((obj_t) BgL_i1250z00_15470));
								PROCEDURE_SET(BgL_runz00_14568,
									(int) (((long) 3)), BgL_bodyz00_15471);
								{	/* Eval/evaluate_comp.scm 1116 */
									obj_t BgL_mainz00_14569;

									BgL_mainz00_14569 =
										MAKE_VA_PROCEDURE(BGl_z62main5520z62zz__evaluate_compz00,
										(int) (((long) -1)), (int) (((long) 6)));
									PROCEDURE_SET(BgL_mainz00_14569,
										(int) (((long) 0)), BINT(BgL_siza7eza7_15469));
									PROCEDURE_SET(BgL_mainz00_14569,
										(int) (((long) 1)), BgL_valza2za2_3517);
									PROCEDURE_SET(BgL_mainz00_14569,
										(int) (((long) 2)), ((obj_t) BgL_i1250z00_15470));
									PROCEDURE_SET(BgL_mainz00_14569,
										(int) (((long) 3)), BgL_bodyz00_15471);
									PROCEDURE_SET(BgL_mainz00_14569,
										(int) (((long) 4)), BgL_runz00_14568);
									PROCEDURE_SET(BgL_mainz00_14569,
										(int) (((long) 5)), BINT(BgL_siza7ezd2framez75_15472));
									{	/* Eval/evaluate_comp.scm 1116 */
										obj_t BgL_objz00_10928;

										BgL_objz00_10928 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_14568, BgL_objz00_10928);
										BgL_objz00_10928;
									}
									{	/* Eval/evaluate_comp.scm 1116 */
										obj_t BgL_arg3151z00_3520;

										{	/* Eval/evaluate_comp.scm 1116 */
											obj_t BgL_arg3152z00_3521;

											BgL_arg3152z00_3521 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_15470))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1116 */
												obj_t BgL_newz00_10932;

												BgL_newz00_10932 =
													create_struct(BGl_symbol5569z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 1116 */
													int BgL_auxz00_26829;

													BgL_auxz00_26829 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_10932, BgL_auxz00_26829,
														BgL_arg3152z00_3521);
												}
												{	/* Eval/evaluate_comp.scm 1116 */
													obj_t BgL_auxz00_26834;
													int BgL_auxz00_26832;

													BgL_auxz00_26834 = BINT(BgL_siza7ezd2framez75_15472);
													BgL_auxz00_26832 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_10932, BgL_auxz00_26832,
														BgL_auxz00_26834);
												}
												{	/* Eval/evaluate_comp.scm 1116 */
													int BgL_auxz00_26837;

													BgL_auxz00_26837 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_10932, BgL_auxz00_26837,
														BgL_runz00_14568);
												}
												{	/* Eval/evaluate_comp.scm 1116 */
													obj_t BgL_auxz00_26842;
													int BgL_auxz00_26840;

													BgL_auxz00_26842 = BINT(((long) -1));
													BgL_auxz00_26840 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_10932, BgL_auxz00_26840,
														BgL_auxz00_26842);
												}
												BgL_arg3151z00_3520 = BgL_newz00_10932;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_14569, BgL_arg3151z00_3520);
										BgL_arg3151z00_3520;
									}
									return BgL_mainz00_14569;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main5520 */
	obj_t BGl_z62main5520z62zz__evaluate_compz00(obj_t BgL_envz00_15474,
		obj_t BgL_lastz00_15481)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1116 */
			{	/* Eval/evaluate_comp.scm 1116 */
				obj_t BgL_runz00_15479;
				long BgL_siza7ezd2framez75_15480;

				BgL_runz00_15479 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15474, (int) (((long) 4))));
				BgL_siza7ezd2framez75_15480 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15474, (int) (((long) 5))));
				{
					obj_t BgL_lastz00_3522;

					BgL_lastz00_3522 = BgL_lastz00_15481;
					{	/* Eval/evaluate_comp.scm 1116 */
						obj_t BgL_sz00_3524;

						BgL_sz00_3524 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1116 */
							obj_t BgL_bpz00_3525;

							BgL_bpz00_3525 = VECTOR_REF(BgL_sz00_3524, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1116 */
								bool_t BgL_testz00_26855;

								{	/* Eval/evaluate_comp.scm 1116 */
									int BgL_arg1909z00_10899;

									BgL_arg1909z00_10899 = VECTOR_LENGTH(BgL_sz00_3524);
									BgL_testz00_26855 =
										(
										((long) CINT(BgL_bpz00_3525) +
											BgL_siza7ezd2framez75_15480) <
										(long) (BgL_arg1909z00_10899));
								}
								if (BgL_testz00_26855)
									{	/* Eval/evaluate_comp.scm 1116 */
										{	/* Eval/evaluate_comp.scm 1116 */
											long BgL_arg3155z00_3527;

											BgL_arg3155z00_3527 =
												((long) CINT(BgL_bpz00_3525) + ((long) 0));
											VECTOR_SET(BgL_sz00_3524,
												(int) (BgL_arg3155z00_3527), BgL_lastz00_3522);
										}
										{	/* Eval/evaluate_comp.scm 1116 */
											obj_t BgL_val1313z00_3528;

											BgL_val1313z00_3528 =
												BGl_zc3exitza33159ze3z83zz__evaluate_compz00
												(BgL_bpz00_3525, BgL_sz00_3524, BgL_runz00_15479);
											VECTOR_SET(BgL_sz00_3524, (int) (((long) 0)),
												BgL_bpz00_3525);
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1313z00_3528)))
												{	/* Eval/evaluate_comp.scm 1116 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1313z00_3528), CDR(BgL_val1313z00_3528));
												}
											else
												{	/* Eval/evaluate_comp.scm 1116 */
													return BgL_val1313z00_3528;
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1116 */
										obj_t BgL_nsz00_3535;

										BgL_nsz00_3535 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_3535,
											(int) (((long) 1)), BgL_sz00_3524);
										VECTOR_SET(BgL_nsz00_3535,
											(int) (((long) 2)), BgL_lastz00_3522);
										{	/* Eval/evaluate_comp.scm 1116 */
											obj_t BgL_auxz00_26879;

											BgL_auxz00_26879 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_26879, BgL_nsz00_3535);
										}
										{	/* Eval/evaluate_comp.scm 1116 */
											obj_t BgL_val1316z00_3537;

											BgL_val1316z00_3537 =
												BGl_zc3exitza33165ze3z83zz__evaluate_compz00
												(BgL_nsz00_3535, BgL_runz00_15479);
											{	/* Eval/evaluate_comp.scm 1116 */
												obj_t BgL_auxz00_26883;

												BgL_auxz00_26883 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_EVSTATE_SET(BgL_auxz00_26883, BgL_sz00_3524);
											}
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1316z00_3537)))
												{	/* Eval/evaluate_comp.scm 1116 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1316z00_3537), CDR(BgL_val1316z00_3537));
												}
											else
												{	/* Eval/evaluate_comp.scm 1116 */
													return BgL_val1316z00_3537;
												}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:3165> */
	obj_t BGl_zc3exitza33165ze3z83zz__evaluate_compz00(obj_t BgL_nsz00_15944,
		obj_t BgL_runz00_15943)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1116 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1317z00_3543;

			if (SET_EXIT(BgL_an_exit1317z00_3543))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1317z00_3543 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1116 */

						PUSH_EXIT(BgL_an_exit1317z00_3543, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1116 */
							obj_t BgL_val1318z00_3544;

							BgL_val1318z00_3544 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_15943,
								BgL_nsz00_15944, BINT(((long) 2)));
							POP_EXIT();
							return BgL_val1318z00_3544;
						}
					}
				}
		}
	}



/* <exit:3159> */
	obj_t BGl_zc3exitza33159ze3z83zz__evaluate_compz00(obj_t BgL_bpz00_15947,
		obj_t BgL_sz00_15946, obj_t BgL_runz00_15945)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1116 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1314z00_3533;

			if (SET_EXIT(BgL_an_exit1314z00_3533))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1314z00_3533 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1116 */

						PUSH_EXIT(BgL_an_exit1314z00_3533, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1116 */
							obj_t BgL_val1315z00_3534;

							BgL_val1315z00_3534 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_15945,
								BgL_sz00_15946, BgL_bpz00_15947);
							POP_EXIT();
							return BgL_val1315z00_3534;
						}
					}
				}
		}
	}



/* &run5521 */
	obj_t BGl_z62run5521z62zz__evaluate_compz00(obj_t BgL_envz00_15482,
		obj_t BgL_sz00_15487)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1116 */
			{	/* Eval/evaluate_comp.scm 1116 */
				long BgL_siza7eza7_15483;
				obj_t BgL_valza2za2_15484;
				BgL_ev_absz00_bglt BgL_i1250z00_15485;
				obj_t BgL_bodyz00_15486;

				BgL_siza7eza7_15483 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15482, (int) (((long) 0))));
				BgL_valza2za2_15484 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15482, (int) (((long) 1))));
				BgL_i1250z00_15485 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_15482, (int) (((long) 2))));
				BgL_bodyz00_15486 = PROCEDURE_REF(BgL_envz00_15482, (int) (((long) 3)));
				{
					obj_t BgL_sz00_3546;

					BgL_sz00_3546 = BgL_sz00_15487;
					{	/* Eval/evaluate_comp.scm 1116 */
						obj_t BgL_bpz00_3548;

						BgL_bpz00_3548 = VECTOR_REF(BgL_sz00_3546, (int) (((long) 0)));
						BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_3546,
							BgL_valza2za2_15484,
							((long) CINT(BgL_bpz00_3548) + BgL_siza7eza7_15483));
						{	/* Eval/evaluate_comp.scm 1036 */
							obj_t BgL_z12denvz12_3550;
							obj_t BgL_wherez00_3551;
							obj_t BgL_locz00_3552;

							BgL_z12denvz12_3550 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_3551 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_15485))->BgL_wherez00);
							BgL_locz00_3552 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_15485))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1036 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_3550, BgL_wherez00_3551,
									BgL_locz00_3552);
								{	/* Eval/evaluate_comp.scm 1036 */
									obj_t BgL_za2za2resza2za2z00_3553;

									BgL_za2za2resza2za2z00_3553 =
										PROCEDURE_ENTRY(BgL_bodyz00_15486) (BgL_bodyz00_15486,
										BgL_sz00_3546, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_3550);
									return BgL_za2za2resza2za2z00_3553;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3168> */
	obj_t BGl_z62zc3anonymousza33168ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15488, obj_t BgL_sz00_15495)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1116 */
			{	/* Eval/evaluate_comp.scm 1116 */
				obj_t BgL_ifreesz00_15489;
				obj_t BgL_iboxesz00_15490;
				long BgL_siza7eza7_15491;
				BgL_ev_absz00_bglt BgL_i1250z00_15492;
				obj_t BgL_bodyz00_15493;
				long BgL_siza7ezd2framez75_15494;

				BgL_ifreesz00_15489 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15488, (int) (((long) 0))));
				BgL_iboxesz00_15490 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15488, (int) (((long) 1))));
				BgL_siza7eza7_15491 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15488, (int) (((long) 2))));
				BgL_i1250z00_15492 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_15488, (int) (((long) 3))));
				BgL_bodyz00_15493 = PROCEDURE_REF(BgL_envz00_15488, (int) (((long) 4)));
				BgL_siza7ezd2framez75_15494 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15488, (int) (((long) 5))));
				{
					obj_t BgL_sz00_3555;

					BgL_sz00_3555 = BgL_sz00_15495;
					{	/* Eval/evaluate_comp.scm 1116 */
						obj_t BgL_bpz00_3557;

						BgL_bpz00_3557 = VECTOR_REF(BgL_sz00_3555, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1116 */
							obj_t BgL_valza2za2_3558;

							BgL_valza2za2_3558 =
								BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_3555,
								BgL_bpz00_3557, BgL_ifreesz00_15489);
							{	/* Eval/evaluate_comp.scm 1116 */
								obj_t BgL_runz00_14565;

								BgL_runz00_14565 =
									MAKE_FX_PROCEDURE(BGl_z62run5523z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 5)));
								PROCEDURE_SET(BgL_runz00_14565,
									(int) (((long) 0)), BgL_iboxesz00_15490);
								PROCEDURE_SET(BgL_runz00_14565,
									(int) (((long) 1)), BINT(BgL_siza7eza7_15491));
								PROCEDURE_SET(BgL_runz00_14565,
									(int) (((long) 2)), BgL_valza2za2_3558);
								PROCEDURE_SET(BgL_runz00_14565,
									(int) (((long) 3)), ((obj_t) BgL_i1250z00_15492));
								PROCEDURE_SET(BgL_runz00_14565,
									(int) (((long) 4)), BgL_bodyz00_15493);
								{	/* Eval/evaluate_comp.scm 1116 */
									obj_t BgL_mainz00_14566;

									BgL_mainz00_14566 =
										MAKE_VA_PROCEDURE(BGl_z62main5522z62zz__evaluate_compz00,
										(int) (((long) -1)), (int) (((long) 7)));
									PROCEDURE_SET(BgL_mainz00_14566,
										(int) (((long) 0)), BgL_iboxesz00_15490);
									PROCEDURE_SET(BgL_mainz00_14566,
										(int) (((long) 1)), BINT(BgL_siza7eza7_15491));
									PROCEDURE_SET(BgL_mainz00_14566,
										(int) (((long) 2)), BgL_valza2za2_3558);
									PROCEDURE_SET(BgL_mainz00_14566,
										(int) (((long) 3)), ((obj_t) BgL_i1250z00_15492));
									PROCEDURE_SET(BgL_mainz00_14566,
										(int) (((long) 4)), BgL_bodyz00_15493);
									PROCEDURE_SET(BgL_mainz00_14566,
										(int) (((long) 5)), BgL_runz00_14565);
									PROCEDURE_SET(BgL_mainz00_14566,
										(int) (((long) 6)), BINT(BgL_siza7ezd2framez75_15494));
									{	/* Eval/evaluate_comp.scm 1116 */
										obj_t BgL_objz00_10995;

										BgL_objz00_10995 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_14565, BgL_objz00_10995);
										BgL_objz00_10995;
									}
									{	/* Eval/evaluate_comp.scm 1116 */
										obj_t BgL_arg3169z00_3561;

										{	/* Eval/evaluate_comp.scm 1116 */
											obj_t BgL_arg3170z00_3562;

											BgL_arg3170z00_3562 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_15492))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1116 */
												obj_t BgL_newz00_10999;

												BgL_newz00_10999 =
													create_struct(BGl_symbol5569z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 1116 */
													int BgL_auxz00_26987;

													BgL_auxz00_26987 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_10999, BgL_auxz00_26987,
														BgL_arg3170z00_3562);
												}
												{	/* Eval/evaluate_comp.scm 1116 */
													obj_t BgL_auxz00_26992;
													int BgL_auxz00_26990;

													BgL_auxz00_26992 = BINT(BgL_siza7ezd2framez75_15494);
													BgL_auxz00_26990 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_10999, BgL_auxz00_26990,
														BgL_auxz00_26992);
												}
												{	/* Eval/evaluate_comp.scm 1116 */
													int BgL_auxz00_26995;

													BgL_auxz00_26995 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_10999, BgL_auxz00_26995,
														BgL_runz00_14565);
												}
												{	/* Eval/evaluate_comp.scm 1116 */
													obj_t BgL_auxz00_27000;
													int BgL_auxz00_26998;

													BgL_auxz00_27000 = BINT(((long) -1));
													BgL_auxz00_26998 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_10999, BgL_auxz00_26998,
														BgL_auxz00_27000);
												}
												BgL_arg3169z00_3561 = BgL_newz00_10999;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_14566, BgL_arg3169z00_3561);
										BgL_arg3169z00_3561;
									}
									return BgL_mainz00_14566;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main5522 */
	obj_t BGl_z62main5522z62zz__evaluate_compz00(obj_t BgL_envz00_15496,
		obj_t BgL_lastz00_15504)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1116 */
			{	/* Eval/evaluate_comp.scm 1116 */
				obj_t BgL_runz00_15502;
				long BgL_siza7ezd2framez75_15503;

				BgL_runz00_15502 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15496, (int) (((long) 5))));
				BgL_siza7ezd2framez75_15503 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15496, (int) (((long) 6))));
				{
					obj_t BgL_lastz00_3563;

					BgL_lastz00_3563 = BgL_lastz00_15504;
					{	/* Eval/evaluate_comp.scm 1116 */
						obj_t BgL_sz00_3565;

						BgL_sz00_3565 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1116 */
							obj_t BgL_bpz00_3566;

							BgL_bpz00_3566 = VECTOR_REF(BgL_sz00_3565, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1116 */
								bool_t BgL_testz00_27013;

								{	/* Eval/evaluate_comp.scm 1116 */
									int BgL_arg1909z00_10966;

									BgL_arg1909z00_10966 = VECTOR_LENGTH(BgL_sz00_3565);
									BgL_testz00_27013 =
										(
										((long) CINT(BgL_bpz00_3566) +
											BgL_siza7ezd2framez75_15503) <
										(long) (BgL_arg1909z00_10966));
								}
								if (BgL_testz00_27013)
									{	/* Eval/evaluate_comp.scm 1116 */
										{	/* Eval/evaluate_comp.scm 1116 */
											long BgL_arg3173z00_3568;

											BgL_arg3173z00_3568 =
												((long) CINT(BgL_bpz00_3566) + ((long) 0));
											VECTOR_SET(BgL_sz00_3565,
												(int) (BgL_arg3173z00_3568), BgL_lastz00_3563);
										}
										{	/* Eval/evaluate_comp.scm 1116 */
											obj_t BgL_val1319z00_3569;

											BgL_val1319z00_3569 =
												BGl_zc3exitza33177ze3z83zz__evaluate_compz00
												(BgL_bpz00_3566, BgL_sz00_3565, BgL_runz00_15502);
											VECTOR_SET(BgL_sz00_3565, (int) (((long) 0)),
												BgL_bpz00_3566);
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1319z00_3569)))
												{	/* Eval/evaluate_comp.scm 1116 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1319z00_3569), CDR(BgL_val1319z00_3569));
												}
											else
												{	/* Eval/evaluate_comp.scm 1116 */
													return BgL_val1319z00_3569;
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1116 */
										obj_t BgL_nsz00_3576;

										BgL_nsz00_3576 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_3576,
											(int) (((long) 1)), BgL_sz00_3565);
										VECTOR_SET(BgL_nsz00_3576,
											(int) (((long) 2)), BgL_lastz00_3563);
										{	/* Eval/evaluate_comp.scm 1116 */
											obj_t BgL_auxz00_27037;

											BgL_auxz00_27037 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_27037, BgL_nsz00_3576);
										}
										{	/* Eval/evaluate_comp.scm 1116 */
											obj_t BgL_val1322z00_3578;

											BgL_val1322z00_3578 =
												BGl_zc3exitza33183ze3z83zz__evaluate_compz00
												(BgL_nsz00_3576, BgL_runz00_15502);
											{	/* Eval/evaluate_comp.scm 1116 */
												obj_t BgL_auxz00_27041;

												BgL_auxz00_27041 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_EVSTATE_SET(BgL_auxz00_27041, BgL_sz00_3565);
											}
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1322z00_3578)))
												{	/* Eval/evaluate_comp.scm 1116 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1322z00_3578), CDR(BgL_val1322z00_3578));
												}
											else
												{	/* Eval/evaluate_comp.scm 1116 */
													return BgL_val1322z00_3578;
												}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:3183> */
	obj_t BGl_zc3exitza33183ze3z83zz__evaluate_compz00(obj_t BgL_nsz00_15939,
		obj_t BgL_runz00_15938)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1116 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1323z00_3584;

			if (SET_EXIT(BgL_an_exit1323z00_3584))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1323z00_3584 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1116 */

						PUSH_EXIT(BgL_an_exit1323z00_3584, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1116 */
							obj_t BgL_val1324z00_3585;

							BgL_val1324z00_3585 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_15938,
								BgL_nsz00_15939, BINT(((long) 2)));
							POP_EXIT();
							return BgL_val1324z00_3585;
						}
					}
				}
		}
	}



/* <exit:3177> */
	obj_t BGl_zc3exitza33177ze3z83zz__evaluate_compz00(obj_t BgL_bpz00_15942,
		obj_t BgL_sz00_15941, obj_t BgL_runz00_15940)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1116 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1320z00_3574;

			if (SET_EXIT(BgL_an_exit1320z00_3574))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1320z00_3574 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1116 */

						PUSH_EXIT(BgL_an_exit1320z00_3574, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1116 */
							obj_t BgL_val1321z00_3575;

							BgL_val1321z00_3575 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_15940,
								BgL_sz00_15941, BgL_bpz00_15942);
							POP_EXIT();
							return BgL_val1321z00_3575;
						}
					}
				}
		}
	}



/* &run5523 */
	obj_t BGl_z62run5523z62zz__evaluate_compz00(obj_t BgL_envz00_15505,
		obj_t BgL_sz00_15511)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1116 */
			{	/* Eval/evaluate_comp.scm 1116 */
				obj_t BgL_iboxesz00_15506;
				long BgL_siza7eza7_15507;
				obj_t BgL_valza2za2_15508;
				BgL_ev_absz00_bglt BgL_i1250z00_15509;
				obj_t BgL_bodyz00_15510;

				BgL_iboxesz00_15506 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15505, (int) (((long) 0))));
				BgL_siza7eza7_15507 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15505, (int) (((long) 1))));
				BgL_valza2za2_15508 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15505, (int) (((long) 2))));
				BgL_i1250z00_15509 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_15505, (int) (((long) 3))));
				BgL_bodyz00_15510 = PROCEDURE_REF(BgL_envz00_15505, (int) (((long) 4)));
				{
					obj_t BgL_sz00_3587;

					BgL_sz00_3587 = BgL_sz00_15511;
					{	/* Eval/evaluate_comp.scm 1116 */
						obj_t BgL_bpz00_3589;

						BgL_bpz00_3589 = VECTOR_REF(BgL_sz00_3587, (int) (((long) 0)));
						BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_3587,
							BgL_iboxesz00_15506, BgL_bpz00_3589);
						BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_3587,
							BgL_valza2za2_15508,
							((long) CINT(BgL_bpz00_3589) + BgL_siza7eza7_15507));
						{	/* Eval/evaluate_comp.scm 1036 */
							obj_t BgL_z12denvz12_3591;
							obj_t BgL_wherez00_3592;
							obj_t BgL_locz00_3593;

							BgL_z12denvz12_3591 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_3592 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_15509))->BgL_wherez00);
							BgL_locz00_3593 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_15509))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1036 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_3591, BgL_wherez00_3592,
									BgL_locz00_3593);
								{	/* Eval/evaluate_comp.scm 1036 */
									obj_t BgL_za2za2resza2za2z00_3594;

									BgL_za2za2resza2za2z00_3594 =
										PROCEDURE_ENTRY(BgL_bodyz00_15510) (BgL_bodyz00_15510,
										BgL_sz00_3587, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_3591);
									return BgL_za2za2resza2za2z00_3594;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3038> */
	obj_t BGl_z62zc3anonymousza33038ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15512, obj_t BgL_sz00_15516)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1116 */
			{	/* Eval/evaluate_comp.scm 1116 */
				BgL_ev_absz00_bglt BgL_i1250z00_15513;
				obj_t BgL_bodyz00_15514;
				long BgL_siza7ezd2framez75_15515;

				BgL_i1250z00_15513 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_15512, (int) (((long) 0))));
				BgL_bodyz00_15514 = PROCEDURE_REF(BgL_envz00_15512, (int) (((long) 1)));
				BgL_siza7ezd2framez75_15515 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15512, (int) (((long) 2))));
				{
					obj_t BgL_sz00_3276;

					BgL_sz00_3276 = BgL_sz00_15516;
					{	/* Eval/evaluate_comp.scm 1116 */
						obj_t BgL_bpz00_3278;

						BgL_bpz00_3278 = VECTOR_REF(BgL_sz00_3276, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1116 */

							{	/* Eval/evaluate_comp.scm 1116 */
								obj_t BgL_runz00_14562;

								BgL_runz00_14562 =
									MAKE_FX_PROCEDURE(BGl_z62run5525z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 2)));
								PROCEDURE_SET(BgL_runz00_14562,
									(int) (((long) 0)), ((obj_t) BgL_i1250z00_15513));
								PROCEDURE_SET(BgL_runz00_14562,
									(int) (((long) 1)), BgL_bodyz00_15514);
								{	/* Eval/evaluate_comp.scm 1116 */
									obj_t BgL_mainz00_14563;

									BgL_mainz00_14563 =
										MAKE_FX_PROCEDURE(BGl_z62main5524z62zz__evaluate_compz00,
										(int) (((long) 0)), (int) (((long) 4)));
									PROCEDURE_SET(BgL_mainz00_14563,
										(int) (((long) 0)), ((obj_t) BgL_i1250z00_15513));
									PROCEDURE_SET(BgL_mainz00_14563,
										(int) (((long) 1)), BgL_bodyz00_15514);
									PROCEDURE_SET(BgL_mainz00_14563,
										(int) (((long) 2)), BgL_runz00_14562);
									PROCEDURE_SET(BgL_mainz00_14563,
										(int) (((long) 3)), BINT(BgL_siza7ezd2framez75_15515));
									{	/* Eval/evaluate_comp.scm 1116 */
										obj_t BgL_objz00_10546;

										BgL_objz00_10546 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_14562, BgL_objz00_10546);
										BgL_objz00_10546;
									}
									{	/* Eval/evaluate_comp.scm 1116 */
										obj_t BgL_arg3039z00_3281;

										{	/* Eval/evaluate_comp.scm 1116 */
											obj_t BgL_arg3040z00_3282;

											BgL_arg3040z00_3282 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_15513))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1116 */
												obj_t BgL_newz00_10550;

												BgL_newz00_10550 =
													create_struct(BGl_symbol5569z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 1116 */
													int BgL_auxz00_27125;

													BgL_auxz00_27125 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_10550, BgL_auxz00_27125,
														BgL_arg3040z00_3282);
												}
												{	/* Eval/evaluate_comp.scm 1116 */
													obj_t BgL_auxz00_27130;
													int BgL_auxz00_27128;

													BgL_auxz00_27130 = BINT(BgL_siza7ezd2framez75_15515);
													BgL_auxz00_27128 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_10550, BgL_auxz00_27128,
														BgL_auxz00_27130);
												}
												{	/* Eval/evaluate_comp.scm 1116 */
													int BgL_auxz00_27133;

													BgL_auxz00_27133 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_10550, BgL_auxz00_27133,
														BgL_runz00_14562);
												}
												{	/* Eval/evaluate_comp.scm 1116 */
													obj_t BgL_auxz00_27138;
													int BgL_auxz00_27136;

													BgL_auxz00_27138 = BINT(((long) 0));
													BgL_auxz00_27136 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_10550, BgL_auxz00_27136,
														BgL_auxz00_27138);
												}
												BgL_arg3039z00_3281 = BgL_newz00_10550;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_14563, BgL_arg3039z00_3281);
										BgL_arg3039z00_3281;
									}
									return BgL_mainz00_14563;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main5524 */
	obj_t BGl_z62main5524z62zz__evaluate_compz00(obj_t BgL_envz00_15517)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1116 */
			{	/* Eval/evaluate_comp.scm 1116 */
				obj_t BgL_runz00_15520;
				long BgL_siza7ezd2framez75_15521;

				BgL_runz00_15520 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15517, (int) (((long) 2))));
				BgL_siza7ezd2framez75_15521 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15517, (int) (((long) 3))));
				{

					{	/* Eval/evaluate_comp.scm 1116 */
						obj_t BgL_sz00_3284;

						BgL_sz00_3284 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1116 */
							obj_t BgL_bpz00_3285;

							BgL_bpz00_3285 = VECTOR_REF(BgL_sz00_3284, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1116 */
								bool_t BgL_testz00_27151;

								{	/* Eval/evaluate_comp.scm 1116 */
									int BgL_arg1909z00_10526;

									BgL_arg1909z00_10526 = VECTOR_LENGTH(BgL_sz00_3284);
									BgL_testz00_27151 =
										(
										((long) CINT(BgL_bpz00_3285) +
											BgL_siza7ezd2framez75_15521) <
										(long) (BgL_arg1909z00_10526));
								}
								if (BgL_testz00_27151)
									{	/* Eval/evaluate_comp.scm 1116 */
										obj_t BgL_val1277z00_3287;

										BgL_val1277z00_3287 =
											BGl_zc3exitza33046ze3z83zz__evaluate_compz00
											(BgL_bpz00_3285, BgL_sz00_3284, BgL_runz00_15520);
										VECTOR_SET(BgL_sz00_3284, (int) (((long) 0)),
											BgL_bpz00_3285);
										if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
												(BgL_val1277z00_3287)))
											{	/* Eval/evaluate_comp.scm 1116 */
												return
													BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
													(BgL_val1277z00_3287), CDR(BgL_val1277z00_3287));
											}
										else
											{	/* Eval/evaluate_comp.scm 1116 */
												return BgL_val1277z00_3287;
											}
									}
								else
									{	/* Eval/evaluate_comp.scm 1116 */
										obj_t BgL_nsz00_3294;

										BgL_nsz00_3294 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_3294,
											(int) (((long) 1)), BgL_sz00_3284);
										{	/* Eval/evaluate_comp.scm 1116 */
											obj_t BgL_auxz00_27169;

											BgL_auxz00_27169 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_27169, BgL_nsz00_3294);
										}
										{	/* Eval/evaluate_comp.scm 1116 */
											obj_t BgL_val1280z00_3296;

											BgL_val1280z00_3296 =
												BGl_zc3exitza33054ze3z83zz__evaluate_compz00
												(BgL_nsz00_3294, BgL_runz00_15520);
											{	/* Eval/evaluate_comp.scm 1116 */
												obj_t BgL_auxz00_27173;

												BgL_auxz00_27173 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_EVSTATE_SET(BgL_auxz00_27173, BgL_sz00_3284);
											}
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1280z00_3296)))
												{	/* Eval/evaluate_comp.scm 1116 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1280z00_3296), CDR(BgL_val1280z00_3296));
												}
											else
												{	/* Eval/evaluate_comp.scm 1116 */
													return BgL_val1280z00_3296;
												}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:3054> */
	obj_t BGl_zc3exitza33054ze3z83zz__evaluate_compz00(obj_t BgL_nsz00_15934,
		obj_t BgL_runz00_15933)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1116 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1281z00_3302;

			if (SET_EXIT(BgL_an_exit1281z00_3302))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1281z00_3302 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1116 */

						PUSH_EXIT(BgL_an_exit1281z00_3302, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1116 */
							obj_t BgL_val1282z00_3303;

							BgL_val1282z00_3303 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_15933,
								BgL_nsz00_15934, BINT(((long) 2)));
							POP_EXIT();
							return BgL_val1282z00_3303;
						}
					}
				}
		}
	}



/* <exit:3046> */
	obj_t BGl_zc3exitza33046ze3z83zz__evaluate_compz00(obj_t BgL_bpz00_15937,
		obj_t BgL_sz00_15936, obj_t BgL_runz00_15935)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1116 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1278z00_3292;

			if (SET_EXIT(BgL_an_exit1278z00_3292))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1278z00_3292 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1116 */

						PUSH_EXIT(BgL_an_exit1278z00_3292, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1116 */
							obj_t BgL_val1279z00_3293;

							BgL_val1279z00_3293 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_15935,
								BgL_sz00_15936, BgL_bpz00_15937);
							POP_EXIT();
							return BgL_val1279z00_3293;
						}
					}
				}
		}
	}



/* &run5525 */
	obj_t BGl_z62run5525z62zz__evaluate_compz00(obj_t BgL_envz00_15522,
		obj_t BgL_sz00_15525)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1116 */
			{	/* Eval/evaluate_comp.scm 1116 */
				BgL_ev_absz00_bglt BgL_i1250z00_15523;
				obj_t BgL_bodyz00_15524;

				BgL_i1250z00_15523 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_15522, (int) (((long) 0))));
				BgL_bodyz00_15524 = PROCEDURE_REF(BgL_envz00_15522, (int) (((long) 1)));
				{
					obj_t BgL_sz00_3305;

					BgL_sz00_3305 = BgL_sz00_15525;
					{	/* Eval/evaluate_comp.scm 1116 */
						obj_t BgL_bpz00_3307;

						BgL_bpz00_3307 = VECTOR_REF(BgL_sz00_3305, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1116 */
							obj_t BgL_z12denvz12_3308;
							obj_t BgL_wherez00_3309;
							obj_t BgL_locz00_3310;

							BgL_z12denvz12_3308 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_3309 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_15523))->BgL_wherez00);
							BgL_locz00_3310 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_15523))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1116 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_3308, BgL_wherez00_3309,
									BgL_locz00_3310);
								{	/* Eval/evaluate_comp.scm 1116 */
									obj_t BgL_za2za2resza2za2z00_3311;

									BgL_za2za2resza2za2z00_3311 =
										PROCEDURE_ENTRY(BgL_bodyz00_15524) (BgL_bodyz00_15524,
										BgL_sz00_3305, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_3308);
									return BgL_za2za2resza2za2z00_3311;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3056> */
	obj_t BGl_z62zc3anonymousza33056ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15526, obj_t BgL_sz00_15531)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1116 */
			{	/* Eval/evaluate_comp.scm 1116 */
				obj_t BgL_iboxesz00_15527;
				BgL_ev_absz00_bglt BgL_i1250z00_15528;
				obj_t BgL_bodyz00_15529;
				long BgL_siza7ezd2framez75_15530;

				BgL_iboxesz00_15527 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15526, (int) (((long) 0))));
				BgL_i1250z00_15528 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_15526, (int) (((long) 1))));
				BgL_bodyz00_15529 = PROCEDURE_REF(BgL_envz00_15526, (int) (((long) 2)));
				BgL_siza7ezd2framez75_15530 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15526, (int) (((long) 3))));
				{
					obj_t BgL_sz00_3313;

					BgL_sz00_3313 = BgL_sz00_15531;
					{	/* Eval/evaluate_comp.scm 1116 */
						obj_t BgL_bpz00_3315;

						BgL_bpz00_3315 = VECTOR_REF(BgL_sz00_3313, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1116 */

							{	/* Eval/evaluate_comp.scm 1116 */
								obj_t BgL_runz00_14559;

								BgL_runz00_14559 =
									MAKE_FX_PROCEDURE(BGl_z62run5527z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 3)));
								PROCEDURE_SET(BgL_runz00_14559,
									(int) (((long) 0)), BgL_iboxesz00_15527);
								PROCEDURE_SET(BgL_runz00_14559,
									(int) (((long) 1)), ((obj_t) BgL_i1250z00_15528));
								PROCEDURE_SET(BgL_runz00_14559,
									(int) (((long) 2)), BgL_bodyz00_15529);
								{	/* Eval/evaluate_comp.scm 1116 */
									obj_t BgL_mainz00_14560;

									BgL_mainz00_14560 =
										MAKE_FX_PROCEDURE(BGl_z62main5526z62zz__evaluate_compz00,
										(int) (((long) 0)), (int) (((long) 5)));
									PROCEDURE_SET(BgL_mainz00_14560,
										(int) (((long) 0)), BgL_iboxesz00_15527);
									PROCEDURE_SET(BgL_mainz00_14560,
										(int) (((long) 1)), ((obj_t) BgL_i1250z00_15528));
									PROCEDURE_SET(BgL_mainz00_14560,
										(int) (((long) 2)), BgL_bodyz00_15529);
									PROCEDURE_SET(BgL_mainz00_14560,
										(int) (((long) 3)), BgL_runz00_14559);
									PROCEDURE_SET(BgL_mainz00_14560,
										(int) (((long) 4)), BINT(BgL_siza7ezd2framez75_15530));
									{	/* Eval/evaluate_comp.scm 1116 */
										obj_t BgL_objz00_10601;

										BgL_objz00_10601 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_14559, BgL_objz00_10601);
										BgL_objz00_10601;
									}
									{	/* Eval/evaluate_comp.scm 1116 */
										obj_t BgL_arg3057z00_3318;

										{	/* Eval/evaluate_comp.scm 1116 */
											obj_t BgL_arg3058z00_3319;

											BgL_arg3058z00_3319 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_15528))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1116 */
												obj_t BgL_newz00_10605;

												BgL_newz00_10605 =
													create_struct(BGl_symbol5569z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 1116 */
													int BgL_auxz00_27251;

													BgL_auxz00_27251 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_10605, BgL_auxz00_27251,
														BgL_arg3058z00_3319);
												}
												{	/* Eval/evaluate_comp.scm 1116 */
													obj_t BgL_auxz00_27256;
													int BgL_auxz00_27254;

													BgL_auxz00_27256 = BINT(BgL_siza7ezd2framez75_15530);
													BgL_auxz00_27254 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_10605, BgL_auxz00_27254,
														BgL_auxz00_27256);
												}
												{	/* Eval/evaluate_comp.scm 1116 */
													int BgL_auxz00_27259;

													BgL_auxz00_27259 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_10605, BgL_auxz00_27259,
														BgL_runz00_14559);
												}
												{	/* Eval/evaluate_comp.scm 1116 */
													obj_t BgL_auxz00_27264;
													int BgL_auxz00_27262;

													BgL_auxz00_27264 = BINT(((long) 0));
													BgL_auxz00_27262 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_10605, BgL_auxz00_27262,
														BgL_auxz00_27264);
												}
												BgL_arg3057z00_3318 = BgL_newz00_10605;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_14560, BgL_arg3057z00_3318);
										BgL_arg3057z00_3318;
									}
									return BgL_mainz00_14560;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main5526 */
	obj_t BGl_z62main5526z62zz__evaluate_compz00(obj_t BgL_envz00_15532)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1116 */
			{	/* Eval/evaluate_comp.scm 1116 */
				obj_t BgL_runz00_15536;
				long BgL_siza7ezd2framez75_15537;

				BgL_runz00_15536 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15532, (int) (((long) 3))));
				BgL_siza7ezd2framez75_15537 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15532, (int) (((long) 4))));
				{

					{	/* Eval/evaluate_comp.scm 1116 */
						obj_t BgL_sz00_3321;

						BgL_sz00_3321 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1116 */
							obj_t BgL_bpz00_3322;

							BgL_bpz00_3322 = VECTOR_REF(BgL_sz00_3321, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1116 */
								bool_t BgL_testz00_27277;

								{	/* Eval/evaluate_comp.scm 1116 */
									int BgL_arg1909z00_10581;

									BgL_arg1909z00_10581 = VECTOR_LENGTH(BgL_sz00_3321);
									BgL_testz00_27277 =
										(
										((long) CINT(BgL_bpz00_3322) +
											BgL_siza7ezd2framez75_15537) <
										(long) (BgL_arg1909z00_10581));
								}
								if (BgL_testz00_27277)
									{	/* Eval/evaluate_comp.scm 1116 */
										obj_t BgL_val1283z00_3324;

										BgL_val1283z00_3324 =
											BGl_zc3exitza33064ze3z83zz__evaluate_compz00
											(BgL_bpz00_3322, BgL_sz00_3321, BgL_runz00_15536);
										VECTOR_SET(BgL_sz00_3321, (int) (((long) 0)),
											BgL_bpz00_3322);
										if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
												(BgL_val1283z00_3324)))
											{	/* Eval/evaluate_comp.scm 1116 */
												return
													BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
													(BgL_val1283z00_3324), CDR(BgL_val1283z00_3324));
											}
										else
											{	/* Eval/evaluate_comp.scm 1116 */
												return BgL_val1283z00_3324;
											}
									}
								else
									{	/* Eval/evaluate_comp.scm 1116 */
										obj_t BgL_nsz00_3331;

										BgL_nsz00_3331 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_3331,
											(int) (((long) 1)), BgL_sz00_3321);
										{	/* Eval/evaluate_comp.scm 1116 */
											obj_t BgL_auxz00_27295;

											BgL_auxz00_27295 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_27295, BgL_nsz00_3331);
										}
										{	/* Eval/evaluate_comp.scm 1116 */
											obj_t BgL_val1286z00_3333;

											BgL_val1286z00_3333 =
												BGl_zc3exitza33070ze3z83zz__evaluate_compz00
												(BgL_nsz00_3331, BgL_runz00_15536);
											{	/* Eval/evaluate_comp.scm 1116 */
												obj_t BgL_auxz00_27299;

												BgL_auxz00_27299 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_EVSTATE_SET(BgL_auxz00_27299, BgL_sz00_3321);
											}
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1286z00_3333)))
												{	/* Eval/evaluate_comp.scm 1116 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1286z00_3333), CDR(BgL_val1286z00_3333));
												}
											else
												{	/* Eval/evaluate_comp.scm 1116 */
													return BgL_val1286z00_3333;
												}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:3070> */
	obj_t BGl_zc3exitza33070ze3z83zz__evaluate_compz00(obj_t BgL_nsz00_15929,
		obj_t BgL_runz00_15928)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1116 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1287z00_3339;

			if (SET_EXIT(BgL_an_exit1287z00_3339))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1287z00_3339 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1116 */

						PUSH_EXIT(BgL_an_exit1287z00_3339, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1116 */
							obj_t BgL_val1288z00_3340;

							BgL_val1288z00_3340 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_15928,
								BgL_nsz00_15929, BINT(((long) 2)));
							POP_EXIT();
							return BgL_val1288z00_3340;
						}
					}
				}
		}
	}



/* <exit:3064> */
	obj_t BGl_zc3exitza33064ze3z83zz__evaluate_compz00(obj_t BgL_bpz00_15932,
		obj_t BgL_sz00_15931, obj_t BgL_runz00_15930)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1116 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1284z00_3329;

			if (SET_EXIT(BgL_an_exit1284z00_3329))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1284z00_3329 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1116 */

						PUSH_EXIT(BgL_an_exit1284z00_3329, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1116 */
							obj_t BgL_val1285z00_3330;

							BgL_val1285z00_3330 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_15930,
								BgL_sz00_15931, BgL_bpz00_15932);
							POP_EXIT();
							return BgL_val1285z00_3330;
						}
					}
				}
		}
	}



/* &run5527 */
	obj_t BGl_z62run5527z62zz__evaluate_compz00(obj_t BgL_envz00_15538,
		obj_t BgL_sz00_15542)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1116 */
			{	/* Eval/evaluate_comp.scm 1116 */
				obj_t BgL_iboxesz00_15539;
				BgL_ev_absz00_bglt BgL_i1250z00_15540;
				obj_t BgL_bodyz00_15541;

				BgL_iboxesz00_15539 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15538, (int) (((long) 0))));
				BgL_i1250z00_15540 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_15538, (int) (((long) 1))));
				BgL_bodyz00_15541 = PROCEDURE_REF(BgL_envz00_15538, (int) (((long) 2)));
				{
					obj_t BgL_sz00_3342;

					BgL_sz00_3342 = BgL_sz00_15542;
					{	/* Eval/evaluate_comp.scm 1116 */
						obj_t BgL_bpz00_3344;

						BgL_bpz00_3344 = VECTOR_REF(BgL_sz00_3342, (int) (((long) 0)));
						BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_3342,
							BgL_iboxesz00_15539, BgL_bpz00_3344);
						{	/* Eval/evaluate_comp.scm 1116 */
							obj_t BgL_z12denvz12_3345;
							obj_t BgL_wherez00_3346;
							obj_t BgL_locz00_3347;

							BgL_z12denvz12_3345 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_3346 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_15540))->BgL_wherez00);
							BgL_locz00_3347 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_15540))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1116 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_3345, BgL_wherez00_3346,
									BgL_locz00_3347);
								{	/* Eval/evaluate_comp.scm 1116 */
									obj_t BgL_za2za2resza2za2z00_3348;

									BgL_za2za2resza2za2z00_3348 =
										PROCEDURE_ENTRY(BgL_bodyz00_15541) (BgL_bodyz00_15541,
										BgL_sz00_3342, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_3345);
									return BgL_za2za2resza2za2z00_3348;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3074> */
	obj_t BGl_z62zc3anonymousza33074ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15543, obj_t BgL_sz00_15549)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1116 */
			{	/* Eval/evaluate_comp.scm 1116 */
				obj_t BgL_ifreesz00_15544;
				long BgL_siza7eza7_15545;
				BgL_ev_absz00_bglt BgL_i1250z00_15546;
				obj_t BgL_bodyz00_15547;
				long BgL_siza7ezd2framez75_15548;

				BgL_ifreesz00_15544 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15543, (int) (((long) 0))));
				BgL_siza7eza7_15545 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15543, (int) (((long) 1))));
				BgL_i1250z00_15546 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_15543, (int) (((long) 2))));
				BgL_bodyz00_15547 = PROCEDURE_REF(BgL_envz00_15543, (int) (((long) 3)));
				BgL_siza7ezd2framez75_15548 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15543, (int) (((long) 4))));
				{
					obj_t BgL_sz00_3352;

					BgL_sz00_3352 = BgL_sz00_15549;
					{	/* Eval/evaluate_comp.scm 1116 */
						obj_t BgL_bpz00_3354;

						BgL_bpz00_3354 = VECTOR_REF(BgL_sz00_3352, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1116 */
							obj_t BgL_valza2za2_3355;

							BgL_valza2za2_3355 =
								BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_3352,
								BgL_bpz00_3354, BgL_ifreesz00_15544);
							{	/* Eval/evaluate_comp.scm 1116 */
								obj_t BgL_runz00_14556;

								BgL_runz00_14556 =
									MAKE_FX_PROCEDURE(BGl_z62run5529z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 4)));
								PROCEDURE_SET(BgL_runz00_14556,
									(int) (((long) 0)), BINT(BgL_siza7eza7_15545));
								PROCEDURE_SET(BgL_runz00_14556,
									(int) (((long) 1)), BgL_valza2za2_3355);
								PROCEDURE_SET(BgL_runz00_14556,
									(int) (((long) 2)), ((obj_t) BgL_i1250z00_15546));
								PROCEDURE_SET(BgL_runz00_14556,
									(int) (((long) 3)), BgL_bodyz00_15547);
								{	/* Eval/evaluate_comp.scm 1116 */
									obj_t BgL_mainz00_14557;

									BgL_mainz00_14557 =
										MAKE_FX_PROCEDURE(BGl_z62main5528z62zz__evaluate_compz00,
										(int) (((long) 0)), (int) (((long) 6)));
									PROCEDURE_SET(BgL_mainz00_14557,
										(int) (((long) 0)), BINT(BgL_siza7eza7_15545));
									PROCEDURE_SET(BgL_mainz00_14557,
										(int) (((long) 1)), BgL_valza2za2_3355);
									PROCEDURE_SET(BgL_mainz00_14557,
										(int) (((long) 2)), ((obj_t) BgL_i1250z00_15546));
									PROCEDURE_SET(BgL_mainz00_14557,
										(int) (((long) 3)), BgL_bodyz00_15547);
									PROCEDURE_SET(BgL_mainz00_14557,
										(int) (((long) 4)), BgL_runz00_14556);
									PROCEDURE_SET(BgL_mainz00_14557,
										(int) (((long) 5)), BINT(BgL_siza7ezd2framez75_15548));
									{	/* Eval/evaluate_comp.scm 1116 */
										obj_t BgL_objz00_10663;

										BgL_objz00_10663 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_14556, BgL_objz00_10663);
										BgL_objz00_10663;
									}
									{	/* Eval/evaluate_comp.scm 1116 */
										obj_t BgL_arg3075z00_3358;

										{	/* Eval/evaluate_comp.scm 1116 */
											obj_t BgL_arg3076z00_3359;

											BgL_arg3076z00_3359 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_15546))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1116 */
												obj_t BgL_newz00_10667;

												BgL_newz00_10667 =
													create_struct(BGl_symbol5569z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 1116 */
													int BgL_auxz00_27391;

													BgL_auxz00_27391 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_10667, BgL_auxz00_27391,
														BgL_arg3076z00_3359);
												}
												{	/* Eval/evaluate_comp.scm 1116 */
													obj_t BgL_auxz00_27396;
													int BgL_auxz00_27394;

													BgL_auxz00_27396 = BINT(BgL_siza7ezd2framez75_15548);
													BgL_auxz00_27394 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_10667, BgL_auxz00_27394,
														BgL_auxz00_27396);
												}
												{	/* Eval/evaluate_comp.scm 1116 */
													int BgL_auxz00_27399;

													BgL_auxz00_27399 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_10667, BgL_auxz00_27399,
														BgL_runz00_14556);
												}
												{	/* Eval/evaluate_comp.scm 1116 */
													obj_t BgL_auxz00_27404;
													int BgL_auxz00_27402;

													BgL_auxz00_27404 = BINT(((long) 0));
													BgL_auxz00_27402 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_10667, BgL_auxz00_27402,
														BgL_auxz00_27404);
												}
												BgL_arg3075z00_3358 = BgL_newz00_10667;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_14557, BgL_arg3075z00_3358);
										BgL_arg3075z00_3358;
									}
									return BgL_mainz00_14557;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main5528 */
	obj_t BGl_z62main5528z62zz__evaluate_compz00(obj_t BgL_envz00_15550)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1116 */
			{	/* Eval/evaluate_comp.scm 1116 */
				obj_t BgL_runz00_15555;
				long BgL_siza7ezd2framez75_15556;

				BgL_runz00_15555 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15550, (int) (((long) 4))));
				BgL_siza7ezd2framez75_15556 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15550, (int) (((long) 5))));
				{

					{	/* Eval/evaluate_comp.scm 1116 */
						obj_t BgL_sz00_3361;

						BgL_sz00_3361 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1116 */
							obj_t BgL_bpz00_3362;

							BgL_bpz00_3362 = VECTOR_REF(BgL_sz00_3361, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1116 */
								bool_t BgL_testz00_27417;

								{	/* Eval/evaluate_comp.scm 1116 */
									int BgL_arg1909z00_10643;

									BgL_arg1909z00_10643 = VECTOR_LENGTH(BgL_sz00_3361);
									BgL_testz00_27417 =
										(
										((long) CINT(BgL_bpz00_3362) +
											BgL_siza7ezd2framez75_15556) <
										(long) (BgL_arg1909z00_10643));
								}
								if (BgL_testz00_27417)
									{	/* Eval/evaluate_comp.scm 1116 */
										obj_t BgL_val1289z00_3364;

										BgL_val1289z00_3364 =
											BGl_zc3exitza33082ze3z83zz__evaluate_compz00
											(BgL_bpz00_3362, BgL_sz00_3361, BgL_runz00_15555);
										VECTOR_SET(BgL_sz00_3361, (int) (((long) 0)),
											BgL_bpz00_3362);
										if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
												(BgL_val1289z00_3364)))
											{	/* Eval/evaluate_comp.scm 1116 */
												return
													BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
													(BgL_val1289z00_3364), CDR(BgL_val1289z00_3364));
											}
										else
											{	/* Eval/evaluate_comp.scm 1116 */
												return BgL_val1289z00_3364;
											}
									}
								else
									{	/* Eval/evaluate_comp.scm 1116 */
										obj_t BgL_nsz00_3371;

										BgL_nsz00_3371 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_3371,
											(int) (((long) 1)), BgL_sz00_3361);
										{	/* Eval/evaluate_comp.scm 1116 */
											obj_t BgL_auxz00_27435;

											BgL_auxz00_27435 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_27435, BgL_nsz00_3371);
										}
										{	/* Eval/evaluate_comp.scm 1116 */
											obj_t BgL_val1292z00_3373;

											BgL_val1292z00_3373 =
												BGl_zc3exitza33088ze3z83zz__evaluate_compz00
												(BgL_nsz00_3371, BgL_runz00_15555);
											{	/* Eval/evaluate_comp.scm 1116 */
												obj_t BgL_auxz00_27439;

												BgL_auxz00_27439 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_EVSTATE_SET(BgL_auxz00_27439, BgL_sz00_3361);
											}
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1292z00_3373)))
												{	/* Eval/evaluate_comp.scm 1116 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1292z00_3373), CDR(BgL_val1292z00_3373));
												}
											else
												{	/* Eval/evaluate_comp.scm 1116 */
													return BgL_val1292z00_3373;
												}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:3088> */
	obj_t BGl_zc3exitza33088ze3z83zz__evaluate_compz00(obj_t BgL_nsz00_15924,
		obj_t BgL_runz00_15923)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1116 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1293z00_3379;

			if (SET_EXIT(BgL_an_exit1293z00_3379))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1293z00_3379 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1116 */

						PUSH_EXIT(BgL_an_exit1293z00_3379, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1116 */
							obj_t BgL_val1294z00_3380;

							BgL_val1294z00_3380 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_15923,
								BgL_nsz00_15924, BINT(((long) 2)));
							POP_EXIT();
							return BgL_val1294z00_3380;
						}
					}
				}
		}
	}



/* <exit:3082> */
	obj_t BGl_zc3exitza33082ze3z83zz__evaluate_compz00(obj_t BgL_bpz00_15927,
		obj_t BgL_sz00_15926, obj_t BgL_runz00_15925)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1116 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1290z00_3369;

			if (SET_EXIT(BgL_an_exit1290z00_3369))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1290z00_3369 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1116 */

						PUSH_EXIT(BgL_an_exit1290z00_3369, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1116 */
							obj_t BgL_val1291z00_3370;

							BgL_val1291z00_3370 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_15925,
								BgL_sz00_15926, BgL_bpz00_15927);
							POP_EXIT();
							return BgL_val1291z00_3370;
						}
					}
				}
		}
	}



/* &run5529 */
	obj_t BGl_z62run5529z62zz__evaluate_compz00(obj_t BgL_envz00_15557,
		obj_t BgL_sz00_15562)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1116 */
			{	/* Eval/evaluate_comp.scm 1116 */
				long BgL_siza7eza7_15558;
				obj_t BgL_valza2za2_15559;
				BgL_ev_absz00_bglt BgL_i1250z00_15560;
				obj_t BgL_bodyz00_15561;

				BgL_siza7eza7_15558 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15557, (int) (((long) 0))));
				BgL_valza2za2_15559 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15557, (int) (((long) 1))));
				BgL_i1250z00_15560 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_15557, (int) (((long) 2))));
				BgL_bodyz00_15561 = PROCEDURE_REF(BgL_envz00_15557, (int) (((long) 3)));
				{
					obj_t BgL_sz00_3382;

					BgL_sz00_3382 = BgL_sz00_15562;
					{	/* Eval/evaluate_comp.scm 1116 */
						obj_t BgL_bpz00_3384;

						BgL_bpz00_3384 = VECTOR_REF(BgL_sz00_3382, (int) (((long) 0)));
						BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_3382,
							BgL_valza2za2_15559,
							((long) CINT(BgL_bpz00_3384) + BgL_siza7eza7_15558));
						{	/* Eval/evaluate_comp.scm 1036 */
							obj_t BgL_z12denvz12_3386;
							obj_t BgL_wherez00_3387;
							obj_t BgL_locz00_3388;

							BgL_z12denvz12_3386 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_3387 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_15560))->BgL_wherez00);
							BgL_locz00_3388 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_15560))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1036 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_3386, BgL_wherez00_3387,
									BgL_locz00_3388);
								{	/* Eval/evaluate_comp.scm 1036 */
									obj_t BgL_za2za2resza2za2z00_3389;

									BgL_za2za2resza2za2z00_3389 =
										PROCEDURE_ENTRY(BgL_bodyz00_15561) (BgL_bodyz00_15561,
										BgL_sz00_3382, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_3386);
									return BgL_za2za2resza2za2z00_3389;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3091> */
	obj_t BGl_z62zc3anonymousza33091ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15563, obj_t BgL_sz00_15570)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1116 */
			{	/* Eval/evaluate_comp.scm 1116 */
				obj_t BgL_ifreesz00_15564;
				obj_t BgL_iboxesz00_15565;
				long BgL_siza7eza7_15566;
				BgL_ev_absz00_bglt BgL_i1250z00_15567;
				obj_t BgL_bodyz00_15568;
				long BgL_siza7ezd2framez75_15569;

				BgL_ifreesz00_15564 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15563, (int) (((long) 0))));
				BgL_iboxesz00_15565 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15563, (int) (((long) 1))));
				BgL_siza7eza7_15566 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15563, (int) (((long) 2))));
				BgL_i1250z00_15567 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_15563, (int) (((long) 3))));
				BgL_bodyz00_15568 = PROCEDURE_REF(BgL_envz00_15563, (int) (((long) 4)));
				BgL_siza7ezd2framez75_15569 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15563, (int) (((long) 5))));
				{
					obj_t BgL_sz00_3391;

					BgL_sz00_3391 = BgL_sz00_15570;
					{	/* Eval/evaluate_comp.scm 1116 */
						obj_t BgL_bpz00_3393;

						BgL_bpz00_3393 = VECTOR_REF(BgL_sz00_3391, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1116 */
							obj_t BgL_valza2za2_3394;

							BgL_valza2za2_3394 =
								BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_3391,
								BgL_bpz00_3393, BgL_ifreesz00_15564);
							{	/* Eval/evaluate_comp.scm 1116 */
								obj_t BgL_runz00_14553;

								BgL_runz00_14553 =
									MAKE_FX_PROCEDURE(BGl_z62run5531z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 5)));
								PROCEDURE_SET(BgL_runz00_14553,
									(int) (((long) 0)), BgL_iboxesz00_15565);
								PROCEDURE_SET(BgL_runz00_14553,
									(int) (((long) 1)), BINT(BgL_siza7eza7_15566));
								PROCEDURE_SET(BgL_runz00_14553,
									(int) (((long) 2)), BgL_valza2za2_3394);
								PROCEDURE_SET(BgL_runz00_14553,
									(int) (((long) 3)), ((obj_t) BgL_i1250z00_15567));
								PROCEDURE_SET(BgL_runz00_14553,
									(int) (((long) 4)), BgL_bodyz00_15568);
								{	/* Eval/evaluate_comp.scm 1116 */
									obj_t BgL_mainz00_14554;

									BgL_mainz00_14554 =
										MAKE_FX_PROCEDURE(BGl_z62main5530z62zz__evaluate_compz00,
										(int) (((long) 0)), (int) (((long) 7)));
									PROCEDURE_SET(BgL_mainz00_14554,
										(int) (((long) 0)), BgL_iboxesz00_15565);
									PROCEDURE_SET(BgL_mainz00_14554,
										(int) (((long) 1)), BINT(BgL_siza7eza7_15566));
									PROCEDURE_SET(BgL_mainz00_14554,
										(int) (((long) 2)), BgL_valza2za2_3394);
									PROCEDURE_SET(BgL_mainz00_14554,
										(int) (((long) 3)), ((obj_t) BgL_i1250z00_15567));
									PROCEDURE_SET(BgL_mainz00_14554,
										(int) (((long) 4)), BgL_bodyz00_15568);
									PROCEDURE_SET(BgL_mainz00_14554,
										(int) (((long) 5)), BgL_runz00_14553);
									PROCEDURE_SET(BgL_mainz00_14554,
										(int) (((long) 6)), BINT(BgL_siza7ezd2framez75_15569));
									{	/* Eval/evaluate_comp.scm 1116 */
										obj_t BgL_objz00_10721;

										BgL_objz00_10721 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_14553, BgL_objz00_10721);
										BgL_objz00_10721;
									}
									{	/* Eval/evaluate_comp.scm 1116 */
										obj_t BgL_arg3092z00_3397;

										{	/* Eval/evaluate_comp.scm 1116 */
											obj_t BgL_arg3094z00_3398;

											BgL_arg3094z00_3398 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_15567))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1116 */
												obj_t BgL_newz00_10725;

												BgL_newz00_10725 =
													create_struct(BGl_symbol5569z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 1116 */
													int BgL_auxz00_27543;

													BgL_auxz00_27543 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_10725, BgL_auxz00_27543,
														BgL_arg3094z00_3398);
												}
												{	/* Eval/evaluate_comp.scm 1116 */
													obj_t BgL_auxz00_27548;
													int BgL_auxz00_27546;

													BgL_auxz00_27548 = BINT(BgL_siza7ezd2framez75_15569);
													BgL_auxz00_27546 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_10725, BgL_auxz00_27546,
														BgL_auxz00_27548);
												}
												{	/* Eval/evaluate_comp.scm 1116 */
													int BgL_auxz00_27551;

													BgL_auxz00_27551 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_10725, BgL_auxz00_27551,
														BgL_runz00_14553);
												}
												{	/* Eval/evaluate_comp.scm 1116 */
													obj_t BgL_auxz00_27556;
													int BgL_auxz00_27554;

													BgL_auxz00_27556 = BINT(((long) 0));
													BgL_auxz00_27554 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_10725, BgL_auxz00_27554,
														BgL_auxz00_27556);
												}
												BgL_arg3092z00_3397 = BgL_newz00_10725;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_14554, BgL_arg3092z00_3397);
										BgL_arg3092z00_3397;
									}
									return BgL_mainz00_14554;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main5530 */
	obj_t BGl_z62main5530z62zz__evaluate_compz00(obj_t BgL_envz00_15571)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1116 */
			{	/* Eval/evaluate_comp.scm 1116 */
				obj_t BgL_runz00_15577;
				long BgL_siza7ezd2framez75_15578;

				BgL_runz00_15577 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15571, (int) (((long) 5))));
				BgL_siza7ezd2framez75_15578 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15571, (int) (((long) 6))));
				{

					{	/* Eval/evaluate_comp.scm 1116 */
						obj_t BgL_sz00_3400;

						BgL_sz00_3400 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1116 */
							obj_t BgL_bpz00_3401;

							BgL_bpz00_3401 = VECTOR_REF(BgL_sz00_3400, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1116 */
								bool_t BgL_testz00_27569;

								{	/* Eval/evaluate_comp.scm 1116 */
									int BgL_arg1909z00_10701;

									BgL_arg1909z00_10701 = VECTOR_LENGTH(BgL_sz00_3400);
									BgL_testz00_27569 =
										(
										((long) CINT(BgL_bpz00_3401) +
											BgL_siza7ezd2framez75_15578) <
										(long) (BgL_arg1909z00_10701));
								}
								if (BgL_testz00_27569)
									{	/* Eval/evaluate_comp.scm 1116 */
										obj_t BgL_val1295z00_3403;

										BgL_val1295z00_3403 =
											BGl_zc3exitza33100ze3z83zz__evaluate_compz00
											(BgL_bpz00_3401, BgL_sz00_3400, BgL_runz00_15577);
										VECTOR_SET(BgL_sz00_3400, (int) (((long) 0)),
											BgL_bpz00_3401);
										if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
												(BgL_val1295z00_3403)))
											{	/* Eval/evaluate_comp.scm 1116 */
												return
													BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
													(BgL_val1295z00_3403), CDR(BgL_val1295z00_3403));
											}
										else
											{	/* Eval/evaluate_comp.scm 1116 */
												return BgL_val1295z00_3403;
											}
									}
								else
									{	/* Eval/evaluate_comp.scm 1116 */
										obj_t BgL_nsz00_3410;

										BgL_nsz00_3410 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_3410,
											(int) (((long) 1)), BgL_sz00_3400);
										{	/* Eval/evaluate_comp.scm 1116 */
											obj_t BgL_auxz00_27587;

											BgL_auxz00_27587 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_27587, BgL_nsz00_3410);
										}
										{	/* Eval/evaluate_comp.scm 1116 */
											obj_t BgL_val1298z00_3412;

											BgL_val1298z00_3412 =
												BGl_zc3exitza33106ze3z83zz__evaluate_compz00
												(BgL_nsz00_3410, BgL_runz00_15577);
											{	/* Eval/evaluate_comp.scm 1116 */
												obj_t BgL_auxz00_27591;

												BgL_auxz00_27591 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_EVSTATE_SET(BgL_auxz00_27591, BgL_sz00_3400);
											}
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1298z00_3412)))
												{	/* Eval/evaluate_comp.scm 1116 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1298z00_3412), CDR(BgL_val1298z00_3412));
												}
											else
												{	/* Eval/evaluate_comp.scm 1116 */
													return BgL_val1298z00_3412;
												}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:3106> */
	obj_t BGl_zc3exitza33106ze3z83zz__evaluate_compz00(obj_t BgL_nsz00_15919,
		obj_t BgL_runz00_15918)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1116 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1299z00_3418;

			if (SET_EXIT(BgL_an_exit1299z00_3418))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1299z00_3418 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1116 */

						PUSH_EXIT(BgL_an_exit1299z00_3418, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1116 */
							obj_t BgL_val1300z00_3419;

							BgL_val1300z00_3419 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_15918,
								BgL_nsz00_15919, BINT(((long) 2)));
							POP_EXIT();
							return BgL_val1300z00_3419;
						}
					}
				}
		}
	}



/* <exit:3100> */
	obj_t BGl_zc3exitza33100ze3z83zz__evaluate_compz00(obj_t BgL_bpz00_15922,
		obj_t BgL_sz00_15921, obj_t BgL_runz00_15920)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1116 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1296z00_3408;

			if (SET_EXIT(BgL_an_exit1296z00_3408))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1296z00_3408 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1116 */

						PUSH_EXIT(BgL_an_exit1296z00_3408, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1116 */
							obj_t BgL_val1297z00_3409;

							BgL_val1297z00_3409 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_15920,
								BgL_sz00_15921, BgL_bpz00_15922);
							POP_EXIT();
							return BgL_val1297z00_3409;
						}
					}
				}
		}
	}



/* &run5531 */
	obj_t BGl_z62run5531z62zz__evaluate_compz00(obj_t BgL_envz00_15579,
		obj_t BgL_sz00_15585)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1116 */
			{	/* Eval/evaluate_comp.scm 1116 */
				obj_t BgL_iboxesz00_15580;
				long BgL_siza7eza7_15581;
				obj_t BgL_valza2za2_15582;
				BgL_ev_absz00_bglt BgL_i1250z00_15583;
				obj_t BgL_bodyz00_15584;

				BgL_iboxesz00_15580 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15579, (int) (((long) 0))));
				BgL_siza7eza7_15581 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15579, (int) (((long) 1))));
				BgL_valza2za2_15582 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15579, (int) (((long) 2))));
				BgL_i1250z00_15583 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_15579, (int) (((long) 3))));
				BgL_bodyz00_15584 = PROCEDURE_REF(BgL_envz00_15579, (int) (((long) 4)));
				{
					obj_t BgL_sz00_3421;

					BgL_sz00_3421 = BgL_sz00_15585;
					{	/* Eval/evaluate_comp.scm 1116 */
						obj_t BgL_bpz00_3423;

						BgL_bpz00_3423 = VECTOR_REF(BgL_sz00_3421, (int) (((long) 0)));
						BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_3421,
							BgL_iboxesz00_15580, BgL_bpz00_3423);
						BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_3421,
							BgL_valza2za2_15582,
							((long) CINT(BgL_bpz00_3423) + BgL_siza7eza7_15581));
						{	/* Eval/evaluate_comp.scm 1036 */
							obj_t BgL_z12denvz12_3425;
							obj_t BgL_wherez00_3426;
							obj_t BgL_locz00_3427;

							BgL_z12denvz12_3425 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_3426 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_15583))->BgL_wherez00);
							BgL_locz00_3427 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_15583))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1036 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_3425, BgL_wherez00_3426,
									BgL_locz00_3427);
								{	/* Eval/evaluate_comp.scm 1036 */
									obj_t BgL_za2za2resza2za2z00_3428;

									BgL_za2za2resza2za2z00_3428 =
										PROCEDURE_ENTRY(BgL_bodyz00_15584) (BgL_bodyz00_15584,
										BgL_sz00_3421, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_3425);
									return BgL_za2za2resza2za2z00_3428;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3863> */
	obj_t BGl_z62zc3anonymousza33863ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15586, obj_t BgL_sz00_15590)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1116 */
			{	/* Eval/evaluate_comp.scm 1116 */
				BgL_ev_absz00_bglt BgL_i1250z00_15587;
				obj_t BgL_bodyz00_15588;
				long BgL_siza7ezd2framez75_15589;

				BgL_i1250z00_15587 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_15586, (int) (((long) 0))));
				BgL_bodyz00_15588 = PROCEDURE_REF(BgL_envz00_15586, (int) (((long) 1)));
				BgL_siza7ezd2framez75_15589 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15586, (int) (((long) 2))));
				{
					obj_t BgL_sz00_5056;

					BgL_sz00_5056 = BgL_sz00_15590;
					{	/* Eval/evaluate_comp.scm 1116 */
						obj_t BgL_bpz00_5058;

						BgL_bpz00_5058 = VECTOR_REF(BgL_sz00_5056, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1116 */

							{	/* Eval/evaluate_comp.scm 1116 */
								obj_t BgL_runz00_14682;

								BgL_runz00_14682 =
									MAKE_FX_PROCEDURE(BGl_z62run5533z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 2)));
								PROCEDURE_SET(BgL_runz00_14682,
									(int) (((long) 0)), ((obj_t) BgL_i1250z00_15587));
								PROCEDURE_SET(BgL_runz00_14682,
									(int) (((long) 1)), BgL_bodyz00_15588);
								{	/* Eval/evaluate_comp.scm 1116 */
									obj_t BgL_mainz00_14683;

									BgL_mainz00_14683 =
										MAKE_VA_PROCEDURE(BGl_z62main5532z62zz__evaluate_compz00,
										(int) (((long) -5)), (int) (((long) 4)));
									PROCEDURE_SET(BgL_mainz00_14683,
										(int) (((long) 0)), BgL_bodyz00_15588);
									PROCEDURE_SET(BgL_mainz00_14683,
										(int) (((long) 1)), ((obj_t) BgL_i1250z00_15587));
									PROCEDURE_SET(BgL_mainz00_14683,
										(int) (((long) 2)), BgL_runz00_14682);
									PROCEDURE_SET(BgL_mainz00_14683,
										(int) (((long) 3)), BINT(BgL_siza7ezd2framez75_15589));
									{	/* Eval/evaluate_comp.scm 1116 */
										obj_t BgL_objz00_10119;

										BgL_objz00_10119 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_14682, BgL_objz00_10119);
										BgL_objz00_10119;
									}
									{	/* Eval/evaluate_comp.scm 1116 */
										obj_t BgL_arg3864z00_5061;

										{	/* Eval/evaluate_comp.scm 1116 */
											obj_t BgL_arg3865z00_5062;
											obj_t BgL_arg3866z00_5063;

											BgL_arg3865z00_5062 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_15587))->
												BgL_arityz00);
											BgL_arg3866z00_5063 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_15587))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1116 */
												obj_t BgL_newz00_10123;

												BgL_newz00_10123 =
													create_struct(BGl_symbol5569z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 1116 */
													int BgL_auxz00_27676;

													BgL_auxz00_27676 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_10123, BgL_auxz00_27676,
														BgL_arg3866z00_5063);
												}
												{	/* Eval/evaluate_comp.scm 1116 */
													obj_t BgL_auxz00_27681;
													int BgL_auxz00_27679;

													BgL_auxz00_27681 = BINT(BgL_siza7ezd2framez75_15589);
													BgL_auxz00_27679 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_10123, BgL_auxz00_27679,
														BgL_auxz00_27681);
												}
												{	/* Eval/evaluate_comp.scm 1116 */
													int BgL_auxz00_27684;

													BgL_auxz00_27684 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_10123, BgL_auxz00_27684,
														BgL_runz00_14682);
												}
												{	/* Eval/evaluate_comp.scm 1116 */
													int BgL_auxz00_27687;

													BgL_auxz00_27687 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_10123, BgL_auxz00_27687,
														BgL_arg3865z00_5062);
												}
												BgL_arg3864z00_5061 = BgL_newz00_10123;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_14683, BgL_arg3864z00_5061);
										BgL_arg3864z00_5061;
									}
									return BgL_mainz00_14683;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main5532 */
	obj_t BGl_z62main5532z62zz__evaluate_compz00(obj_t BgL_envz00_15591,
		obj_t BgL_az00_15596, obj_t BgL_bz00_15597, obj_t BgL_cz00_15598,
		obj_t BgL_dz00_15599, obj_t BgL_restz00_15600)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1116 */
			{	/* Eval/evaluate_comp.scm 1116 */
				BgL_ev_absz00_bglt BgL_i1250z00_15593;
				obj_t BgL_runz00_15594;
				long BgL_siza7ezd2framez75_15595;

				BgL_i1250z00_15593 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_15591, (int) (((long) 1))));
				BgL_runz00_15594 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15591, (int) (((long) 2))));
				BgL_siza7ezd2framez75_15595 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15591, (int) (((long) 3))));
				{
					obj_t BgL_az00_5064;
					obj_t BgL_bz00_5065;
					obj_t BgL_cz00_5066;
					obj_t BgL_dz00_5067;
					obj_t BgL_restz00_5068;

					BgL_az00_5064 = BgL_az00_15596;
					BgL_bz00_5065 = BgL_bz00_15597;
					BgL_cz00_5066 = BgL_cz00_15598;
					BgL_dz00_5067 = BgL_dz00_15599;
					BgL_restz00_5068 = BgL_restz00_15600;
					{	/* Eval/evaluate_comp.scm 1116 */
						obj_t BgL_sz00_5070;

						BgL_sz00_5070 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1116 */
							obj_t BgL_bpz00_5071;

							BgL_bpz00_5071 = VECTOR_REF(BgL_sz00_5070, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1116 */
								bool_t BgL_testz00_27703;

								{	/* Eval/evaluate_comp.scm 1116 */
									int BgL_arg1909z00_10036;

									BgL_arg1909z00_10036 = VECTOR_LENGTH(BgL_sz00_5070);
									BgL_testz00_27703 =
										(
										((long) CINT(BgL_bpz00_5071) +
											BgL_siza7ezd2framez75_15595) <
										(long) (BgL_arg1909z00_10036));
								}
								if (BgL_testz00_27703)
									{	/* Eval/evaluate_comp.scm 1116 */
										{	/* Eval/evaluate_comp.scm 1116 */
											long BgL_arg3869z00_5073;

											BgL_arg3869z00_5073 =
												((long) CINT(BgL_bpz00_5071) + ((long) 0));
											VECTOR_SET(BgL_sz00_5070,
												(int) (BgL_arg3869z00_5073), BgL_az00_5064);
										}
										{	/* Eval/evaluate_comp.scm 1116 */
											long BgL_arg3870z00_5074;

											BgL_arg3870z00_5074 =
												((long) CINT(BgL_bpz00_5071) + ((long) 1));
											VECTOR_SET(BgL_sz00_5070,
												(int) (BgL_arg3870z00_5074), BgL_bz00_5065);
										}
										{	/* Eval/evaluate_comp.scm 1116 */
											long BgL_arg3871z00_5075;

											BgL_arg3871z00_5075 =
												((long) CINT(BgL_bpz00_5071) + ((long) 2));
											VECTOR_SET(BgL_sz00_5070,
												(int) (BgL_arg3871z00_5075), BgL_cz00_5066);
										}
										{	/* Eval/evaluate_comp.scm 1116 */
											long BgL_arg3872z00_5076;

											BgL_arg3872z00_5076 =
												((long) CINT(BgL_bpz00_5071) + ((long) 3));
											VECTOR_SET(BgL_sz00_5070,
												(int) (BgL_arg3872z00_5076), BgL_dz00_5067);
										}
										{	/* Eval/evaluate_comp.scm 1116 */
											obj_t BgL_arg3873z00_5077;
											long BgL_arg3874z00_5078;
											long BgL_arg3875z00_5079;
											obj_t BgL_arg3876z00_5080;

											BgL_arg3873z00_5077 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_15593))->
												BgL_wherez00);
											BgL_arg3874z00_5078 =
												((long) CINT(BgL_bpz00_5071) + ((long) 4));
											{	/* Eval/evaluate_comp.scm 1116 */
												obj_t BgL_nz00_10071;

												BgL_nz00_10071 =
													(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_15593))->
													BgL_arityz00);
												if (((long) CINT(BgL_nz00_10071) < ((long) 0)))
													{	/* Eval/evaluate_comp.scm 1116 */
														BgL_arg3875z00_5079 =
															((long) CINT(BgL_nz00_10071) + ((long) 4));
													}
												else
													{	/* Eval/evaluate_comp.scm 1116 */
														BgL_arg3875z00_5079 =
															((long) CINT(BgL_nz00_10071) - ((long) 4));
											}}
											BgL_arg3876z00_5080 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_15593))->
												BgL_locz00);
											BGl_bindzd2framezd2zz__evaluate_compz00(BgL_sz00_5070,
												BgL_arg3873z00_5077, BgL_arg3874z00_5078,
												BgL_arg3875z00_5079, BgL_restz00_5068,
												BgL_arg3876z00_5080);
										}
										{	/* Eval/evaluate_comp.scm 1116 */
											obj_t BgL_val1251z00_5082;

											BgL_val1251z00_5082 =
												BGl_zc3exitza33881ze3z83zz__evaluate_compz00
												(BgL_bpz00_5071, BgL_sz00_5070, BgL_runz00_15594);
											VECTOR_SET(BgL_sz00_5070, (int) (((long) 0)),
												BgL_bpz00_5071);
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1251z00_5082)))
												{	/* Eval/evaluate_comp.scm 1116 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1251z00_5082), CDR(BgL_val1251z00_5082));
												}
											else
												{	/* Eval/evaluate_comp.scm 1116 */
													return BgL_val1251z00_5082;
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1116 */
										obj_t BgL_nsz00_5089;

										BgL_nsz00_5089 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_5089,
											(int) (((long) 1)), BgL_sz00_5070);
										VECTOR_SET(BgL_nsz00_5089,
											(int) (((long) 2)), BgL_az00_5064);
										VECTOR_SET(BgL_nsz00_5089,
											(int) (((long) 3)), BgL_bz00_5065);
										VECTOR_SET(BgL_nsz00_5089,
											(int) (((long) 4)), BgL_cz00_5066);
										VECTOR_SET(BgL_nsz00_5089,
											(int) (((long) 5)), BgL_dz00_5067);
										{	/* Eval/evaluate_comp.scm 1116 */
											obj_t BgL_arg3882z00_5090;
											long BgL_arg3883z00_5091;
											obj_t BgL_arg3884z00_5092;

											BgL_arg3882z00_5090 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_15593))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1116 */
												obj_t BgL_nz00_10103;

												BgL_nz00_10103 =
													(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_15593))->
													BgL_arityz00);
												if (((long) CINT(BgL_nz00_10103) < ((long) 0)))
													{	/* Eval/evaluate_comp.scm 1116 */
														BgL_arg3883z00_5091 =
															((long) CINT(BgL_nz00_10103) + ((long) 4));
													}
												else
													{	/* Eval/evaluate_comp.scm 1116 */
														BgL_arg3883z00_5091 =
															((long) CINT(BgL_nz00_10103) - ((long) 4));
											}}
											BgL_arg3884z00_5092 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_15593))->
												BgL_locz00);
											BGl_bindzd2framezd2zz__evaluate_compz00(BgL_nsz00_5089,
												BgL_arg3882z00_5090, ((long) 6), BgL_arg3883z00_5091,
												BgL_restz00_5068, BgL_arg3884z00_5092);
										}
										{	/* Eval/evaluate_comp.scm 1116 */
											obj_t BgL_auxz00_27769;

											BgL_auxz00_27769 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_27769, BgL_nsz00_5089);
										}
										{	/* Eval/evaluate_comp.scm 1116 */
											obj_t BgL_val1254z00_5095;

											BgL_val1254z00_5095 =
												BGl_zc3exitza33891ze3z83zz__evaluate_compz00
												(BgL_nsz00_5089, BgL_runz00_15594);
											{	/* Eval/evaluate_comp.scm 1116 */
												obj_t BgL_auxz00_27773;

												BgL_auxz00_27773 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_EVSTATE_SET(BgL_auxz00_27773, BgL_sz00_5070);
											}
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1254z00_5095)))
												{	/* Eval/evaluate_comp.scm 1116 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1254z00_5095), CDR(BgL_val1254z00_5095));
												}
											else
												{	/* Eval/evaluate_comp.scm 1116 */
													return BgL_val1254z00_5095;
												}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:3891> */
	obj_t BGl_zc3exitza33891ze3z83zz__evaluate_compz00(obj_t BgL_nsz00_15914,
		obj_t BgL_runz00_15913)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1116 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1255z00_5101;

			if (SET_EXIT(BgL_an_exit1255z00_5101))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1255z00_5101 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1116 */

						PUSH_EXIT(BgL_an_exit1255z00_5101, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1116 */
							obj_t BgL_val1256z00_5102;

							BgL_val1256z00_5102 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_15913,
								BgL_nsz00_15914, BINT(((long) 2)));
							POP_EXIT();
							return BgL_val1256z00_5102;
						}
					}
				}
		}
	}



/* <exit:3881> */
	obj_t BGl_zc3exitza33881ze3z83zz__evaluate_compz00(obj_t BgL_bpz00_15917,
		obj_t BgL_sz00_15916, obj_t BgL_runz00_15915)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1116 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1252z00_5087;

			if (SET_EXIT(BgL_an_exit1252z00_5087))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1252z00_5087 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1116 */

						PUSH_EXIT(BgL_an_exit1252z00_5087, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1116 */
							obj_t BgL_val1253z00_5088;

							BgL_val1253z00_5088 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_15915,
								BgL_sz00_15916, BgL_bpz00_15917);
							POP_EXIT();
							return BgL_val1253z00_5088;
						}
					}
				}
		}
	}



/* &run5533 */
	obj_t BGl_z62run5533z62zz__evaluate_compz00(obj_t BgL_envz00_15601,
		obj_t BgL_sz00_15604)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1116 */
			{	/* Eval/evaluate_comp.scm 1116 */
				BgL_ev_absz00_bglt BgL_i1250z00_15602;
				obj_t BgL_bodyz00_15603;

				BgL_i1250z00_15602 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_15601, (int) (((long) 0))));
				BgL_bodyz00_15603 = PROCEDURE_REF(BgL_envz00_15601, (int) (((long) 1)));
				{
					obj_t BgL_sz00_5104;

					BgL_sz00_5104 = BgL_sz00_15604;
					{	/* Eval/evaluate_comp.scm 1116 */
						obj_t BgL_bpz00_5106;

						BgL_bpz00_5106 = VECTOR_REF(BgL_sz00_5104, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1116 */
							obj_t BgL_z12denvz12_5107;
							obj_t BgL_wherez00_5108;
							obj_t BgL_locz00_5109;

							BgL_z12denvz12_5107 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_5108 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_15602))->BgL_wherez00);
							BgL_locz00_5109 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_15602))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1116 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_5107, BgL_wherez00_5108,
									BgL_locz00_5109);
								{	/* Eval/evaluate_comp.scm 1116 */
									obj_t BgL_za2za2resza2za2z00_5110;

									BgL_za2za2resza2za2z00_5110 =
										PROCEDURE_ENTRY(BgL_bodyz00_15603) (BgL_bodyz00_15603,
										BgL_sz00_5104, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_5107);
									return BgL_za2za2resza2za2z00_5110;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3893> */
	obj_t BGl_z62zc3anonymousza33893ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15605, obj_t BgL_sz00_15610)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1116 */
			{	/* Eval/evaluate_comp.scm 1116 */
				obj_t BgL_iboxesz00_15606;
				BgL_ev_absz00_bglt BgL_i1250z00_15607;
				obj_t BgL_bodyz00_15608;
				long BgL_siza7ezd2framez75_15609;

				BgL_iboxesz00_15606 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15605, (int) (((long) 0))));
				BgL_i1250z00_15607 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_15605, (int) (((long) 1))));
				BgL_bodyz00_15608 = PROCEDURE_REF(BgL_envz00_15605, (int) (((long) 2)));
				BgL_siza7ezd2framez75_15609 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15605, (int) (((long) 3))));
				{
					obj_t BgL_sz00_5112;

					BgL_sz00_5112 = BgL_sz00_15610;
					{	/* Eval/evaluate_comp.scm 1116 */
						obj_t BgL_bpz00_5114;

						BgL_bpz00_5114 = VECTOR_REF(BgL_sz00_5112, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1116 */

							{	/* Eval/evaluate_comp.scm 1116 */
								obj_t BgL_runz00_14679;

								BgL_runz00_14679 =
									MAKE_FX_PROCEDURE(BGl_z62run5535z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 3)));
								PROCEDURE_SET(BgL_runz00_14679,
									(int) (((long) 0)), BgL_iboxesz00_15606);
								PROCEDURE_SET(BgL_runz00_14679,
									(int) (((long) 1)), ((obj_t) BgL_i1250z00_15607));
								PROCEDURE_SET(BgL_runz00_14679,
									(int) (((long) 2)), BgL_bodyz00_15608);
								{	/* Eval/evaluate_comp.scm 1116 */
									obj_t BgL_mainz00_14680;

									BgL_mainz00_14680 =
										MAKE_VA_PROCEDURE(BGl_z62main5534z62zz__evaluate_compz00,
										(int) (((long) -5)), (int) (((long) 5)));
									PROCEDURE_SET(BgL_mainz00_14680,
										(int) (((long) 0)), BgL_iboxesz00_15606);
									PROCEDURE_SET(BgL_mainz00_14680,
										(int) (((long) 1)), BgL_bodyz00_15608);
									PROCEDURE_SET(BgL_mainz00_14680,
										(int) (((long) 2)), ((obj_t) BgL_i1250z00_15607));
									PROCEDURE_SET(BgL_mainz00_14680,
										(int) (((long) 3)), BgL_runz00_14679);
									PROCEDURE_SET(BgL_mainz00_14680,
										(int) (((long) 4)), BINT(BgL_siza7ezd2framez75_15609));
									{	/* Eval/evaluate_comp.scm 1116 */
										obj_t BgL_objz00_10237;

										BgL_objz00_10237 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_14679, BgL_objz00_10237);
										BgL_objz00_10237;
									}
									{	/* Eval/evaluate_comp.scm 1116 */
										obj_t BgL_arg3894z00_5117;

										{	/* Eval/evaluate_comp.scm 1116 */
											obj_t BgL_arg3895z00_5118;
											obj_t BgL_arg3896z00_5119;

											BgL_arg3895z00_5118 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_15607))->
												BgL_arityz00);
											BgL_arg3896z00_5119 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_15607))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1116 */
												obj_t BgL_newz00_10241;

												BgL_newz00_10241 =
													create_struct(BGl_symbol5569z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 1116 */
													int BgL_auxz00_27852;

													BgL_auxz00_27852 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_10241, BgL_auxz00_27852,
														BgL_arg3896z00_5119);
												}
												{	/* Eval/evaluate_comp.scm 1116 */
													obj_t BgL_auxz00_27857;
													int BgL_auxz00_27855;

													BgL_auxz00_27857 = BINT(BgL_siza7ezd2framez75_15609);
													BgL_auxz00_27855 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_10241, BgL_auxz00_27855,
														BgL_auxz00_27857);
												}
												{	/* Eval/evaluate_comp.scm 1116 */
													int BgL_auxz00_27860;

													BgL_auxz00_27860 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_10241, BgL_auxz00_27860,
														BgL_runz00_14679);
												}
												{	/* Eval/evaluate_comp.scm 1116 */
													int BgL_auxz00_27863;

													BgL_auxz00_27863 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_10241, BgL_auxz00_27863,
														BgL_arg3895z00_5118);
												}
												BgL_arg3894z00_5117 = BgL_newz00_10241;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_14680, BgL_arg3894z00_5117);
										BgL_arg3894z00_5117;
									}
									return BgL_mainz00_14680;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main5534 */
	obj_t BGl_z62main5534z62zz__evaluate_compz00(obj_t BgL_envz00_15611,
		obj_t BgL_az00_15617, obj_t BgL_bz00_15618, obj_t BgL_cz00_15619,
		obj_t BgL_dz00_15620, obj_t BgL_restz00_15621)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1116 */
			{	/* Eval/evaluate_comp.scm 1116 */
				BgL_ev_absz00_bglt BgL_i1250z00_15614;
				obj_t BgL_runz00_15615;
				long BgL_siza7ezd2framez75_15616;

				BgL_i1250z00_15614 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_15611, (int) (((long) 2))));
				BgL_runz00_15615 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15611, (int) (((long) 3))));
				BgL_siza7ezd2framez75_15616 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15611, (int) (((long) 4))));
				{
					obj_t BgL_az00_5120;
					obj_t BgL_bz00_5121;
					obj_t BgL_cz00_5122;
					obj_t BgL_dz00_5123;
					obj_t BgL_restz00_5124;

					BgL_az00_5120 = BgL_az00_15617;
					BgL_bz00_5121 = BgL_bz00_15618;
					BgL_cz00_5122 = BgL_cz00_15619;
					BgL_dz00_5123 = BgL_dz00_15620;
					BgL_restz00_5124 = BgL_restz00_15621;
					{	/* Eval/evaluate_comp.scm 1116 */
						obj_t BgL_sz00_5126;

						BgL_sz00_5126 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1116 */
							obj_t BgL_bpz00_5127;

							BgL_bpz00_5127 = VECTOR_REF(BgL_sz00_5126, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1116 */
								bool_t BgL_testz00_27879;

								{	/* Eval/evaluate_comp.scm 1116 */
									int BgL_arg1909z00_10154;

									BgL_arg1909z00_10154 = VECTOR_LENGTH(BgL_sz00_5126);
									BgL_testz00_27879 =
										(
										((long) CINT(BgL_bpz00_5127) +
											BgL_siza7ezd2framez75_15616) <
										(long) (BgL_arg1909z00_10154));
								}
								if (BgL_testz00_27879)
									{	/* Eval/evaluate_comp.scm 1116 */
										{	/* Eval/evaluate_comp.scm 1116 */
											long BgL_arg3899z00_5129;

											BgL_arg3899z00_5129 =
												((long) CINT(BgL_bpz00_5127) + ((long) 0));
											VECTOR_SET(BgL_sz00_5126,
												(int) (BgL_arg3899z00_5129), BgL_az00_5120);
										}
										{	/* Eval/evaluate_comp.scm 1116 */
											long BgL_arg3900z00_5130;

											BgL_arg3900z00_5130 =
												((long) CINT(BgL_bpz00_5127) + ((long) 1));
											VECTOR_SET(BgL_sz00_5126,
												(int) (BgL_arg3900z00_5130), BgL_bz00_5121);
										}
										{	/* Eval/evaluate_comp.scm 1116 */
											long BgL_arg3901z00_5131;

											BgL_arg3901z00_5131 =
												((long) CINT(BgL_bpz00_5127) + ((long) 2));
											VECTOR_SET(BgL_sz00_5126,
												(int) (BgL_arg3901z00_5131), BgL_cz00_5122);
										}
										{	/* Eval/evaluate_comp.scm 1116 */
											long BgL_arg3902z00_5132;

											BgL_arg3902z00_5132 =
												((long) CINT(BgL_bpz00_5127) + ((long) 3));
											VECTOR_SET(BgL_sz00_5126,
												(int) (BgL_arg3902z00_5132), BgL_dz00_5123);
										}
										{	/* Eval/evaluate_comp.scm 1116 */
											obj_t BgL_arg3903z00_5133;
											long BgL_arg3904z00_5134;
											long BgL_arg3905z00_5135;
											obj_t BgL_arg3906z00_5136;

											BgL_arg3903z00_5133 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_15614))->
												BgL_wherez00);
											BgL_arg3904z00_5134 =
												((long) CINT(BgL_bpz00_5127) + ((long) 4));
											{	/* Eval/evaluate_comp.scm 1116 */
												obj_t BgL_nz00_10189;

												BgL_nz00_10189 =
													(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_15614))->
													BgL_arityz00);
												if (((long) CINT(BgL_nz00_10189) < ((long) 0)))
													{	/* Eval/evaluate_comp.scm 1116 */
														BgL_arg3905z00_5135 =
															((long) CINT(BgL_nz00_10189) + ((long) 4));
													}
												else
													{	/* Eval/evaluate_comp.scm 1116 */
														BgL_arg3905z00_5135 =
															((long) CINT(BgL_nz00_10189) - ((long) 4));
											}}
											BgL_arg3906z00_5136 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_15614))->
												BgL_locz00);
											BGl_bindzd2framezd2zz__evaluate_compz00(BgL_sz00_5126,
												BgL_arg3903z00_5133, BgL_arg3904z00_5134,
												BgL_arg3905z00_5135, BgL_restz00_5124,
												BgL_arg3906z00_5136);
										}
										{	/* Eval/evaluate_comp.scm 1116 */
											obj_t BgL_val1257z00_5138;

											BgL_val1257z00_5138 =
												BGl_zc3exitza33911ze3z83zz__evaluate_compz00
												(BgL_bpz00_5127, BgL_sz00_5126, BgL_runz00_15615);
											VECTOR_SET(BgL_sz00_5126, (int) (((long) 0)),
												BgL_bpz00_5127);
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1257z00_5138)))
												{	/* Eval/evaluate_comp.scm 1116 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1257z00_5138), CDR(BgL_val1257z00_5138));
												}
											else
												{	/* Eval/evaluate_comp.scm 1116 */
													return BgL_val1257z00_5138;
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1116 */
										obj_t BgL_nsz00_5145;

										BgL_nsz00_5145 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_5145,
											(int) (((long) 1)), BgL_sz00_5126);
										VECTOR_SET(BgL_nsz00_5145,
											(int) (((long) 2)), BgL_az00_5120);
										VECTOR_SET(BgL_nsz00_5145,
											(int) (((long) 3)), BgL_bz00_5121);
										VECTOR_SET(BgL_nsz00_5145,
											(int) (((long) 4)), BgL_cz00_5122);
										VECTOR_SET(BgL_nsz00_5145,
											(int) (((long) 5)), BgL_dz00_5123);
										{	/* Eval/evaluate_comp.scm 1116 */
											obj_t BgL_arg3912z00_5146;
											long BgL_arg3913z00_5147;
											obj_t BgL_arg3914z00_5148;

											BgL_arg3912z00_5146 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_15614))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1116 */
												obj_t BgL_nz00_10221;

												BgL_nz00_10221 =
													(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_15614))->
													BgL_arityz00);
												if (((long) CINT(BgL_nz00_10221) < ((long) 0)))
													{	/* Eval/evaluate_comp.scm 1116 */
														BgL_arg3913z00_5147 =
															((long) CINT(BgL_nz00_10221) + ((long) 4));
													}
												else
													{	/* Eval/evaluate_comp.scm 1116 */
														BgL_arg3913z00_5147 =
															((long) CINT(BgL_nz00_10221) - ((long) 4));
											}}
											BgL_arg3914z00_5148 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_15614))->
												BgL_locz00);
											BGl_bindzd2framezd2zz__evaluate_compz00(BgL_nsz00_5145,
												BgL_arg3912z00_5146, ((long) 6), BgL_arg3913z00_5147,
												BgL_restz00_5124, BgL_arg3914z00_5148);
										}
										{	/* Eval/evaluate_comp.scm 1116 */
											obj_t BgL_auxz00_27945;

											BgL_auxz00_27945 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_27945, BgL_nsz00_5145);
										}
										{	/* Eval/evaluate_comp.scm 1116 */
											obj_t BgL_val1260z00_5151;

											BgL_val1260z00_5151 =
												BGl_zc3exitza33921ze3z83zz__evaluate_compz00
												(BgL_nsz00_5145, BgL_runz00_15615);
											{	/* Eval/evaluate_comp.scm 1116 */
												obj_t BgL_auxz00_27949;

												BgL_auxz00_27949 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_EVSTATE_SET(BgL_auxz00_27949, BgL_sz00_5126);
											}
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1260z00_5151)))
												{	/* Eval/evaluate_comp.scm 1116 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1260z00_5151), CDR(BgL_val1260z00_5151));
												}
											else
												{	/* Eval/evaluate_comp.scm 1116 */
													return BgL_val1260z00_5151;
												}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:3921> */
	obj_t BGl_zc3exitza33921ze3z83zz__evaluate_compz00(obj_t BgL_nsz00_15909,
		obj_t BgL_runz00_15908)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1116 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1261z00_5157;

			if (SET_EXIT(BgL_an_exit1261z00_5157))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1261z00_5157 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1116 */

						PUSH_EXIT(BgL_an_exit1261z00_5157, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1116 */
							obj_t BgL_val1262z00_5158;

							BgL_val1262z00_5158 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_15908,
								BgL_nsz00_15909, BINT(((long) 2)));
							POP_EXIT();
							return BgL_val1262z00_5158;
						}
					}
				}
		}
	}



/* <exit:3911> */
	obj_t BGl_zc3exitza33911ze3z83zz__evaluate_compz00(obj_t BgL_bpz00_15912,
		obj_t BgL_sz00_15911, obj_t BgL_runz00_15910)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1116 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1258z00_5143;

			if (SET_EXIT(BgL_an_exit1258z00_5143))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1258z00_5143 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1116 */

						PUSH_EXIT(BgL_an_exit1258z00_5143, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1116 */
							obj_t BgL_val1259z00_5144;

							BgL_val1259z00_5144 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_15910,
								BgL_sz00_15911, BgL_bpz00_15912);
							POP_EXIT();
							return BgL_val1259z00_5144;
						}
					}
				}
		}
	}



/* &run5535 */
	obj_t BGl_z62run5535z62zz__evaluate_compz00(obj_t BgL_envz00_15622,
		obj_t BgL_sz00_15626)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1116 */
			{	/* Eval/evaluate_comp.scm 1116 */
				obj_t BgL_iboxesz00_15623;
				BgL_ev_absz00_bglt BgL_i1250z00_15624;
				obj_t BgL_bodyz00_15625;

				BgL_iboxesz00_15623 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15622, (int) (((long) 0))));
				BgL_i1250z00_15624 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_15622, (int) (((long) 1))));
				BgL_bodyz00_15625 = PROCEDURE_REF(BgL_envz00_15622, (int) (((long) 2)));
				{
					obj_t BgL_sz00_5160;

					BgL_sz00_5160 = BgL_sz00_15626;
					{	/* Eval/evaluate_comp.scm 1116 */
						obj_t BgL_bpz00_5162;

						BgL_bpz00_5162 = VECTOR_REF(BgL_sz00_5160, (int) (((long) 0)));
						BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_5160,
							BgL_iboxesz00_15623, BgL_bpz00_5162);
						{	/* Eval/evaluate_comp.scm 1116 */
							obj_t BgL_z12denvz12_5163;
							obj_t BgL_wherez00_5164;
							obj_t BgL_locz00_5165;

							BgL_z12denvz12_5163 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_5164 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_15624))->BgL_wherez00);
							BgL_locz00_5165 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_15624))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1116 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_5163, BgL_wherez00_5164,
									BgL_locz00_5165);
								{	/* Eval/evaluate_comp.scm 1116 */
									obj_t BgL_za2za2resza2za2z00_5166;

									BgL_za2za2resza2za2z00_5166 =
										PROCEDURE_ENTRY(BgL_bodyz00_15625) (BgL_bodyz00_15625,
										BgL_sz00_5160, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_5163);
									return BgL_za2za2resza2za2z00_5166;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3925> */
	obj_t BGl_z62zc3anonymousza33925ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15627, obj_t BgL_sz00_15633)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1116 */
			{	/* Eval/evaluate_comp.scm 1116 */
				obj_t BgL_ifreesz00_15628;
				long BgL_siza7eza7_15629;
				BgL_ev_absz00_bglt BgL_i1250z00_15630;
				obj_t BgL_bodyz00_15631;
				long BgL_siza7ezd2framez75_15632;

				BgL_ifreesz00_15628 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15627, (int) (((long) 0))));
				BgL_siza7eza7_15629 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15627, (int) (((long) 1))));
				BgL_i1250z00_15630 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_15627, (int) (((long) 2))));
				BgL_bodyz00_15631 = PROCEDURE_REF(BgL_envz00_15627, (int) (((long) 3)));
				BgL_siza7ezd2framez75_15632 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15627, (int) (((long) 4))));
				{
					obj_t BgL_sz00_5170;

					BgL_sz00_5170 = BgL_sz00_15633;
					{	/* Eval/evaluate_comp.scm 1116 */
						obj_t BgL_bpz00_5172;

						BgL_bpz00_5172 = VECTOR_REF(BgL_sz00_5170, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1116 */
							obj_t BgL_valza2za2_5173;

							BgL_valza2za2_5173 =
								BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_5170,
								BgL_bpz00_5172, BgL_ifreesz00_15628);
							{	/* Eval/evaluate_comp.scm 1116 */
								obj_t BgL_runz00_14676;

								BgL_runz00_14676 =
									MAKE_FX_PROCEDURE(BGl_z62run5537z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 4)));
								PROCEDURE_SET(BgL_runz00_14676,
									(int) (((long) 0)), BINT(BgL_siza7eza7_15629));
								PROCEDURE_SET(BgL_runz00_14676,
									(int) (((long) 1)), BgL_valza2za2_5173);
								PROCEDURE_SET(BgL_runz00_14676,
									(int) (((long) 2)), ((obj_t) BgL_i1250z00_15630));
								PROCEDURE_SET(BgL_runz00_14676,
									(int) (((long) 3)), BgL_bodyz00_15631);
								{	/* Eval/evaluate_comp.scm 1116 */
									obj_t BgL_mainz00_14677;

									BgL_mainz00_14677 =
										MAKE_VA_PROCEDURE(BGl_z62main5536z62zz__evaluate_compz00,
										(int) (((long) -5)), (int) (((long) 6)));
									PROCEDURE_SET(BgL_mainz00_14677,
										(int) (((long) 0)), BINT(BgL_siza7eza7_15629));
									PROCEDURE_SET(BgL_mainz00_14677,
										(int) (((long) 1)), BgL_valza2za2_5173);
									PROCEDURE_SET(BgL_mainz00_14677,
										(int) (((long) 2)), BgL_bodyz00_15631);
									PROCEDURE_SET(BgL_mainz00_14677,
										(int) (((long) 3)), ((obj_t) BgL_i1250z00_15630));
									PROCEDURE_SET(BgL_mainz00_14677,
										(int) (((long) 4)), BgL_runz00_14676);
									PROCEDURE_SET(BgL_mainz00_14677,
										(int) (((long) 5)), BINT(BgL_siza7ezd2framez75_15632));
									{	/* Eval/evaluate_comp.scm 1116 */
										obj_t BgL_objz00_10362;

										BgL_objz00_10362 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_14676, BgL_objz00_10362);
										BgL_objz00_10362;
									}
									{	/* Eval/evaluate_comp.scm 1116 */
										obj_t BgL_arg3926z00_5176;

										{	/* Eval/evaluate_comp.scm 1116 */
											obj_t BgL_arg3927z00_5177;
											obj_t BgL_arg3928z00_5178;

											BgL_arg3927z00_5177 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_15630))->
												BgL_arityz00);
											BgL_arg3928z00_5178 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_15630))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1116 */
												obj_t BgL_newz00_10366;

												BgL_newz00_10366 =
													create_struct(BGl_symbol5569z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 1116 */
													int BgL_auxz00_28042;

													BgL_auxz00_28042 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_10366, BgL_auxz00_28042,
														BgL_arg3928z00_5178);
												}
												{	/* Eval/evaluate_comp.scm 1116 */
													obj_t BgL_auxz00_28047;
													int BgL_auxz00_28045;

													BgL_auxz00_28047 = BINT(BgL_siza7ezd2framez75_15632);
													BgL_auxz00_28045 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_10366, BgL_auxz00_28045,
														BgL_auxz00_28047);
												}
												{	/* Eval/evaluate_comp.scm 1116 */
													int BgL_auxz00_28050;

													BgL_auxz00_28050 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_10366, BgL_auxz00_28050,
														BgL_runz00_14676);
												}
												{	/* Eval/evaluate_comp.scm 1116 */
													int BgL_auxz00_28053;

													BgL_auxz00_28053 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_10366, BgL_auxz00_28053,
														BgL_arg3927z00_5177);
												}
												BgL_arg3926z00_5176 = BgL_newz00_10366;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_14677, BgL_arg3926z00_5176);
										BgL_arg3926z00_5176;
									}
									return BgL_mainz00_14677;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main5536 */
	obj_t BGl_z62main5536z62zz__evaluate_compz00(obj_t BgL_envz00_15634,
		obj_t BgL_az00_15641, obj_t BgL_bz00_15642, obj_t BgL_cz00_15643,
		obj_t BgL_dz00_15644, obj_t BgL_restz00_15645)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1116 */
			{	/* Eval/evaluate_comp.scm 1116 */
				BgL_ev_absz00_bglt BgL_i1250z00_15638;
				obj_t BgL_runz00_15639;
				long BgL_siza7ezd2framez75_15640;

				BgL_i1250z00_15638 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_15634, (int) (((long) 3))));
				BgL_runz00_15639 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15634, (int) (((long) 4))));
				BgL_siza7ezd2framez75_15640 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15634, (int) (((long) 5))));
				{
					obj_t BgL_az00_5179;
					obj_t BgL_bz00_5180;
					obj_t BgL_cz00_5181;
					obj_t BgL_dz00_5182;
					obj_t BgL_restz00_5183;

					BgL_az00_5179 = BgL_az00_15641;
					BgL_bz00_5180 = BgL_bz00_15642;
					BgL_cz00_5181 = BgL_cz00_15643;
					BgL_dz00_5182 = BgL_dz00_15644;
					BgL_restz00_5183 = BgL_restz00_15645;
					{	/* Eval/evaluate_comp.scm 1116 */
						obj_t BgL_sz00_5185;

						BgL_sz00_5185 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1116 */
							obj_t BgL_bpz00_5186;

							BgL_bpz00_5186 = VECTOR_REF(BgL_sz00_5185, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1116 */
								bool_t BgL_testz00_28069;

								{	/* Eval/evaluate_comp.scm 1116 */
									int BgL_arg1909z00_10279;

									BgL_arg1909z00_10279 = VECTOR_LENGTH(BgL_sz00_5185);
									BgL_testz00_28069 =
										(
										((long) CINT(BgL_bpz00_5186) +
											BgL_siza7ezd2framez75_15640) <
										(long) (BgL_arg1909z00_10279));
								}
								if (BgL_testz00_28069)
									{	/* Eval/evaluate_comp.scm 1116 */
										{	/* Eval/evaluate_comp.scm 1116 */
											long BgL_arg3931z00_5188;

											BgL_arg3931z00_5188 =
												((long) CINT(BgL_bpz00_5186) + ((long) 0));
											VECTOR_SET(BgL_sz00_5185,
												(int) (BgL_arg3931z00_5188), BgL_az00_5179);
										}
										{	/* Eval/evaluate_comp.scm 1116 */
											long BgL_arg3932z00_5189;

											BgL_arg3932z00_5189 =
												((long) CINT(BgL_bpz00_5186) + ((long) 1));
											VECTOR_SET(BgL_sz00_5185,
												(int) (BgL_arg3932z00_5189), BgL_bz00_5180);
										}
										{	/* Eval/evaluate_comp.scm 1116 */
											long BgL_arg3933z00_5190;

											BgL_arg3933z00_5190 =
												((long) CINT(BgL_bpz00_5186) + ((long) 2));
											VECTOR_SET(BgL_sz00_5185,
												(int) (BgL_arg3933z00_5190), BgL_cz00_5181);
										}
										{	/* Eval/evaluate_comp.scm 1116 */
											long BgL_arg3934z00_5191;

											BgL_arg3934z00_5191 =
												((long) CINT(BgL_bpz00_5186) + ((long) 3));
											VECTOR_SET(BgL_sz00_5185,
												(int) (BgL_arg3934z00_5191), BgL_dz00_5182);
										}
										{	/* Eval/evaluate_comp.scm 1116 */
											obj_t BgL_arg3935z00_5192;
											long BgL_arg3936z00_5193;
											long BgL_arg3937z00_5194;
											obj_t BgL_arg3938z00_5195;

											BgL_arg3935z00_5192 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_15638))->
												BgL_wherez00);
											BgL_arg3936z00_5193 =
												((long) CINT(BgL_bpz00_5186) + ((long) 4));
											{	/* Eval/evaluate_comp.scm 1116 */
												obj_t BgL_nz00_10314;

												BgL_nz00_10314 =
													(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_15638))->
													BgL_arityz00);
												if (((long) CINT(BgL_nz00_10314) < ((long) 0)))
													{	/* Eval/evaluate_comp.scm 1116 */
														BgL_arg3937z00_5194 =
															((long) CINT(BgL_nz00_10314) + ((long) 4));
													}
												else
													{	/* Eval/evaluate_comp.scm 1116 */
														BgL_arg3937z00_5194 =
															((long) CINT(BgL_nz00_10314) - ((long) 4));
											}}
											BgL_arg3938z00_5195 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_15638))->
												BgL_locz00);
											BGl_bindzd2framezd2zz__evaluate_compz00(BgL_sz00_5185,
												BgL_arg3935z00_5192, BgL_arg3936z00_5193,
												BgL_arg3937z00_5194, BgL_restz00_5183,
												BgL_arg3938z00_5195);
										}
										{	/* Eval/evaluate_comp.scm 1116 */
											obj_t BgL_val1263z00_5197;

											BgL_val1263z00_5197 =
												BGl_zc3exitza33943ze3z83zz__evaluate_compz00
												(BgL_bpz00_5186, BgL_sz00_5185, BgL_runz00_15639);
											VECTOR_SET(BgL_sz00_5185, (int) (((long) 0)),
												BgL_bpz00_5186);
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1263z00_5197)))
												{	/* Eval/evaluate_comp.scm 1116 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1263z00_5197), CDR(BgL_val1263z00_5197));
												}
											else
												{	/* Eval/evaluate_comp.scm 1116 */
													return BgL_val1263z00_5197;
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1116 */
										obj_t BgL_nsz00_5204;

										BgL_nsz00_5204 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_5204,
											(int) (((long) 1)), BgL_sz00_5185);
										VECTOR_SET(BgL_nsz00_5204,
											(int) (((long) 2)), BgL_az00_5179);
										VECTOR_SET(BgL_nsz00_5204,
											(int) (((long) 3)), BgL_bz00_5180);
										VECTOR_SET(BgL_nsz00_5204,
											(int) (((long) 4)), BgL_cz00_5181);
										VECTOR_SET(BgL_nsz00_5204,
											(int) (((long) 5)), BgL_dz00_5182);
										{	/* Eval/evaluate_comp.scm 1116 */
											obj_t BgL_arg3944z00_5205;
											long BgL_arg3945z00_5206;
											obj_t BgL_arg3946z00_5207;

											BgL_arg3944z00_5205 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_15638))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1116 */
												obj_t BgL_nz00_10346;

												BgL_nz00_10346 =
													(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_15638))->
													BgL_arityz00);
												if (((long) CINT(BgL_nz00_10346) < ((long) 0)))
													{	/* Eval/evaluate_comp.scm 1116 */
														BgL_arg3945z00_5206 =
															((long) CINT(BgL_nz00_10346) + ((long) 4));
													}
												else
													{	/* Eval/evaluate_comp.scm 1116 */
														BgL_arg3945z00_5206 =
															((long) CINT(BgL_nz00_10346) - ((long) 4));
											}}
											BgL_arg3946z00_5207 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_15638))->
												BgL_locz00);
											BGl_bindzd2framezd2zz__evaluate_compz00(BgL_nsz00_5204,
												BgL_arg3944z00_5205, ((long) 6), BgL_arg3945z00_5206,
												BgL_restz00_5183, BgL_arg3946z00_5207);
										}
										{	/* Eval/evaluate_comp.scm 1116 */
											obj_t BgL_auxz00_28135;

											BgL_auxz00_28135 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_28135, BgL_nsz00_5204);
										}
										{	/* Eval/evaluate_comp.scm 1116 */
											obj_t BgL_val1266z00_5210;

											BgL_val1266z00_5210 =
												BGl_zc3exitza33953ze3z83zz__evaluate_compz00
												(BgL_nsz00_5204, BgL_runz00_15639);
											{	/* Eval/evaluate_comp.scm 1116 */
												obj_t BgL_auxz00_28139;

												BgL_auxz00_28139 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_EVSTATE_SET(BgL_auxz00_28139, BgL_sz00_5185);
											}
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1266z00_5210)))
												{	/* Eval/evaluate_comp.scm 1116 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1266z00_5210), CDR(BgL_val1266z00_5210));
												}
											else
												{	/* Eval/evaluate_comp.scm 1116 */
													return BgL_val1266z00_5210;
												}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:3953> */
	obj_t BGl_zc3exitza33953ze3z83zz__evaluate_compz00(obj_t BgL_nsz00_15904,
		obj_t BgL_runz00_15903)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1116 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1267z00_5216;

			if (SET_EXIT(BgL_an_exit1267z00_5216))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1267z00_5216 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1116 */

						PUSH_EXIT(BgL_an_exit1267z00_5216, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1116 */
							obj_t BgL_val1268z00_5217;

							BgL_val1268z00_5217 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_15903,
								BgL_nsz00_15904, BINT(((long) 2)));
							POP_EXIT();
							return BgL_val1268z00_5217;
						}
					}
				}
		}
	}



/* <exit:3943> */
	obj_t BGl_zc3exitza33943ze3z83zz__evaluate_compz00(obj_t BgL_bpz00_15907,
		obj_t BgL_sz00_15906, obj_t BgL_runz00_15905)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1116 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1264z00_5202;

			if (SET_EXIT(BgL_an_exit1264z00_5202))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1264z00_5202 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1116 */

						PUSH_EXIT(BgL_an_exit1264z00_5202, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1116 */
							obj_t BgL_val1265z00_5203;

							BgL_val1265z00_5203 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_15905,
								BgL_sz00_15906, BgL_bpz00_15907);
							POP_EXIT();
							return BgL_val1265z00_5203;
						}
					}
				}
		}
	}



/* &run5537 */
	obj_t BGl_z62run5537z62zz__evaluate_compz00(obj_t BgL_envz00_15646,
		obj_t BgL_sz00_15651)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1116 */
			{	/* Eval/evaluate_comp.scm 1116 */
				long BgL_siza7eza7_15647;
				obj_t BgL_valza2za2_15648;
				BgL_ev_absz00_bglt BgL_i1250z00_15649;
				obj_t BgL_bodyz00_15650;

				BgL_siza7eza7_15647 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15646, (int) (((long) 0))));
				BgL_valza2za2_15648 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15646, (int) (((long) 1))));
				BgL_i1250z00_15649 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_15646, (int) (((long) 2))));
				BgL_bodyz00_15650 = PROCEDURE_REF(BgL_envz00_15646, (int) (((long) 3)));
				{
					obj_t BgL_sz00_5219;

					BgL_sz00_5219 = BgL_sz00_15651;
					{	/* Eval/evaluate_comp.scm 1116 */
						obj_t BgL_bpz00_5221;

						BgL_bpz00_5221 = VECTOR_REF(BgL_sz00_5219, (int) (((long) 0)));
						BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_5219,
							BgL_valza2za2_15648,
							((long) CINT(BgL_bpz00_5221) + BgL_siza7eza7_15647));
						{	/* Eval/evaluate_comp.scm 1036 */
							obj_t BgL_z12denvz12_5223;
							obj_t BgL_wherez00_5224;
							obj_t BgL_locz00_5225;

							BgL_z12denvz12_5223 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_5224 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_15649))->BgL_wherez00);
							BgL_locz00_5225 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_15649))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1036 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_5223, BgL_wherez00_5224,
									BgL_locz00_5225);
								{	/* Eval/evaluate_comp.scm 1036 */
									obj_t BgL_za2za2resza2za2z00_5226;

									BgL_za2za2resza2za2z00_5226 =
										PROCEDURE_ENTRY(BgL_bodyz00_15650) (BgL_bodyz00_15650,
										BgL_sz00_5219, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_5223);
									return BgL_za2za2resza2za2z00_5226;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3956> */
	obj_t BGl_z62zc3anonymousza33956ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15652, obj_t BgL_sz00_15659)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1116 */
			{	/* Eval/evaluate_comp.scm 1116 */
				obj_t BgL_ifreesz00_15653;
				obj_t BgL_iboxesz00_15654;
				long BgL_siza7eza7_15655;
				BgL_ev_absz00_bglt BgL_i1250z00_15656;
				obj_t BgL_bodyz00_15657;
				long BgL_siza7ezd2framez75_15658;

				BgL_ifreesz00_15653 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15652, (int) (((long) 0))));
				BgL_iboxesz00_15654 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15652, (int) (((long) 1))));
				BgL_siza7eza7_15655 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15652, (int) (((long) 2))));
				BgL_i1250z00_15656 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_15652, (int) (((long) 3))));
				BgL_bodyz00_15657 = PROCEDURE_REF(BgL_envz00_15652, (int) (((long) 4)));
				BgL_siza7ezd2framez75_15658 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15652, (int) (((long) 5))));
				{
					obj_t BgL_sz00_5228;

					BgL_sz00_5228 = BgL_sz00_15659;
					{	/* Eval/evaluate_comp.scm 1116 */
						obj_t BgL_bpz00_5230;

						BgL_bpz00_5230 = VECTOR_REF(BgL_sz00_5228, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1116 */
							obj_t BgL_valza2za2_5231;

							BgL_valza2za2_5231 =
								BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_5228,
								BgL_bpz00_5230, BgL_ifreesz00_15653);
							{	/* Eval/evaluate_comp.scm 1116 */
								obj_t BgL_runz00_14673;

								BgL_runz00_14673 =
									MAKE_FX_PROCEDURE(BGl_z62run5539z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 5)));
								PROCEDURE_SET(BgL_runz00_14673,
									(int) (((long) 0)), BgL_iboxesz00_15654);
								PROCEDURE_SET(BgL_runz00_14673,
									(int) (((long) 1)), BINT(BgL_siza7eza7_15655));
								PROCEDURE_SET(BgL_runz00_14673,
									(int) (((long) 2)), BgL_valza2za2_5231);
								PROCEDURE_SET(BgL_runz00_14673,
									(int) (((long) 3)), ((obj_t) BgL_i1250z00_15656));
								PROCEDURE_SET(BgL_runz00_14673,
									(int) (((long) 4)), BgL_bodyz00_15657);
								{	/* Eval/evaluate_comp.scm 1116 */
									obj_t BgL_mainz00_14674;

									BgL_mainz00_14674 =
										MAKE_VA_PROCEDURE(BGl_z62main5538z62zz__evaluate_compz00,
										(int) (((long) -5)), (int) (((long) 7)));
									PROCEDURE_SET(BgL_mainz00_14674,
										(int) (((long) 0)), BgL_iboxesz00_15654);
									PROCEDURE_SET(BgL_mainz00_14674,
										(int) (((long) 1)), BINT(BgL_siza7eza7_15655));
									PROCEDURE_SET(BgL_mainz00_14674,
										(int) (((long) 2)), BgL_valza2za2_5231);
									PROCEDURE_SET(BgL_mainz00_14674,
										(int) (((long) 3)), BgL_bodyz00_15657);
									PROCEDURE_SET(BgL_mainz00_14674,
										(int) (((long) 4)), ((obj_t) BgL_i1250z00_15656));
									PROCEDURE_SET(BgL_mainz00_14674,
										(int) (((long) 5)), BgL_runz00_14673);
									PROCEDURE_SET(BgL_mainz00_14674,
										(int) (((long) 6)), BINT(BgL_siza7ezd2framez75_15658));
									{	/* Eval/evaluate_comp.scm 1116 */
										obj_t BgL_objz00_10483;

										BgL_objz00_10483 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_14673, BgL_objz00_10483);
										BgL_objz00_10483;
									}
									{	/* Eval/evaluate_comp.scm 1116 */
										obj_t BgL_arg3957z00_5234;

										{	/* Eval/evaluate_comp.scm 1116 */
											obj_t BgL_arg3958z00_5235;
											obj_t BgL_arg3959z00_5236;

											BgL_arg3958z00_5235 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_15656))->
												BgL_arityz00);
											BgL_arg3959z00_5236 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_15656))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1116 */
												obj_t BgL_newz00_10487;

												BgL_newz00_10487 =
													create_struct(BGl_symbol5569z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 1116 */
													int BgL_auxz00_28244;

													BgL_auxz00_28244 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_10487, BgL_auxz00_28244,
														BgL_arg3959z00_5236);
												}
												{	/* Eval/evaluate_comp.scm 1116 */
													obj_t BgL_auxz00_28249;
													int BgL_auxz00_28247;

													BgL_auxz00_28249 = BINT(BgL_siza7ezd2framez75_15658);
													BgL_auxz00_28247 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_10487, BgL_auxz00_28247,
														BgL_auxz00_28249);
												}
												{	/* Eval/evaluate_comp.scm 1116 */
													int BgL_auxz00_28252;

													BgL_auxz00_28252 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_10487, BgL_auxz00_28252,
														BgL_runz00_14673);
												}
												{	/* Eval/evaluate_comp.scm 1116 */
													int BgL_auxz00_28255;

													BgL_auxz00_28255 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_10487, BgL_auxz00_28255,
														BgL_arg3958z00_5235);
												}
												BgL_arg3957z00_5234 = BgL_newz00_10487;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_14674, BgL_arg3957z00_5234);
										BgL_arg3957z00_5234;
									}
									return BgL_mainz00_14674;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main5538 */
	obj_t BGl_z62main5538z62zz__evaluate_compz00(obj_t BgL_envz00_15660,
		obj_t BgL_az00_15668, obj_t BgL_bz00_15669, obj_t BgL_cz00_15670,
		obj_t BgL_dz00_15671, obj_t BgL_restz00_15672)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1116 */
			{	/* Eval/evaluate_comp.scm 1116 */
				BgL_ev_absz00_bglt BgL_i1250z00_15665;
				obj_t BgL_runz00_15666;
				long BgL_siza7ezd2framez75_15667;

				BgL_i1250z00_15665 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_15660, (int) (((long) 4))));
				BgL_runz00_15666 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15660, (int) (((long) 5))));
				BgL_siza7ezd2framez75_15667 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15660, (int) (((long) 6))));
				{
					obj_t BgL_az00_5237;
					obj_t BgL_bz00_5238;
					obj_t BgL_cz00_5239;
					obj_t BgL_dz00_5240;
					obj_t BgL_restz00_5241;

					BgL_az00_5237 = BgL_az00_15668;
					BgL_bz00_5238 = BgL_bz00_15669;
					BgL_cz00_5239 = BgL_cz00_15670;
					BgL_dz00_5240 = BgL_dz00_15671;
					BgL_restz00_5241 = BgL_restz00_15672;
					{	/* Eval/evaluate_comp.scm 1116 */
						obj_t BgL_sz00_5243;

						BgL_sz00_5243 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1116 */
							obj_t BgL_bpz00_5244;

							BgL_bpz00_5244 = VECTOR_REF(BgL_sz00_5243, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1116 */
								bool_t BgL_testz00_28271;

								{	/* Eval/evaluate_comp.scm 1116 */
									int BgL_arg1909z00_10400;

									BgL_arg1909z00_10400 = VECTOR_LENGTH(BgL_sz00_5243);
									BgL_testz00_28271 =
										(
										((long) CINT(BgL_bpz00_5244) +
											BgL_siza7ezd2framez75_15667) <
										(long) (BgL_arg1909z00_10400));
								}
								if (BgL_testz00_28271)
									{	/* Eval/evaluate_comp.scm 1116 */
										{	/* Eval/evaluate_comp.scm 1116 */
											long BgL_arg3962z00_5246;

											BgL_arg3962z00_5246 =
												((long) CINT(BgL_bpz00_5244) + ((long) 0));
											VECTOR_SET(BgL_sz00_5243,
												(int) (BgL_arg3962z00_5246), BgL_az00_5237);
										}
										{	/* Eval/evaluate_comp.scm 1116 */
											long BgL_arg3963z00_5247;

											BgL_arg3963z00_5247 =
												((long) CINT(BgL_bpz00_5244) + ((long) 1));
											VECTOR_SET(BgL_sz00_5243,
												(int) (BgL_arg3963z00_5247), BgL_bz00_5238);
										}
										{	/* Eval/evaluate_comp.scm 1116 */
											long BgL_arg3964z00_5248;

											BgL_arg3964z00_5248 =
												((long) CINT(BgL_bpz00_5244) + ((long) 2));
											VECTOR_SET(BgL_sz00_5243,
												(int) (BgL_arg3964z00_5248), BgL_cz00_5239);
										}
										{	/* Eval/evaluate_comp.scm 1116 */
											long BgL_arg3965z00_5249;

											BgL_arg3965z00_5249 =
												((long) CINT(BgL_bpz00_5244) + ((long) 3));
											VECTOR_SET(BgL_sz00_5243,
												(int) (BgL_arg3965z00_5249), BgL_dz00_5240);
										}
										{	/* Eval/evaluate_comp.scm 1116 */
											obj_t BgL_arg3966z00_5250;
											long BgL_arg3967z00_5251;
											long BgL_arg3968z00_5252;
											obj_t BgL_arg3969z00_5253;

											BgL_arg3966z00_5250 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_15665))->
												BgL_wherez00);
											BgL_arg3967z00_5251 =
												((long) CINT(BgL_bpz00_5244) + ((long) 4));
											{	/* Eval/evaluate_comp.scm 1116 */
												obj_t BgL_nz00_10435;

												BgL_nz00_10435 =
													(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_15665))->
													BgL_arityz00);
												if (((long) CINT(BgL_nz00_10435) < ((long) 0)))
													{	/* Eval/evaluate_comp.scm 1116 */
														BgL_arg3968z00_5252 =
															((long) CINT(BgL_nz00_10435) + ((long) 4));
													}
												else
													{	/* Eval/evaluate_comp.scm 1116 */
														BgL_arg3968z00_5252 =
															((long) CINT(BgL_nz00_10435) - ((long) 4));
											}}
											BgL_arg3969z00_5253 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_15665))->
												BgL_locz00);
											BGl_bindzd2framezd2zz__evaluate_compz00(BgL_sz00_5243,
												BgL_arg3966z00_5250, BgL_arg3967z00_5251,
												BgL_arg3968z00_5252, BgL_restz00_5241,
												BgL_arg3969z00_5253);
										}
										{	/* Eval/evaluate_comp.scm 1116 */
											obj_t BgL_val1269z00_5255;

											BgL_val1269z00_5255 =
												BGl_zc3exitza33974ze3z83zz__evaluate_compz00
												(BgL_bpz00_5244, BgL_sz00_5243, BgL_runz00_15666);
											VECTOR_SET(BgL_sz00_5243, (int) (((long) 0)),
												BgL_bpz00_5244);
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1269z00_5255)))
												{	/* Eval/evaluate_comp.scm 1116 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1269z00_5255), CDR(BgL_val1269z00_5255));
												}
											else
												{	/* Eval/evaluate_comp.scm 1116 */
													return BgL_val1269z00_5255;
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1116 */
										obj_t BgL_nsz00_5262;

										BgL_nsz00_5262 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_5262,
											(int) (((long) 1)), BgL_sz00_5243);
										VECTOR_SET(BgL_nsz00_5262,
											(int) (((long) 2)), BgL_az00_5237);
										VECTOR_SET(BgL_nsz00_5262,
											(int) (((long) 3)), BgL_bz00_5238);
										VECTOR_SET(BgL_nsz00_5262,
											(int) (((long) 4)), BgL_cz00_5239);
										VECTOR_SET(BgL_nsz00_5262,
											(int) (((long) 5)), BgL_dz00_5240);
										{	/* Eval/evaluate_comp.scm 1116 */
											obj_t BgL_arg3975z00_5263;
											long BgL_arg3976z00_5264;
											obj_t BgL_arg3977z00_5265;

											BgL_arg3975z00_5263 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_15665))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1116 */
												obj_t BgL_nz00_10467;

												BgL_nz00_10467 =
													(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_15665))->
													BgL_arityz00);
												if (((long) CINT(BgL_nz00_10467) < ((long) 0)))
													{	/* Eval/evaluate_comp.scm 1116 */
														BgL_arg3976z00_5264 =
															((long) CINT(BgL_nz00_10467) + ((long) 4));
													}
												else
													{	/* Eval/evaluate_comp.scm 1116 */
														BgL_arg3976z00_5264 =
															((long) CINT(BgL_nz00_10467) - ((long) 4));
											}}
											BgL_arg3977z00_5265 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_15665))->
												BgL_locz00);
											BGl_bindzd2framezd2zz__evaluate_compz00(BgL_nsz00_5262,
												BgL_arg3975z00_5263, ((long) 6), BgL_arg3976z00_5264,
												BgL_restz00_5241, BgL_arg3977z00_5265);
										}
										{	/* Eval/evaluate_comp.scm 1116 */
											obj_t BgL_auxz00_28337;

											BgL_auxz00_28337 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_28337, BgL_nsz00_5262);
										}
										{	/* Eval/evaluate_comp.scm 1116 */
											obj_t BgL_val1272z00_5268;

											BgL_val1272z00_5268 =
												BGl_zc3exitza33984ze3z83zz__evaluate_compz00
												(BgL_nsz00_5262, BgL_runz00_15666);
											{	/* Eval/evaluate_comp.scm 1116 */
												obj_t BgL_auxz00_28341;

												BgL_auxz00_28341 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_EVSTATE_SET(BgL_auxz00_28341, BgL_sz00_5243);
											}
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1272z00_5268)))
												{	/* Eval/evaluate_comp.scm 1116 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1272z00_5268), CDR(BgL_val1272z00_5268));
												}
											else
												{	/* Eval/evaluate_comp.scm 1116 */
													return BgL_val1272z00_5268;
												}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:3984> */
	obj_t BGl_zc3exitza33984ze3z83zz__evaluate_compz00(obj_t BgL_nsz00_15899,
		obj_t BgL_runz00_15898)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1116 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1273z00_5274;

			if (SET_EXIT(BgL_an_exit1273z00_5274))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1273z00_5274 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1116 */

						PUSH_EXIT(BgL_an_exit1273z00_5274, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1116 */
							obj_t BgL_val1274z00_5275;

							BgL_val1274z00_5275 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_15898,
								BgL_nsz00_15899, BINT(((long) 2)));
							POP_EXIT();
							return BgL_val1274z00_5275;
						}
					}
				}
		}
	}



/* <exit:3974> */
	obj_t BGl_zc3exitza33974ze3z83zz__evaluate_compz00(obj_t BgL_bpz00_15902,
		obj_t BgL_sz00_15901, obj_t BgL_runz00_15900)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1116 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1270z00_5260;

			if (SET_EXIT(BgL_an_exit1270z00_5260))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1270z00_5260 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1116 */

						PUSH_EXIT(BgL_an_exit1270z00_5260, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1116 */
							obj_t BgL_val1271z00_5261;

							BgL_val1271z00_5261 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_15900,
								BgL_sz00_15901, BgL_bpz00_15902);
							POP_EXIT();
							return BgL_val1271z00_5261;
						}
					}
				}
		}
	}



/* &run5539 */
	obj_t BGl_z62run5539z62zz__evaluate_compz00(obj_t BgL_envz00_15673,
		obj_t BgL_sz00_15679)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1116 */
			{	/* Eval/evaluate_comp.scm 1116 */
				obj_t BgL_iboxesz00_15674;
				long BgL_siza7eza7_15675;
				obj_t BgL_valza2za2_15676;
				BgL_ev_absz00_bglt BgL_i1250z00_15677;
				obj_t BgL_bodyz00_15678;

				BgL_iboxesz00_15674 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15673, (int) (((long) 0))));
				BgL_siza7eza7_15675 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15673, (int) (((long) 1))));
				BgL_valza2za2_15676 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15673, (int) (((long) 2))));
				BgL_i1250z00_15677 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_15673, (int) (((long) 3))));
				BgL_bodyz00_15678 = PROCEDURE_REF(BgL_envz00_15673, (int) (((long) 4)));
				{
					obj_t BgL_sz00_5277;

					BgL_sz00_5277 = BgL_sz00_15679;
					{	/* Eval/evaluate_comp.scm 1116 */
						obj_t BgL_bpz00_5279;

						BgL_bpz00_5279 = VECTOR_REF(BgL_sz00_5277, (int) (((long) 0)));
						BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_5277,
							BgL_iboxesz00_15674, BgL_bpz00_5279);
						BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_5277,
							BgL_valza2za2_15676,
							((long) CINT(BgL_bpz00_5279) + BgL_siza7eza7_15675));
						{	/* Eval/evaluate_comp.scm 1036 */
							obj_t BgL_z12denvz12_5281;
							obj_t BgL_wherez00_5282;
							obj_t BgL_locz00_5283;

							BgL_z12denvz12_5281 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_5282 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_15677))->BgL_wherez00);
							BgL_locz00_5283 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_15677))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1036 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_5281, BgL_wherez00_5282,
									BgL_locz00_5283);
								{	/* Eval/evaluate_comp.scm 1036 */
									obj_t BgL_za2za2resza2za2z00_5284;

									BgL_za2za2resza2za2z00_5284 =
										PROCEDURE_ENTRY(BgL_bodyz00_15678) (BgL_bodyz00_15678,
										BgL_sz00_5277, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_5281);
									return BgL_za2za2resza2za2z00_5284;
								}
							}
						}
					}
				}
			}
		}
	}



/* &comp-ev_app1681 */
	obj_t BGl_z62compzd2ev_app1681zb0zz__evaluate_compz00(obj_t BgL_envz00_15680,
		BgL_ev_appz00_bglt BgL_ez00_15681, obj_t BgL_stkz00_15682)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 985 */
			{
				BgL_ev_appz00_bglt BgL_ez00_3204;
				obj_t BgL_stkz00_3205;

				BgL_ez00_3204 = BgL_ez00_15681;
				BgL_stkz00_3205 = BgL_stkz00_15682;
				{	/* Eval/evaluate_comp.scm 987 */
					obj_t BgL__ortest_1236z00_3209;

					BgL__ortest_1236z00_3209 =
						BGl_arithzd2expressionzd2zz__evaluate_compz00(BgL_ez00_3204,
						BgL_stkz00_3205);
					if (CBOOL(BgL__ortest_1236z00_3209))
						{	/* Eval/evaluate_comp.scm 987 */
							return BgL__ortest_1236z00_3209;
						}
					else
						{	/* Eval/evaluate_comp.scm 988 */
							obj_t BgL__ortest_1237z00_3210;

							BgL__ortest_1237z00_3210 =
								BGl_inlinezd2callzd2zz__evaluate_compz00(
								(((BgL_ev_appz00_bglt) CREF(BgL_ez00_3204))->BgL_locz00),
								(((BgL_ev_appz00_bglt) CREF(BgL_ez00_3204))->BgL_funz00),
								(((BgL_ev_appz00_bglt) CREF(BgL_ez00_3204))->BgL_argsz00),
								BgL_stkz00_3205);
							if (CBOOL(BgL__ortest_1237z00_3210))
								{	/* Eval/evaluate_comp.scm 988 */
									return BgL__ortest_1237z00_3210;
								}
							else
								{	/* Eval/evaluate_comp.scm 988 */
									if (
										(bgl_list_length(
												(((BgL_ev_appz00_bglt) CREF(BgL_ez00_3204))->
													BgL_argsz00)) > ((long) 4)))
										{	/* Eval/evaluate_comp.scm 989 */
											return
												BGl_compzd2oldzd2callz00zz__evaluate_compz00
												(BgL_ez00_3204, BgL_stkz00_3205);
										}
									else
										{	/* Eval/evaluate_comp.scm 991 */
											obj_t BgL_fz00_3212;
											long BgL_siza7eza7_3213;
											obj_t BgL_symbzd2funzd2_3214;

											BgL_fz00_3212 =
												BGl_compz00zz__evaluate_compz00(
												(((BgL_ev_appz00_bglt) CREF(BgL_ez00_3204))->
													BgL_funz00), BgL_stkz00_3205);
											BgL_siza7eza7_3213 = bgl_list_length(BgL_stkz00_3205);
											BgL_symbzd2funzd2_3214 =
												BGl_uncompilez00zz__evaluate_uncompz00(
												(((BgL_ev_appz00_bglt) CREF(BgL_ez00_3204))->
													BgL_funz00));
											if (NULLP((((BgL_ev_appz00_bglt) CREF(BgL_ez00_3204))->
														BgL_argsz00)))
												{	/* Eval/evaluate_comp.scm 992 */
													return
														BGl_compzd2call0zd2zz__evaluate_compz00(
														(((BgL_ev_appz00_bglt) CREF(BgL_ez00_3204))->
															BgL_locz00),
														(((BgL_ev_appz00_bglt) CREF(BgL_ez00_3204))->
															BgL_funz00), BgL_symbzd2funzd2_3214,
														BgL_fz00_3212,
														(((BgL_ev_appz00_bglt) CREF(BgL_ez00_3204))->
															BgL_tailzf3zf3), BgL_stkz00_3205,
														BgL_siza7eza7_3213);
												}
											else
												{	/* Eval/evaluate_comp.scm 994 */
													obj_t BgL_a1z00_3219;
													obj_t BgL_argsz00_3220;

													{	/* Eval/evaluate_comp.scm 994 */
														obj_t BgL_arg3023z00_3246;

														BgL_arg3023z00_3246 =
															CAR(
															(((BgL_ev_appz00_bglt) CREF(BgL_ez00_3204))->
																BgL_argsz00));
														BgL_a1z00_3219 =
															BGl_compz00zz__evaluate_compz00((
																(BgL_ev_exprz00_bglt) BgL_arg3023z00_3246),
															BgL_stkz00_3205);
													}
													BgL_argsz00_3220 =
														CDR(
														(((BgL_ev_appz00_bglt) CREF(BgL_ez00_3204))->
															BgL_argsz00));
													if (NULLP(BgL_argsz00_3220))
														{	/* Eval/evaluate_comp.scm 994 */
															return
																BGl_compzd2call1zd2zz__evaluate_compz00(
																(((BgL_ev_appz00_bglt) CREF(BgL_ez00_3204))->
																	BgL_locz00),
																(((BgL_ev_appz00_bglt) CREF(BgL_ez00_3204))->
																	BgL_funz00), BgL_symbzd2funzd2_3214,
																BgL_fz00_3212,
																(((BgL_ev_appz00_bglt) CREF(BgL_ez00_3204))->
																	BgL_tailzf3zf3), BgL_stkz00_3205,
																BgL_siza7eza7_3213, BgL_a1z00_3219);
														}
													else
														{	/* Eval/evaluate_comp.scm 994 */
															obj_t BgL_a2z00_3225;
															obj_t BgL_argsz00_3226;

															{	/* Eval/evaluate_comp.scm 994 */
																obj_t BgL_arg3022z00_3245;

																BgL_arg3022z00_3245 = CAR(BgL_argsz00_3220);
																BgL_a2z00_3225 =
																	BGl_compz00zz__evaluate_compz00(
																	((BgL_ev_exprz00_bglt) BgL_arg3022z00_3245),
																	BgL_stkz00_3205);
															}
															BgL_argsz00_3226 = CDR(BgL_argsz00_3220);
															if (NULLP(BgL_argsz00_3226))
																{	/* Eval/evaluate_comp.scm 994 */
																	return
																		BGl_compzd2call2zd2zz__evaluate_compz00(
																		(((BgL_ev_appz00_bglt)
																				CREF(BgL_ez00_3204))->BgL_locz00),
																		(((BgL_ev_appz00_bglt)
																				CREF(BgL_ez00_3204))->BgL_funz00),
																		BgL_symbzd2funzd2_3214, BgL_fz00_3212,
																		(((BgL_ev_appz00_bglt)
																				CREF(BgL_ez00_3204))->BgL_tailzf3zf3),
																		BgL_stkz00_3205, BgL_siza7eza7_3213,
																		BgL_a1z00_3219, BgL_a2z00_3225);
																}
															else
																{	/* Eval/evaluate_comp.scm 994 */
																	obj_t BgL_a3z00_3231;
																	obj_t BgL_argsz00_3232;

																	{	/* Eval/evaluate_comp.scm 994 */
																		obj_t BgL_arg3021z00_3244;

																		BgL_arg3021z00_3244 = CAR(BgL_argsz00_3226);
																		BgL_a3z00_3231 =
																			BGl_compz00zz__evaluate_compz00(
																			((BgL_ev_exprz00_bglt)
																				BgL_arg3021z00_3244), BgL_stkz00_3205);
																	}
																	BgL_argsz00_3232 = CDR(BgL_argsz00_3226);
																	if (NULLP(BgL_argsz00_3232))
																		{	/* Eval/evaluate_comp.scm 994 */
																			return
																				BGl_compzd2call3zd2zz__evaluate_compz00(
																				(((BgL_ev_appz00_bglt)
																						CREF(BgL_ez00_3204))->BgL_locz00),
																				(((BgL_ev_appz00_bglt)
																						CREF(BgL_ez00_3204))->BgL_funz00),
																				BgL_symbzd2funzd2_3214, BgL_fz00_3212,
																				(((BgL_ev_appz00_bglt)
																						CREF(BgL_ez00_3204))->
																					BgL_tailzf3zf3), BgL_stkz00_3205,
																				BgL_siza7eza7_3213, BgL_a1z00_3219,
																				BgL_a2z00_3225, BgL_a3z00_3231);
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 994 */
																			obj_t BgL_a4z00_3237;
																			obj_t BgL_argsz00_3238;

																			{	/* Eval/evaluate_comp.scm 994 */
																				obj_t BgL_arg3020z00_3243;

																				BgL_arg3020z00_3243 =
																					CAR(BgL_argsz00_3232);
																				BgL_a4z00_3237 =
																					BGl_compz00zz__evaluate_compz00(
																					((BgL_ev_exprz00_bglt)
																						BgL_arg3020z00_3243),
																					BgL_stkz00_3205);
																			}
																			BgL_argsz00_3238 = CDR(BgL_argsz00_3232);
																			if (NULLP(BgL_argsz00_3238))
																				{	/* Eval/evaluate_comp.scm 994 */
																					return
																						BGl_compzd2call4zd2zz__evaluate_compz00
																						((((BgL_ev_appz00_bglt)
																								CREF(BgL_ez00_3204))->
																							BgL_locz00),
																						(((BgL_ev_appz00_bglt)
																								CREF(BgL_ez00_3204))->
																							BgL_funz00),
																						BgL_symbzd2funzd2_3214,
																						BgL_fz00_3212,
																						(((BgL_ev_appz00_bglt)
																								CREF(BgL_ez00_3204))->
																							BgL_tailzf3zf3), BgL_stkz00_3205,
																						BgL_siza7eza7_3213, BgL_a1z00_3219,
																						BgL_a2z00_3225, BgL_a3z00_3231,
																						BgL_a4z00_3237);
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 994 */
																					return
																						BGl_errorz00zz__errorz00
																						(BGl_string5552z00zz__evaluate_compz00,
																						BGl_string5666z00zz__evaluate_compz00,
																						BGl_string5667z00zz__evaluate_compz00);
																				}
																		}
																}
														}
												}
										}
								}
						}
				}
			}
		}
	}



/* &comp-ev_goto1679 */
	obj_t BGl_z62compzd2ev_goto1679zb0zz__evaluate_compz00(obj_t BgL_envz00_15683,
		BgL_ev_gotoz00_bglt BgL_ez00_15684, obj_t BgL_stkz00_15685)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 570 */
			{
				BgL_ev_gotoz00_bglt BgL_ez00_3161;
				obj_t BgL_stkz00_3162;

				BgL_ez00_3161 = BgL_ez00_15684;
				BgL_stkz00_3162 = BgL_stkz00_15685;
				{	/* Eval/evaluate_comp.scm 573 */
					obj_t BgL_slotz00_3166;
					long BgL_siza7eza7_3167;
					obj_t BgL_lstkz00_3168;

					BgL_slotz00_3166 =
						BGl_assqz00zz__r4_pairs_and_lists_6_3z00(
						((obj_t)
							(((BgL_ev_gotoz00_bglt) CREF(BgL_ez00_3161))->BgL_labelz00)),
						(((BgL_ev_labelsz00_bglt) CREF(
									(((BgL_ev_gotoz00_bglt) CREF(BgL_ez00_3161))->
										BgL_labelsz00)))->BgL_envz00));
					BgL_siza7eza7_3167 = bgl_list_length(BgL_stkz00_3162);
					BgL_lstkz00_3168 =
						(((BgL_ev_labelsz00_bglt) CREF(
								(((BgL_ev_gotoz00_bglt) CREF(BgL_ez00_3161))->BgL_labelsz00)))->
						BgL_stkz00);
					{	/* Eval/evaluate_comp.scm 575 */
						long BgL_llstkz00_3169;
						obj_t BgL_substkz00_3170;
						obj_t BgL_boxesz00_3171;

						BgL_llstkz00_3169 = bgl_list_length(BgL_lstkz00_3168);
						BgL_substkz00_3170 =
							BGl_subzd2stkzd2zz__evaluate_compz00(BgL_lstkz00_3168,
							BgL_stkz00_3162);
						{	/* Eval/evaluate_comp.scm 575 */
							obj_t BgL_pairz00_9894;

							BgL_pairz00_9894 =
								BGl_assqz00zz__r4_pairs_and_lists_6_3z00(
								((obj_t)
									(((BgL_ev_gotoz00_bglt) CREF(BgL_ez00_3161))->BgL_labelz00)),
								(((BgL_ev_labelsz00_bglt) CREF(
											(((BgL_ev_gotoz00_bglt) CREF(BgL_ez00_3161))->
												BgL_labelsz00)))->BgL_boxesz00));
							BgL_boxesz00_3171 = CDR(BgL_pairz00_9894);
						}
						if (BGl_needzd2shiftzd2zz__evaluate_compz00(
								(((BgL_ev_gotoz00_bglt) CREF(BgL_ez00_3161))->BgL_argsz00),
								BgL_substkz00_3170))
							{	/* Eval/evaluate_comp.scm 578 */
								obj_t BgL_argsz00_3173;
								long BgL_nbargsz00_3174;

								BgL_argsz00_3173 =
									BGl_compzd2withzd2pushz00zz__evaluate_compz00(
									(((BgL_ev_gotoz00_bglt) CREF(BgL_ez00_3161))->BgL_argsz00),
									BgL_stkz00_3162);
								BgL_nbargsz00_3174 =
									bgl_list_length((((BgL_ev_gotoz00_bglt) CREF(BgL_ez00_3161))->
										BgL_argsz00));
								{	/* Eval/evaluate_comp.scm 579 */
									obj_t BgL_zc3anonymousza32978ze3z83_14687;

									BgL_zc3anonymousza32978ze3z83_14687 =
										MAKE_FX_PROCEDURE
										(BGl_z62zc3anonymousza32978ze3ze1zz__evaluate_compz00,
										(int) (((long) 1)), (int) (((long) 7)));
									PROCEDURE_SET(BgL_zc3anonymousza32978ze3z83_14687,
										(int) (((long) 0)), BINT(BgL_siza7eza7_3167));
									PROCEDURE_SET(BgL_zc3anonymousza32978ze3z83_14687,
										(int) (((long) 1)), BINT(BgL_llstkz00_3169));
									PROCEDURE_SET(BgL_zc3anonymousza32978ze3z83_14687,
										(int) (((long) 2)), ((obj_t) BgL_ez00_3161));
									PROCEDURE_SET(BgL_zc3anonymousza32978ze3z83_14687,
										(int) (((long) 3)), BgL_argsz00_3173);
									PROCEDURE_SET(BgL_zc3anonymousza32978ze3z83_14687,
										(int) (((long) 4)), BgL_boxesz00_3171);
									PROCEDURE_SET(BgL_zc3anonymousza32978ze3z83_14687,
										(int) (((long) 5)), BINT(BgL_nbargsz00_3174));
									PROCEDURE_SET(BgL_zc3anonymousza32978ze3z83_14687,
										(int) (((long) 6)), BgL_slotz00_3166);
									return BgL_zc3anonymousza32978ze3z83_14687;
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 584 */
								obj_t BgL_argsz00_3185;

								BgL_argsz00_3185 =
									BGl_recz00zz__evaluate_compz00(BgL_stkz00_3162,
									(((BgL_ev_gotoz00_bglt) CREF(BgL_ez00_3161))->BgL_argsz00),
									(BgL_siza7eza7_3167 - BgL_llstkz00_3169));
								{	/* Eval/evaluate_comp.scm 585 */
									obj_t BgL_zc3anonymousza32984ze3z83_14688;

									BgL_zc3anonymousza32984ze3z83_14688 =
										MAKE_FX_PROCEDURE
										(BGl_z62zc3anonymousza32984ze3ze1zz__evaluate_compz00,
										(int) (((long) 1)), (int) (((long) 5)));
									PROCEDURE_SET(BgL_zc3anonymousza32984ze3z83_14688,
										(int) (((long) 0)), BINT(BgL_llstkz00_3169));
									PROCEDURE_SET(BgL_zc3anonymousza32984ze3z83_14688,
										(int) (((long) 1)), ((obj_t) BgL_ez00_3161));
									PROCEDURE_SET(BgL_zc3anonymousza32984ze3z83_14688,
										(int) (((long) 2)), BgL_argsz00_3185);
									PROCEDURE_SET(BgL_zc3anonymousza32984ze3z83_14688,
										(int) (((long) 3)), BgL_boxesz00_3171);
									PROCEDURE_SET(BgL_zc3anonymousza32984ze3z83_14688,
										(int) (((long) 4)), BgL_slotz00_3166);
									return BgL_zc3anonymousza32984ze3z83_14688;
								}
							}
					}
				}
			}
		}
	}



/* &<anonymous:2978> */
	obj_t BGl_z62zc3anonymousza32978ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15686, obj_t BgL_sz00_15694)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 579 */
			{	/* Eval/evaluate_comp.scm 579 */
				long BgL_siza7eza7_15687;
				long BgL_llstkz00_15688;
				BgL_ev_gotoz00_bglt BgL_i1138z00_15689;
				obj_t BgL_argsz00_15690;
				obj_t BgL_boxesz00_15691;
				long BgL_nbargsz00_15692;
				obj_t BgL_slotz00_15693;

				BgL_siza7eza7_15687 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15686, (int) (((long) 0))));
				BgL_llstkz00_15688 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15686, (int) (((long) 1))));
				BgL_i1138z00_15689 =
					((BgL_ev_gotoz00_bglt)
					PROCEDURE_REF(BgL_envz00_15686, (int) (((long) 2))));
				BgL_argsz00_15690 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15686, (int) (((long) 3))));
				BgL_boxesz00_15691 =
					PROCEDURE_REF(BgL_envz00_15686, (int) (((long) 4)));
				BgL_nbargsz00_15692 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15686, (int) (((long) 5))));
				BgL_slotz00_15693 = PROCEDURE_REF(BgL_envz00_15686, (int) (((long) 6)));
				{
					obj_t BgL_sz00_3175;

					BgL_sz00_3175 = BgL_sz00_15694;
					{	/* Eval/evaluate_comp.scm 579 */
						obj_t BgL_bpz00_3177;

						BgL_bpz00_3177 = VECTOR_REF(BgL_sz00_3175, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 580 */
							long BgL_spz00_3178;
							long BgL_lspz00_3179;

							BgL_spz00_3178 =
								((long) CINT(BgL_bpz00_3177) + BgL_siza7eza7_15687);
							BgL_lspz00_3179 =
								((long) CINT(BgL_bpz00_3177) + BgL_llstkz00_15688);
							BGl_pushzd2boxeszd2argszd2onzd2spz00zz__evaluate_compz00
								(BgL_sz00_3175, BgL_argsz00_15690, BgL_boxesz00_15691,
								BgL_spz00_3178,
								(((BgL_ev_gotoz00_bglt) CREF(BgL_i1138z00_15689))->BgL_locz00));
							{	/* Eval/evaluate_comp.scm 582 */
								long BgL_arg2980z00_3181;

								BgL_arg2980z00_3181 = (BgL_spz00_3178 + BgL_nbargsz00_15692);
								BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_sz00_3175,
									BINT(BgL_lspz00_3179), BgL_sz00_3175,
									BINT(BgL_spz00_3178), BINT(BgL_arg2980z00_3181));
							}
							return CDR(BgL_slotz00_15693);
						}
					}
				}
			}
		}
	}



/* &<anonymous:2984> */
	obj_t BGl_z62zc3anonymousza32984ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15695, obj_t BgL_sz00_15701)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 585 */
			{	/* Eval/evaluate_comp.scm 585 */
				long BgL_llstkz00_15696;
				BgL_ev_gotoz00_bglt BgL_i1138z00_15697;
				obj_t BgL_argsz00_15698;
				obj_t BgL_boxesz00_15699;
				obj_t BgL_slotz00_15700;

				BgL_llstkz00_15696 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15695, (int) (((long) 0))));
				BgL_i1138z00_15697 =
					((BgL_ev_gotoz00_bglt)
					PROCEDURE_REF(BgL_envz00_15695, (int) (((long) 1))));
				BgL_argsz00_15698 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15695, (int) (((long) 2))));
				BgL_boxesz00_15699 =
					PROCEDURE_REF(BgL_envz00_15695, (int) (((long) 3)));
				BgL_slotz00_15700 = PROCEDURE_REF(BgL_envz00_15695, (int) (((long) 4)));
				{
					obj_t BgL_sz00_3186;

					BgL_sz00_3186 = BgL_sz00_15701;
					{	/* Eval/evaluate_comp.scm 585 */
						obj_t BgL_bpz00_3188;

						BgL_bpz00_3188 = VECTOR_REF(BgL_sz00_3186, (int) (((long) 0)));
						BGl_pushzd2boxeszd2argszd2onzd2spz00zz__evaluate_compz00
							(BgL_sz00_3186, BgL_argsz00_15698, BgL_boxesz00_15699,
							((long) CINT(BgL_bpz00_3188) + BgL_llstkz00_15696),
							(((BgL_ev_gotoz00_bglt) CREF(BgL_i1138z00_15697))->BgL_locz00));
						return CDR(BgL_slotz00_15700);
					}
				}
			}
		}
	}



/* &comp-ev_labels1677 */
	obj_t BGl_z62compzd2ev_labels1677zb0zz__evaluate_compz00(obj_t
		BgL_envz00_15702, BgL_ev_labelsz00_bglt BgL_ez00_15703,
		obj_t BgL_stkz00_15704)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 538 */
			{
				BgL_ev_labelsz00_bglt BgL_ez00_3115;
				obj_t BgL_stkz00_3116;

				BgL_ez00_3115 = BgL_ez00_15703;
				BgL_stkz00_3116 = BgL_stkz00_15704;
				((((BgL_ev_labelsz00_bglt) CREF(BgL_ez00_3115))->BgL_stkz00) =
					((obj_t) BgL_stkz00_3116), BUNSPEC);
				{	/* Eval/evaluate_comp.scm 545 */
					obj_t BgL_envz00_3121;

					{	/* Eval/evaluate_comp.scm 545 */
						obj_t BgL_l1585z00_3139;

						BgL_l1585z00_3139 =
							(((BgL_ev_labelsz00_bglt) CREF(BgL_ez00_3115))->BgL_varsz00);
						if (NULLP(BgL_l1585z00_3139))
							{	/* Eval/evaluate_comp.scm 545 */
								BgL_envz00_3121 = BNIL;
							}
						else
							{	/* Eval/evaluate_comp.scm 545 */
								obj_t BgL_head1587z00_3141;

								{	/* Eval/evaluate_comp.scm 545 */
									obj_t BgL_res4932z00_9804;

									BgL_res4932z00_9804 = MAKE_PAIR(BNIL, BNIL);
									BgL_head1587z00_3141 = BgL_res4932z00_9804;
								}
								{
									obj_t BgL_l1585z00_9838;
									obj_t BgL_tail1588z00_9839;

									BgL_l1585z00_9838 = BgL_l1585z00_3139;
									BgL_tail1588z00_9839 = BgL_head1587z00_3141;
								BgL_zc3anonymousza32970ze3z83_9837:
									if (NULLP(BgL_l1585z00_9838))
										{	/* Eval/evaluate_comp.scm 545 */
											BgL_envz00_3121 = CDR(BgL_head1587z00_3141);
										}
									else
										{	/* Eval/evaluate_comp.scm 545 */
											obj_t BgL_newtail1589z00_9846;

											{	/* Eval/evaluate_comp.scm 545 */
												obj_t BgL_arg2973z00_9847;

												{	/* Eval/evaluate_comp.scm 545 */
													obj_t BgL_vz00_9848;

													BgL_vz00_9848 = CAR(BgL_l1585z00_9838);
													BgL_arg2973z00_9847 =
														MAKE_PAIR(BgL_vz00_9848,
														BGl_symbol5668z00zz__evaluate_compz00);
												}
												{	/* Eval/evaluate_comp.scm 545 */
													obj_t BgL_res4938z00_9856;

													BgL_res4938z00_9856 =
														MAKE_PAIR(BgL_arg2973z00_9847, BNIL);
													BgL_newtail1589z00_9846 = BgL_res4938z00_9856;
												}
											}
											SET_CDR(BgL_tail1588z00_9839, BgL_newtail1589z00_9846);
											{
												obj_t BgL_tail1588z00_28588;
												obj_t BgL_l1585z00_28586;

												BgL_l1585z00_28586 = CDR(BgL_l1585z00_9838);
												BgL_tail1588z00_28588 = BgL_newtail1589z00_9846;
												BgL_tail1588z00_9839 = BgL_tail1588z00_28588;
												BgL_l1585z00_9838 = BgL_l1585z00_28586;
												goto BgL_zc3anonymousza32970ze3z83_9837;
											}
										}
								}
							}
					}
					((((BgL_ev_labelsz00_bglt) CREF(BgL_ez00_3115))->BgL_envz00) =
						((obj_t) BgL_envz00_3121), BUNSPEC);
					{	/* Eval/evaluate_comp.scm 548 */
						obj_t BgL_g1593z00_3123;

						BgL_g1593z00_3123 =
							(((BgL_ev_labelsz00_bglt) CREF(BgL_ez00_3115))->BgL_valsz00);
						{
							obj_t BgL_ll1590z00_3125;
							obj_t BgL_ll1591z00_3126;

							BgL_ll1590z00_3125 = BgL_envz00_3121;
							BgL_ll1591z00_3126 = BgL_g1593z00_3123;
						BgL_zc3anonymousza32960ze3z83_3127:
							if (NULLP(BgL_ll1590z00_3125))
								{	/* Eval/evaluate_comp.scm 548 */
									((bool_t) 1);
								}
							else
								{	/* Eval/evaluate_comp.scm 548 */
									{	/* Eval/evaluate_comp.scm 550 */
										obj_t BgL_slotz00_3129;
										obj_t BgL_valz00_3130;

										BgL_slotz00_3129 = CAR(BgL_ll1590z00_3125);
										BgL_valz00_3130 = CAR(BgL_ll1591z00_3126);
										{	/* Eval/evaluate_comp.scm 551 */
											obj_t BgL_arg2962z00_3131;

											{	/* Eval/evaluate_comp.scm 551 */
												obj_t BgL_arg2963z00_3132;

												{	/* Eval/evaluate_comp.scm 551 */
													obj_t BgL_arg2964z00_3133;
													obj_t BgL_arg2965z00_3134;

													BgL_arg2964z00_3133 = CDR(BgL_valz00_3130);
													BgL_arg2965z00_3134 =
														BGl_appendzd221011zd2zz__evaluate_compz00
														(BgL_stkz00_3116, CAR(BgL_valz00_3130));
													BgL_arg2963z00_3132 =
														BGl_compz00zz__evaluate_compz00((
															(BgL_ev_exprz00_bglt) BgL_arg2964z00_3133),
														BgL_arg2965z00_3134);
												}
												{	/* Eval/evaluate_comp.scm 551 */
													obj_t BgL_procz00_9867;
													obj_t BgL_objz00_9868;

													BgL_procz00_9867 = BgL_arg2963z00_3132;
													BgL_objz00_9868 =
														BGl_za2za2azd2labelza2za2zd2zz__evaluate_compz00;
													PROCEDURE_ATTR_SET(BgL_procz00_9867, BgL_objz00_9868);
													BgL_objz00_9868;
												}
												BgL_arg2962z00_3131 = BgL_arg2963z00_3132;
											}
											SET_CDR(BgL_slotz00_3129, BgL_arg2962z00_3131);
										}
									}
									{
										obj_t BgL_ll1591z00_28604;
										obj_t BgL_ll1590z00_28602;

										BgL_ll1590z00_28602 = CDR(BgL_ll1590z00_3125);
										BgL_ll1591z00_28604 = CDR(BgL_ll1591z00_3126);
										BgL_ll1591z00_3126 = BgL_ll1591z00_28604;
										BgL_ll1590z00_3125 = BgL_ll1590z00_28602;
										goto BgL_zc3anonymousza32960ze3z83_3127;
									}
								}
						}
					}
				}
				{	/* Eval/evaluate_comp.scm 555 */
					obj_t BgL_bodyz00_3152;

					BgL_bodyz00_3152 =
						BGl_compz00zz__evaluate_compz00(
						(((BgL_ev_labelsz00_bglt) CREF(BgL_ez00_3115))->BgL_bodyz00),
						BgL_stkz00_3116);
					{	/* Eval/evaluate_comp.scm 556 */
						obj_t BgL_zc3anonymousza32974ze3z83_14690;

						BgL_zc3anonymousza32974ze3z83_14690 =
							MAKE_FX_PROCEDURE
							(BGl_z62zc3anonymousza32974ze3ze1zz__evaluate_compz00,
							(int) (((long) 1)), (int) (((long) 1)));
						PROCEDURE_SET(BgL_zc3anonymousza32974ze3z83_14690,
							(int) (((long) 0)), BgL_bodyz00_3152);
						return BgL_zc3anonymousza32974ze3z83_14690;
					}
				}
			}
		}
	}



/* &<anonymous:2974> */
	obj_t BGl_z62zc3anonymousza32974ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15705, obj_t BgL_sz00_15707)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 556 */
			{	/* Eval/evaluate_comp.scm 556 */
				obj_t BgL_bodyz00_15706;

				BgL_bodyz00_15706 = PROCEDURE_REF(BgL_envz00_15705, (int) (((long) 0)));
				{
					obj_t BgL_sz00_3153;

					BgL_sz00_3153 = BgL_sz00_15707;
					{	/* Eval/evaluate_comp.scm 556 */
						obj_t BgL_bpz00_9873;

						BgL_bpz00_9873 = VECTOR_REF(BgL_sz00_3153, (int) (((long) 0)));
						{
							obj_t BgL_fz00_9879;

							BgL_fz00_9879 = BgL_bodyz00_15706;
						BgL_recz00_9878:
							{	/* Eval/evaluate_comp.scm 556 */
								obj_t BgL_rz00_9880;

								BgL_rz00_9880 =
									PROCEDURE_ENTRY(BgL_fz00_9879) (BgL_fz00_9879, BgL_sz00_3153,
									BEOA);
								{	/* Eval/evaluate_comp.scm 556 */
									bool_t BgL_testz00_28621;

									if (PROCEDUREP(BgL_rz00_9880))
										{	/* Eval/evaluate_comp.scm 556 */
											obj_t BgL_arg1862z00_9883;

											BgL_arg1862z00_9883 = PROCEDURE_ATTR(BgL_rz00_9880);
											if (STRUCTP(BgL_arg1862z00_9883))
												{	/* Eval/evaluate_comp.scm 556 */
													BgL_testz00_28621 =
														(STRUCT_KEY(BgL_arg1862z00_9883) ==
														BGl_symbol5546z00zz__evaluate_compz00);
												}
											else
												{	/* Eval/evaluate_comp.scm 556 */
													BgL_testz00_28621 = ((bool_t) 0);
												}
										}
									else
										{	/* Eval/evaluate_comp.scm 556 */
											BgL_testz00_28621 = ((bool_t) 0);
										}
									if (BgL_testz00_28621)
										{
											obj_t BgL_fz00_28629;

											BgL_fz00_28629 = BgL_rz00_9880;
											BgL_fz00_9879 = BgL_fz00_28629;
											goto BgL_recz00_9878;
										}
									else
										{	/* Eval/evaluate_comp.scm 556 */
											return BgL_rz00_9880;
										}
								}
							}
						}
					}
				}
			}
		}
	}



/* &comp-ev_with-handler1675 */
	obj_t BGl_z62compzd2ev_withzd2handler1675z62zz__evaluate_compz00(obj_t
		BgL_envz00_15708, BgL_ev_withzd2handlerzd2_bglt BgL_ez00_15709,
		obj_t BgL_stkz00_15710)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 525 */
			{
				BgL_ev_withzd2handlerzd2_bglt BgL_ez00_3077;
				obj_t BgL_stkz00_3078;

				BgL_ez00_3077 = BgL_ez00_15709;
				BgL_stkz00_3078 = BgL_stkz00_15710;
				{	/* Eval/evaluate_comp.scm 527 */
					obj_t BgL_handlerz00_3082;
					obj_t BgL_bodyz00_3083;

					BgL_handlerz00_3082 =
						BGl_compz00zz__evaluate_compz00(
						(((BgL_ev_withzd2handlerzd2_bglt) CREF(BgL_ez00_3077))->
							BgL_handlerz00), BgL_stkz00_3078);
					BgL_bodyz00_3083 =
						BGl_compz00zz__evaluate_compz00((((BgL_ev_withzd2handlerzd2_bglt)
								CREF(BgL_ez00_3077))->BgL_bodyz00), BgL_stkz00_3078);
					{	/* Eval/evaluate_comp.scm 528 */
						obj_t BgL_zc3anonymousza32948ze3z83_14693;

						BgL_zc3anonymousza32948ze3z83_14693 =
							MAKE_FX_PROCEDURE
							(BGl_z62zc3anonymousza32948ze3ze1zz__evaluate_compz00,
							(int) (((long) 1)), (int) (((long) 2)));
						PROCEDURE_SET(BgL_zc3anonymousza32948ze3z83_14693,
							(int) (((long) 0)), BgL_handlerz00_3082);
						PROCEDURE_SET(BgL_zc3anonymousza32948ze3z83_14693,
							(int) (((long) 1)), BgL_bodyz00_3083);
						return BgL_zc3anonymousza32948ze3z83_14693;
					}
				}
			}
		}
	}



/* &<anonymous:2948> */
	obj_t BGl_z62zc3anonymousza32948ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15711, obj_t BgL_sz00_15714)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 528 */
			{	/* Eval/evaluate_comp.scm 528 */
				obj_t BgL_handlerz00_15712;
				obj_t BgL_bodyz00_15713;

				BgL_handlerz00_15712 =
					PROCEDURE_REF(BgL_envz00_15711, (int) (((long) 0)));
				BgL_bodyz00_15713 = PROCEDURE_REF(BgL_envz00_15711, (int) (((long) 1)));
				{
					obj_t BgL_sz00_3084;

					BgL_sz00_3084 = BgL_sz00_15714;
					{	/* Eval/evaluate_comp.scm 528 */
						obj_t BgL_bpz00_3086;

						BgL_bpz00_3086 = VECTOR_REF(BgL_sz00_3084, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 529 */
							obj_t BgL_hz00_3087;

							BgL_hz00_3087 =
								PROCEDURE_ENTRY(BgL_handlerz00_15712) (BgL_handlerz00_15712,
								BgL_sz00_3084, BEOA);
							{	/* Eval/evaluate_comp.scm 531 */
								obj_t BgL_za2za2resza2za2z00_3089;

								{	/* Eval/evaluate_comp.scm 531 */
									obj_t BgL_res1126z00_3090;

									BgL_res1126z00_3090 = MAKE_CELL(BUNSPEC);
									if (CBOOL(BGl_zc3exitza32950ze3z83zz__evaluate_compz00
											(BgL_sz00_3084, BgL_bodyz00_15713, BgL_res1126z00_3090)))
										{	/* Eval/evaluate_comp.scm 531 */
											BgL_za2za2resza2za2z00_3089 =
												PROCEDURE_ENTRY(BgL_hz00_3087) (BgL_hz00_3087,
												CELL_REF(BgL_res1126z00_3090), BEOA);
										}
									else
										{	/* Eval/evaluate_comp.scm 531 */
											BgL_za2za2resza2za2z00_3089 =
												CELL_REF(BgL_res1126z00_3090);
										}
								}
								VECTOR_SET(BgL_sz00_3084, (int) (((long) 0)), BgL_bpz00_3086);
								return BgL_za2za2resza2za2z00_3089;
							}
						}
					}
				}
			}
		}
	}



/* <exit:2954> */
	obj_t BGl_zc3exitza32954ze3z83zz__evaluate_compz00(obj_t BgL_sz00_15894,
		obj_t BgL_bodyz00_15893, obj_t BgL_ohs1124z00_15892,
		obj_t BgL_an_exitd1130z00_15891, obj_t BgL_res1126z00_15890)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 531 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1134z00_3105;

			if (SET_EXIT(BgL_an_exit1134z00_3105))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1134z00_3105 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 531 */

						PUSH_EXIT(BgL_an_exit1134z00_3105, ((long) 0));
						{	/* Eval/evaluate_comp.scm 531 */
							bool_t BgL_val1135z00_3106;

							{	/* Eval/evaluate_comp.scm 531 */
								obj_t BgL_arg2955z00_3107;

								{	/* Eval/evaluate_comp.scm 531 */
									obj_t BgL_zc3anonymousza32957ze3z83_14692;

									BgL_zc3anonymousza32957ze3z83_14692 =
										MAKE_FX_PROCEDURE
										(BGl_z62zc3anonymousza32957ze3ze1zz__evaluate_compz00,
										(int) (((long) 1)), (int) (((long) 2)));
									PROCEDURE_SET(BgL_zc3anonymousza32957ze3z83_14692,
										(int) (((long) 0)), BgL_res1126z00_15890);
									PROCEDURE_SET(BgL_zc3anonymousza32957ze3z83_14692,
										(int) (((long) 1)), BgL_an_exitd1130z00_15891);
									BgL_arg2955z00_3107 =
										MAKE_PAIR(BgL_zc3anonymousza32957ze3z83_14692,
										BgL_ohs1124z00_15892);
								}
								BGL_ERROR_HANDLER_SET(BgL_arg2955z00_3107);
								BUNSPEC;
							}
							{	/* Eval/evaluate_comp.scm 531 */
								obj_t BgL_auxz00_15715;

								BgL_auxz00_15715 =
									PROCEDURE_ENTRY(BgL_bodyz00_15893) (BgL_bodyz00_15893,
									BgL_sz00_15894, BEOA);
								CELL_SET(BgL_res1126z00_15890, BgL_auxz00_15715);
							}
							BgL_val1135z00_3106 = ((bool_t) 0);
							POP_EXIT();
							return BBOOL(BgL_val1135z00_3106);
						}
					}
				}
		}
	}



/* <exit:2950> */
	obj_t BGl_zc3exitza32950ze3z83zz__evaluate_compz00(obj_t BgL_sz00_15897,
		obj_t BgL_bodyz00_15896, obj_t BgL_res1126z00_15895)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 531 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1129z00_3094;

			if (SET_EXIT(BgL_an_exit1129z00_3094))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1129z00_3094 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 531 */

						PUSH_EXIT(BgL_an_exit1129z00_3094, ((long) 1));
						{	/* Eval/evaluate_comp.scm 531 */
							obj_t BgL_an_exitd1130z00_3095;

							BgL_an_exitd1130z00_3095 = BGL_EXITD_TOP_AS_OBJ();
							{	/* Eval/evaluate_comp.scm 531 */
								obj_t BgL_res1132z00_3098;

								{	/* Eval/evaluate_comp.scm 531 */
									obj_t BgL_ohs1124z00_3099;

									BgL_ohs1124z00_3099 = BGL_ERROR_HANDLER_GET();
									{	/* Eval/evaluate_comp.scm 531 */
										obj_t BgL_val1133z00_3100;

										BgL_val1133z00_3100 =
											BGl_zc3exitza32954ze3z83zz__evaluate_compz00
											(BgL_sz00_15897, BgL_bodyz00_15896, BgL_ohs1124z00_3099,
											BgL_an_exitd1130z00_3095, BgL_res1126z00_15895);
										BGL_ERROR_HANDLER_SET(BgL_ohs1124z00_3099);
										BUNSPEC;
										if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
												(BgL_val1133z00_3100)))
											{	/* Eval/evaluate_comp.scm 531 */
												BgL_res1132z00_3098 =
													BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
													(BgL_val1133z00_3100), CDR(BgL_val1133z00_3100));
											}
										else
											{	/* Eval/evaluate_comp.scm 531 */
												BgL_res1132z00_3098 = BgL_val1133z00_3100;
											}
									}
								}
								POP_EXIT();
								return BgL_res1132z00_3098;
							}
						}
					}
				}
		}
	}



/* &<anonymous:2957> */
	obj_t BGl_z62zc3anonymousza32957ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15716, obj_t BgL_ez00_15719)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 531 */
			{	/* Eval/evaluate_comp.scm 531 */
				obj_t BgL_res1126z00_15717;
				obj_t BgL_an_exitd1130z00_15718;

				BgL_res1126z00_15717 =
					PROCEDURE_REF(BgL_envz00_15716, (int) (((long) 0)));
				BgL_an_exitd1130z00_15718 =
					PROCEDURE_REF(BgL_envz00_15716, (int) (((long) 1)));
				{
					obj_t BgL_ez00_3109;

					BgL_ez00_3109 = BgL_ez00_15719;
					CELL_SET(BgL_res1126z00_15717, BgL_ez00_3109);
					return
						BGl_unwindzd2untilz12zc0zz__bexitz00(BgL_an_exitd1130z00_15718,
						BTRUE);
				}
			}
		}
	}



/* &comp-ev_unwind-prote1673 */
	obj_t BGl_z62compzd2ev_unwindzd2prote1673z62zz__evaluate_compz00(obj_t
		BgL_envz00_15721, BgL_ev_unwindzd2protectzd2_bglt BgL_ez00_15722,
		obj_t BgL_stkz00_15723)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 516 */
			{
				BgL_ev_unwindzd2protectzd2_bglt BgL_ez00_3056;
				obj_t BgL_stkz00_3057;

				BgL_ez00_3056 = BgL_ez00_15722;
				BgL_stkz00_3057 = BgL_stkz00_15723;
				{	/* Eval/evaluate_comp.scm 518 */
					obj_t BgL_ez00_3061;
					obj_t BgL_bodyz00_3062;

					BgL_ez00_3061 =
						BGl_compz00zz__evaluate_compz00(
						(((BgL_ev_unwindzd2protectzd2_bglt) CREF(BgL_ez00_3056))->BgL_ez00),
						BgL_stkz00_3057);
					BgL_bodyz00_3062 =
						BGl_compz00zz__evaluate_compz00((((BgL_ev_unwindzd2protectzd2_bglt)
								CREF(BgL_ez00_3056))->BgL_bodyz00), BgL_stkz00_3057);
					{	/* Eval/evaluate_comp.scm 519 */
						obj_t BgL_zc3anonymousza32941ze3z83_14695;

						BgL_zc3anonymousza32941ze3z83_14695 =
							MAKE_FX_PROCEDURE
							(BGl_z62zc3anonymousza32941ze3ze1zz__evaluate_compz00,
							(int) (((long) 1)), (int) (((long) 2)));
						PROCEDURE_SET(BgL_zc3anonymousza32941ze3z83_14695,
							(int) (((long) 0)), BgL_ez00_3061);
						PROCEDURE_SET(BgL_zc3anonymousza32941ze3z83_14695,
							(int) (((long) 1)), BgL_bodyz00_3062);
						return BgL_zc3anonymousza32941ze3z83_14695;
					}
				}
			}
		}
	}



/* &<anonymous:2941> */
	obj_t BGl_z62zc3anonymousza32941ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15724, obj_t BgL_sz00_15727)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 519 */
			{	/* Eval/evaluate_comp.scm 519 */
				obj_t BgL_ez00_15725;
				obj_t BgL_bodyz00_15726;

				BgL_ez00_15725 = PROCEDURE_REF(BgL_envz00_15724, (int) (((long) 0)));
				BgL_bodyz00_15726 = PROCEDURE_REF(BgL_envz00_15724, (int) (((long) 1)));
				{
					obj_t BgL_sz00_3063;

					BgL_sz00_3063 = BgL_sz00_15727;
					{	/* Eval/evaluate_comp.scm 519 */
						obj_t BgL_bpz00_3065;

						BgL_bpz00_3065 = VECTOR_REF(BgL_sz00_3063, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 521 */
							obj_t BgL_val1120z00_3067;

							BgL_val1120z00_3067 =
								BGl_zc3exitza32945ze3z83zz__evaluate_compz00(BgL_sz00_3063,
								BgL_ez00_15725);
							VECTOR_SET(BgL_sz00_3063, (int) (((long) 0)), BgL_bpz00_3065);
							PROCEDURE_ENTRY(BgL_bodyz00_15726) (BgL_bodyz00_15726,
								BgL_sz00_3063, BEOA);
							if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
									(BgL_val1120z00_3067)))
								{	/* Eval/evaluate_comp.scm 523 */
									return
										BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
										(BgL_val1120z00_3067), CDR(BgL_val1120z00_3067));
								}
							else
								{	/* Eval/evaluate_comp.scm 523 */
									return BgL_val1120z00_3067;
								}
						}
					}
				}
			}
		}
	}



/* <exit:2945> */
	obj_t BGl_zc3exitza32945ze3z83zz__evaluate_compz00(obj_t BgL_sz00_15889,
		obj_t BgL_ez00_15888)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 522 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1121z00_3072;

			if (SET_EXIT(BgL_an_exit1121z00_3072))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1121z00_3072 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 522 */

						PUSH_EXIT(BgL_an_exit1121z00_3072, ((long) 0));
						{	/* Eval/evaluate_comp.scm 521 */
							obj_t BgL_val1122z00_3073;

							BgL_val1122z00_3073 =
								PROCEDURE_ENTRY(BgL_ez00_15888) (BgL_ez00_15888, BgL_sz00_15889,
								BEOA);
							POP_EXIT();
							return BgL_val1122z00_3073;
						}
					}
				}
		}
	}



/* &comp-ev_bind-exit1671 */
	obj_t BGl_z62compzd2ev_bindzd2exit1671z62zz__evaluate_compz00(obj_t
		BgL_envz00_15728, BgL_ev_bindzd2exitzd2_bglt BgL_ez00_15729,
		obj_t BgL_stkz00_15730)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 505 */
			{
				BgL_ev_bindzd2exitzd2_bglt BgL_ez00_3029;
				obj_t BgL_stkz00_3030;

				BgL_ez00_3029 = BgL_ez00_15729;
				BgL_stkz00_3030 = BgL_stkz00_15730;
				{	/* Eval/evaluate_comp.scm 507 */
					long BgL_siza7eza7_3034;
					obj_t BgL_nstkz00_3035;

					BgL_siza7eza7_3034 = bgl_list_length(BgL_stkz00_3030);
					{	/* Eval/evaluate_comp.scm 507 */
						obj_t BgL_arg2939z00_3053;

						{	/* Eval/evaluate_comp.scm 507 */
							BgL_ev_varz00_bglt BgL_arg2940z00_3054;

							BgL_arg2940z00_3054 =
								(((BgL_ev_bindzd2exitzd2_bglt) CREF(BgL_ez00_3029))->
								BgL_varz00);
							BgL_arg2939z00_3053 =
								MAKE_PAIR(((obj_t) BgL_arg2940z00_3054), BNIL);
						}
						BgL_nstkz00_3035 =
							BGl_appendzd221011zd2zz__evaluate_compz00(BgL_stkz00_3030,
							BgL_arg2939z00_3053);
					}
					{	/* Eval/evaluate_comp.scm 508 */
						obj_t BgL_bodyz00_3036;
						obj_t BgL_effzf3zf3_3037;

						BgL_bodyz00_3036 =
							BGl_compz00zz__evaluate_compz00(
							(((BgL_ev_bindzd2exitzd2_bglt) CREF(BgL_ez00_3029))->BgL_bodyz00),
							BgL_nstkz00_3035);
						BgL_effzf3zf3_3037 =
							(((BgL_ev_varz00_bglt) CREF((((BgL_ev_bindzd2exitzd2_bglt)
											CREF(BgL_ez00_3029))->BgL_varz00)))->BgL_effz00);
						{	/* Eval/evaluate_comp.scm 509 */
							obj_t BgL_zc3anonymousza32934ze3z83_14698;

							BgL_zc3anonymousza32934ze3z83_14698 =
								MAKE_FX_PROCEDURE
								(BGl_z62zc3anonymousza32934ze3ze1zz__evaluate_compz00,
								(int) (((long) 1)), (int) (((long) 3)));
							PROCEDURE_SET(BgL_zc3anonymousza32934ze3z83_14698,
								(int) (((long) 0)), BINT(BgL_siza7eza7_3034));
							PROCEDURE_SET(BgL_zc3anonymousza32934ze3z83_14698,
								(int) (((long) 1)), BgL_effzf3zf3_3037);
							PROCEDURE_SET(BgL_zc3anonymousza32934ze3z83_14698,
								(int) (((long) 2)), BgL_bodyz00_3036);
							return BgL_zc3anonymousza32934ze3z83_14698;
						}
					}
				}
			}
		}
	}



/* &<anonymous:2934> */
	obj_t BGl_z62zc3anonymousza32934ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15731, obj_t BgL_sz00_15735)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 509 */
			{	/* Eval/evaluate_comp.scm 509 */
				long BgL_siza7eza7_15732;
				obj_t BgL_effzf3zf3_15733;
				obj_t BgL_bodyz00_15734;

				BgL_siza7eza7_15732 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15731, (int) (((long) 0))));
				BgL_effzf3zf3_15733 =
					PROCEDURE_REF(BgL_envz00_15731, (int) (((long) 1)));
				BgL_bodyz00_15734 = PROCEDURE_REF(BgL_envz00_15731, (int) (((long) 2)));
				{
					obj_t BgL_sz00_3038;

					BgL_sz00_3038 = BgL_sz00_15735;
					{	/* Eval/evaluate_comp.scm 509 */
						obj_t BgL_bpz00_3040;

						BgL_bpz00_3040 = VECTOR_REF(BgL_sz00_3038, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 511 */
							obj_t BgL_za2za2resza2za2z00_3042;

							BgL_za2za2resza2za2z00_3042 =
								BGl_zc3exitza32935ze3z83zz__evaluate_compz00(BgL_bodyz00_15734,
								BgL_sz00_3038, BgL_effzf3zf3_15733, BgL_siza7eza7_15732,
								BgL_bpz00_3040);
							VECTOR_SET(BgL_sz00_3038, (int) (((long) 0)), BgL_bpz00_3040);
							return BgL_za2za2resza2za2z00_3042;
						}
					}
				}
			}
		}
	}



/* <exit:2935> */
	obj_t BGl_zc3exitza32935ze3z83zz__evaluate_compz00(obj_t BgL_bodyz00_15887,
		obj_t BgL_sz00_15886, obj_t BgL_effzf3zf3_15885, long BgL_siza7eza7_15884,
		obj_t BgL_bpz00_15883)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 511 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1115z00_3044;

			if (SET_EXIT(BgL_an_exit1115z00_3044))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1115z00_3044 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 511 */

						PUSH_EXIT(BgL_an_exit1115z00_3044, ((long) 1));
						{	/* Eval/evaluate_comp.scm 511 */
							obj_t BgL_an_exitd1116z00_3045;

							BgL_an_exitd1116z00_3045 = BGL_EXITD_TOP_AS_OBJ();
							{	/* Eval/evaluate_comp.scm 511 */
								obj_t BgL_exitz00_14697;

								BgL_exitz00_14697 =
									MAKE_FX_PROCEDURE(BGl_z62exitz62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 1)));
								PROCEDURE_SET(BgL_exitz00_14697,
									(int) (((long) 0)), BgL_an_exitd1116z00_3045);
								{	/* Eval/evaluate_comp.scm 512 */
									obj_t BgL_res1118z00_3048;

									{	/* Eval/evaluate_comp.scm 512 */
										long BgL_arg2936z00_3049;
										obj_t BgL_arg2937z00_3050;

										BgL_arg2936z00_3049 =
											((long) CINT(BgL_bpz00_15883) + BgL_siza7eza7_15884);
										if (CBOOL(BgL_effzf3zf3_15885))
											{	/* Eval/evaluate_comp.scm 512 */
												obj_t BgL_newz00_9773;

												BgL_newz00_9773 =
													create_struct(BGl_symbol5562z00zz__evaluate_compz00,
													(int) (((long) 1)));
												{	/* Eval/evaluate_comp.scm 512 */
													int BgL_auxz00_28781;

													BgL_auxz00_28781 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_9773, BgL_auxz00_28781,
														BgL_exitz00_14697);
												}
												BgL_arg2937z00_3050 = BgL_newz00_9773;
											}
										else
											{	/* Eval/evaluate_comp.scm 512 */
												BgL_arg2937z00_3050 = BgL_exitz00_14697;
											}
										VECTOR_SET(BgL_sz00_15886,
											(int) (BgL_arg2936z00_3049), BgL_arg2937z00_3050);
									}
									BgL_res1118z00_3048 =
										PROCEDURE_ENTRY(BgL_bodyz00_15887) (BgL_bodyz00_15887,
										BgL_sz00_15886, BEOA);
									POP_EXIT();
									return BgL_res1118z00_3048;
								}
							}
						}
					}
				}
		}
	}



/* &exit */
	obj_t BGl_z62exitz62zz__evaluate_compz00(obj_t BgL_envz00_15736,
		obj_t BgL_val1117z00_15738)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 511 */
			{	/* Eval/evaluate_comp.scm 511 */
				obj_t BgL_an_exitd1116z00_15737;

				BgL_an_exitd1116z00_15737 =
					PROCEDURE_REF(BgL_envz00_15736, (int) (((long) 0)));
				{
					obj_t BgL_val1117z00_3046;

					BgL_val1117z00_3046 = BgL_val1117z00_15738;
					return
						BGl_unwindzd2untilz12zc0zz__bexitz00(BgL_an_exitd1116z00_15737,
						BgL_val1117z00_3046);
				}
			}
		}
	}



/* &comp-ev_letrec1669 */
	obj_t BGl_z62compzd2ev_letrec1669zb0zz__evaluate_compz00(obj_t
		BgL_envz00_15739, BgL_ev_letrecz00_bglt BgL_ez00_15740,
		obj_t BgL_stkz00_15741)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 476 */
			{
				BgL_ev_letrecz00_bglt BgL_ez00_2931;
				obj_t BgL_stkz00_2932;

				BgL_ez00_2931 = BgL_ez00_15740;
				BgL_stkz00_2932 = BgL_stkz00_15741;
				{	/* Eval/evaluate_comp.scm 478 */
					long BgL_siza7eza7_2936;
					obj_t BgL_nstkz00_2937;

					BgL_siza7eza7_2936 = bgl_list_length(BgL_stkz00_2932);
					{	/* Eval/evaluate_comp.scm 478 */
						obj_t BgL_arg2933z00_3027;

						BgL_arg2933z00_3027 =
							(((BgL_ev_binderz00_bglt) CREF(
									((BgL_ev_binderz00_bglt) BgL_ez00_2931)))->BgL_varsz00);
						BgL_nstkz00_2937 =
							BGl_appendzd221011zd2zz__evaluate_compz00(BgL_stkz00_2932,
							BgL_arg2933z00_3027);
					}
					{	/* Eval/evaluate_comp.scm 479 */
						obj_t BgL_cvalsz00_2938;
						obj_t BgL_bodyz00_2939;

						{	/* Eval/evaluate_comp.scm 479 */
							obj_t BgL_l1572z00_3013;

							BgL_l1572z00_3013 =
								(((BgL_ev_binderz00_bglt) CREF(
										((BgL_ev_binderz00_bglt) BgL_ez00_2931)))->BgL_valsz00);
							if (NULLP(BgL_l1572z00_3013))
								{	/* Eval/evaluate_comp.scm 479 */
									BgL_cvalsz00_2938 = BNIL;
								}
							else
								{	/* Eval/evaluate_comp.scm 479 */
									obj_t BgL_head1574z00_3015;

									{	/* Eval/evaluate_comp.scm 479 */
										obj_t BgL_res4890z00_9413;

										BgL_res4890z00_9413 = MAKE_PAIR(BNIL, BNIL);
										BgL_head1574z00_3015 = BgL_res4890z00_9413;
									}
									{
										obj_t BgL_l1572z00_9447;
										obj_t BgL_tail1575z00_9448;

										BgL_l1572z00_9447 = BgL_l1572z00_3013;
										BgL_tail1575z00_9448 = BgL_head1574z00_3015;
									BgL_zc3anonymousza32928ze3z83_9446:
										if (NULLP(BgL_l1572z00_9447))
											{	/* Eval/evaluate_comp.scm 479 */
												BgL_cvalsz00_2938 = CDR(BgL_head1574z00_3015);
											}
										else
											{	/* Eval/evaluate_comp.scm 479 */
												obj_t BgL_newtail1576z00_9455;

												{	/* Eval/evaluate_comp.scm 479 */
													obj_t BgL_arg2931z00_9456;

													{	/* Eval/evaluate_comp.scm 479 */
														obj_t BgL_vz00_9457;

														BgL_vz00_9457 = CAR(BgL_l1572z00_9447);
														BgL_arg2931z00_9456 =
															BGl_compz00zz__evaluate_compz00(
															((BgL_ev_exprz00_bglt) BgL_vz00_9457),
															BgL_nstkz00_2937);
													}
													{	/* Eval/evaluate_comp.scm 479 */
														obj_t BgL_res4896z00_9465;

														BgL_res4896z00_9465 =
															MAKE_PAIR(BgL_arg2931z00_9456, BNIL);
														BgL_newtail1576z00_9455 = BgL_res4896z00_9465;
													}
												}
												SET_CDR(BgL_tail1575z00_9448, BgL_newtail1576z00_9455);
												{
													obj_t BgL_tail1575z00_28813;
													obj_t BgL_l1572z00_28811;

													BgL_l1572z00_28811 = CDR(BgL_l1572z00_9447);
													BgL_tail1575z00_28813 = BgL_newtail1576z00_9455;
													BgL_tail1575z00_9448 = BgL_tail1575z00_28813;
													BgL_l1572z00_9447 = BgL_l1572z00_28811;
													goto BgL_zc3anonymousza32928ze3z83_9446;
												}
											}
									}
								}
						}
						{	/* Eval/evaluate_comp.scm 480 */
							BgL_ev_exprz00_bglt BgL_arg2932z00_3026;

							BgL_arg2932z00_3026 =
								(((BgL_ev_binderz00_bglt) CREF(
										((BgL_ev_binderz00_bglt) BgL_ez00_2931)))->BgL_bodyz00);
							BgL_bodyz00_2939 =
								BGl_compz00zz__evaluate_compz00(BgL_arg2932z00_3026,
								BgL_nstkz00_2937);
						}
						{	/* Eval/evaluate_comp.scm 481 */
							bool_t BgL_testz00_28817;

							{
								obj_t BgL_l1577z00_3006;

								BgL_l1577z00_3006 =
									(((BgL_ev_binderz00_bglt) CREF(
											((BgL_ev_binderz00_bglt) BgL_ez00_2931)))->BgL_valsz00);
							BgL_zc3anonymousza32923ze3z83_3007:
								if (NULLP(BgL_l1577z00_3006))
									{	/* Eval/evaluate_comp.scm 481 */
										BgL_testz00_28817 = ((bool_t) 1);
									}
								else
									{	/* Eval/evaluate_comp.scm 481 */
										bool_t BgL_testz00_28820;

										{	/* Eval/evaluate_comp.scm 481 */
											obj_t BgL_vz00_3011;

											BgL_vz00_3011 = CAR(BgL_l1577z00_3006);
											BgL_testz00_28820 =
												BGl_isazf3zf3zz__objectz00(BgL_vz00_3011,
												BGl_ev_absz00zz__evaluate_typesz00);
										}
										if (BgL_testz00_28820)
											{
												obj_t BgL_l1577z00_28823;

												BgL_l1577z00_28823 = CDR(BgL_l1577z00_3006);
												BgL_l1577z00_3006 = BgL_l1577z00_28823;
												goto BgL_zc3anonymousza32923ze3z83_3007;
											}
										else
											{	/* Eval/evaluate_comp.scm 481 */
												BgL_testz00_28817 = ((bool_t) 0);
											}
									}
							}
							if (BgL_testz00_28817)
								{	/* Eval/evaluate_comp.scm 482 */
									obj_t BgL_zc3anonymousza32893ze3z83_14701;

									BgL_zc3anonymousza32893ze3z83_14701 =
										MAKE_FX_PROCEDURE
										(BGl_z62zc3anonymousza32893ze3ze1zz__evaluate_compz00,
										(int) (((long) 1)), (int) (((long) 3)));
									PROCEDURE_SET(BgL_zc3anonymousza32893ze3z83_14701,
										(int) (((long) 0)), BINT(BgL_siza7eza7_2936));
									PROCEDURE_SET(BgL_zc3anonymousza32893ze3z83_14701,
										(int) (((long) 1)), BgL_cvalsz00_2938);
									PROCEDURE_SET(BgL_zc3anonymousza32893ze3z83_14701,
										(int) (((long) 2)), BgL_bodyz00_2939);
									return BgL_zc3anonymousza32893ze3z83_14701;
								}
							else
								{	/* Eval/evaluate_comp.scm 492 */
									obj_t BgL_zc3anonymousza32906ze3z83_14700;

									BgL_zc3anonymousza32906ze3z83_14700 =
										MAKE_FX_PROCEDURE
										(BGl_z62zc3anonymousza32906ze3ze1zz__evaluate_compz00,
										(int) (((long) 1)), (int) (((long) 3)));
									PROCEDURE_SET(BgL_zc3anonymousza32906ze3z83_14700,
										(int) (((long) 0)), BINT(BgL_siza7eza7_2936));
									PROCEDURE_SET(BgL_zc3anonymousza32906ze3z83_14700,
										(int) (((long) 1)), BgL_cvalsz00_2938);
									PROCEDURE_SET(BgL_zc3anonymousza32906ze3z83_14700,
										(int) (((long) 2)), BgL_bodyz00_2939);
									return BgL_zc3anonymousza32906ze3z83_14700;
								}
						}
					}
				}
			}
		}
	}



/* &<anonymous:2893> */
	obj_t BGl_z62zc3anonymousza32893ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15742, obj_t BgL_sz00_15746)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 482 */
			{	/* Eval/evaluate_comp.scm 482 */
				long BgL_siza7eza7_15743;
				obj_t BgL_cvalsz00_15744;
				obj_t BgL_bodyz00_15745;

				BgL_siza7eza7_15743 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15742, (int) (((long) 0))));
				BgL_cvalsz00_15744 =
					PROCEDURE_REF(BgL_envz00_15742, (int) (((long) 1)));
				BgL_bodyz00_15745 = PROCEDURE_REF(BgL_envz00_15742, (int) (((long) 2)));
				{
					obj_t BgL_sz00_2941;

					BgL_sz00_2941 = BgL_sz00_15746;
					{	/* Eval/evaluate_comp.scm 482 */
						obj_t BgL_bpz00_2943;

						BgL_bpz00_2943 = VECTOR_REF(BgL_sz00_2941, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 483 */
							long BgL_g1109z00_2944;

							BgL_g1109z00_2944 =
								((long) CINT(BgL_bpz00_2943) + BgL_siza7eza7_15743);
							{
								obj_t BgL_lz00_9521;
								long BgL_iz00_9522;

								BgL_lz00_9521 = BgL_cvalsz00_15744;
								BgL_iz00_9522 = BgL_g1109z00_2944;
							BgL_recz00_9520:
								if (NULLP(BgL_lz00_9521))
									{	/* Eval/evaluate_comp.scm 483 */
										((bool_t) 0);
									}
								else
									{	/* Eval/evaluate_comp.scm 483 */
										{	/* Eval/evaluate_comp.scm 483 */
											obj_t BgL_arg2896z00_9528;

											{	/* Eval/evaluate_comp.scm 483 */
												obj_t BgL_newz00_9534;

												BgL_newz00_9534 =
													create_struct(BGl_symbol5562z00zz__evaluate_compz00,
													(int) (((long) 1)));
												{	/* Eval/evaluate_comp.scm 483 */
													int BgL_auxz00_28862;

													BgL_auxz00_28862 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_9534, BgL_auxz00_28862,
														BUNSPEC);
												}
												BgL_arg2896z00_9528 = BgL_newz00_9534;
											}
											VECTOR_SET(BgL_sz00_2941,
												(int) (BgL_iz00_9522), BgL_arg2896z00_9528);
										}
										{
											long BgL_iz00_28869;
											obj_t BgL_lz00_28867;

											BgL_lz00_28867 = CDR(BgL_lz00_9521);
											BgL_iz00_28869 = (BgL_iz00_9522 + ((long) 1));
											BgL_iz00_9522 = BgL_iz00_28869;
											BgL_lz00_9521 = BgL_lz00_28867;
											goto BgL_recz00_9520;
										}
									}
							}
						}
						{	/* Eval/evaluate_comp.scm 487 */
							long BgL_g1110z00_2954;

							BgL_g1110z00_2954 =
								((long) CINT(BgL_bpz00_2943) + BgL_siza7eza7_15743);
							{
								obj_t BgL_lz00_2956;
								long BgL_iz00_2957;

								BgL_lz00_2956 = BgL_cvalsz00_15744;
								BgL_iz00_2957 = BgL_g1110z00_2954;
							BgL_zc3anonymousza32899ze3z83_2958:
								if (NULLP(BgL_lz00_2956))
									{	/* Eval/evaluate_comp.scm 488 */
										((bool_t) 0);
									}
								else
									{	/* Eval/evaluate_comp.scm 488 */
										{	/* Eval/evaluate_comp.scm 489 */
											obj_t BgL_arg2901z00_2960;
											obj_t BgL_arg2902z00_2961;

											BgL_arg2901z00_2960 =
												VECTOR_REF(BgL_sz00_2941, (int) (BgL_iz00_2957));
											{	/* Eval/evaluate_comp.scm 489 */
												obj_t BgL_fun2903z00_2962;

												BgL_fun2903z00_2962 = CAR(BgL_lz00_2956);
												BgL_arg2902z00_2961 =
													PROCEDURE_ENTRY(BgL_fun2903z00_2962)
													(BgL_fun2903z00_2962, BgL_sz00_2941, BEOA);
											}
											{	/* Eval/evaluate_comp.scm 489 */
												int BgL_auxz00_28882;

												BgL_auxz00_28882 = (int) (((long) 0));
												STRUCT_SET(BgL_arg2901z00_2960, BgL_auxz00_28882,
													BgL_arg2902z00_2961);
										}}
										{
											long BgL_iz00_28887;
											obj_t BgL_lz00_28885;

											BgL_lz00_28885 = CDR(BgL_lz00_2956);
											BgL_iz00_28887 = (BgL_iz00_2957 + ((long) 1));
											BgL_iz00_2957 = BgL_iz00_28887;
											BgL_lz00_2956 = BgL_lz00_28885;
											goto BgL_zc3anonymousza32899ze3z83_2958;
										}
									}
							}
						}
						return
							PROCEDURE_ENTRY(BgL_bodyz00_15745) (BgL_bodyz00_15745,
							BgL_sz00_2941, BEOA);
					}
				}
			}
		}
	}



/* &<anonymous:2906> */
	obj_t BGl_z62zc3anonymousza32906ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15747, obj_t BgL_sz00_15751)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 492 */
			{	/* Eval/evaluate_comp.scm 492 */
				long BgL_siza7eza7_15748;
				obj_t BgL_cvalsz00_15749;
				obj_t BgL_bodyz00_15750;

				BgL_siza7eza7_15748 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15747, (int) (((long) 0))));
				BgL_cvalsz00_15749 =
					PROCEDURE_REF(BgL_envz00_15747, (int) (((long) 1)));
				BgL_bodyz00_15750 = PROCEDURE_REF(BgL_envz00_15747, (int) (((long) 2)));
				{
					obj_t BgL_sz00_2966;

					BgL_sz00_2966 = BgL_sz00_15751;
					{	/* Eval/evaluate_comp.scm 492 */
						obj_t BgL_bpz00_2968;

						BgL_bpz00_2968 = VECTOR_REF(BgL_sz00_2966, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 493 */
							long BgL_g1111z00_2969;

							BgL_g1111z00_2969 =
								((long) CINT(BgL_bpz00_2968) + BgL_siza7eza7_15748);
							{
								obj_t BgL_lz00_9612;
								long BgL_iz00_9613;

								BgL_lz00_9612 = BgL_cvalsz00_15749;
								BgL_iz00_9613 = BgL_g1111z00_2969;
							BgL_recz00_9611:
								if (NULLP(BgL_lz00_9612))
									{	/* Eval/evaluate_comp.scm 493 */
										((bool_t) 0);
									}
								else
									{	/* Eval/evaluate_comp.scm 493 */
										{	/* Eval/evaluate_comp.scm 493 */
											obj_t BgL_arg2909z00_9619;

											{	/* Eval/evaluate_comp.scm 493 */
												obj_t BgL_newz00_9625;

												BgL_newz00_9625 =
													create_struct(BGl_symbol5562z00zz__evaluate_compz00,
													(int) (((long) 1)));
												{	/* Eval/evaluate_comp.scm 493 */
													int BgL_auxz00_28908;

													BgL_auxz00_28908 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_9625, BgL_auxz00_28908,
														BUNSPEC);
												}
												BgL_arg2909z00_9619 = BgL_newz00_9625;
											}
											VECTOR_SET(BgL_sz00_2966,
												(int) (BgL_iz00_9613), BgL_arg2909z00_9619);
										}
										{
											long BgL_iz00_28915;
											obj_t BgL_lz00_28913;

											BgL_lz00_28913 = CDR(BgL_lz00_9612);
											BgL_iz00_28915 = (BgL_iz00_9613 + ((long) 1));
											BgL_iz00_9613 = BgL_iz00_28915;
											BgL_lz00_9612 = BgL_lz00_28913;
											goto BgL_recz00_9611;
										}
									}
							}
						}
						{	/* Eval/evaluate_comp.scm 497 */
							obj_t BgL_rvalsz00_2979;

							if (NULLP(BgL_cvalsz00_15749))
								{	/* Eval/evaluate_comp.scm 497 */
									BgL_rvalsz00_2979 = BNIL;
								}
							else
								{	/* Eval/evaluate_comp.scm 497 */
									obj_t BgL_head1582z00_2993;

									{	/* Eval/evaluate_comp.scm 497 */
										obj_t BgL_res4916z00_9642;

										BgL_res4916z00_9642 = MAKE_PAIR(BNIL, BNIL);
										BgL_head1582z00_2993 = BgL_res4916z00_9642;
									}
									{
										obj_t BgL_l1580z00_9676;
										obj_t BgL_tail1583z00_9677;

										BgL_l1580z00_9676 = BgL_cvalsz00_15749;
										BgL_tail1583z00_9677 = BgL_head1582z00_2993;
									BgL_zc3anonymousza32919ze3z83_9675:
										if (NULLP(BgL_l1580z00_9676))
											{	/* Eval/evaluate_comp.scm 497 */
												BgL_rvalsz00_2979 = CDR(BgL_head1582z00_2993);
											}
										else
											{	/* Eval/evaluate_comp.scm 497 */
												obj_t BgL_newtail1584z00_9684;

												{	/* Eval/evaluate_comp.scm 497 */
													obj_t BgL_arg2922z00_9685;

													{	/* Eval/evaluate_comp.scm 497 */
														obj_t BgL_vz00_9686;

														BgL_vz00_9686 = CAR(BgL_l1580z00_9676);
														BgL_arg2922z00_9685 =
															PROCEDURE_ENTRY(BgL_vz00_9686) (BgL_vz00_9686,
															BgL_sz00_2966, BEOA);
													}
													{	/* Eval/evaluate_comp.scm 497 */
														obj_t BgL_res4922z00_9694;

														BgL_res4922z00_9694 =
															MAKE_PAIR(BgL_arg2922z00_9685, BNIL);
														BgL_newtail1584z00_9684 = BgL_res4922z00_9694;
													}
												}
												SET_CDR(BgL_tail1583z00_9677, BgL_newtail1584z00_9684);
												{
													obj_t BgL_tail1583z00_28932;
													obj_t BgL_l1580z00_28930;

													BgL_l1580z00_28930 = CDR(BgL_l1580z00_9676);
													BgL_tail1583z00_28932 = BgL_newtail1584z00_9684;
													BgL_tail1583z00_9677 = BgL_tail1583z00_28932;
													BgL_l1580z00_9676 = BgL_l1580z00_28930;
													goto BgL_zc3anonymousza32919ze3z83_9675;
												}
											}
									}
								}
							{	/* Eval/evaluate_comp.scm 498 */
								long BgL_g1112z00_2980;

								BgL_g1112z00_2980 =
									((long) CINT(BgL_bpz00_2968) + BgL_siza7eza7_15748);
								{
									obj_t BgL_lz00_9742;
									long BgL_iz00_9743;

									BgL_lz00_9742 = BgL_rvalsz00_2979;
									BgL_iz00_9743 = BgL_g1112z00_2980;
								BgL_recz00_9741:
									if (NULLP(BgL_lz00_9742))
										{	/* Eval/evaluate_comp.scm 498 */
											((bool_t) 0);
										}
									else
										{	/* Eval/evaluate_comp.scm 498 */
											{	/* Eval/evaluate_comp.scm 498 */
												obj_t BgL_auxz00_28942;
												int BgL_auxz00_28940;
												obj_t BgL_auxz00_28937;

												BgL_auxz00_28942 = CAR(BgL_lz00_9742);
												BgL_auxz00_28940 = (int) (((long) 0));
												BgL_auxz00_28937 =
													VECTOR_REF(BgL_sz00_2966, (int) (BgL_iz00_9743));
												STRUCT_SET(BgL_auxz00_28937, BgL_auxz00_28940,
													BgL_auxz00_28942);
											}
											{
												long BgL_iz00_28947;
												obj_t BgL_lz00_28945;

												BgL_lz00_28945 = CDR(BgL_lz00_9742);
												BgL_iz00_28947 = (BgL_iz00_9743 + ((long) 1));
												BgL_iz00_9743 = BgL_iz00_28947;
												BgL_lz00_9742 = BgL_lz00_28945;
												goto BgL_recz00_9741;
											}
										}
								}
							}
							return
								PROCEDURE_ENTRY(BgL_bodyz00_15750) (BgL_bodyz00_15750,
								BgL_sz00_2966, BEOA);
						}
					}
				}
			}
		}
	}



/* &comp-ev_let*1667 */
	obj_t BGl_z62compzd2ev_letza21667z12zz__evaluate_compz00(obj_t
		BgL_envz00_15752, BgL_ev_letza2za2_bglt BgL_ez00_15753,
		obj_t BgL_stkz00_15754)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 463 */
			{
				BgL_ev_letza2za2_bglt BgL_ez00_2887;
				obj_t BgL_stkz00_2888;

				BgL_ez00_2887 = BgL_ez00_15753;
				BgL_stkz00_2888 = BgL_stkz00_15754;
				{	/* Eval/evaluate_comp.scm 465 */
					long BgL_siza7eza7_2892;
					obj_t BgL_nstkz00_2893;

					BgL_siza7eza7_2892 = bgl_list_length(BgL_stkz00_2888);
					{	/* Eval/evaluate_comp.scm 465 */
						obj_t BgL_arg2891z00_2929;

						BgL_arg2891z00_2929 =
							(((BgL_ev_binderz00_bglt) CREF(
									((BgL_ev_binderz00_bglt) BgL_ez00_2887)))->BgL_varsz00);
						BgL_nstkz00_2893 =
							BGl_appendzd221011zd2zz__evaluate_compz00(BgL_stkz00_2888,
							BgL_arg2891z00_2929);
					}
					{	/* Eval/evaluate_comp.scm 466 */
						obj_t BgL_valsz00_2894;
						obj_t BgL_bodyz00_2895;

						{	/* Eval/evaluate_comp.scm 466 */
							obj_t BgL_l1567z00_2915;

							BgL_l1567z00_2915 =
								(((BgL_ev_binderz00_bglt) CREF(
										((BgL_ev_binderz00_bglt) BgL_ez00_2887)))->BgL_valsz00);
							if (NULLP(BgL_l1567z00_2915))
								{	/* Eval/evaluate_comp.scm 466 */
									BgL_valsz00_2894 = BNIL;
								}
							else
								{	/* Eval/evaluate_comp.scm 466 */
									obj_t BgL_head1569z00_2917;

									{	/* Eval/evaluate_comp.scm 466 */
										obj_t BgL_res4879z00_9329;

										BgL_res4879z00_9329 = MAKE_PAIR(BNIL, BNIL);
										BgL_head1569z00_2917 = BgL_res4879z00_9329;
									}
									{
										obj_t BgL_l1567z00_9363;
										obj_t BgL_tail1570z00_9364;

										BgL_l1567z00_9363 = BgL_l1567z00_2915;
										BgL_tail1570z00_9364 = BgL_head1569z00_2917;
									BgL_zc3anonymousza32886ze3z83_9362:
										if (NULLP(BgL_l1567z00_9363))
											{	/* Eval/evaluate_comp.scm 466 */
												BgL_valsz00_2894 = CDR(BgL_head1569z00_2917);
											}
										else
											{	/* Eval/evaluate_comp.scm 466 */
												obj_t BgL_newtail1571z00_9371;

												{	/* Eval/evaluate_comp.scm 466 */
													obj_t BgL_arg2889z00_9372;

													{	/* Eval/evaluate_comp.scm 466 */
														obj_t BgL_vz00_9373;

														BgL_vz00_9373 = CAR(BgL_l1567z00_9363);
														BgL_arg2889z00_9372 =
															BGl_compz00zz__evaluate_compz00(
															((BgL_ev_exprz00_bglt) BgL_vz00_9373),
															BgL_nstkz00_2893);
													}
													{	/* Eval/evaluate_comp.scm 466 */
														obj_t BgL_res4885z00_9381;

														BgL_res4885z00_9381 =
															MAKE_PAIR(BgL_arg2889z00_9372, BNIL);
														BgL_newtail1571z00_9371 = BgL_res4885z00_9381;
													}
												}
												SET_CDR(BgL_tail1570z00_9364, BgL_newtail1571z00_9371);
												{
													obj_t BgL_tail1570z00_28972;
													obj_t BgL_l1567z00_28970;

													BgL_l1567z00_28970 = CDR(BgL_l1567z00_9363);
													BgL_tail1570z00_28972 = BgL_newtail1571z00_9371;
													BgL_tail1570z00_9364 = BgL_tail1570z00_28972;
													BgL_l1567z00_9363 = BgL_l1567z00_28970;
													goto BgL_zc3anonymousza32886ze3z83_9362;
												}
											}
									}
								}
						}
						{	/* Eval/evaluate_comp.scm 467 */
							BgL_ev_exprz00_bglt BgL_arg2890z00_2928;

							BgL_arg2890z00_2928 =
								(((BgL_ev_binderz00_bglt) CREF(
										((BgL_ev_binderz00_bglt) BgL_ez00_2887)))->BgL_bodyz00);
							BgL_bodyz00_2895 =
								BGl_compz00zz__evaluate_compz00(BgL_arg2890z00_2928,
								BgL_nstkz00_2893);
						}
						{	/* Eval/evaluate_comp.scm 468 */
							obj_t BgL_zc3anonymousza32875ze3z83_14703;

							BgL_zc3anonymousza32875ze3z83_14703 =
								MAKE_FX_PROCEDURE
								(BGl_z62zc3anonymousza32875ze3ze1zz__evaluate_compz00,
								(int) (((long) 1)), (int) (((long) 4)));
							PROCEDURE_SET(BgL_zc3anonymousza32875ze3z83_14703,
								(int) (((long) 0)), BINT(BgL_siza7eza7_2892));
							PROCEDURE_SET(BgL_zc3anonymousza32875ze3z83_14703,
								(int) (((long) 1)), ((obj_t) BgL_ez00_2887));
							PROCEDURE_SET(BgL_zc3anonymousza32875ze3z83_14703,
								(int) (((long) 2)), BgL_valsz00_2894);
							PROCEDURE_SET(BgL_zc3anonymousza32875ze3z83_14703,
								(int) (((long) 3)), BgL_bodyz00_2895);
							return BgL_zc3anonymousza32875ze3z83_14703;
						}
					}
				}
			}
		}
	}



/* &<anonymous:2875> */
	obj_t BGl_z62zc3anonymousza32875ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15755, obj_t BgL_sz00_15760)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 468 */
			{	/* Eval/evaluate_comp.scm 468 */
				long BgL_siza7eza7_15756;
				BgL_ev_letza2za2_bglt BgL_i1106z00_15757;
				obj_t BgL_valsz00_15758;
				obj_t BgL_bodyz00_15759;

				BgL_siza7eza7_15756 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15755, (int) (((long) 0))));
				BgL_i1106z00_15757 =
					((BgL_ev_letza2za2_bglt)
					PROCEDURE_REF(BgL_envz00_15755, (int) (((long) 1))));
				BgL_valsz00_15758 = PROCEDURE_REF(BgL_envz00_15755, (int) (((long) 2)));
				BgL_bodyz00_15759 = PROCEDURE_REF(BgL_envz00_15755, (int) (((long) 3)));
				{
					obj_t BgL_sz00_2896;

					BgL_sz00_2896 = BgL_sz00_15760;
					{	/* Eval/evaluate_comp.scm 468 */
						obj_t BgL_bpz00_2898;

						BgL_bpz00_2898 = VECTOR_REF(BgL_sz00_2896, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 469 */
							long BgL_g1107z00_2899;

							BgL_g1107z00_2899 =
								((long) CINT(BgL_bpz00_2898) + BgL_siza7eza7_15756);
							{
								obj_t BgL_lz00_2902;
								long BgL_iz00_2903;
								obj_t BgL_bza2za2_2904;

								BgL_lz00_2902 = BgL_valsz00_15758;
								BgL_iz00_2903 = BgL_g1107z00_2899;
								BgL_bza2za2_2904 =
									(((BgL_ev_letza2za2_bglt) CREF(BgL_i1106z00_15757))->
									BgL_boxesz00);
							BgL_zc3anonymousza32877ze3z83_2905:
								if (NULLP(BgL_lz00_2902))
									{	/* Eval/evaluate_comp.scm 470 */
										((bool_t) 0);
									}
								else
									{	/* Eval/evaluate_comp.scm 470 */
										{	/* Eval/evaluate_comp.scm 471 */
											obj_t BgL_valz00_2907;

											{	/* Eval/evaluate_comp.scm 471 */
												obj_t BgL_fun2881z00_2910;

												BgL_fun2881z00_2910 = CAR(BgL_lz00_2902);
												BgL_valz00_2907 =
													PROCEDURE_ENTRY(BgL_fun2881z00_2910)
													(BgL_fun2881z00_2910, BgL_sz00_2896, BEOA);
											}
											{	/* Eval/evaluate_comp.scm 472 */
												obj_t BgL_arg2879z00_2908;

												{	/* Eval/evaluate_comp.scm 472 */
													bool_t BgL_testz00_29010;

													{	/* Eval/evaluate_comp.scm 472 */
														obj_t BgL_pairz00_9393;

														BgL_pairz00_9393 = BgL_bza2za2_2904;
														BgL_testz00_29010 = CBOOL(CAR(BgL_pairz00_9393));
													}
													if (BgL_testz00_29010)
														{	/* Eval/evaluate_comp.scm 472 */
															obj_t BgL_newz00_9395;

															BgL_newz00_9395 =
																create_struct
																(BGl_symbol5562z00zz__evaluate_compz00,
																(int) (((long) 1)));
															{	/* Eval/evaluate_comp.scm 472 */
																int BgL_auxz00_29015;

																BgL_auxz00_29015 = (int) (((long) 0));
																STRUCT_SET(BgL_newz00_9395, BgL_auxz00_29015,
																	BgL_valz00_2907);
															}
															BgL_arg2879z00_2908 = BgL_newz00_9395;
														}
													else
														{	/* Eval/evaluate_comp.scm 472 */
															BgL_arg2879z00_2908 = BgL_valz00_2907;
														}
												}
												VECTOR_SET(BgL_sz00_2896,
													(int) (BgL_iz00_2903), BgL_arg2879z00_2908);
										}}
										{
											obj_t BgL_bza2za2_29024;
											long BgL_iz00_29022;
											obj_t BgL_lz00_29020;

											BgL_lz00_29020 = CDR(BgL_lz00_2902);
											BgL_iz00_29022 = (BgL_iz00_2903 + ((long) 1));
											BgL_bza2za2_29024 = CDR(BgL_bza2za2_2904);
											BgL_bza2za2_2904 = BgL_bza2za2_29024;
											BgL_iz00_2903 = BgL_iz00_29022;
											BgL_lz00_2902 = BgL_lz00_29020;
											goto BgL_zc3anonymousza32877ze3z83_2905;
										}
									}
							}
						}
						return
							PROCEDURE_ENTRY(BgL_bodyz00_15759) (BgL_bodyz00_15759,
							BgL_sz00_2896, BEOA);
					}
				}
			}
		}
	}



/* &comp-ev_let1665 */
	obj_t BGl_z62compzd2ev_let1665zb0zz__evaluate_compz00(obj_t BgL_envz00_15761,
		BgL_ev_letz00_bglt BgL_ez00_15762, obj_t BgL_stkz00_15763)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 444 */
			{
				BgL_ev_letz00_bglt BgL_ez00_2836;
				obj_t BgL_stkz00_2837;

				BgL_ez00_2836 = BgL_ez00_15762;
				BgL_stkz00_2837 = BgL_stkz00_15763;
				{	/* Eval/evaluate_comp.scm 446 */
					long BgL_siza7eza7_2841;
					obj_t BgL_nstkz00_2842;

					BgL_siza7eza7_2841 = bgl_list_length(BgL_stkz00_2837);
					{	/* Eval/evaluate_comp.scm 446 */
						obj_t BgL_arg2874z00_2885;

						BgL_arg2874z00_2885 =
							(((BgL_ev_binderz00_bglt) CREF(
									((BgL_ev_binderz00_bglt) BgL_ez00_2836)))->BgL_varsz00);
						BgL_nstkz00_2842 =
							BGl_appendzd221011zd2zz__evaluate_compz00(BgL_stkz00_2837,
							BgL_arg2874z00_2885);
					}
					{	/* Eval/evaluate_comp.scm 447 */
						obj_t BgL_valsz00_2843;
						obj_t BgL_iboxesz00_2844;
						obj_t BgL_bodyz00_2845;

						{	/* Eval/evaluate_comp.scm 448 */
							obj_t BgL_arg2867z00_2870;

							BgL_arg2867z00_2870 =
								(((BgL_ev_binderz00_bglt) CREF(
										((BgL_ev_binderz00_bglt) BgL_ez00_2836)))->BgL_valsz00);
							BgL_valsz00_2843 =
								BGl_compzd2withzd2pushz00zz__evaluate_compz00
								(BgL_arg2867z00_2870, BgL_stkz00_2837);
						}
						{	/* Eval/evaluate_comp.scm 449 */
							obj_t BgL_l1562z00_2871;

							BgL_l1562z00_2871 =
								(((BgL_ev_letz00_bglt) CREF(BgL_ez00_2836))->BgL_boxesz00);
							if (NULLP(BgL_l1562z00_2871))
								{	/* Eval/evaluate_comp.scm 449 */
									BgL_iboxesz00_2844 = BNIL;
								}
							else
								{	/* Eval/evaluate_comp.scm 449 */
									obj_t BgL_head1564z00_2873;

									{	/* Eval/evaluate_comp.scm 449 */
										obj_t BgL_res4862z00_9190;

										BgL_res4862z00_9190 = MAKE_PAIR(BNIL, BNIL);
										BgL_head1564z00_2873 = BgL_res4862z00_9190;
									}
									{
										obj_t BgL_l1562z00_9224;
										obj_t BgL_tail1565z00_9225;

										BgL_l1562z00_9224 = BgL_l1562z00_2871;
										BgL_tail1565z00_9225 = BgL_head1564z00_2873;
									BgL_zc3anonymousza32869ze3z83_9223:
										if (NULLP(BgL_l1562z00_9224))
											{	/* Eval/evaluate_comp.scm 449 */
												BgL_iboxesz00_2844 = CDR(BgL_head1564z00_2873);
											}
										else
											{	/* Eval/evaluate_comp.scm 449 */
												obj_t BgL_newtail1566z00_9232;

												{	/* Eval/evaluate_comp.scm 449 */
													obj_t BgL_arg2872z00_9233;

													BgL_arg2872z00_9233 =
														BGl__indexz00zz__evaluate_compz00(CAR
														(BgL_l1562z00_9224), BgL_nstkz00_2842);
													{	/* Eval/evaluate_comp.scm 449 */
														obj_t BgL_res4868z00_9242;

														BgL_res4868z00_9242 =
															MAKE_PAIR(BgL_arg2872z00_9233, BNIL);
														BgL_newtail1566z00_9232 = BgL_res4868z00_9242;
													}
												}
												SET_CDR(BgL_tail1565z00_9225, BgL_newtail1566z00_9232);
												{
													obj_t BgL_tail1565z00_29051;
													obj_t BgL_l1562z00_29049;

													BgL_l1562z00_29049 = CDR(BgL_l1562z00_9224);
													BgL_tail1565z00_29051 = BgL_newtail1566z00_9232;
													BgL_tail1565z00_9225 = BgL_tail1565z00_29051;
													BgL_l1562z00_9224 = BgL_l1562z00_29049;
													goto BgL_zc3anonymousza32869ze3z83_9223;
												}
											}
									}
								}
						}
						{	/* Eval/evaluate_comp.scm 450 */
							BgL_ev_exprz00_bglt BgL_arg2873z00_2884;

							BgL_arg2873z00_2884 =
								(((BgL_ev_binderz00_bglt) CREF(
										((BgL_ev_binderz00_bglt) BgL_ez00_2836)))->BgL_bodyz00);
							BgL_bodyz00_2845 =
								BGl_compz00zz__evaluate_compz00(BgL_arg2873z00_2884,
								BgL_nstkz00_2842);
						}
						{	/* Eval/evaluate_comp.scm 451 */
							obj_t BgL_zc3anonymousza32854ze3z83_14705;

							BgL_zc3anonymousza32854ze3z83_14705 =
								MAKE_FX_PROCEDURE
								(BGl_z62zc3anonymousza32854ze3ze1zz__evaluate_compz00,
								(int) (((long) 1)), (int) (((long) 4)));
							PROCEDURE_SET(BgL_zc3anonymousza32854ze3z83_14705,
								(int) (((long) 0)), BINT(BgL_siza7eza7_2841));
							PROCEDURE_SET(BgL_zc3anonymousza32854ze3z83_14705,
								(int) (((long) 1)), BgL_valsz00_2843);
							PROCEDURE_SET(BgL_zc3anonymousza32854ze3z83_14705,
								(int) (((long) 2)), BgL_iboxesz00_2844);
							PROCEDURE_SET(BgL_zc3anonymousza32854ze3z83_14705,
								(int) (((long) 3)), BgL_bodyz00_2845);
							return BgL_zc3anonymousza32854ze3z83_14705;
						}
					}
				}
			}
		}
	}



/* &<anonymous:2854> */
	obj_t BGl_z62zc3anonymousza32854ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15764, obj_t BgL_sz00_15769)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 451 */
			{	/* Eval/evaluate_comp.scm 451 */
				long BgL_siza7eza7_15765;
				obj_t BgL_valsz00_15766;
				obj_t BgL_iboxesz00_15767;
				obj_t BgL_bodyz00_15768;

				BgL_siza7eza7_15765 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15764, (int) (((long) 0))));
				BgL_valsz00_15766 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15764, (int) (((long) 1))));
				BgL_iboxesz00_15767 =
					PROCEDURE_REF(BgL_envz00_15764, (int) (((long) 2)));
				BgL_bodyz00_15768 = PROCEDURE_REF(BgL_envz00_15764, (int) (((long) 3)));
				{
					obj_t BgL_sz00_2846;

					BgL_sz00_2846 = BgL_sz00_15769;
					{	/* Eval/evaluate_comp.scm 451 */
						obj_t BgL_bpz00_2848;

						BgL_bpz00_2848 = VECTOR_REF(BgL_sz00_2846, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 452 */
							long BgL_g1105z00_2849;

							BgL_g1105z00_2849 =
								((long) CINT(BgL_bpz00_2848) + BgL_siza7eza7_15765);
							{
								obj_t BgL_lz00_9284;
								long BgL_iz00_9285;

								BgL_lz00_9284 = BgL_valsz00_15766;
								BgL_iz00_9285 = BgL_g1105z00_2849;
							BgL_recz00_9283:
								if (NULLP(BgL_lz00_9284))
									{	/* Eval/evaluate_comp.scm 452 */
										((bool_t) 0);
									}
								else
									{	/* Eval/evaluate_comp.scm 452 */
										{	/* Eval/evaluate_comp.scm 452 */
											obj_t BgL_arg2857z00_9292;

											{	/* Eval/evaluate_comp.scm 452 */
												obj_t BgL_fun2858z00_9293;

												BgL_fun2858z00_9293 = CAR(BgL_lz00_9284);
												BgL_arg2857z00_9292 =
													PROCEDURE_ENTRY(BgL_fun2858z00_9293)
													(BgL_fun2858z00_9293, BgL_sz00_2846, BEOA);
											}
											VECTOR_SET(BgL_sz00_2846,
												(int) (BgL_iz00_9285), BgL_arg2857z00_9292);
										}
										{
											long BgL_iz00_29092;
											obj_t BgL_lz00_29090;

											BgL_lz00_29090 = CDR(BgL_lz00_9284);
											BgL_iz00_29092 = (BgL_iz00_9285 + ((long) 1));
											BgL_iz00_9285 = BgL_iz00_29092;
											BgL_lz00_9284 = BgL_lz00_29090;
											goto BgL_recz00_9283;
										}
									}
							}
						}
						{
							obj_t BgL_lz00_2861;

							BgL_lz00_2861 = BgL_iboxesz00_15767;
						BgL_zc3anonymousza32861ze3z83_2862:
							if (NULLP(BgL_lz00_2861))
								{	/* Eval/evaluate_comp.scm 457 */
									((bool_t) 0);
								}
							else
								{	/* Eval/evaluate_comp.scm 457 */
									{	/* Eval/evaluate_comp.scm 458 */
										long BgL_iz00_2864;

										{	/* Eval/evaluate_comp.scm 458 */
											long BgL_auxz00_29096;

											{	/* Eval/evaluate_comp.scm 458 */
												obj_t BgL_pairz00_9308;

												BgL_pairz00_9308 = BgL_lz00_2861;
												BgL_auxz00_29096 = (long) CINT(CAR(BgL_pairz00_9308));
											}
											BgL_iz00_2864 =
												((long) CINT(BgL_bpz00_2848) + BgL_auxz00_29096);
										}
										{	/* Eval/evaluate_comp.scm 459 */
											obj_t BgL_arg2863z00_2865;

											{	/* Eval/evaluate_comp.scm 459 */
												obj_t BgL_arg2864z00_2866;

												BgL_arg2864z00_2866 =
													VECTOR_REF(BgL_sz00_2846, (int) (BgL_iz00_2864));
												{	/* Eval/evaluate_comp.scm 459 */
													obj_t BgL_newz00_9315;

													BgL_newz00_9315 =
														create_struct(BGl_symbol5562z00zz__evaluate_compz00,
														(int) (((long) 1)));
													{	/* Eval/evaluate_comp.scm 459 */
														int BgL_auxz00_29105;

														BgL_auxz00_29105 = (int) (((long) 0));
														STRUCT_SET(BgL_newz00_9315, BgL_auxz00_29105,
															BgL_arg2864z00_2866);
													}
													BgL_arg2863z00_2865 = BgL_newz00_9315;
											}}
											VECTOR_SET(BgL_sz00_2846,
												(int) (BgL_iz00_2864), BgL_arg2863z00_2865);
									}}
									{
										obj_t BgL_lz00_29110;

										BgL_lz00_29110 = CDR(BgL_lz00_2861);
										BgL_lz00_2861 = BgL_lz00_29110;
										goto BgL_zc3anonymousza32861ze3z83_2862;
									}
								}
						}
						return
							PROCEDURE_ENTRY(BgL_bodyz00_15768) (BgL_bodyz00_15768,
							BgL_sz00_2846, BEOA);
					}
				}
			}
		}
	}



/* &comp-ev_prog21663 */
	obj_t BGl_z62compzd2ev_prog21663zb0zz__evaluate_compz00(obj_t
		BgL_envz00_15770, BgL_ev_prog2z00_bglt BgL_ez00_15771,
		obj_t BgL_stkz00_15772)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 438 */
			{
				BgL_ev_prog2z00_bglt BgL_ez00_2823;
				obj_t BgL_stkz00_2824;

				BgL_ez00_2823 = BgL_ez00_15771;
				BgL_stkz00_2824 = BgL_stkz00_15772;
				{	/* Eval/evaluate_comp.scm 440 */
					obj_t BgL_e1z00_2828;
					obj_t BgL_e2z00_2829;

					BgL_e1z00_2828 =
						BGl_compz00zz__evaluate_compz00(
						(((BgL_ev_prog2z00_bglt) CREF(BgL_ez00_2823))->BgL_e1z00),
						BgL_stkz00_2824);
					BgL_e2z00_2829 =
						BGl_compz00zz__evaluate_compz00((((BgL_ev_prog2z00_bglt)
								CREF(BgL_ez00_2823))->BgL_e2z00), BgL_stkz00_2824);
					{	/* Eval/evaluate_comp.scm 441 */
						obj_t BgL_zc3anonymousza32851ze3z83_14707;

						BgL_zc3anonymousza32851ze3z83_14707 =
							MAKE_FX_PROCEDURE
							(BGl_z62zc3anonymousza32851ze3ze1zz__evaluate_compz00,
							(int) (((long) 1)), (int) (((long) 2)));
						PROCEDURE_SET(BgL_zc3anonymousza32851ze3z83_14707,
							(int) (((long) 0)), BgL_e1z00_2828);
						PROCEDURE_SET(BgL_zc3anonymousza32851ze3z83_14707,
							(int) (((long) 1)), BgL_e2z00_2829);
						return BgL_zc3anonymousza32851ze3z83_14707;
					}
				}
			}
		}
	}



/* &<anonymous:2851> */
	obj_t BGl_z62zc3anonymousza32851ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15773, obj_t BgL_sz00_15776)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 441 */
			{	/* Eval/evaluate_comp.scm 441 */
				obj_t BgL_e1z00_15774;
				obj_t BgL_e2z00_15775;

				BgL_e1z00_15774 = PROCEDURE_REF(BgL_envz00_15773, (int) (((long) 0)));
				BgL_e2z00_15775 = PROCEDURE_REF(BgL_envz00_15773, (int) (((long) 1)));
				{
					obj_t BgL_sz00_2830;

					BgL_sz00_2830 = BgL_sz00_15776;
					{	/* Eval/evaluate_comp.scm 441 */
						obj_t BgL_bpz00_9183;

						BgL_bpz00_9183 = VECTOR_REF(BgL_sz00_2830, (int) (((long) 0)));
						PROCEDURE_ENTRY(BgL_e1z00_15774) (BgL_e1z00_15774, BgL_sz00_2830,
							BEOA);
						return PROCEDURE_ENTRY(BgL_e2z00_15775) (BgL_e2z00_15775,
							BgL_sz00_2830, BEOA);
					}
				}
			}
		}
	}



/* &comp-ev_and1661 */
	obj_t BGl_z62compzd2ev_and1661zb0zz__evaluate_compz00(obj_t BgL_envz00_15777,
		BgL_ev_andz00_bglt BgL_ez00_15778, obj_t BgL_stkz00_15779)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 428 */
			{
				BgL_ev_andz00_bglt BgL_ez00_2790;
				obj_t BgL_stkz00_2791;

				BgL_ez00_2790 = BgL_ez00_15778;
				BgL_stkz00_2791 = BgL_stkz00_15779;
				{	/* Eval/evaluate_comp.scm 430 */
					obj_t BgL_argsz00_2795;

					{	/* Eval/evaluate_comp.scm 430 */
						obj_t BgL_l1557z00_2809;

						BgL_l1557z00_2809 =
							(((BgL_ev_listz00_bglt) CREF(
									((BgL_ev_listz00_bglt) BgL_ez00_2790)))->BgL_argsz00);
						if (NULLP(BgL_l1557z00_2809))
							{	/* Eval/evaluate_comp.scm 430 */
								BgL_argsz00_2795 = BNIL;
							}
						else
							{	/* Eval/evaluate_comp.scm 430 */
								obj_t BgL_head1559z00_2811;

								{	/* Eval/evaluate_comp.scm 430 */
									obj_t BgL_res4851z00_9088;

									BgL_res4851z00_9088 = MAKE_PAIR(BNIL, BNIL);
									BgL_head1559z00_2811 = BgL_res4851z00_9088;
								}
								{
									obj_t BgL_l1557z00_9122;
									obj_t BgL_tail1560z00_9123;

									BgL_l1557z00_9122 = BgL_l1557z00_2809;
									BgL_tail1560z00_9123 = BgL_head1559z00_2811;
								BgL_zc3anonymousza32847ze3z83_9121:
									if (NULLP(BgL_l1557z00_9122))
										{	/* Eval/evaluate_comp.scm 430 */
											BgL_argsz00_2795 = CDR(BgL_head1559z00_2811);
										}
									else
										{	/* Eval/evaluate_comp.scm 430 */
											obj_t BgL_newtail1561z00_9130;

											{	/* Eval/evaluate_comp.scm 430 */
												obj_t BgL_arg2850z00_9131;

												{	/* Eval/evaluate_comp.scm 430 */
													obj_t BgL_ez00_9132;

													BgL_ez00_9132 = CAR(BgL_l1557z00_9122);
													BgL_arg2850z00_9131 =
														BGl_compz00zz__evaluate_compz00(
														((BgL_ev_exprz00_bglt) BgL_ez00_9132),
														BgL_stkz00_2791);
												}
												{	/* Eval/evaluate_comp.scm 430 */
													obj_t BgL_res4857z00_9140;

													BgL_res4857z00_9140 =
														MAKE_PAIR(BgL_arg2850z00_9131, BNIL);
													BgL_newtail1561z00_9130 = BgL_res4857z00_9140;
												}
											}
											SET_CDR(BgL_tail1560z00_9123, BgL_newtail1561z00_9130);
											{
												obj_t BgL_tail1560z00_29156;
												obj_t BgL_l1557z00_29154;

												BgL_l1557z00_29154 = CDR(BgL_l1557z00_9122);
												BgL_tail1560z00_29156 = BgL_newtail1561z00_9130;
												BgL_tail1560z00_9123 = BgL_tail1560z00_29156;
												BgL_l1557z00_9122 = BgL_l1557z00_29154;
												goto BgL_zc3anonymousza32847ze3z83_9121;
											}
										}
								}
							}
					}
					{	/* Eval/evaluate_comp.scm 431 */
						obj_t BgL_zc3anonymousza32841ze3z83_14709;

						BgL_zc3anonymousza32841ze3z83_14709 =
							MAKE_FX_PROCEDURE
							(BGl_z62zc3anonymousza32841ze3ze1zz__evaluate_compz00,
							(int) (((long) 1)), (int) (((long) 1)));
						PROCEDURE_SET(BgL_zc3anonymousza32841ze3z83_14709,
							(int) (((long) 0)), BgL_argsz00_2795);
						return BgL_zc3anonymousza32841ze3z83_14709;
					}
				}
			}
		}
	}



/* &<anonymous:2841> */
	obj_t BGl_z62zc3anonymousza32841ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15780, obj_t BgL_sz00_15782)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 431 */
			{	/* Eval/evaluate_comp.scm 431 */
				obj_t BgL_argsz00_15781;

				BgL_argsz00_15781 = PROCEDURE_REF(BgL_envz00_15780, (int) (((long) 0)));
				{
					obj_t BgL_sz00_2796;

					BgL_sz00_2796 = BgL_sz00_15782;
					{	/* Eval/evaluate_comp.scm 431 */
						obj_t BgL_bpz00_2798;

						BgL_bpz00_2798 = VECTOR_REF(BgL_sz00_2796, (int) (((long) 0)));
						{
							obj_t BgL_lz00_9167;
							obj_t BgL_rz00_9168;

							BgL_lz00_9167 = BgL_argsz00_15781;
							BgL_rz00_9168 = BTRUE;
						BgL_recz00_9166:
							if (NULLP(BgL_lz00_9167))
								{	/* Eval/evaluate_comp.scm 432 */
									return BgL_rz00_9168;
								}
							else
								{	/* Eval/evaluate_comp.scm 432 */
									obj_t BgL_vz00_9175;

									{	/* Eval/evaluate_comp.scm 432 */
										obj_t BgL_fun2845z00_9176;

										BgL_fun2845z00_9176 = CAR(BgL_lz00_9167);
										BgL_vz00_9175 =
											PROCEDURE_ENTRY(BgL_fun2845z00_9176) (BgL_fun2845z00_9176,
											BgL_sz00_2796, BEOA);
									}
									if (CBOOL(BgL_vz00_9175))
										{
											obj_t BgL_rz00_29177;
											obj_t BgL_lz00_29175;

											BgL_lz00_29175 = CDR(BgL_lz00_9167);
											BgL_rz00_29177 = BgL_vz00_9175;
											BgL_rz00_9168 = BgL_rz00_29177;
											BgL_lz00_9167 = BgL_lz00_29175;
											goto BgL_recz00_9166;
										}
									else
										{	/* Eval/evaluate_comp.scm 432 */
											return BFALSE;
										}
								}
						}
					}
				}
			}
		}
	}



/* &comp-ev_or1659 */
	obj_t BGl_z62compzd2ev_or1659zb0zz__evaluate_compz00(obj_t BgL_envz00_15783,
		BgL_ev_orz00_bglt BgL_ez00_15784, obj_t BgL_stkz00_15785)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 419 */
			{
				BgL_ev_orz00_bglt BgL_ez00_2759;
				obj_t BgL_stkz00_2760;

				BgL_ez00_2759 = BgL_ez00_15784;
				BgL_stkz00_2760 = BgL_stkz00_15785;
				{	/* Eval/evaluate_comp.scm 421 */
					obj_t BgL_argsz00_2764;

					{	/* Eval/evaluate_comp.scm 421 */
						obj_t BgL_l1552z00_2776;

						BgL_l1552z00_2776 =
							(((BgL_ev_listz00_bglt) CREF(
									((BgL_ev_listz00_bglt) BgL_ez00_2759)))->BgL_argsz00);
						if (NULLP(BgL_l1552z00_2776))
							{	/* Eval/evaluate_comp.scm 421 */
								BgL_argsz00_2764 = BNIL;
							}
						else
							{	/* Eval/evaluate_comp.scm 421 */
								obj_t BgL_head1554z00_2778;

								{	/* Eval/evaluate_comp.scm 421 */
									obj_t BgL_res4842z00_9022;

									BgL_res4842z00_9022 = MAKE_PAIR(BNIL, BNIL);
									BgL_head1554z00_2778 = BgL_res4842z00_9022;
								}
								{
									obj_t BgL_l1552z00_9056;
									obj_t BgL_tail1555z00_9057;

									BgL_l1552z00_9056 = BgL_l1552z00_2776;
									BgL_tail1555z00_9057 = BgL_head1554z00_2778;
								BgL_zc3anonymousza32837ze3z83_9055:
									if (NULLP(BgL_l1552z00_9056))
										{	/* Eval/evaluate_comp.scm 421 */
											BgL_argsz00_2764 = CDR(BgL_head1554z00_2778);
										}
									else
										{	/* Eval/evaluate_comp.scm 421 */
											obj_t BgL_newtail1556z00_9064;

											{	/* Eval/evaluate_comp.scm 421 */
												obj_t BgL_arg2840z00_9065;

												{	/* Eval/evaluate_comp.scm 421 */
													obj_t BgL_ez00_9066;

													BgL_ez00_9066 = CAR(BgL_l1552z00_9056);
													BgL_arg2840z00_9065 =
														BGl_compz00zz__evaluate_compz00(
														((BgL_ev_exprz00_bglt) BgL_ez00_9066),
														BgL_stkz00_2760);
												}
												{	/* Eval/evaluate_comp.scm 421 */
													obj_t BgL_res4848z00_9074;

													BgL_res4848z00_9074 =
														MAKE_PAIR(BgL_arg2840z00_9065, BNIL);
													BgL_newtail1556z00_9064 = BgL_res4848z00_9074;
												}
											}
											SET_CDR(BgL_tail1555z00_9057, BgL_newtail1556z00_9064);
											{
												obj_t BgL_tail1555z00_29193;
												obj_t BgL_l1552z00_29191;

												BgL_l1552z00_29191 = CDR(BgL_l1552z00_9056);
												BgL_tail1555z00_29193 = BgL_newtail1556z00_9064;
												BgL_tail1555z00_9057 = BgL_tail1555z00_29193;
												BgL_l1552z00_9056 = BgL_l1552z00_29191;
												goto BgL_zc3anonymousza32837ze3z83_9055;
											}
										}
								}
							}
					}
					{	/* Eval/evaluate_comp.scm 422 */
						obj_t BgL_zc3anonymousza32831ze3z83_14711;

						BgL_zc3anonymousza32831ze3z83_14711 =
							MAKE_FX_PROCEDURE
							(BGl_z62zc3anonymousza32831ze3ze1zz__evaluate_compz00,
							(int) (((long) 1)), (int) (((long) 1)));
						PROCEDURE_SET(BgL_zc3anonymousza32831ze3z83_14711,
							(int) (((long) 0)), BgL_argsz00_2764);
						return BgL_zc3anonymousza32831ze3z83_14711;
					}
				}
			}
		}
	}



/* &<anonymous:2831> */
	obj_t BGl_z62zc3anonymousza32831ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15786, obj_t BgL_sz00_15788)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 422 */
			{	/* Eval/evaluate_comp.scm 422 */
				obj_t BgL_argsz00_15787;

				BgL_argsz00_15787 = PROCEDURE_REF(BgL_envz00_15786, (int) (((long) 0)));
				{
					obj_t BgL_sz00_2765;

					BgL_sz00_2765 = BgL_sz00_15788;
					{	/* Eval/evaluate_comp.scm 422 */
						obj_t BgL_bpz00_2767;

						BgL_bpz00_2767 = VECTOR_REF(BgL_sz00_2765, (int) (((long) 0)));
						{
							obj_t BgL_lz00_2769;

							BgL_lz00_2769 = BgL_argsz00_15787;
						BgL_zc3anonymousza32832ze3z83_2770:
							if (NULLP(BgL_lz00_2769))
								{	/* Eval/evaluate_comp.scm 424 */
									return BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 426 */
									obj_t BgL__ortest_1100z00_2772;

									{	/* Eval/evaluate_comp.scm 426 */
										obj_t BgL_fun2835z00_2774;

										BgL_fun2835z00_2774 = CAR(BgL_lz00_2769);
										BgL__ortest_1100z00_2772 =
											PROCEDURE_ENTRY(BgL_fun2835z00_2774) (BgL_fun2835z00_2774,
											BgL_sz00_2765, BEOA);
									}
									if (CBOOL(BgL__ortest_1100z00_2772))
										{	/* Eval/evaluate_comp.scm 426 */
											return BgL__ortest_1100z00_2772;
										}
									else
										{
											obj_t BgL_lz00_29212;

											BgL_lz00_29212 = CDR(BgL_lz00_2769);
											BgL_lz00_2769 = BgL_lz00_29212;
											goto BgL_zc3anonymousza32832ze3z83_2770;
										}
								}
						}
					}
				}
			}
		}
	}



/* &comp-ev_if1657 */
	obj_t BGl_z62compzd2ev_if1657zb0zz__evaluate_compz00(obj_t BgL_envz00_15789,
		BgL_ev_ifz00_bglt BgL_ez00_15790, obj_t BgL_stkz00_15791)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 413 */
			{
				BgL_ev_ifz00_bglt BgL_ez00_2743;
				obj_t BgL_stkz00_2744;

				BgL_ez00_2743 = BgL_ez00_15790;
				BgL_stkz00_2744 = BgL_stkz00_15791;
				{	/* Eval/evaluate_comp.scm 415 */
					obj_t BgL_pz00_2748;
					obj_t BgL_tz00_2749;
					obj_t BgL_ez00_2750;

					BgL_pz00_2748 =
						BGl_compz00zz__evaluate_compz00(
						(((BgL_ev_ifz00_bglt) CREF(BgL_ez00_2743))->BgL_pz00),
						BgL_stkz00_2744);
					BgL_tz00_2749 =
						BGl_compz00zz__evaluate_compz00((((BgL_ev_ifz00_bglt)
								CREF(BgL_ez00_2743))->BgL_tz00), BgL_stkz00_2744);
					BgL_ez00_2750 =
						BGl_compz00zz__evaluate_compz00((((BgL_ev_ifz00_bglt)
								CREF(BgL_ez00_2743))->BgL_ez00), BgL_stkz00_2744);
					{	/* Eval/evaluate_comp.scm 416 */
						obj_t BgL_zc3anonymousza32825ze3z83_14713;

						BgL_zc3anonymousza32825ze3z83_14713 =
							MAKE_FX_PROCEDURE
							(BGl_z62zc3anonymousza32825ze3ze1zz__evaluate_compz00,
							(int) (((long) 1)), (int) (((long) 3)));
						PROCEDURE_SET(BgL_zc3anonymousza32825ze3z83_14713,
							(int) (((long) 0)), BgL_ez00_2750);
						PROCEDURE_SET(BgL_zc3anonymousza32825ze3z83_14713,
							(int) (((long) 1)), BgL_tz00_2749);
						PROCEDURE_SET(BgL_zc3anonymousza32825ze3z83_14713,
							(int) (((long) 2)), BgL_pz00_2748);
						return BgL_zc3anonymousza32825ze3z83_14713;
					}
				}
			}
		}
	}



/* &<anonymous:2825> */
	obj_t BGl_z62zc3anonymousza32825ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15792, obj_t BgL_sz00_15796)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 416 */
			{	/* Eval/evaluate_comp.scm 416 */
				obj_t BgL_ez00_15793;
				obj_t BgL_tz00_15794;
				obj_t BgL_pz00_15795;

				BgL_ez00_15793 = PROCEDURE_REF(BgL_envz00_15792, (int) (((long) 0)));
				BgL_tz00_15794 = PROCEDURE_REF(BgL_envz00_15792, (int) (((long) 1)));
				BgL_pz00_15795 = PROCEDURE_REF(BgL_envz00_15792, (int) (((long) 2)));
				{
					obj_t BgL_sz00_2751;

					BgL_sz00_2751 = BgL_sz00_15796;
					{	/* Eval/evaluate_comp.scm 416 */
						obj_t BgL_bpz00_9014;

						BgL_bpz00_9014 = VECTOR_REF(BgL_sz00_2751, (int) (((long) 0)));
						if (CBOOL(PROCEDURE_ENTRY(BgL_pz00_15795) (BgL_pz00_15795,
									BgL_sz00_2751, BEOA)))
							{	/* Eval/evaluate_comp.scm 416 */
								return
									PROCEDURE_ENTRY(BgL_tz00_15794) (BgL_tz00_15794,
									BgL_sz00_2751, BEOA);
							}
						else
							{	/* Eval/evaluate_comp.scm 416 */
								return
									PROCEDURE_ENTRY(BgL_ez00_15793) (BgL_ez00_15793,
									BgL_sz00_2751, BEOA);
							}
					}
				}
			}
		}
	}



/* &comp-ev_litt1655 */
	obj_t BGl_z62compzd2ev_litt1655zb0zz__evaluate_compz00(obj_t BgL_envz00_15797,
		BgL_ev_littz00_bglt BgL_ez00_15798, obj_t BgL_stkz00_15799)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 408 */
			{
				BgL_ev_littz00_bglt BgL_ez00_2734;
				obj_t BgL_stkz00_2735;

				BgL_ez00_2734 = BgL_ez00_15798;
				BgL_stkz00_2735 = BgL_stkz00_15799;
				{	/* Eval/evaluate_comp.scm 409 */
					obj_t BgL_zc3anonymousza32824ze3z83_14715;

					BgL_zc3anonymousza32824ze3z83_14715 =
						MAKE_FX_PROCEDURE
						(BGl_z62zc3anonymousza32824ze3ze1zz__evaluate_compz00,
						(int) (((long) 1)), (int) (((long) 1)));
					PROCEDURE_SET(BgL_zc3anonymousza32824ze3z83_14715, (int) (((long) 0)),
						((obj_t) BgL_ez00_2734));
					return BgL_zc3anonymousza32824ze3z83_14715;
				}
			}
		}
	}



/* &<anonymous:2824> */
	obj_t BGl_z62zc3anonymousza32824ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15800, obj_t BgL_sz00_15802)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 410 */
			{	/* Eval/evaluate_comp.scm 409 */
				BgL_ev_littz00_bglt BgL_i1097z00_15801;

				BgL_i1097z00_15801 =
					((BgL_ev_littz00_bglt)
					PROCEDURE_REF(BgL_envz00_15800, (int) (((long) 0))));
				{
					obj_t BgL_sz00_9009;

					BgL_sz00_9009 = BgL_sz00_15802;
					{	/* Eval/evaluate_comp.scm 409 */
						obj_t BgL_bpz00_9011;

						BgL_bpz00_9011 = VECTOR_REF(BgL_sz00_9009, (int) (((long) 0)));
						return
							(((BgL_ev_littz00_bglt) CREF(BgL_i1097z00_15801))->BgL_valuez00);
					}
				}
			}
		}
	}



/* &comp-ev_defglobal1653 */
	obj_t BGl_z62compzd2ev_defglobal1653zb0zz__evaluate_compz00(obj_t
		BgL_envz00_15803, BgL_ev_defglobalz00_bglt BgL_ez00_15804,
		obj_t BgL_stkz00_15805)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 377 */
			{
				BgL_ev_defglobalz00_bglt BgL_ez00_2695;
				obj_t BgL_stkz00_2696;

				BgL_ez00_2695 = BgL_ez00_15804;
				BgL_stkz00_2696 = BgL_stkz00_15805;
				{	/* Eval/evaluate_comp.scm 379 */
					obj_t BgL_ez00_2700;

					{	/* Eval/evaluate_comp.scm 379 */
						BgL_ev_exprz00_bglt BgL_arg2823z00_2732;

						BgL_arg2823z00_2732 =
							(((BgL_ev_hookz00_bglt) CREF(
									((BgL_ev_hookz00_bglt) BgL_ez00_2695)))->BgL_ez00);
						BgL_ez00_2700 =
							BGl_compz00zz__evaluate_compz00(BgL_arg2823z00_2732,
							BgL_stkz00_2696);
					}
					{	/* Eval/evaluate_comp.scm 380 */
						obj_t BgL_zc3anonymousza32798ze3z83_14717;

						BgL_zc3anonymousza32798ze3z83_14717 =
							MAKE_FX_PROCEDURE
							(BGl_z62zc3anonymousza32798ze3ze1zz__evaluate_compz00,
							(int) (((long) 1)), (int) (((long) 2)));
						PROCEDURE_SET(BgL_zc3anonymousza32798ze3z83_14717,
							(int) (((long) 0)), ((obj_t) BgL_ez00_2695));
						PROCEDURE_SET(BgL_zc3anonymousza32798ze3z83_14717,
							(int) (((long) 1)), BgL_ez00_2700);
						return BgL_zc3anonymousza32798ze3z83_14717;
					}
				}
			}
		}
	}



/* &<anonymous:2798> */
	obj_t BGl_z62zc3anonymousza32798ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15806, obj_t BgL_sz00_15809)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 380 */
			{	/* Eval/evaluate_comp.scm 380 */
				BgL_ev_defglobalz00_bglt BgL_i1094z00_15807;
				obj_t BgL_ez00_15808;

				BgL_i1094z00_15807 =
					((BgL_ev_defglobalz00_bglt)
					PROCEDURE_REF(BgL_envz00_15806, (int) (((long) 0))));
				BgL_ez00_15808 = PROCEDURE_REF(BgL_envz00_15806, (int) (((long) 1)));
				{
					obj_t BgL_sz00_2701;

					BgL_sz00_2701 = BgL_sz00_15809;
					{	/* Eval/evaluate_comp.scm 380 */
						obj_t BgL_bpz00_2703;

						BgL_bpz00_2703 = VECTOR_REF(BgL_sz00_2701, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 381 */
							obj_t BgL_gz00_2704;

							{	/* Eval/evaluate_comp.scm 381 */
								obj_t BgL_arg2821z00_2730;
								obj_t BgL_arg2822z00_2731;

								BgL_arg2821z00_2730 =
									(((BgL_ev_setglobalz00_bglt) CREF(
											((BgL_ev_setglobalz00_bglt) BgL_i1094z00_15807)))->
									BgL_modz00);
								BgL_arg2822z00_2731 =
									(((BgL_ev_setglobalz00_bglt) CREF(((BgL_ev_setglobalz00_bglt)
												BgL_i1094z00_15807)))->BgL_namez00);
								BgL_gz00_2704 =
									BGl_evmodulezd2findzd2globalz00zz__evmodulez00
									(BgL_arg2821z00_2730, BgL_arg2822z00_2731);
							}
							if (CBOOL(BgL_gz00_2704))
								{	/* Eval/evaluate_comp.scm 383 */
									{

										{	/* Eval/evaluate_comp.scm 385 */
											int BgL_aux1096z00_2706;

											{	/* Eval/evaluate_comp.scm 385 */
												int BgL_res4840z00_8954;

												{	/* Eval/evaluate_comp.scm 385 */
													obj_t BgL_evalzd2globalzd2_8951;

													BgL_evalzd2globalzd2_8951 = BgL_gz00_2704;
													{	/* Eval/evaluate_comp.scm 385 */
														int BgL_kz00_8953;

														BgL_kz00_8953 = (int) (((long) 0));
														BgL_res4840z00_8954 =
															CINT(VECTOR_REF(BgL_evalzd2globalzd2_8951,
																BgL_kz00_8953));
												}}
												BgL_aux1096z00_2706 = BgL_res4840z00_8954;
											}
											switch ((long) (BgL_aux1096z00_2706))
												{
												case ((long) 0):

													{	/* Eval/evaluate_comp.scm 387 */
														obj_t BgL_arg2800z00_2708;
														obj_t BgL_arg2801z00_2709;

														BgL_arg2800z00_2708 =
															(((BgL_ev_setglobalz00_bglt) CREF(
																	((BgL_ev_setglobalz00_bglt)
																		BgL_i1094z00_15807)))->BgL_locz00);
														BgL_arg2801z00_2709 =
															(((BgL_ev_setglobalz00_bglt)
																CREF(((BgL_ev_setglobalz00_bglt)
																		BgL_i1094z00_15807)))->BgL_namez00);
														BGl_everrorz00zz__everrorz00(BgL_arg2800z00_2708,
															BGl_string5670z00zz__evaluate_compz00,
															BGl_string5671z00zz__evaluate_compz00,
															BgL_arg2801z00_2709);
													} break;
												case ((long) 1):

													{	/* Eval/evaluate_comp.scm 389 */
														obj_t BgL_arg2802z00_2710;
														obj_t BgL_arg2803z00_2711;

														BgL_arg2802z00_2710 =
															(((BgL_ev_setglobalz00_bglt) CREF(
																	((BgL_ev_setglobalz00_bglt)
																		BgL_i1094z00_15807)))->BgL_locz00);
														BgL_arg2803z00_2711 =
															(((BgL_ev_setglobalz00_bglt)
																CREF(((BgL_ev_setglobalz00_bglt)
																		BgL_i1094z00_15807)))->BgL_namez00);
														{	/* Eval/evaluate_comp.scm 389 */
															obj_t BgL_list2804z00_2712;

															{	/* Eval/evaluate_comp.scm 389 */
																obj_t BgL_arg2805z00_2713;

																{	/* Eval/evaluate_comp.scm 389 */
																	obj_t BgL_arg2806z00_2714;

																	BgL_arg2806z00_2714 =
																		MAKE_PAIR(BgL_arg2803z00_2711, BNIL);
																	BgL_arg2805z00_2713 =
																		MAKE_PAIR
																		(BGl_string5672z00zz__evaluate_compz00,
																		BgL_arg2806z00_2714);
																}
																BgL_list2804z00_2712 =
																	MAKE_PAIR
																	(BGl_string5552z00zz__evaluate_compz00,
																	BgL_arg2805z00_2713);
															}
															BGl_evwarningz00zz__everrorz00
																(BgL_arg2802z00_2710, BgL_list2804z00_2712);
													}}
													{	/* Eval/evaluate_comp.scm 391 */
														obj_t BgL_arg2807z00_2715;
														obj_t BgL_arg2808z00_2716;

														BgL_arg2807z00_2715 =
															VECTOR_REF(BgL_gz00_2704, (int) (((long) 2)));
														BgL_arg2808z00_2716 =
															PROCEDURE_ENTRY(BgL_ez00_15808) (BgL_ez00_15808,
															BgL_sz00_2701, BEOA);
														__EVMEANING_ADDRESS_SET(BgL_arg2807z00_2715,
															BgL_arg2808z00_2716);
													} break;
												case ((long) 2):

													{	/* Eval/evaluate_comp.scm 393 */
														obj_t BgL_arg2809z00_2717;

														BgL_arg2809z00_2717 =
															PROCEDURE_ENTRY(BgL_ez00_15808) (BgL_ez00_15808,
															BgL_sz00_2701, BEOA);
														VECTOR_SET(BgL_gz00_2704, (int) (((long) 2)),
															BgL_arg2809z00_2717);
													} break;
												case ((long) 3):

													{	/* Eval/evaluate_comp.scm 395 */
														obj_t BgL_arg2810z00_2718;

														BgL_arg2810z00_2718 =
															PROCEDURE_ENTRY(BgL_ez00_15808) (BgL_ez00_15808,
															BgL_sz00_2701, BEOA);
														VECTOR_SET(BgL_gz00_2704, (int) (((long) 2)),
															BgL_arg2810z00_2718);
													}
													{	/* Eval/evaluate_comp.scm 396 */
														obj_t BgL_evalzd2globalzd2_8968;
														int BgL_tagz00_8969;

														BgL_evalzd2globalzd2_8968 = BgL_gz00_2704;
														BgL_tagz00_8969 = (int) (((long) 2));
														VECTOR_SET(BgL_evalzd2globalzd2_8968,
															(int) (((long) 0)), BINT(BgL_tagz00_8969));
													} break;
												case ((long) 4):

													{	/* Eval/evaluate_comp.scm 398 */
														obj_t BgL_arg2811z00_2719;

														BgL_arg2811z00_2719 =
															PROCEDURE_ENTRY(BgL_ez00_15808) (BgL_ez00_15808,
															BgL_sz00_2701, BEOA);
														VECTOR_SET(BgL_gz00_2704, (int) (((long) 2)),
															BgL_arg2811z00_2719);
													}
													{	/* Eval/evaluate_comp.scm 399 */
														obj_t BgL_evalzd2globalzd2_8978;
														int BgL_tagz00_8979;

														BgL_evalzd2globalzd2_8978 = BgL_gz00_2704;
														BgL_tagz00_8979 = (int) (((long) 5));
														VECTOR_SET(BgL_evalzd2globalzd2_8978,
															(int) (((long) 0)), BINT(BgL_tagz00_8979));
													} break;
												default:
													{	/* Eval/evaluate_comp.scm 401 */
														obj_t BgL_arg2812z00_2720;
														obj_t BgL_arg2813z00_2721;

														BgL_arg2812z00_2720 =
															(((BgL_ev_setglobalz00_bglt) CREF(
																	((BgL_ev_setglobalz00_bglt)
																		BgL_i1094z00_15807)))->BgL_locz00);
														BgL_arg2813z00_2721 =
															(((BgL_ev_setglobalz00_bglt)
																CREF(((BgL_ev_setglobalz00_bglt)
																		BgL_i1094z00_15807)))->BgL_namez00);
														BGl_everrorz00zz__everrorz00(BgL_arg2812z00_2720,
															BGl_string5670z00zz__evaluate_compz00,
															BGl_string5671z00zz__evaluate_compz00,
															BgL_arg2813z00_2721);
													}
												}
										}
									}
									return
										(((BgL_ev_setglobalz00_bglt) CREF(
												((BgL_ev_setglobalz00_bglt) BgL_i1094z00_15807)))->
										BgL_namez00);
								}
							else
								{	/* Eval/evaluate_comp.scm 403 */
									obj_t BgL_gz00_2722;

									{	/* Eval/evaluate_comp.scm 403 */
										obj_t BgL_arg2818z00_2727;
										obj_t BgL_arg2819z00_2728;
										obj_t BgL_arg2820z00_2729;

										BgL_arg2818z00_2727 =
											(((BgL_ev_setglobalz00_bglt) CREF(
													((BgL_ev_setglobalz00_bglt) BgL_i1094z00_15807)))->
											BgL_namez00);
										BgL_arg2819z00_2728 =
											(((BgL_ev_setglobalz00_bglt)
												CREF(((BgL_ev_setglobalz00_bglt) BgL_i1094z00_15807)))->
											BgL_modz00);
										BgL_arg2820z00_2729 =
											(((BgL_ev_setglobalz00_bglt)
												CREF(((BgL_ev_setglobalz00_bglt) BgL_i1094z00_15807)))->
											BgL_locz00);
										{	/* Eval/evaluate_comp.scm 403 */
											obj_t BgL_v1628z00_8986;

											BgL_v1628z00_8986 = create_vector((int) (((long) 5)));
											VECTOR_SET(BgL_v1628z00_8986,
												(int) (((long) 4)), BgL_arg2820z00_2729);
											VECTOR_SET(BgL_v1628z00_8986,
												(int) (((long) 3)), BgL_arg2819z00_2728);
											VECTOR_SET(BgL_v1628z00_8986,
												(int) (((long) 2)), BUNSPEC);
											VECTOR_SET(BgL_v1628z00_8986,
												(int) (((long) 1)), BgL_arg2818z00_2727);
											VECTOR_SET(BgL_v1628z00_8986,
												(int) (((long) 0)), BINT(((long) 2)));
											BgL_gz00_2722 = BgL_v1628z00_8986;
									}}
									{	/* Eval/evaluate_comp.scm 404 */
										obj_t BgL_arg2814z00_2723;

										BgL_arg2814z00_2723 =
											PROCEDURE_ENTRY(BgL_ez00_15808) (BgL_ez00_15808,
											BgL_sz00_2701, BEOA);
										VECTOR_SET(BgL_gz00_2722, (int) (((long) 2)),
											BgL_arg2814z00_2723);
									}
									{	/* Eval/evaluate_comp.scm 405 */
										obj_t BgL_arg2815z00_2724;
										obj_t BgL_arg2816z00_2725;
										obj_t BgL_arg2817z00_2726;

										BgL_arg2815z00_2724 =
											(((BgL_ev_setglobalz00_bglt) CREF(
													((BgL_ev_setglobalz00_bglt) BgL_i1094z00_15807)))->
											BgL_modz00);
										BgL_arg2816z00_2725 =
											(((BgL_ev_setglobalz00_bglt)
												CREF(((BgL_ev_setglobalz00_bglt) BgL_i1094z00_15807)))->
											BgL_namez00);
										BgL_arg2817z00_2726 =
											(((BgL_ev_setglobalz00_bglt)
												CREF(((BgL_ev_setglobalz00_bglt) BgL_i1094z00_15807)))->
											BgL_locz00);
										BGl_evmodulezd2bindzd2globalz12z12zz__evmodulez00
											(BgL_arg2815z00_2724, BgL_arg2816z00_2725, BgL_gz00_2722,
											BgL_arg2817z00_2726);
									}
									return
										(((BgL_ev_setglobalz00_bglt) CREF(
												((BgL_ev_setglobalz00_bglt) BgL_i1094z00_15807)))->
										BgL_namez00);
								}
						}
					}
				}
			}
		}
	}



/* &comp-ev_setglobal1651 */
	obj_t BGl_z62compzd2ev_setglobal1651zb0zz__evaluate_compz00(obj_t
		BgL_envz00_15810, BgL_ev_setglobalz00_bglt BgL_ez00_15811,
		obj_t BgL_stkz00_15812)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 354 */
			{
				BgL_ev_setglobalz00_bglt BgL_ez00_2652;
				obj_t BgL_stkz00_2653;

				BgL_ez00_2652 = BgL_ez00_15811;
				BgL_stkz00_2653 = BgL_stkz00_15812;
				{	/* Eval/evaluate_comp.scm 356 */
					obj_t BgL_gz00_2657;
					obj_t BgL_ez00_2658;

					BgL_gz00_2657 =
						BGl_evmodulezd2findzd2globalz00zz__evmodulez00(
						(((BgL_ev_setglobalz00_bglt) CREF(BgL_ez00_2652))->BgL_modz00),
						(((BgL_ev_setglobalz00_bglt) CREF(BgL_ez00_2652))->BgL_namez00));
					{	/* Eval/evaluate_comp.scm 356 */
						BgL_ev_exprz00_bglt BgL_arg2797z00_2693;

						BgL_arg2797z00_2693 =
							(((BgL_ev_hookz00_bglt) CREF(
									((BgL_ev_hookz00_bglt) BgL_ez00_2652)))->BgL_ez00);
						BgL_ez00_2658 =
							BGl_compz00zz__evaluate_compz00(BgL_arg2797z00_2693,
							BgL_stkz00_2653);
					}
					if (CBOOL(BgL_gz00_2657))
						{

							{	/* Eval/evaluate_comp.scm 358 */
								int BgL_aux1093z00_2660;

								{	/* Eval/evaluate_comp.scm 358 */
									int BgL_res4839z00_8909;

									{	/* Eval/evaluate_comp.scm 358 */
										obj_t BgL_evalzd2globalzd2_8906;

										BgL_evalzd2globalzd2_8906 = BgL_gz00_2657;
										{	/* Eval/evaluate_comp.scm 358 */
											int BgL_kz00_8908;

											BgL_kz00_8908 = (int) (((long) 0));
											BgL_res4839z00_8909 =
												CINT(VECTOR_REF(BgL_evalzd2globalzd2_8906,
													BgL_kz00_8908));
									}}
									BgL_aux1093z00_2660 = BgL_res4839z00_8909;
								}
								switch ((long) (BgL_aux1093z00_2660))
									{
									case ((long) 1):

										{	/* Eval/evaluate_comp.scm 360 */
											obj_t BgL_zc3anonymousza32773ze3z83_14720;

											BgL_zc3anonymousza32773ze3z83_14720 =
												MAKE_FX_PROCEDURE
												(BGl_z62zc3anonymousza32773ze3ze1zz__evaluate_compz00,
												(int) (((long) 1)), (int) (((long) 2)));
											PROCEDURE_SET(BgL_zc3anonymousza32773ze3z83_14720,
												(int) (((long) 0)), BgL_gz00_2657);
											PROCEDURE_SET(BgL_zc3anonymousza32773ze3z83_14720,
												(int) (((long) 1)), BgL_ez00_2658);
											return BgL_zc3anonymousza32773ze3z83_14720;
										}
										break;
									case ((long) 0):
									case ((long) 4):
									case ((long) 5):

										return
											BGl_everrorz00zz__everrorz00(
											(((BgL_ev_setglobalz00_bglt) CREF(BgL_ez00_2652))->
												BgL_locz00), BGl_string5670z00zz__evaluate_compz00,
											BGl_string5671z00zz__evaluate_compz00,
											(((BgL_ev_setglobalz00_bglt) CREF(BgL_ez00_2652))->
												BgL_namez00));
										break;
									default:
										{	/* Eval/evaluate_comp.scm 365 */
											obj_t BgL_zc3anonymousza32778ze3z83_14721;

											BgL_zc3anonymousza32778ze3z83_14721 =
												MAKE_FX_PROCEDURE
												(BGl_z62zc3anonymousza32778ze3ze1zz__evaluate_compz00,
												(int) (((long) 1)), (int) (((long) 2)));
											PROCEDURE_SET(BgL_zc3anonymousza32778ze3z83_14721,
												(int) (((long) 0)), BgL_ez00_2658);
											PROCEDURE_SET(BgL_zc3anonymousza32778ze3z83_14721,
												(int) (((long) 1)), BgL_gz00_2657);
											return BgL_zc3anonymousza32778ze3z83_14721;
										}
									}
							}
						}
					else
						{	/* Eval/evaluate_comp.scm 366 */
							obj_t BgL_slotz00_2673;

							BgL_slotz00_2673 = MAKE_CELL(BFALSE);
							if (BGl_evmodulezf3zf3zz__evmodulez00(
									(((BgL_ev_setglobalz00_bglt) CREF(BgL_ez00_2652))->
										BgL_modz00)))
								{	/* Eval/evaluate_comp.scm 368 */
									obj_t BgL_gz00_2675;

									{	/* Eval/evaluate_comp.scm 368 */
										obj_t BgL_arg2784z00_2679;
										obj_t BgL_arg2785z00_2680;
										obj_t BgL_arg2786z00_2681;

										BgL_arg2784z00_2679 =
											(((BgL_ev_setglobalz00_bglt) CREF(BgL_ez00_2652))->
											BgL_namez00);
										BgL_arg2785z00_2680 =
											(((BgL_ev_setglobalz00_bglt) CREF(BgL_ez00_2652))->
											BgL_modz00);
										BgL_arg2786z00_2681 =
											(((BgL_ev_setglobalz00_bglt) CREF(BgL_ez00_2652))->
											BgL_locz00);
										{	/* Eval/evaluate_comp.scm 368 */
											obj_t BgL_v1628z00_8921;

											BgL_v1628z00_8921 = create_vector((int) (((long) 5)));
											VECTOR_SET(BgL_v1628z00_8921,
												(int) (((long) 4)), BgL_arg2786z00_2681);
											VECTOR_SET(BgL_v1628z00_8921,
												(int) (((long) 3)), BgL_arg2785z00_2680);
											VECTOR_SET(BgL_v1628z00_8921,
												(int) (((long) 2)), BUNSPEC);
											VECTOR_SET(BgL_v1628z00_8921,
												(int) (((long) 1)), BgL_arg2784z00_2679);
											VECTOR_SET(BgL_v1628z00_8921,
												(int) (((long) 0)), BINT(((long) 2)));
											BgL_gz00_2675 = BgL_v1628z00_8921;
									}}
									{	/* Eval/evaluate_comp.scm 369 */
										int BgL_tagz00_8938;

										BgL_tagz00_8938 = (int) (((long) 3));
										VECTOR_SET(BgL_gz00_2675,
											(int) (((long) 0)), BINT(BgL_tagz00_8938));
									}
									BGl_evmodulezd2bindzd2globalz12z12zz__evmodulez00(
										(((BgL_ev_setglobalz00_bglt) CREF(BgL_ez00_2652))->
											BgL_modz00),
										(((BgL_ev_setglobalz00_bglt) CREF(BgL_ez00_2652))->
											BgL_namez00), BgL_gz00_2675,
										(((BgL_ev_setglobalz00_bglt) CREF(BgL_ez00_2652))->
											BgL_locz00));
								}
							else
								{	/* Eval/evaluate_comp.scm 367 */
									BFALSE;
								}
							{	/* Eval/evaluate_comp.scm 371 */
								obj_t BgL_zc3anonymousza32788ze3z83_14719;

								BgL_zc3anonymousza32788ze3z83_14719 =
									MAKE_FX_PROCEDURE
									(BGl_z62zc3anonymousza32788ze3ze1zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 3)));
								PROCEDURE_SET(BgL_zc3anonymousza32788ze3z83_14719,
									(int) (((long) 0)), ((obj_t) BgL_ez00_2652));
								PROCEDURE_SET(BgL_zc3anonymousza32788ze3z83_14719,
									(int) (((long) 1)), BgL_slotz00_2673);
								PROCEDURE_SET(BgL_zc3anonymousza32788ze3z83_14719,
									(int) (((long) 2)), BgL_ez00_2658);
								return BgL_zc3anonymousza32788ze3z83_14719;
							}
						}
				}
			}
		}
	}



/* &<anonymous:2773> */
	obj_t BGl_z62zc3anonymousza32773ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15813, obj_t BgL_sz00_15816)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 360 */
			{	/* Eval/evaluate_comp.scm 360 */
				obj_t BgL_gz00_15814;
				obj_t BgL_ez00_15815;

				BgL_gz00_15814 = PROCEDURE_REF(BgL_envz00_15813, (int) (((long) 0)));
				BgL_ez00_15815 = PROCEDURE_REF(BgL_envz00_15813, (int) (((long) 1)));
				{
					obj_t BgL_sz00_2662;

					BgL_sz00_2662 = BgL_sz00_15816;
					{	/* Eval/evaluate_comp.scm 360 */
						obj_t BgL_bpz00_8910;

						BgL_bpz00_8910 = VECTOR_REF(BgL_sz00_2662, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 360 */
							obj_t BgL_arg2774z00_8911;
							obj_t BgL_arg2775z00_8912;

							BgL_arg2774z00_8911 =
								VECTOR_REF(BgL_gz00_15814, (int) (((long) 2)));
							BgL_arg2775z00_8912 =
								PROCEDURE_ENTRY(BgL_ez00_15815) (BgL_ez00_15815, BgL_sz00_2662,
								BEOA);
							return __EVMEANING_ADDRESS_SET(BgL_arg2774z00_8911,
								BgL_arg2775z00_8912);
						}
					}
				}
			}
		}
	}



/* &<anonymous:2778> */
	obj_t BGl_z62zc3anonymousza32778ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15817, obj_t BgL_sz00_15820)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 365 */
			{	/* Eval/evaluate_comp.scm 365 */
				obj_t BgL_ez00_15818;
				obj_t BgL_gz00_15819;

				BgL_ez00_15818 = PROCEDURE_REF(BgL_envz00_15817, (int) (((long) 0)));
				BgL_gz00_15819 = PROCEDURE_REF(BgL_envz00_15817, (int) (((long) 1)));
				{
					obj_t BgL_sz00_2669;

					BgL_sz00_2669 = BgL_sz00_15820;
					{	/* Eval/evaluate_comp.scm 365 */
						obj_t BgL_bpz00_8897;

						BgL_bpz00_8897 = VECTOR_REF(BgL_sz00_2669, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 365 */
							obj_t BgL_arg2779z00_8898;

							BgL_arg2779z00_8898 =
								PROCEDURE_ENTRY(BgL_ez00_15818) (BgL_ez00_15818, BgL_sz00_2669,
								BEOA);
							return VECTOR_SET(BgL_gz00_15819, (int) (((long) 2)),
								BgL_arg2779z00_8898);
		}}}}}
	}



/* &<anonymous:2788> */
	obj_t BGl_z62zc3anonymousza32788ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15821, obj_t BgL_sz00_15825)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 371 */
			{	/* Eval/evaluate_comp.scm 371 */
				BgL_ev_setglobalz00_bglt BgL_i1091z00_15822;
				obj_t BgL_slotz00_15823;
				obj_t BgL_ez00_15824;

				BgL_i1091z00_15822 =
					((BgL_ev_setglobalz00_bglt)
					PROCEDURE_REF(BgL_envz00_15821, (int) (((long) 0))));
				BgL_slotz00_15823 = PROCEDURE_REF(BgL_envz00_15821, (int) (((long) 1)));
				BgL_ez00_15824 = PROCEDURE_REF(BgL_envz00_15821, (int) (((long) 2)));
				{
					obj_t BgL_sz00_2683;

					BgL_sz00_2683 = BgL_sz00_15825;
					{	/* Eval/evaluate_comp.scm 371 */
						obj_t BgL_bpz00_2685;

						BgL_bpz00_2685 = VECTOR_REF(BgL_sz00_2683, (int) (((long) 0)));
						if (CBOOL(CELL_REF(BgL_slotz00_15823)))
							{	/* Eval/evaluate_comp.scm 372 */
								BFALSE;
							}
						else
							{	/* Eval/evaluate_comp.scm 372 */
								{	/* Eval/evaluate_comp.scm 373 */
									obj_t BgL_auxz00_15826;

									BgL_auxz00_15826 =
										BGl_evmodulezd2findzd2globalz00zz__evmodulez00(
										(((BgL_ev_setglobalz00_bglt) CREF(BgL_i1091z00_15822))->
											BgL_modz00),
										(((BgL_ev_setglobalz00_bglt) CREF(BgL_i1091z00_15822))->
											BgL_namez00));
									CELL_SET(BgL_slotz00_15823, BgL_auxz00_15826);
								}
								if (CBOOL(CELL_REF(BgL_slotz00_15823)))
									{	/* Eval/evaluate_comp.scm 374 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 374 */
										BGl_everrorz00zz__everrorz00(
											(((BgL_ev_setglobalz00_bglt) CREF(BgL_i1091z00_15822))->
												BgL_locz00), BGl_string5552z00zz__evaluate_compz00,
											BGl_string5673z00zz__evaluate_compz00,
											(((BgL_ev_setglobalz00_bglt) CREF(BgL_i1091z00_15822))->
												BgL_namez00));
									}
							}
						{	/* Eval/evaluate_comp.scm 375 */
							obj_t BgL_arg2793z00_2690;

							BgL_arg2793z00_2690 =
								PROCEDURE_ENTRY(BgL_ez00_15824) (BgL_ez00_15824, BgL_sz00_2683,
								BEOA);
							{	/* Eval/evaluate_comp.scm 375 */
								obj_t BgL_evalzd2globalzd2_8944;

								BgL_evalzd2globalzd2_8944 = CELL_REF(BgL_slotz00_15823);
								return
									VECTOR_SET(BgL_evalzd2globalzd2_8944,
									(int) (((long) 2)), BgL_arg2793z00_2690);
		}}}}}}
	}



/* &comp-ev_global1649 */
	obj_t BGl_z62compzd2ev_global1649zb0zz__evaluate_compz00(obj_t
		BgL_envz00_15827, BgL_ev_globalz00_bglt BgL_varz00_15828,
		obj_t BgL_stkz00_15829)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 328 */
			{
				BgL_ev_globalz00_bglt BgL_varz00_2610;
				obj_t BgL_stkz00_2611;

				BgL_varz00_2610 = BgL_varz00_15828;
				BgL_stkz00_2611 = BgL_stkz00_15829;
				{	/* Eval/evaluate_comp.scm 330 */
					obj_t BgL_gz00_2615;

					BgL_gz00_2615 =
						BGl_evmodulezd2findzd2globalz00zz__evmodulez00(
						(((BgL_ev_globalz00_bglt) CREF(BgL_varz00_2610))->BgL_modz00),
						(((BgL_ev_globalz00_bglt) CREF(BgL_varz00_2610))->BgL_namez00));
					if (CBOOL(BgL_gz00_2615))
						{	/* Eval/evaluate_comp.scm 332 */
							bool_t BgL_testz00_29502;

							{	/* Eval/evaluate_comp.scm 332 */
								int BgL_arg2751z00_2624;

								{	/* Eval/evaluate_comp.scm 332 */
									int BgL_res4835z00_8844;

									{	/* Eval/evaluate_comp.scm 332 */
										obj_t BgL_evalzd2globalzd2_8841;

										BgL_evalzd2globalzd2_8841 = BgL_gz00_2615;
										{	/* Eval/evaluate_comp.scm 332 */
											int BgL_kz00_8843;

											BgL_kz00_8843 = (int) (((long) 0));
											BgL_res4835z00_8844 =
												CINT(VECTOR_REF(BgL_evalzd2globalzd2_8841,
													BgL_kz00_8843));
									}}
									BgL_arg2751z00_2624 = BgL_res4835z00_8844;
								}
								BgL_testz00_29502 =
									(BINT(BgL_arg2751z00_2624) == BINT(((long) 1)));
							}
							if (BgL_testz00_29502)
								{	/* Eval/evaluate_comp.scm 333 */
									obj_t BgL_zc3anonymousza32748ze3z83_14723;

									BgL_zc3anonymousza32748ze3z83_14723 =
										MAKE_FX_PROCEDURE
										(BGl_z62zc3anonymousza32748ze3ze1zz__evaluate_compz00,
										(int) (((long) 1)), (int) (((long) 1)));
									PROCEDURE_SET(BgL_zc3anonymousza32748ze3z83_14723,
										(int) (((long) 0)), BgL_gz00_2615);
									return BgL_zc3anonymousza32748ze3z83_14723;
								}
							else
								{	/* Eval/evaluate_comp.scm 335 */
									obj_t BgL_zc3anonymousza32750ze3z83_14724;

									BgL_zc3anonymousza32750ze3z83_14724 =
										MAKE_FX_PROCEDURE
										(BGl_z62zc3anonymousza32750ze3ze1zz__evaluate_compz00,
										(int) (((long) 1)), (int) (((long) 1)));
									PROCEDURE_SET(BgL_zc3anonymousza32750ze3z83_14724,
										(int) (((long) 0)), BgL_gz00_2615);
									return BgL_zc3anonymousza32750ze3z83_14724;
								}
						}
					else
						{	/* Eval/evaluate_comp.scm 337 */
							obj_t BgL_slotz00_2625;

							BgL_slotz00_2625 = MAKE_CELL(BFALSE);
							if (BGl_evmodulezf3zf3zz__evmodulez00(
									(((BgL_ev_globalz00_bglt) CREF(BgL_varz00_2610))->
										BgL_modz00)))
								{	/* Eval/evaluate_comp.scm 339 */
									obj_t BgL_gz00_2627;

									{	/* Eval/evaluate_comp.scm 339 */
										obj_t BgL_arg2756z00_2631;
										obj_t BgL_arg2757z00_2632;
										obj_t BgL_arg2758z00_2633;

										BgL_arg2756z00_2631 =
											(((BgL_ev_globalz00_bglt) CREF(BgL_varz00_2610))->
											BgL_namez00);
										BgL_arg2757z00_2632 =
											(((BgL_ev_globalz00_bglt) CREF(BgL_varz00_2610))->
											BgL_modz00);
										BgL_arg2758z00_2633 =
											(((BgL_ev_globalz00_bglt) CREF(BgL_varz00_2610))->
											BgL_locz00);
										{	/* Eval/evaluate_comp.scm 339 */
											obj_t BgL_v1628z00_8861;

											BgL_v1628z00_8861 = create_vector((int) (((long) 5)));
											VECTOR_SET(BgL_v1628z00_8861,
												(int) (((long) 4)), BgL_arg2758z00_2633);
											VECTOR_SET(BgL_v1628z00_8861,
												(int) (((long) 3)), BgL_arg2757z00_2632);
											VECTOR_SET(BgL_v1628z00_8861,
												(int) (((long) 2)), BUNSPEC);
											VECTOR_SET(BgL_v1628z00_8861,
												(int) (((long) 1)), BgL_arg2756z00_2631);
											VECTOR_SET(BgL_v1628z00_8861,
												(int) (((long) 0)), BINT(((long) 2)));
											BgL_gz00_2627 = BgL_v1628z00_8861;
									}}
									{	/* Eval/evaluate_comp.scm 340 */
										int BgL_tagz00_8878;

										BgL_tagz00_8878 = (int) (((long) 3));
										VECTOR_SET(BgL_gz00_2627,
											(int) (((long) 0)), BINT(BgL_tagz00_8878));
									}
									BGl_evmodulezd2bindzd2globalz12z12zz__evmodulez00(
										(((BgL_ev_globalz00_bglt) CREF(BgL_varz00_2610))->
											BgL_modz00),
										(((BgL_ev_globalz00_bglt) CREF(BgL_varz00_2610))->
											BgL_namez00), BgL_gz00_2627,
										(((BgL_ev_globalz00_bglt) CREF(BgL_varz00_2610))->
											BgL_locz00));
								}
							else
								{	/* Eval/evaluate_comp.scm 338 */
									BFALSE;
								}
							{	/* Eval/evaluate_comp.scm 342 */
								obj_t BgL_zc3anonymousza32760ze3z83_14725;

								BgL_zc3anonymousza32760ze3z83_14725 =
									MAKE_FX_PROCEDURE
									(BGl_z62zc3anonymousza32760ze3ze1zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 2)));
								PROCEDURE_SET(BgL_zc3anonymousza32760ze3z83_14725,
									(int) (((long) 0)), ((obj_t) BgL_varz00_2610));
								PROCEDURE_SET(BgL_zc3anonymousza32760ze3z83_14725,
									(int) (((long) 1)), BgL_slotz00_2625);
								return BgL_zc3anonymousza32760ze3z83_14725;
							}
						}
				}
			}
		}
	}



/* &<anonymous:2748> */
	obj_t BGl_z62zc3anonymousza32748ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15830, obj_t BgL_sz00_15832)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 333 */
			{	/* Eval/evaluate_comp.scm 333 */
				obj_t BgL_gz00_15831;

				BgL_gz00_15831 = PROCEDURE_REF(BgL_envz00_15830, (int) (((long) 0)));
				{
					obj_t BgL_sz00_2617;

					BgL_sz00_2617 = BgL_sz00_15832;
					{	/* Eval/evaluate_comp.scm 333 */
						obj_t BgL_bpz00_8845;

						BgL_bpz00_8845 = VECTOR_REF(BgL_sz00_2617, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 333 */
							obj_t BgL_auxz00_29558;

							BgL_auxz00_29558 = VECTOR_REF(BgL_gz00_15831, (int) (((long) 2)));
							return __EVMEANING_ADDRESS_REF(BgL_auxz00_29558);
						}
					}
				}
			}
		}
	}



/* &<anonymous:2750> */
	obj_t BGl_z62zc3anonymousza32750ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15833, obj_t BgL_sz00_15835)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 335 */
			{	/* Eval/evaluate_comp.scm 335 */
				obj_t BgL_gz00_15834;

				BgL_gz00_15834 = PROCEDURE_REF(BgL_envz00_15833, (int) (((long) 0)));
				{
					obj_t BgL_sz00_2621;

					BgL_sz00_2621 = BgL_sz00_15835;
					{	/* Eval/evaluate_comp.scm 335 */
						obj_t BgL_bpz00_8852;

						BgL_bpz00_8852 = VECTOR_REF(BgL_sz00_2621, (int) (((long) 0)));
						return VECTOR_REF(BgL_gz00_15834, (int) (((long) 2)));
		}}}}
	}



/* &<anonymous:2760> */
	obj_t BGl_z62zc3anonymousza32760ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15836, obj_t BgL_sz00_15839)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 342 */
			{	/* Eval/evaluate_comp.scm 342 */
				BgL_ev_globalz00_bglt BgL_i1090z00_15837;
				obj_t BgL_slotz00_15838;

				BgL_i1090z00_15837 =
					((BgL_ev_globalz00_bglt)
					PROCEDURE_REF(BgL_envz00_15836, (int) (((long) 0))));
				BgL_slotz00_15838 = PROCEDURE_REF(BgL_envz00_15836, (int) (((long) 1)));
				{
					obj_t BgL_sz00_2635;

					BgL_sz00_2635 = BgL_sz00_15839;
					{	/* Eval/evaluate_comp.scm 342 */
						obj_t BgL_bpz00_2637;

						BgL_bpz00_2637 = VECTOR_REF(BgL_sz00_2635, (int) (((long) 0)));
						if (CBOOL(CELL_REF(BgL_slotz00_15838)))
							{	/* Eval/evaluate_comp.scm 343 */
								BFALSE;
							}
						else
							{	/* Eval/evaluate_comp.scm 343 */
								{	/* Eval/evaluate_comp.scm 344 */
									obj_t BgL_auxz00_15840;

									BgL_auxz00_15840 =
										BGl_evmodulezd2findzd2globalz00zz__evmodulez00(
										(((BgL_ev_globalz00_bglt) CREF(BgL_i1090z00_15837))->
											BgL_modz00),
										(((BgL_ev_globalz00_bglt) CREF(BgL_i1090z00_15837))->
											BgL_namez00));
									CELL_SET(BgL_slotz00_15838, BgL_auxz00_15840);
								}
								if (CBOOL(CELL_REF(BgL_slotz00_15838)))
									{	/* Eval/evaluate_comp.scm 345 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 345 */
										BGl_everrorz00zz__everrorz00(
											(((BgL_ev_globalz00_bglt) CREF(BgL_i1090z00_15837))->
												BgL_locz00), BGl_string5552z00zz__evaluate_compz00,
											BGl_string5673z00zz__evaluate_compz00,
											(((BgL_ev_globalz00_bglt) CREF(BgL_i1090z00_15837))->
												BgL_namez00));
									}
							}
						{	/* Eval/evaluate_comp.scm 346 */
							obj_t BgL_vz00_2642;

							{	/* Eval/evaluate_comp.scm 346 */
								obj_t BgL_evalzd2globalzd2_8884;

								BgL_evalzd2globalzd2_8884 = CELL_REF(BgL_slotz00_15838);
								BgL_vz00_2642 =
									VECTOR_REF(BgL_evalzd2globalzd2_8884, (int) (((long) 2)));
							}
							if ((BgL_vz00_2642 == BUNSPEC))
								{	/* Eval/evaluate_comp.scm 348 */
									int BgL_tz00_2644;

									{	/* Eval/evaluate_comp.scm 348 */
										int BgL_res4836z00_8890;

										{	/* Eval/evaluate_comp.scm 348 */
											obj_t BgL_evalzd2globalzd2_8887;

											BgL_evalzd2globalzd2_8887 = CELL_REF(BgL_slotz00_15838);
											{	/* Eval/evaluate_comp.scm 348 */
												int BgL_kz00_8889;

												BgL_kz00_8889 = (int) (((long) 0));
												BgL_res4836z00_8890 =
													CINT(VECTOR_REF(BgL_evalzd2globalzd2_8887,
														BgL_kz00_8889));
										}}
										BgL_tz00_2644 = BgL_res4836z00_8890;
									}
									{	/* Eval/evaluate_comp.scm 349 */
										bool_t BgL_testz00_29592;

										if (((long) (BgL_tz00_2644) == ((long) 3)))
											{	/* Eval/evaluate_comp.scm 349 */
												BgL_testz00_29592 = ((bool_t) 1);
											}
										else
											{	/* Eval/evaluate_comp.scm 349 */
												BgL_testz00_29592 =
													((long) (BgL_tz00_2644) == ((long) 4));
											}
										if (BgL_testz00_29592)
											{	/* Eval/evaluate_comp.scm 349 */
												return
													BGl_everrorz00zz__everrorz00(
													(((BgL_ev_globalz00_bglt) CREF(BgL_i1090z00_15837))->
														BgL_locz00), BGl_string5552z00zz__evaluate_compz00,
													BGl_string5674z00zz__evaluate_compz00,
													(((BgL_ev_globalz00_bglt) CREF(BgL_i1090z00_15837))->
														BgL_namez00));
											}
										else
											{	/* Eval/evaluate_comp.scm 349 */
												return BgL_vz00_2642;
											}
									}
								}
							else
								{	/* Eval/evaluate_comp.scm 347 */
									return BgL_vz00_2642;
								}
						}
					}
				}
			}
		}
	}



/* &comp-ev_setlocal1647 */
	obj_t BGl_z62compzd2ev_setlocal1647zb0zz__evaluate_compz00(obj_t
		BgL_envz00_15841, BgL_ev_setlocalz00_bglt BgL_ez00_15842,
		obj_t BgL_stkz00_15843)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 310 */
			{
				BgL_ev_setlocalz00_bglt BgL_ez00_2587;
				obj_t BgL_stkz00_2588;

				BgL_ez00_2587 = BgL_ez00_15842;
				BgL_stkz00_2588 = BgL_stkz00_15843;
				{	/* Eval/evaluate_comp.scm 312 */
					obj_t BgL_iz00_2592;
					obj_t BgL_ez00_2593;

					{	/* Eval/evaluate_comp.scm 312 */
						BgL_ev_varz00_bglt BgL_arg2745z00_2607;

						BgL_arg2745z00_2607 =
							(((BgL_ev_setlocalz00_bglt) CREF(BgL_ez00_2587))->BgL_vz00);
						BgL_iz00_2592 =
							BGl__indexz00zz__evaluate_compz00(
							((obj_t) BgL_arg2745z00_2607), BgL_stkz00_2588);
					}
					{	/* Eval/evaluate_comp.scm 312 */
						BgL_ev_exprz00_bglt BgL_arg2746z00_2608;

						BgL_arg2746z00_2608 =
							(((BgL_ev_hookz00_bglt) CREF(
									((BgL_ev_hookz00_bglt) BgL_ez00_2587)))->BgL_ez00);
						BgL_ez00_2593 =
							BGl_compz00zz__evaluate_compz00(BgL_arg2746z00_2608,
							BgL_stkz00_2588);
					}
					if (CBOOL(
							(((BgL_ev_varz00_bglt) CREF(
										(((BgL_ev_setlocalz00_bglt) CREF(BgL_ez00_2587))->
											BgL_vz00)))->BgL_effz00)))
						{	/* Eval/evaluate_comp.scm 315 */
							obj_t BgL_zc3anonymousza32738ze3z83_14727;

							BgL_zc3anonymousza32738ze3z83_14727 =
								MAKE_FX_PROCEDURE
								(BGl_z62zc3anonymousza32738ze3ze1zz__evaluate_compz00,
								(int) (((long) 1)), (int) (((long) 2)));
							PROCEDURE_SET(BgL_zc3anonymousza32738ze3z83_14727,
								(int) (((long) 0)), BgL_iz00_2592);
							PROCEDURE_SET(BgL_zc3anonymousza32738ze3z83_14727,
								(int) (((long) 1)), BgL_ez00_2593);
							return BgL_zc3anonymousza32738ze3z83_14727;
						}
					else
						{	/* Eval/evaluate_comp.scm 317 */
							obj_t BgL_zc3anonymousza32742ze3z83_14728;

							BgL_zc3anonymousza32742ze3z83_14728 =
								MAKE_FX_PROCEDURE
								(BGl_z62zc3anonymousza32742ze3ze1zz__evaluate_compz00,
								(int) (((long) 1)), (int) (((long) 2)));
							PROCEDURE_SET(BgL_zc3anonymousza32742ze3z83_14728,
								(int) (((long) 0)), BgL_iz00_2592);
							PROCEDURE_SET(BgL_zc3anonymousza32742ze3z83_14728,
								(int) (((long) 1)), BgL_ez00_2593);
							return BgL_zc3anonymousza32742ze3z83_14728;
						}
				}
			}
		}
	}



/* &<anonymous:2738> */
	obj_t BGl_z62zc3anonymousza32738ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15844, obj_t BgL_sz00_15847)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 315 */
			{	/* Eval/evaluate_comp.scm 315 */
				obj_t BgL_iz00_15845;
				obj_t BgL_ez00_15846;

				BgL_iz00_15845 = PROCEDURE_REF(BgL_envz00_15844, (int) (((long) 0)));
				BgL_ez00_15846 = PROCEDURE_REF(BgL_envz00_15844, (int) (((long) 1)));
				{
					obj_t BgL_sz00_2596;

					BgL_sz00_2596 = BgL_sz00_15847;
					{	/* Eval/evaluate_comp.scm 315 */
						obj_t BgL_bpz00_8814;

						BgL_bpz00_8814 = VECTOR_REF(BgL_sz00_2596, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 315 */
							obj_t BgL_arg2739z00_8815;
							obj_t BgL_arg2740z00_8816;

							{	/* Eval/evaluate_comp.scm 315 */
								long BgL_arg2741z00_8817;

								BgL_arg2741z00_8817 =
									((long) CINT(BgL_bpz00_8814) + (long) CINT(BgL_iz00_15845));
								BgL_arg2739z00_8815 =
									VECTOR_REF(BgL_sz00_2596, (int) (BgL_arg2741z00_8817));
							}
							BgL_arg2740z00_8816 =
								PROCEDURE_ENTRY(BgL_ez00_15846) (BgL_ez00_15846, BgL_sz00_2596,
								BEOA);
							{	/* Eval/evaluate_comp.scm 315 */
								obj_t BgL_sz00_8827;

								BgL_sz00_8827 = BgL_arg2739z00_8815;
								{	/* Eval/evaluate_comp.scm 315 */
									obj_t BgL_xz00_16157;

									{	/* Eval/evaluate_comp.scm 315 */
										int BgL_auxz00_29640;

										BgL_auxz00_29640 = (int) (((long) 0));
										BgL_xz00_16157 =
											STRUCT_SET(BgL_sz00_8827, BgL_auxz00_29640,
											BgL_arg2740z00_8816);
									}
									return BUNSPEC;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:2742> */
	obj_t BGl_z62zc3anonymousza32742ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15848, obj_t BgL_sz00_15851)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 317 */
			{	/* Eval/evaluate_comp.scm 317 */
				obj_t BgL_iz00_15849;
				obj_t BgL_ez00_15850;

				BgL_iz00_15849 = PROCEDURE_REF(BgL_envz00_15848, (int) (((long) 0)));
				BgL_ez00_15850 = PROCEDURE_REF(BgL_envz00_15848, (int) (((long) 1)));
				{
					obj_t BgL_sz00_2602;

					BgL_sz00_2602 = BgL_sz00_15851;
					{	/* Eval/evaluate_comp.scm 317 */
						obj_t BgL_bpz00_8830;

						BgL_bpz00_8830 = VECTOR_REF(BgL_sz00_2602, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 317 */
							long BgL_arg2743z00_8831;
							obj_t BgL_arg2744z00_8832;

							BgL_arg2743z00_8831 =
								((long) CINT(BgL_bpz00_8830) + (long) CINT(BgL_iz00_15849));
							BgL_arg2744z00_8832 =
								PROCEDURE_ENTRY(BgL_ez00_15850) (BgL_ez00_15850, BgL_sz00_2602,
								BEOA);
							return VECTOR_SET(BgL_sz00_2602, (int) (BgL_arg2743z00_8831),
								BgL_arg2744z00_8832);
		}}}}}
	}



/* &comp-ev_var1645 */
	obj_t BGl_z62compzd2ev_var1645zb0zz__evaluate_compz00(obj_t BgL_envz00_15852,
		BgL_ev_varz00_bglt BgL_varz00_15853, obj_t BgL_stkz00_15854)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 305 */
			{
				BgL_ev_varz00_bglt BgL_varz00_2527;
				obj_t BgL_stkz00_2528;

				BgL_varz00_2527 = BgL_varz00_15853;
				BgL_stkz00_2528 = BgL_stkz00_15854;
				{	/* Eval/evaluate_comp.scm 306 */
					obj_t BgL_iz00_2531;

					BgL_iz00_2531 =
						BGl__indexz00zz__evaluate_compz00(
						((obj_t) BgL_varz00_2527), BgL_stkz00_2528);
					{

						if (INTEGERP(BgL_iz00_2531))
							{	/* Eval/evaluate_comp.scm 308 */
								switch ((long) CINT(BgL_iz00_2531))
									{
									case ((long) 0):

										if (CBOOL(
												(((BgL_ev_varz00_bglt) CREF(BgL_varz00_2527))->
													BgL_effz00)))
											{	/* Eval/evaluate_comp.scm 308 */
												return BGl_proc5675z00zz__evaluate_compz00;
											}
										else
											{	/* Eval/evaluate_comp.scm 308 */
												return BGl_proc5676z00zz__evaluate_compz00;
											}
										break;
									case ((long) 1):

										if (CBOOL(
												(((BgL_ev_varz00_bglt) CREF(BgL_varz00_2527))->
													BgL_effz00)))
											{	/* Eval/evaluate_comp.scm 308 */
												return BGl_proc5677z00zz__evaluate_compz00;
											}
										else
											{	/* Eval/evaluate_comp.scm 308 */
												return BGl_proc5678z00zz__evaluate_compz00;
											}
										break;
									case ((long) 2):

										if (CBOOL(
												(((BgL_ev_varz00_bglt) CREF(BgL_varz00_2527))->
													BgL_effz00)))
											{	/* Eval/evaluate_comp.scm 308 */
												return BGl_proc5679z00zz__evaluate_compz00;
											}
										else
											{	/* Eval/evaluate_comp.scm 308 */
												return BGl_proc5680z00zz__evaluate_compz00;
											}
										break;
									case ((long) 3):

										if (CBOOL(
												(((BgL_ev_varz00_bglt) CREF(BgL_varz00_2527))->
													BgL_effz00)))
											{	/* Eval/evaluate_comp.scm 308 */
												return BGl_proc5681z00zz__evaluate_compz00;
											}
										else
											{	/* Eval/evaluate_comp.scm 308 */
												return BGl_proc5682z00zz__evaluate_compz00;
											}
										break;
									default:
									BgL_case_else1085z00_2533:
										if (CBOOL(
												(((BgL_ev_varz00_bglt) CREF(BgL_varz00_2527))->
													BgL_effz00)))
											{	/* Eval/evaluate_comp.scm 308 */
												obj_t BgL_zc3anonymousza32732ze3z83_14739;

												BgL_zc3anonymousza32732ze3z83_14739 =
													MAKE_FX_PROCEDURE
													(BGl_z62zc3anonymousza32732ze3ze1zz__evaluate_compz00,
													(int) (((long) 1)), (int) (((long) 1)));
												PROCEDURE_SET(BgL_zc3anonymousza32732ze3z83_14739,
													(int) (((long) 0)), BgL_iz00_2531);
												return BgL_zc3anonymousza32732ze3z83_14739;
											}
										else
											{	/* Eval/evaluate_comp.scm 308 */
												obj_t BgL_zc3anonymousza32735ze3z83_14738;

												BgL_zc3anonymousza32735ze3z83_14738 =
													MAKE_FX_PROCEDURE
													(BGl_z62zc3anonymousza32735ze3ze1zz__evaluate_compz00,
													(int) (((long) 1)), (int) (((long) 1)));
												PROCEDURE_SET(BgL_zc3anonymousza32735ze3z83_14738,
													(int) (((long) 0)), BgL_iz00_2531);
												return BgL_zc3anonymousza32735ze3z83_14738;
											}
									}
							}
						else
							{	/* Eval/evaluate_comp.scm 308 */
								goto BgL_case_else1085z00_2533;
							}
					}
				}
			}
		}
	}



/* &<anonymous:2726> */
	obj_t BGl_z62zc3anonymousza32726ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15855, obj_t BgL_sz00_15856)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 308 */
			{
				obj_t BgL_sz00_2567;

				BgL_sz00_2567 = BgL_sz00_15856;
				{	/* Eval/evaluate_comp.scm 308 */
					obj_t BgL_bpz00_8792;

					BgL_bpz00_8792 = VECTOR_REF(BgL_sz00_2567, (int) (((long) 0)));
					{	/* Eval/evaluate_comp.scm 308 */
						obj_t BgL_arg2727z00_8793;

						{	/* Eval/evaluate_comp.scm 308 */
							long BgL_arg2728z00_8794;

							BgL_arg2728z00_8794 = ((long) CINT(BgL_bpz00_8792) + ((long) 3));
							BgL_arg2727z00_8793 =
								VECTOR_REF(BgL_sz00_2567, (int) (BgL_arg2728z00_8794));
						}
						return STRUCT_REF(BgL_arg2727z00_8793, (int) (((long) 0)));
		}}}}
	}



/* &<anonymous:2729> */
	obj_t BGl_z62zc3anonymousza32729ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15857, obj_t BgL_sz00_15858)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 308 */
			{
				obj_t BgL_sz00_2572;

				BgL_sz00_2572 = BgL_sz00_15858;
				{	/* Eval/evaluate_comp.scm 308 */
					obj_t BgL_bpz00_8805;

					BgL_bpz00_8805 = VECTOR_REF(BgL_sz00_2572, (int) (((long) 0)));
					{	/* Eval/evaluate_comp.scm 308 */
						long BgL_arg2730z00_8806;

						BgL_arg2730z00_8806 = ((long) CINT(BgL_bpz00_8805) + ((long) 3));
						return VECTOR_REF(BgL_sz00_2572, (int) (BgL_arg2730z00_8806));
		}}}}
	}



/* &<anonymous:2720> */
	obj_t BGl_z62zc3anonymousza32720ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15859, obj_t BgL_sz00_15860)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 308 */
			{
				obj_t BgL_sz00_2557;

				BgL_sz00_2557 = BgL_sz00_15860;
				{	/* Eval/evaluate_comp.scm 308 */
					obj_t BgL_bpz00_8770;

					BgL_bpz00_8770 = VECTOR_REF(BgL_sz00_2557, (int) (((long) 0)));
					{	/* Eval/evaluate_comp.scm 308 */
						obj_t BgL_arg2721z00_8771;

						{	/* Eval/evaluate_comp.scm 308 */
							long BgL_arg2722z00_8772;

							BgL_arg2722z00_8772 = ((long) CINT(BgL_bpz00_8770) + ((long) 2));
							BgL_arg2721z00_8771 =
								VECTOR_REF(BgL_sz00_2557, (int) (BgL_arg2722z00_8772));
						}
						return STRUCT_REF(BgL_arg2721z00_8771, (int) (((long) 0)));
		}}}}
	}



/* &<anonymous:2723> */
	obj_t BGl_z62zc3anonymousza32723ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15861, obj_t BgL_sz00_15862)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 308 */
			{
				obj_t BgL_sz00_2562;

				BgL_sz00_2562 = BgL_sz00_15862;
				{	/* Eval/evaluate_comp.scm 308 */
					obj_t BgL_bpz00_8783;

					BgL_bpz00_8783 = VECTOR_REF(BgL_sz00_2562, (int) (((long) 0)));
					{	/* Eval/evaluate_comp.scm 308 */
						long BgL_arg2724z00_8784;

						BgL_arg2724z00_8784 = ((long) CINT(BgL_bpz00_8783) + ((long) 2));
						return VECTOR_REF(BgL_sz00_2562, (int) (BgL_arg2724z00_8784));
		}}}}
	}



/* &<anonymous:2714> */
	obj_t BGl_z62zc3anonymousza32714ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15863, obj_t BgL_sz00_15864)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 308 */
			{
				obj_t BgL_sz00_2547;

				BgL_sz00_2547 = BgL_sz00_15864;
				{	/* Eval/evaluate_comp.scm 308 */
					obj_t BgL_bpz00_8748;

					BgL_bpz00_8748 = VECTOR_REF(BgL_sz00_2547, (int) (((long) 0)));
					{	/* Eval/evaluate_comp.scm 308 */
						obj_t BgL_arg2715z00_8749;

						{	/* Eval/evaluate_comp.scm 308 */
							long BgL_arg2716z00_8750;

							BgL_arg2716z00_8750 = ((long) CINT(BgL_bpz00_8748) + ((long) 1));
							BgL_arg2715z00_8749 =
								VECTOR_REF(BgL_sz00_2547, (int) (BgL_arg2716z00_8750));
						}
						return STRUCT_REF(BgL_arg2715z00_8749, (int) (((long) 0)));
		}}}}
	}



/* &<anonymous:2717> */
	obj_t BGl_z62zc3anonymousza32717ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15865, obj_t BgL_sz00_15866)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 308 */
			{
				obj_t BgL_sz00_2552;

				BgL_sz00_2552 = BgL_sz00_15866;
				{	/* Eval/evaluate_comp.scm 308 */
					obj_t BgL_bpz00_8761;

					BgL_bpz00_8761 = VECTOR_REF(BgL_sz00_2552, (int) (((long) 0)));
					{	/* Eval/evaluate_comp.scm 308 */
						long BgL_arg2718z00_8762;

						BgL_arg2718z00_8762 = ((long) CINT(BgL_bpz00_8761) + ((long) 1));
						return VECTOR_REF(BgL_sz00_2552, (int) (BgL_arg2718z00_8762));
		}}}}
	}



/* &<anonymous:2708> */
	obj_t BGl_z62zc3anonymousza32708ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15867, obj_t BgL_sz00_15868)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 308 */
			{
				obj_t BgL_sz00_2537;

				BgL_sz00_2537 = BgL_sz00_15868;
				{	/* Eval/evaluate_comp.scm 308 */
					obj_t BgL_bpz00_8726;

					BgL_bpz00_8726 = VECTOR_REF(BgL_sz00_2537, (int) (((long) 0)));
					{	/* Eval/evaluate_comp.scm 308 */
						obj_t BgL_arg2709z00_8727;

						{	/* Eval/evaluate_comp.scm 308 */
							long BgL_arg2710z00_8728;

							BgL_arg2710z00_8728 = ((long) CINT(BgL_bpz00_8726) + ((long) 0));
							BgL_arg2709z00_8727 =
								VECTOR_REF(BgL_sz00_2537, (int) (BgL_arg2710z00_8728));
						}
						return STRUCT_REF(BgL_arg2709z00_8727, (int) (((long) 0)));
		}}}}
	}



/* &<anonymous:2711> */
	obj_t BGl_z62zc3anonymousza32711ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15869, obj_t BgL_sz00_15870)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 308 */
			{
				obj_t BgL_sz00_2542;

				BgL_sz00_2542 = BgL_sz00_15870;
				{	/* Eval/evaluate_comp.scm 308 */
					obj_t BgL_bpz00_8739;

					BgL_bpz00_8739 = VECTOR_REF(BgL_sz00_2542, (int) (((long) 0)));
					{	/* Eval/evaluate_comp.scm 308 */
						long BgL_arg2712z00_8740;

						BgL_arg2712z00_8740 = ((long) CINT(BgL_bpz00_8739) + ((long) 0));
						return VECTOR_REF(BgL_sz00_2542, (int) (BgL_arg2712z00_8740));
		}}}}
	}



/* &<anonymous:2732> */
	obj_t BGl_z62zc3anonymousza32732ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15871, obj_t BgL_sz00_15873)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 308 */
			{	/* Eval/evaluate_comp.scm 308 */
				obj_t BgL_iz00_15872;

				BgL_iz00_15872 = PROCEDURE_REF(BgL_envz00_15871, (int) (((long) 0)));
				{
					obj_t BgL_sz00_2577;

					BgL_sz00_2577 = BgL_sz00_15873;
					{	/* Eval/evaluate_comp.scm 308 */
						obj_t BgL_bpz00_8704;

						BgL_bpz00_8704 = VECTOR_REF(BgL_sz00_2577, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 308 */
							obj_t BgL_arg2733z00_8705;

							{	/* Eval/evaluate_comp.scm 308 */
								long BgL_arg2734z00_8706;

								BgL_arg2734z00_8706 =
									((long) CINT(BgL_bpz00_8704) + (long) CINT(BgL_iz00_15872));
								BgL_arg2733z00_8705 =
									VECTOR_REF(BgL_sz00_2577, (int) (BgL_arg2734z00_8706));
							}
							return STRUCT_REF(BgL_arg2733z00_8705, (int) (((long) 0)));
		}}}}}
	}



/* &<anonymous:2735> */
	obj_t BGl_z62zc3anonymousza32735ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15874, obj_t BgL_sz00_15876)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 308 */
			{	/* Eval/evaluate_comp.scm 308 */
				obj_t BgL_iz00_15875;

				BgL_iz00_15875 = PROCEDURE_REF(BgL_envz00_15874, (int) (((long) 0)));
				{
					obj_t BgL_sz00_2582;

					BgL_sz00_2582 = BgL_sz00_15876;
					{	/* Eval/evaluate_comp.scm 308 */
						obj_t BgL_bpz00_8717;

						BgL_bpz00_8717 = VECTOR_REF(BgL_sz00_2582, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 308 */
							long BgL_arg2736z00_8718;

							BgL_arg2736z00_8718 =
								((long) CINT(BgL_bpz00_8717) + (long) CINT(BgL_iz00_15875));
							return VECTOR_REF(BgL_sz00_2582, (int) (BgL_arg2736z00_8718));
		}}}}}
	}



/* &comp-ev_trap1643 */
	obj_t BGl_z62compzd2ev_trap1643zb0zz__evaluate_compz00(obj_t BgL_envz00_15877,
		BgL_ev_trapz00_bglt BgL_ez00_15878, obj_t BgL_stkz00_15879)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 278 */
			{
				BgL_ev_trapz00_bglt BgL_ez00_2509;
				obj_t BgL_stkz00_2510;

				BgL_ez00_2509 = BgL_ez00_15878;
				BgL_stkz00_2510 = BgL_stkz00_15879;
				{	/* Eval/evaluate_comp.scm 280 */
					obj_t BgL_ez00_2514;

					{	/* Eval/evaluate_comp.scm 280 */
						BgL_ev_exprz00_bglt BgL_arg2705z00_2525;

						BgL_arg2705z00_2525 =
							(((BgL_ev_hookz00_bglt) CREF(
									((BgL_ev_hookz00_bglt) BgL_ez00_2509)))->BgL_ez00);
						BgL_ez00_2514 =
							BGl_compz00zz__evaluate_compz00(BgL_arg2705z00_2525,
							BgL_stkz00_2510);
					}
					{	/* Eval/evaluate_comp.scm 281 */
						obj_t BgL_zc3anonymousza32699ze3z83_14741;

						BgL_zc3anonymousza32699ze3z83_14741 =
							MAKE_FX_PROCEDURE
							(BGl_z62zc3anonymousza32699ze3ze1zz__evaluate_compz00,
							(int) (((long) 1)), (int) (((long) 1)));
						PROCEDURE_SET(BgL_zc3anonymousza32699ze3z83_14741,
							(int) (((long) 0)), BgL_ez00_2514);
						return BgL_zc3anonymousza32699ze3z83_14741;
					}
				}
			}
		}
	}



/* &<anonymous:2699> */
	obj_t BGl_z62zc3anonymousza32699ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15880, obj_t BgL_sz00_15882)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 281 */
			{	/* Eval/evaluate_comp.scm 281 */
				obj_t BgL_ez00_15881;

				BgL_ez00_15881 = PROCEDURE_REF(BgL_envz00_15880, (int) (((long) 0)));
				{
					obj_t BgL_sz00_2515;

					BgL_sz00_2515 = BgL_sz00_15882;
					{	/* Eval/evaluate_comp.scm 281 */
						obj_t BgL_bpz00_2517;

						BgL_bpz00_2517 = VECTOR_REF(BgL_sz00_2515, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 282 */
							obj_t BgL_cmdz00_2518;

							BgL_cmdz00_2518 =
								PROCEDURE_ENTRY(BgL_ez00_15881) (BgL_ez00_15881, BgL_sz00_2515,
								BEOA);
							if ((BgL_cmdz00_2518 == BGl_symbol5683z00zz__evaluate_compz00))
								{	/* Eval/evaluate_comp.scm 283 */
									return BgL_bpz00_2517;
								}
							else
								{	/* Eval/evaluate_comp.scm 283 */
									if (
										(BgL_cmdz00_2518 == BGl_symbol5685z00zz__evaluate_compz00))
										{	/* Eval/evaluate_comp.scm 283 */
											return BGl_reset_profilez00zz__evaluate_compz00();
										}
									else
										{	/* Eval/evaluate_comp.scm 283 */
											if (
												(BgL_cmdz00_2518 ==
													BGl_symbol5687z00zz__evaluate_compz00))
												{	/* Eval/evaluate_comp.scm 283 */
													return BGl_get_profilez00zz__evaluate_compz00();
												}
											else
												{	/* Eval/evaluate_comp.scm 283 */
													if (
														(BgL_cmdz00_2518 ==
															BGl_symbol5689z00zz__evaluate_compz00))
														{	/* Eval/evaluate_comp.scm 283 */
															return
																VECTOR_SET
																(BGl_findzd2statezd2zz__evaluate_compz00(),
																(int) (((long) 0)), BINT(((long) 2)));
														}
													else
														{	/* Eval/evaluate_comp.scm 283 */
															return
																BGl_errorz00zz__errorz00
																(BGl_string5552z00zz__evaluate_compz00,
																BGl_string5691z00zz__evaluate_compz00,
																BgL_cmdz00_2518);
														}
												}
										}
								}
						}
					}
				}
			}
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zz__evaluate_compz00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 15 */
			BGl_modulezd2initializa7ationz75zz__typez00(((long) 278771016),
				BSTRING_TO_STRING(BGl_string5692z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 373318193),
				BSTRING_TO_STRING(BGl_string5692z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__biglooz00(((long) 162724851),
				BSTRING_TO_STRING(BGl_string5692z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__tvectorz00(((long) 135276775),
				BSTRING_TO_STRING(BGl_string5692z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__structurez00(((long) 128218210),
				BSTRING_TO_STRING(BGl_string5692z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__bexitz00(((long) 159639574),
				BSTRING_TO_STRING(BGl_string5692z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__bignumz00(((long) 6519932),
				BSTRING_TO_STRING(BGl_string5692z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__osz00(((long) 438451175),
				BSTRING_TO_STRING(BGl_string5692z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__dssslz00(((long) 443936801),
				BSTRING_TO_STRING(BGl_string5692z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__bitz00(((long) 317260169),
				BSTRING_TO_STRING(BGl_string5692z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__paramz00(((long) 441709255),
				BSTRING_TO_STRING(BGl_string5692z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 426797061),
				BSTRING_TO_STRING(BGl_string5692z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__threadz00(((long) 220651073),
				BSTRING_TO_STRING(BGl_string5692z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__srfi4z00(((long) 289341023),
				BSTRING_TO_STRING(BGl_string5692z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long) 359798486),
				BSTRING_TO_STRING(BGl_string5692z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long)
					249410258), BSTRING_TO_STRING(BGl_string5692z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(((long)
					53386681), BSTRING_TO_STRING(BGl_string5692z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonum_dtoaz00(((long)
					268155843), BSTRING_TO_STRING(BGl_string5692z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(((long)
					198620800), BSTRING_TO_STRING(BGl_string5692z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long)
					473309430), BSTRING_TO_STRING(BGl_string5692z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(((long) 459519430),
				BSTRING_TO_STRING(BGl_string5692z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long) 460263214),
				BSTRING_TO_STRING(BGl_string5692z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 97251556),
				BSTRING_TO_STRING(BGl_string5692z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)
					47127928), BSTRING_TO_STRING(BGl_string5692z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__r4_input_6_10_2z00(((long) 415828492),
				BSTRING_TO_STRING(BGl_string5692z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(((long)
					317842797), BSTRING_TO_STRING(BGl_string5692z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(((long)
					228151370), BSTRING_TO_STRING(BGl_string5692z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 509771705),
				BSTRING_TO_STRING(BGl_string5692z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 451655587),
				BSTRING_TO_STRING(BGl_string5692z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long)
					268291731), BSTRING_TO_STRING(BGl_string5692z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__ppz00(((long) 233942021),
				BSTRING_TO_STRING(BGl_string5692z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 220648206),
				BSTRING_TO_STRING(BGl_string5692z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__prognz00(((long) 177147622),
				BSTRING_TO_STRING(BGl_string5692z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__expandz00(((long) 511051588),
				BSTRING_TO_STRING(BGl_string5692z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__evenvz00(((long) 335718988),
				BSTRING_TO_STRING(BGl_string5692z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__evcompilez00(((long) 492754569),
				BSTRING_TO_STRING(BGl_string5692z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__everrorz00(((long) 375872221),
				BSTRING_TO_STRING(BGl_string5692z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__evmodulez00(((long) 405883817),
				BSTRING_TO_STRING(BGl_string5692z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__evaluate_typesz00(((long) 0),
				BSTRING_TO_STRING(BGl_string5692z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__evaluate_uncompz00(((long) 193509656),
				BSTRING_TO_STRING(BGl_string5692z00zz__evaluate_compz00));
			return BGl_modulezd2initializa7ationz75zz__evaluate_usez00(((long)
					20669940), BSTRING_TO_STRING(BGl_string5692z00zz__evaluate_compz00));
		}
	}

#ifdef __cplusplus
}
#endif
