/*===========================================================================*/
/*   (Eval/evaluate_fsize.scm)                                               */
/*   Bigloo (3.8a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Thu Mar 29 06:52:41 CEST 2012       */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -srfi enable-gmp -srfi bigloo-unsafe -O3 -fcfa-arithmetic -q +rm -lib-dir /users/serrano/prgm/project/bigloo/lib/3.8a -mklib -cc gcc -fsharing -q -no-hello -copt -fPIC -unsafe -safee -O4 -c Eval/evaluate_fsize.scm -indent -o objs/obj_u/Eval/evaluate_fsize.c)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_ev_exprz00_bgl
	{
		header_t header;
		obj_t widening;
	}                 *BgL_ev_exprz00_bglt;

	typedef struct BgL_ev_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
		obj_t BgL_effz00;
		obj_t BgL_typez00;
	}                *BgL_ev_varz00_bglt;

	typedef struct BgL_ev_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_namez00;
		obj_t BgL_modz00;
	}                   *BgL_ev_globalz00_bglt;

	typedef struct BgL_ev_littz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_valuez00;
	}                 *BgL_ev_littz00_bglt;

	typedef struct BgL_ev_ifz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_pz00;
		struct BgL_ev_exprz00_bgl *BgL_tz00;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
	}               *BgL_ev_ifz00_bglt;

	typedef struct BgL_ev_listz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_argsz00;
	}                 *BgL_ev_listz00_bglt;

	typedef struct BgL_ev_prog2z00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_e1z00;
		struct BgL_ev_exprz00_bgl *BgL_e2z00;
	}                  *BgL_ev_prog2z00_bglt;

	typedef struct BgL_ev_hookz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
	}                 *BgL_ev_hookz00_bglt;

	typedef struct BgL_ev_setlocalz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		struct BgL_ev_varz00_bgl *BgL_vz00;
	}                     *BgL_ev_setlocalz00_bglt;

	typedef struct BgL_ev_bindzd2exitzd2_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_varz00_bgl *BgL_varz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                        *BgL_ev_bindzd2exitzd2_bglt;

	typedef struct BgL_ev_unwindzd2protectzd2_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                             *BgL_ev_unwindzd2protectzd2_bglt;

	typedef struct BgL_ev_withzd2handlerzd2_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_handlerz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                           *BgL_ev_withzd2handlerzd2_bglt;

	typedef struct BgL_ev_binderz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                   *BgL_ev_binderz00_bglt;

	typedef struct BgL_ev_letz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		obj_t BgL_boxesz00;
	}                *BgL_ev_letz00_bglt;

	typedef struct BgL_ev_letza2za2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		obj_t BgL_boxesz00;
	}                   *BgL_ev_letza2za2_bglt;

	typedef struct BgL_ev_letrecz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                   *BgL_ev_letrecz00_bglt;

	typedef struct BgL_ev_labelsz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		obj_t BgL_envz00;
		obj_t BgL_stkz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		obj_t BgL_boxesz00;
	}                   *BgL_ev_labelsz00_bglt;

	typedef struct BgL_ev_gotoz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_ev_varz00_bgl *BgL_labelz00;
		struct BgL_ev_labelsz00_bgl *BgL_labelsz00;
		obj_t BgL_argsz00;
	}                 *BgL_ev_gotoz00_bglt;

	typedef struct BgL_ev_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_ev_exprz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_tailzf3zf3;
	}                *BgL_ev_appz00_bglt;

	typedef struct BgL_ev_absz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_wherez00;
		obj_t BgL_arityz00;
		obj_t BgL_varsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		int BgL_siza7eza7;
		obj_t BgL_bindz00;
		obj_t BgL_freez00;
		obj_t BgL_innerz00;
		obj_t BgL_boxesz00;
	}                *BgL_ev_absz00_bglt;


	static obj_t BGl_z62tailposzd2ev_list1351zb0zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_listz00_bglt, BgL_ev_varz00_bglt);
	static BgL_ev_withzd2handlerzd2_bglt
		BGl_z62subst_gotozd2ev_withzd2h1329z62zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_withzd2handlerzd2_bglt, obj_t, obj_t);
	static obj_t BGl_z62fsiza7ezd2ev_global1247z17zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_globalz00_bglt, obj_t);
	static BgL_ev_appz00_bglt
		BGl_z62searchzd2letreczd2ev_app1305z62zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_appz00_bglt);
	BGL_EXPORTED_DECL BgL_ev_exprz00_bglt
		BGl_extractzd2loopszd2zz__evaluate_fsiza7eza7(BgL_ev_exprz00_bglt);
	static BgL_ev_varz00_bglt
		BGl_z62searchzd2letreczd2ev_var1281z62zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_varz00_bglt);
	static BgL_ev_varz00_bglt
		BGl_z62subst_gotozd2ev_var1311zb0zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_varz00_bglt, obj_t, obj_t);
	static bool_t BGl_letrectailzf3zf3zz__evaluate_fsiza7eza7(obj_t, obj_t,
		BgL_ev_exprz00_bglt);
	static obj_t
		BGl_z62fsiza7ezd2ev_withzd2handle1263zc5zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_withzd2handlerzd2_bglt, obj_t);
	static BgL_ev_binderz00_bglt
		BGl_z62subst_gotozd2ev_binder1331zb0zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_binderz00_bglt, obj_t, obj_t);
	extern obj_t BGl_ev_letrecz00zz__evaluate_typesz00;
	static obj_t BGl_z62tailposzd2ev_letza21367z12zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_letza2za2_bglt, BgL_ev_varz00_bglt);
	static obj_t BGl_z62tailposzd2ev_litt1347zb0zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_littz00_bglt, BgL_ev_varz00_bglt);
	extern obj_t BGl_ev_letz00zz__evaluate_typesz00;
	static obj_t BGl_z62fsiza7ezd2ev_prog21255z17zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_prog2z00_bglt, obj_t);
	static obj_t BGl_z62fsiza7ezd2ev_if1251z17zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_ifz00_bglt, obj_t);
	static obj_t BGl_z62hasvarzf3zd2ev_global1383z43zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_globalz00_bglt, BgL_ev_varz00_bglt);
	BGL_EXPORTED_DECL int
		BGl_framezd2siza7ez75zz__evaluate_fsiza7eza7(BgL_ev_exprz00_bglt);
	static obj_t BGl_z62fsiza7ezd2ev_list1253z17zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_listz00_bglt, obj_t);
	static obj_t BGl_objectzd2initzd2zz__evaluate_fsiza7eza7();
	static obj_t BGl_z62tailposz62zz__evaluate_fsiza7eza7(obj_t, obj_t, obj_t);
	static obj_t BGl_z62fsiza7ezd2ev_var1245z17zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_varz00_bglt, obj_t);
	static obj_t BGl_z62hasvarzf3zd2ev_prog21391z43zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_prog2z00_bglt, BgL_ev_varz00_bglt);
	extern obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	static BgL_ev_absz00_bglt
		BGl_z62searchzd2letreczd2ev_abs1307z62zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_absz00_bglt);
	static obj_t BGl_z62tailposzd2ev_let1365zb0zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_letz00_bglt, BgL_ev_varz00_bglt);
	static obj_t BGl_z62hasvarzf3z91zz__evaluate_fsiza7eza7(obj_t, obj_t, obj_t);
	static obj_t BGl_z62framezd2siza7ez17zz__evaluate_fsiza7eza7(obj_t, obj_t);
	extern obj_t bstring_to_symbol(obj_t);
	static obj_t
		BGl_z62hasvarzf3zd2ev_unwindzd2pr1399z91zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_unwindzd2protectzd2_bglt, BgL_ev_varz00_bglt);
	extern bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
	extern obj_t BGl_ev_labelsz00zz__evaluate_typesz00;
	static obj_t BGl_z62fsiza7ezd2ev_letza21267zb5zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_letza2za2_bglt, obj_t);
	static obj_t BGl_z62fsiza7ezd2ev_litt1249z17zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_littz00_bglt, obj_t);
	static obj_t BGl_methodzd2initzd2zz__evaluate_fsiza7eza7();
	extern obj_t BGl_ev_absz00zz__evaluate_typesz00;
	static obj_t BGl_z62fsiza7ezd2ev_letrec1269z17zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_letrecz00_bglt, obj_t);
	static obj_t
		BGl_z62fsiza7ezd2ev_unwindzd2prot1261zc5zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_unwindzd2protectzd2_bglt, obj_t);
	static obj_t
		BGl_searchzd2letreczd2zz__evaluate_fsiza7eza7(BgL_ev_exprz00_bglt);
	static obj_t
		BGl_z62hasvarzf3zd2ev_bindzd2exit1397z91zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_bindzd2exitzd2_bglt, BgL_ev_varz00_bglt);
	static obj_t BGl_z62tailposzd2ev_app1375zb0zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_appz00_bglt, BgL_ev_varz00_bglt);
	extern obj_t BGl_ev_ifz00zz__evaluate_typesz00;
	static BgL_ev_labelsz00_bglt
		BGl_modifyzd2letreczd2zz__evaluate_fsiza7eza7(obj_t, obj_t,
		BgL_ev_exprz00_bglt);
	static int BGl_fsiza7eza7zz__evaluate_fsiza7eza7(BgL_ev_exprz00_bglt, int);
	extern obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62tailposzd2ev_hook1355zb0zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_hookz00_bglt, BgL_ev_varz00_bglt);
	static obj_t BGl_z62hasvarzf3zd2ev_goto1407z43zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_gotoz00_bglt, BgL_ev_varz00_bglt);
	static obj_t BGl_z62tailposzd2ev_global1345zb0zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_globalz00_bglt, BgL_ev_varz00_bglt);
	static BgL_ev_prog2z00_bglt
		BGl_z62subst_gotozd2ev_prog21321zb0zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_prog2z00_bglt, obj_t, obj_t);
	extern obj_t BGl_ev_gotoz00zz__evaluate_typesz00;
	static obj_t BGl_z62tailposzd2ev_abs1377zb0zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_absz00_bglt, BgL_ev_varz00_bglt);
	static bool_t BGl_searchzd2letrecza2z70zz__evaluate_fsiza7eza7(obj_t);
	static obj_t BGl_z62tailposzd2ev_goto1373zb0zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_gotoz00_bglt, BgL_ev_varz00_bglt);
	extern obj_t BGl_ev_varz00zz__evaluate_typesz00;
	extern long bgl_list_length(obj_t);
	static obj_t BGl_subst_gotoz00zz__evaluate_fsiza7eza7(BgL_ev_exprz00_bglt,
		obj_t, obj_t);
	static obj_t BGl_z62tailpos1340z62zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_exprz00_bglt, BgL_ev_varz00_bglt);
	static obj_t BGl_z62fsiza7ezd2ev_hook1257z17zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_hookz00_bglt, obj_t);
	static BgL_ev_labelsz00_bglt
		BGl_z62subst_gotozd2ev_labels1333zb0zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_labelsz00_bglt, obj_t, obj_t);
	static BgL_ev_exprz00_bglt
		BGl_z62extractzd2loopszb0zz__evaluate_fsiza7eza7(obj_t, obj_t);
	static obj_t BGl_tailposz00zz__evaluate_fsiza7eza7(BgL_ev_exprz00_bglt,
		BgL_ev_varz00_bglt);
	static obj_t BGl_z62subst_goto1308z62zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_exprz00_bglt, obj_t, obj_t);
	static obj_t BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(BgL_ev_exprz00_bglt,
		BgL_ev_varz00_bglt);
	static obj_t BGl_z62subst_gotoz62zz__evaluate_fsiza7eza7(obj_t, obj_t, obj_t,
		obj_t);
	static BgL_ev_ifz00_bglt
		BGl_z62subst_gotozd2ev_if1317zb0zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_ifz00_bglt, obj_t, obj_t);
	extern obj_t BGl_ev_appz00zz__evaluate_typesz00;
	static obj_t BGl_z62fsiza7ezd2ev_goto1273z17zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_gotoz00_bglt, obj_t);
	static BgL_ev_withzd2handlerzd2_bglt
		BGl_z62searchzd2letreczd2ev_wit1299z62zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_withzd2handlerzd2_bglt);
	extern obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62tailposzd2ev_letrec1369zb0zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_letrecz00_bglt, BgL_ev_varz00_bglt);
	static obj_t
		BGl_z62tailposzd2ev_unwindzd2pr1361z62zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_unwindzd2protectzd2_bglt, BgL_ev_varz00_bglt);
	static obj_t
		BGl_z62tailposzd2ev_bindzd2exit1359z62zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_bindzd2exitzd2_bglt, BgL_ev_varz00_bglt);
	static BgL_ev_ifz00_bglt
		BGl_z62searchzd2letreczd2ev_if1287z62zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_ifz00_bglt);
	static obj_t
		BGl_z62tailposzd2ev_withzd2hand1363z62zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_withzd2handlerzd2_bglt, BgL_ev_varz00_bglt);
	static obj_t BGl_z62searchzd2letreczb0zz__evaluate_fsiza7eza7(obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zz__evaluate_fsiza7eza7 =
		BUNSPEC;
	static obj_t BGl_z62hasvarzf3zd2ev_app1409z43zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_appz00_bglt, BgL_ev_varz00_bglt);
	extern obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62hasvarzf3zd2ev_var1381z43zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_varz00_bglt, BgL_ev_varz00_bglt);
	static obj_t BGl_z62fsiza7ezd2ev_labels1271z17zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_labelsz00_bglt, obj_t);
	extern obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t, obj_t,
		obj_t);
	static BgL_ev_bindzd2exitzd2_bglt
		BGl_z62searchzd2letreczd2ev_bin1295z62zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_bindzd2exitzd2_bglt);
	static obj_t BGl_toplevelzd2initzd2zz__evaluate_fsiza7eza7();
	static obj_t
		BGl_z62hasvarzf3zd2ev_withzd2hand1401z91zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_withzd2handlerzd2_bglt, BgL_ev_varz00_bglt);
	static obj_t BGl_z62hasvarzf3zd2ev_list1389z43zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_listz00_bglt, BgL_ev_varz00_bglt);
	static obj_t BGl_z62tailposzd2ev_var1343zb0zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_varz00_bglt, BgL_ev_varz00_bglt);
	static obj_t BGl_genericzd2initzd2zz__evaluate_fsiza7eza7();
	extern obj_t BGl_ev_prog2z00zz__evaluate_typesz00;
	extern obj_t BGl_ev_bindzd2exitzd2zz__evaluate_typesz00;
	static obj_t BGl_z62tailposzd2ev_if1349zb0zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_ifz00_bglt, BgL_ev_varz00_bglt);
	static obj_t BGl_z62hasvarzf3zd2ev_abs1411z43zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_absz00_bglt, BgL_ev_varz00_bglt);
	static BgL_ev_unwindzd2protectzd2_bglt
		BGl_z62subst_gotozd2ev_unwind1327zb0zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_unwindzd2protectzd2_bglt, obj_t, obj_t);
	static obj_t BGl_z62searchzd2letrec1278zb0zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_exprz00_bglt);
	extern obj_t BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00;
	static obj_t BGl_z62fsiza7ezd2ev_let1265z17zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_letz00_bglt, obj_t);
	static BgL_ev_prog2z00_bglt
		BGl_z62searchzd2letreczd2ev_pro1291z62zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_prog2z00_bglt);
	static obj_t BGl_z62hasvarzf3zd2ev_litt1385z43zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_littz00_bglt, BgL_ev_varz00_bglt);
	static BgL_ev_listz00_bglt
		BGl_z62subst_gotozd2ev_list1319zb0zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_listz00_bglt, obj_t, obj_t);
	static BgL_ev_hookz00_bglt
		BGl_z62searchzd2letreczd2ev_hoo1293z62zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_hookz00_bglt);
	static BgL_ev_exprz00_bglt
		BGl_z62subst_gotozd2ev_app1337zb0zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_appz00_bglt, obj_t, obj_t);
	extern obj_t BGl_ev_letza2za2zz__evaluate_typesz00;
	static obj_t BGl_z62hasvarzf3zd2ev_binder1403z43zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_binderz00_bglt, BgL_ev_varz00_bglt);
	static BgL_ev_littz00_bglt
		BGl_z62subst_gotozd2ev_litt1315zb0zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_littz00_bglt, obj_t, obj_t);
	static obj_t BGl_z62fsiza7ezd2ev_app1275z17zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_appz00_bglt, obj_t);
	extern obj_t BGl_ev_hookz00zz__evaluate_typesz00;
	static BgL_ev_absz00_bglt
		BGl_z62subst_gotozd2ev_abs1339zb0zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_absz00_bglt, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zz__evaluate_fsiza7eza7(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evaluate_typesz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evaluate_uncompz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evmodulez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__everrorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evcompilez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evenvz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__expandz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__prognz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__ppz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_input_6_10_2z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonum_dtoaz00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(long, char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__threadz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__dssslz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bignumz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__structurez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__tvectorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__typez00(long, char *);
	static obj_t BGl_z62fsiza7ezc5zz__evaluate_fsiza7eza7(obj_t, obj_t, obj_t);
	static obj_t BGl_z62tailposzd2ev_labels1371zb0zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_labelsz00_bglt, BgL_ev_varz00_bglt);
	extern obj_t BGl_ev_globalz00zz__evaluate_typesz00;
	static BgL_ev_listz00_bglt
		BGl_z62searchzd2letreczd2ev_lis1289z62zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_listz00_bglt);
	extern obj_t BGl_ev_binderz00zz__evaluate_typesz00;
	static obj_t BGl_z62tailposzd2ev_setlocal1357zb0zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_setlocalz00_bglt, BgL_ev_varz00_bglt);
	extern obj_t BGl_ev_listz00zz__evaluate_typesz00;
	static BgL_ev_unwindzd2protectzd2_bglt
		BGl_z62searchzd2letreczd2ev_unw1297z62zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_unwindzd2protectzd2_bglt);
	static BgL_ev_globalz00_bglt
		BGl_z62searchzd2letreczd2ev_glo1283z62zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_globalz00_bglt);
	static obj_t BGl_z62fsiza7e1242zc5zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_exprz00_bglt, obj_t);
	static BgL_ev_bindzd2exitzd2_bglt
		BGl_z62subst_gotozd2ev_bindzd2e1325z62zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_bindzd2exitzd2_bglt, obj_t, obj_t);
	static obj_t BGl_z62fsiza7ezd2ev_abs1277z17zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_absz00_bglt, obj_t);
	extern obj_t BGl_ev_littz00zz__evaluate_typesz00;
	static obj_t BGl_symbol2131z00zz__evaluate_fsiza7eza7 = BUNSPEC;
	static obj_t BGl_symbol2133z00zz__evaluate_fsiza7eza7 = BUNSPEC;
	static obj_t BGl_symbol2136z00zz__evaluate_fsiza7eza7 = BUNSPEC;
	static obj_t BGl_symbol2138z00zz__evaluate_fsiza7eza7 = BUNSPEC;
	static BgL_ev_globalz00_bglt
		BGl_z62subst_gotozd2ev_global1313zb0zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_globalz00_bglt, obj_t, obj_t);
	static obj_t BGl_z62hasvarzf3zd2ev_hook1393z43zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_hookz00_bglt, BgL_ev_varz00_bglt);
	static obj_t BGl_cnstzd2initzd2zz__evaluate_fsiza7eza7();
	static obj_t BGl_importedzd2moduleszd2initz00zz__evaluate_fsiza7eza7();
	extern obj_t BGl_ev_withzd2handlerzd2zz__evaluate_typesz00;
	static BgL_ev_littz00_bglt
		BGl_z62searchzd2letreczd2ev_lit1285z62zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_littz00_bglt);
	extern obj_t BGl_2maxz00zz__r4_numbers_6_5z00(obj_t, obj_t);
	static obj_t
		BGl_z62hasvarzf3zd2ev_setlocal1395z43zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_setlocalz00_bglt, BgL_ev_varz00_bglt);
	extern obj_t BGl_ev_exprz00zz__evaluate_typesz00;
	static obj_t BGl_z62tailposzd2ev_prog21353zb0zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_prog2z00_bglt, BgL_ev_varz00_bglt);
	static BgL_ev_hookz00_bglt
		BGl_z62subst_gotozd2ev_hook1323zb0zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_hookz00_bglt, obj_t, obj_t);
	static obj_t BGl_z62hasvarzf31378z91zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_exprz00_bglt, BgL_ev_varz00_bglt);
	static BgL_ev_binderz00_bglt
		BGl_z62searchzd2letreczd2ev_bin1301z62zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_binderz00_bglt);
	static BgL_ev_exprz00_bglt
		BGl_z62searchzd2letreczd2ev_let1303z62zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_letrecz00_bglt);
	static obj_t BGl_z62hasvarzf3zd2ev_if1387z43zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_ifz00_bglt, BgL_ev_varz00_bglt);
	static BgL_ev_gotoz00_bglt
		BGl_z62subst_gotozd2ev_goto1335zb0zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_gotoz00_bglt, obj_t, obj_t);
	static obj_t
		BGl_z62fsiza7ezd2ev_bindzd2exit1259zc5zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_bindzd2exitzd2_bglt, obj_t);
	extern obj_t BGl_ev_setlocalz00zz__evaluate_typesz00;
	static obj_t BGl_z62hasvarzf3zd2ev_labels1405z43zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_labelsz00_bglt, BgL_ev_varz00_bglt);
	static obj_t *__cnst;


	   
		 
		DEFINE_STRING(BGl_string2120z00zz__evaluate_fsiza7eza7,
		BgL_bgl_string2120za700za7za7_2232za7, "&extract-loops", 14);
	      DEFINE_STRING(BGl_string2122z00zz__evaluate_fsiza7eza7,
		BgL_bgl_string2122za700za7za7_2233za7, "fsize1242", 9);
	      DEFINE_STRING(BGl_string2124z00zz__evaluate_fsiza7eza7,
		BgL_bgl_string2124za700za7za7_2234za7, "search-letrec1278", 17);
	      DEFINE_STRING(BGl_string2126z00zz__evaluate_fsiza7eza7,
		BgL_bgl_string2126za700za7za7_2235za7, "subst_goto1308", 14);
	      DEFINE_STRING(BGl_string2128z00zz__evaluate_fsiza7eza7,
		BgL_bgl_string2128za700za7za7_2236za7, "tailpos1340", 11);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2200z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762tailposza7d2ev_2237z00,
		BGl_z62tailposzd2ev_list1351zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2201z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762tailposza7d2ev_2238z00,
		BGl_z62tailposzd2ev_prog21353zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2202z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762tailposza7d2ev_2239z00,
		BGl_z62tailposzd2ev_hook1355zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2203z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762tailposza7d2ev_2240z00,
		BGl_z62tailposzd2ev_setlocal1357zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2204z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762tailposza7d2ev_2241z00,
		BGl_z62tailposzd2ev_bindzd2exit1359z62zz__evaluate_fsiza7eza7, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2205z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762tailposza7d2ev_2242z00,
		BGl_z62tailposzd2ev_unwindzd2pr1361z62zz__evaluate_fsiza7eza7, 0L, BUNSPEC,
		2);
	      DEFINE_STRING(BGl_string2130z00zz__evaluate_fsiza7eza7,
		BgL_bgl_string2130za700za7za7_2243za7, "hasvar?1378", 11);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2206z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762tailposza7d2ev_2244z00,
		BGl_z62tailposzd2ev_withzd2hand1363z62zz__evaluate_fsiza7eza7, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2207z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762tailposza7d2ev_2245z00,
		BGl_z62tailposzd2ev_let1365zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2132z00zz__evaluate_fsiza7eza7,
		BgL_bgl_string2132za700za7za7_2246za7, "No method for this object", 25);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2208z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762tailposza7d2ev_2247z00,
		BGl_z62tailposzd2ev_letza21367z12zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2209z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762tailposza7d2ev_2248z00,
		BGl_z62tailposzd2ev_letrec1369zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2134z00zz__evaluate_fsiza7eza7,
		BgL_bgl_string2134za700za7za7_2249za7, "tailpos", 7);
	      DEFINE_STRING(BGl_string2135z00zz__evaluate_fsiza7eza7,
		BgL_bgl_string2135za700za7za7_2250za7, "not defined for", 15);
	      DEFINE_STRING(BGl_string2137z00zz__evaluate_fsiza7eza7,
		BgL_bgl_string2137za700za7za7_2251za7, "subst_goto", 10);
	      DEFINE_STRING(BGl_string2139z00zz__evaluate_fsiza7eza7,
		BgL_bgl_string2139za700za7za7_2252za7, "search-letrec", 13);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2210z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762tailposza7d2ev_2253z00,
		BGl_z62tailposzd2ev_labels1371zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2211z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762tailposza7d2ev_2254z00,
		BGl_z62tailposzd2ev_goto1373zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2212z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762tailposza7d2ev_2255z00,
		BGl_z62tailposzd2ev_app1375zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2213z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762tailposza7d2ev_2256z00,
		BGl_z62tailposzd2ev_abs1377zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2214z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762hasvarza7f3za7d2e2257za7,
		BGl_z62hasvarzf3zd2ev_var1381z43zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2140z00zz__evaluate_fsiza7eza7,
		BgL_bgl_string2140za700za7za7_2258za7, "eval", 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2216z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762hasvarza7f3za7d2e2259za7,
		BGl_z62hasvarzf3zd2ev_global1383z43zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2141z00zz__evaluate_fsiza7eza7,
		BgL_bgl_string2141za700za7za7_2260za7, "internal error: not defined for",
		31);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2217z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762hasvarza7f3za7d2e2261za7,
		BGl_z62hasvarzf3zd2ev_litt1385z43zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2142z00zz__evaluate_fsiza7eza7,
		BgL_bgl_string2142za700za7za7_2262za7, "&fsize", 6);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2218z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762hasvarza7f3za7d2e2263za7,
		BGl_z62hasvarzf3zd2ev_if1387z43zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2143z00zz__evaluate_fsiza7eza7,
		BgL_bgl_string2143za700za7za7_2264za7, "bint", 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2219z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762hasvarza7f3za7d2e2265za7,
		BGl_z62hasvarzf3zd2ev_list1389z43zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2144z00zz__evaluate_fsiza7eza7,
		BgL_bgl_string2144za700za7za7_2266za7, "&search-letrec", 14);
	      DEFINE_STRING(BGl_string2145z00zz__evaluate_fsiza7eza7,
		BgL_bgl_string2145za700za7za7_2267za7, "&subst_goto", 11);
	      DEFINE_STRING(BGl_string2146z00zz__evaluate_fsiza7eza7,
		BgL_bgl_string2146za700za7za7_2268za7, "&tailpos", 8);
	      DEFINE_STRING(BGl_string2147z00zz__evaluate_fsiza7eza7,
		BgL_bgl_string2147za700za7za7_2269za7, "ev_var", 6);
	      DEFINE_STRING(BGl_string2148z00zz__evaluate_fsiza7eza7,
		BgL_bgl_string2148za700za7za7_2270za7, "&hasvar?", 8);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2220z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762hasvarza7f3za7d2e2271za7,
		BGl_z62hasvarzf3zd2ev_prog21391z43zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2221z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762hasvarza7f3za7d2e2272za7,
		BGl_z62hasvarzf3zd2ev_hook1393z43zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2222z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762hasvarza7f3za7d2e2273za7,
		BGl_z62hasvarzf3zd2ev_setlocal1395z43zz__evaluate_fsiza7eza7, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2223z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762hasvarza7f3za7d2e2274za7,
		BGl_z62hasvarzf3zd2ev_bindzd2exit1397z91zz__evaluate_fsiza7eza7, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2224z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762hasvarza7f3za7d2e2275za7,
		BGl_z62hasvarzf3zd2ev_unwindzd2pr1399z91zz__evaluate_fsiza7eza7, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2225z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762hasvarza7f3za7d2e2276za7,
		BGl_z62hasvarzf3zd2ev_withzd2hand1401z91zz__evaluate_fsiza7eza7, 0L,
		BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2150z00zz__evaluate_fsiza7eza7,
		BgL_bgl_string2150za700za7za7_2277za7, "fsize::int", 10);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2226z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762hasvarza7f3za7d2e2278za7,
		BGl_z62hasvarzf3zd2ev_binder1403z43zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2227z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762hasvarza7f3za7d2e2279za7,
		BGl_z62hasvarzf3zd2ev_labels1405z43zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2228z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762hasvarza7f3za7d2e2280za7,
		BGl_z62hasvarzf3zd2ev_goto1407z43zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2229z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762hasvarza7f3za7d2e2281za7,
		BGl_z62hasvarzf3zd2ev_app1409z43zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2230z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762hasvarza7f3za7d2e2282za7,
		BGl_z62hasvarzf3zd2ev_abs1411z43zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_GENERIC(BGl_hasvarzf3zd2envz21zz__evaluate_fsiza7eza7,
		BgL_bgl_za762hasvarza7f3za791za72283z00,
		BGl_z62hasvarzf3z91zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	     
		DEFINE_STATIC_BGL_GENERIC(BGl_subst_gotozd2envzd2zz__evaluate_fsiza7eza7,
		BgL_bgl_za762subst_gotoza7622284z00,
		BGl_z62subst_gotoz62zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2121z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762fsiza7a7e1242za7c2285za7,
		BGl_z62fsiza7e1242zc5zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2123z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762searchza7d2letr2286z00,
		BGl_z62searchzd2letrec1278zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2125z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762subst_goto1302287za7,
		BGl_z62subst_goto1308z62zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2127z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762tailpos1340za762288z00,
		BGl_z62tailpos1340z62zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2215z00zz__evaluate_fsiza7eza7,
		BgL_bgl_string2215za700za7za7_2289za7, "hasvar?", 7);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2129z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762hasvarza7f313782290z00,
		BGl_z62hasvarzf31378z91zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2231z00zz__evaluate_fsiza7eza7,
		BgL_bgl_string2231za700za7za7_2291za7, "__evaluate_fsize", 16);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2149z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762fsiza7a7eza7d2ev_2292za7,
		BGl_z62fsiza7ezd2ev_var1245z17zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2151z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762fsiza7a7eza7d2ev_2293za7,
		BGl_z62fsiza7ezd2ev_global1247z17zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2152z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762fsiza7a7eza7d2ev_2294za7,
		BGl_z62fsiza7ezd2ev_litt1249z17zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2153z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762fsiza7a7eza7d2ev_2295za7,
		BGl_z62fsiza7ezd2ev_if1251z17zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2154z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762fsiza7a7eza7d2ev_2296za7,
		BGl_z62fsiza7ezd2ev_list1253z17zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2155z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762fsiza7a7eza7d2ev_2297za7,
		BGl_z62fsiza7ezd2ev_prog21255z17zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2156z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762fsiza7a7eza7d2ev_2298za7,
		BGl_z62fsiza7ezd2ev_hook1257z17zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2157z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762fsiza7a7eza7d2ev_2299za7,
		BGl_z62fsiza7ezd2ev_bindzd2exit1259zc5zz__evaluate_fsiza7eza7, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2158z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762fsiza7a7eza7d2ev_2300za7,
		BGl_z62fsiza7ezd2ev_unwindzd2prot1261zc5zz__evaluate_fsiza7eza7, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2159z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762fsiza7a7eza7d2ev_2301za7,
		BGl_z62fsiza7ezd2ev_withzd2handle1263zc5zz__evaluate_fsiza7eza7, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2160z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762fsiza7a7eza7d2ev_2302za7,
		BGl_z62fsiza7ezd2ev_let1265z17zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2161z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762fsiza7a7eza7d2ev_2303za7,
		BGl_z62fsiza7ezd2ev_letza21267zb5zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2162z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762fsiza7a7eza7d2ev_2304za7,
		BGl_z62fsiza7ezd2ev_letrec1269z17zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2163z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762fsiza7a7eza7d2ev_2305za7,
		BGl_z62fsiza7ezd2ev_labels1271z17zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2164z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762fsiza7a7eza7d2ev_2306za7,
		BGl_z62fsiza7ezd2ev_goto1273z17zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2165z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762fsiza7a7eza7d2ev_2307za7,
		BGl_z62fsiza7ezd2ev_app1275z17zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2166z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762fsiza7a7eza7d2ev_2308za7,
		BGl_z62fsiza7ezd2ev_abs1277z17zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2167z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762searchza7d2letr2309z00,
		BGl_z62searchzd2letreczd2ev_var1281z62zz__evaluate_fsiza7eza7, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2168z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762searchza7d2letr2310z00,
		BGl_z62searchzd2letreczd2ev_glo1283z62zz__evaluate_fsiza7eza7, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2169z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762searchza7d2letr2311z00,
		BGl_z62searchzd2letreczd2ev_lit1285z62zz__evaluate_fsiza7eza7, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_GENERIC(BGl_tailposzd2envzd2zz__evaluate_fsiza7eza7,
		BgL_bgl_za762tailposza762za7za7_2312z00,
		BGl_z62tailposz62zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2170z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762searchza7d2letr2313z00,
		BGl_z62searchzd2letreczd2ev_if1287z62zz__evaluate_fsiza7eza7, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2171z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762searchza7d2letr2314z00,
		BGl_z62searchzd2letreczd2ev_lis1289z62zz__evaluate_fsiza7eza7, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2172z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762searchza7d2letr2315z00,
		BGl_z62searchzd2letreczd2ev_pro1291z62zz__evaluate_fsiza7eza7, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2173z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762searchza7d2letr2316z00,
		BGl_z62searchzd2letreczd2ev_hoo1293z62zz__evaluate_fsiza7eza7, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2174z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762searchza7d2letr2317z00,
		BGl_z62searchzd2letreczd2ev_bin1295z62zz__evaluate_fsiza7eza7, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2175z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762searchza7d2letr2318z00,
		BGl_z62searchzd2letreczd2ev_unw1297z62zz__evaluate_fsiza7eza7, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2176z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762searchza7d2letr2319z00,
		BGl_z62searchzd2letreczd2ev_wit1299z62zz__evaluate_fsiza7eza7, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2177z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762searchza7d2letr2320z00,
		BGl_z62searchzd2letreczd2ev_bin1301z62zz__evaluate_fsiza7eza7, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2178z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762searchza7d2letr2321z00,
		BGl_z62searchzd2letreczd2ev_let1303z62zz__evaluate_fsiza7eza7, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2179z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762searchza7d2letr2322z00,
		BGl_z62searchzd2letreczd2ev_app1305z62zz__evaluate_fsiza7eza7, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2180z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762searchza7d2letr2323z00,
		BGl_z62searchzd2letreczd2ev_abs1307z62zz__evaluate_fsiza7eza7, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2181z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762subst_gotoza7d22324z00,
		BGl_z62subst_gotozd2ev_var1311zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2182z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762subst_gotoza7d22325z00,
		BGl_z62subst_gotozd2ev_global1313zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC,
		3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2183z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762subst_gotoza7d22326z00,
		BGl_z62subst_gotozd2ev_litt1315zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2184z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762subst_gotoza7d22327z00,
		BGl_z62subst_gotozd2ev_if1317zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2185z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762subst_gotoza7d22328z00,
		BGl_z62subst_gotozd2ev_list1319zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2186z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762subst_gotoza7d22329z00,
		BGl_z62subst_gotozd2ev_prog21321zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2187z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762subst_gotoza7d22330z00,
		BGl_z62subst_gotozd2ev_hook1323zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2188z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762subst_gotoza7d22331z00,
		BGl_z62subst_gotozd2ev_bindzd2e1325z62zz__evaluate_fsiza7eza7, 0L, BUNSPEC,
		3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2189z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762subst_gotoza7d22332z00,
		BGl_z62subst_gotozd2ev_unwind1327zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC,
		3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2190z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762subst_gotoza7d22333z00,
		BGl_z62subst_gotozd2ev_withzd2h1329z62zz__evaluate_fsiza7eza7, 0L, BUNSPEC,
		3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2191z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762subst_gotoza7d22334z00,
		BGl_z62subst_gotozd2ev_binder1331zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC,
		3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2192z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762subst_gotoza7d22335z00,
		BGl_z62subst_gotozd2ev_labels1333zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC,
		3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2193z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762subst_gotoza7d22336z00,
		BGl_z62subst_gotozd2ev_goto1335zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2194z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762subst_gotoza7d22337z00,
		BGl_z62subst_gotozd2ev_app1337zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2195z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762subst_gotoza7d22338z00,
		BGl_z62subst_gotozd2ev_abs1339zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2196z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762tailposza7d2ev_2339z00,
		BGl_z62tailposzd2ev_var1343zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2197z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762tailposza7d2ev_2340z00,
		BGl_z62tailposzd2ev_global1345zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2198z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762tailposza7d2ev_2341z00,
		BGl_z62tailposzd2ev_litt1347zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2199z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762tailposza7d2ev_2342z00,
		BGl_z62tailposzd2ev_if1349zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_framezd2siza7ezd2envza7zz__evaluate_fsiza7eza7,
		BgL_bgl_za762frameza7d2siza7a72343za7,
		BGl_z62framezd2siza7ez17zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_GENERIC(BGl_fsiza7ezd2envz75zz__evaluate_fsiza7eza7,
		BgL_bgl_za762fsiza7a7eza7c5za7za7_2344za7,
		BGl_z62fsiza7ezc5zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	     
		DEFINE_STATIC_BGL_GENERIC
		(BGl_searchzd2letreczd2envz00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762searchza7d2letr2345z00,
		BGl_z62searchzd2letreczb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_extractzd2loopszd2envz00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762extractza7d2loo2346z00,
		BGl_z62extractzd2loopszb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2117z00zz__evaluate_fsiza7eza7,
		BgL_bgl_string2117za700za7za7_2347za7,
		"/tmp/bigloo/runtime/Eval/evaluate_fsize.scm", 43);
	      DEFINE_STRING(BGl_string2118z00zz__evaluate_fsiza7eza7,
		BgL_bgl_string2118za700za7za7_2348za7, "&frame-size", 11);
	      DEFINE_STRING(BGl_string2119z00zz__evaluate_fsiza7eza7,
		BgL_bgl_string2119za700za7za7_2349za7, "ev_expr", 7);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zz__evaluate_fsiza7eza7(long
		BgL_checksumz00_3523, char *BgL_fromz00_3524)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zz__evaluate_fsiza7eza7))
				{
					BGl_requirezd2initializa7ationz75zz__evaluate_fsiza7eza7 =
						BBOOL(((bool_t) 0));
					BGl_cnstzd2initzd2zz__evaluate_fsiza7eza7();
					BGl_importedzd2moduleszd2initz00zz__evaluate_fsiza7eza7();
					BGl_genericzd2initzd2zz__evaluate_fsiza7eza7();
					BGl_methodzd2initzd2zz__evaluate_fsiza7eza7();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zz__evaluate_fsiza7eza7()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 16 */
			BGl_symbol2131z00zz__evaluate_fsiza7eza7 =
				bstring_to_symbol(BGl_string2130z00zz__evaluate_fsiza7eza7);
			BGl_symbol2133z00zz__evaluate_fsiza7eza7 =
				bstring_to_symbol(BGl_string2134z00zz__evaluate_fsiza7eza7);
			BGl_symbol2136z00zz__evaluate_fsiza7eza7 =
				bstring_to_symbol(BGl_string2137z00zz__evaluate_fsiza7eza7);
			return (BGl_symbol2138z00zz__evaluate_fsiza7eza7 =
				bstring_to_symbol(BGl_string2139z00zz__evaluate_fsiza7eza7), BUNSPEC);
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zz__evaluate_fsiza7eza7()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 16 */
			return BUNSPEC;
		}
	}



/* frame-size */
	BGL_EXPORTED_DEF int
		BGl_framezd2siza7ez75zz__evaluate_fsiza7eza7(BgL_ev_exprz00_bglt BgL_ez00_3)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 66 */
			return
				BGl_fsiza7eza7zz__evaluate_fsiza7eza7(BgL_ez00_3, (int) (((long) 0)));
		}
	}



/* &frame-size */
	obj_t BGl_z62framezd2siza7ez17zz__evaluate_fsiza7eza7(obj_t BgL_envz00_3102,
		obj_t BgL_ez00_3103)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 66 */
			{	/* Eval/evaluate_fsize.scm 67 */
				int BgL_auxz00_3538;

				{	/* Eval/evaluate_fsize.scm 67 */
					BgL_ev_exprz00_bglt BgL_auxz00_3539;

					if (BGl_isazf3zf3zz__objectz00(BgL_ez00_3103,
							BGl_ev_exprz00zz__evaluate_typesz00))
						{	/* Eval/evaluate_fsize.scm 67 */
							BgL_auxz00_3539 = ((BgL_ev_exprz00_bglt) BgL_ez00_3103);
						}
					else
						{
							obj_t BgL_auxz00_3543;

							BgL_auxz00_3543 =
								BGl_typezd2errorzd2zz__errorz00
								(BGl_string2117z00zz__evaluate_fsiza7eza7, BINT(((long) 1988)),
								BGl_string2118z00zz__evaluate_fsiza7eza7,
								BGl_string2119z00zz__evaluate_fsiza7eza7, BgL_ez00_3103);
							FAILURE(BgL_auxz00_3543, BFALSE, BFALSE);
						}
					BgL_auxz00_3538 =
						BGl_framezd2siza7ez75zz__evaluate_fsiza7eza7(BgL_auxz00_3539);
				}
				return BINT(BgL_auxz00_3538);
			}
		}
	}



/* extract-loops */
	BGL_EXPORTED_DEF BgL_ev_exprz00_bglt
		BGl_extractzd2loopszd2zz__evaluate_fsiza7eza7(BgL_ev_exprz00_bglt
		BgL_ez00_40)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 164 */
			return
				((BgL_ev_exprz00_bglt)
				BGl_searchzd2letreczd2zz__evaluate_fsiza7eza7(BgL_ez00_40));
		}
	}



/* &extract-loops */
	BgL_ev_exprz00_bglt BGl_z62extractzd2loopszb0zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3104, obj_t BgL_ez00_3105)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 164 */
			{	/* Eval/evaluate_fsize.scm 166 */
				BgL_ev_exprz00_bglt BgL_ez00_3491;

				if (BGl_isazf3zf3zz__objectz00(BgL_ez00_3105,
						BGl_ev_exprz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_fsize.scm 166 */
						BgL_ez00_3491 = ((BgL_ev_exprz00_bglt) BgL_ez00_3105);
					}
				else
					{
						obj_t BgL_auxz00_3554;

						BgL_auxz00_3554 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string2117z00zz__evaluate_fsiza7eza7, BINT(((long) 4889)),
							BGl_string2120z00zz__evaluate_fsiza7eza7,
							BGl_string2119z00zz__evaluate_fsiza7eza7, BgL_ez00_3105);
						FAILURE(BgL_auxz00_3554, BFALSE, BFALSE);
					}
				return
					((BgL_ev_exprz00_bglt)
					BGl_searchzd2letreczd2zz__evaluate_fsiza7eza7(BgL_ez00_3491));
			}
		}
	}



/* search-letrec* */
	bool_t BGl_searchzd2letrecza2z70zz__evaluate_fsiza7eza7(obj_t BgL_lz00_41)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 169 */
			{
				obj_t BgL_lz00_813;

				BgL_lz00_813 = BgL_lz00_41;
			BgL_zc3anonymousza31449ze3z83_814:
				if (NULLP(BgL_lz00_813))
					{	/* Eval/evaluate_fsize.scm 171 */
						return ((bool_t) 0);
					}
				else
					{	/* Eval/evaluate_fsize.scm 171 */
						{	/* Eval/evaluate_fsize.scm 172 */
							obj_t BgL_arg1451z00_816;

							{	/* Eval/evaluate_fsize.scm 172 */
								obj_t BgL_arg1452z00_817;

								BgL_arg1452z00_817 = CAR(BgL_lz00_813);
								BgL_arg1451z00_816 =
									BGl_searchzd2letreczd2zz__evaluate_fsiza7eza7(
									((BgL_ev_exprz00_bglt) BgL_arg1452z00_817));
							}
							SET_CAR(BgL_lz00_813, BgL_arg1451z00_816);
						}
						{
							obj_t BgL_lz00_3566;

							BgL_lz00_3566 = CDR(BgL_lz00_813);
							BgL_lz00_813 = BgL_lz00_3566;
							goto BgL_zc3anonymousza31449ze3z83_814;
						}
					}
			}
		}
	}



/* modify-letrec */
	BgL_ev_labelsz00_bglt BGl_modifyzd2letreczd2zz__evaluate_fsiza7eza7(obj_t
		BgL_varsz00_57, obj_t BgL_valsz00_58, BgL_ev_exprz00_bglt BgL_bodyz00_59)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 258 */
			{	/* Eval/evaluate_fsize.scm 259 */
				BgL_ev_labelsz00_bglt BgL_rz00_820;

				{	/* Eval/evaluate_fsize.scm 259 */
					BgL_ev_labelsz00_bglt BgL_new1090z00_839;

					{	/* Eval/evaluate_fsize.scm 259 */
						BgL_ev_labelsz00_bglt BgL_new1089z00_843;

						BgL_new1089z00_843 =
							((BgL_ev_labelsz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_ev_labelsz00_bgl))));
						{	/* Eval/evaluate_fsize.scm 259 */
							long BgL_arg1466z00_844;

							{	/* Eval/evaluate_fsize.scm 259 */
								long BgL_res1956z00_2036;

								{	/* Eval/evaluate_fsize.scm 259 */
									obj_t BgL_classz00_2033;

									BgL_classz00_2033 = BGl_ev_labelsz00zz__evaluate_typesz00;
									{	/* Eval/evaluate_fsize.scm 259 */
										obj_t BgL_vectorz00_2034;
										int BgL_kz00_2035;

										BgL_vectorz00_2034 = BgL_classz00_2033;
										BgL_kz00_2035 = (int) (((long) 1));
										BgL_res1956z00_2036 =
											(long) CINT(VECTOR_REF(BgL_vectorz00_2034,
												BgL_kz00_2035));
								}}
								BgL_arg1466z00_844 = BgL_res1956z00_2036;
							}
							{	/* Eval/evaluate_fsize.scm 259 */
								BgL_objectz00_bglt BgL_objz00_2037;

								BgL_objz00_2037 = ((BgL_objectz00_bglt) BgL_new1089z00_843);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2037, BgL_arg1466z00_844);
						}}
						{	/* Eval/evaluate_fsize.scm 259 */
							BgL_objectz00_bglt BgL_auxz00_3574;

							BgL_auxz00_3574 = ((BgL_objectz00_bglt) BgL_new1089z00_843);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_3574, BFALSE);
						}
						BgL_new1090z00_839 = BgL_new1089z00_843;
					}
					((((BgL_ev_labelsz00_bglt) CREF(BgL_new1090z00_839))->BgL_varsz00) =
						((obj_t) BgL_varsz00_57), BUNSPEC);
					((((BgL_ev_labelsz00_bglt) CREF(BgL_new1090z00_839))->BgL_valsz00) =
						((obj_t) BNIL), BUNSPEC);
					((((BgL_ev_labelsz00_bglt) CREF(BgL_new1090z00_839))->BgL_envz00) =
						((obj_t) BNIL), BUNSPEC);
					((((BgL_ev_labelsz00_bglt) CREF(BgL_new1090z00_839))->BgL_stkz00) =
						((obj_t) BNIL), BUNSPEC);
					{
						BgL_ev_exprz00_bglt BgL_auxz00_3581;

						{	/* Eval/evaluate_fsize.scm 260 */
							BgL_ev_littz00_bglt BgL_new1093z00_840;

							{	/* Eval/evaluate_fsize.scm 260 */
								BgL_ev_littz00_bglt BgL_new1092z00_841;

								BgL_new1092z00_841 =
									((BgL_ev_littz00_bglt) BREF(GC_MALLOC(sizeof(struct
												BgL_ev_littz00_bgl))));
								{	/* Eval/evaluate_fsize.scm 260 */
									long BgL_arg1465z00_842;

									{	/* Eval/evaluate_fsize.scm 260 */
										long BgL_res1957z00_2042;

										{	/* Eval/evaluate_fsize.scm 260 */
											obj_t BgL_classz00_2039;

											BgL_classz00_2039 = BGl_ev_littz00zz__evaluate_typesz00;
											{	/* Eval/evaluate_fsize.scm 260 */
												obj_t BgL_vectorz00_2040;
												int BgL_kz00_2041;

												BgL_vectorz00_2040 = BgL_classz00_2039;
												BgL_kz00_2041 = (int) (((long) 1));
												BgL_res1957z00_2042 =
													(long) CINT(VECTOR_REF(BgL_vectorz00_2040,
														BgL_kz00_2041));
										}}
										BgL_arg1465z00_842 = BgL_res1957z00_2042;
									}
									{	/* Eval/evaluate_fsize.scm 260 */
										BgL_objectz00_bglt BgL_objz00_2043;

										BgL_objz00_2043 = ((BgL_objectz00_bglt) BgL_new1092z00_841);
										BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2043,
											BgL_arg1465z00_842);
								}}
								{	/* Eval/evaluate_fsize.scm 260 */
									BgL_objectz00_bglt BgL_auxz00_3588;

									BgL_auxz00_3588 = ((BgL_objectz00_bglt) BgL_new1092z00_841);
									BGL_OBJECT_WIDENING_SET(BgL_auxz00_3588, BFALSE);
								}
								BgL_new1093z00_840 = BgL_new1092z00_841;
							}
							((((BgL_ev_littz00_bglt) CREF(BgL_new1093z00_840))->
									BgL_valuez00) = ((obj_t) BINT(((long) 0))), BUNSPEC);
							BgL_auxz00_3581 = ((BgL_ev_exprz00_bglt) BgL_new1093z00_840);
						}
						((((BgL_ev_labelsz00_bglt) CREF(BgL_new1090z00_839))->BgL_bodyz00) =
							((BgL_ev_exprz00_bglt) BgL_auxz00_3581), BUNSPEC);
					}
					((((BgL_ev_labelsz00_bglt) CREF(BgL_new1090z00_839))->BgL_boxesz00) =
						((obj_t) BNIL), BUNSPEC);
					BgL_rz00_820 = BgL_new1090z00_839;
				}
				((((BgL_ev_labelsz00_bglt) CREF(BgL_rz00_820))->BgL_bodyz00) =
					((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt)
							BGl_subst_gotoz00zz__evaluate_fsiza7eza7(BgL_bodyz00_59,
								BgL_varsz00_57, ((obj_t) BgL_rz00_820)))), BUNSPEC);
				{
					obj_t BgL_auxz00_3600;

					if (NULLP(BgL_valsz00_58))
						{	/* Eval/evaluate_fsize.scm 263 */
							BgL_auxz00_3600 = BNIL;
						}
					else
						{	/* Eval/evaluate_fsize.scm 263 */
							obj_t BgL_head1190z00_824;

							{	/* Eval/evaluate_fsize.scm 263 */
								obj_t BgL_res1959z00_2049;

								BgL_res1959z00_2049 = MAKE_PAIR(BNIL, BNIL);
								BgL_head1190z00_824 = BgL_res1959z00_2049;
							}
							{
								obj_t BgL_l1188z00_826;
								obj_t BgL_tail1191z00_827;

								BgL_l1188z00_826 = BgL_valsz00_58;
								BgL_tail1191z00_827 = BgL_head1190z00_824;
							BgL_zc3anonymousza31455ze3z83_828:
								if (NULLP(BgL_l1188z00_826))
									{	/* Eval/evaluate_fsize.scm 263 */
										BgL_auxz00_3600 = CDR(BgL_head1190z00_824);
									}
								else
									{	/* Eval/evaluate_fsize.scm 263 */
										obj_t BgL_newtail1192z00_830;

										{	/* Eval/evaluate_fsize.scm 263 */
											obj_t BgL_arg1459z00_832;

											{	/* Eval/evaluate_fsize.scm 263 */
												obj_t BgL_valz00_833;

												{	/* Eval/evaluate_fsize.scm 263 */
													obj_t BgL_pairz00_2053;

													BgL_pairz00_2053 = BgL_l1188z00_826;
													BgL_valz00_833 = CAR(BgL_pairz00_2053);
												}
												{	/* Eval/evaluate_fsize.scm 264 */
													BgL_ev_absz00_bglt BgL_i1095z00_834;

													BgL_i1095z00_834 =
														((BgL_ev_absz00_bglt) BgL_valz00_833);
													{	/* Eval/evaluate_fsize.scm 265 */
														obj_t BgL_arg1460z00_835;
														obj_t BgL_arg1461z00_836;

														BgL_arg1460z00_835 =
															(((BgL_ev_absz00_bglt) CREF(BgL_i1095z00_834))->
															BgL_varsz00);
														{	/* Eval/evaluate_fsize.scm 265 */
															BgL_ev_exprz00_bglt BgL_arg1464z00_837;

															BgL_arg1464z00_837 =
																(((BgL_ev_absz00_bglt) CREF(BgL_i1095z00_834))->
																BgL_bodyz00);
															BgL_arg1461z00_836 =
																BGl_subst_gotoz00zz__evaluate_fsiza7eza7
																(BgL_arg1464z00_837, BgL_varsz00_57,
																((obj_t) BgL_rz00_820));
														}
														BgL_arg1459z00_832 =
															MAKE_PAIR(BgL_arg1460z00_835, BgL_arg1461z00_836);
													}
												}
											}
											{	/* Eval/evaluate_fsize.scm 263 */
												obj_t BgL_res1961z00_2056;

												BgL_res1961z00_2056 =
													MAKE_PAIR(BgL_arg1459z00_832, BNIL);
												BgL_newtail1192z00_830 = BgL_res1961z00_2056;
											}
										}
										SET_CDR(BgL_tail1191z00_827, BgL_newtail1192z00_830);
										{	/* Eval/evaluate_fsize.scm 263 */
											obj_t BgL_arg1458z00_831;

											{	/* Eval/evaluate_fsize.scm 263 */
												obj_t BgL_pairz00_2059;

												BgL_pairz00_2059 = BgL_l1188z00_826;
												BgL_arg1458z00_831 = CDR(BgL_pairz00_2059);
											}
											{
												obj_t BgL_tail1191z00_3618;
												obj_t BgL_l1188z00_3617;

												BgL_l1188z00_3617 = BgL_arg1458z00_831;
												BgL_tail1191z00_3618 = BgL_newtail1192z00_830;
												BgL_tail1191z00_827 = BgL_tail1191z00_3618;
												BgL_l1188z00_826 = BgL_l1188z00_3617;
												goto BgL_zc3anonymousza31455ze3z83_828;
											}
										}
									}
							}
						}
					((((BgL_ev_labelsz00_bglt) CREF(BgL_rz00_820))->BgL_valsz00) =
						((obj_t) BgL_auxz00_3600), BUNSPEC);
				}
				return BgL_rz00_820;
			}
		}
	}



/* letrectail? */
	bool_t BGl_letrectailzf3zf3zz__evaluate_fsiza7eza7(obj_t BgL_varsz00_60,
		obj_t BgL_valsz00_61, BgL_ev_exprz00_bglt BgL_bodyz00_62)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 269 */
			{
				obj_t BgL_l1195z00_846;

				BgL_l1195z00_846 = BgL_varsz00_60;
			BgL_zc3anonymousza31467ze3z83_847:
				if (NULLP(BgL_l1195z00_846))
					{	/* Eval/evaluate_fsize.scm 270 */
						return ((bool_t) 1);
					}
				else
					{	/* Eval/evaluate_fsize.scm 270 */
						bool_t BgL_testz00_3622;

						{	/* Eval/evaluate_fsize.scm 271 */
							obj_t BgL_vz00_851;

							BgL_vz00_851 = CAR(BgL_l1195z00_846);
							{	/* Eval/evaluate_fsize.scm 271 */
								obj_t BgL__andtest_1096z00_852;

								BgL__andtest_1096z00_852 =
									BGl_tailposz00zz__evaluate_fsiza7eza7(BgL_bodyz00_62,
									((BgL_ev_varz00_bglt) BgL_vz00_851));
								if (CBOOL(BgL__andtest_1096z00_852))
									{
										obj_t BgL_l1193z00_854;

										BgL_l1193z00_854 = BgL_valsz00_61;
									BgL_zc3anonymousza31471ze3z83_855:
										if (NULLP(BgL_l1193z00_854))
											{	/* Eval/evaluate_fsize.scm 272 */
												BgL_testz00_3622 = ((bool_t) 1);
											}
										else
											{	/* Eval/evaluate_fsize.scm 272 */
												bool_t BgL_testz00_3630;

												{	/* Eval/evaluate_fsize.scm 273 */
													obj_t BgL_ez00_859;

													BgL_ez00_859 = CAR(BgL_l1193z00_854);
													if (BGl_isazf3zf3zz__objectz00(BgL_ez00_859,
															BGl_ev_absz00zz__evaluate_typesz00))
														{	/* Eval/evaluate_fsize.scm 274 */
															BgL_ev_absz00_bglt BgL_i1097z00_861;

															BgL_i1097z00_861 =
																((BgL_ev_absz00_bglt) BgL_ez00_859);
															if (
																((long) CINT(
																		(((BgL_ev_absz00_bglt)
																				CREF(BgL_i1097z00_861))->
																			BgL_arityz00)) >= ((long) 0)))
																{	/* Eval/evaluate_fsize.scm 276 */
																	BgL_ev_exprz00_bglt BgL_arg1477z00_863;

																	BgL_arg1477z00_863 =
																		(((BgL_ev_absz00_bglt)
																			CREF(BgL_i1097z00_861))->BgL_bodyz00);
																	BgL_testz00_3630 =
																		CBOOL(BGl_tailposz00zz__evaluate_fsiza7eza7
																		(BgL_arg1477z00_863,
																			((BgL_ev_varz00_bglt) BgL_vz00_851)));
																}
															else
																{	/* Eval/evaluate_fsize.scm 275 */
																	BgL_testz00_3630 = ((bool_t) 0);
																}
														}
													else
														{	/* Eval/evaluate_fsize.scm 273 */
															BgL_testz00_3630 = ((bool_t) 0);
														}
												}
												if (BgL_testz00_3630)
													{
														obj_t BgL_l1193z00_3643;

														BgL_l1193z00_3643 = CDR(BgL_l1193z00_854);
														BgL_l1193z00_854 = BgL_l1193z00_3643;
														goto BgL_zc3anonymousza31471ze3z83_855;
													}
												else
													{	/* Eval/evaluate_fsize.scm 272 */
														BgL_testz00_3622 = ((bool_t) 0);
													}
											}
									}
								else
									{	/* Eval/evaluate_fsize.scm 271 */
										BgL_testz00_3622 = ((bool_t) 0);
									}
							}
						}
						if (BgL_testz00_3622)
							{
								obj_t BgL_l1195z00_3645;

								BgL_l1195z00_3645 = CDR(BgL_l1195z00_846);
								BgL_l1195z00_846 = BgL_l1195z00_3645;
								goto BgL_zc3anonymousza31467ze3z83_847;
							}
						else
							{	/* Eval/evaluate_fsize.scm 270 */
								return ((bool_t) 0);
							}
					}
			}
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zz__evaluate_fsiza7eza7()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 16 */
			return BUNSPEC;
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zz__evaluate_fsiza7eza7()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 16 */
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_fsiza7ezd2envz75zz__evaluate_fsiza7eza7,
				BGl_proc2121z00zz__evaluate_fsiza7eza7,
				BGl_ev_exprz00zz__evaluate_typesz00,
				BGl_string2122z00zz__evaluate_fsiza7eza7);
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_searchzd2letreczd2envz00zz__evaluate_fsiza7eza7,
				BGl_proc2123z00zz__evaluate_fsiza7eza7,
				BGl_ev_exprz00zz__evaluate_typesz00,
				BGl_string2124z00zz__evaluate_fsiza7eza7);
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_subst_gotozd2envzd2zz__evaluate_fsiza7eza7,
				BGl_proc2125z00zz__evaluate_fsiza7eza7,
				BGl_ev_exprz00zz__evaluate_typesz00,
				BGl_string2126z00zz__evaluate_fsiza7eza7);
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_tailposzd2envzd2zz__evaluate_fsiza7eza7,
				BGl_proc2127z00zz__evaluate_fsiza7eza7,
				BGl_ev_exprz00zz__evaluate_typesz00,
				BGl_string2128z00zz__evaluate_fsiza7eza7);
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_hasvarzf3zd2envz21zz__evaluate_fsiza7eza7,
				BGl_proc2129z00zz__evaluate_fsiza7eza7,
				BGl_ev_exprz00zz__evaluate_typesz00,
				BGl_string2130z00zz__evaluate_fsiza7eza7);
		}
	}



/* &hasvar?1378 */
	obj_t BGl_z62hasvarzf31378z91zz__evaluate_fsiza7eza7(obj_t BgL_envz00_3111,
		BgL_ev_exprz00_bglt BgL_ez00_3112, BgL_ev_varz00_bglt BgL_vz00_3113)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 461 */
			{
				BgL_ev_exprz00_bglt BgL_ez00_896;
				BgL_ev_varz00_bglt BgL_vz00_897;

				BgL_ez00_896 = BgL_ez00_3112;
				BgL_vz00_897 = BgL_vz00_3113;
				return
					BGl_errorz00zz__errorz00(BGl_symbol2131z00zz__evaluate_fsiza7eza7,
					BGl_string2132z00zz__evaluate_fsiza7eza7, ((obj_t) BgL_ez00_896));
			}
		}
	}



/* &tailpos1340 */
	obj_t BGl_z62tailpos1340z62zz__evaluate_fsiza7eza7(obj_t BgL_envz00_3114,
		BgL_ev_exprz00_bglt BgL_ez00_3115, BgL_ev_varz00_bglt BgL_vz00_3116)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 377 */
			{
				BgL_ev_exprz00_bglt BgL_ez00_891;
				BgL_ev_varz00_bglt BgL_vz00_892;

				BgL_ez00_891 = BgL_ez00_3115;
				BgL_vz00_892 = BgL_vz00_3116;
				return
					BGl_errorz00zz__errorz00(BGl_symbol2133z00zz__evaluate_fsiza7eza7,
					BGl_string2135z00zz__evaluate_fsiza7eza7, ((obj_t) BgL_ez00_891));
			}
		}
	}



/* &subst_goto1308 */
	obj_t BGl_z62subst_goto1308z62zz__evaluate_fsiza7eza7(obj_t BgL_envz00_3117,
		BgL_ev_exprz00_bglt BgL_ez00_3118, obj_t BgL_varsz00_3119,
		obj_t BgL_lblsz00_3120)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 288 */
			return
				BGl_errorz00zz__errorz00(BGl_symbol2136z00zz__evaluate_fsiza7eza7,
				BGl_string2135z00zz__evaluate_fsiza7eza7, ((obj_t) BgL_ez00_3118));
		}
	}



/* &search-letrec1278 */
	obj_t BGl_z62searchzd2letrec1278zb0zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3121, BgL_ev_exprz00_bglt BgL_ez00_3122)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 175 */
			{
				BgL_ev_exprz00_bglt BgL_ez00_881;

				BgL_ez00_881 = BgL_ez00_3122;
				return
					BGl_errorz00zz__errorz00(BGl_symbol2138z00zz__evaluate_fsiza7eza7,
					BGl_string2135z00zz__evaluate_fsiza7eza7, ((obj_t) BgL_ez00_881));
			}
		}
	}



/* &fsize1242 */
	obj_t BGl_z62fsiza7e1242zc5zz__evaluate_fsiza7eza7(obj_t BgL_envz00_3123,
		BgL_ev_exprz00_bglt BgL_ez00_3124, obj_t BgL_nz00_3125)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 69 */
			{
				BgL_ev_exprz00_bglt BgL_ez00_876;
				int BgL_nz00_877;

				BgL_ez00_876 = BgL_ez00_3124;
				BgL_nz00_877 = CINT(BgL_nz00_3125);
				return
					BGl_errorz00zz__errorz00(BGl_string2140z00zz__evaluate_fsiza7eza7,
					BGl_string2141z00zz__evaluate_fsiza7eza7, ((obj_t) BgL_ez00_876));
			}
		}
	}



/* fsize */
	int BGl_fsiza7eza7zz__evaluate_fsiza7eza7(BgL_ev_exprz00_bglt BgL_ez00_4,
		int BgL_nz00_5)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 69 */
			{	/* Eval/evaluate_fsize.scm 69 */
				obj_t BgL_method1243z00_900;

				{	/* Eval/evaluate_fsize.scm 69 */
					obj_t BgL_res1972z00_2111;

					{	/* Eval/evaluate_fsize.scm 69 */
						BgL_objectz00_bglt BgL_objz00_2083;

						BgL_objz00_2083 = ((BgL_objectz00_bglt) BgL_ez00_4);
						{	/* Eval/evaluate_fsize.scm 69 */
							long BgL_objzd2classzd2numz00_2084;

							{	/* Eval/evaluate_fsize.scm 69 */
								long BgL_res1966z00_2087;

								BgL_res1966z00_2087 = BGL_OBJECT_CLASS_NUM(BgL_objz00_2083);
								BgL_objzd2classzd2numz00_2084 = BgL_res1966z00_2087;
							}
							{	/* Eval/evaluate_fsize.scm 69 */
								obj_t BgL_arg1949z00_2085;

								BgL_arg1949z00_2085 =
									PROCEDURE_REF(BGl_fsiza7ezd2envz75zz__evaluate_fsiza7eza7,
									(int) (((long) 1)));
								{	/* Eval/evaluate_fsize.scm 69 */
									obj_t BgL_arrayz00_2088;
									int BgL_offsetz00_2089;

									BgL_arrayz00_2088 = BgL_arg1949z00_2085;
									BgL_offsetz00_2089 = (int) (BgL_objzd2classzd2numz00_2084);
									{	/* Eval/evaluate_fsize.scm 69 */
										long BgL_offsetz00_2090;

										BgL_offsetz00_2090 =
											((long) (BgL_offsetz00_2089) - OBJECT_TYPE);
										{	/* Eval/evaluate_fsize.scm 69 */
											long BgL_modz00_2091;

											{	/* Eval/evaluate_fsize.scm 69 */
												int BgL_arg1951z00_2092;

												BgL_arg1951z00_2092 = (int) (((long) 16));
												{	/* Eval/evaluate_fsize.scm 69 */
													long BgL_res1969z00_2102;

													{	/* Eval/evaluate_fsize.scm 69 */
														long BgL_auxz00_3671;

														BgL_auxz00_3671 = (long) (BgL_arg1951z00_2092);
														BgL_res1969z00_2102 =
															(BgL_offsetz00_2090 / BgL_auxz00_3671);
													}
													BgL_modz00_2091 = BgL_res1969z00_2102;
											}}
											{	/* Eval/evaluate_fsize.scm 69 */
												long BgL_restz00_2093;

												{	/* Eval/evaluate_fsize.scm 69 */
													int BgL_arg1950z00_2094;

													BgL_arg1950z00_2094 = (int) (((long) 16));
													{	/* Eval/evaluate_fsize.scm 69 */
														long BgL_res1971z00_2106;

														{	/* Eval/evaluate_fsize.scm 69 */
															long BgL_auxz00_3675;

															BgL_auxz00_3675 = (long) (BgL_arg1950z00_2094);
															BgL_res1971z00_2106 =
																(BgL_offsetz00_2090 % BgL_auxz00_3675);
														}
														BgL_restz00_2093 = BgL_res1971z00_2106;
												}}
												{	/* Eval/evaluate_fsize.scm 69 */

													BgL_res1972z00_2111 =
														VECTOR_REF(VECTOR_REF(BgL_arrayz00_2088,
															(int) (BgL_modz00_2091)),
														(int) (BgL_restz00_2093));
					}}}}}}}}
					BgL_method1243z00_900 = BgL_res1972z00_2111;
				}
				return
					CINT(PROCEDURE_ENTRY(BgL_method1243z00_900) (BgL_method1243z00_900,
						((obj_t) BgL_ez00_4), BINT(BgL_nz00_5), BEOA));
			}
		}
	}



/* &fsize */
	obj_t BGl_z62fsiza7ezc5zz__evaluate_fsiza7eza7(obj_t BgL_envz00_3126,
		obj_t BgL_ez00_3127, obj_t BgL_nz00_3128)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 69 */
			{	/* Eval/evaluate_fsize.scm 69 */
				int BgL_auxz00_3690;

				{	/* Eval/evaluate_fsize.scm 69 */
					int BgL_auxz00_3699;
					BgL_ev_exprz00_bglt BgL_auxz00_3691;

					{	/* Eval/evaluate_fsize.scm 69 */
						obj_t BgL_auxz00_3700;

						if (INTEGERP(BgL_nz00_3128))
							{	/* Eval/evaluate_fsize.scm 69 */
								BgL_auxz00_3700 = BgL_nz00_3128;
							}
						else
							{
								obj_t BgL_auxz00_3703;

								BgL_auxz00_3703 =
									BGl_typezd2errorzd2zz__errorz00
									(BGl_string2117z00zz__evaluate_fsiza7eza7,
									BINT(((long) 2003)), BGl_string2142z00zz__evaluate_fsiza7eza7,
									BGl_string2143z00zz__evaluate_fsiza7eza7, BgL_nz00_3128);
								FAILURE(BgL_auxz00_3703, BFALSE, BFALSE);
							}
						BgL_auxz00_3699 = CINT(BgL_auxz00_3700);
					}
					if (BGl_isazf3zf3zz__objectz00(BgL_ez00_3127,
							BGl_ev_exprz00zz__evaluate_typesz00))
						{	/* Eval/evaluate_fsize.scm 69 */
							BgL_auxz00_3691 = ((BgL_ev_exprz00_bglt) BgL_ez00_3127);
						}
					else
						{
							obj_t BgL_auxz00_3695;

							BgL_auxz00_3695 =
								BGl_typezd2errorzd2zz__errorz00
								(BGl_string2117z00zz__evaluate_fsiza7eza7, BINT(((long) 2003)),
								BGl_string2142z00zz__evaluate_fsiza7eza7,
								BGl_string2119z00zz__evaluate_fsiza7eza7, BgL_ez00_3127);
							FAILURE(BgL_auxz00_3695, BFALSE, BFALSE);
						}
					BgL_auxz00_3690 =
						BGl_fsiza7eza7zz__evaluate_fsiza7eza7(BgL_auxz00_3691,
						BgL_auxz00_3699);
				}
				return BINT(BgL_auxz00_3690);
			}
		}
	}



/* search-letrec */
	obj_t BGl_searchzd2letreczd2zz__evaluate_fsiza7eza7(BgL_ev_exprz00_bglt
		BgL_ez00_42)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 175 */
			{	/* Eval/evaluate_fsize.scm 175 */
				obj_t BgL_method1279z00_901;

				{	/* Eval/evaluate_fsize.scm 175 */
					obj_t BgL_res1979z00_2140;

					{	/* Eval/evaluate_fsize.scm 175 */
						BgL_objectz00_bglt BgL_objz00_2112;

						BgL_objz00_2112 = ((BgL_objectz00_bglt) BgL_ez00_42);
						{	/* Eval/evaluate_fsize.scm 175 */
							long BgL_objzd2classzd2numz00_2113;

							{	/* Eval/evaluate_fsize.scm 175 */
								long BgL_res1973z00_2116;

								BgL_res1973z00_2116 = BGL_OBJECT_CLASS_NUM(BgL_objz00_2112);
								BgL_objzd2classzd2numz00_2113 = BgL_res1973z00_2116;
							}
							{	/* Eval/evaluate_fsize.scm 175 */
								obj_t BgL_arg1949z00_2114;

								BgL_arg1949z00_2114 =
									PROCEDURE_REF
									(BGl_searchzd2letreczd2envz00zz__evaluate_fsiza7eza7,
									(int) (((long) 1)));
								{	/* Eval/evaluate_fsize.scm 175 */
									obj_t BgL_arrayz00_2117;
									int BgL_offsetz00_2118;

									BgL_arrayz00_2117 = BgL_arg1949z00_2114;
									BgL_offsetz00_2118 = (int) (BgL_objzd2classzd2numz00_2113);
									{	/* Eval/evaluate_fsize.scm 175 */
										long BgL_offsetz00_2119;

										BgL_offsetz00_2119 =
											((long) (BgL_offsetz00_2118) - OBJECT_TYPE);
										{	/* Eval/evaluate_fsize.scm 175 */
											long BgL_modz00_2120;

											{	/* Eval/evaluate_fsize.scm 175 */
												int BgL_arg1951z00_2121;

												BgL_arg1951z00_2121 = (int) (((long) 16));
												{	/* Eval/evaluate_fsize.scm 175 */
													long BgL_res1976z00_2131;

													{	/* Eval/evaluate_fsize.scm 175 */
														long BgL_auxz00_3718;

														BgL_auxz00_3718 = (long) (BgL_arg1951z00_2121);
														BgL_res1976z00_2131 =
															(BgL_offsetz00_2119 / BgL_auxz00_3718);
													}
													BgL_modz00_2120 = BgL_res1976z00_2131;
											}}
											{	/* Eval/evaluate_fsize.scm 175 */
												long BgL_restz00_2122;

												{	/* Eval/evaluate_fsize.scm 175 */
													int BgL_arg1950z00_2123;

													BgL_arg1950z00_2123 = (int) (((long) 16));
													{	/* Eval/evaluate_fsize.scm 175 */
														long BgL_res1978z00_2135;

														{	/* Eval/evaluate_fsize.scm 175 */
															long BgL_auxz00_3722;

															BgL_auxz00_3722 = (long) (BgL_arg1950z00_2123);
															BgL_res1978z00_2135 =
																(BgL_offsetz00_2119 % BgL_auxz00_3722);
														}
														BgL_restz00_2122 = BgL_res1978z00_2135;
												}}
												{	/* Eval/evaluate_fsize.scm 175 */

													BgL_res1979z00_2140 =
														VECTOR_REF(VECTOR_REF(BgL_arrayz00_2117,
															(int) (BgL_modz00_2120)),
														(int) (BgL_restz00_2122));
					}}}}}}}}
					BgL_method1279z00_901 = BgL_res1979z00_2140;
				}
				return
					PROCEDURE_ENTRY(BgL_method1279z00_901) (BgL_method1279z00_901,
					((obj_t) BgL_ez00_42), BEOA);
			}
		}
	}



/* &search-letrec */
	obj_t BGl_z62searchzd2letreczb0zz__evaluate_fsiza7eza7(obj_t BgL_envz00_3129,
		obj_t BgL_ez00_3130)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 175 */
			{	/* Eval/evaluate_fsize.scm 175 */
				BgL_ev_exprz00_bglt BgL_auxz00_3734;

				if (BGl_isazf3zf3zz__objectz00(BgL_ez00_3130,
						BGl_ev_exprz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_fsize.scm 175 */
						BgL_auxz00_3734 = ((BgL_ev_exprz00_bglt) BgL_ez00_3130);
					}
				else
					{
						obj_t BgL_auxz00_3738;

						BgL_auxz00_3738 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string2117z00zz__evaluate_fsiza7eza7, BINT(((long) 5053)),
							BGl_string2144z00zz__evaluate_fsiza7eza7,
							BGl_string2119z00zz__evaluate_fsiza7eza7, BgL_ez00_3130);
						FAILURE(BgL_auxz00_3738, BFALSE, BFALSE);
					}
				return BGl_searchzd2letreczd2zz__evaluate_fsiza7eza7(BgL_auxz00_3734);
			}
		}
	}



/* subst_goto */
	obj_t BGl_subst_gotoz00zz__evaluate_fsiza7eza7(BgL_ev_exprz00_bglt
		BgL_ez00_66, obj_t BgL_varsz00_67, obj_t BgL_lblsz00_68)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 288 */
			{	/* Eval/evaluate_fsize.scm 288 */
				obj_t BgL_method1309z00_902;

				{	/* Eval/evaluate_fsize.scm 288 */
					obj_t BgL_res1986z00_2169;

					{	/* Eval/evaluate_fsize.scm 288 */
						BgL_objectz00_bglt BgL_objz00_2141;

						BgL_objz00_2141 = ((BgL_objectz00_bglt) BgL_ez00_66);
						{	/* Eval/evaluate_fsize.scm 288 */
							long BgL_objzd2classzd2numz00_2142;

							{	/* Eval/evaluate_fsize.scm 288 */
								long BgL_res1980z00_2145;

								BgL_res1980z00_2145 = BGL_OBJECT_CLASS_NUM(BgL_objz00_2141);
								BgL_objzd2classzd2numz00_2142 = BgL_res1980z00_2145;
							}
							{	/* Eval/evaluate_fsize.scm 288 */
								obj_t BgL_arg1949z00_2143;

								BgL_arg1949z00_2143 =
									PROCEDURE_REF(BGl_subst_gotozd2envzd2zz__evaluate_fsiza7eza7,
									(int) (((long) 1)));
								{	/* Eval/evaluate_fsize.scm 288 */
									obj_t BgL_arrayz00_2146;
									int BgL_offsetz00_2147;

									BgL_arrayz00_2146 = BgL_arg1949z00_2143;
									BgL_offsetz00_2147 = (int) (BgL_objzd2classzd2numz00_2142);
									{	/* Eval/evaluate_fsize.scm 288 */
										long BgL_offsetz00_2148;

										BgL_offsetz00_2148 =
											((long) (BgL_offsetz00_2147) - OBJECT_TYPE);
										{	/* Eval/evaluate_fsize.scm 288 */
											long BgL_modz00_2149;

											{	/* Eval/evaluate_fsize.scm 288 */
												int BgL_arg1951z00_2150;

												BgL_arg1951z00_2150 = (int) (((long) 16));
												{	/* Eval/evaluate_fsize.scm 288 */
													long BgL_res1983z00_2160;

													{	/* Eval/evaluate_fsize.scm 288 */
														long BgL_auxz00_3751;

														BgL_auxz00_3751 = (long) (BgL_arg1951z00_2150);
														BgL_res1983z00_2160 =
															(BgL_offsetz00_2148 / BgL_auxz00_3751);
													}
													BgL_modz00_2149 = BgL_res1983z00_2160;
											}}
											{	/* Eval/evaluate_fsize.scm 288 */
												long BgL_restz00_2151;

												{	/* Eval/evaluate_fsize.scm 288 */
													int BgL_arg1950z00_2152;

													BgL_arg1950z00_2152 = (int) (((long) 16));
													{	/* Eval/evaluate_fsize.scm 288 */
														long BgL_res1985z00_2164;

														{	/* Eval/evaluate_fsize.scm 288 */
															long BgL_auxz00_3755;

															BgL_auxz00_3755 = (long) (BgL_arg1950z00_2152);
															BgL_res1985z00_2164 =
																(BgL_offsetz00_2148 % BgL_auxz00_3755);
														}
														BgL_restz00_2151 = BgL_res1985z00_2164;
												}}
												{	/* Eval/evaluate_fsize.scm 288 */

													BgL_res1986z00_2169 =
														VECTOR_REF(VECTOR_REF(BgL_arrayz00_2146,
															(int) (BgL_modz00_2149)),
														(int) (BgL_restz00_2151));
					}}}}}}}}
					BgL_method1309z00_902 = BgL_res1986z00_2169;
				}
				return
					PROCEDURE_ENTRY(BgL_method1309z00_902) (BgL_method1309z00_902,
					((obj_t) BgL_ez00_66), BgL_varsz00_67, BgL_lblsz00_68, BEOA);
			}
		}
	}



/* &subst_goto */
	obj_t BGl_z62subst_gotoz62zz__evaluate_fsiza7eza7(obj_t BgL_envz00_3131,
		obj_t BgL_ez00_3132, obj_t BgL_varsz00_3133, obj_t BgL_lblsz00_3134)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 288 */
			{	/* Eval/evaluate_fsize.scm 288 */
				BgL_ev_exprz00_bglt BgL_auxz00_3769;

				if (BGl_isazf3zf3zz__objectz00(BgL_ez00_3132,
						BGl_ev_exprz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_fsize.scm 288 */
						BgL_auxz00_3769 = ((BgL_ev_exprz00_bglt) BgL_ez00_3132);
					}
				else
					{
						obj_t BgL_auxz00_3773;

						BgL_auxz00_3773 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string2117z00zz__evaluate_fsiza7eza7, BINT(((long) 8080)),
							BGl_string2145z00zz__evaluate_fsiza7eza7,
							BGl_string2119z00zz__evaluate_fsiza7eza7, BgL_ez00_3132);
						FAILURE(BgL_auxz00_3773, BFALSE, BFALSE);
					}
				return
					BGl_subst_gotoz00zz__evaluate_fsiza7eza7(BgL_auxz00_3769,
					BgL_varsz00_3133, BgL_lblsz00_3134);
			}
		}
	}



/* tailpos */
	obj_t BGl_tailposz00zz__evaluate_fsiza7eza7(BgL_ev_exprz00_bglt BgL_ez00_114,
		BgL_ev_varz00_bglt BgL_vz00_115)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 377 */
			{	/* Eval/evaluate_fsize.scm 377 */
				obj_t BgL_method1341z00_903;

				{	/* Eval/evaluate_fsize.scm 377 */
					obj_t BgL_res1993z00_2198;

					{	/* Eval/evaluate_fsize.scm 377 */
						BgL_objectz00_bglt BgL_objz00_2170;

						BgL_objz00_2170 = ((BgL_objectz00_bglt) BgL_ez00_114);
						{	/* Eval/evaluate_fsize.scm 377 */
							long BgL_objzd2classzd2numz00_2171;

							{	/* Eval/evaluate_fsize.scm 377 */
								long BgL_res1987z00_2174;

								BgL_res1987z00_2174 = BGL_OBJECT_CLASS_NUM(BgL_objz00_2170);
								BgL_objzd2classzd2numz00_2171 = BgL_res1987z00_2174;
							}
							{	/* Eval/evaluate_fsize.scm 377 */
								obj_t BgL_arg1949z00_2172;

								BgL_arg1949z00_2172 =
									PROCEDURE_REF(BGl_tailposzd2envzd2zz__evaluate_fsiza7eza7,
									(int) (((long) 1)));
								{	/* Eval/evaluate_fsize.scm 377 */
									obj_t BgL_arrayz00_2175;
									int BgL_offsetz00_2176;

									BgL_arrayz00_2175 = BgL_arg1949z00_2172;
									BgL_offsetz00_2176 = (int) (BgL_objzd2classzd2numz00_2171);
									{	/* Eval/evaluate_fsize.scm 377 */
										long BgL_offsetz00_2177;

										BgL_offsetz00_2177 =
											((long) (BgL_offsetz00_2176) - OBJECT_TYPE);
										{	/* Eval/evaluate_fsize.scm 377 */
											long BgL_modz00_2178;

											{	/* Eval/evaluate_fsize.scm 377 */
												int BgL_arg1951z00_2179;

												BgL_arg1951z00_2179 = (int) (((long) 16));
												{	/* Eval/evaluate_fsize.scm 377 */
													long BgL_res1990z00_2189;

													{	/* Eval/evaluate_fsize.scm 377 */
														long BgL_auxz00_3786;

														BgL_auxz00_3786 = (long) (BgL_arg1951z00_2179);
														BgL_res1990z00_2189 =
															(BgL_offsetz00_2177 / BgL_auxz00_3786);
													}
													BgL_modz00_2178 = BgL_res1990z00_2189;
											}}
											{	/* Eval/evaluate_fsize.scm 377 */
												long BgL_restz00_2180;

												{	/* Eval/evaluate_fsize.scm 377 */
													int BgL_arg1950z00_2181;

													BgL_arg1950z00_2181 = (int) (((long) 16));
													{	/* Eval/evaluate_fsize.scm 377 */
														long BgL_res1992z00_2193;

														{	/* Eval/evaluate_fsize.scm 377 */
															long BgL_auxz00_3790;

															BgL_auxz00_3790 = (long) (BgL_arg1950z00_2181);
															BgL_res1992z00_2193 =
																(BgL_offsetz00_2177 % BgL_auxz00_3790);
														}
														BgL_restz00_2180 = BgL_res1992z00_2193;
												}}
												{	/* Eval/evaluate_fsize.scm 377 */

													BgL_res1993z00_2198 =
														VECTOR_REF(VECTOR_REF(BgL_arrayz00_2175,
															(int) (BgL_modz00_2178)),
														(int) (BgL_restz00_2180));
					}}}}}}}}
					BgL_method1341z00_903 = BgL_res1993z00_2198;
				}
				return
					PROCEDURE_ENTRY(BgL_method1341z00_903) (BgL_method1341z00_903,
					((obj_t) BgL_ez00_114), ((obj_t) BgL_vz00_115), BEOA);
			}
		}
	}



/* &tailpos */
	obj_t BGl_z62tailposz62zz__evaluate_fsiza7eza7(obj_t BgL_envz00_3135,
		obj_t BgL_ez00_3136, obj_t BgL_vz00_3137)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 377 */
			{	/* Eval/evaluate_fsize.scm 377 */
				BgL_ev_varz00_bglt BgL_auxz00_3812;
				BgL_ev_exprz00_bglt BgL_auxz00_3804;

				if (BGl_isazf3zf3zz__objectz00(BgL_vz00_3137,
						BGl_ev_varz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_fsize.scm 377 */
						BgL_auxz00_3812 = ((BgL_ev_varz00_bglt) BgL_vz00_3137);
					}
				else
					{
						obj_t BgL_auxz00_3816;

						BgL_auxz00_3816 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string2117z00zz__evaluate_fsiza7eza7, BINT(((long) 10779)),
							BGl_string2146z00zz__evaluate_fsiza7eza7,
							BGl_string2147z00zz__evaluate_fsiza7eza7, BgL_vz00_3137);
						FAILURE(BgL_auxz00_3816, BFALSE, BFALSE);
					}
				if (BGl_isazf3zf3zz__objectz00(BgL_ez00_3136,
						BGl_ev_exprz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_fsize.scm 377 */
						BgL_auxz00_3804 = ((BgL_ev_exprz00_bglt) BgL_ez00_3136);
					}
				else
					{
						obj_t BgL_auxz00_3808;

						BgL_auxz00_3808 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string2117z00zz__evaluate_fsiza7eza7, BINT(((long) 10779)),
							BGl_string2146z00zz__evaluate_fsiza7eza7,
							BGl_string2119z00zz__evaluate_fsiza7eza7, BgL_ez00_3136);
						FAILURE(BgL_auxz00_3808, BFALSE, BFALSE);
					}
				return
					BGl_tailposz00zz__evaluate_fsiza7eza7(BgL_auxz00_3804,
					BgL_auxz00_3812);
			}
		}
	}



/* hasvar? */
	obj_t BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(BgL_ev_exprz00_bglt
		BgL_ez00_152, BgL_ev_varz00_bglt BgL_vz00_153)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 461 */
			{	/* Eval/evaluate_fsize.scm 461 */
				obj_t BgL_method1379z00_904;

				{	/* Eval/evaluate_fsize.scm 461 */
					obj_t BgL_res2000z00_2227;

					{	/* Eval/evaluate_fsize.scm 461 */
						BgL_objectz00_bglt BgL_objz00_2199;

						BgL_objz00_2199 = ((BgL_objectz00_bglt) BgL_ez00_152);
						{	/* Eval/evaluate_fsize.scm 461 */
							long BgL_objzd2classzd2numz00_2200;

							{	/* Eval/evaluate_fsize.scm 461 */
								long BgL_res1994z00_2203;

								BgL_res1994z00_2203 = BGL_OBJECT_CLASS_NUM(BgL_objz00_2199);
								BgL_objzd2classzd2numz00_2200 = BgL_res1994z00_2203;
							}
							{	/* Eval/evaluate_fsize.scm 461 */
								obj_t BgL_arg1949z00_2201;

								BgL_arg1949z00_2201 =
									PROCEDURE_REF(BGl_hasvarzf3zd2envz21zz__evaluate_fsiza7eza7,
									(int) (((long) 1)));
								{	/* Eval/evaluate_fsize.scm 461 */
									obj_t BgL_arrayz00_2204;
									int BgL_offsetz00_2205;

									BgL_arrayz00_2204 = BgL_arg1949z00_2201;
									BgL_offsetz00_2205 = (int) (BgL_objzd2classzd2numz00_2200);
									{	/* Eval/evaluate_fsize.scm 461 */
										long BgL_offsetz00_2206;

										BgL_offsetz00_2206 =
											((long) (BgL_offsetz00_2205) - OBJECT_TYPE);
										{	/* Eval/evaluate_fsize.scm 461 */
											long BgL_modz00_2207;

											{	/* Eval/evaluate_fsize.scm 461 */
												int BgL_arg1951z00_2208;

												BgL_arg1951z00_2208 = (int) (((long) 16));
												{	/* Eval/evaluate_fsize.scm 461 */
													long BgL_res1997z00_2218;

													{	/* Eval/evaluate_fsize.scm 461 */
														long BgL_auxz00_3829;

														BgL_auxz00_3829 = (long) (BgL_arg1951z00_2208);
														BgL_res1997z00_2218 =
															(BgL_offsetz00_2206 / BgL_auxz00_3829);
													}
													BgL_modz00_2207 = BgL_res1997z00_2218;
											}}
											{	/* Eval/evaluate_fsize.scm 461 */
												long BgL_restz00_2209;

												{	/* Eval/evaluate_fsize.scm 461 */
													int BgL_arg1950z00_2210;

													BgL_arg1950z00_2210 = (int) (((long) 16));
													{	/* Eval/evaluate_fsize.scm 461 */
														long BgL_res1999z00_2222;

														{	/* Eval/evaluate_fsize.scm 461 */
															long BgL_auxz00_3833;

															BgL_auxz00_3833 = (long) (BgL_arg1950z00_2210);
															BgL_res1999z00_2222 =
																(BgL_offsetz00_2206 % BgL_auxz00_3833);
														}
														BgL_restz00_2209 = BgL_res1999z00_2222;
												}}
												{	/* Eval/evaluate_fsize.scm 461 */

													BgL_res2000z00_2227 =
														VECTOR_REF(VECTOR_REF(BgL_arrayz00_2204,
															(int) (BgL_modz00_2207)),
														(int) (BgL_restz00_2209));
					}}}}}}}}
					BgL_method1379z00_904 = BgL_res2000z00_2227;
				}
				return
					PROCEDURE_ENTRY(BgL_method1379z00_904) (BgL_method1379z00_904,
					((obj_t) BgL_ez00_152), ((obj_t) BgL_vz00_153), BEOA);
			}
		}
	}



/* &hasvar? */
	obj_t BGl_z62hasvarzf3z91zz__evaluate_fsiza7eza7(obj_t BgL_envz00_3138,
		obj_t BgL_ez00_3139, obj_t BgL_vz00_3140)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 461 */
			{	/* Eval/evaluate_fsize.scm 461 */
				BgL_ev_varz00_bglt BgL_auxz00_3855;
				BgL_ev_exprz00_bglt BgL_auxz00_3847;

				if (BGl_isazf3zf3zz__objectz00(BgL_vz00_3140,
						BGl_ev_varz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_fsize.scm 461 */
						BgL_auxz00_3855 = ((BgL_ev_varz00_bglt) BgL_vz00_3140);
					}
				else
					{
						obj_t BgL_auxz00_3859;

						BgL_auxz00_3859 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string2117z00zz__evaluate_fsiza7eza7, BINT(((long) 13507)),
							BGl_string2148z00zz__evaluate_fsiza7eza7,
							BGl_string2147z00zz__evaluate_fsiza7eza7, BgL_vz00_3140);
						FAILURE(BgL_auxz00_3859, BFALSE, BFALSE);
					}
				if (BGl_isazf3zf3zz__objectz00(BgL_ez00_3139,
						BGl_ev_exprz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_fsize.scm 461 */
						BgL_auxz00_3847 = ((BgL_ev_exprz00_bglt) BgL_ez00_3139);
					}
				else
					{
						obj_t BgL_auxz00_3851;

						BgL_auxz00_3851 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string2117z00zz__evaluate_fsiza7eza7, BINT(((long) 13507)),
							BGl_string2148z00zz__evaluate_fsiza7eza7,
							BGl_string2119z00zz__evaluate_fsiza7eza7, BgL_ez00_3139);
						FAILURE(BgL_auxz00_3851, BFALSE, BFALSE);
					}
				return
					BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(BgL_auxz00_3847,
					BgL_auxz00_3855);
			}
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zz__evaluate_fsiza7eza7()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 16 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_fsiza7ezd2envz75zz__evaluate_fsiza7eza7,
				BGl_ev_varz00zz__evaluate_typesz00,
				BGl_proc2149z00zz__evaluate_fsiza7eza7,
				BGl_string2150z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_fsiza7ezd2envz75zz__evaluate_fsiza7eza7,
				BGl_ev_globalz00zz__evaluate_typesz00,
				BGl_proc2151z00zz__evaluate_fsiza7eza7,
				BGl_string2150z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_fsiza7ezd2envz75zz__evaluate_fsiza7eza7,
				BGl_ev_littz00zz__evaluate_typesz00,
				BGl_proc2152z00zz__evaluate_fsiza7eza7,
				BGl_string2150z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_fsiza7ezd2envz75zz__evaluate_fsiza7eza7,
				BGl_ev_ifz00zz__evaluate_typesz00,
				BGl_proc2153z00zz__evaluate_fsiza7eza7,
				BGl_string2150z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_fsiza7ezd2envz75zz__evaluate_fsiza7eza7,
				BGl_ev_listz00zz__evaluate_typesz00,
				BGl_proc2154z00zz__evaluate_fsiza7eza7,
				BGl_string2150z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_fsiza7ezd2envz75zz__evaluate_fsiza7eza7,
				BGl_ev_prog2z00zz__evaluate_typesz00,
				BGl_proc2155z00zz__evaluate_fsiza7eza7,
				BGl_string2150z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_fsiza7ezd2envz75zz__evaluate_fsiza7eza7,
				BGl_ev_hookz00zz__evaluate_typesz00,
				BGl_proc2156z00zz__evaluate_fsiza7eza7,
				BGl_string2150z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_fsiza7ezd2envz75zz__evaluate_fsiza7eza7,
				BGl_ev_bindzd2exitzd2zz__evaluate_typesz00,
				BGl_proc2157z00zz__evaluate_fsiza7eza7,
				BGl_string2150z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_fsiza7ezd2envz75zz__evaluate_fsiza7eza7,
				BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00,
				BGl_proc2158z00zz__evaluate_fsiza7eza7,
				BGl_string2150z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_fsiza7ezd2envz75zz__evaluate_fsiza7eza7,
				BGl_ev_withzd2handlerzd2zz__evaluate_typesz00,
				BGl_proc2159z00zz__evaluate_fsiza7eza7,
				BGl_string2150z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_fsiza7ezd2envz75zz__evaluate_fsiza7eza7,
				BGl_ev_letz00zz__evaluate_typesz00,
				BGl_proc2160z00zz__evaluate_fsiza7eza7,
				BGl_string2150z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_fsiza7ezd2envz75zz__evaluate_fsiza7eza7,
				BGl_ev_letza2za2zz__evaluate_typesz00,
				BGl_proc2161z00zz__evaluate_fsiza7eza7,
				BGl_string2150z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_fsiza7ezd2envz75zz__evaluate_fsiza7eza7,
				BGl_ev_letrecz00zz__evaluate_typesz00,
				BGl_proc2162z00zz__evaluate_fsiza7eza7,
				BGl_string2150z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_fsiza7ezd2envz75zz__evaluate_fsiza7eza7,
				BGl_ev_labelsz00zz__evaluate_typesz00,
				BGl_proc2163z00zz__evaluate_fsiza7eza7,
				BGl_string2150z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_fsiza7ezd2envz75zz__evaluate_fsiza7eza7,
				BGl_ev_gotoz00zz__evaluate_typesz00,
				BGl_proc2164z00zz__evaluate_fsiza7eza7,
				BGl_string2150z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_fsiza7ezd2envz75zz__evaluate_fsiza7eza7,
				BGl_ev_appz00zz__evaluate_typesz00,
				BGl_proc2165z00zz__evaluate_fsiza7eza7,
				BGl_string2150z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_fsiza7ezd2envz75zz__evaluate_fsiza7eza7,
				BGl_ev_absz00zz__evaluate_typesz00,
				BGl_proc2166z00zz__evaluate_fsiza7eza7,
				BGl_string2150z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_searchzd2letreczd2envz00zz__evaluate_fsiza7eza7,
				BGl_ev_varz00zz__evaluate_typesz00,
				BGl_proc2167z00zz__evaluate_fsiza7eza7,
				BGl_string2139z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_searchzd2letreczd2envz00zz__evaluate_fsiza7eza7,
				BGl_ev_globalz00zz__evaluate_typesz00,
				BGl_proc2168z00zz__evaluate_fsiza7eza7,
				BGl_string2139z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_searchzd2letreczd2envz00zz__evaluate_fsiza7eza7,
				BGl_ev_littz00zz__evaluate_typesz00,
				BGl_proc2169z00zz__evaluate_fsiza7eza7,
				BGl_string2139z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_searchzd2letreczd2envz00zz__evaluate_fsiza7eza7,
				BGl_ev_ifz00zz__evaluate_typesz00,
				BGl_proc2170z00zz__evaluate_fsiza7eza7,
				BGl_string2139z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_searchzd2letreczd2envz00zz__evaluate_fsiza7eza7,
				BGl_ev_listz00zz__evaluate_typesz00,
				BGl_proc2171z00zz__evaluate_fsiza7eza7,
				BGl_string2139z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_searchzd2letreczd2envz00zz__evaluate_fsiza7eza7,
				BGl_ev_prog2z00zz__evaluate_typesz00,
				BGl_proc2172z00zz__evaluate_fsiza7eza7,
				BGl_string2139z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_searchzd2letreczd2envz00zz__evaluate_fsiza7eza7,
				BGl_ev_hookz00zz__evaluate_typesz00,
				BGl_proc2173z00zz__evaluate_fsiza7eza7,
				BGl_string2139z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_searchzd2letreczd2envz00zz__evaluate_fsiza7eza7,
				BGl_ev_bindzd2exitzd2zz__evaluate_typesz00,
				BGl_proc2174z00zz__evaluate_fsiza7eza7,
				BGl_string2139z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_searchzd2letreczd2envz00zz__evaluate_fsiza7eza7,
				BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00,
				BGl_proc2175z00zz__evaluate_fsiza7eza7,
				BGl_string2139z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_searchzd2letreczd2envz00zz__evaluate_fsiza7eza7,
				BGl_ev_withzd2handlerzd2zz__evaluate_typesz00,
				BGl_proc2176z00zz__evaluate_fsiza7eza7,
				BGl_string2139z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_searchzd2letreczd2envz00zz__evaluate_fsiza7eza7,
				BGl_ev_binderz00zz__evaluate_typesz00,
				BGl_proc2177z00zz__evaluate_fsiza7eza7,
				BGl_string2139z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_searchzd2letreczd2envz00zz__evaluate_fsiza7eza7,
				BGl_ev_letrecz00zz__evaluate_typesz00,
				BGl_proc2178z00zz__evaluate_fsiza7eza7,
				BGl_string2139z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_searchzd2letreczd2envz00zz__evaluate_fsiza7eza7,
				BGl_ev_appz00zz__evaluate_typesz00,
				BGl_proc2179z00zz__evaluate_fsiza7eza7,
				BGl_string2139z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_searchzd2letreczd2envz00zz__evaluate_fsiza7eza7,
				BGl_ev_absz00zz__evaluate_typesz00,
				BGl_proc2180z00zz__evaluate_fsiza7eza7,
				BGl_string2139z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_subst_gotozd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_varz00zz__evaluate_typesz00,
				BGl_proc2181z00zz__evaluate_fsiza7eza7,
				BGl_string2137z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_subst_gotozd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_globalz00zz__evaluate_typesz00,
				BGl_proc2182z00zz__evaluate_fsiza7eza7,
				BGl_string2137z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_subst_gotozd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_littz00zz__evaluate_typesz00,
				BGl_proc2183z00zz__evaluate_fsiza7eza7,
				BGl_string2137z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_subst_gotozd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_ifz00zz__evaluate_typesz00,
				BGl_proc2184z00zz__evaluate_fsiza7eza7,
				BGl_string2137z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_subst_gotozd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_listz00zz__evaluate_typesz00,
				BGl_proc2185z00zz__evaluate_fsiza7eza7,
				BGl_string2137z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_subst_gotozd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_prog2z00zz__evaluate_typesz00,
				BGl_proc2186z00zz__evaluate_fsiza7eza7,
				BGl_string2137z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_subst_gotozd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_hookz00zz__evaluate_typesz00,
				BGl_proc2187z00zz__evaluate_fsiza7eza7,
				BGl_string2137z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_subst_gotozd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_bindzd2exitzd2zz__evaluate_typesz00,
				BGl_proc2188z00zz__evaluate_fsiza7eza7,
				BGl_string2137z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_subst_gotozd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00,
				BGl_proc2189z00zz__evaluate_fsiza7eza7,
				BGl_string2137z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_subst_gotozd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_withzd2handlerzd2zz__evaluate_typesz00,
				BGl_proc2190z00zz__evaluate_fsiza7eza7,
				BGl_string2137z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_subst_gotozd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_binderz00zz__evaluate_typesz00,
				BGl_proc2191z00zz__evaluate_fsiza7eza7,
				BGl_string2137z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_subst_gotozd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_labelsz00zz__evaluate_typesz00,
				BGl_proc2192z00zz__evaluate_fsiza7eza7,
				BGl_string2137z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_subst_gotozd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_gotoz00zz__evaluate_typesz00,
				BGl_proc2193z00zz__evaluate_fsiza7eza7,
				BGl_string2137z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_subst_gotozd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_appz00zz__evaluate_typesz00,
				BGl_proc2194z00zz__evaluate_fsiza7eza7,
				BGl_string2137z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_subst_gotozd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_absz00zz__evaluate_typesz00,
				BGl_proc2195z00zz__evaluate_fsiza7eza7,
				BGl_string2137z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tailposzd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_varz00zz__evaluate_typesz00,
				BGl_proc2196z00zz__evaluate_fsiza7eza7,
				BGl_string2134z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tailposzd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_globalz00zz__evaluate_typesz00,
				BGl_proc2197z00zz__evaluate_fsiza7eza7,
				BGl_string2134z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tailposzd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_littz00zz__evaluate_typesz00,
				BGl_proc2198z00zz__evaluate_fsiza7eza7,
				BGl_string2134z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tailposzd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_ifz00zz__evaluate_typesz00,
				BGl_proc2199z00zz__evaluate_fsiza7eza7,
				BGl_string2134z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tailposzd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_listz00zz__evaluate_typesz00,
				BGl_proc2200z00zz__evaluate_fsiza7eza7,
				BGl_string2134z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tailposzd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_prog2z00zz__evaluate_typesz00,
				BGl_proc2201z00zz__evaluate_fsiza7eza7,
				BGl_string2134z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tailposzd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_hookz00zz__evaluate_typesz00,
				BGl_proc2202z00zz__evaluate_fsiza7eza7,
				BGl_string2134z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tailposzd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_setlocalz00zz__evaluate_typesz00,
				BGl_proc2203z00zz__evaluate_fsiza7eza7,
				BGl_string2134z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tailposzd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_bindzd2exitzd2zz__evaluate_typesz00,
				BGl_proc2204z00zz__evaluate_fsiza7eza7,
				BGl_string2134z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tailposzd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00,
				BGl_proc2205z00zz__evaluate_fsiza7eza7,
				BGl_string2134z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tailposzd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_withzd2handlerzd2zz__evaluate_typesz00,
				BGl_proc2206z00zz__evaluate_fsiza7eza7,
				BGl_string2134z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tailposzd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_letz00zz__evaluate_typesz00,
				BGl_proc2207z00zz__evaluate_fsiza7eza7,
				BGl_string2134z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tailposzd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_letza2za2zz__evaluate_typesz00,
				BGl_proc2208z00zz__evaluate_fsiza7eza7,
				BGl_string2134z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tailposzd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_letrecz00zz__evaluate_typesz00,
				BGl_proc2209z00zz__evaluate_fsiza7eza7,
				BGl_string2134z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tailposzd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_labelsz00zz__evaluate_typesz00,
				BGl_proc2210z00zz__evaluate_fsiza7eza7,
				BGl_string2134z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tailposzd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_gotoz00zz__evaluate_typesz00,
				BGl_proc2211z00zz__evaluate_fsiza7eza7,
				BGl_string2134z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tailposzd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_appz00zz__evaluate_typesz00,
				BGl_proc2212z00zz__evaluate_fsiza7eza7,
				BGl_string2134z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tailposzd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_absz00zz__evaluate_typesz00,
				BGl_proc2213z00zz__evaluate_fsiza7eza7,
				BGl_string2134z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_hasvarzf3zd2envz21zz__evaluate_fsiza7eza7,
				BGl_ev_varz00zz__evaluate_typesz00,
				BGl_proc2214z00zz__evaluate_fsiza7eza7,
				BGl_string2215z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_hasvarzf3zd2envz21zz__evaluate_fsiza7eza7,
				BGl_ev_globalz00zz__evaluate_typesz00,
				BGl_proc2216z00zz__evaluate_fsiza7eza7,
				BGl_string2215z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_hasvarzf3zd2envz21zz__evaluate_fsiza7eza7,
				BGl_ev_littz00zz__evaluate_typesz00,
				BGl_proc2217z00zz__evaluate_fsiza7eza7,
				BGl_string2215z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_hasvarzf3zd2envz21zz__evaluate_fsiza7eza7,
				BGl_ev_ifz00zz__evaluate_typesz00,
				BGl_proc2218z00zz__evaluate_fsiza7eza7,
				BGl_string2215z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_hasvarzf3zd2envz21zz__evaluate_fsiza7eza7,
				BGl_ev_listz00zz__evaluate_typesz00,
				BGl_proc2219z00zz__evaluate_fsiza7eza7,
				BGl_string2215z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_hasvarzf3zd2envz21zz__evaluate_fsiza7eza7,
				BGl_ev_prog2z00zz__evaluate_typesz00,
				BGl_proc2220z00zz__evaluate_fsiza7eza7,
				BGl_string2215z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_hasvarzf3zd2envz21zz__evaluate_fsiza7eza7,
				BGl_ev_hookz00zz__evaluate_typesz00,
				BGl_proc2221z00zz__evaluate_fsiza7eza7,
				BGl_string2215z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_hasvarzf3zd2envz21zz__evaluate_fsiza7eza7,
				BGl_ev_setlocalz00zz__evaluate_typesz00,
				BGl_proc2222z00zz__evaluate_fsiza7eza7,
				BGl_string2215z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_hasvarzf3zd2envz21zz__evaluate_fsiza7eza7,
				BGl_ev_bindzd2exitzd2zz__evaluate_typesz00,
				BGl_proc2223z00zz__evaluate_fsiza7eza7,
				BGl_string2215z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_hasvarzf3zd2envz21zz__evaluate_fsiza7eza7,
				BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00,
				BGl_proc2224z00zz__evaluate_fsiza7eza7,
				BGl_string2215z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_hasvarzf3zd2envz21zz__evaluate_fsiza7eza7,
				BGl_ev_withzd2handlerzd2zz__evaluate_typesz00,
				BGl_proc2225z00zz__evaluate_fsiza7eza7,
				BGl_string2215z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_hasvarzf3zd2envz21zz__evaluate_fsiza7eza7,
				BGl_ev_binderz00zz__evaluate_typesz00,
				BGl_proc2226z00zz__evaluate_fsiza7eza7,
				BGl_string2215z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_hasvarzf3zd2envz21zz__evaluate_fsiza7eza7,
				BGl_ev_labelsz00zz__evaluate_typesz00,
				BGl_proc2227z00zz__evaluate_fsiza7eza7,
				BGl_string2215z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_hasvarzf3zd2envz21zz__evaluate_fsiza7eza7,
				BGl_ev_gotoz00zz__evaluate_typesz00,
				BGl_proc2228z00zz__evaluate_fsiza7eza7,
				BGl_string2215z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_hasvarzf3zd2envz21zz__evaluate_fsiza7eza7,
				BGl_ev_appz00zz__evaluate_typesz00,
				BGl_proc2229z00zz__evaluate_fsiza7eza7,
				BGl_string2215z00zz__evaluate_fsiza7eza7);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_hasvarzf3zd2envz21zz__evaluate_fsiza7eza7,
				BGl_ev_absz00zz__evaluate_typesz00,
				BGl_proc2230z00zz__evaluate_fsiza7eza7,
				BGl_string2215z00zz__evaluate_fsiza7eza7);
		}
	}



/* &hasvar?-ev_abs1411 */
	obj_t BGl_z62hasvarzf3zd2ev_abs1411z43zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3221, BgL_ev_absz00_bglt BgL_ez00_3222,
		BgL_ev_varz00_bglt BgL_vz00_3223)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 522 */
			{
				BgL_ev_absz00_bglt BgL_ez00_1755;
				BgL_ev_varz00_bglt BgL_vz00_1756;

				BgL_ez00_1755 = BgL_ez00_3222;
				BgL_vz00_1756 = BgL_vz00_3223;
				return
					BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(
					(((BgL_ev_absz00_bglt) CREF(BgL_ez00_1755))->BgL_bodyz00),
					BgL_vz00_1756);
			}
		}
	}



/* &hasvar?-ev_app1409 */
	obj_t BGl_z62hasvarzf3zd2ev_app1409z43zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3224, BgL_ev_appz00_bglt BgL_ez00_3225,
		BgL_ev_varz00_bglt BgL_vz00_3226)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 518 */
			{
				BgL_ev_appz00_bglt BgL_ez00_1738;
				BgL_ev_varz00_bglt BgL_vz00_1739;

				BgL_ez00_1738 = BgL_ez00_3225;
				BgL_vz00_1739 = BgL_vz00_3226;
				{	/* Eval/evaluate_fsize.scm 520 */
					obj_t BgL__ortest_1161z00_1743;

					BgL__ortest_1161z00_1743 =
						BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(
						(((BgL_ev_appz00_bglt) CREF(BgL_ez00_1738))->BgL_funz00),
						BgL_vz00_1739);
					if (CBOOL(BgL__ortest_1161z00_1743))
						{	/* Eval/evaluate_fsize.scm 520 */
							return BgL__ortest_1161z00_1743;
						}
					else
						{	/* Eval/evaluate_fsize.scm 520 */
							obj_t BgL_g1229z00_1744;

							BgL_g1229z00_1744 =
								(((BgL_ev_appz00_bglt) CREF(BgL_ez00_1738))->BgL_argsz00);
							{
								obj_t BgL_l1227z00_1746;

								{	/* Eval/evaluate_fsize.scm 520 */
									bool_t BgL_auxz00_3951;

									BgL_l1227z00_1746 = BgL_g1229z00_1744;
								BgL_zc3anonymousza31750ze3z83_1747:
									if (NULLP(BgL_l1227z00_1746))
										{	/* Eval/evaluate_fsize.scm 520 */
											BgL_auxz00_3951 = ((bool_t) 0);
										}
									else
										{	/* Eval/evaluate_fsize.scm 520 */
											bool_t BgL_testz00_3954;

											{	/* Eval/evaluate_fsize.scm 520 */
												obj_t BgL_ez00_1751;

												BgL_ez00_1751 = CAR(BgL_l1227z00_1746);
												BgL_testz00_3954 =
													CBOOL(BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(
														((BgL_ev_exprz00_bglt) BgL_ez00_1751),
														BgL_vz00_1739));
											}
											if (BgL_testz00_3954)
												{	/* Eval/evaluate_fsize.scm 520 */
													BgL_auxz00_3951 = ((bool_t) 1);
												}
											else
												{
													obj_t BgL_l1227z00_3959;

													BgL_l1227z00_3959 = CDR(BgL_l1227z00_1746);
													BgL_l1227z00_1746 = BgL_l1227z00_3959;
													goto BgL_zc3anonymousza31750ze3z83_1747;
												}
										}
									return BBOOL(BgL_auxz00_3951);
								}
							}
						}
				}
			}
		}
	}



/* &hasvar?-ev_goto1407 */
	obj_t BGl_z62hasvarzf3zd2ev_goto1407z43zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3227, BgL_ev_gotoz00_bglt BgL_ez00_3228,
		BgL_ev_varz00_bglt BgL_vz00_3229)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 514 */
			{
				BgL_ev_gotoz00_bglt BgL_ez00_1723;
				BgL_ev_varz00_bglt BgL_vz00_1724;

				{	/* Eval/evaluate_fsize.scm 515 */
					bool_t BgL_auxz00_3962;

					BgL_ez00_1723 = BgL_ez00_3228;
					BgL_vz00_1724 = BgL_vz00_3229;
					{	/* Eval/evaluate_fsize.scm 516 */
						obj_t BgL_g1226z00_1728;

						BgL_g1226z00_1728 =
							(((BgL_ev_gotoz00_bglt) CREF(BgL_ez00_1723))->BgL_argsz00);
						{
							obj_t BgL_l1224z00_1730;

							BgL_l1224z00_1730 = BgL_g1226z00_1728;
						BgL_zc3anonymousza31746ze3z83_1731:
							if (NULLP(BgL_l1224z00_1730))
								{	/* Eval/evaluate_fsize.scm 516 */
									BgL_auxz00_3962 = ((bool_t) 0);
								}
							else
								{	/* Eval/evaluate_fsize.scm 516 */
									bool_t BgL_testz00_3966;

									{	/* Eval/evaluate_fsize.scm 516 */
										obj_t BgL_ez00_1735;

										BgL_ez00_1735 = CAR(BgL_l1224z00_1730);
										BgL_testz00_3966 =
											CBOOL(BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(
												((BgL_ev_exprz00_bglt) BgL_ez00_1735), BgL_vz00_1724));
									}
									if (BgL_testz00_3966)
										{	/* Eval/evaluate_fsize.scm 516 */
											BgL_auxz00_3962 = ((bool_t) 1);
										}
									else
										{
											obj_t BgL_l1224z00_3971;

											BgL_l1224z00_3971 = CDR(BgL_l1224z00_1730);
											BgL_l1224z00_1730 = BgL_l1224z00_3971;
											goto BgL_zc3anonymousza31746ze3z83_1731;
										}
								}
						}
					}
					return BBOOL(BgL_auxz00_3962);
				}
			}
		}
	}



/* &hasvar?-ev_labels1405 */
	obj_t BGl_z62hasvarzf3zd2ev_labels1405z43zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3230, BgL_ev_labelsz00_bglt BgL_ez00_3231,
		BgL_ev_varz00_bglt BgL_vz00_3232)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 509 */
			{
				BgL_ev_labelsz00_bglt BgL_ez00_1705;
				BgL_ev_varz00_bglt BgL_vz00_1706;

				BgL_ez00_1705 = BgL_ez00_3231;
				BgL_vz00_1706 = BgL_vz00_3232;
				{	/* Eval/evaluate_fsize.scm 511 */
					bool_t BgL__ortest_1158z00_1710;

					{	/* Eval/evaluate_fsize.scm 511 */
						obj_t BgL_g1223z00_1712;

						BgL_g1223z00_1712 =
							(((BgL_ev_labelsz00_bglt) CREF(BgL_ez00_1705))->BgL_valsz00);
						{
							obj_t BgL_l1221z00_1714;

							BgL_l1221z00_1714 = BgL_g1223z00_1712;
						BgL_zc3anonymousza31740ze3z83_1715:
							if (NULLP(BgL_l1221z00_1714))
								{	/* Eval/evaluate_fsize.scm 511 */
									BgL__ortest_1158z00_1710 = ((bool_t) 0);
								}
							else
								{	/* Eval/evaluate_fsize.scm 511 */
									bool_t BgL_testz00_3977;

									{	/* Eval/evaluate_fsize.scm 511 */
										obj_t BgL_ez00_1719;

										BgL_ez00_1719 = CAR(BgL_l1221z00_1714);
										{	/* Eval/evaluate_fsize.scm 511 */
											obj_t BgL_arg1745z00_1720;

											BgL_arg1745z00_1720 = CDR(BgL_ez00_1719);
											BgL_testz00_3977 =
												CBOOL(BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(
													((BgL_ev_exprz00_bglt) BgL_arg1745z00_1720),
													BgL_vz00_1706));
										}
									}
									if (BgL_testz00_3977)
										{	/* Eval/evaluate_fsize.scm 511 */
											BgL__ortest_1158z00_1710 = ((bool_t) 1);
										}
									else
										{
											obj_t BgL_l1221z00_3983;

											BgL_l1221z00_3983 = CDR(BgL_l1221z00_1714);
											BgL_l1221z00_1714 = BgL_l1221z00_3983;
											goto BgL_zc3anonymousza31740ze3z83_1715;
										}
								}
						}
					}
					if (BgL__ortest_1158z00_1710)
						{	/* Eval/evaluate_fsize.scm 511 */
							return BBOOL(BgL__ortest_1158z00_1710);
						}
					else
						{	/* Eval/evaluate_fsize.scm 511 */
							return
								BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(
								(((BgL_ev_labelsz00_bglt) CREF(BgL_ez00_1705))->BgL_bodyz00),
								BgL_vz00_1706);
						}
				}
			}
		}
	}



/* &hasvar?-ev_binder1403 */
	obj_t BGl_z62hasvarzf3zd2ev_binder1403z43zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3233, BgL_ev_binderz00_bglt BgL_ez00_3234,
		BgL_ev_varz00_bglt BgL_vz00_3235)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 504 */
			{
				BgL_ev_binderz00_bglt BgL_ez00_1688;
				BgL_ev_varz00_bglt BgL_vz00_1689;

				BgL_ez00_1688 = BgL_ez00_3234;
				BgL_vz00_1689 = BgL_vz00_3235;
				{	/* Eval/evaluate_fsize.scm 506 */
					bool_t BgL__ortest_1156z00_1693;

					{	/* Eval/evaluate_fsize.scm 506 */
						obj_t BgL_g1220z00_1695;

						BgL_g1220z00_1695 =
							(((BgL_ev_binderz00_bglt) CREF(BgL_ez00_1688))->BgL_valsz00);
						{
							obj_t BgL_l1218z00_1697;

							BgL_l1218z00_1697 = BgL_g1220z00_1695;
						BgL_zc3anonymousza31734ze3z83_1698:
							if (NULLP(BgL_l1218z00_1697))
								{	/* Eval/evaluate_fsize.scm 506 */
									BgL__ortest_1156z00_1693 = ((bool_t) 0);
								}
							else
								{	/* Eval/evaluate_fsize.scm 506 */
									bool_t BgL_testz00_3992;

									{	/* Eval/evaluate_fsize.scm 506 */
										obj_t BgL_ez00_1702;

										BgL_ez00_1702 = CAR(BgL_l1218z00_1697);
										BgL_testz00_3992 =
											CBOOL(BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(
												((BgL_ev_exprz00_bglt) BgL_ez00_1702), BgL_vz00_1689));
									}
									if (BgL_testz00_3992)
										{	/* Eval/evaluate_fsize.scm 506 */
											BgL__ortest_1156z00_1693 = ((bool_t) 1);
										}
									else
										{
											obj_t BgL_l1218z00_3997;

											BgL_l1218z00_3997 = CDR(BgL_l1218z00_1697);
											BgL_l1218z00_1697 = BgL_l1218z00_3997;
											goto BgL_zc3anonymousza31734ze3z83_1698;
										}
								}
						}
					}
					if (BgL__ortest_1156z00_1693)
						{	/* Eval/evaluate_fsize.scm 506 */
							return BBOOL(BgL__ortest_1156z00_1693);
						}
					else
						{	/* Eval/evaluate_fsize.scm 506 */
							return
								BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(
								(((BgL_ev_binderz00_bglt) CREF(BgL_ez00_1688))->BgL_bodyz00),
								BgL_vz00_1689);
						}
				}
			}
		}
	}



/* &hasvar?-ev_with-hand1401 */
	obj_t BGl_z62hasvarzf3zd2ev_withzd2hand1401z91zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3236, BgL_ev_withzd2handlerzd2_bglt BgL_ez00_3237,
		BgL_ev_varz00_bglt BgL_vz00_3238)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 500 */
			{
				BgL_ev_withzd2handlerzd2_bglt BgL_ez00_1679;
				BgL_ev_varz00_bglt BgL_vz00_1680;

				BgL_ez00_1679 = BgL_ez00_3237;
				BgL_vz00_1680 = BgL_vz00_3238;
				{	/* Eval/evaluate_fsize.scm 501 */
					obj_t BgL__ortest_1154z00_2806;

					BgL__ortest_1154z00_2806 =
						BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(
						(((BgL_ev_withzd2handlerzd2_bglt) CREF(BgL_ez00_1679))->
							BgL_handlerz00), BgL_vz00_1680);
					if (CBOOL(BgL__ortest_1154z00_2806))
						{	/* Eval/evaluate_fsize.scm 501 */
							return BgL__ortest_1154z00_2806;
						}
					else
						{	/* Eval/evaluate_fsize.scm 501 */
							return
								BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(
								(((BgL_ev_withzd2handlerzd2_bglt) CREF(BgL_ez00_1679))->
									BgL_bodyz00), BgL_vz00_1680);
						}
				}
			}
		}
	}



/* &hasvar?-ev_unwind-pr1399 */
	obj_t BGl_z62hasvarzf3zd2ev_unwindzd2pr1399z91zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3239, BgL_ev_unwindzd2protectzd2_bglt BgL_ez00_3240,
		BgL_ev_varz00_bglt BgL_vz00_3241)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 496 */
			{
				BgL_ev_unwindzd2protectzd2_bglt BgL_ez00_1670;
				BgL_ev_varz00_bglt BgL_vz00_1671;

				BgL_ez00_1670 = BgL_ez00_3240;
				BgL_vz00_1671 = BgL_vz00_3241;
				{	/* Eval/evaluate_fsize.scm 497 */
					obj_t BgL__ortest_1152z00_2802;

					BgL__ortest_1152z00_2802 =
						BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(
						(((BgL_ev_unwindzd2protectzd2_bglt) CREF(BgL_ez00_1670))->BgL_ez00),
						BgL_vz00_1671);
					if (CBOOL(BgL__ortest_1152z00_2802))
						{	/* Eval/evaluate_fsize.scm 497 */
							return BgL__ortest_1152z00_2802;
						}
					else
						{	/* Eval/evaluate_fsize.scm 497 */
							return
								BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(
								(((BgL_ev_unwindzd2protectzd2_bglt) CREF(BgL_ez00_1670))->
									BgL_bodyz00), BgL_vz00_1671);
						}
				}
			}
		}
	}



/* &hasvar?-ev_bind-exit1397 */
	obj_t BGl_z62hasvarzf3zd2ev_bindzd2exit1397z91zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3242, BgL_ev_bindzd2exitzd2_bglt BgL_ez00_3243,
		BgL_ev_varz00_bglt BgL_vz00_3244)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 492 */
			{
				BgL_ev_bindzd2exitzd2_bglt BgL_ez00_1663;
				BgL_ev_varz00_bglt BgL_vz00_1664;

				BgL_ez00_1663 = BgL_ez00_3243;
				BgL_vz00_1664 = BgL_vz00_3244;
				return
					BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(
					(((BgL_ev_bindzd2exitzd2_bglt) CREF(BgL_ez00_1663))->BgL_bodyz00),
					BgL_vz00_1664);
			}
		}
	}



/* &hasvar?-ev_setlocal1395 */
	obj_t BGl_z62hasvarzf3zd2ev_setlocal1395z43zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3245, BgL_ev_setlocalz00_bglt BgL_ez00_3246,
		BgL_ev_varz00_bglt BgL_varz00_3247)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 488 */
			{
				BgL_ev_setlocalz00_bglt BgL_ez00_1654;
				BgL_ev_varz00_bglt BgL_varz00_1655;

				BgL_ez00_1654 = BgL_ez00_3246;
				BgL_varz00_1655 = BgL_varz00_3247;
				{	/* Eval/evaluate_fsize.scm 489 */
					bool_t BgL__ortest_1149z00_2796;

					BgL__ortest_1149z00_2796 =
						(
						((obj_t)
							(((BgL_ev_setlocalz00_bglt) CREF(BgL_ez00_1654))->BgL_vz00)) ==
						((obj_t) BgL_varz00_1655));
					if (BgL__ortest_1149z00_2796)
						{	/* Eval/evaluate_fsize.scm 489 */
							return BBOOL(BgL__ortest_1149z00_2796);
						}
					else
						{	/* Eval/evaluate_fsize.scm 489 */
							BgL_ev_exprz00_bglt BgL_arg1726z00_2798;

							BgL_arg1726z00_2798 =
								(((BgL_ev_hookz00_bglt) CREF(
										((BgL_ev_hookz00_bglt) BgL_ez00_1654)))->BgL_ez00);
							return
								BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(BgL_arg1726z00_2798,
								BgL_varz00_1655);
						}
				}
			}
		}
	}



/* &hasvar?-ev_hook1393 */
	obj_t BGl_z62hasvarzf3zd2ev_hook1393z43zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3248, BgL_ev_hookz00_bglt BgL_ez00_3249,
		BgL_ev_varz00_bglt BgL_vz00_3250)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 484 */
			{
				BgL_ev_hookz00_bglt BgL_ez00_1647;
				BgL_ev_varz00_bglt BgL_vz00_1648;

				BgL_ez00_1647 = BgL_ez00_3249;
				BgL_vz00_1648 = BgL_vz00_3250;
				return
					BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(
					(((BgL_ev_hookz00_bglt) CREF(BgL_ez00_1647))->BgL_ez00),
					BgL_vz00_1648);
			}
		}
	}



/* &hasvar?-ev_prog21391 */
	obj_t BGl_z62hasvarzf3zd2ev_prog21391z43zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3251, BgL_ev_prog2z00_bglt BgL_ez00_3252,
		BgL_ev_varz00_bglt BgL_vz00_3253)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 480 */
			{
				BgL_ev_prog2z00_bglt BgL_ez00_1638;
				BgL_ev_varz00_bglt BgL_vz00_1639;

				BgL_ez00_1638 = BgL_ez00_3252;
				BgL_vz00_1639 = BgL_vz00_3253;
				{	/* Eval/evaluate_fsize.scm 481 */
					obj_t BgL__ortest_1146z00_2790;

					BgL__ortest_1146z00_2790 =
						BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(
						(((BgL_ev_prog2z00_bglt) CREF(BgL_ez00_1638))->BgL_e1z00),
						BgL_vz00_1639);
					if (CBOOL(BgL__ortest_1146z00_2790))
						{	/* Eval/evaluate_fsize.scm 481 */
							return BgL__ortest_1146z00_2790;
						}
					else
						{	/* Eval/evaluate_fsize.scm 481 */
							return
								BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(
								(((BgL_ev_prog2z00_bglt) CREF(BgL_ez00_1638))->BgL_e2z00),
								BgL_vz00_1639);
						}
				}
			}
		}
	}



/* &hasvar?-ev_list1389 */
	obj_t BGl_z62hasvarzf3zd2ev_list1389z43zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3254, BgL_ev_listz00_bglt BgL_ez00_3255,
		BgL_ev_varz00_bglt BgL_vz00_3256)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 476 */
			{
				BgL_ev_listz00_bglt BgL_ez00_1623;
				BgL_ev_varz00_bglt BgL_vz00_1624;

				{	/* Eval/evaluate_fsize.scm 477 */
					bool_t BgL_auxz00_4034;

					BgL_ez00_1623 = BgL_ez00_3255;
					BgL_vz00_1624 = BgL_vz00_3256;
					{	/* Eval/evaluate_fsize.scm 478 */
						obj_t BgL_g1217z00_1628;

						BgL_g1217z00_1628 =
							(((BgL_ev_listz00_bglt) CREF(BgL_ez00_1623))->BgL_argsz00);
						{
							obj_t BgL_l1215z00_1630;

							BgL_l1215z00_1630 = BgL_g1217z00_1628;
						BgL_zc3anonymousza31719ze3z83_1631:
							if (NULLP(BgL_l1215z00_1630))
								{	/* Eval/evaluate_fsize.scm 478 */
									BgL_auxz00_4034 = ((bool_t) 0);
								}
							else
								{	/* Eval/evaluate_fsize.scm 478 */
									bool_t BgL_testz00_4038;

									{	/* Eval/evaluate_fsize.scm 478 */
										obj_t BgL_az00_1635;

										BgL_az00_1635 = CAR(BgL_l1215z00_1630);
										BgL_testz00_4038 =
											CBOOL(BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(
												((BgL_ev_exprz00_bglt) BgL_az00_1635), BgL_vz00_1624));
									}
									if (BgL_testz00_4038)
										{	/* Eval/evaluate_fsize.scm 478 */
											BgL_auxz00_4034 = ((bool_t) 1);
										}
									else
										{
											obj_t BgL_l1215z00_4043;

											BgL_l1215z00_4043 = CDR(BgL_l1215z00_1630);
											BgL_l1215z00_1630 = BgL_l1215z00_4043;
											goto BgL_zc3anonymousza31719ze3z83_1631;
										}
								}
						}
					}
					return BBOOL(BgL_auxz00_4034);
				}
			}
		}
	}



/* &hasvar?-ev_if1387 */
	obj_t BGl_z62hasvarzf3zd2ev_if1387z43zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3257, BgL_ev_ifz00_bglt BgL_ez00_3258,
		BgL_ev_varz00_bglt BgL_vz00_3259)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 472 */
			{
				BgL_ev_ifz00_bglt BgL_ez00_1612;
				BgL_ev_varz00_bglt BgL_vz00_1613;

				BgL_ez00_1612 = BgL_ez00_3258;
				BgL_vz00_1613 = BgL_vz00_3259;
				{	/* Eval/evaluate_fsize.scm 473 */
					obj_t BgL__ortest_1142z00_2780;

					BgL__ortest_1142z00_2780 =
						BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(
						(((BgL_ev_ifz00_bglt) CREF(BgL_ez00_1612))->BgL_pz00),
						BgL_vz00_1613);
					if (CBOOL(BgL__ortest_1142z00_2780))
						{	/* Eval/evaluate_fsize.scm 473 */
							return BgL__ortest_1142z00_2780;
						}
					else
						{	/* Eval/evaluate_fsize.scm 473 */
							obj_t BgL__ortest_1143z00_2782;

							BgL__ortest_1143z00_2782 =
								BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(
								(((BgL_ev_ifz00_bglt) CREF(BgL_ez00_1612))->BgL_tz00),
								BgL_vz00_1613);
							if (CBOOL(BgL__ortest_1143z00_2782))
								{	/* Eval/evaluate_fsize.scm 473 */
									return BgL__ortest_1143z00_2782;
								}
							else
								{	/* Eval/evaluate_fsize.scm 473 */
									return
										BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(
										(((BgL_ev_ifz00_bglt) CREF(BgL_ez00_1612))->BgL_ez00),
										BgL_vz00_1613);
								}
						}
				}
			}
		}
	}



/* &hasvar?-ev_litt1385 */
	obj_t BGl_z62hasvarzf3zd2ev_litt1385z43zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3260, BgL_ev_littz00_bglt BgL_ez00_3261,
		BgL_ev_varz00_bglt BgL_vz00_3262)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 469 */
			return BBOOL(((bool_t) 0));
		}
	}



/* &hasvar?-ev_global1383 */
	obj_t BGl_z62hasvarzf3zd2ev_global1383z43zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3263, BgL_ev_globalz00_bglt BgL_ez00_3264,
		BgL_ev_varz00_bglt BgL_vz00_3265)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 466 */
			return BBOOL(((bool_t) 0));
		}
	}



/* &hasvar?-ev_var1381 */
	obj_t BGl_z62hasvarzf3zd2ev_var1381z43zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3266, BgL_ev_varz00_bglt BgL_ez00_3267,
		BgL_ev_varz00_bglt BgL_vz00_3268)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 463 */
			return BBOOL((((obj_t) BgL_ez00_3267) == ((obj_t) BgL_vz00_3268)));
		}
	}



/* &tailpos-ev_abs1377 */
	obj_t BGl_z62tailposzd2ev_abs1377zb0zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3269, BgL_ev_absz00_bglt BgL_ez00_3270,
		BgL_ev_varz00_bglt BgL_vz00_3271)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 455 */
			{
				BgL_ev_absz00_bglt BgL_ez00_1589;
				BgL_ev_varz00_bglt BgL_vz00_1590;

				{	/* Eval/evaluate_fsize.scm 456 */
					bool_t BgL_auxz00_4062;

					BgL_ez00_1589 = BgL_ez00_3270;
					BgL_vz00_1590 = BgL_vz00_3271;
					{	/* Eval/evaluate_fsize.scm 456 */
						bool_t BgL_testz00_4063;

						{	/* Eval/evaluate_fsize.scm 456 */
							BgL_ev_exprz00_bglt BgL_arg1715z00_2778;

							BgL_arg1715z00_2778 =
								(((BgL_ev_absz00_bglt) CREF(BgL_ez00_1589))->BgL_bodyz00);
							BgL_testz00_4063 =
								CBOOL(BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7
								(BgL_arg1715z00_2778, BgL_vz00_1590));
						}
						if (BgL_testz00_4063)
							{	/* Eval/evaluate_fsize.scm 456 */
								BgL_auxz00_4062 = ((bool_t) 0);
							}
						else
							{	/* Eval/evaluate_fsize.scm 456 */
								BgL_auxz00_4062 = ((bool_t) 1);
							}
					}
					return BBOOL(BgL_auxz00_4062);
				}
			}
		}
	}



/* &tailpos-ev_app1375 */
	obj_t BGl_z62tailposzd2ev_app1375zb0zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3272, BgL_ev_appz00_bglt BgL_ez00_3273,
		BgL_ev_varz00_bglt BgL_vz00_3274)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 449 */
			{
				BgL_ev_appz00_bglt BgL_ez00_1568;
				BgL_ev_varz00_bglt BgL_vz00_1569;

				{	/* Eval/evaluate_fsize.scm 450 */
					bool_t BgL_auxz00_4068;

					BgL_ez00_1568 = BgL_ez00_3273;
					BgL_vz00_1569 = BgL_vz00_3274;
					{	/* Eval/evaluate_fsize.scm 451 */
						bool_t BgL_testz00_4069;

						{	/* Eval/evaluate_fsize.scm 451 */
							obj_t BgL_g1214z00_1578;

							BgL_g1214z00_1578 =
								(((BgL_ev_appz00_bglt) CREF(BgL_ez00_1568))->BgL_argsz00);
							{
								obj_t BgL_l1212z00_1580;

								BgL_l1212z00_1580 = BgL_g1214z00_1578;
							BgL_zc3anonymousza31709ze3z83_1581:
								if (NULLP(BgL_l1212z00_1580))
									{	/* Eval/evaluate_fsize.scm 451 */
										BgL_testz00_4069 = ((bool_t) 1);
									}
								else
									{	/* Eval/evaluate_fsize.scm 451 */
										bool_t BgL_testz00_4073;

										{	/* Eval/evaluate_fsize.scm 451 */
											bool_t BgL_testz00_4074;

											{	/* Eval/evaluate_fsize.scm 451 */
												obj_t BgL_auxz00_4075;

												{	/* Eval/evaluate_fsize.scm 451 */
													BgL_ev_exprz00_bglt BgL_auxz00_4076;

													{	/* Eval/evaluate_fsize.scm 451 */
														obj_t BgL_pairz00_2774;

														BgL_pairz00_2774 = BgL_l1212z00_1580;
														BgL_auxz00_4076 =
															((BgL_ev_exprz00_bglt) CAR(BgL_pairz00_2774));
													}
													BgL_auxz00_4075 =
														BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7
														(BgL_auxz00_4076, BgL_vz00_1569);
												}
												BgL_testz00_4074 = CBOOL(BgL_auxz00_4075);
											}
											if (BgL_testz00_4074)
												{	/* Eval/evaluate_fsize.scm 451 */
													BgL_testz00_4073 = ((bool_t) 0);
												}
											else
												{	/* Eval/evaluate_fsize.scm 451 */
													BgL_testz00_4073 = ((bool_t) 1);
												}
										}
										if (BgL_testz00_4073)
											{
												obj_t BgL_l1212z00_4081;

												BgL_l1212z00_4081 = CDR(BgL_l1212z00_1580);
												BgL_l1212z00_1580 = BgL_l1212z00_4081;
												goto BgL_zc3anonymousza31709ze3z83_1581;
											}
										else
											{	/* Eval/evaluate_fsize.scm 451 */
												BgL_testz00_4069 = ((bool_t) 0);
											}
									}
							}
						}
						if (BgL_testz00_4069)
							{	/* Eval/evaluate_fsize.scm 452 */
								bool_t BgL__ortest_1139z00_1574;

								BgL__ortest_1139z00_1574 =
									(
									((obj_t)
										(((BgL_ev_appz00_bglt) CREF(BgL_ez00_1568))->BgL_funz00)) ==
									((obj_t) BgL_vz00_1569));
								if (BgL__ortest_1139z00_1574)
									{	/* Eval/evaluate_fsize.scm 452 */
										BgL_auxz00_4068 = BgL__ortest_1139z00_1574;
									}
								else
									{	/* Eval/evaluate_fsize.scm 453 */
										bool_t BgL_testz00_4088;

										{	/* Eval/evaluate_fsize.scm 453 */
											BgL_ev_exprz00_bglt BgL_arg1707z00_1576;

											BgL_arg1707z00_1576 =
												(((BgL_ev_appz00_bglt) CREF(BgL_ez00_1568))->
												BgL_funz00);
											BgL_testz00_4088 =
												CBOOL(BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7
												(BgL_arg1707z00_1576, BgL_vz00_1569));
										}
										if (BgL_testz00_4088)
											{	/* Eval/evaluate_fsize.scm 453 */
												BgL_auxz00_4068 = ((bool_t) 0);
											}
										else
											{	/* Eval/evaluate_fsize.scm 453 */
												BgL_auxz00_4068 = ((bool_t) 1);
											}
									}
							}
						else
							{	/* Eval/evaluate_fsize.scm 451 */
								BgL_auxz00_4068 = ((bool_t) 0);
							}
					}
					return BBOOL(BgL_auxz00_4068);
				}
			}
		}
	}



/* &tailpos-ev_goto1373 */
	obj_t BGl_z62tailposzd2ev_goto1373zb0zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3275, BgL_ev_gotoz00_bglt BgL_ez00_3276,
		BgL_ev_varz00_bglt BgL_vz00_3277)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 445 */
			{
				BgL_ev_gotoz00_bglt BgL_ez00_1552;
				BgL_ev_varz00_bglt BgL_vz00_1553;

				{	/* Eval/evaluate_fsize.scm 446 */
					bool_t BgL_auxz00_4093;

					BgL_ez00_1552 = BgL_ez00_3276;
					BgL_vz00_1553 = BgL_vz00_3277;
					{	/* Eval/evaluate_fsize.scm 447 */
						obj_t BgL_g1211z00_1557;

						BgL_g1211z00_1557 =
							(((BgL_ev_gotoz00_bglt) CREF(BgL_ez00_1552))->BgL_argsz00);
						{
							obj_t BgL_l1209z00_1559;

							BgL_l1209z00_1559 = BgL_g1211z00_1557;
						BgL_zc3anonymousza31701ze3z83_1560:
							if (NULLP(BgL_l1209z00_1559))
								{	/* Eval/evaluate_fsize.scm 447 */
									BgL_auxz00_4093 = ((bool_t) 1);
								}
							else
								{	/* Eval/evaluate_fsize.scm 447 */
									bool_t BgL_testz00_4097;

									{	/* Eval/evaluate_fsize.scm 447 */
										bool_t BgL_testz00_4098;

										{	/* Eval/evaluate_fsize.scm 447 */
											obj_t BgL_auxz00_4099;

											{	/* Eval/evaluate_fsize.scm 447 */
												BgL_ev_exprz00_bglt BgL_auxz00_4100;

												{	/* Eval/evaluate_fsize.scm 447 */
													obj_t BgL_pairz00_2770;

													BgL_pairz00_2770 = BgL_l1209z00_1559;
													BgL_auxz00_4100 =
														((BgL_ev_exprz00_bglt) CAR(BgL_pairz00_2770));
												}
												BgL_auxz00_4099 =
													BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7
													(BgL_auxz00_4100, BgL_vz00_1553);
											}
											BgL_testz00_4098 = CBOOL(BgL_auxz00_4099);
										}
										if (BgL_testz00_4098)
											{	/* Eval/evaluate_fsize.scm 447 */
												BgL_testz00_4097 = ((bool_t) 0);
											}
										else
											{	/* Eval/evaluate_fsize.scm 447 */
												BgL_testz00_4097 = ((bool_t) 1);
											}
									}
									if (BgL_testz00_4097)
										{
											obj_t BgL_l1209z00_4105;

											BgL_l1209z00_4105 = CDR(BgL_l1209z00_1559);
											BgL_l1209z00_1559 = BgL_l1209z00_4105;
											goto BgL_zc3anonymousza31701ze3z83_1560;
										}
									else
										{	/* Eval/evaluate_fsize.scm 447 */
											BgL_auxz00_4093 = ((bool_t) 0);
										}
								}
						}
					}
					return BBOOL(BgL_auxz00_4093);
				}
			}
		}
	}



/* &tailpos-ev_labels1371 */
	obj_t BGl_z62tailposzd2ev_labels1371zb0zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3278, BgL_ev_labelsz00_bglt BgL_ez00_3279,
		BgL_ev_varz00_bglt BgL_vz00_3280)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 440 */
			{
				BgL_ev_labelsz00_bglt BgL_ez00_1534;
				BgL_ev_varz00_bglt BgL_vz00_1535;

				BgL_ez00_1534 = BgL_ez00_3279;
				BgL_vz00_1535 = BgL_vz00_3280;
				{	/* Eval/evaluate_fsize.scm 442 */
					bool_t BgL_testz00_4108;

					{	/* Eval/evaluate_fsize.scm 442 */
						obj_t BgL_g1208z00_1541;

						BgL_g1208z00_1541 =
							(((BgL_ev_labelsz00_bglt) CREF(BgL_ez00_1534))->BgL_valsz00);
						{
							obj_t BgL_l1206z00_1543;

							BgL_l1206z00_1543 = BgL_g1208z00_1541;
						BgL_zc3anonymousza31696ze3z83_1544:
							if (NULLP(BgL_l1206z00_1543))
								{	/* Eval/evaluate_fsize.scm 442 */
									BgL_testz00_4108 = ((bool_t) 1);
								}
							else
								{	/* Eval/evaluate_fsize.scm 442 */
									bool_t BgL_testz00_4112;

									{	/* Eval/evaluate_fsize.scm 442 */
										obj_t BgL_ez00_1548;

										BgL_ez00_1548 = CAR(BgL_l1206z00_1543);
										{	/* Eval/evaluate_fsize.scm 442 */
											obj_t BgL_arg1700z00_1549;

											BgL_arg1700z00_1549 = CDR(BgL_ez00_1548);
											BgL_testz00_4112 =
												CBOOL(BGl_tailposz00zz__evaluate_fsiza7eza7(
													((BgL_ev_exprz00_bglt) BgL_arg1700z00_1549),
													BgL_vz00_1535));
										}
									}
									if (BgL_testz00_4112)
										{
											obj_t BgL_l1206z00_4118;

											BgL_l1206z00_4118 = CDR(BgL_l1206z00_1543);
											BgL_l1206z00_1543 = BgL_l1206z00_4118;
											goto BgL_zc3anonymousza31696ze3z83_1544;
										}
									else
										{	/* Eval/evaluate_fsize.scm 442 */
											BgL_testz00_4108 = ((bool_t) 0);
										}
								}
						}
					}
					if (BgL_testz00_4108)
						{	/* Eval/evaluate_fsize.scm 442 */
							return
								BGl_tailposz00zz__evaluate_fsiza7eza7(
								(((BgL_ev_labelsz00_bglt) CREF(BgL_ez00_1534))->BgL_bodyz00),
								BgL_vz00_1535);
						}
					else
						{	/* Eval/evaluate_fsize.scm 442 */
							return BFALSE;
						}
				}
			}
		}
	}



/* &tailpos-ev_letrec1369 */
	obj_t BGl_z62tailposzd2ev_letrec1369zb0zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3281, BgL_ev_letrecz00_bglt BgL_ez00_3282,
		BgL_ev_varz00_bglt BgL_vz00_3283)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 435 */
			{
				BgL_ev_letrecz00_bglt BgL_ez00_1516;
				BgL_ev_varz00_bglt BgL_vz00_1517;

				BgL_ez00_1516 = BgL_ez00_3282;
				BgL_vz00_1517 = BgL_vz00_3283;
				{	/* Eval/evaluate_fsize.scm 437 */
					bool_t BgL_testz00_4122;

					{	/* Eval/evaluate_fsize.scm 437 */
						obj_t BgL_g1205z00_1523;

						BgL_g1205z00_1523 =
							(((BgL_ev_binderz00_bglt) CREF(
									((BgL_ev_binderz00_bglt) BgL_ez00_1516)))->BgL_valsz00);
						{
							obj_t BgL_l1203z00_1525;

							BgL_l1203z00_1525 = BgL_g1205z00_1523;
						BgL_zc3anonymousza31690ze3z83_1526:
							if (NULLP(BgL_l1203z00_1525))
								{	/* Eval/evaluate_fsize.scm 437 */
									BgL_testz00_4122 = ((bool_t) 1);
								}
							else
								{	/* Eval/evaluate_fsize.scm 437 */
									bool_t BgL_testz00_4127;

									{	/* Eval/evaluate_fsize.scm 437 */
										bool_t BgL_testz00_4128;

										{	/* Eval/evaluate_fsize.scm 437 */
											obj_t BgL_auxz00_4129;

											{	/* Eval/evaluate_fsize.scm 437 */
												BgL_ev_exprz00_bglt BgL_auxz00_4130;

												{	/* Eval/evaluate_fsize.scm 437 */
													obj_t BgL_pairz00_2761;

													BgL_pairz00_2761 = BgL_l1203z00_1525;
													BgL_auxz00_4130 =
														((BgL_ev_exprz00_bglt) CAR(BgL_pairz00_2761));
												}
												BgL_auxz00_4129 =
													BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7
													(BgL_auxz00_4130, BgL_vz00_1517);
											}
											BgL_testz00_4128 = CBOOL(BgL_auxz00_4129);
										}
										if (BgL_testz00_4128)
											{	/* Eval/evaluate_fsize.scm 437 */
												BgL_testz00_4127 = ((bool_t) 0);
											}
										else
											{	/* Eval/evaluate_fsize.scm 437 */
												BgL_testz00_4127 = ((bool_t) 1);
											}
									}
									if (BgL_testz00_4127)
										{
											obj_t BgL_l1203z00_4135;

											BgL_l1203z00_4135 = CDR(BgL_l1203z00_1525);
											BgL_l1203z00_1525 = BgL_l1203z00_4135;
											goto BgL_zc3anonymousza31690ze3z83_1526;
										}
									else
										{	/* Eval/evaluate_fsize.scm 437 */
											BgL_testz00_4122 = ((bool_t) 0);
										}
								}
						}
					}
					if (BgL_testz00_4122)
						{	/* Eval/evaluate_fsize.scm 438 */
							BgL_ev_exprz00_bglt BgL_arg1689z00_1522;

							BgL_arg1689z00_1522 =
								(((BgL_ev_binderz00_bglt) CREF(
										((BgL_ev_binderz00_bglt) BgL_ez00_1516)))->BgL_bodyz00);
							return
								BGl_tailposz00zz__evaluate_fsiza7eza7(BgL_arg1689z00_1522,
								BgL_vz00_1517);
						}
					else
						{	/* Eval/evaluate_fsize.scm 437 */
							return BFALSE;
						}
				}
			}
		}
	}



/* &tailpos-ev_let*1367 */
	obj_t BGl_z62tailposzd2ev_letza21367z12zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3284, BgL_ev_letza2za2_bglt BgL_ez00_3285,
		BgL_ev_varz00_bglt BgL_vz00_3286)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 430 */
			{
				BgL_ev_letza2za2_bglt BgL_ez00_1498;
				BgL_ev_varz00_bglt BgL_vz00_1499;

				BgL_ez00_1498 = BgL_ez00_3285;
				BgL_vz00_1499 = BgL_vz00_3286;
				{	/* Eval/evaluate_fsize.scm 432 */
					bool_t BgL_testz00_4140;

					{	/* Eval/evaluate_fsize.scm 432 */
						obj_t BgL_g1202z00_1505;

						BgL_g1202z00_1505 =
							(((BgL_ev_binderz00_bglt) CREF(
									((BgL_ev_binderz00_bglt) BgL_ez00_1498)))->BgL_valsz00);
						{
							obj_t BgL_l1200z00_1507;

							BgL_l1200z00_1507 = BgL_g1202z00_1505;
						BgL_zc3anonymousza31684ze3z83_1508:
							if (NULLP(BgL_l1200z00_1507))
								{	/* Eval/evaluate_fsize.scm 432 */
									BgL_testz00_4140 = ((bool_t) 1);
								}
							else
								{	/* Eval/evaluate_fsize.scm 432 */
									bool_t BgL_testz00_4145;

									{	/* Eval/evaluate_fsize.scm 432 */
										bool_t BgL_testz00_4146;

										{	/* Eval/evaluate_fsize.scm 432 */
											obj_t BgL_auxz00_4147;

											{	/* Eval/evaluate_fsize.scm 432 */
												BgL_ev_exprz00_bglt BgL_auxz00_4148;

												{	/* Eval/evaluate_fsize.scm 432 */
													obj_t BgL_pairz00_2757;

													BgL_pairz00_2757 = BgL_l1200z00_1507;
													BgL_auxz00_4148 =
														((BgL_ev_exprz00_bglt) CAR(BgL_pairz00_2757));
												}
												BgL_auxz00_4147 =
													BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7
													(BgL_auxz00_4148, BgL_vz00_1499);
											}
											BgL_testz00_4146 = CBOOL(BgL_auxz00_4147);
										}
										if (BgL_testz00_4146)
											{	/* Eval/evaluate_fsize.scm 432 */
												BgL_testz00_4145 = ((bool_t) 0);
											}
										else
											{	/* Eval/evaluate_fsize.scm 432 */
												BgL_testz00_4145 = ((bool_t) 1);
											}
									}
									if (BgL_testz00_4145)
										{
											obj_t BgL_l1200z00_4153;

											BgL_l1200z00_4153 = CDR(BgL_l1200z00_1507);
											BgL_l1200z00_1507 = BgL_l1200z00_4153;
											goto BgL_zc3anonymousza31684ze3z83_1508;
										}
									else
										{	/* Eval/evaluate_fsize.scm 432 */
											BgL_testz00_4140 = ((bool_t) 0);
										}
								}
						}
					}
					if (BgL_testz00_4140)
						{	/* Eval/evaluate_fsize.scm 433 */
							BgL_ev_exprz00_bglt BgL_arg1683z00_1504;

							BgL_arg1683z00_1504 =
								(((BgL_ev_binderz00_bglt) CREF(
										((BgL_ev_binderz00_bglt) BgL_ez00_1498)))->BgL_bodyz00);
							return
								BGl_tailposz00zz__evaluate_fsiza7eza7(BgL_arg1683z00_1504,
								BgL_vz00_1499);
						}
					else
						{	/* Eval/evaluate_fsize.scm 432 */
							return BFALSE;
						}
				}
			}
		}
	}



/* &tailpos-ev_let1365 */
	obj_t BGl_z62tailposzd2ev_let1365zb0zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3287, BgL_ev_letz00_bglt BgL_ez00_3288,
		BgL_ev_varz00_bglt BgL_vz00_3289)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 425 */
			{
				BgL_ev_letz00_bglt BgL_ez00_1480;
				BgL_ev_varz00_bglt BgL_vz00_1481;

				BgL_ez00_1480 = BgL_ez00_3288;
				BgL_vz00_1481 = BgL_vz00_3289;
				{	/* Eval/evaluate_fsize.scm 427 */
					bool_t BgL_testz00_4158;

					{	/* Eval/evaluate_fsize.scm 427 */
						obj_t BgL_g1199z00_1487;

						BgL_g1199z00_1487 =
							(((BgL_ev_binderz00_bglt) CREF(
									((BgL_ev_binderz00_bglt) BgL_ez00_1480)))->BgL_valsz00);
						{
							obj_t BgL_l1197z00_1489;

							BgL_l1197z00_1489 = BgL_g1199z00_1487;
						BgL_zc3anonymousza31678ze3z83_1490:
							if (NULLP(BgL_l1197z00_1489))
								{	/* Eval/evaluate_fsize.scm 427 */
									BgL_testz00_4158 = ((bool_t) 1);
								}
							else
								{	/* Eval/evaluate_fsize.scm 427 */
									bool_t BgL_testz00_4163;

									{	/* Eval/evaluate_fsize.scm 427 */
										bool_t BgL_testz00_4164;

										{	/* Eval/evaluate_fsize.scm 427 */
											obj_t BgL_auxz00_4165;

											{	/* Eval/evaluate_fsize.scm 427 */
												BgL_ev_exprz00_bglt BgL_auxz00_4166;

												{	/* Eval/evaluate_fsize.scm 427 */
													obj_t BgL_pairz00_2753;

													BgL_pairz00_2753 = BgL_l1197z00_1489;
													BgL_auxz00_4166 =
														((BgL_ev_exprz00_bglt) CAR(BgL_pairz00_2753));
												}
												BgL_auxz00_4165 =
													BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7
													(BgL_auxz00_4166, BgL_vz00_1481);
											}
											BgL_testz00_4164 = CBOOL(BgL_auxz00_4165);
										}
										if (BgL_testz00_4164)
											{	/* Eval/evaluate_fsize.scm 427 */
												BgL_testz00_4163 = ((bool_t) 0);
											}
										else
											{	/* Eval/evaluate_fsize.scm 427 */
												BgL_testz00_4163 = ((bool_t) 1);
											}
									}
									if (BgL_testz00_4163)
										{
											obj_t BgL_l1197z00_4171;

											BgL_l1197z00_4171 = CDR(BgL_l1197z00_1489);
											BgL_l1197z00_1489 = BgL_l1197z00_4171;
											goto BgL_zc3anonymousza31678ze3z83_1490;
										}
									else
										{	/* Eval/evaluate_fsize.scm 427 */
											BgL_testz00_4158 = ((bool_t) 0);
										}
								}
						}
					}
					if (BgL_testz00_4158)
						{	/* Eval/evaluate_fsize.scm 428 */
							BgL_ev_exprz00_bglt BgL_arg1677z00_1486;

							BgL_arg1677z00_1486 =
								(((BgL_ev_binderz00_bglt) CREF(
										((BgL_ev_binderz00_bglt) BgL_ez00_1480)))->BgL_bodyz00);
							return
								BGl_tailposz00zz__evaluate_fsiza7eza7(BgL_arg1677z00_1486,
								BgL_vz00_1481);
						}
					else
						{	/* Eval/evaluate_fsize.scm 427 */
							return BFALSE;
						}
				}
			}
		}
	}



/* &tailpos-ev_with-hand1363 */
	obj_t BGl_z62tailposzd2ev_withzd2hand1363z62zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3290, BgL_ev_withzd2handlerzd2_bglt BgL_ez00_3291,
		BgL_ev_varz00_bglt BgL_vz00_3292)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 421 */
			{
				BgL_ev_withzd2handlerzd2_bglt BgL_ez00_1469;
				BgL_ev_varz00_bglt BgL_vz00_1470;

				{	/* Eval/evaluate_fsize.scm 422 */
					bool_t BgL_auxz00_4176;

					BgL_ez00_1469 = BgL_ez00_3291;
					BgL_vz00_1470 = BgL_vz00_3292;
					{	/* Eval/evaluate_fsize.scm 422 */
						bool_t BgL_testz00_4177;

						{	/* Eval/evaluate_fsize.scm 422 */
							bool_t BgL_testz00_4178;

							{	/* Eval/evaluate_fsize.scm 422 */
								BgL_ev_exprz00_bglt BgL_arg1676z00_2748;

								BgL_arg1676z00_2748 =
									(((BgL_ev_withzd2handlerzd2_bglt) CREF(BgL_ez00_1469))->
									BgL_handlerz00);
								BgL_testz00_4178 =
									CBOOL(BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7
									(BgL_arg1676z00_2748, BgL_vz00_1470));
							}
							if (BgL_testz00_4178)
								{	/* Eval/evaluate_fsize.scm 422 */
									BgL_testz00_4177 = ((bool_t) 0);
								}
							else
								{	/* Eval/evaluate_fsize.scm 422 */
									BgL_testz00_4177 = ((bool_t) 1);
								}
						}
						if (BgL_testz00_4177)
							{	/* Eval/evaluate_fsize.scm 422 */
								bool_t BgL_testz00_4182;

								{	/* Eval/evaluate_fsize.scm 422 */
									BgL_ev_exprz00_bglt BgL_arg1674z00_2750;

									BgL_arg1674z00_2750 =
										(((BgL_ev_withzd2handlerzd2_bglt) CREF(BgL_ez00_1469))->
										BgL_bodyz00);
									BgL_testz00_4182 =
										CBOOL(BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7
										(BgL_arg1674z00_2750, BgL_vz00_1470));
								}
								if (BgL_testz00_4182)
									{	/* Eval/evaluate_fsize.scm 422 */
										BgL_auxz00_4176 = ((bool_t) 0);
									}
								else
									{	/* Eval/evaluate_fsize.scm 422 */
										BgL_auxz00_4176 = ((bool_t) 1);
									}
							}
						else
							{	/* Eval/evaluate_fsize.scm 422 */
								BgL_auxz00_4176 = ((bool_t) 0);
							}
					}
					return BBOOL(BgL_auxz00_4176);
				}
			}
		}
	}



/* &tailpos-ev_unwind-pr1361 */
	obj_t BGl_z62tailposzd2ev_unwindzd2pr1361z62zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3293, BgL_ev_unwindzd2protectzd2_bglt BgL_ez00_3294,
		BgL_ev_varz00_bglt BgL_vz00_3295)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 417 */
			{
				BgL_ev_unwindzd2protectzd2_bglt BgL_ez00_1458;
				BgL_ev_varz00_bglt BgL_vz00_1459;

				{	/* Eval/evaluate_fsize.scm 418 */
					bool_t BgL_auxz00_4187;

					BgL_ez00_1458 = BgL_ez00_3294;
					BgL_vz00_1459 = BgL_vz00_3295;
					{	/* Eval/evaluate_fsize.scm 418 */
						bool_t BgL_testz00_4188;

						{	/* Eval/evaluate_fsize.scm 418 */
							bool_t BgL_testz00_4189;

							{	/* Eval/evaluate_fsize.scm 418 */
								BgL_ev_exprz00_bglt BgL_arg1672z00_2742;

								BgL_arg1672z00_2742 =
									(((BgL_ev_unwindzd2protectzd2_bglt) CREF(BgL_ez00_1458))->
									BgL_ez00);
								BgL_testz00_4189 =
									CBOOL(BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7
									(BgL_arg1672z00_2742, BgL_vz00_1459));
							}
							if (BgL_testz00_4189)
								{	/* Eval/evaluate_fsize.scm 418 */
									BgL_testz00_4188 = ((bool_t) 0);
								}
							else
								{	/* Eval/evaluate_fsize.scm 418 */
									BgL_testz00_4188 = ((bool_t) 1);
								}
						}
						if (BgL_testz00_4188)
							{	/* Eval/evaluate_fsize.scm 418 */
								bool_t BgL_testz00_4193;

								{	/* Eval/evaluate_fsize.scm 418 */
									BgL_ev_exprz00_bglt BgL_arg1670z00_2744;

									BgL_arg1670z00_2744 =
										(((BgL_ev_unwindzd2protectzd2_bglt) CREF(BgL_ez00_1458))->
										BgL_bodyz00);
									BgL_testz00_4193 =
										CBOOL(BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7
										(BgL_arg1670z00_2744, BgL_vz00_1459));
								}
								if (BgL_testz00_4193)
									{	/* Eval/evaluate_fsize.scm 418 */
										BgL_auxz00_4187 = ((bool_t) 0);
									}
								else
									{	/* Eval/evaluate_fsize.scm 418 */
										BgL_auxz00_4187 = ((bool_t) 1);
									}
							}
						else
							{	/* Eval/evaluate_fsize.scm 418 */
								BgL_auxz00_4187 = ((bool_t) 0);
							}
					}
					return BBOOL(BgL_auxz00_4187);
				}
			}
		}
	}



/* &tailpos-ev_bind-exit1359 */
	obj_t BGl_z62tailposzd2ev_bindzd2exit1359z62zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3296, BgL_ev_bindzd2exitzd2_bglt BgL_ez00_3297,
		BgL_ev_varz00_bglt BgL_vz00_3298)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 413 */
			{
				BgL_ev_bindzd2exitzd2_bglt BgL_ez00_1450;
				BgL_ev_varz00_bglt BgL_vz00_1451;

				{	/* Eval/evaluate_fsize.scm 414 */
					bool_t BgL_auxz00_4198;

					BgL_ez00_1450 = BgL_ez00_3297;
					BgL_vz00_1451 = BgL_vz00_3298;
					{	/* Eval/evaluate_fsize.scm 414 */
						bool_t BgL_testz00_4199;

						{	/* Eval/evaluate_fsize.scm 414 */
							BgL_ev_exprz00_bglt BgL_arg1668z00_2738;

							BgL_arg1668z00_2738 =
								(((BgL_ev_bindzd2exitzd2_bglt) CREF(BgL_ez00_1450))->
								BgL_bodyz00);
							BgL_testz00_4199 =
								CBOOL(BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7
								(BgL_arg1668z00_2738, BgL_vz00_1451));
						}
						if (BgL_testz00_4199)
							{	/* Eval/evaluate_fsize.scm 414 */
								BgL_auxz00_4198 = ((bool_t) 0);
							}
						else
							{	/* Eval/evaluate_fsize.scm 414 */
								BgL_auxz00_4198 = ((bool_t) 1);
							}
					}
					return BBOOL(BgL_auxz00_4198);
				}
			}
		}
	}



/* &tailpos-ev_setlocal1357 */
	obj_t BGl_z62tailposzd2ev_setlocal1357zb0zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3299, BgL_ev_setlocalz00_bglt BgL_ez00_3300,
		BgL_ev_varz00_bglt BgL_varz00_3301)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 409 */
			{
				BgL_ev_setlocalz00_bglt BgL_ez00_1439;
				BgL_ev_varz00_bglt BgL_varz00_1440;

				{	/* Eval/evaluate_fsize.scm 410 */
					bool_t BgL_auxz00_4204;

					BgL_ez00_1439 = BgL_ez00_3300;
					BgL_varz00_1440 = BgL_varz00_3301;
					{	/* Eval/evaluate_fsize.scm 410 */
						bool_t BgL_testz00_4205;

						if (
							(((obj_t)
									(((BgL_ev_setlocalz00_bglt) CREF(BgL_ez00_1439))->
										BgL_vz00)) == ((obj_t) BgL_varz00_1440)))
							{	/* Eval/evaluate_fsize.scm 410 */
								BgL_testz00_4205 = ((bool_t) 0);
							}
						else
							{	/* Eval/evaluate_fsize.scm 410 */
								BgL_testz00_4205 = ((bool_t) 1);
							}
						if (BgL_testz00_4205)
							{	/* Eval/evaluate_fsize.scm 410 */
								bool_t BgL_testz00_4211;

								{	/* Eval/evaluate_fsize.scm 410 */
									BgL_ev_exprz00_bglt BgL_arg1664z00_2735;

									BgL_arg1664z00_2735 =
										(((BgL_ev_hookz00_bglt) CREF(
												((BgL_ev_hookz00_bglt) BgL_ez00_1439)))->BgL_ez00);
									BgL_testz00_4211 =
										CBOOL(BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7
										(BgL_arg1664z00_2735, BgL_varz00_1440));
								}
								if (BgL_testz00_4211)
									{	/* Eval/evaluate_fsize.scm 410 */
										BgL_auxz00_4204 = ((bool_t) 0);
									}
								else
									{	/* Eval/evaluate_fsize.scm 410 */
										BgL_auxz00_4204 = ((bool_t) 1);
									}
							}
						else
							{	/* Eval/evaluate_fsize.scm 410 */
								BgL_auxz00_4204 = ((bool_t) 0);
							}
					}
					return BBOOL(BgL_auxz00_4204);
				}
			}
		}
	}



/* &tailpos-ev_hook1355 */
	obj_t BGl_z62tailposzd2ev_hook1355zb0zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3302, BgL_ev_hookz00_bglt BgL_ez00_3303,
		BgL_ev_varz00_bglt BgL_vz00_3304)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 405 */
			{
				BgL_ev_hookz00_bglt BgL_ez00_1431;
				BgL_ev_varz00_bglt BgL_vz00_1432;

				{	/* Eval/evaluate_fsize.scm 406 */
					bool_t BgL_auxz00_4217;

					BgL_ez00_1431 = BgL_ez00_3303;
					BgL_vz00_1432 = BgL_vz00_3304;
					{	/* Eval/evaluate_fsize.scm 406 */
						bool_t BgL_testz00_4218;

						{	/* Eval/evaluate_fsize.scm 406 */
							BgL_ev_exprz00_bglt BgL_arg1662z00_2729;

							BgL_arg1662z00_2729 =
								(((BgL_ev_hookz00_bglt) CREF(BgL_ez00_1431))->BgL_ez00);
							BgL_testz00_4218 =
								CBOOL(BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7
								(BgL_arg1662z00_2729, BgL_vz00_1432));
						}
						if (BgL_testz00_4218)
							{	/* Eval/evaluate_fsize.scm 406 */
								BgL_auxz00_4217 = ((bool_t) 0);
							}
						else
							{	/* Eval/evaluate_fsize.scm 406 */
								BgL_auxz00_4217 = ((bool_t) 1);
							}
					}
					return BBOOL(BgL_auxz00_4217);
				}
			}
		}
	}



/* &tailpos-ev_prog21353 */
	obj_t BGl_z62tailposzd2ev_prog21353zb0zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3305, BgL_ev_prog2z00_bglt BgL_ez00_3306,
		BgL_ev_varz00_bglt BgL_vz00_3307)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 401 */
			{
				BgL_ev_prog2z00_bglt BgL_ez00_1421;
				BgL_ev_varz00_bglt BgL_vz00_1422;

				BgL_ez00_1421 = BgL_ez00_3306;
				BgL_vz00_1422 = BgL_vz00_3307;
				{	/* Eval/evaluate_fsize.scm 402 */
					bool_t BgL_testz00_4223;

					{	/* Eval/evaluate_fsize.scm 402 */
						bool_t BgL_testz00_4224;

						{	/* Eval/evaluate_fsize.scm 402 */
							BgL_ev_exprz00_bglt BgL_arg1660z00_2725;

							BgL_arg1660z00_2725 =
								(((BgL_ev_prog2z00_bglt) CREF(BgL_ez00_1421))->BgL_e1z00);
							BgL_testz00_4224 =
								CBOOL(BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7
								(BgL_arg1660z00_2725, BgL_vz00_1422));
						}
						if (BgL_testz00_4224)
							{	/* Eval/evaluate_fsize.scm 402 */
								BgL_testz00_4223 = ((bool_t) 0);
							}
						else
							{	/* Eval/evaluate_fsize.scm 402 */
								BgL_testz00_4223 = ((bool_t) 1);
							}
					}
					if (BgL_testz00_4223)
						{	/* Eval/evaluate_fsize.scm 402 */
							return
								BGl_tailposz00zz__evaluate_fsiza7eza7(
								(((BgL_ev_prog2z00_bglt) CREF(BgL_ez00_1421))->BgL_e2z00),
								BgL_vz00_1422);
						}
					else
						{	/* Eval/evaluate_fsize.scm 402 */
							return BFALSE;
						}
				}
			}
		}
	}



/* &tailpos-ev_list1351 */
	obj_t BGl_z62tailposzd2ev_list1351zb0zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3308, BgL_ev_listz00_bglt BgL_ez00_3309,
		BgL_ev_varz00_bglt BgL_vz00_3310)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 393 */
			{
				BgL_ev_listz00_bglt BgL_ez00_1403;
				BgL_ev_varz00_bglt BgL_vz00_1404;

				BgL_ez00_1403 = BgL_ez00_3309;
				BgL_vz00_1404 = BgL_vz00_3310;
				{
					obj_t BgL_lz00_1410;

					BgL_lz00_1410 =
						(((BgL_ev_listz00_bglt) CREF(BgL_ez00_1403))->BgL_argsz00);
				BgL_zc3anonymousza31651ze3z83_1411:
					if (NULLP(CDR(BgL_lz00_1410)))
						{	/* Eval/evaluate_fsize.scm 397 */
							obj_t BgL_arg1653z00_1413;

							BgL_arg1653z00_1413 = CAR(BgL_lz00_1410);
							return
								BGl_tailposz00zz__evaluate_fsiza7eza7(
								((BgL_ev_exprz00_bglt) BgL_arg1653z00_1413), BgL_vz00_1404);
						}
					else
						{	/* Eval/evaluate_fsize.scm 398 */
							bool_t BgL_testz00_4236;

							{	/* Eval/evaluate_fsize.scm 398 */
								bool_t BgL_testz00_4237;

								{	/* Eval/evaluate_fsize.scm 398 */
									obj_t BgL_arg1656z00_1417;

									BgL_arg1656z00_1417 = CAR(BgL_lz00_1410);
									BgL_testz00_4237 =
										CBOOL(BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(
											((BgL_ev_exprz00_bglt) BgL_arg1656z00_1417),
											BgL_vz00_1404));
								}
								if (BgL_testz00_4237)
									{	/* Eval/evaluate_fsize.scm 398 */
										BgL_testz00_4236 = ((bool_t) 0);
									}
								else
									{	/* Eval/evaluate_fsize.scm 398 */
										BgL_testz00_4236 = ((bool_t) 1);
									}
							}
							if (BgL_testz00_4236)
								{
									obj_t BgL_lz00_4242;

									BgL_lz00_4242 = CDR(BgL_lz00_1410);
									BgL_lz00_1410 = BgL_lz00_4242;
									goto BgL_zc3anonymousza31651ze3z83_1411;
								}
							else
								{	/* Eval/evaluate_fsize.scm 398 */
									return BFALSE;
								}
						}
				}
			}
		}
	}



/* &tailpos-ev_if1349 */
	obj_t BGl_z62tailposzd2ev_if1349zb0zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3311, BgL_ev_ifz00_bglt BgL_ez00_3312,
		BgL_ev_varz00_bglt BgL_vz00_3313)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 389 */
			{
				BgL_ev_ifz00_bglt BgL_ez00_1391;
				BgL_ev_varz00_bglt BgL_vz00_1392;

				BgL_ez00_1391 = BgL_ez00_3312;
				BgL_vz00_1392 = BgL_vz00_3313;
				{	/* Eval/evaluate_fsize.scm 391 */
					bool_t BgL_testz00_4245;

					{	/* Eval/evaluate_fsize.scm 391 */
						bool_t BgL_testz00_4246;

						{	/* Eval/evaluate_fsize.scm 391 */
							BgL_ev_exprz00_bglt BgL_arg1649z00_1401;

							BgL_arg1649z00_1401 =
								(((BgL_ev_ifz00_bglt) CREF(BgL_ez00_1391))->BgL_pz00);
							BgL_testz00_4246 =
								CBOOL(BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7
								(BgL_arg1649z00_1401, BgL_vz00_1392));
						}
						if (BgL_testz00_4246)
							{	/* Eval/evaluate_fsize.scm 391 */
								BgL_testz00_4245 = ((bool_t) 0);
							}
						else
							{	/* Eval/evaluate_fsize.scm 391 */
								BgL_testz00_4245 = ((bool_t) 1);
							}
					}
					if (BgL_testz00_4245)
						{	/* Eval/evaluate_fsize.scm 391 */
							obj_t BgL__andtest_1115z00_1397;

							BgL__andtest_1115z00_1397 =
								BGl_tailposz00zz__evaluate_fsiza7eza7(
								(((BgL_ev_ifz00_bglt) CREF(BgL_ez00_1391))->BgL_tz00),
								BgL_vz00_1392);
							if (CBOOL(BgL__andtest_1115z00_1397))
								{	/* Eval/evaluate_fsize.scm 391 */
									return
										BGl_tailposz00zz__evaluate_fsiza7eza7(
										(((BgL_ev_ifz00_bglt) CREF(BgL_ez00_1391))->BgL_ez00),
										BgL_vz00_1392);
								}
							else
								{	/* Eval/evaluate_fsize.scm 391 */
									return BFALSE;
								}
						}
					else
						{	/* Eval/evaluate_fsize.scm 391 */
							return BFALSE;
						}
				}
			}
		}
	}



/* &tailpos-ev_litt1347 */
	obj_t BGl_z62tailposzd2ev_litt1347zb0zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3314, BgL_ev_littz00_bglt BgL_ez00_3315,
		BgL_ev_varz00_bglt BgL_vz00_3316)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 386 */
			return BBOOL(((bool_t) 1));
		}
	}



/* &tailpos-ev_global1345 */
	obj_t BGl_z62tailposzd2ev_global1345zb0zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3317, BgL_ev_globalz00_bglt BgL_ez00_3318,
		BgL_ev_varz00_bglt BgL_vz00_3319)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 383 */
			return BBOOL(((bool_t) 1));
		}
	}



/* &tailpos-ev_var1343 */
	obj_t BGl_z62tailposzd2ev_var1343zb0zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3320, BgL_ev_varz00_bglt BgL_ez00_3321,
		BgL_ev_varz00_bglt BgL_vz00_3322)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 380 */
			{
				BgL_ev_varz00_bglt BgL_ez00_1375;
				BgL_ev_varz00_bglt BgL_vz00_1376;

				{	/* Eval/evaluate_fsize.scm 381 */
					bool_t BgL_auxz00_4258;

					BgL_ez00_1375 = BgL_ez00_3321;
					BgL_vz00_1376 = BgL_vz00_3322;
					if ((((obj_t) BgL_ez00_1375) == ((obj_t) BgL_vz00_1376)))
						{	/* Eval/evaluate_fsize.scm 381 */
							BgL_auxz00_4258 = ((bool_t) 0);
						}
					else
						{	/* Eval/evaluate_fsize.scm 381 */
							BgL_auxz00_4258 = ((bool_t) 1);
						}
					return BBOOL(BgL_auxz00_4258);
				}
			}
		}
	}



/* &subst_goto-ev_abs1339 */
	BgL_ev_absz00_bglt
		BGl_z62subst_gotozd2ev_abs1339zb0zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3323, BgL_ev_absz00_bglt BgL_ez00_3324, obj_t BgL_varsz00_3325,
		obj_t BgL_lblsz00_3326)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 368 */
			{
				BgL_ev_absz00_bglt BgL_ez00_1367;
				obj_t BgL_varsz00_1368;
				obj_t BgL_lblsz00_1369;

				BgL_ez00_1367 = BgL_ez00_3324;
				BgL_varsz00_1368 = BgL_varsz00_3325;
				BgL_lblsz00_1369 = BgL_lblsz00_3326;
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4264;

					{	/* Eval/evaluate_fsize.scm 369 */
						BgL_ev_exprz00_bglt BgL_arg1644z00_2714;

						BgL_arg1644z00_2714 =
							(((BgL_ev_absz00_bglt) CREF(BgL_ez00_1367))->BgL_bodyz00);
						BgL_auxz00_4264 =
							((BgL_ev_exprz00_bglt)
							BGl_subst_gotoz00zz__evaluate_fsiza7eza7(BgL_arg1644z00_2714,
								BgL_varsz00_1368, BgL_lblsz00_1369));
					}
					((((BgL_ev_absz00_bglt) CREF(BgL_ez00_1367))->BgL_bodyz00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_4264), BUNSPEC);
				}
				return BgL_ez00_1367;
			}
		}
	}



/* &subst_goto-ev_app1337 */
	BgL_ev_exprz00_bglt
		BGl_z62subst_gotozd2ev_app1337zb0zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3327, BgL_ev_appz00_bglt BgL_ez00_3328, obj_t BgL_varsz00_3329,
		obj_t BgL_lblsz00_3330)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 360 */
			{
				BgL_ev_appz00_bglt BgL_ez00_1353;
				obj_t BgL_varsz00_1354;
				obj_t BgL_lblsz00_1355;

				BgL_ez00_1353 = BgL_ez00_3328;
				BgL_varsz00_1354 = BgL_varsz00_3329;
				BgL_lblsz00_1355 = BgL_lblsz00_3330;
				{	/* Eval/evaluate_fsize.scm 362 */
					obj_t BgL_arg1638z00_1359;

					BgL_arg1638z00_1359 =
						(((BgL_ev_appz00_bglt) CREF(BgL_ez00_1353))->BgL_argsz00);
					{
						obj_t BgL_lz00_2696;

						BgL_lz00_2696 = BgL_arg1638z00_1359;
					BgL_recz00_2695:
						if (NULLP(BgL_lz00_2696))
							{	/* Eval/evaluate_fsize.scm 362 */
								((bool_t) 0);
							}
						else
							{	/* Eval/evaluate_fsize.scm 362 */
								{	/* Eval/evaluate_fsize.scm 362 */
									obj_t BgL_arg1481z00_2698;

									{	/* Eval/evaluate_fsize.scm 362 */
										obj_t BgL_arg1482z00_2699;

										BgL_arg1482z00_2699 = CAR(BgL_lz00_2696);
										BgL_arg1481z00_2698 =
											BGl_subst_gotoz00zz__evaluate_fsiza7eza7(
											((BgL_ev_exprz00_bglt) BgL_arg1482z00_2699),
											BgL_varsz00_1354, BgL_lblsz00_1355);
									}
									SET_CAR(BgL_lz00_2696, BgL_arg1481z00_2698);
								}
								{
									obj_t BgL_lz00_4276;

									BgL_lz00_4276 = CDR(BgL_lz00_2696);
									BgL_lz00_2696 = BgL_lz00_4276;
									goto BgL_recz00_2695;
								}
							}
					}
				}
				if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
							((obj_t)
								(((BgL_ev_appz00_bglt) CREF(BgL_ez00_1353))->BgL_funz00)),
							BgL_varsz00_1354)))
					{	/* Eval/evaluate_fsize.scm 364 */
						BgL_ev_gotoz00_bglt BgL_new1111z00_1361;

						{	/* Eval/evaluate_fsize.scm 364 */
							BgL_ev_gotoz00_bglt BgL_new1110z00_1362;

							BgL_new1110z00_1362 =
								((BgL_ev_gotoz00_bglt) BREF(GC_MALLOC(sizeof(struct
											BgL_ev_gotoz00_bgl))));
							{	/* Eval/evaluate_fsize.scm 364 */
								long BgL_arg1640z00_1363;

								{	/* Eval/evaluate_fsize.scm 364 */
									long BgL_res2038z00_2710;

									{	/* Eval/evaluate_fsize.scm 364 */
										obj_t BgL_classz00_2707;

										BgL_classz00_2707 = BGl_ev_gotoz00zz__evaluate_typesz00;
										{	/* Eval/evaluate_fsize.scm 364 */
											obj_t BgL_vectorz00_2708;
											int BgL_kz00_2709;

											BgL_vectorz00_2708 = BgL_classz00_2707;
											BgL_kz00_2709 = (int) (((long) 1));
											BgL_res2038z00_2710 =
												(long) CINT(VECTOR_REF(BgL_vectorz00_2708,
													BgL_kz00_2709));
									}}
									BgL_arg1640z00_1363 = BgL_res2038z00_2710;
								}
								{	/* Eval/evaluate_fsize.scm 364 */
									BgL_objectz00_bglt BgL_objz00_2711;

									BgL_objz00_2711 = ((BgL_objectz00_bglt) BgL_new1110z00_1362);
									BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2711,
										BgL_arg1640z00_1363);
							}}
							{	/* Eval/evaluate_fsize.scm 364 */
								BgL_objectz00_bglt BgL_auxz00_4289;

								BgL_auxz00_4289 = ((BgL_objectz00_bglt) BgL_new1110z00_1362);
								BGL_OBJECT_WIDENING_SET(BgL_auxz00_4289, BFALSE);
							}
							BgL_new1111z00_1361 = BgL_new1110z00_1362;
						}
						((((BgL_ev_gotoz00_bglt) CREF(BgL_new1111z00_1361))->BgL_locz00) =
							((obj_t) (((BgL_ev_appz00_bglt) CREF(BgL_ez00_1353))->
									BgL_locz00)), BUNSPEC);
						((((BgL_ev_gotoz00_bglt) CREF(BgL_new1111z00_1361))->BgL_labelz00) =
							((BgL_ev_varz00_bglt) ((BgL_ev_varz00_bglt) (((BgL_ev_appz00_bglt)
											CREF(BgL_ez00_1353))->BgL_funz00))), BUNSPEC);
						((((BgL_ev_gotoz00_bglt) CREF(BgL_new1111z00_1361))->
								BgL_labelsz00) =
							((BgL_ev_labelsz00_bglt) ((BgL_ev_labelsz00_bglt)
									BgL_lblsz00_1355)), BUNSPEC);
						((((BgL_ev_gotoz00_bglt) CREF(BgL_new1111z00_1361))->BgL_argsz00) =
							((obj_t) (((BgL_ev_appz00_bglt) CREF(BgL_ez00_1353))->
									BgL_argsz00)), BUNSPEC);
						return ((BgL_ev_exprz00_bglt) BgL_new1111z00_1361);
					}
				else
					{	/* Eval/evaluate_fsize.scm 363 */
						{
							BgL_ev_exprz00_bglt BgL_auxz00_4302;

							{	/* Eval/evaluate_fsize.scm 365 */
								BgL_ev_exprz00_bglt BgL_arg1641z00_1364;

								BgL_arg1641z00_1364 =
									(((BgL_ev_appz00_bglt) CREF(BgL_ez00_1353))->BgL_funz00);
								BgL_auxz00_4302 =
									((BgL_ev_exprz00_bglt)
									BGl_subst_gotoz00zz__evaluate_fsiza7eza7(BgL_arg1641z00_1364,
										BgL_varsz00_1354, BgL_lblsz00_1355));
							}
							((((BgL_ev_appz00_bglt) CREF(BgL_ez00_1353))->BgL_funz00) =
								((BgL_ev_exprz00_bglt) BgL_auxz00_4302), BUNSPEC);
						}
						return ((BgL_ev_exprz00_bglt) BgL_ez00_1353);
					}
			}
		}
	}



/* &subst_goto-ev_goto1335 */
	BgL_ev_gotoz00_bglt
		BGl_z62subst_gotozd2ev_goto1335zb0zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3331, BgL_ev_gotoz00_bglt BgL_ez00_3332, obj_t BgL_varsz00_3333,
		obj_t BgL_lblsz00_3334)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 355 */
			{
				BgL_ev_gotoz00_bglt BgL_ez00_1345;
				obj_t BgL_varsz00_1346;
				obj_t BgL_lblsz00_1347;

				BgL_ez00_1345 = BgL_ez00_3332;
				BgL_varsz00_1346 = BgL_varsz00_3333;
				BgL_lblsz00_1347 = BgL_lblsz00_3334;
				{	/* Eval/evaluate_fsize.scm 356 */
					obj_t BgL_arg1637z00_2676;

					BgL_arg1637z00_2676 =
						(((BgL_ev_gotoz00_bglt) CREF(BgL_ez00_1345))->BgL_argsz00);
					{
						obj_t BgL_lz00_2681;

						BgL_lz00_2681 = BgL_arg1637z00_2676;
					BgL_recz00_2680:
						if (NULLP(BgL_lz00_2681))
							{	/* Eval/evaluate_fsize.scm 356 */
								((bool_t) 0);
							}
						else
							{	/* Eval/evaluate_fsize.scm 356 */
								{	/* Eval/evaluate_fsize.scm 356 */
									obj_t BgL_arg1481z00_2683;

									{	/* Eval/evaluate_fsize.scm 356 */
										obj_t BgL_arg1482z00_2684;

										BgL_arg1482z00_2684 = CAR(BgL_lz00_2681);
										BgL_arg1481z00_2683 =
											BGl_subst_gotoz00zz__evaluate_fsiza7eza7(
											((BgL_ev_exprz00_bglt) BgL_arg1482z00_2684),
											BgL_varsz00_1346, BgL_lblsz00_1347);
									}
									SET_CAR(BgL_lz00_2681, BgL_arg1481z00_2683);
								}
								{
									obj_t BgL_lz00_4315;

									BgL_lz00_4315 = CDR(BgL_lz00_2681);
									BgL_lz00_2681 = BgL_lz00_4315;
									goto BgL_recz00_2680;
								}
							}
					}
				}
				return BgL_ez00_1345;
			}
		}
	}



/* &subst_goto-ev_labels1333 */
	BgL_ev_labelsz00_bglt
		BGl_z62subst_gotozd2ev_labels1333zb0zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3335, BgL_ev_labelsz00_bglt BgL_ez00_3336,
		obj_t BgL_varsz00_3337, obj_t BgL_lblsz00_3338)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 346 */
			{
				BgL_ev_labelsz00_bglt BgL_ez00_1327;
				obj_t BgL_varsz00_1328;
				obj_t BgL_lblsz00_1329;

				BgL_ez00_1327 = BgL_ez00_3336;
				BgL_varsz00_1328 = BgL_varsz00_3337;
				BgL_lblsz00_1329 = BgL_lblsz00_3338;
				{
					obj_t BgL_lz00_1335;

					BgL_lz00_1335 =
						(((BgL_ev_labelsz00_bglt) CREF(BgL_ez00_1327))->BgL_valsz00);
				BgL_zc3anonymousza31627ze3z83_1336:
					if (NULLP(BgL_lz00_1335))
						{	/* Eval/evaluate_fsize.scm 349 */
							((bool_t) 0);
						}
					else
						{	/* Eval/evaluate_fsize.scm 349 */
							{	/* Eval/evaluate_fsize.scm 350 */
								obj_t BgL_arg1629z00_1338;
								obj_t BgL_arg1630z00_1339;

								BgL_arg1629z00_1338 = CAR(BgL_lz00_1335);
								{	/* Eval/evaluate_fsize.scm 350 */
									obj_t BgL_arg1631z00_1340;

									{	/* Eval/evaluate_fsize.scm 350 */
										obj_t BgL_pairz00_2668;

										BgL_pairz00_2668 = BgL_lz00_1335;
										BgL_arg1631z00_1340 = CDR(CAR(BgL_pairz00_2668));
									}
									BgL_arg1630z00_1339 =
										BGl_subst_gotoz00zz__evaluate_fsiza7eza7(
										((BgL_ev_exprz00_bglt) BgL_arg1631z00_1340),
										BgL_varsz00_1328, BgL_lblsz00_1329);
								}
								SET_CDR(BgL_arg1629z00_1338, BgL_arg1630z00_1339);
							}
							{
								obj_t BgL_lz00_4325;

								BgL_lz00_4325 = CDR(BgL_lz00_1335);
								BgL_lz00_1335 = BgL_lz00_4325;
								goto BgL_zc3anonymousza31627ze3z83_1336;
							}
						}
				}
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4328;

					{	/* Eval/evaluate_fsize.scm 352 */
						BgL_ev_exprz00_bglt BgL_arg1634z00_1343;

						BgL_arg1634z00_1343 =
							(((BgL_ev_labelsz00_bglt) CREF(BgL_ez00_1327))->BgL_bodyz00);
						BgL_auxz00_4328 =
							((BgL_ev_exprz00_bglt)
							BGl_subst_gotoz00zz__evaluate_fsiza7eza7(BgL_arg1634z00_1343,
								BgL_varsz00_1328, BgL_lblsz00_1329));
					}
					((((BgL_ev_labelsz00_bglt) CREF(BgL_ez00_1327))->BgL_bodyz00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_4328), BUNSPEC);
				}
				return BgL_ez00_1327;
			}
		}
	}



/* &subst_goto-ev_binder1331 */
	BgL_ev_binderz00_bglt
		BGl_z62subst_gotozd2ev_binder1331zb0zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3339, BgL_ev_binderz00_bglt BgL_ez00_3340,
		obj_t BgL_varsz00_3341, obj_t BgL_lblsz00_3342)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 340 */
			{
				BgL_ev_binderz00_bglt BgL_ez00_1318;
				obj_t BgL_varsz00_1319;
				obj_t BgL_lblsz00_1320;

				BgL_ez00_1318 = BgL_ez00_3340;
				BgL_varsz00_1319 = BgL_varsz00_3341;
				BgL_lblsz00_1320 = BgL_lblsz00_3342;
				{	/* Eval/evaluate_fsize.scm 341 */
					obj_t BgL_arg1624z00_2648;

					BgL_arg1624z00_2648 =
						(((BgL_ev_binderz00_bglt) CREF(BgL_ez00_1318))->BgL_valsz00);
					{
						obj_t BgL_lz00_2654;

						BgL_lz00_2654 = BgL_arg1624z00_2648;
					BgL_recz00_2653:
						if (NULLP(BgL_lz00_2654))
							{	/* Eval/evaluate_fsize.scm 341 */
								((bool_t) 0);
							}
						else
							{	/* Eval/evaluate_fsize.scm 341 */
								{	/* Eval/evaluate_fsize.scm 341 */
									obj_t BgL_arg1481z00_2656;

									{	/* Eval/evaluate_fsize.scm 341 */
										obj_t BgL_arg1482z00_2657;

										BgL_arg1482z00_2657 = CAR(BgL_lz00_2654);
										BgL_arg1481z00_2656 =
											BGl_subst_gotoz00zz__evaluate_fsiza7eza7(
											((BgL_ev_exprz00_bglt) BgL_arg1482z00_2657),
											BgL_varsz00_1319, BgL_lblsz00_1320);
									}
									SET_CAR(BgL_lz00_2654, BgL_arg1481z00_2656);
								}
								{
									obj_t BgL_lz00_4340;

									BgL_lz00_4340 = CDR(BgL_lz00_2654);
									BgL_lz00_2654 = BgL_lz00_4340;
									goto BgL_recz00_2653;
								}
							}
					}
				}
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4342;

					{	/* Eval/evaluate_fsize.scm 341 */
						BgL_ev_exprz00_bglt BgL_arg1625z00_2649;

						BgL_arg1625z00_2649 =
							(((BgL_ev_binderz00_bglt) CREF(BgL_ez00_1318))->BgL_bodyz00);
						BgL_auxz00_4342 =
							((BgL_ev_exprz00_bglt)
							BGl_subst_gotoz00zz__evaluate_fsiza7eza7(BgL_arg1625z00_2649,
								BgL_varsz00_1319, BgL_lblsz00_1320));
					}
					((((BgL_ev_binderz00_bglt) CREF(BgL_ez00_1318))->BgL_bodyz00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_4342), BUNSPEC);
				}
				return BgL_ez00_1318;
			}
		}
	}



/* &subst_goto-ev_with-h1329 */
	BgL_ev_withzd2handlerzd2_bglt
		BGl_z62subst_gotozd2ev_withzd2h1329z62zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3343, BgL_ev_withzd2handlerzd2_bglt BgL_ez00_3344,
		obj_t BgL_varsz00_3345, obj_t BgL_lblsz00_3346)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 334 */
			{
				BgL_ev_withzd2handlerzd2_bglt BgL_ez00_1309;
				obj_t BgL_varsz00_1310;
				obj_t BgL_lblsz00_1311;

				BgL_ez00_1309 = BgL_ez00_3344;
				BgL_varsz00_1310 = BgL_varsz00_3345;
				BgL_lblsz00_1311 = BgL_lblsz00_3346;
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4347;

					{	/* Eval/evaluate_fsize.scm 335 */
						BgL_ev_exprz00_bglt BgL_arg1622z00_2645;

						BgL_arg1622z00_2645 =
							(((BgL_ev_withzd2handlerzd2_bglt) CREF(BgL_ez00_1309))->
							BgL_handlerz00);
						BgL_auxz00_4347 =
							((BgL_ev_exprz00_bglt)
							BGl_subst_gotoz00zz__evaluate_fsiza7eza7(BgL_arg1622z00_2645,
								BgL_varsz00_1310, BgL_lblsz00_1311));
					}
					((((BgL_ev_withzd2handlerzd2_bglt) CREF(BgL_ez00_1309))->
							BgL_handlerz00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_4347), BUNSPEC);
				}
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4352;

					{	/* Eval/evaluate_fsize.scm 335 */
						BgL_ev_exprz00_bglt BgL_arg1623z00_2646;

						BgL_arg1623z00_2646 =
							(((BgL_ev_withzd2handlerzd2_bglt) CREF(BgL_ez00_1309))->
							BgL_bodyz00);
						BgL_auxz00_4352 =
							((BgL_ev_exprz00_bglt)
							BGl_subst_gotoz00zz__evaluate_fsiza7eza7(BgL_arg1623z00_2646,
								BgL_varsz00_1310, BgL_lblsz00_1311));
					}
					((((BgL_ev_withzd2handlerzd2_bglt) CREF(BgL_ez00_1309))->
							BgL_bodyz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_4352), BUNSPEC);
				}
				return BgL_ez00_1309;
			}
		}
	}



/* &subst_goto-ev_unwind1327 */
	BgL_ev_unwindzd2protectzd2_bglt
		BGl_z62subst_gotozd2ev_unwind1327zb0zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3347, BgL_ev_unwindzd2protectzd2_bglt BgL_exprz00_3348,
		obj_t BgL_varsz00_3349, obj_t BgL_lblsz00_3350)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 328 */
			{
				BgL_ev_unwindzd2protectzd2_bglt BgL_exprz00_1300;
				obj_t BgL_varsz00_1301;
				obj_t BgL_lblsz00_1302;

				BgL_exprz00_1300 = BgL_exprz00_3348;
				BgL_varsz00_1301 = BgL_varsz00_3349;
				BgL_lblsz00_1302 = BgL_lblsz00_3350;
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4357;

					{	/* Eval/evaluate_fsize.scm 329 */
						BgL_ev_exprz00_bglt BgL_arg1620z00_2642;

						BgL_arg1620z00_2642 =
							(((BgL_ev_unwindzd2protectzd2_bglt) CREF(BgL_exprz00_1300))->
							BgL_ez00);
						BgL_auxz00_4357 =
							((BgL_ev_exprz00_bglt)
							BGl_subst_gotoz00zz__evaluate_fsiza7eza7(BgL_arg1620z00_2642,
								BgL_varsz00_1301, BgL_lblsz00_1302));
					}
					((((BgL_ev_unwindzd2protectzd2_bglt) CREF(BgL_exprz00_1300))->
							BgL_ez00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_4357), BUNSPEC);
				}
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4362;

					{	/* Eval/evaluate_fsize.scm 329 */
						BgL_ev_exprz00_bglt BgL_arg1621z00_2643;

						BgL_arg1621z00_2643 =
							(((BgL_ev_unwindzd2protectzd2_bglt) CREF(BgL_exprz00_1300))->
							BgL_bodyz00);
						BgL_auxz00_4362 =
							((BgL_ev_exprz00_bglt)
							BGl_subst_gotoz00zz__evaluate_fsiza7eza7(BgL_arg1621z00_2643,
								BgL_varsz00_1301, BgL_lblsz00_1302));
					}
					((((BgL_ev_unwindzd2protectzd2_bglt) CREF(BgL_exprz00_1300))->
							BgL_bodyz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_4362), BUNSPEC);
				}
				return BgL_exprz00_1300;
			}
		}
	}



/* &subst_goto-ev_bind-e1325 */
	BgL_ev_bindzd2exitzd2_bglt
		BGl_z62subst_gotozd2ev_bindzd2e1325z62zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3351, BgL_ev_bindzd2exitzd2_bglt BgL_ez00_3352,
		obj_t BgL_varsz00_3353, obj_t BgL_lblsz00_3354)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 323 */
			{
				BgL_ev_bindzd2exitzd2_bglt BgL_ez00_1292;
				obj_t BgL_varsz00_1293;
				obj_t BgL_lblsz00_1294;

				BgL_ez00_1292 = BgL_ez00_3352;
				BgL_varsz00_1293 = BgL_varsz00_3353;
				BgL_lblsz00_1294 = BgL_lblsz00_3354;
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4367;

					{	/* Eval/evaluate_fsize.scm 324 */
						BgL_ev_exprz00_bglt BgL_arg1619z00_2640;

						BgL_arg1619z00_2640 =
							(((BgL_ev_bindzd2exitzd2_bglt) CREF(BgL_ez00_1292))->BgL_bodyz00);
						BgL_auxz00_4367 =
							((BgL_ev_exprz00_bglt)
							BGl_subst_gotoz00zz__evaluate_fsiza7eza7(BgL_arg1619z00_2640,
								BgL_varsz00_1293, BgL_lblsz00_1294));
					}
					((((BgL_ev_bindzd2exitzd2_bglt) CREF(BgL_ez00_1292))->BgL_bodyz00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_4367), BUNSPEC);
				}
				return BgL_ez00_1292;
			}
		}
	}



/* &subst_goto-ev_hook1323 */
	BgL_ev_hookz00_bglt
		BGl_z62subst_gotozd2ev_hook1323zb0zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3355, BgL_ev_hookz00_bglt BgL_exprz00_3356,
		obj_t BgL_varsz00_3357, obj_t BgL_lblsz00_3358)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 318 */
			{
				BgL_ev_hookz00_bglt BgL_exprz00_1284;
				obj_t BgL_varsz00_1285;
				obj_t BgL_lblsz00_1286;

				BgL_exprz00_1284 = BgL_exprz00_3356;
				BgL_varsz00_1285 = BgL_varsz00_3357;
				BgL_lblsz00_1286 = BgL_lblsz00_3358;
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4372;

					{	/* Eval/evaluate_fsize.scm 319 */
						BgL_ev_exprz00_bglt BgL_arg1616z00_2638;

						BgL_arg1616z00_2638 =
							(((BgL_ev_hookz00_bglt) CREF(BgL_exprz00_1284))->BgL_ez00);
						BgL_auxz00_4372 =
							((BgL_ev_exprz00_bglt)
							BGl_subst_gotoz00zz__evaluate_fsiza7eza7(BgL_arg1616z00_2638,
								BgL_varsz00_1285, BgL_lblsz00_1286));
					}
					((((BgL_ev_hookz00_bglt) CREF(BgL_exprz00_1284))->BgL_ez00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_4372), BUNSPEC);
				}
				return BgL_exprz00_1284;
			}
		}
	}



/* &subst_goto-ev_prog21321 */
	BgL_ev_prog2z00_bglt
		BGl_z62subst_gotozd2ev_prog21321zb0zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3359, BgL_ev_prog2z00_bglt BgL_ez00_3360, obj_t BgL_varsz00_3361,
		obj_t BgL_lblsz00_3362)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 312 */
			{
				BgL_ev_prog2z00_bglt BgL_ez00_1275;
				obj_t BgL_varsz00_1276;
				obj_t BgL_lblsz00_1277;

				BgL_ez00_1275 = BgL_ez00_3360;
				BgL_varsz00_1276 = BgL_varsz00_3361;
				BgL_lblsz00_1277 = BgL_lblsz00_3362;
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4377;

					{	/* Eval/evaluate_fsize.scm 313 */
						BgL_ev_exprz00_bglt BgL_arg1614z00_2635;

						BgL_arg1614z00_2635 =
							(((BgL_ev_prog2z00_bglt) CREF(BgL_ez00_1275))->BgL_e1z00);
						BgL_auxz00_4377 =
							((BgL_ev_exprz00_bglt)
							BGl_subst_gotoz00zz__evaluate_fsiza7eza7(BgL_arg1614z00_2635,
								BgL_varsz00_1276, BgL_lblsz00_1277));
					}
					((((BgL_ev_prog2z00_bglt) CREF(BgL_ez00_1275))->BgL_e1z00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_4377), BUNSPEC);
				}
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4382;

					{	/* Eval/evaluate_fsize.scm 313 */
						BgL_ev_exprz00_bglt BgL_arg1615z00_2636;

						BgL_arg1615z00_2636 =
							(((BgL_ev_prog2z00_bglt) CREF(BgL_ez00_1275))->BgL_e2z00);
						BgL_auxz00_4382 =
							((BgL_ev_exprz00_bglt)
							BGl_subst_gotoz00zz__evaluate_fsiza7eza7(BgL_arg1615z00_2636,
								BgL_varsz00_1276, BgL_lblsz00_1277));
					}
					((((BgL_ev_prog2z00_bglt) CREF(BgL_ez00_1275))->BgL_e2z00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_4382), BUNSPEC);
				}
				return BgL_ez00_1275;
			}
		}
	}



/* &subst_goto-ev_list1319 */
	BgL_ev_listz00_bglt
		BGl_z62subst_gotozd2ev_list1319zb0zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3363, BgL_ev_listz00_bglt BgL_ez00_3364, obj_t BgL_varsz00_3365,
		obj_t BgL_lblsz00_3366)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 307 */
			{
				BgL_ev_listz00_bglt BgL_ez00_1267;
				obj_t BgL_varsz00_1268;
				obj_t BgL_lblsz00_1269;

				BgL_ez00_1267 = BgL_ez00_3364;
				BgL_varsz00_1268 = BgL_varsz00_3365;
				BgL_lblsz00_1269 = BgL_lblsz00_3366;
				{	/* Eval/evaluate_fsize.scm 308 */
					obj_t BgL_arg1613z00_2618;

					BgL_arg1613z00_2618 =
						(((BgL_ev_listz00_bglt) CREF(BgL_ez00_1267))->BgL_argsz00);
					{
						obj_t BgL_lz00_2623;

						BgL_lz00_2623 = BgL_arg1613z00_2618;
					BgL_recz00_2622:
						if (NULLP(BgL_lz00_2623))
							{	/* Eval/evaluate_fsize.scm 308 */
								((bool_t) 0);
							}
						else
							{	/* Eval/evaluate_fsize.scm 308 */
								{	/* Eval/evaluate_fsize.scm 308 */
									obj_t BgL_arg1481z00_2625;

									{	/* Eval/evaluate_fsize.scm 308 */
										obj_t BgL_arg1482z00_2626;

										BgL_arg1482z00_2626 = CAR(BgL_lz00_2623);
										BgL_arg1481z00_2625 =
											BGl_subst_gotoz00zz__evaluate_fsiza7eza7(
											((BgL_ev_exprz00_bglt) BgL_arg1482z00_2626),
											BgL_varsz00_1268, BgL_lblsz00_1269);
									}
									SET_CAR(BgL_lz00_2623, BgL_arg1481z00_2625);
								}
								{
									obj_t BgL_lz00_4394;

									BgL_lz00_4394 = CDR(BgL_lz00_2623);
									BgL_lz00_2623 = BgL_lz00_4394;
									goto BgL_recz00_2622;
								}
							}
					}
				}
				return BgL_ez00_1267;
			}
		}
	}



/* &subst_goto-ev_if1317 */
	BgL_ev_ifz00_bglt
		BGl_z62subst_gotozd2ev_if1317zb0zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3367, BgL_ev_ifz00_bglt BgL_exprz00_3368, obj_t BgL_varsz00_3369,
		obj_t BgL_lblsz00_3370)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 300 */
			{
				BgL_ev_ifz00_bglt BgL_exprz00_1257;
				obj_t BgL_varsz00_1258;
				obj_t BgL_lblsz00_1259;

				BgL_exprz00_1257 = BgL_exprz00_3368;
				BgL_varsz00_1258 = BgL_varsz00_3369;
				BgL_lblsz00_1259 = BgL_lblsz00_3370;
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4396;

					{	/* Eval/evaluate_fsize.scm 301 */
						BgL_ev_exprz00_bglt BgL_arg1609z00_2614;

						BgL_arg1609z00_2614 =
							(((BgL_ev_ifz00_bglt) CREF(BgL_exprz00_1257))->BgL_pz00);
						BgL_auxz00_4396 =
							((BgL_ev_exprz00_bglt)
							BGl_subst_gotoz00zz__evaluate_fsiza7eza7(BgL_arg1609z00_2614,
								BgL_varsz00_1258, BgL_lblsz00_1259));
					}
					((((BgL_ev_ifz00_bglt) CREF(BgL_exprz00_1257))->BgL_pz00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_4396), BUNSPEC);
				}
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4401;

					{	/* Eval/evaluate_fsize.scm 301 */
						BgL_ev_exprz00_bglt BgL_arg1611z00_2615;

						BgL_arg1611z00_2615 =
							(((BgL_ev_ifz00_bglt) CREF(BgL_exprz00_1257))->BgL_tz00);
						BgL_auxz00_4401 =
							((BgL_ev_exprz00_bglt)
							BGl_subst_gotoz00zz__evaluate_fsiza7eza7(BgL_arg1611z00_2615,
								BgL_varsz00_1258, BgL_lblsz00_1259));
					}
					((((BgL_ev_ifz00_bglt) CREF(BgL_exprz00_1257))->BgL_tz00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_4401), BUNSPEC);
				}
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4406;

					{	/* Eval/evaluate_fsize.scm 301 */
						BgL_ev_exprz00_bglt BgL_arg1612z00_2616;

						BgL_arg1612z00_2616 =
							(((BgL_ev_ifz00_bglt) CREF(BgL_exprz00_1257))->BgL_ez00);
						BgL_auxz00_4406 =
							((BgL_ev_exprz00_bglt)
							BGl_subst_gotoz00zz__evaluate_fsiza7eza7(BgL_arg1612z00_2616,
								BgL_varsz00_1258, BgL_lblsz00_1259));
					}
					((((BgL_ev_ifz00_bglt) CREF(BgL_exprz00_1257))->BgL_ez00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_4406), BUNSPEC);
				}
				return BgL_exprz00_1257;
			}
		}
	}



/* &subst_goto-ev_litt1315 */
	BgL_ev_littz00_bglt
		BGl_z62subst_gotozd2ev_litt1315zb0zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3371, BgL_ev_littz00_bglt BgL_ez00_3372, obj_t BgL_varsz00_3373,
		obj_t BgL_lblsz00_3374)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 297 */
			return BgL_ez00_3372;
		}
	}



/* &subst_goto-ev_global1313 */
	BgL_ev_globalz00_bglt
		BGl_z62subst_gotozd2ev_global1313zb0zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3375, BgL_ev_globalz00_bglt BgL_ez00_3376,
		obj_t BgL_varsz00_3377, obj_t BgL_lblsz00_3378)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 294 */
			return BgL_ez00_3376;
		}
	}



/* &subst_goto-ev_var1311 */
	BgL_ev_varz00_bglt
		BGl_z62subst_gotozd2ev_var1311zb0zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3379, BgL_ev_varz00_bglt BgL_ez00_3380, obj_t BgL_varsz00_3381,
		obj_t BgL_lblsz00_3382)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 291 */
			return BgL_ez00_3380;
		}
	}



/* &search-letrec-ev_abs1307 */
	BgL_ev_absz00_bglt
		BGl_z62searchzd2letreczd2ev_abs1307z62zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3383, BgL_ev_absz00_bglt BgL_ez00_3384)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 250 */
			{
				BgL_ev_absz00_bglt BgL_ez00_1233;

				BgL_ez00_1233 = BgL_ez00_3384;
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4411;

					{	/* Eval/evaluate_fsize.scm 251 */
						BgL_ev_exprz00_bglt BgL_arg1608z00_2612;

						BgL_arg1608z00_2612 =
							(((BgL_ev_absz00_bglt) CREF(BgL_ez00_1233))->BgL_bodyz00);
						BgL_auxz00_4411 =
							((BgL_ev_exprz00_bglt)
							BGl_searchzd2letreczd2zz__evaluate_fsiza7eza7
							(BgL_arg1608z00_2612));
					}
					((((BgL_ev_absz00_bglt) CREF(BgL_ez00_1233))->BgL_bodyz00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_4411), BUNSPEC);
				}
				return BgL_ez00_1233;
			}
		}
	}



/* &search-letrec-ev_app1305 */
	BgL_ev_appz00_bglt
		BGl_z62searchzd2letreczd2ev_app1305z62zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3385, BgL_ev_appz00_bglt BgL_ez00_3386)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 244 */
			{
				BgL_ev_appz00_bglt BgL_ez00_1226;

				BgL_ez00_1226 = BgL_ez00_3386;
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4416;

					{	/* Eval/evaluate_fsize.scm 245 */
						BgL_ev_exprz00_bglt BgL_arg1605z00_2609;

						BgL_arg1605z00_2609 =
							(((BgL_ev_appz00_bglt) CREF(BgL_ez00_1226))->BgL_funz00);
						BgL_auxz00_4416 =
							((BgL_ev_exprz00_bglt)
							BGl_searchzd2letreczd2zz__evaluate_fsiza7eza7
							(BgL_arg1605z00_2609));
					}
					((((BgL_ev_appz00_bglt) CREF(BgL_ez00_1226))->BgL_funz00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_4416), BUNSPEC);
				}
				BGl_searchzd2letrecza2z70zz__evaluate_fsiza7eza7(
					(((BgL_ev_appz00_bglt) CREF(BgL_ez00_1226))->BgL_argsz00));
				return BgL_ez00_1226;
			}
		}
	}



/* &search-letrec-ev_let1303 */
	BgL_ev_exprz00_bglt
		BGl_z62searchzd2letreczd2ev_let1303z62zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3387, BgL_ev_letrecz00_bglt BgL_ez00_3388)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 233 */
			{
				BgL_ev_letrecz00_bglt BgL_ez00_1212;

				BgL_ez00_1212 = BgL_ez00_3388;
				{	/* Eval/evaluate_fsize.scm 235 */
					obj_t BgL_arg1595z00_1216;

					BgL_arg1595z00_1216 =
						(((BgL_ev_binderz00_bglt) CREF(
								((BgL_ev_binderz00_bglt) BgL_ez00_1212)))->BgL_valsz00);
					BGl_searchzd2letrecza2z70zz__evaluate_fsiza7eza7(BgL_arg1595z00_1216);
				}
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4426;

					{	/* Eval/evaluate_fsize.scm 236 */
						BgL_ev_exprz00_bglt BgL_arg1596z00_1217;

						BgL_arg1596z00_1217 =
							(((BgL_ev_binderz00_bglt) CREF(
									((BgL_ev_binderz00_bglt) BgL_ez00_1212)))->BgL_bodyz00);
						BgL_auxz00_4426 =
							((BgL_ev_exprz00_bglt)
							BGl_searchzd2letreczd2zz__evaluate_fsiza7eza7
							(BgL_arg1596z00_1217));
					}
					((((BgL_ev_binderz00_bglt) CREF(
									((BgL_ev_binderz00_bglt) BgL_ez00_1212)))->BgL_bodyz00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_4426), BUNSPEC);
				}
				{	/* Eval/evaluate_fsize.scm 240 */
					bool_t BgL_testz00_4433;

					{	/* Eval/evaluate_fsize.scm 237 */
						obj_t BgL_arg1601z00_1222;
						obj_t BgL_arg1602z00_1223;
						BgL_ev_exprz00_bglt BgL_arg1604z00_1224;

						BgL_arg1601z00_1222 =
							(((BgL_ev_binderz00_bglt) CREF(
									((BgL_ev_binderz00_bglt) BgL_ez00_1212)))->BgL_varsz00);
						BgL_arg1602z00_1223 =
							(((BgL_ev_binderz00_bglt) CREF(
									((BgL_ev_binderz00_bglt) BgL_ez00_1212)))->BgL_valsz00);
						BgL_arg1604z00_1224 =
							(((BgL_ev_binderz00_bglt) CREF(
									((BgL_ev_binderz00_bglt) BgL_ez00_1212)))->BgL_bodyz00);
						BgL_testz00_4433 =
							BGl_letrectailzf3zf3zz__evaluate_fsiza7eza7(BgL_arg1601z00_1222,
							BgL_arg1602z00_1223, BgL_arg1604z00_1224);
					}
					if (BgL_testz00_4433)
						{	/* Eval/evaluate_fsize.scm 241 */
							obj_t BgL_arg1597z00_1219;
							obj_t BgL_arg1598z00_1220;
							BgL_ev_exprz00_bglt BgL_arg1599z00_1221;

							BgL_arg1597z00_1219 =
								(((BgL_ev_binderz00_bglt) CREF(
										((BgL_ev_binderz00_bglt) BgL_ez00_1212)))->BgL_varsz00);
							BgL_arg1598z00_1220 =
								(((BgL_ev_binderz00_bglt) CREF(
										((BgL_ev_binderz00_bglt) BgL_ez00_1212)))->BgL_valsz00);
							BgL_arg1599z00_1221 =
								(((BgL_ev_binderz00_bglt) CREF(
										((BgL_ev_binderz00_bglt) BgL_ez00_1212)))->BgL_bodyz00);
							return
								((BgL_ev_exprz00_bglt)
								BGl_modifyzd2letreczd2zz__evaluate_fsiza7eza7
								(BgL_arg1597z00_1219, BgL_arg1598z00_1220,
									BgL_arg1599z00_1221));
						}
					else
						{	/* Eval/evaluate_fsize.scm 240 */
							return ((BgL_ev_exprz00_bglt) BgL_ez00_1212);
						}
				}
			}
		}
	}



/* &search-letrec-ev_bin1301 */
	BgL_ev_binderz00_bglt
		BGl_z62searchzd2letreczd2ev_bin1301z62zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3389, BgL_ev_binderz00_bglt BgL_ez00_3390)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 227 */
			{
				BgL_ev_binderz00_bglt BgL_ez00_1205;

				BgL_ez00_1205 = BgL_ez00_3390;
				BGl_searchzd2letrecza2z70zz__evaluate_fsiza7eza7(
					(((BgL_ev_binderz00_bglt) CREF(BgL_ez00_1205))->BgL_valsz00));
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4452;

					{	/* Eval/evaluate_fsize.scm 228 */
						BgL_ev_exprz00_bglt BgL_arg1594z00_2607;

						BgL_arg1594z00_2607 =
							(((BgL_ev_binderz00_bglt) CREF(BgL_ez00_1205))->BgL_bodyz00);
						BgL_auxz00_4452 =
							((BgL_ev_exprz00_bglt)
							BGl_searchzd2letreczd2zz__evaluate_fsiza7eza7
							(BgL_arg1594z00_2607));
					}
					((((BgL_ev_binderz00_bglt) CREF(BgL_ez00_1205))->BgL_bodyz00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_4452), BUNSPEC);
				}
				return BgL_ez00_1205;
			}
		}
	}



/* &search-letrec-ev_wit1299 */
	BgL_ev_withzd2handlerzd2_bglt
		BGl_z62searchzd2letreczd2ev_wit1299z62zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3391, BgL_ev_withzd2handlerzd2_bglt BgL_ez00_3392)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 221 */
			{
				BgL_ev_withzd2handlerzd2_bglt BgL_ez00_1198;

				BgL_ez00_1198 = BgL_ez00_3392;
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4457;

					{	/* Eval/evaluate_fsize.scm 222 */
						BgL_ev_exprz00_bglt BgL_arg1591z00_2603;

						BgL_arg1591z00_2603 =
							(((BgL_ev_withzd2handlerzd2_bglt) CREF(BgL_ez00_1198))->
							BgL_handlerz00);
						BgL_auxz00_4457 =
							((BgL_ev_exprz00_bglt)
							BGl_searchzd2letreczd2zz__evaluate_fsiza7eza7
							(BgL_arg1591z00_2603));
					}
					((((BgL_ev_withzd2handlerzd2_bglt) CREF(BgL_ez00_1198))->
							BgL_handlerz00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_4457), BUNSPEC);
				}
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4462;

					{	/* Eval/evaluate_fsize.scm 222 */
						BgL_ev_exprz00_bglt BgL_arg1592z00_2604;

						BgL_arg1592z00_2604 =
							(((BgL_ev_withzd2handlerzd2_bglt) CREF(BgL_ez00_1198))->
							BgL_bodyz00);
						BgL_auxz00_4462 =
							((BgL_ev_exprz00_bglt)
							BGl_searchzd2letreczd2zz__evaluate_fsiza7eza7
							(BgL_arg1592z00_2604));
					}
					((((BgL_ev_withzd2handlerzd2_bglt) CREF(BgL_ez00_1198))->
							BgL_bodyz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_4462), BUNSPEC);
				}
				return BgL_ez00_1198;
			}
		}
	}



/* &search-letrec-ev_unw1297 */
	BgL_ev_unwindzd2protectzd2_bglt
		BGl_z62searchzd2letreczd2ev_unw1297z62zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3393, BgL_ev_unwindzd2protectzd2_bglt BgL_exprz00_3394)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 215 */
			{
				BgL_ev_unwindzd2protectzd2_bglt BgL_exprz00_1191;

				BgL_exprz00_1191 = BgL_exprz00_3394;
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4467;

					{	/* Eval/evaluate_fsize.scm 216 */
						BgL_ev_exprz00_bglt BgL_arg1589z00_2600;

						BgL_arg1589z00_2600 =
							(((BgL_ev_unwindzd2protectzd2_bglt) CREF(BgL_exprz00_1191))->
							BgL_ez00);
						BgL_auxz00_4467 =
							((BgL_ev_exprz00_bglt)
							BGl_searchzd2letreczd2zz__evaluate_fsiza7eza7
							(BgL_arg1589z00_2600));
					}
					((((BgL_ev_unwindzd2protectzd2_bglt) CREF(BgL_exprz00_1191))->
							BgL_ez00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_4467), BUNSPEC);
				}
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4472;

					{	/* Eval/evaluate_fsize.scm 216 */
						BgL_ev_exprz00_bglt BgL_arg1590z00_2601;

						BgL_arg1590z00_2601 =
							(((BgL_ev_unwindzd2protectzd2_bglt) CREF(BgL_exprz00_1191))->
							BgL_bodyz00);
						BgL_auxz00_4472 =
							((BgL_ev_exprz00_bglt)
							BGl_searchzd2letreczd2zz__evaluate_fsiza7eza7
							(BgL_arg1590z00_2601));
					}
					((((BgL_ev_unwindzd2protectzd2_bglt) CREF(BgL_exprz00_1191))->
							BgL_bodyz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_4472), BUNSPEC);
				}
				return BgL_exprz00_1191;
			}
		}
	}



/* &search-letrec-ev_bin1295 */
	BgL_ev_bindzd2exitzd2_bglt
		BGl_z62searchzd2letreczd2ev_bin1295z62zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3395, BgL_ev_bindzd2exitzd2_bglt BgL_ez00_3396)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 210 */
			{
				BgL_ev_bindzd2exitzd2_bglt BgL_ez00_1185;

				BgL_ez00_1185 = BgL_ez00_3396;
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4477;

					{	/* Eval/evaluate_fsize.scm 211 */
						BgL_ev_exprz00_bglt BgL_arg1587z00_2598;

						BgL_arg1587z00_2598 =
							(((BgL_ev_bindzd2exitzd2_bglt) CREF(BgL_ez00_1185))->BgL_bodyz00);
						BgL_auxz00_4477 =
							((BgL_ev_exprz00_bglt)
							BGl_searchzd2letreczd2zz__evaluate_fsiza7eza7
							(BgL_arg1587z00_2598));
					}
					((((BgL_ev_bindzd2exitzd2_bglt) CREF(BgL_ez00_1185))->BgL_bodyz00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_4477), BUNSPEC);
				}
				return BgL_ez00_1185;
			}
		}
	}



/* &search-letrec-ev_hoo1293 */
	BgL_ev_hookz00_bglt
		BGl_z62searchzd2letreczd2ev_hoo1293z62zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3397, BgL_ev_hookz00_bglt BgL_exprz00_3398)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 205 */
			{
				BgL_ev_hookz00_bglt BgL_exprz00_1179;

				BgL_exprz00_1179 = BgL_exprz00_3398;
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4482;

					{	/* Eval/evaluate_fsize.scm 206 */
						BgL_ev_exprz00_bglt BgL_arg1586z00_2596;

						BgL_arg1586z00_2596 =
							(((BgL_ev_hookz00_bglt) CREF(BgL_exprz00_1179))->BgL_ez00);
						BgL_auxz00_4482 =
							((BgL_ev_exprz00_bglt)
							BGl_searchzd2letreczd2zz__evaluate_fsiza7eza7
							(BgL_arg1586z00_2596));
					}
					((((BgL_ev_hookz00_bglt) CREF(BgL_exprz00_1179))->BgL_ez00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_4482), BUNSPEC);
				}
				return BgL_exprz00_1179;
			}
		}
	}



/* &search-letrec-ev_pro1291 */
	BgL_ev_prog2z00_bglt
		BGl_z62searchzd2letreczd2ev_pro1291z62zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3399, BgL_ev_prog2z00_bglt BgL_ez00_3400)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 199 */
			{
				BgL_ev_prog2z00_bglt BgL_ez00_1172;

				BgL_ez00_1172 = BgL_ez00_3400;
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4487;

					{	/* Eval/evaluate_fsize.scm 200 */
						BgL_ev_exprz00_bglt BgL_arg1584z00_2593;

						BgL_arg1584z00_2593 =
							(((BgL_ev_prog2z00_bglt) CREF(BgL_ez00_1172))->BgL_e1z00);
						BgL_auxz00_4487 =
							((BgL_ev_exprz00_bglt)
							BGl_searchzd2letreczd2zz__evaluate_fsiza7eza7
							(BgL_arg1584z00_2593));
					}
					((((BgL_ev_prog2z00_bglt) CREF(BgL_ez00_1172))->BgL_e1z00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_4487), BUNSPEC);
				}
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4492;

					{	/* Eval/evaluate_fsize.scm 200 */
						BgL_ev_exprz00_bglt BgL_arg1585z00_2594;

						BgL_arg1585z00_2594 =
							(((BgL_ev_prog2z00_bglt) CREF(BgL_ez00_1172))->BgL_e2z00);
						BgL_auxz00_4492 =
							((BgL_ev_exprz00_bglt)
							BGl_searchzd2letreczd2zz__evaluate_fsiza7eza7
							(BgL_arg1585z00_2594));
					}
					((((BgL_ev_prog2z00_bglt) CREF(BgL_ez00_1172))->BgL_e2z00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_4492), BUNSPEC);
				}
				return BgL_ez00_1172;
			}
		}
	}



/* &search-letrec-ev_lis1289 */
	BgL_ev_listz00_bglt
		BGl_z62searchzd2letreczd2ev_lis1289z62zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3401, BgL_ev_listz00_bglt BgL_ez00_3402)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 194 */
			{
				BgL_ev_listz00_bglt BgL_ez00_1166;

				BgL_ez00_1166 = BgL_ez00_3402;
				BGl_searchzd2letrecza2z70zz__evaluate_fsiza7eza7(
					(((BgL_ev_listz00_bglt) CREF(BgL_ez00_1166))->BgL_argsz00));
				return BgL_ez00_1166;
			}
		}
	}



/* &search-letrec-ev_if1287 */
	BgL_ev_ifz00_bglt
		BGl_z62searchzd2letreczd2ev_if1287z62zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3403, BgL_ev_ifz00_bglt BgL_exprz00_3404)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 187 */
			{
				BgL_ev_ifz00_bglt BgL_exprz00_1158;

				BgL_exprz00_1158 = BgL_exprz00_3404;
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4499;

					{	/* Eval/evaluate_fsize.scm 189 */
						BgL_ev_exprz00_bglt BgL_arg1579z00_1162;

						BgL_arg1579z00_1162 =
							(((BgL_ev_ifz00_bglt) CREF(BgL_exprz00_1158))->BgL_pz00);
						BgL_auxz00_4499 =
							((BgL_ev_exprz00_bglt)
							BGl_searchzd2letreczd2zz__evaluate_fsiza7eza7
							(BgL_arg1579z00_1162));
					}
					((((BgL_ev_ifz00_bglt) CREF(BgL_exprz00_1158))->BgL_pz00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_4499), BUNSPEC);
				}
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4504;

					{	/* Eval/evaluate_fsize.scm 190 */
						BgL_ev_exprz00_bglt BgL_arg1580z00_1163;

						BgL_arg1580z00_1163 =
							(((BgL_ev_ifz00_bglt) CREF(BgL_exprz00_1158))->BgL_tz00);
						BgL_auxz00_4504 =
							((BgL_ev_exprz00_bglt)
							BGl_searchzd2letreczd2zz__evaluate_fsiza7eza7
							(BgL_arg1580z00_1163));
					}
					((((BgL_ev_ifz00_bglt) CREF(BgL_exprz00_1158))->BgL_tz00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_4504), BUNSPEC);
				}
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4509;

					{	/* Eval/evaluate_fsize.scm 191 */
						BgL_ev_exprz00_bglt BgL_arg1581z00_1164;

						BgL_arg1581z00_1164 =
							(((BgL_ev_ifz00_bglt) CREF(BgL_exprz00_1158))->BgL_ez00);
						BgL_auxz00_4509 =
							((BgL_ev_exprz00_bglt)
							BGl_searchzd2letreczd2zz__evaluate_fsiza7eza7
							(BgL_arg1581z00_1164));
					}
					((((BgL_ev_ifz00_bglt) CREF(BgL_exprz00_1158))->BgL_ez00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_4509), BUNSPEC);
				}
				return BgL_exprz00_1158;
			}
		}
	}



/* &search-letrec-ev_lit1285 */
	BgL_ev_littz00_bglt
		BGl_z62searchzd2letreczd2ev_lit1285z62zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3405, BgL_ev_littz00_bglt BgL_ez00_3406)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 184 */
			return BgL_ez00_3406;
		}
	}



/* &search-letrec-ev_glo1283 */
	BgL_ev_globalz00_bglt
		BGl_z62searchzd2letreczd2ev_glo1283z62zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3407, BgL_ev_globalz00_bglt BgL_ez00_3408)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 181 */
			return BgL_ez00_3408;
		}
	}



/* &search-letrec-ev_var1281 */
	BgL_ev_varz00_bglt
		BGl_z62searchzd2letreczd2ev_var1281z62zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3409, BgL_ev_varz00_bglt BgL_ez00_3410)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 178 */
			return BgL_ez00_3410;
		}
	}



/* &fsize-ev_abs1277 */
	obj_t BGl_z62fsiza7ezd2ev_abs1277z17zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3411, BgL_ev_absz00_bglt BgL_ez00_3412, obj_t BgL_nz00_3413)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 155 */
			{
				BgL_ev_absz00_bglt BgL_ez00_1136;
				int BgL_nz00_1137;

				{	/* Eval/evaluate_fsize.scm 156 */
					int BgL_auxz00_4514;

					BgL_ez00_1136 = BgL_ez00_3412;
					BgL_nz00_1137 = CINT(BgL_nz00_3413);
					{	/* Eval/evaluate_fsize.scm 156 */
						int BgL_nnz00_2586;

						{	/* Eval/evaluate_fsize.scm 156 */
							BgL_ev_exprz00_bglt BgL_arg1576z00_2587;
							long BgL_arg1577z00_2588;

							BgL_arg1576z00_2587 =
								(((BgL_ev_absz00_bglt) CREF(BgL_ez00_1136))->BgL_bodyz00);
							BgL_arg1577z00_2588 =
								bgl_list_length(
								(((BgL_ev_absz00_bglt) CREF(BgL_ez00_1136))->BgL_varsz00));
							BgL_nnz00_2586 =
								BGl_fsiza7eza7zz__evaluate_fsiza7eza7(BgL_arg1576z00_2587,
								(int) (BgL_arg1577z00_2588));
						}
						((((BgL_ev_absz00_bglt) CREF(BgL_ez00_1136))->BgL_siza7eza7) =
							((int) BgL_nnz00_2586), BUNSPEC);
						BgL_auxz00_4514 = BgL_nz00_1137;
					}
					return BINT(BgL_auxz00_4514);
				}
			}
		}
	}



/* &fsize-ev_app1275 */
	obj_t BGl_z62fsiza7ezd2ev_app1275z17zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3414, BgL_ev_appz00_bglt BgL_ez00_3415, obj_t BgL_nz00_3416)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 148 */
			{
				BgL_ev_appz00_bglt BgL_ez00_1112;
				int BgL_nz00_1113;

				BgL_ez00_1112 = BgL_ez00_3415;
				BgL_nz00_1113 = CINT(BgL_nz00_3416);
				{	/* Eval/evaluate_fsize.scm 150 */
					int BgL_g1076z00_1117;

					BgL_g1076z00_1117 =
						BGl_fsiza7eza7zz__evaluate_fsiza7eza7(
						(((BgL_ev_appz00_bglt) CREF(BgL_ez00_1112))->BgL_funz00),
						BgL_nz00_1113);
					{	/* Eval/evaluate_fsize.scm 150 */
						obj_t BgL_arg1566z00_1119;

						BgL_arg1566z00_1119 =
							(((BgL_ev_appz00_bglt) CREF(BgL_ez00_1112))->BgL_argsz00);
						{
							obj_t BgL_lz00_2557;
							int BgL_nz00_2558;
							obj_t BgL_rz00_2559;

							BgL_lz00_2557 = BgL_arg1566z00_1119;
							BgL_nz00_2558 = BgL_nz00_1113;
							BgL_rz00_2559 = BINT(BgL_g1076z00_1117);
						BgL_recz00_2556:
							if (NULLP(BgL_lz00_2557))
								{	/* Eval/evaluate_fsize.scm 150 */
									return
										BGl_2maxz00zz__r4_numbers_6_5z00(BINT(BgL_nz00_2558),
										BgL_rz00_2559);
								}
							else
								{	/* Eval/evaluate_fsize.scm 150 */
									obj_t BgL_arg1570z00_2572;
									long BgL_arg1571z00_2573;
									obj_t BgL_arg1572z00_2574;

									BgL_arg1570z00_2572 = CDR(BgL_lz00_2557);
									BgL_arg1571z00_2573 = ((long) (BgL_nz00_2558) + ((long) 1));
									{	/* Eval/evaluate_fsize.scm 150 */
										int BgL_xz00_2575;

										{	/* Eval/evaluate_fsize.scm 150 */
											obj_t BgL_arg1574z00_2577;

											BgL_arg1574z00_2577 = CAR(BgL_lz00_2557);
											BgL_xz00_2575 =
												BGl_fsiza7eza7zz__evaluate_fsiza7eza7(
												((BgL_ev_exprz00_bglt) BgL_arg1574z00_2577),
												BgL_nz00_2558);
										}
										BgL_arg1572z00_2574 =
											BGl_2maxz00zz__r4_numbers_6_5z00(BINT(BgL_xz00_2575),
											BgL_rz00_2559);
									}
									{
										obj_t BgL_rz00_4541;
										int BgL_nz00_4539;
										obj_t BgL_lz00_4538;

										BgL_lz00_4538 = BgL_arg1570z00_2572;
										BgL_nz00_4539 = (int) (BgL_arg1571z00_2573);
										BgL_rz00_4541 = BgL_arg1572z00_2574;
										BgL_rz00_2559 = BgL_rz00_4541;
										BgL_nz00_2558 = BgL_nz00_4539;
										BgL_lz00_2557 = BgL_lz00_4538;
										goto BgL_recz00_2556;
									}
								}
						}
					}
				}
			}
		}
	}



/* &fsize-ev_goto1273 */
	obj_t BGl_z62fsiza7ezd2ev_goto1273z17zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3417, BgL_ev_gotoz00_bglt BgL_ez00_3418, obj_t BgL_nz00_3419)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 141 */
			{
				BgL_ev_gotoz00_bglt BgL_ez00_1090;
				obj_t BgL_nz00_1091;

				BgL_ez00_1090 = BgL_ez00_3418;
				BgL_nz00_1091 = BgL_nz00_3419;
				{	/* Eval/evaluate_fsize.scm 143 */
					obj_t BgL_arg1559z00_1096;

					BgL_arg1559z00_1096 =
						(((BgL_ev_gotoz00_bglt) CREF(BgL_ez00_1090))->BgL_argsz00);
					{
						obj_t BgL_lz00_2493;
						obj_t BgL_nz00_2494;
						obj_t BgL_rz00_2495;

						BgL_lz00_2493 = BgL_arg1559z00_1096;
						BgL_nz00_2494 = BgL_nz00_1091;
						BgL_rz00_2495 = BgL_nz00_1091;
					BgL_recz00_2492:
						if (NULLP(BgL_lz00_2493))
							{	/* Eval/evaluate_fsize.scm 143 */
								return
									BGl_2maxz00zz__r4_numbers_6_5z00(BgL_nz00_2494,
									BgL_rz00_2495);
							}
						else
							{	/* Eval/evaluate_fsize.scm 143 */
								obj_t BgL_arg1562z00_2508;
								long BgL_arg1563z00_2509;
								obj_t BgL_arg1564z00_2510;

								BgL_arg1562z00_2508 = CDR(BgL_lz00_2493);
								BgL_arg1563z00_2509 = ((long) CINT(BgL_nz00_2494) + ((long) 1));
								{	/* Eval/evaluate_fsize.scm 143 */
									int BgL_xz00_2511;

									{	/* Eval/evaluate_fsize.scm 143 */
										obj_t BgL_arg1565z00_2513;

										BgL_arg1565z00_2513 = CAR(BgL_lz00_2493);
										BgL_xz00_2511 =
											BGl_fsiza7eza7zz__evaluate_fsiza7eza7(
											((BgL_ev_exprz00_bglt) BgL_arg1565z00_2513),
											CINT(BgL_nz00_2494));
									}
									BgL_arg1564z00_2510 =
										BGl_2maxz00zz__r4_numbers_6_5z00(BINT(BgL_xz00_2511),
										BgL_rz00_2495);
								}
								{
									obj_t BgL_rz00_4560;
									obj_t BgL_nz00_4558;
									obj_t BgL_lz00_4557;

									BgL_lz00_4557 = BgL_arg1562z00_2508;
									BgL_nz00_4558 = BINT(BgL_arg1563z00_2509);
									BgL_rz00_4560 = BgL_arg1564z00_2510;
									BgL_rz00_2495 = BgL_rz00_4560;
									BgL_nz00_2494 = BgL_nz00_4558;
									BgL_lz00_2493 = BgL_lz00_4557;
									goto BgL_recz00_2492;
								}
							}
					}
				}
			}
		}
	}



/* &fsize-ev_labels1271 */
	obj_t BGl_z62fsiza7ezd2ev_labels1271z17zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3420, BgL_ev_labelsz00_bglt BgL_ez00_3421, obj_t BgL_nz00_3422)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 134 */
			{
				BgL_ev_labelsz00_bglt BgL_ez00_1066;
				obj_t BgL_nz00_1067;

				BgL_ez00_1066 = BgL_ez00_3421;
				BgL_nz00_1067 = BgL_nz00_3422;
				{
					obj_t BgL_lz00_1073;
					obj_t BgL_rz00_1074;

					BgL_lz00_1073 =
						(((BgL_ev_labelsz00_bglt) CREF(BgL_ez00_1066))->BgL_valsz00);
					BgL_rz00_1074 = BgL_nz00_1067;
				BgL_zc3anonymousza31548ze3z83_1075:
					if (NULLP(BgL_lz00_1073))
						{	/* Eval/evaluate_fsize.scm 138 */
							int BgL_xz00_1077;

							BgL_xz00_1077 =
								BGl_fsiza7eza7zz__evaluate_fsiza7eza7(
								(((BgL_ev_labelsz00_bglt) CREF(BgL_ez00_1066))->BgL_bodyz00),
								CINT(BgL_nz00_1067));
							return
								BGl_2maxz00zz__r4_numbers_6_5z00(BINT(BgL_xz00_1077),
								BgL_rz00_1074);
						}
					else
						{	/* Eval/evaluate_fsize.scm 139 */
							obj_t BgL_arg1553z00_1080;
							obj_t BgL_arg1554z00_1081;

							BgL_arg1553z00_1080 = CDR(BgL_lz00_1073);
							{	/* Eval/evaluate_fsize.scm 139 */
								int BgL_xz00_1082;

								{	/* Eval/evaluate_fsize.scm 139 */
									obj_t BgL_arg1555z00_1084;
									long BgL_arg1556z00_1085;

									{	/* Eval/evaluate_fsize.scm 139 */
										obj_t BgL_pairz00_2446;

										BgL_pairz00_2446 = BgL_lz00_1073;
										BgL_arg1555z00_1084 = CDR(CAR(BgL_pairz00_2446));
									}
									{	/* Eval/evaluate_fsize.scm 139 */
										long BgL_auxz00_4571;

										{	/* Eval/evaluate_fsize.scm 139 */
											obj_t BgL_auxz00_4573;

											{	/* Eval/evaluate_fsize.scm 139 */
												obj_t BgL_pairz00_2450;

												BgL_pairz00_2450 = BgL_lz00_1073;
												BgL_auxz00_4573 = CAR(CAR(BgL_pairz00_2450));
											}
											BgL_auxz00_4571 = bgl_list_length(BgL_auxz00_4573);
										}
										BgL_arg1556z00_1085 =
											((long) CINT(BgL_nz00_1067) + BgL_auxz00_4571);
									}
									BgL_xz00_1082 =
										BGl_fsiza7eza7zz__evaluate_fsiza7eza7(
										((BgL_ev_exprz00_bglt) BgL_arg1555z00_1084),
										(int) (BgL_arg1556z00_1085));
								}
								BgL_arg1554z00_1081 =
									BGl_2maxz00zz__r4_numbers_6_5z00(BINT(BgL_xz00_1082),
									BgL_rz00_1074);
							}
							{
								obj_t BgL_rz00_4584;
								obj_t BgL_lz00_4583;

								BgL_lz00_4583 = BgL_arg1553z00_1080;
								BgL_rz00_4584 = BgL_arg1554z00_1081;
								BgL_rz00_1074 = BgL_rz00_4584;
								BgL_lz00_1073 = BgL_lz00_4583;
								goto BgL_zc3anonymousza31548ze3z83_1075;
							}
						}
				}
			}
		}
	}



/* &fsize-ev_letrec1269 */
	obj_t BGl_z62fsiza7ezd2ev_letrec1269z17zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3423, BgL_ev_letrecz00_bglt BgL_ez00_3424, obj_t BgL_nz00_3425)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 126 */
			{
				BgL_ev_letrecz00_bglt BgL_ez00_1042;
				int BgL_nz00_1043;

				BgL_ez00_1042 = BgL_ez00_3424;
				BgL_nz00_1043 = CINT(BgL_nz00_3425);
				{	/* Eval/evaluate_fsize.scm 128 */
					long BgL_nz00_1047;

					BgL_nz00_1047 =
						(
						(long) (BgL_nz00_1043) +
						bgl_list_length(
							(((BgL_ev_binderz00_bglt) CREF(
										((BgL_ev_binderz00_bglt) BgL_ez00_1042)))->BgL_valsz00)));
					{
						obj_t BgL_lz00_1050;
						obj_t BgL_rz00_1051;

						{	/* Eval/evaluate_fsize.scm 129 */
							obj_t BgL_arg1533z00_1049;

							BgL_arg1533z00_1049 =
								(((BgL_ev_binderz00_bglt) CREF(
										((BgL_ev_binderz00_bglt) BgL_ez00_1042)))->BgL_valsz00);
							BgL_lz00_1050 = BgL_arg1533z00_1049;
							BgL_rz00_1051 = BINT(BgL_nz00_1047);
						BgL_zc3anonymousza31534ze3z83_1052:
							if (NULLP(BgL_lz00_1050))
								{	/* Eval/evaluate_fsize.scm 131 */
									int BgL_xz00_1054;

									{	/* Eval/evaluate_fsize.scm 131 */
										BgL_ev_exprz00_bglt BgL_arg1536z00_1056;

										BgL_arg1536z00_1056 =
											(((BgL_ev_binderz00_bglt) CREF(
													((BgL_ev_binderz00_bglt) BgL_ez00_1042)))->
											BgL_bodyz00);
										BgL_xz00_1054 =
											BGl_fsiza7eza7zz__evaluate_fsiza7eza7(BgL_arg1536z00_1056,
											(int) (BgL_nz00_1047));
									}
									return
										BGl_2maxz00zz__r4_numbers_6_5z00(BINT(BgL_xz00_1054),
										BgL_rz00_1051);
								}
							else
								{	/* Eval/evaluate_fsize.scm 132 */
									obj_t BgL_arg1537z00_1057;
									obj_t BgL_arg1543z00_1058;

									BgL_arg1537z00_1057 = CDR(BgL_lz00_1050);
									{	/* Eval/evaluate_fsize.scm 132 */
										int BgL_xz00_1059;

										{	/* Eval/evaluate_fsize.scm 132 */
											obj_t BgL_arg1544z00_1061;

											BgL_arg1544z00_1061 = CAR(BgL_lz00_1050);
											BgL_xz00_1059 =
												BGl_fsiza7eza7zz__evaluate_fsiza7eza7(
												((BgL_ev_exprz00_bglt) BgL_arg1544z00_1061),
												(int) (BgL_nz00_1047));
										}
										BgL_arg1543z00_1058 =
											BGl_2maxz00zz__r4_numbers_6_5z00(BINT(BgL_xz00_1059),
											BgL_rz00_1051);
									}
									{
										obj_t BgL_rz00_4609;
										obj_t BgL_lz00_4608;

										BgL_lz00_4608 = BgL_arg1537z00_1057;
										BgL_rz00_4609 = BgL_arg1543z00_1058;
										BgL_rz00_1051 = BgL_rz00_4609;
										BgL_lz00_1050 = BgL_lz00_4608;
										goto BgL_zc3anonymousza31534ze3z83_1052;
									}
								}
						}
					}
				}
			}
		}
	}



/* &fsize-ev_let*1267 */
	obj_t BGl_z62fsiza7ezd2ev_letza21267zb5zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3426, BgL_ev_letza2za2_bglt BgL_ez00_3427, obj_t BgL_nz00_3428)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 119 */
			{
				BgL_ev_letza2za2_bglt BgL_ez00_1019;
				int BgL_nz00_1020;

				BgL_ez00_1019 = BgL_ez00_3427;
				BgL_nz00_1020 = CINT(BgL_nz00_3428);
				{	/* Eval/evaluate_fsize.scm 121 */
					obj_t BgL_arg1522z00_1025;

					BgL_arg1522z00_1025 =
						(((BgL_ev_binderz00_bglt) CREF(
								((BgL_ev_binderz00_bglt) BgL_ez00_1019)))->BgL_valsz00);
					{
						obj_t BgL_lz00_2406;
						int BgL_nz00_2407;
						obj_t BgL_rz00_2408;

						BgL_lz00_2406 = BgL_arg1522z00_1025;
						BgL_nz00_2407 = BgL_nz00_1020;
						BgL_rz00_2408 = BINT(BgL_nz00_1020);
					BgL_recz00_2405:
						if (NULLP(BgL_lz00_2406))
							{	/* Eval/evaluate_fsize.scm 121 */
								int BgL_xz00_2420;

								{	/* Eval/evaluate_fsize.scm 121 */
									BgL_ev_exprz00_bglt BgL_arg1526z00_2422;

									BgL_arg1526z00_2422 =
										(((BgL_ev_binderz00_bglt) CREF(
												((BgL_ev_binderz00_bglt) BgL_ez00_1019)))->BgL_bodyz00);
									BgL_xz00_2420 =
										BGl_fsiza7eza7zz__evaluate_fsiza7eza7(BgL_arg1526z00_2422,
										BgL_nz00_2407);
								}
								return
									BGl_2maxz00zz__r4_numbers_6_5z00(BINT(BgL_xz00_2420),
									BgL_rz00_2408);
							}
						else
							{	/* Eval/evaluate_fsize.scm 121 */
								obj_t BgL_arg1527z00_2423;
								long BgL_arg1528z00_2424;
								obj_t BgL_arg1531z00_2425;

								BgL_arg1527z00_2423 = CDR(BgL_lz00_2406);
								BgL_arg1528z00_2424 = ((long) (BgL_nz00_2407) + ((long) 1));
								{	/* Eval/evaluate_fsize.scm 121 */
									int BgL_xz00_2426;

									{	/* Eval/evaluate_fsize.scm 121 */
										obj_t BgL_arg1532z00_2428;

										BgL_arg1532z00_2428 = CAR(BgL_lz00_2406);
										BgL_xz00_2426 =
											BGl_fsiza7eza7zz__evaluate_fsiza7eza7(
											((BgL_ev_exprz00_bglt) BgL_arg1532z00_2428),
											BgL_nz00_2407);
									}
									BgL_arg1531z00_2425 =
										BGl_2maxz00zz__r4_numbers_6_5z00(BINT(BgL_xz00_2426),
										BgL_rz00_2408);
								}
								{
									obj_t BgL_rz00_4632;
									int BgL_nz00_4630;
									obj_t BgL_lz00_4629;

									BgL_lz00_4629 = BgL_arg1527z00_2423;
									BgL_nz00_4630 = (int) (BgL_arg1528z00_2424);
									BgL_rz00_4632 = BgL_arg1531z00_2425;
									BgL_rz00_2408 = BgL_rz00_4632;
									BgL_nz00_2407 = BgL_nz00_4630;
									BgL_lz00_2406 = BgL_lz00_4629;
									goto BgL_recz00_2405;
								}
							}
					}
				}
			}
		}
	}



/* &fsize-ev_let1265 */
	obj_t BGl_z62fsiza7ezd2ev_let1265z17zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3429, BgL_ev_letz00_bglt BgL_ez00_3430, obj_t BgL_nz00_3431)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 112 */
			{
				BgL_ev_letz00_bglt BgL_ez00_996;
				int BgL_nz00_997;

				BgL_ez00_996 = BgL_ez00_3430;
				BgL_nz00_997 = CINT(BgL_nz00_3431);
				{	/* Eval/evaluate_fsize.scm 114 */
					obj_t BgL_arg1512z00_1002;

					BgL_arg1512z00_1002 =
						(((BgL_ev_binderz00_bglt) CREF(
								((BgL_ev_binderz00_bglt) BgL_ez00_996)))->BgL_valsz00);
					{
						obj_t BgL_lz00_2338;
						int BgL_nz00_2339;
						obj_t BgL_rz00_2340;

						BgL_lz00_2338 = BgL_arg1512z00_1002;
						BgL_nz00_2339 = BgL_nz00_997;
						BgL_rz00_2340 = BINT(BgL_nz00_997);
					BgL_recz00_2337:
						if (NULLP(BgL_lz00_2338))
							{	/* Eval/evaluate_fsize.scm 114 */
								int BgL_xz00_2352;

								{	/* Eval/evaluate_fsize.scm 114 */
									BgL_ev_exprz00_bglt BgL_arg1515z00_2354;

									BgL_arg1515z00_2354 =
										(((BgL_ev_binderz00_bglt) CREF(
												((BgL_ev_binderz00_bglt) BgL_ez00_996)))->BgL_bodyz00);
									BgL_xz00_2352 =
										BGl_fsiza7eza7zz__evaluate_fsiza7eza7(BgL_arg1515z00_2354,
										BgL_nz00_2339);
								}
								return
									BGl_2maxz00zz__r4_numbers_6_5z00(BINT(BgL_xz00_2352),
									BgL_rz00_2340);
							}
						else
							{	/* Eval/evaluate_fsize.scm 114 */
								obj_t BgL_arg1516z00_2355;
								long BgL_arg1517z00_2356;
								obj_t BgL_arg1520z00_2357;

								BgL_arg1516z00_2355 = CDR(BgL_lz00_2338);
								BgL_arg1517z00_2356 = ((long) (BgL_nz00_2339) + ((long) 1));
								{	/* Eval/evaluate_fsize.scm 114 */
									int BgL_xz00_2358;

									{	/* Eval/evaluate_fsize.scm 114 */
										obj_t BgL_arg1521z00_2360;

										BgL_arg1521z00_2360 = CAR(BgL_lz00_2338);
										BgL_xz00_2358 =
											BGl_fsiza7eza7zz__evaluate_fsiza7eza7(
											((BgL_ev_exprz00_bglt) BgL_arg1521z00_2360),
											BgL_nz00_2339);
									}
									BgL_arg1520z00_2357 =
										BGl_2maxz00zz__r4_numbers_6_5z00(BINT(BgL_xz00_2358),
										BgL_rz00_2340);
								}
								{
									obj_t BgL_rz00_4655;
									int BgL_nz00_4653;
									obj_t BgL_lz00_4652;

									BgL_lz00_4652 = BgL_arg1516z00_2355;
									BgL_nz00_4653 = (int) (BgL_arg1517z00_2356);
									BgL_rz00_4655 = BgL_arg1520z00_2357;
									BgL_rz00_2340 = BgL_rz00_4655;
									BgL_nz00_2339 = BgL_nz00_4653;
									BgL_lz00_2338 = BgL_lz00_4652;
									goto BgL_recz00_2337;
								}
							}
					}
				}
			}
		}
	}



/* &fsize-ev_with-handle1263 */
	obj_t BGl_z62fsiza7ezd2ev_withzd2handle1263zc5zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3432, BgL_ev_withzd2handlerzd2_bglt BgL_ez00_3433,
		obj_t BgL_nz00_3434)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 108 */
			{
				BgL_ev_withzd2handlerzd2_bglt BgL_ez00_986;
				int BgL_nz00_987;

				BgL_ez00_986 = BgL_ez00_3433;
				BgL_nz00_987 = CINT(BgL_nz00_3434);
				{	/* Eval/evaluate_fsize.scm 109 */
					int BgL_xz00_2296;
					int BgL_yz00_2297;

					BgL_xz00_2296 =
						BGl_fsiza7eza7zz__evaluate_fsiza7eza7(
						(((BgL_ev_withzd2handlerzd2_bglt) CREF(BgL_ez00_986))->
							BgL_handlerz00), BgL_nz00_987);
					BgL_yz00_2297 =
						BGl_fsiza7eza7zz__evaluate_fsiza7eza7(((
								(BgL_ev_withzd2handlerzd2_bglt) CREF(BgL_ez00_986))->
							BgL_bodyz00), BgL_nz00_987);
					return BGl_2maxz00zz__r4_numbers_6_5z00(BINT(BgL_xz00_2296),
						BINT(BgL_yz00_2297));
				}
			}
		}
	}



/* &fsize-ev_unwind-prot1261 */
	obj_t BGl_z62fsiza7ezd2ev_unwindzd2prot1261zc5zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3435, BgL_ev_unwindzd2protectzd2_bglt BgL_ez00_3436,
		obj_t BgL_nz00_3437)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 104 */
			{
				BgL_ev_unwindzd2protectzd2_bglt BgL_ez00_976;
				int BgL_nz00_977;

				BgL_ez00_976 = BgL_ez00_3436;
				BgL_nz00_977 = CINT(BgL_nz00_3437);
				{	/* Eval/evaluate_fsize.scm 105 */
					int BgL_xz00_2291;
					int BgL_yz00_2292;

					BgL_xz00_2291 =
						BGl_fsiza7eza7zz__evaluate_fsiza7eza7(
						(((BgL_ev_unwindzd2protectzd2_bglt) CREF(BgL_ez00_976))->BgL_ez00),
						BgL_nz00_977);
					BgL_yz00_2292 =
						BGl_fsiza7eza7zz__evaluate_fsiza7eza7(((
								(BgL_ev_unwindzd2protectzd2_bglt) CREF(BgL_ez00_976))->
							BgL_bodyz00), BgL_nz00_977);
					return BGl_2maxz00zz__r4_numbers_6_5z00(BINT(BgL_xz00_2291),
						BINT(BgL_yz00_2292));
				}
			}
		}
	}



/* &fsize-ev_bind-exit1259 */
	obj_t BGl_z62fsiza7ezd2ev_bindzd2exit1259zc5zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3438, BgL_ev_bindzd2exitzd2_bglt BgL_ez00_3439,
		obj_t BgL_nz00_3440)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 100 */
			{
				BgL_ev_bindzd2exitzd2_bglt BgL_ez00_968;
				int BgL_nz00_969;

				{	/* Eval/evaluate_fsize.scm 101 */
					int BgL_auxz00_4674;

					BgL_ez00_968 = BgL_ez00_3439;
					BgL_nz00_969 = CINT(BgL_nz00_3440);
					{	/* Eval/evaluate_fsize.scm 101 */
						BgL_ev_exprz00_bglt BgL_arg1506z00_2285;
						long BgL_arg1507z00_2286;

						BgL_arg1506z00_2285 =
							(((BgL_ev_bindzd2exitzd2_bglt) CREF(BgL_ez00_968))->BgL_bodyz00);
						BgL_arg1507z00_2286 = ((long) (BgL_nz00_969) + ((long) 1));
						BgL_auxz00_4674 =
							BGl_fsiza7eza7zz__evaluate_fsiza7eza7(BgL_arg1506z00_2285,
							(int) (BgL_arg1507z00_2286));
					}
					return BINT(BgL_auxz00_4674);
				}
			}
		}
	}



/* &fsize-ev_hook1257 */
	obj_t BGl_z62fsiza7ezd2ev_hook1257z17zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3441, BgL_ev_hookz00_bglt BgL_ez00_3442, obj_t BgL_nz00_3443)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 96 */
			{
				BgL_ev_hookz00_bglt BgL_ez00_961;
				int BgL_nz00_962;

				{	/* Eval/evaluate_fsize.scm 97 */
					int BgL_auxz00_4682;

					BgL_ez00_961 = BgL_ez00_3442;
					BgL_nz00_962 = CINT(BgL_nz00_3443);
					BgL_auxz00_4682 =
						BGl_fsiza7eza7zz__evaluate_fsiza7eza7(
						(((BgL_ev_hookz00_bglt) CREF(BgL_ez00_961))->BgL_ez00),
						BgL_nz00_962);
					return BINT(BgL_auxz00_4682);
				}
			}
		}
	}



/* &fsize-ev_prog21255 */
	obj_t BGl_z62fsiza7ezd2ev_prog21255z17zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3444, BgL_ev_prog2z00_bglt BgL_ez00_3445, obj_t BgL_nz00_3446)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 92 */
			{
				BgL_ev_prog2z00_bglt BgL_ez00_951;
				int BgL_nz00_952;

				BgL_ez00_951 = BgL_ez00_3445;
				BgL_nz00_952 = CINT(BgL_nz00_3446);
				{	/* Eval/evaluate_fsize.scm 93 */
					int BgL_xz00_2278;
					int BgL_yz00_2279;

					BgL_xz00_2278 =
						BGl_fsiza7eza7zz__evaluate_fsiza7eza7(
						(((BgL_ev_prog2z00_bglt) CREF(BgL_ez00_951))->BgL_e1z00),
						BgL_nz00_952);
					BgL_yz00_2279 =
						BGl_fsiza7eza7zz__evaluate_fsiza7eza7((((BgL_ev_prog2z00_bglt)
								CREF(BgL_ez00_951))->BgL_e2z00), BgL_nz00_952);
					return BGl_2maxz00zz__r4_numbers_6_5z00(BINT(BgL_xz00_2278),
						BINT(BgL_yz00_2279));
				}
			}
		}
	}



/* &fsize-ev_list1253 */
	obj_t BGl_z62fsiza7ezd2ev_list1253z17zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3447, BgL_ev_listz00_bglt BgL_ez00_3448, obj_t BgL_nz00_3449)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 85 */
			{
				BgL_ev_listz00_bglt BgL_ez00_933;
				int BgL_nz00_934;

				BgL_ez00_933 = BgL_ez00_3448;
				BgL_nz00_934 = CINT(BgL_nz00_3449);
				{	/* Eval/evaluate_fsize.scm 87 */
					obj_t BgL_arg1497z00_939;

					BgL_arg1497z00_939 =
						(((BgL_ev_listz00_bglt) CREF(BgL_ez00_933))->BgL_argsz00);
					{
						obj_t BgL_lz00_2259;
						obj_t BgL_rz00_2260;

						BgL_lz00_2259 = BgL_arg1497z00_939;
						BgL_rz00_2260 = BINT(BgL_nz00_934);
					BgL_recz00_2258:
						if (NULLP(BgL_lz00_2259))
							{	/* Eval/evaluate_fsize.scm 87 */
								return BgL_rz00_2260;
							}
						else
							{	/* Eval/evaluate_fsize.scm 87 */
								obj_t BgL_arg1500z00_2268;
								obj_t BgL_arg1501z00_2269;

								BgL_arg1500z00_2268 = CDR(BgL_lz00_2259);
								{	/* Eval/evaluate_fsize.scm 87 */
									int BgL_yz00_2271;

									{	/* Eval/evaluate_fsize.scm 87 */
										obj_t BgL_arg1502z00_2272;

										BgL_arg1502z00_2272 = CAR(BgL_lz00_2259);
										BgL_yz00_2271 =
											BGl_fsiza7eza7zz__evaluate_fsiza7eza7(
											((BgL_ev_exprz00_bglt) BgL_arg1502z00_2272),
											BgL_nz00_934);
									}
									BgL_arg1501z00_2269 =
										BGl_2maxz00zz__r4_numbers_6_5z00(BgL_rz00_2260,
										BINT(BgL_yz00_2271));
								}
								{
									obj_t BgL_rz00_4705;
									obj_t BgL_lz00_4704;

									BgL_lz00_4704 = BgL_arg1500z00_2268;
									BgL_rz00_4705 = BgL_arg1501z00_2269;
									BgL_rz00_2260 = BgL_rz00_4705;
									BgL_lz00_2259 = BgL_lz00_4704;
									goto BgL_recz00_2258;
								}
							}
					}
				}
			}
		}
	}



/* &fsize-ev_if1251 */
	obj_t BGl_z62fsiza7ezd2ev_if1251z17zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3450, BgL_ev_ifz00_bglt BgL_ez00_3451, obj_t BgL_nz00_3452)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 81 */
			{
				BgL_ev_ifz00_bglt BgL_ez00_920;
				int BgL_nz00_921;

				BgL_ez00_920 = BgL_ez00_3451;
				BgL_nz00_921 = CINT(BgL_nz00_3452);
				{	/* Eval/evaluate_fsize.scm 82 */
					int BgL_arg1489z00_2229;
					obj_t BgL_arg1491z00_2230;

					BgL_arg1489z00_2229 =
						BGl_fsiza7eza7zz__evaluate_fsiza7eza7(
						(((BgL_ev_ifz00_bglt) CREF(BgL_ez00_920))->BgL_pz00), BgL_nz00_921);
					{	/* Eval/evaluate_fsize.scm 82 */
						int BgL_xz00_2232;
						int BgL_yz00_2233;

						BgL_xz00_2232 =
							BGl_fsiza7eza7zz__evaluate_fsiza7eza7(
							(((BgL_ev_ifz00_bglt) CREF(BgL_ez00_920))->BgL_tz00),
							BgL_nz00_921);
						BgL_yz00_2233 =
							BGl_fsiza7eza7zz__evaluate_fsiza7eza7((((BgL_ev_ifz00_bglt)
									CREF(BgL_ez00_920))->BgL_ez00), BgL_nz00_921);
						BgL_arg1491z00_2230 =
							BGl_2maxz00zz__r4_numbers_6_5z00(BINT(BgL_xz00_2232),
							BINT(BgL_yz00_2233));
					}
					return
						BGl_2maxz00zz__r4_numbers_6_5z00(BINT(BgL_arg1489z00_2229),
						BgL_arg1491z00_2230);
				}
			}
		}
	}



/* &fsize-ev_litt1249 */
	obj_t BGl_z62fsiza7ezd2ev_litt1249z17zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3453, BgL_ev_littz00_bglt BgL_ez00_3454, obj_t BgL_nz00_3455)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 78 */
			return BINT(CINT(BgL_nz00_3455));
		}
	}



/* &fsize-ev_global1247 */
	obj_t BGl_z62fsiza7ezd2ev_global1247z17zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3456, BgL_ev_globalz00_bglt BgL_varz00_3457, obj_t BgL_nz00_3458)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 75 */
			return BINT(CINT(BgL_nz00_3458));
		}
	}



/* &fsize-ev_var1245 */
	obj_t BGl_z62fsiza7ezd2ev_var1245z17zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3459, BgL_ev_varz00_bglt BgL_ez00_3460, obj_t BgL_nz00_3461)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 72 */
			return BINT(CINT(BgL_nz00_3461));
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zz__evaluate_fsiza7eza7()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 16 */
			BGl_modulezd2initializa7ationz75zz__typez00(((long) 278771016),
				BSTRING_TO_STRING(BGl_string2231z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 373318193),
				BSTRING_TO_STRING(BGl_string2231z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__biglooz00(((long) 162724851),
				BSTRING_TO_STRING(BGl_string2231z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__tvectorz00(((long) 135276775),
				BSTRING_TO_STRING(BGl_string2231z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__structurez00(((long) 128218210),
				BSTRING_TO_STRING(BGl_string2231z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__bexitz00(((long) 159639574),
				BSTRING_TO_STRING(BGl_string2231z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__bignumz00(((long) 6519932),
				BSTRING_TO_STRING(BGl_string2231z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__osz00(((long) 438451175),
				BSTRING_TO_STRING(BGl_string2231z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__dssslz00(((long) 443936801),
				BSTRING_TO_STRING(BGl_string2231z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__bitz00(((long) 317260169),
				BSTRING_TO_STRING(BGl_string2231z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__paramz00(((long) 441709255),
				BSTRING_TO_STRING(BGl_string2231z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 426797061),
				BSTRING_TO_STRING(BGl_string2231z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__threadz00(((long) 220651073),
				BSTRING_TO_STRING(BGl_string2231z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long) 359798486),
				BSTRING_TO_STRING(BGl_string2231z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long)
					249410258),
				BSTRING_TO_STRING(BGl_string2231z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(((long)
					53386681),
				BSTRING_TO_STRING(BGl_string2231z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonum_dtoaz00(((long)
					268155843),
				BSTRING_TO_STRING(BGl_string2231z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(((long)
					198620800),
				BSTRING_TO_STRING(BGl_string2231z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long)
					473309430),
				BSTRING_TO_STRING(BGl_string2231z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(((long) 459519430),
				BSTRING_TO_STRING(BGl_string2231z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long) 460263214),
				BSTRING_TO_STRING(BGl_string2231z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 97251556),
				BSTRING_TO_STRING(BGl_string2231z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)
					47127928),
				BSTRING_TO_STRING(BGl_string2231z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__r4_input_6_10_2z00(((long) 415828492),
				BSTRING_TO_STRING(BGl_string2231z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(((long)
					317842797),
				BSTRING_TO_STRING(BGl_string2231z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(((long)
					228151370),
				BSTRING_TO_STRING(BGl_string2231z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 509771705),
				BSTRING_TO_STRING(BGl_string2231z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 451655587),
				BSTRING_TO_STRING(BGl_string2231z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long)
					268291731),
				BSTRING_TO_STRING(BGl_string2231z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__ppz00(((long) 233942021),
				BSTRING_TO_STRING(BGl_string2231z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 220648206),
				BSTRING_TO_STRING(BGl_string2231z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__prognz00(((long) 177147622),
				BSTRING_TO_STRING(BGl_string2231z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__expandz00(((long) 511051588),
				BSTRING_TO_STRING(BGl_string2231z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__evenvz00(((long) 335718988),
				BSTRING_TO_STRING(BGl_string2231z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__evcompilez00(((long) 492754569),
				BSTRING_TO_STRING(BGl_string2231z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__everrorz00(((long) 375872221),
				BSTRING_TO_STRING(BGl_string2231z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__evmodulez00(((long) 405883817),
				BSTRING_TO_STRING(BGl_string2231z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__evaluate_uncompz00(((long) 193509656),
				BSTRING_TO_STRING(BGl_string2231z00zz__evaluate_fsiza7eza7));
			return BGl_modulezd2initializa7ationz75zz__evaluate_typesz00(((long) 0),
				BSTRING_TO_STRING(BGl_string2231z00zz__evaluate_fsiza7eza7));
		}
	}

#ifdef __cplusplus
}
#endif
