/*===========================================================================*/
/*   (Eval/evaluate_types.scm)                                               */
/*   Bigloo (3.8a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Thu Mar 29 06:52:41 CEST 2012       */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -srfi enable-gmp -srfi bigloo-unsafe -O3 -fcfa-arithmetic -q +rm -lib-dir /users/serrano/prgm/project/bigloo/lib/3.8a -mklib -cc gcc -fsharing -q -no-hello -copt -fPIC -unsafe -safee -O4 -c Eval/evaluate_types.scm -indent -o objs/obj_u/Eval/evaluate_types.c)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_ev_exprz00_bgl
	{
		header_t header;
		obj_t widening;
	}                 *BgL_ev_exprz00_bglt;

	typedef struct BgL_ev_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
		obj_t BgL_effz00;
		obj_t BgL_typez00;
	}                *BgL_ev_varz00_bglt;

	typedef struct BgL_ev_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_namez00;
		obj_t BgL_modz00;
	}                   *BgL_ev_globalz00_bglt;

	typedef struct BgL_ev_littz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_valuez00;
	}                 *BgL_ev_littz00_bglt;

	typedef struct BgL_ev_ifz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_pz00;
		struct BgL_ev_exprz00_bgl *BgL_tz00;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
	}               *BgL_ev_ifz00_bglt;

	typedef struct BgL_ev_listz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_argsz00;
	}                 *BgL_ev_listz00_bglt;

	typedef struct BgL_ev_orz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_argsz00;
	}               *BgL_ev_orz00_bglt;

	typedef struct BgL_ev_andz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_argsz00;
	}                *BgL_ev_andz00_bglt;

	typedef struct BgL_ev_prog2z00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_e1z00;
		struct BgL_ev_exprz00_bgl *BgL_e2z00;
	}                  *BgL_ev_prog2z00_bglt;

	typedef struct BgL_ev_hookz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
	}                 *BgL_ev_hookz00_bglt;

	typedef struct BgL_ev_trapz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
	}                 *BgL_ev_trapz00_bglt;

	typedef struct BgL_ev_setlocalz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		struct BgL_ev_varz00_bgl *BgL_vz00;
	}                     *BgL_ev_setlocalz00_bglt;

	typedef struct BgL_ev_setglobalz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		obj_t BgL_locz00;
		obj_t BgL_namez00;
		obj_t BgL_modz00;
	}                      *BgL_ev_setglobalz00_bglt;

	typedef struct BgL_ev_defglobalz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		obj_t BgL_locz00;
		obj_t BgL_namez00;
		obj_t BgL_modz00;
	}                      *BgL_ev_defglobalz00_bglt;

	typedef struct BgL_ev_bindzd2exitzd2_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_varz00_bgl *BgL_varz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                        *BgL_ev_bindzd2exitzd2_bglt;

	typedef struct BgL_ev_unwindzd2protectzd2_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                             *BgL_ev_unwindzd2protectzd2_bglt;

	typedef struct BgL_ev_withzd2handlerzd2_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_handlerz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                           *BgL_ev_withzd2handlerzd2_bglt;

	typedef struct BgL_ev_binderz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                   *BgL_ev_binderz00_bglt;

	typedef struct BgL_ev_letz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		obj_t BgL_boxesz00;
	}                *BgL_ev_letz00_bglt;

	typedef struct BgL_ev_letza2za2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		obj_t BgL_boxesz00;
	}                   *BgL_ev_letza2za2_bglt;

	typedef struct BgL_ev_letrecz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                   *BgL_ev_letrecz00_bglt;

	typedef struct BgL_ev_labelsz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		obj_t BgL_envz00;
		obj_t BgL_stkz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		obj_t BgL_boxesz00;
	}                   *BgL_ev_labelsz00_bglt;

	typedef struct BgL_ev_gotoz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_ev_varz00_bgl *BgL_labelz00;
		struct BgL_ev_labelsz00_bgl *BgL_labelsz00;
		obj_t BgL_argsz00;
	}                 *BgL_ev_gotoz00_bglt;

	typedef struct BgL_ev_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_ev_exprz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_tailzf3zf3;
	}                *BgL_ev_appz00_bglt;

	typedef struct BgL_ev_absz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_wherez00;
		obj_t BgL_arityz00;
		obj_t BgL_varsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		int BgL_siza7eza7;
		obj_t BgL_bindz00;
		obj_t BgL_freez00;
		obj_t BgL_innerz00;
		obj_t BgL_boxesz00;
	}                *BgL_ev_absz00_bglt;


	static BgL_ev_letza2za2_bglt BGl_z62lambda1846z62zz__evaluate_typesz00(obj_t);
	static BgL_ev_setlocalz00_bglt
		BGl_z62lambda1685z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_exprz00_bglt BGl_z62lambda1766z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1767z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1929z62zz__evaluate_typesz00(obj_t, obj_t);
	static BgL_ev_setlocalz00_bglt
		BGl_z62lambda1688z62zz__evaluate_typesz00(obj_t);
	static obj_t BGl_symbol2480z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2647z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2566z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2485z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62zc3anonymousza31500ze3ze1zz__evaluate_typesz00(obj_t);
	static obj_t BGl_symbol2489z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62zc3anonymousza32027ze3ze1zz__evaluate_typesz00(obj_t);
	static obj_t BGl_z62lambda1930z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_exprz00_bglt BGl_z62lambda1771z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1772z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1853z62zz__evaluate_typesz00(obj_t, obj_t);
	static BgL_ev_labelsz00_bglt BGl_z62lambda1934z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1854z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1935z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_ev_defglobalz00zz__evaluate_typesz00 = BUNSPEC;
	static BgL_ev_varz00_bglt BGl_z62lambda1694z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1695z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_varz00_bglt BGl_z62lambda1939z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static BgL_ev_withzd2handlerzd2_bglt
		BGl_z62lambda1779z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_symbol2651z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2571z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2493z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2658z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2498z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_requirezd2initializa7ationz75zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62lambda1940z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_letrecz00_bglt BGl_z62lambda1861z62zz__evaluate_typesz00(obj_t,
		obj_t, obj_t, obj_t);
	static BgL_ev_withzd2handlerzd2_bglt
		BGl_z62lambda1781z62zz__evaluate_typesz00(obj_t);
	static BgL_ev_letrecz00_bglt BGl_z62lambda1863z62zz__evaluate_typesz00(obj_t);
	static obj_t BGl_z62lambda1944z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1945z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza31896ze3ze1zz__evaluate_typesz00(obj_t);
	static BgL_ev_exprz00_bglt BGl_z62lambda1788z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1789z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_symbol2660z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2580z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2586z00zz__evaluate_typesz00 = BUNSPEC;
	static BgL_ev_appz00_bglt BGl_z62lambda1952z62zz__evaluate_typesz00(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static BgL_ev_labelsz00_bglt BGl_z62lambda1872z62zz__evaluate_typesz00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static BgL_ev_appz00_bglt BGl_z62lambda1954z62zz__evaluate_typesz00(obj_t);
	static BgL_ev_exprz00_bglt BGl_z62lambda1793z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static BgL_ev_labelsz00_bglt BGl_z62lambda1874z62zz__evaluate_typesz00(obj_t);
	static obj_t BGl_z62lambda1794z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_symbol2590z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2597z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62lambda1960z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1961z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_ev_letrecz00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62lambda1882z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1883z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza31995ze3ze1zz__evaluate_typesz00(obj_t);
	static obj_t BGl_z62lambda1965z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1966z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_exprz00_bglt BGl_z62lambda1888z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1889z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_toplevelzd2initzd2zz__evaluate_typesz00();
	static BgL_ev_exprz00_bglt BGl_z62lambda1971z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1972z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1894z62zz__evaluate_typesz00(obj_t, obj_t);
	static BgL_ev_absz00_bglt
		BGl_z62zc3anonymousza31988ze3ze1zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1895z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1976z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1977z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_ev_letz00zz__evaluate_typesz00 = BUNSPEC;
	static BgL_ev_absz00_bglt BGl_z62lambda1984z62zz__evaluate_typesz00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zz__evaluate_typesz00();
	static BgL_ev_absz00_bglt BGl_z62lambda1986z62zz__evaluate_typesz00(obj_t);
	BGL_EXPORTED_DEF obj_t BGl_ev_prog2z00zz__evaluate_typesz00 = BUNSPEC;
	extern obj_t BGl_makezd2classzd2fieldz00zz__objectz00(obj_t, obj_t, obj_t,
		bool_t, bool_t, obj_t, obj_t, obj_t);
	static obj_t BGl_objectzd2initzd2zz__evaluate_typesz00();
	static obj_t BGl_z62lambda1993z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1994z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_ev_bindzd2exitzd2zz__evaluate_typesz00 = BUNSPEC;
	static BgL_ev_globalz00_bglt
		BGl_z62zc3anonymousza31516ze3ze1zz__evaluate_typesz00(obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00 =
		BUNSPEC;
	extern obj_t bstring_to_symbol(obj_t);
	BGL_EXPORTED_DEF obj_t BGl_ev_letza2za2zz__evaluate_typesz00 = BUNSPEC;
	BGL_EXPORTED_DEF obj_t BGl_ev_labelsz00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_methodzd2initzd2zz__evaluate_typesz00();
	static BgL_ev_setglobalz00_bglt
		BGl_z62zc3anonymousza31705ze3ze1zz__evaluate_typesz00(obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_ev_absz00zz__evaluate_typesz00 = BUNSPEC;
	static BgL_ev_orz00_bglt
		BGl_z62zc3anonymousza31616ze3ze1zz__evaluate_typesz00(obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_ev_trapz00zz__evaluate_typesz00 = BUNSPEC;
	static BgL_ev_defglobalz00_bglt
		BGl_z62zc3anonymousza31730ze3ze1zz__evaluate_typesz00(obj_t, obj_t);
	static BgL_ev_prog2z00_bglt
		BGl_z62zc3anonymousza31641ze3ze1zz__evaluate_typesz00(obj_t, obj_t);
	static BgL_ev_binderz00_bglt
		BGl_z62zc3anonymousza31804ze3ze1zz__evaluate_typesz00(obj_t, obj_t);
	static BgL_ev_littz00_bglt
		BGl_z62zc3anonymousza31553ze3ze1zz__evaluate_typesz00(obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_ev_setglobalz00zz__evaluate_typesz00 = BUNSPEC;
	BGL_EXPORTED_DEF obj_t BGl_ev_ifz00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62lambda2001z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2002z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda2008z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2009z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_ev_hookz00zz__evaluate_typesz00 = BUNSPEC;
	static BgL_ev_bindzd2exitzd2_bglt
		BGl_z62zc3anonymousza31741ze3ze1zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza31903ze3ze1zz__evaluate_typesz00(obj_t);
	static obj_t BGl_z62lambda2016z62zz__evaluate_typesz00(obj_t, obj_t);
	static BgL_ev_ifz00_bglt
		BGl_z62zc3anonymousza31571ze3ze1zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2017z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_andz00_bglt
		BGl_z62zc3anonymousza31628ze3ze1zz__evaluate_typesz00(obj_t, obj_t);
	static BgL_ev_letz00_bglt
		BGl_z62zc3anonymousza31831ze3ze1zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2025z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2026z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_exprz00_bglt
		BGl_z62zc3anonymousza31475ze3ze1zz__evaluate_typesz00(obj_t, obj_t);
	static BgL_ev_exprz00_bglt BGl_z62lambda2031z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda2032z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda2036z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2037z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_ev_gotoz00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62lambda2041z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2042z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda2047z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2048z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zz__evaluate_typesz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_input_6_10_2z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonum_dtoaz00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(long, char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__threadz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__dssslz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bignumz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__structurez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__tvectorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__typez00(long, char *);
	BGL_EXPORTED_DEF obj_t BGl_ev_globalz00zz__evaluate_typesz00 = BUNSPEC;
	BGL_EXPORTED_DEF obj_t BGl_ev_binderz00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62lambda2052z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2053z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_hookz00_bglt
		BGl_z62zc3anonymousza31664ze3ze1zz__evaluate_typesz00(obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_ev_listz00zz__evaluate_typesz00 = BUNSPEC;
	static BgL_ev_unwindzd2protectzd2_bglt
		BGl_z62zc3anonymousza31762ze3ze1zz__evaluate_typesz00(obj_t, obj_t);
	static BgL_ev_gotoz00_bglt
		BGl_z62zc3anonymousza31924ze3ze1zz__evaluate_typesz00(obj_t, obj_t);
	static BgL_ev_varz00_bglt
		BGl_z62zc3anonymousza31487ze3ze1zz__evaluate_typesz00(obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_ev_littz00zz__evaluate_typesz00 = BUNSPEC;
	BGL_EXPORTED_DEF obj_t BGl_ev_orz00zz__evaluate_typesz00 = BUNSPEC;
	BGL_EXPORTED_DEF obj_t BGl_ev_varz00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62lambda1504z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1505z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_setlocalz00_bglt
		BGl_z62zc3anonymousza31690ze3ze1zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_cnstzd2initzd2zz__evaluate_typesz00();
	extern obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t,
		long, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zz__evaluate_typesz00();
	static BgL_ev_globalz00_bglt BGl_z62lambda1511z62zz__evaluate_typesz00(obj_t,
		obj_t, obj_t, obj_t);
	static BgL_ev_globalz00_bglt BGl_z62lambda1513z62zz__evaluate_typesz00(obj_t);
	BGL_EXPORTED_DEF obj_t BGl_ev_withzd2handlerzd2zz__evaluate_typesz00 =
		BUNSPEC;
	static obj_t BGl_z62zc3anonymousza32010ze3ze1zz__evaluate_typesz00(obj_t);
	BGL_EXPORTED_DEF obj_t BGl_ev_andz00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62lambda1522z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1603z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1523z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1604z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1528z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza31838ze3ze1zz__evaluate_typesz00(obj_t);
	extern obj_t BGl_objectz00zz__objectz00;
	static obj_t BGl_z62lambda1529z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_symbol2403z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2407z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62zc3anonymousza32003ze3ze1zz__evaluate_typesz00(obj_t);
	static BgL_ev_orz00_bglt BGl_z62lambda1612z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static BgL_ev_orz00_bglt BGl_z62lambda1614z62zz__evaluate_typesz00(obj_t);
	static obj_t BGl_z62lambda1534z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1535z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza31855ze3ze1zz__evaluate_typesz00(obj_t);
	static obj_t BGl_symbol2411z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2416z00zz__evaluate_typesz00 = BUNSPEC;
	static BgL_ev_setglobalz00_bglt
		BGl_z62lambda1701z62zz__evaluate_typesz00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	static BgL_ev_setglobalz00_bglt
		BGl_z62lambda1703z62zz__evaluate_typesz00(obj_t);
	static BgL_ev_andz00_bglt BGl_z62lambda1624z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static BgL_ev_andz00_bglt BGl_z62lambda1626z62zz__evaluate_typesz00(obj_t);
	static BgL_ev_withzd2handlerzd2_bglt
		BGl_z62zc3anonymousza31783ze3ze1zz__evaluate_typesz00(obj_t, obj_t);
	static BgL_ev_littz00_bglt BGl_z62lambda1546z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1709z62zz__evaluate_typesz00(obj_t, obj_t);
	static BgL_ev_letza2za2_bglt
		BGl_z62zc3anonymousza31848ze3ze1zz__evaluate_typesz00(obj_t, obj_t);
	static BgL_ev_littz00_bglt BGl_z62lambda1548z62zz__evaluate_typesz00(obj_t);
	BGL_EXPORTED_DEF obj_t BGl_ev_exprz00zz__evaluate_typesz00 = BUNSPEC;
	BGL_EXPORTED_DEF obj_t BGl_ev_appz00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2420z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2425z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2507z00zz__evaluate_typesz00 = BUNSPEC;
	extern obj_t BGl_classzd2nilzd2zz__objectz00(obj_t);
	static obj_t BGl_z62lambda1710z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_exprz00_bglt BGl_z62lambda1471z62zz__evaluate_typesz00(obj_t);
	static obj_t BGl_z62lambda1714z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1715z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_exprz00_bglt BGl_z62lambda1473z62zz__evaluate_typesz00(obj_t);
	static BgL_ev_prog2z00_bglt BGl_z62lambda1635z62zz__evaluate_typesz00(obj_t,
		obj_t, obj_t);
	static BgL_ev_letrecz00_bglt
		BGl_z62zc3anonymousza31865ze3ze1zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1557z62zz__evaluate_typesz00(obj_t, obj_t);
	static BgL_ev_prog2z00_bglt BGl_z62lambda1638z62zz__evaluate_typesz00(obj_t);
	static obj_t BGl_z62lambda1719z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1558z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_listz00_bglt
		BGl_z62zc3anonymousza31598ze3ze1zz__evaluate_typesz00(obj_t, obj_t);
	static BgL_ev_trapz00_bglt
		BGl_z62zc3anonymousza31679ze3ze1zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_symbol2430z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2513z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2351z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2353z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2435z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2518z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2357z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2439z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2359z00zz__evaluate_typesz00 = BUNSPEC;
	static BgL_ev_binderz00_bglt BGl_z62lambda1800z62zz__evaluate_typesz00(obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1720z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_binderz00_bglt BGl_z62lambda1802z62zz__evaluate_typesz00(obj_t);
	static BgL_ev_varz00_bglt BGl_z62lambda1483z62zz__evaluate_typesz00(obj_t,
		obj_t, obj_t, obj_t);
	static BgL_ev_defglobalz00_bglt
		BGl_z62lambda1726z62zz__evaluate_typesz00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	static BgL_ev_ifz00_bglt BGl_z62lambda1565z62zz__evaluate_typesz00(obj_t,
		obj_t, obj_t, obj_t);
	static BgL_ev_exprz00_bglt BGl_z62lambda1646z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static BgL_ev_varz00_bglt BGl_z62lambda1485z62zz__evaluate_typesz00(obj_t);
	static obj_t BGl_z62lambda1647z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_defglobalz00_bglt
		BGl_z62lambda1728z62zz__evaluate_typesz00(obj_t);
	static BgL_ev_exprz00_bglt BGl_z62lambda1809z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static BgL_ev_ifz00_bglt BGl_z62lambda1567z62zz__evaluate_typesz00(obj_t);
	static obj_t BGl_symbol2601z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2524z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2443z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2607z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2364z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2528z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2448z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2368z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62lambda1810z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_exprz00_bglt BGl_z62lambda1652z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1814z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1653z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1815z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1492z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1493z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_bindzd2exitzd2_bglt
		BGl_z62lambda1736z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_appz00_bglt
		BGl_z62zc3anonymousza31956ze3ze1zz__evaluate_typesz00(obj_t, obj_t);
	static BgL_ev_exprz00_bglt BGl_z62lambda1576z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1819z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1577z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_bindzd2exitzd2_bglt
		BGl_z62lambda1739z62zz__evaluate_typesz00(obj_t);
	static obj_t BGl_z62lambda1498z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1499z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_symbol2370z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2614z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2533z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2455z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2375z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2538z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2379z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62lambda1820z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1901z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1902z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_hookz00_bglt BGl_z62lambda1660z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static BgL_ev_exprz00_bglt BGl_z62lambda1581z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static BgL_ev_hookz00_bglt BGl_z62lambda1662z62zz__evaluate_typesz00(obj_t);
	static obj_t BGl_z62lambda1582z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_letz00_bglt BGl_z62lambda1826z62zz__evaluate_typesz00(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza31884ze3ze1zz__evaluate_typesz00(obj_t);
	static obj_t BGl_z62lambda1907z62zz__evaluate_typesz00(obj_t, obj_t);
	static BgL_ev_exprz00_bglt BGl_z62lambda1746z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1908z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_labelsz00_bglt
		BGl_z62zc3anonymousza31876ze3ze1zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1747z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_letz00_bglt BGl_z62lambda1828z62zz__evaluate_typesz00(obj_t);
	static BgL_ev_exprz00_bglt BGl_z62lambda1587z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static BgL_ev_exprz00_bglt BGl_z62lambda1668z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1588z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1669z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_symbol2622z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2460z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2543z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2464z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2627z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2385z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2469z00zz__evaluate_typesz00 = BUNSPEC;
	BGL_EXPORTED_DEF obj_t BGl_ev_setlocalz00zz__evaluate_typesz00 = BUNSPEC;
	static BgL_ev_varz00_bglt BGl_z62lambda1751z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1913z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1752z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1914z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1836z62zz__evaluate_typesz00(obj_t, obj_t);
	static BgL_ev_listz00_bglt BGl_z62lambda1594z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static BgL_ev_trapz00_bglt BGl_z62lambda1675z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1837z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_listz00_bglt BGl_z62lambda1596z62zz__evaluate_typesz00(obj_t);
	static BgL_ev_trapz00_bglt BGl_z62lambda1677z62zz__evaluate_typesz00(obj_t);
	static BgL_ev_unwindzd2protectzd2_bglt
		BGl_z62lambda1758z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_symbol2632z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2551z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2390z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2637z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2556z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2394z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2639z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2399z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62zc3anonymousza32018ze3ze1zz__evaluate_typesz00(obj_t);
	static BgL_ev_gotoz00_bglt BGl_z62lambda1920z62zz__evaluate_typesz00(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static BgL_ev_unwindzd2protectzd2_bglt
		BGl_z62lambda1760z62zz__evaluate_typesz00(obj_t);
	static BgL_ev_gotoz00_bglt BGl_z62lambda1922z62zz__evaluate_typesz00(obj_t);
	static BgL_ev_letza2za2_bglt BGl_z62lambda1844z62zz__evaluate_typesz00(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static obj_t *__cnst;


	   
		 
		DEFINE_STRING(BGl_string2400z00zz__evaluate_typesz00,
		BgL_bgl_string2400za700za7za7_2662za7, "ev_litt", 7);
	      DEFINE_STRING(BGl_string2404z00zz__evaluate_typesz00,
		BgL_bgl_string2404za700za7za7_2663za7, "e", 1);
	      DEFINE_STRING(BGl_string2408z00zz__evaluate_typesz00,
		BgL_bgl_string2408za700za7za7_2664za7, "t", 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2401z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1577za7622665z00,
		BGl_z62lambda1577z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2402z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1576za7622666z00,
		BGl_z62lambda1576z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2405z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1582za7622667z00,
		BGl_z62lambda1582z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2412z00zz__evaluate_typesz00,
		BgL_bgl_string2412za700za7za7_2668za7, "p", 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2406z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1581za7622669z00,
		BGl_z62lambda1581z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2409z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1588za7622670z00,
		BGl_z62lambda1588z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2417z00zz__evaluate_typesz00,
		BgL_bgl_string2417za700za7za7_2671za7, "ev_if", 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2410z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1587za7622672z00,
		BGl_z62lambda1587z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2413z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72673za7,
		BGl_z62zc3anonymousza31571ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2414z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1567za7622674z00,
		BGl_z62lambda1567z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string2421z00zz__evaluate_typesz00,
		BgL_bgl_string2421za700za7za7_2675za7, "args", 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2415z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1565za7622676z00,
		BGl_z62lambda1565z62zz__evaluate_typesz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2418z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1604za7622677z00,
		BGl_z62lambda1604z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2419z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1603za7622678z00,
		BGl_z62lambda1603z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2426z00zz__evaluate_typesz00,
		BgL_bgl_string2426za700za7za7_2679za7, "ev_list", 7);
	      DEFINE_STRING(BGl_string2508z00zz__evaluate_typesz00,
		BgL_bgl_string2508za700za7za7_2680za7, "ev_unwind-protect", 17);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2500z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1767za7622681z00,
		BGl_z62lambda1767z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2501z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1766za7622682z00,
		BGl_z62lambda1766z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2502z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1772za7622683z00,
		BGl_z62lambda1772z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2503z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1771za7622684z00,
		BGl_z62lambda1771z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2422z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72685za7,
		BGl_z62zc3anonymousza31598ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2504z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72686za7,
		BGl_z62zc3anonymousza31762ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2423z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1596za7622687z00,
		BGl_z62lambda1596z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2505z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1760za7622688z00,
		BGl_z62lambda1760z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2424z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1594za7622689z00,
		BGl_z62lambda1594z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2506z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1758za7622690z00,
		BGl_z62lambda1758z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2431z00zz__evaluate_typesz00,
		BgL_bgl_string2431za700za7za7_2691za7, "ev_or", 5);
	      DEFINE_STRING(BGl_string2514z00zz__evaluate_typesz00,
		BgL_bgl_string2514za700za7za7_2692za7, "handler", 7);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2427z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72693za7,
		BGl_z62zc3anonymousza31616ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2352z00zz__evaluate_typesz00,
		BgL_bgl_string2352za700za7za7_2694za7, "ev_expr", 7);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2509z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1789za7622695z00,
		BGl_z62lambda1789z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2428z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1614za7622696z00,
		BGl_z62lambda1614z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2429z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1612za7622697z00,
		BGl_z62lambda1612z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2354z00zz__evaluate_typesz00,
		BgL_bgl_string2354za700za7za7_2698za7, "__evaluate_types", 16);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2348z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72699za7,
		BGl_z62zc3anonymousza31475ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2436z00zz__evaluate_typesz00,
		BgL_bgl_string2436za700za7za7_2700za7, "ev_and", 6);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2349z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1473za7622701z00,
		BGl_z62lambda1473z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string2519z00zz__evaluate_typesz00,
		BgL_bgl_string2519za700za7za7_2702za7, "ev_with-handler", 15);
	      DEFINE_STRING(BGl_string2358z00zz__evaluate_typesz00,
		BgL_bgl_string2358za700za7za7_2703za7, "type", 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2510z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1788za7622704z00,
		BGl_z62lambda1788z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2511z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1794za7622705z00,
		BGl_z62lambda1794z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2512z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1793za7622706z00,
		BGl_z62lambda1793z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2350z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1471za7622707z00,
		BGl_z62lambda1471z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2432z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72708za7,
		BGl_z62zc3anonymousza31628ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2433z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1626za7622709z00,
		BGl_z62lambda1626z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string2602z00zz__evaluate_typesz00,
		BgL_bgl_string2602za700za7za7_2710za7, "tail?", 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2515z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72711za7,
		BGl_z62zc3anonymousza31783ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2440z00zz__evaluate_typesz00,
		BgL_bgl_string2440za700za7za7_2712za7, "e2", 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2434z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1624za7622713z00,
		BGl_z62lambda1624z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2516z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1781za7622714z00,
		BGl_z62lambda1781z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string2360z00zz__evaluate_typesz00,
		BgL_bgl_string2360za700za7za7_2715za7, "obj", 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2517z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1779za7622716z00,
		BGl_z62lambda1779z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2355z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1493za7622717z00,
		BGl_z62lambda1493z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2437z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1647za7622718z00,
		BGl_z62lambda1647z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2356z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1492za7622719z00,
		BGl_z62lambda1492z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2525z00zz__evaluate_typesz00,
		BgL_bgl_string2525za700za7za7_2720za7, "vals", 4);
	      DEFINE_STRING(BGl_string2444z00zz__evaluate_typesz00,
		BgL_bgl_string2444za700za7za7_2721za7, "e1", 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2438z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1646za7622722z00,
		BGl_z62lambda1646z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2608z00zz__evaluate_typesz00,
		BgL_bgl_string2608za700za7za7_2723za7, "fun", 3);
	      DEFINE_STRING(BGl_string2365z00zz__evaluate_typesz00,
		BgL_bgl_string2365za700za7za7_2724za7, "eff", 3);
	      DEFINE_STRING(BGl_string2529z00zz__evaluate_typesz00,
		BgL_bgl_string2529za700za7za7_2725za7, "vars", 4);
	      DEFINE_STRING(BGl_string2449z00zz__evaluate_typesz00,
		BgL_bgl_string2449za700za7za7_2726za7, "ev_prog2", 8);
	      DEFINE_STRING(BGl_string2369z00zz__evaluate_typesz00,
		BgL_bgl_string2369za700za7za7_2727za7, "name", 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2600z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1960za7622728z00,
		BGl_z62lambda1960z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2520z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1810za7622729z00,
		BGl_z62lambda1810z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2521z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1809za7622730z00,
		BGl_z62lambda1809z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2603z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1966za7622731z00,
		BGl_z62lambda1966z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2522z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1815za7622732z00,
		BGl_z62lambda1815z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2441z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1653za7622733z00,
		BGl_z62lambda1653z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2604z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1965za7622734z00,
		BGl_z62lambda1965z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2523z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1814za7622735z00,
		BGl_z62lambda1814z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2442z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1652za7622736z00,
		BGl_z62lambda1652z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2361z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72737za7,
		BGl_z62zc3anonymousza31500ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2605z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1972za7622738z00,
		BGl_z62lambda1972z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2362z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1499za7622739z00,
		BGl_z62lambda1499z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2606z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1971za7622740z00,
		BGl_z62lambda1971z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2363z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1498za7622741z00,
		BGl_z62lambda1498z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2526z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1820za7622742z00,
		BGl_z62lambda1820z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2445z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72743za7,
		BGl_z62zc3anonymousza31641ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2527z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1819za7622744z00,
		BGl_z62lambda1819z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2446z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1638za7622745z00,
		BGl_z62lambda1638z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string2371z00zz__evaluate_typesz00,
		BgL_bgl_string2371za700za7za7_2746za7, "symbol", 6);
	      DEFINE_STRING(BGl_string2615z00zz__evaluate_typesz00,
		BgL_bgl_string2615za700za7za7_2747za7, "ev_app", 6);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2609z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1977za7622748z00,
		BGl_z62lambda1977z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2534z00zz__evaluate_typesz00,
		BgL_bgl_string2534za700za7za7_2749za7, "ev_binder", 9);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2447z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1635za7622750z00,
		BGl_z62lambda1635z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2366z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1505za7622751z00,
		BGl_z62lambda1505z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2367z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1504za7622752z00,
		BGl_z62lambda1504z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2456z00zz__evaluate_typesz00,
		BgL_bgl_string2456za700za7za7_2753za7, "ev_hook", 7);
	      DEFINE_STRING(BGl_string2376z00zz__evaluate_typesz00,
		BgL_bgl_string2376za700za7za7_2754za7, "ev_var", 6);
	      DEFINE_STRING(BGl_string2539z00zz__evaluate_typesz00,
		BgL_bgl_string2539za700za7za7_2755za7, "boxes", 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2610z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1976za7622756z00,
		BGl_z62lambda1976z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2611z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72757za7,
		BGl_z62zc3anonymousza31956ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2530z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72758za7,
		BGl_z62zc3anonymousza31804ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2612z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1954za7622759z00,
		BGl_z62lambda1954z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2531z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1802za7622760z00,
		BGl_z62lambda1802z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2450z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1669za7622761z00,
		BGl_z62lambda1669z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2613z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1952za7622762z00,
		BGl_z62lambda1952z62zz__evaluate_typesz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2532z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1800za7622763z00,
		BGl_z62lambda1800z62zz__evaluate_typesz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2451z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1668za7622764z00,
		BGl_z62lambda1668z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2452z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72765za7,
		BGl_z62zc3anonymousza31664ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2453z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1662za7622766z00,
		BGl_z62lambda1662z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2372z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72767za7,
		BGl_z62zc3anonymousza31487ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2616z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72768za7,
		BGl_z62zc3anonymousza31995ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2535z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72769za7,
		BGl_z62zc3anonymousza31838ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2454z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1660za7622770z00,
		BGl_z62lambda1660z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2373z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1485za7622771z00,
		BGl_z62lambda1485z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string2623z00zz__evaluate_typesz00,
		BgL_bgl_string2623za700za7za7_2772za7, "inner", 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2617z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1994za7622773z00,
		BGl_z62lambda1994z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2536z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1837za7622774z00,
		BGl_z62lambda1837z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2461z00zz__evaluate_typesz00,
		BgL_bgl_string2461za700za7za7_2775za7, "ev_trap", 7);
	      DEFINE_STRING(BGl_string2380z00zz__evaluate_typesz00,
		BgL_bgl_string2380za700za7za7_2776za7, "mod", 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2374z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1483za7622777z00,
		BGl_z62lambda1483z62zz__evaluate_typesz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2618z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1993za7622778z00,
		BGl_z62lambda1993z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2537z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1836za7622779z00,
		BGl_z62lambda1836z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2619z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72780za7,
		BGl_z62zc3anonymousza32003ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string2544z00zz__evaluate_typesz00,
		BgL_bgl_string2544za700za7za7_2781za7, "ev_let", 6);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2457z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72782za7,
		BGl_z62zc3anonymousza31679ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2458z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1677za7622783z00,
		BGl_z62lambda1677z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2377z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1523za7622784z00,
		BGl_z62lambda1523z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2465z00zz__evaluate_typesz00,
		BgL_bgl_string2465za700za7za7_2785za7, "v", 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2459z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1675za7622786z00,
		BGl_z62lambda1675z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2378z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1522za7622787z00,
		BGl_z62lambda1522z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2628z00zz__evaluate_typesz00,
		BgL_bgl_string2628za700za7za7_2788za7, "free", 4);
	      DEFINE_STRING(BGl_string2386z00zz__evaluate_typesz00,
		BgL_bgl_string2386za700za7za7_2789za7, "loc", 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2620z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda2002za7622790z00,
		BGl_z62lambda2002z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2621z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda2001za7622791z00,
		BGl_z62lambda2001z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2540z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72792za7,
		BGl_z62zc3anonymousza31831ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2541z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1828za7622793z00,
		BGl_z62lambda1828z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2542z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1826za7622794z00,
		BGl_z62lambda1826z62zz__evaluate_typesz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2624z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72795za7,
		BGl_z62zc3anonymousza32010ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2462z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1695za7622796z00,
		BGl_z62lambda1695z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2381z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1529za7622797z00,
		BGl_z62lambda1529z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2625z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda2009za7622798z00,
		BGl_z62lambda2009z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2463z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1694za7622799z00,
		BGl_z62lambda1694z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2382z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1528za7622800z00,
		BGl_z62lambda1528z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2626z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda2008za7622801z00,
		BGl_z62lambda2008z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2545z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72802za7,
		BGl_z62zc3anonymousza31855ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string2470z00zz__evaluate_typesz00,
		BgL_bgl_string2470za700za7za7_2803za7, "ev_setlocal", 11);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2383z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1535za7622804z00,
		BGl_z62lambda1535z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2633z00zz__evaluate_typesz00,
		BgL_bgl_string2633za700za7za7_2805za7, "bind", 4);
	      DEFINE_STRING(BGl_string2552z00zz__evaluate_typesz00,
		BgL_bgl_string2552za700za7za7_2806za7, "ev_let*", 7);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2546z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1854za7622807z00,
		BGl_z62lambda1854z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2384z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1534za7622808z00,
		BGl_z62lambda1534z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2547z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1853za7622809z00,
		BGl_z62lambda1853z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2466z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72810za7,
		BGl_z62zc3anonymousza31690ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2391z00zz__evaluate_typesz00,
		BgL_bgl_string2391za700za7za7_2811za7, "ev_global", 9);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2629z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72812za7,
		BGl_z62zc3anonymousza32018ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2548z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72813za7,
		BGl_z62zc3anonymousza31848ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2467z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1688za7622814z00,
		BGl_z62lambda1688z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2549z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1846za7622815z00,
		BGl_z62lambda1846z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2468z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1685za7622816z00,
		BGl_z62lambda1685z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2387z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72817za7,
		BGl_z62zc3anonymousza31516ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2388z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1513za7622818z00,
		BGl_z62lambda1513z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string2638z00zz__evaluate_typesz00,
		BgL_bgl_string2638za700za7za7_2819za7, "size", 4);
	      DEFINE_STRING(BGl_string2557z00zz__evaluate_typesz00,
		BgL_bgl_string2557za700za7za7_2820za7, "ev_letrec", 9);
	      DEFINE_STRING(BGl_string2395z00zz__evaluate_typesz00,
		BgL_bgl_string2395za700za7za7_2821za7, "value", 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2389z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1511za7622822z00,
		BGl_z62lambda1511z62zz__evaluate_typesz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2630z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda2017za7622823z00,
		BGl_z62lambda2017z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2631z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda2016za7622824z00,
		BGl_z62lambda2016z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2550z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1844za7622825z00,
		BGl_z62lambda1844z62zz__evaluate_typesz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2471z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1710za7622826z00,
		BGl_z62lambda1710z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2640z00zz__evaluate_typesz00,
		BgL_bgl_string2640za700za7za7_2827za7, "int", 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2634z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72828za7,
		BGl_z62zc3anonymousza32027ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2553z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72829za7,
		BGl_z62zc3anonymousza31865ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2472z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1709za7622830z00,
		BGl_z62lambda1709z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2635z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda2026za7622831z00,
		BGl_z62lambda2026z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2554z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1863za7622832z00,
		BGl_z62lambda1863z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2473z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1715za7622833z00,
		BGl_z62lambda1715z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2392z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1558za7622834z00,
		BGl_z62lambda1558z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2636z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda2025za7622835z00,
		BGl_z62lambda2025z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2555z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1861za7622836z00,
		BGl_z62lambda1861z62zz__evaluate_typesz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2474z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1714za7622837z00,
		BGl_z62lambda1714z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2393z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1557za7622838z00,
		BGl_z62lambda1557z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2481z00zz__evaluate_typesz00,
		BgL_bgl_string2481za700za7za7_2839za7, "ev_setglobal", 12);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2475z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1720za7622840z00,
		BGl_z62lambda1720z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2476z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1719za7622841z00,
		BGl_z62lambda1719z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2558z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72842za7,
		BGl_z62zc3anonymousza31884ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2477z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72843za7,
		BGl_z62zc3anonymousza31705ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2396z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72844za7,
		BGl_z62zc3anonymousza31553ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2559z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1883za7622845z00,
		BGl_z62lambda1883z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2478z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1703za7622846z00,
		BGl_z62lambda1703z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2397z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1548za7622847z00,
		BGl_z62lambda1548z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2479z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1701za7622848z00,
		BGl_z62lambda1701z62zz__evaluate_typesz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2398z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1546za7622849z00,
		BGl_z62lambda1546z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2648z00zz__evaluate_typesz00,
		BgL_bgl_string2648za700za7za7_2850za7, "arity", 5);
	      DEFINE_STRING(BGl_string2567z00zz__evaluate_typesz00,
		BgL_bgl_string2567za700za7za7_2851za7, "stk", 3);
	      DEFINE_STRING(BGl_string2486z00zz__evaluate_typesz00,
		BgL_bgl_string2486za700za7za7_2852za7, "ev_defglobal", 12);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2641z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda2032za7622853z00,
		BGl_z62lambda2032z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2560z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1882za7622854z00,
		BGl_z62lambda1882z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2642z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda2031za7622855z00,
		BGl_z62lambda2031z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2561z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1889za7622856z00,
		BGl_z62lambda1889z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2643z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda2037za7622857z00,
		BGl_z62lambda2037z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2562z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1888za7622858z00,
		BGl_z62lambda1888z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2644z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda2036za7622859z00,
		BGl_z62lambda2036z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2563z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72860za7,
		BGl_z62zc3anonymousza31896ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2482z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72861za7,
		BGl_z62zc3anonymousza31730ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2645z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda2042za7622862z00,
		BGl_z62lambda2042z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2564z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1895za7622863z00,
		BGl_z62lambda1895z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2483z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1728za7622864z00,
		BGl_z62lambda1728z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string2652z00zz__evaluate_typesz00,
		BgL_bgl_string2652za700za7za7_2865za7, "where", 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2646z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda2041za7622866z00,
		BGl_z62lambda2041z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2565z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1894za7622867z00,
		BGl_z62lambda1894z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2490z00zz__evaluate_typesz00,
		BgL_bgl_string2490za700za7za7_2868za7, "body", 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2484z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1726za7622869z00,
		BGl_z62lambda1726z62zz__evaluate_typesz00, 0L, BUNSPEC, 4);
	      DEFINE_STRING(BGl_string2572z00zz__evaluate_typesz00,
		BgL_bgl_string2572za700za7za7_2870za7, "env", 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2649z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda2048za7622871z00,
		BGl_z62lambda2048z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2568z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72872za7,
		BGl_z62zc3anonymousza31903ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2487z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1747za7622873z00,
		BGl_z62lambda1747z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2569z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1902za7622874z00,
		BGl_z62lambda1902z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2494z00zz__evaluate_typesz00,
		BgL_bgl_string2494za700za7za7_2875za7, "var", 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2488z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1746za7622876z00,
		BGl_z62lambda1746z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2659z00zz__evaluate_typesz00,
		BgL_bgl_string2659za700za7za7_2877za7, "ev_abs", 6);
	      DEFINE_STRING(BGl_string2499z00zz__evaluate_typesz00,
		BgL_bgl_string2499za700za7za7_2878za7, "ev_bind-exit", 12);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2650z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda2047za7622879z00,
		BGl_z62lambda2047z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2570z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1901za7622880z00,
		BGl_z62lambda1901z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2653z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda2053za7622881z00,
		BGl_z62lambda2053z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2491z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1752za7622882z00,
		BGl_z62lambda1752z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2654z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda2052za7622883z00,
		BGl_z62lambda2052z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2573z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1908za7622884z00,
		BGl_z62lambda1908z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2492z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1751za7622885z00,
		BGl_z62lambda1751z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2661z00zz__evaluate_typesz00,
		BgL_bgl_string2661za700za7za7_2886za7, "_", 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2655z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72887za7,
		BGl_z62zc3anonymousza31988ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2574z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1907za7622888z00,
		BGl_z62lambda1907z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2656z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1986za7622889z00,
		BGl_z62lambda1986z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string2581z00zz__evaluate_typesz00,
		BgL_bgl_string2581za700za7za7_2890za7, "ev_labels", 9);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2575z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1914za7622891z00,
		BGl_z62lambda1914z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2657z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1984za7622892z00,
		BGl_z62lambda1984z62zz__evaluate_typesz00, 0L, BUNSPEC, 10);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2576z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1913za7622893z00,
		BGl_z62lambda1913z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2495z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72894za7,
		BGl_z62zc3anonymousza31741ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2577z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72895za7,
		BGl_z62zc3anonymousza31876ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2496z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1739za7622896z00,
		BGl_z62lambda1739z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2578z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1874za7622897z00,
		BGl_z62lambda1874z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2497z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1736za7622898z00,
		BGl_z62lambda1736z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2579z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1872za7622899z00,
		BGl_z62lambda1872z62zz__evaluate_typesz00, 0L, BUNSPEC, 6);
	      DEFINE_STRING(BGl_string2587z00zz__evaluate_typesz00,
		BgL_bgl_string2587za700za7za7_2900za7, "labels", 6);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2582z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1930za7622901z00,
		BGl_z62lambda1930z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2583z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1929za7622902z00,
		BGl_z62lambda1929z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2584z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1935za7622903z00,
		BGl_z62lambda1935z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2591z00zz__evaluate_typesz00,
		BgL_bgl_string2591za700za7za7_2904za7, "label", 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2585z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1934za7622905z00,
		BGl_z62lambda1934z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2588z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1940za7622906z00,
		BGl_z62lambda1940z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2589z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1939za7622907z00,
		BGl_z62lambda1939z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2598z00zz__evaluate_typesz00,
		BgL_bgl_string2598za700za7za7_2908za7, "ev_goto", 7);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2592z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1945za7622909z00,
		BGl_z62lambda1945z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2593z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1944za7622910z00,
		BGl_z62lambda1944z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2594z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72911za7,
		BGl_z62zc3anonymousza31924ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2595z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1922za7622912z00,
		BGl_z62lambda1922z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2596z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1920za7622913z00,
		BGl_z62lambda1920z62zz__evaluate_typesz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2599z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1961za7622914z00,
		BGl_z62lambda1961z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zz__evaluate_typesz00(long
		BgL_checksumz00_3745, char *BgL_fromz00_3746)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zz__evaluate_typesz00))
				{
					BGl_requirezd2initializa7ationz75zz__evaluate_typesz00 =
						BBOOL(((bool_t) 0));
					BGl_cnstzd2initzd2zz__evaluate_typesz00();
					BGl_importedzd2moduleszd2initz00zz__evaluate_typesz00();
					BGl_objectzd2initzd2zz__evaluate_typesz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zz__evaluate_typesz00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 15 */
			BGl_symbol2351z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2352z00zz__evaluate_typesz00);
			BGl_symbol2353z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2354z00zz__evaluate_typesz00);
			BGl_symbol2357z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2358z00zz__evaluate_typesz00);
			BGl_symbol2359z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2360z00zz__evaluate_typesz00);
			BGl_symbol2364z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2365z00zz__evaluate_typesz00);
			BGl_symbol2368z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2369z00zz__evaluate_typesz00);
			BGl_symbol2370z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2371z00zz__evaluate_typesz00);
			BGl_symbol2375z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2376z00zz__evaluate_typesz00);
			BGl_symbol2379z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2380z00zz__evaluate_typesz00);
			BGl_symbol2385z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2386z00zz__evaluate_typesz00);
			BGl_symbol2390z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2391z00zz__evaluate_typesz00);
			BGl_symbol2394z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2395z00zz__evaluate_typesz00);
			BGl_symbol2399z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2400z00zz__evaluate_typesz00);
			BGl_symbol2403z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2404z00zz__evaluate_typesz00);
			BGl_symbol2407z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2408z00zz__evaluate_typesz00);
			BGl_symbol2411z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2412z00zz__evaluate_typesz00);
			BGl_symbol2416z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2417z00zz__evaluate_typesz00);
			BGl_symbol2420z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2421z00zz__evaluate_typesz00);
			BGl_symbol2425z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2426z00zz__evaluate_typesz00);
			BGl_symbol2430z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2431z00zz__evaluate_typesz00);
			BGl_symbol2435z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2436z00zz__evaluate_typesz00);
			BGl_symbol2439z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2440z00zz__evaluate_typesz00);
			BGl_symbol2443z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2444z00zz__evaluate_typesz00);
			BGl_symbol2448z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2449z00zz__evaluate_typesz00);
			BGl_symbol2455z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2456z00zz__evaluate_typesz00);
			BGl_symbol2460z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2461z00zz__evaluate_typesz00);
			BGl_symbol2464z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2465z00zz__evaluate_typesz00);
			BGl_symbol2469z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2470z00zz__evaluate_typesz00);
			BGl_symbol2480z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2481z00zz__evaluate_typesz00);
			BGl_symbol2485z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2486z00zz__evaluate_typesz00);
			BGl_symbol2489z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2490z00zz__evaluate_typesz00);
			BGl_symbol2493z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2494z00zz__evaluate_typesz00);
			BGl_symbol2498z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2499z00zz__evaluate_typesz00);
			BGl_symbol2507z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2508z00zz__evaluate_typesz00);
			BGl_symbol2513z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2514z00zz__evaluate_typesz00);
			BGl_symbol2518z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2519z00zz__evaluate_typesz00);
			BGl_symbol2524z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2525z00zz__evaluate_typesz00);
			BGl_symbol2528z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2529z00zz__evaluate_typesz00);
			BGl_symbol2533z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2534z00zz__evaluate_typesz00);
			BGl_symbol2538z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2539z00zz__evaluate_typesz00);
			BGl_symbol2543z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2544z00zz__evaluate_typesz00);
			BGl_symbol2551z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2552z00zz__evaluate_typesz00);
			BGl_symbol2556z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2557z00zz__evaluate_typesz00);
			BGl_symbol2566z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2567z00zz__evaluate_typesz00);
			BGl_symbol2571z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2572z00zz__evaluate_typesz00);
			BGl_symbol2580z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2581z00zz__evaluate_typesz00);
			BGl_symbol2586z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2587z00zz__evaluate_typesz00);
			BGl_symbol2590z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2591z00zz__evaluate_typesz00);
			BGl_symbol2597z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2598z00zz__evaluate_typesz00);
			BGl_symbol2601z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2602z00zz__evaluate_typesz00);
			BGl_symbol2607z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2608z00zz__evaluate_typesz00);
			BGl_symbol2614z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2615z00zz__evaluate_typesz00);
			BGl_symbol2622z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2623z00zz__evaluate_typesz00);
			BGl_symbol2627z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2628z00zz__evaluate_typesz00);
			BGl_symbol2632z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2633z00zz__evaluate_typesz00);
			BGl_symbol2637z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2638z00zz__evaluate_typesz00);
			BGl_symbol2639z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2640z00zz__evaluate_typesz00);
			BGl_symbol2647z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2648z00zz__evaluate_typesz00);
			BGl_symbol2651z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2652z00zz__evaluate_typesz00);
			BGl_symbol2658z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2659z00zz__evaluate_typesz00);
			return (BGl_symbol2660z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2661z00zz__evaluate_typesz00), BUNSPEC);
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zz__evaluate_typesz00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 15 */
			return BUNSPEC;
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zz__evaluate_typesz00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 15 */
			{	/* Eval/evaluate_types.scm 50 */
				obj_t BgL_arg1469z00_619;
				obj_t BgL_arg1470z00_620;

				{	/* Eval/evaluate_types.scm 50 */
					obj_t BgL_v1368z00_630;

					BgL_v1368z00_630 = create_vector((int) (((long) 0)));
					BgL_arg1469z00_619 = BgL_v1368z00_630;
				}
				{	/* Eval/evaluate_types.scm 50 */
					obj_t BgL_v1369z00_631;

					BgL_v1369z00_631 = create_vector((int) (((long) 0)));
					BgL_arg1470z00_620 = BgL_v1369z00_631;
				}
				BGl_ev_exprz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2351z00zz__evaluate_typesz00,
					BGl_symbol2353z00zz__evaluate_typesz00, BGl_objectz00zz__objectz00,
					((long) 36682), BGl_proc2350z00zz__evaluate_typesz00,
					BGl_proc2349z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2348z00zz__evaluate_typesz00, BFALSE, BgL_arg1469z00_619,
					BgL_arg1470z00_620);
			}
			{	/* Eval/evaluate_types.scm 52 */
				obj_t BgL_arg1481z00_638;
				obj_t BgL_arg1482z00_639;

				{	/* Eval/evaluate_types.scm 52 */
					obj_t BgL_v1370z00_652;

					BgL_v1370z00_652 = create_vector((int) (((long) 3)));
					VECTOR_SET(BgL_v1370z00_652,
						(int) (((long) 2)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2357z00zz__evaluate_typesz00,
							BGl_proc2356z00zz__evaluate_typesz00,
							BGl_proc2355z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2359z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1370z00_652, (int) (((long) 1)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2364z00zz__evaluate_typesz00,
							BGl_proc2363z00zz__evaluate_typesz00,
							BGl_proc2362z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2361z00zz__evaluate_typesz00,
							BGl_symbol2359z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1370z00_652, (int) (((long) 0)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2368z00zz__evaluate_typesz00,
							BGl_proc2367z00zz__evaluate_typesz00,
							BGl_proc2366z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2370z00zz__evaluate_typesz00));
					BgL_arg1481z00_638 = BgL_v1370z00_652;
				}
				{	/* Eval/evaluate_types.scm 52 */
					obj_t BgL_v1371z00_692;

					BgL_v1371z00_692 = create_vector((int) (((long) 0)));
					BgL_arg1482z00_639 = BgL_v1371z00_692;
				}
				BGl_ev_varz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2375z00zz__evaluate_typesz00,
					BGl_symbol2353z00zz__evaluate_typesz00,
					BGl_ev_exprz00zz__evaluate_typesz00, ((long) 7625),
					BGl_proc2374z00zz__evaluate_typesz00,
					BGl_proc2373z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2372z00zz__evaluate_typesz00, BFALSE, BgL_arg1481z00_638,
					BgL_arg1482z00_639);
			}
			{	/* Eval/evaluate_types.scm 56 */
				obj_t BgL_arg1509z00_699;
				obj_t BgL_arg1510z00_700;

				{	/* Eval/evaluate_types.scm 56 */
					obj_t BgL_v1372z00_713;

					BgL_v1372z00_713 = create_vector((int) (((long) 3)));
					VECTOR_SET(BgL_v1372z00_713,
						(int) (((long) 2)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2379z00zz__evaluate_typesz00,
							BGl_proc2378z00zz__evaluate_typesz00,
							BGl_proc2377z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2359z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1372z00_713, (int) (((long) 1)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2368z00zz__evaluate_typesz00,
							BGl_proc2382z00zz__evaluate_typesz00,
							BGl_proc2381z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2370z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1372z00_713, (int) (((long) 0)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2385z00zz__evaluate_typesz00,
							BGl_proc2384z00zz__evaluate_typesz00,
							BGl_proc2383z00zz__evaluate_typesz00, ((bool_t) 1), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2359z00zz__evaluate_typesz00));
					BgL_arg1509z00_699 = BgL_v1372z00_713;
				}
				{	/* Eval/evaluate_types.scm 56 */
					obj_t BgL_v1373z00_750;

					BgL_v1373z00_750 = create_vector((int) (((long) 0)));
					BgL_arg1510z00_700 = BgL_v1373z00_750;
				}
				BGl_ev_globalz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2390z00zz__evaluate_typesz00,
					BGl_symbol2353z00zz__evaluate_typesz00,
					BGl_ev_exprz00zz__evaluate_typesz00, ((long) 59175),
					BGl_proc2389z00zz__evaluate_typesz00,
					BGl_proc2388z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2387z00zz__evaluate_typesz00, BFALSE, BgL_arg1509z00_699,
					BgL_arg1510z00_700);
			}
			{	/* Eval/evaluate_types.scm 61 */
				obj_t BgL_arg1544z00_757;
				obj_t BgL_arg1545z00_758;

				{	/* Eval/evaluate_types.scm 61 */
					obj_t BgL_v1374z00_769;

					BgL_v1374z00_769 = create_vector((int) (((long) 1)));
					VECTOR_SET(BgL_v1374z00_769,
						(int) (((long) 0)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2394z00zz__evaluate_typesz00,
							BGl_proc2393z00zz__evaluate_typesz00,
							BGl_proc2392z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2359z00zz__evaluate_typesz00));
					BgL_arg1544z00_757 = BgL_v1374z00_769;
				}
				{	/* Eval/evaluate_types.scm 61 */
					obj_t BgL_v1375z00_782;

					BgL_v1375z00_782 = create_vector((int) (((long) 0)));
					BgL_arg1545z00_758 = BgL_v1375z00_782;
				}
				BGl_ev_littz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2399z00zz__evaluate_typesz00,
					BGl_symbol2353z00zz__evaluate_typesz00,
					BGl_ev_exprz00zz__evaluate_typesz00, ((long) 42418),
					BGl_proc2398z00zz__evaluate_typesz00,
					BGl_proc2397z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2396z00zz__evaluate_typesz00, BFALSE, BgL_arg1544z00_757,
					BgL_arg1545z00_758);
			}
			{	/* Eval/evaluate_types.scm 63 */
				obj_t BgL_arg1563z00_789;
				obj_t BgL_arg1564z00_790;

				{	/* Eval/evaluate_types.scm 63 */
					obj_t BgL_v1376z00_803;

					BgL_v1376z00_803 = create_vector((int) (((long) 3)));
					VECTOR_SET(BgL_v1376z00_803,
						(int) (((long) 2)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2403z00zz__evaluate_typesz00,
							BGl_proc2402z00zz__evaluate_typesz00,
							BGl_proc2401z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1376z00_803, (int) (((long) 1)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2407z00zz__evaluate_typesz00,
							BGl_proc2406z00zz__evaluate_typesz00,
							BGl_proc2405z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1376z00_803, (int) (((long) 0)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2411z00zz__evaluate_typesz00,
							BGl_proc2410z00zz__evaluate_typesz00,
							BGl_proc2409z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00));
					BgL_arg1563z00_789 = BgL_v1376z00_803;
				}
				{	/* Eval/evaluate_types.scm 63 */
					obj_t BgL_v1377z00_840;

					BgL_v1377z00_840 = create_vector((int) (((long) 0)));
					BgL_arg1564z00_790 = BgL_v1377z00_840;
				}
				BGl_ev_ifz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2416z00zz__evaluate_typesz00,
					BGl_symbol2353z00zz__evaluate_typesz00,
					BGl_ev_exprz00zz__evaluate_typesz00, ((long) 19099),
					BGl_proc2415z00zz__evaluate_typesz00,
					BGl_proc2414z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2413z00zz__evaluate_typesz00, BFALSE, BgL_arg1563z00_789,
					BgL_arg1564z00_790);
			}
			{	/* Eval/evaluate_types.scm 67 */
				obj_t BgL_arg1592z00_847;
				obj_t BgL_arg1593z00_848;

				{	/* Eval/evaluate_types.scm 67 */
					obj_t BgL_v1378z00_859;

					BgL_v1378z00_859 = create_vector((int) (((long) 1)));
					VECTOR_SET(BgL_v1378z00_859,
						(int) (((long) 0)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2420z00zz__evaluate_typesz00,
							BGl_proc2419z00zz__evaluate_typesz00,
							BGl_proc2418z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2359z00zz__evaluate_typesz00));
					BgL_arg1592z00_847 = BgL_v1378z00_859;
				}
				{	/* Eval/evaluate_types.scm 67 */
					obj_t BgL_v1379z00_872;

					BgL_v1379z00_872 = create_vector((int) (((long) 0)));
					BgL_arg1593z00_848 = BgL_v1379z00_872;
				}
				BGl_ev_listz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2425z00zz__evaluate_typesz00,
					BGl_symbol2353z00zz__evaluate_typesz00,
					BGl_ev_exprz00zz__evaluate_typesz00, ((long) 39617),
					BGl_proc2424z00zz__evaluate_typesz00,
					BGl_proc2423z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2422z00zz__evaluate_typesz00, BFALSE, BgL_arg1592z00_847,
					BgL_arg1593z00_848);
			}
			{	/* Eval/evaluate_types.scm 69 */
				obj_t BgL_arg1609z00_879;
				obj_t BgL_arg1611z00_880;

				{	/* Eval/evaluate_types.scm 69 */
					obj_t BgL_v1380z00_891;

					BgL_v1380z00_891 = create_vector((int) (((long) 0)));
					BgL_arg1609z00_879 = BgL_v1380z00_891;
				}
				{	/* Eval/evaluate_types.scm 69 */
					obj_t BgL_v1381z00_892;

					BgL_v1381z00_892 = create_vector((int) (((long) 0)));
					BgL_arg1611z00_880 = BgL_v1381z00_892;
				}
				BGl_ev_orz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2430z00zz__evaluate_typesz00,
					BGl_symbol2353z00zz__evaluate_typesz00,
					BGl_ev_listz00zz__evaluate_typesz00, ((long) 50334),
					BGl_proc2429z00zz__evaluate_typesz00,
					BGl_proc2428z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2427z00zz__evaluate_typesz00, BFALSE, BgL_arg1609z00_879,
					BgL_arg1611z00_880);
			}
			{	/* Eval/evaluate_types.scm 70 */
				obj_t BgL_arg1622z00_899;
				obj_t BgL_arg1623z00_900;

				{	/* Eval/evaluate_types.scm 70 */
					obj_t BgL_v1382z00_911;

					BgL_v1382z00_911 = create_vector((int) (((long) 0)));
					BgL_arg1622z00_899 = BgL_v1382z00_911;
				}
				{	/* Eval/evaluate_types.scm 70 */
					obj_t BgL_v1383z00_912;

					BgL_v1383z00_912 = create_vector((int) (((long) 0)));
					BgL_arg1623z00_900 = BgL_v1383z00_912;
				}
				BGl_ev_andz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2435z00zz__evaluate_typesz00,
					BGl_symbol2353z00zz__evaluate_typesz00,
					BGl_ev_listz00zz__evaluate_typesz00, ((long) 26888),
					BGl_proc2434z00zz__evaluate_typesz00,
					BGl_proc2433z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2432z00zz__evaluate_typesz00, BFALSE, BgL_arg1622z00_899,
					BgL_arg1623z00_900);
			}
			{	/* Eval/evaluate_types.scm 71 */
				obj_t BgL_arg1632z00_919;
				obj_t BgL_arg1634z00_920;

				{	/* Eval/evaluate_types.scm 71 */
					obj_t BgL_v1384z00_932;

					BgL_v1384z00_932 = create_vector((int) (((long) 2)));
					VECTOR_SET(BgL_v1384z00_932,
						(int) (((long) 1)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2439z00zz__evaluate_typesz00,
							BGl_proc2438z00zz__evaluate_typesz00,
							BGl_proc2437z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1384z00_932, (int) (((long) 0)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2443z00zz__evaluate_typesz00,
							BGl_proc2442z00zz__evaluate_typesz00,
							BGl_proc2441z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00));
					BgL_arg1632z00_919 = BgL_v1384z00_932;
				}
				{	/* Eval/evaluate_types.scm 71 */
					obj_t BgL_v1385z00_957;

					BgL_v1385z00_957 = create_vector((int) (((long) 0)));
					BgL_arg1634z00_920 = BgL_v1385z00_957;
				}
				BGl_ev_prog2z00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2448z00zz__evaluate_typesz00,
					BGl_symbol2353z00zz__evaluate_typesz00,
					BGl_ev_exprz00zz__evaluate_typesz00, ((long) 14177),
					BGl_proc2447z00zz__evaluate_typesz00,
					BGl_proc2446z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2445z00zz__evaluate_typesz00, BFALSE, BgL_arg1632z00_919,
					BgL_arg1634z00_920);
			}
			{	/* Eval/evaluate_types.scm 74 */
				obj_t BgL_arg1658z00_964;
				obj_t BgL_arg1659z00_965;

				{	/* Eval/evaluate_types.scm 74 */
					obj_t BgL_v1386z00_976;

					BgL_v1386z00_976 = create_vector((int) (((long) 1)));
					VECTOR_SET(BgL_v1386z00_976,
						(int) (((long) 0)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2403z00zz__evaluate_typesz00,
							BGl_proc2451z00zz__evaluate_typesz00,
							BGl_proc2450z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00));
					BgL_arg1658z00_964 = BgL_v1386z00_976;
				}
				{	/* Eval/evaluate_types.scm 74 */
					obj_t BgL_v1387z00_989;

					BgL_v1387z00_989 = create_vector((int) (((long) 0)));
					BgL_arg1659z00_965 = BgL_v1387z00_989;
				}
				BGl_ev_hookz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2455z00zz__evaluate_typesz00,
					BGl_symbol2353z00zz__evaluate_typesz00,
					BGl_ev_exprz00zz__evaluate_typesz00, ((long) 32125),
					BGl_proc2454z00zz__evaluate_typesz00,
					BGl_proc2453z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2452z00zz__evaluate_typesz00, BFALSE, BgL_arg1658z00_964,
					BgL_arg1659z00_965);
			}
			{	/* Eval/evaluate_types.scm 76 */
				obj_t BgL_arg1673z00_996;
				obj_t BgL_arg1674z00_997;

				{	/* Eval/evaluate_types.scm 76 */
					obj_t BgL_v1388z00_1008;

					BgL_v1388z00_1008 = create_vector((int) (((long) 0)));
					BgL_arg1673z00_996 = BgL_v1388z00_1008;
				}
				{	/* Eval/evaluate_types.scm 76 */
					obj_t BgL_v1389z00_1009;

					BgL_v1389z00_1009 = create_vector((int) (((long) 0)));
					BgL_arg1674z00_997 = BgL_v1389z00_1009;
				}
				BGl_ev_trapz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2460z00zz__evaluate_typesz00,
					BGl_symbol2353z00zz__evaluate_typesz00,
					BGl_ev_hookz00zz__evaluate_typesz00, ((long) 24451),
					BGl_proc2459z00zz__evaluate_typesz00,
					BGl_proc2458z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2457z00zz__evaluate_typesz00, BFALSE, BgL_arg1673z00_996,
					BgL_arg1674z00_997);
			}
			{	/* Eval/evaluate_types.scm 77 */
				obj_t BgL_arg1683z00_1016;
				obj_t BgL_arg1684z00_1017;

				{	/* Eval/evaluate_types.scm 77 */
					obj_t BgL_v1390z00_1029;

					BgL_v1390z00_1029 = create_vector((int) (((long) 1)));
					VECTOR_SET(BgL_v1390z00_1029,
						(int) (((long) 0)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2464z00zz__evaluate_typesz00,
							BGl_proc2463z00zz__evaluate_typesz00,
							BGl_proc2462z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_varz00zz__evaluate_typesz00));
					BgL_arg1683z00_1016 = BgL_v1390z00_1029;
				}
				{	/* Eval/evaluate_types.scm 77 */
					obj_t BgL_v1391z00_1042;

					BgL_v1391z00_1042 = create_vector((int) (((long) 0)));
					BgL_arg1684z00_1017 = BgL_v1391z00_1042;
				}
				BGl_ev_setlocalz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2469z00zz__evaluate_typesz00,
					BGl_symbol2353z00zz__evaluate_typesz00,
					BGl_ev_hookz00zz__evaluate_typesz00, ((long) 37950),
					BGl_proc2468z00zz__evaluate_typesz00,
					BGl_proc2467z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2466z00zz__evaluate_typesz00, BFALSE, BgL_arg1683z00_1016,
					BgL_arg1684z00_1017);
			}
			{	/* Eval/evaluate_types.scm 79 */
				obj_t BgL_arg1699z00_1049;
				obj_t BgL_arg1700z00_1050;

				{	/* Eval/evaluate_types.scm 79 */
					obj_t BgL_v1392z00_1064;

					BgL_v1392z00_1064 = create_vector((int) (((long) 3)));
					VECTOR_SET(BgL_v1392z00_1064,
						(int) (((long) 2)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2379z00zz__evaluate_typesz00,
							BGl_proc2472z00zz__evaluate_typesz00,
							BGl_proc2471z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2359z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1392z00_1064, (int) (((long) 1)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2368z00zz__evaluate_typesz00,
							BGl_proc2474z00zz__evaluate_typesz00,
							BGl_proc2473z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2370z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1392z00_1064, (int) (((long) 0)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2385z00zz__evaluate_typesz00,
							BGl_proc2476z00zz__evaluate_typesz00,
							BGl_proc2475z00zz__evaluate_typesz00, ((bool_t) 1), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2359z00zz__evaluate_typesz00));
					BgL_arg1699z00_1049 = BgL_v1392z00_1064;
				}
				{	/* Eval/evaluate_types.scm 79 */
					obj_t BgL_v1393z00_1101;

					BgL_v1393z00_1101 = create_vector((int) (((long) 0)));
					BgL_arg1700z00_1050 = BgL_v1393z00_1101;
				}
				BGl_ev_setglobalz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2480z00zz__evaluate_typesz00,
					BGl_symbol2353z00zz__evaluate_typesz00,
					BGl_ev_hookz00zz__evaluate_typesz00, ((long) 62117),
					BGl_proc2479z00zz__evaluate_typesz00,
					BGl_proc2478z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2477z00zz__evaluate_typesz00, BFALSE, BgL_arg1699z00_1049,
					BgL_arg1700z00_1050);
			}
			{	/* Eval/evaluate_types.scm 83 */
				obj_t BgL_arg1724z00_1108;
				obj_t BgL_arg1725z00_1109;

				{	/* Eval/evaluate_types.scm 83 */
					obj_t BgL_v1394z00_1123;

					BgL_v1394z00_1123 = create_vector((int) (((long) 0)));
					BgL_arg1724z00_1108 = BgL_v1394z00_1123;
				}
				{	/* Eval/evaluate_types.scm 83 */
					obj_t BgL_v1395z00_1124;

					BgL_v1395z00_1124 = create_vector((int) (((long) 0)));
					BgL_arg1725z00_1109 = BgL_v1395z00_1124;
				}
				BGl_ev_defglobalz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2485z00zz__evaluate_typesz00,
					BGl_symbol2353z00zz__evaluate_typesz00,
					BGl_ev_setglobalz00zz__evaluate_typesz00, ((long) 36158),
					BGl_proc2484z00zz__evaluate_typesz00,
					BGl_proc2483z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2482z00zz__evaluate_typesz00, BFALSE, BgL_arg1724z00_1108,
					BgL_arg1725z00_1109);
			}
			{	/* Eval/evaluate_types.scm 84 */
				obj_t BgL_arg1734z00_1131;
				obj_t BgL_arg1735z00_1132;

				{	/* Eval/evaluate_types.scm 84 */
					obj_t BgL_v1396z00_1144;

					BgL_v1396z00_1144 = create_vector((int) (((long) 2)));
					VECTOR_SET(BgL_v1396z00_1144,
						(int) (((long) 1)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2489z00zz__evaluate_typesz00,
							BGl_proc2488z00zz__evaluate_typesz00,
							BGl_proc2487z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1396z00_1144, (int) (((long) 0)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2493z00zz__evaluate_typesz00,
							BGl_proc2492z00zz__evaluate_typesz00,
							BGl_proc2491z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_varz00zz__evaluate_typesz00));
					BgL_arg1734z00_1131 = BgL_v1396z00_1144;
				}
				{	/* Eval/evaluate_types.scm 84 */
					obj_t BgL_v1397z00_1169;

					BgL_v1397z00_1169 = create_vector((int) (((long) 0)));
					BgL_arg1735z00_1132 = BgL_v1397z00_1169;
				}
				BGl_ev_bindzd2exitzd2zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2498z00zz__evaluate_typesz00,
					BGl_symbol2353z00zz__evaluate_typesz00,
					BGl_ev_exprz00zz__evaluate_typesz00, ((long) 10723),
					BGl_proc2497z00zz__evaluate_typesz00,
					BGl_proc2496z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2495z00zz__evaluate_typesz00, BFALSE, BgL_arg1734z00_1131,
					BgL_arg1735z00_1132);
			}
			{	/* Eval/evaluate_types.scm 87 */
				obj_t BgL_arg1756z00_1176;
				obj_t BgL_arg1757z00_1177;

				{	/* Eval/evaluate_types.scm 87 */
					obj_t BgL_v1398z00_1189;

					BgL_v1398z00_1189 = create_vector((int) (((long) 2)));
					VECTOR_SET(BgL_v1398z00_1189,
						(int) (((long) 1)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2489z00zz__evaluate_typesz00,
							BGl_proc2501z00zz__evaluate_typesz00,
							BGl_proc2500z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1398z00_1189, (int) (((long) 0)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2403z00zz__evaluate_typesz00,
							BGl_proc2503z00zz__evaluate_typesz00,
							BGl_proc2502z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00));
					BgL_arg1756z00_1176 = BgL_v1398z00_1189;
				}
				{	/* Eval/evaluate_types.scm 87 */
					obj_t BgL_v1399z00_1214;

					BgL_v1399z00_1214 = create_vector((int) (((long) 0)));
					BgL_arg1757z00_1177 = BgL_v1399z00_1214;
				}
				BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2507z00zz__evaluate_typesz00,
					BGl_symbol2353z00zz__evaluate_typesz00,
					BGl_ev_exprz00zz__evaluate_typesz00, ((long) 59644),
					BGl_proc2506z00zz__evaluate_typesz00,
					BGl_proc2505z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2504z00zz__evaluate_typesz00, BFALSE, BgL_arg1756z00_1176,
					BgL_arg1757z00_1177);
			}
			{	/* Eval/evaluate_types.scm 90 */
				obj_t BgL_arg1777z00_1221;
				obj_t BgL_arg1778z00_1222;

				{	/* Eval/evaluate_types.scm 90 */
					obj_t BgL_v1400z00_1234;

					BgL_v1400z00_1234 = create_vector((int) (((long) 2)));
					VECTOR_SET(BgL_v1400z00_1234,
						(int) (((long) 1)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2489z00zz__evaluate_typesz00,
							BGl_proc2510z00zz__evaluate_typesz00,
							BGl_proc2509z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1400z00_1234, (int) (((long) 0)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2513z00zz__evaluate_typesz00,
							BGl_proc2512z00zz__evaluate_typesz00,
							BGl_proc2511z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00));
					BgL_arg1777z00_1221 = BgL_v1400z00_1234;
				}
				{	/* Eval/evaluate_types.scm 90 */
					obj_t BgL_v1401z00_1259;

					BgL_v1401z00_1259 = create_vector((int) (((long) 0)));
					BgL_arg1778z00_1222 = BgL_v1401z00_1259;
				}
				BGl_ev_withzd2handlerzd2zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2518z00zz__evaluate_typesz00,
					BGl_symbol2353z00zz__evaluate_typesz00,
					BGl_ev_exprz00zz__evaluate_typesz00, ((long) 54033),
					BGl_proc2517z00zz__evaluate_typesz00,
					BGl_proc2516z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2515z00zz__evaluate_typesz00, BFALSE, BgL_arg1777z00_1221,
					BgL_arg1778z00_1222);
			}
			{	/* Eval/evaluate_types.scm 93 */
				obj_t BgL_arg1798z00_1266;
				obj_t BgL_arg1799z00_1267;

				{	/* Eval/evaluate_types.scm 93 */
					obj_t BgL_v1402z00_1280;

					BgL_v1402z00_1280 = create_vector((int) (((long) 3)));
					VECTOR_SET(BgL_v1402z00_1280,
						(int) (((long) 2)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2489z00zz__evaluate_typesz00,
							BGl_proc2521z00zz__evaluate_typesz00,
							BGl_proc2520z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1402z00_1280, (int) (((long) 1)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2524z00zz__evaluate_typesz00,
							BGl_proc2523z00zz__evaluate_typesz00,
							BGl_proc2522z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2359z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1402z00_1280, (int) (((long) 0)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2528z00zz__evaluate_typesz00,
							BGl_proc2527z00zz__evaluate_typesz00,
							BGl_proc2526z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2359z00zz__evaluate_typesz00));
					BgL_arg1798z00_1266 = BgL_v1402z00_1280;
				}
				{	/* Eval/evaluate_types.scm 93 */
					obj_t BgL_v1403z00_1317;

					BgL_v1403z00_1317 = create_vector((int) (((long) 0)));
					BgL_arg1799z00_1267 = BgL_v1403z00_1317;
				}
				BGl_ev_binderz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2533z00zz__evaluate_typesz00,
					BGl_symbol2353z00zz__evaluate_typesz00,
					BGl_ev_exprz00zz__evaluate_typesz00, ((long) 50341),
					BGl_proc2532z00zz__evaluate_typesz00,
					BGl_proc2531z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2530z00zz__evaluate_typesz00, BFALSE, BgL_arg1798z00_1266,
					BgL_arg1799z00_1267);
			}
			{	/* Eval/evaluate_types.scm 97 */
				obj_t BgL_arg1824z00_1324;
				obj_t BgL_arg1825z00_1325;

				{	/* Eval/evaluate_types.scm 97 */
					obj_t BgL_v1404z00_1339;

					BgL_v1404z00_1339 = create_vector((int) (((long) 1)));
					VECTOR_SET(BgL_v1404z00_1339,
						(int) (((long) 0)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2538z00zz__evaluate_typesz00,
							BGl_proc2537z00zz__evaluate_typesz00,
							BGl_proc2536z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2535z00zz__evaluate_typesz00,
							BGl_symbol2359z00zz__evaluate_typesz00));
					BgL_arg1824z00_1324 = BgL_v1404z00_1339;
				}
				{	/* Eval/evaluate_types.scm 97 */
					obj_t BgL_v1405z00_1355;

					BgL_v1405z00_1355 = create_vector((int) (((long) 0)));
					BgL_arg1825z00_1325 = BgL_v1405z00_1355;
				}
				BGl_ev_letz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2543z00zz__evaluate_typesz00,
					BGl_symbol2353z00zz__evaluate_typesz00,
					BGl_ev_binderz00zz__evaluate_typesz00, ((long) 20484),
					BGl_proc2542z00zz__evaluate_typesz00,
					BGl_proc2541z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2540z00zz__evaluate_typesz00, BFALSE, BgL_arg1824z00_1324,
					BgL_arg1825z00_1325);
			}
			{	/* Eval/evaluate_types.scm 99 */
				obj_t BgL_arg1842z00_1362;
				obj_t BgL_arg1843z00_1363;

				{	/* Eval/evaluate_types.scm 99 */
					obj_t BgL_v1406z00_1377;

					BgL_v1406z00_1377 = create_vector((int) (((long) 1)));
					VECTOR_SET(BgL_v1406z00_1377,
						(int) (((long) 0)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2538z00zz__evaluate_typesz00,
							BGl_proc2547z00zz__evaluate_typesz00,
							BGl_proc2546z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2545z00zz__evaluate_typesz00,
							BGl_symbol2359z00zz__evaluate_typesz00));
					BgL_arg1842z00_1362 = BgL_v1406z00_1377;
				}
				{	/* Eval/evaluate_types.scm 99 */
					obj_t BgL_v1407z00_1393;

					BgL_v1407z00_1393 = create_vector((int) (((long) 0)));
					BgL_arg1843z00_1363 = BgL_v1407z00_1393;
				}
				BGl_ev_letza2za2zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2551z00zz__evaluate_typesz00,
					BGl_symbol2353z00zz__evaluate_typesz00,
					BGl_ev_binderz00zz__evaluate_typesz00, ((long) 9906),
					BGl_proc2550z00zz__evaluate_typesz00,
					BGl_proc2549z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2548z00zz__evaluate_typesz00, BFALSE, BgL_arg1842z00_1362,
					BgL_arg1843z00_1363);
			}
			{	/* Eval/evaluate_types.scm 101 */
				obj_t BgL_arg1859z00_1400;
				obj_t BgL_arg1860z00_1401;

				{	/* Eval/evaluate_types.scm 101 */
					obj_t BgL_v1408z00_1414;

					BgL_v1408z00_1414 = create_vector((int) (((long) 0)));
					BgL_arg1859z00_1400 = BgL_v1408z00_1414;
				}
				{	/* Eval/evaluate_types.scm 101 */
					obj_t BgL_v1409z00_1415;

					BgL_v1409z00_1415 = create_vector((int) (((long) 0)));
					BgL_arg1860z00_1401 = BgL_v1409z00_1415;
				}
				BGl_ev_letrecz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2556z00zz__evaluate_typesz00,
					BGl_symbol2353z00zz__evaluate_typesz00,
					BGl_ev_binderz00zz__evaluate_typesz00, ((long) 43956),
					BGl_proc2555z00zz__evaluate_typesz00,
					BGl_proc2554z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2553z00zz__evaluate_typesz00, BFALSE, BgL_arg1859z00_1400,
					BgL_arg1860z00_1401);
			}
			{	/* Eval/evaluate_types.scm 102 */
				obj_t BgL_arg1869z00_1422;
				obj_t BgL_arg1871z00_1423;

				{	/* Eval/evaluate_types.scm 102 */
					obj_t BgL_v1410z00_1439;

					BgL_v1410z00_1439 = create_vector((int) (((long) 6)));
					VECTOR_SET(BgL_v1410z00_1439,
						(int) (((long) 5)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2538z00zz__evaluate_typesz00,
							BGl_proc2560z00zz__evaluate_typesz00,
							BGl_proc2559z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2558z00zz__evaluate_typesz00,
							BGl_symbol2359z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1410z00_1439, (int) (((long) 4)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2489z00zz__evaluate_typesz00,
							BGl_proc2562z00zz__evaluate_typesz00,
							BGl_proc2561z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1410z00_1439, (int) (((long) 3)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2566z00zz__evaluate_typesz00,
							BGl_proc2565z00zz__evaluate_typesz00,
							BGl_proc2564z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2563z00zz__evaluate_typesz00,
							BGl_symbol2359z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1410z00_1439, (int) (((long) 2)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2571z00zz__evaluate_typesz00,
							BGl_proc2570z00zz__evaluate_typesz00,
							BGl_proc2569z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2568z00zz__evaluate_typesz00,
							BGl_symbol2359z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1410z00_1439, (int) (((long) 1)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2524z00zz__evaluate_typesz00,
							BGl_proc2574z00zz__evaluate_typesz00,
							BGl_proc2573z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2359z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1410z00_1439, (int) (((long) 0)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2528z00zz__evaluate_typesz00,
							BGl_proc2576z00zz__evaluate_typesz00,
							BGl_proc2575z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2359z00zz__evaluate_typesz00));
					BgL_arg1869z00_1422 = BgL_v1410z00_1439;
				}
				{	/* Eval/evaluate_types.scm 102 */
					obj_t BgL_v1411z00_1521;

					BgL_v1411z00_1521 = create_vector((int) (((long) 0)));
					BgL_arg1871z00_1423 = BgL_v1411z00_1521;
				}
				BGl_ev_labelsz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2580z00zz__evaluate_typesz00,
					BGl_symbol2353z00zz__evaluate_typesz00,
					BGl_ev_exprz00zz__evaluate_typesz00, ((long) 51941),
					BGl_proc2579z00zz__evaluate_typesz00,
					BGl_proc2578z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2577z00zz__evaluate_typesz00, BFALSE, BgL_arg1869z00_1422,
					BgL_arg1871z00_1423);
			}
			{	/* Eval/evaluate_types.scm 110 */
				obj_t BgL_arg1918z00_1528;
				obj_t BgL_arg1919z00_1529;

				{	/* Eval/evaluate_types.scm 110 */
					obj_t BgL_v1412z00_1543;

					BgL_v1412z00_1543 = create_vector((int) (((long) 4)));
					VECTOR_SET(BgL_v1412z00_1543,
						(int) (((long) 3)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2420z00zz__evaluate_typesz00,
							BGl_proc2583z00zz__evaluate_typesz00,
							BGl_proc2582z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2359z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1412z00_1543, (int) (((long) 2)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2586z00zz__evaluate_typesz00,
							BGl_proc2585z00zz__evaluate_typesz00,
							BGl_proc2584z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_labelsz00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1412z00_1543, (int) (((long) 1)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2590z00zz__evaluate_typesz00,
							BGl_proc2589z00zz__evaluate_typesz00,
							BGl_proc2588z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_varz00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1412z00_1543, (int) (((long) 0)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2385z00zz__evaluate_typesz00,
							BGl_proc2593z00zz__evaluate_typesz00,
							BGl_proc2592z00zz__evaluate_typesz00, ((bool_t) 1), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2359z00zz__evaluate_typesz00));
					BgL_arg1918z00_1528 = BgL_v1412z00_1543;
				}
				{	/* Eval/evaluate_types.scm 110 */
					obj_t BgL_v1413z00_1592;

					BgL_v1413z00_1592 = create_vector((int) (((long) 0)));
					BgL_arg1919z00_1529 = BgL_v1413z00_1592;
				}
				BGl_ev_gotoz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2597z00zz__evaluate_typesz00,
					BGl_symbol2353z00zz__evaluate_typesz00,
					BGl_ev_exprz00zz__evaluate_typesz00, ((long) 25746),
					BGl_proc2596z00zz__evaluate_typesz00,
					BGl_proc2595z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2594z00zz__evaluate_typesz00, BFALSE, BgL_arg1918z00_1528,
					BgL_arg1919z00_1529);
			}
			{	/* Eval/evaluate_types.scm 115 */
				obj_t BgL_arg1950z00_1599;
				obj_t BgL_arg1951z00_1600;

				{	/* Eval/evaluate_types.scm 115 */
					obj_t BgL_v1414z00_1614;

					BgL_v1414z00_1614 = create_vector((int) (((long) 4)));
					VECTOR_SET(BgL_v1414z00_1614,
						(int) (((long) 3)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2601z00zz__evaluate_typesz00,
							BGl_proc2600z00zz__evaluate_typesz00,
							BGl_proc2599z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2359z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1414z00_1614, (int) (((long) 2)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2420z00zz__evaluate_typesz00,
							BGl_proc2604z00zz__evaluate_typesz00,
							BGl_proc2603z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2359z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1414z00_1614, (int) (((long) 1)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2607z00zz__evaluate_typesz00,
							BGl_proc2606z00zz__evaluate_typesz00,
							BGl_proc2605z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1414z00_1614, (int) (((long) 0)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2385z00zz__evaluate_typesz00,
							BGl_proc2610z00zz__evaluate_typesz00,
							BGl_proc2609z00zz__evaluate_typesz00, ((bool_t) 1), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2359z00zz__evaluate_typesz00));
					BgL_arg1950z00_1599 = BgL_v1414z00_1614;
				}
				{	/* Eval/evaluate_types.scm 115 */
					obj_t BgL_v1415z00_1663;

					BgL_v1415z00_1663 = create_vector((int) (((long) 0)));
					BgL_arg1951z00_1600 = BgL_v1415z00_1663;
				}
				BGl_ev_appz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2614z00zz__evaluate_typesz00,
					BGl_symbol2353z00zz__evaluate_typesz00,
					BGl_ev_exprz00zz__evaluate_typesz00, ((long) 55822),
					BGl_proc2613z00zz__evaluate_typesz00,
					BGl_proc2612z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2611z00zz__evaluate_typesz00, BFALSE, BgL_arg1950z00_1599,
					BgL_arg1951z00_1600);
			}
			{	/* Eval/evaluate_types.scm 118 */
				obj_t BgL_arg1982z00_1670;
				obj_t BgL_arg1983z00_1671;

				{	/* Eval/evaluate_types.scm 118 */
					obj_t BgL_v1416z00_1691;

					BgL_v1416z00_1691 = create_vector((int) (((long) 10)));
					VECTOR_SET(BgL_v1416z00_1691,
						(int) (((long) 9)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2538z00zz__evaluate_typesz00,
							BGl_proc2618z00zz__evaluate_typesz00,
							BGl_proc2617z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2616z00zz__evaluate_typesz00,
							BGl_symbol2359z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1416z00_1691, (int) (((long) 8)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2622z00zz__evaluate_typesz00,
							BGl_proc2621z00zz__evaluate_typesz00,
							BGl_proc2620z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2619z00zz__evaluate_typesz00,
							BGl_symbol2359z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1416z00_1691, (int) (((long) 7)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2627z00zz__evaluate_typesz00,
							BGl_proc2626z00zz__evaluate_typesz00,
							BGl_proc2625z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2624z00zz__evaluate_typesz00,
							BGl_symbol2359z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1416z00_1691, (int) (((long) 6)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2632z00zz__evaluate_typesz00,
							BGl_proc2631z00zz__evaluate_typesz00,
							BGl_proc2630z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2629z00zz__evaluate_typesz00,
							BGl_symbol2359z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1416z00_1691, (int) (((long) 5)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2637z00zz__evaluate_typesz00,
							BGl_proc2636z00zz__evaluate_typesz00,
							BGl_proc2635z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2634z00zz__evaluate_typesz00,
							BGl_symbol2639z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1416z00_1691, (int) (((long) 4)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2489z00zz__evaluate_typesz00,
							BGl_proc2642z00zz__evaluate_typesz00,
							BGl_proc2641z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1416z00_1691, (int) (((long) 3)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2528z00zz__evaluate_typesz00,
							BGl_proc2644z00zz__evaluate_typesz00,
							BGl_proc2643z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2359z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1416z00_1691, (int) (((long) 2)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2647z00zz__evaluate_typesz00,
							BGl_proc2646z00zz__evaluate_typesz00,
							BGl_proc2645z00zz__evaluate_typesz00, ((bool_t) 1), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2359z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1416z00_1691, (int) (((long) 1)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2651z00zz__evaluate_typesz00,
							BGl_proc2650z00zz__evaluate_typesz00,
							BGl_proc2649z00zz__evaluate_typesz00, ((bool_t) 1), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2359z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1416z00_1691, (int) (((long) 0)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2385z00zz__evaluate_typesz00,
							BGl_proc2654z00zz__evaluate_typesz00,
							BGl_proc2653z00zz__evaluate_typesz00, ((bool_t) 1), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2359z00zz__evaluate_typesz00));
					BgL_arg1982z00_1670 = BgL_v1416z00_1691;
				}
				{	/* Eval/evaluate_types.scm 118 */
					obj_t BgL_v1417z00_1827;

					BgL_v1417z00_1827 = create_vector((int) (((long) 0)));
					BgL_arg1983z00_1671 = BgL_v1417z00_1827;
				}
				return (BGl_ev_absz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2658z00zz__evaluate_typesz00,
						BGl_symbol2353z00zz__evaluate_typesz00,
						BGl_ev_exprz00zz__evaluate_typesz00, ((long) 22827),
						BGl_proc2657z00zz__evaluate_typesz00,
						BGl_proc2656z00zz__evaluate_typesz00, BFALSE,
						BGl_proc2655z00zz__evaluate_typesz00, BFALSE, BgL_arg1982z00_1670,
						BgL_arg1983z00_1671), BUNSPEC);
		}}
	}



/* &<anonymous:1988> */
	BgL_ev_absz00_bglt BGl_z62zc3anonymousza31988ze3ze1zz__evaluate_typesz00(obj_t
		BgL_envz00_3140, obj_t BgL_new1186z00_3141)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 118 */
			{
				BgL_ev_absz00_bglt BgL_new1186z00_1689;

				BgL_new1186z00_1689 = ((BgL_ev_absz00_bglt) BgL_new1186z00_3141);
				((((BgL_ev_absz00_bglt) CREF(BgL_new1186z00_1689))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_ev_absz00_bglt) CREF(BgL_new1186z00_1689))->BgL_wherez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_ev_absz00_bglt) CREF(BgL_new1186z00_1689))->BgL_arityz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_ev_absz00_bglt) CREF(BgL_new1186z00_1689))->BgL_varsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_ev_absz00_bglt) CREF(BgL_new1186z00_1689))->BgL_bodyz00) =
					((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt)
							BGl_classzd2nilzd2zz__objectz00
							(BGl_ev_exprz00zz__evaluate_typesz00))), BUNSPEC);
				((((BgL_ev_absz00_bglt) CREF(BgL_new1186z00_1689))->BgL_siza7eza7) =
					((int) (int) (((long) 0))), BUNSPEC);
				((((BgL_ev_absz00_bglt) CREF(BgL_new1186z00_1689))->BgL_bindz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_ev_absz00_bglt) CREF(BgL_new1186z00_1689))->BgL_freez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_ev_absz00_bglt) CREF(BgL_new1186z00_1689))->BgL_innerz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_ev_absz00_bglt) CREF(BgL_new1186z00_1689))->BgL_boxesz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				return BgL_new1186z00_1689;
			}
		}
	}



/* &lambda1986 */
	BgL_ev_absz00_bglt BGl_z62lambda1986z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3142)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 118 */
			{

				{	/* Eval/evaluate_types.scm 118 */
					BgL_ev_absz00_bglt BgL_new1185z00_1687;

					BgL_new1185z00_1687 =
						((BgL_ev_absz00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_ev_absz00_bgl))));
					{	/* Eval/evaluate_types.scm 118 */
						long BgL_arg1987z00_1688;

						{	/* Eval/evaluate_types.scm 118 */
							long BgL_res2312z00_2727;

							{	/* Eval/evaluate_types.scm 118 */
								obj_t BgL_classz00_2724;

								BgL_classz00_2724 = BGl_ev_absz00zz__evaluate_typesz00;
								{	/* Eval/evaluate_types.scm 118 */
									obj_t BgL_vectorz00_2725;
									int BgL_kz00_2726;

									BgL_vectorz00_2725 = BgL_classz00_2724;
									BgL_kz00_2726 = (int) (((long) 1));
									BgL_res2312z00_2727 =
										(long) CINT(VECTOR_REF(BgL_vectorz00_2725, BgL_kz00_2726));
							}}
							BgL_arg1987z00_1688 = BgL_res2312z00_2727;
						}
						{	/* Eval/evaluate_types.scm 118 */
							BgL_objectz00_bglt BgL_objz00_2728;

							BgL_objz00_2728 = ((BgL_objectz00_bglt) BgL_new1185z00_1687);
							BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2728, BgL_arg1987z00_1688);
					}}
					{	/* Eval/evaluate_types.scm 118 */
						BgL_objectz00_bglt BgL_auxz00_4118;

						BgL_auxz00_4118 = ((BgL_objectz00_bglt) BgL_new1185z00_1687);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_4118, BFALSE);
					}
					return BgL_new1185z00_1687;
				}
			}
		}
	}



/* &lambda1984 */
	BgL_ev_absz00_bglt BGl_z62lambda1984z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3143, obj_t BgL_loc1175z00_3144, obj_t BgL_where1176z00_3145,
		obj_t BgL_arity1177z00_3146, obj_t BgL_vars1178z00_3147,
		obj_t BgL_body1179z00_3148, obj_t BgL_siza7e1180za7_3149,
		obj_t BgL_bind1181z00_3150, obj_t BgL_free1182z00_3151,
		obj_t BgL_inner1183z00_3152, obj_t BgL_boxes1184z00_3153)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 118 */
			{
				obj_t BgL_loc1175z00_1672;
				obj_t BgL_where1176z00_1673;
				obj_t BgL_arity1177z00_1674;
				obj_t BgL_vars1178z00_1675;
				BgL_ev_exprz00_bglt BgL_body1179z00_1676;
				int BgL_siza7e1180za7_1677;
				obj_t BgL_bind1181z00_1678;
				obj_t BgL_free1182z00_1679;
				obj_t BgL_inner1183z00_1680;
				obj_t BgL_boxes1184z00_1681;

				BgL_loc1175z00_1672 = BgL_loc1175z00_3144;
				BgL_where1176z00_1673 = BgL_where1176z00_3145;
				BgL_arity1177z00_1674 = BgL_arity1177z00_3146;
				BgL_vars1178z00_1675 = BgL_vars1178z00_3147;
				BgL_body1179z00_1676 = ((BgL_ev_exprz00_bglt) BgL_body1179z00_3148);
				BgL_siza7e1180za7_1677 = CINT(BgL_siza7e1180za7_3149);
				BgL_bind1181z00_1678 = BgL_bind1181z00_3150;
				BgL_free1182z00_1679 = BgL_free1182z00_3151;
				BgL_inner1183z00_1680 = BgL_inner1183z00_3152;
				BgL_boxes1184z00_1681 = BgL_boxes1184z00_3153;
				{	/* Eval/evaluate_types.scm 118 */
					BgL_ev_absz00_bglt BgL_new1322z00_2715;

					{	/* Eval/evaluate_types.scm 118 */
						BgL_ev_absz00_bglt BgL_new1321z00_2716;

						BgL_new1321z00_2716 =
							((BgL_ev_absz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_ev_absz00_bgl))));
						{	/* Eval/evaluate_types.scm 118 */
							long BgL_arg1985z00_2717;

							{	/* Eval/evaluate_types.scm 118 */
								long BgL_res2311z00_2721;

								{	/* Eval/evaluate_types.scm 118 */
									obj_t BgL_classz00_2718;

									BgL_classz00_2718 = BGl_ev_absz00zz__evaluate_typesz00;
									{	/* Eval/evaluate_types.scm 118 */
										obj_t BgL_vectorz00_2719;
										int BgL_kz00_2720;

										BgL_vectorz00_2719 = BgL_classz00_2718;
										BgL_kz00_2720 = (int) (((long) 1));
										BgL_res2311z00_2721 =
											(long) CINT(VECTOR_REF(BgL_vectorz00_2719,
												BgL_kz00_2720));
								}}
								BgL_arg1985z00_2717 = BgL_res2311z00_2721;
							}
							{	/* Eval/evaluate_types.scm 118 */
								BgL_objectz00_bglt BgL_objz00_2722;

								BgL_objz00_2722 = ((BgL_objectz00_bglt) BgL_new1321z00_2716);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2722, BgL_arg1985z00_2717);
						}}
						{	/* Eval/evaluate_types.scm 118 */
							BgL_objectz00_bglt BgL_auxz00_4127;

							BgL_auxz00_4127 = ((BgL_objectz00_bglt) BgL_new1321z00_2716);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_4127, BFALSE);
						}
						BgL_new1322z00_2715 = BgL_new1321z00_2716;
					}
					((((BgL_ev_absz00_bglt) CREF(BgL_new1322z00_2715))->BgL_locz00) =
						((obj_t) BgL_loc1175z00_1672), BUNSPEC);
					((((BgL_ev_absz00_bglt) CREF(BgL_new1322z00_2715))->BgL_wherez00) =
						((obj_t) BgL_where1176z00_1673), BUNSPEC);
					((((BgL_ev_absz00_bglt) CREF(BgL_new1322z00_2715))->BgL_arityz00) =
						((obj_t) BgL_arity1177z00_1674), BUNSPEC);
					((((BgL_ev_absz00_bglt) CREF(BgL_new1322z00_2715))->BgL_varsz00) =
						((obj_t) BgL_vars1178z00_1675), BUNSPEC);
					((((BgL_ev_absz00_bglt) CREF(BgL_new1322z00_2715))->BgL_bodyz00) =
						((BgL_ev_exprz00_bglt) BgL_body1179z00_1676), BUNSPEC);
					((((BgL_ev_absz00_bglt) CREF(BgL_new1322z00_2715))->BgL_siza7eza7) =
						((int) BgL_siza7e1180za7_1677), BUNSPEC);
					((((BgL_ev_absz00_bglt) CREF(BgL_new1322z00_2715))->BgL_bindz00) =
						((obj_t) BgL_bind1181z00_1678), BUNSPEC);
					((((BgL_ev_absz00_bglt) CREF(BgL_new1322z00_2715))->BgL_freez00) =
						((obj_t) BgL_free1182z00_1679), BUNSPEC);
					((((BgL_ev_absz00_bglt) CREF(BgL_new1322z00_2715))->BgL_innerz00) =
						((obj_t) BgL_inner1183z00_1680), BUNSPEC);
					((((BgL_ev_absz00_bglt) CREF(BgL_new1322z00_2715))->BgL_boxesz00) =
						((obj_t) BgL_boxes1184z00_1681), BUNSPEC);
					return BgL_new1322z00_2715;
				}
			}
		}
	}



/* &lambda2053 */
	obj_t BGl_z62lambda2053z62zz__evaluate_typesz00(obj_t BgL_envz00_3154,
		obj_t BgL_oz00_3155, obj_t BgL_vz00_3156)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 118 */
			{	/* Eval/evaluate_types.scm 118 */
				BgL_ev_absz00_bglt BgL_oz00_3587;

				BgL_oz00_3587 = ((BgL_ev_absz00_bglt) BgL_oz00_3155);
				return
					((((BgL_ev_absz00_bglt) CREF(BgL_oz00_3587))->BgL_locz00) =
					((obj_t) BgL_vz00_3156), BUNSPEC);
			}
		}
	}



/* &lambda2052 */
	obj_t BGl_z62lambda2052z62zz__evaluate_typesz00(obj_t BgL_envz00_3157,
		obj_t BgL_oz00_3158)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 118 */
			return
				(((BgL_ev_absz00_bglt) CREF(
						((BgL_ev_absz00_bglt) BgL_oz00_3158)))->BgL_locz00);
		}
	}



/* &lambda2048 */
	obj_t BGl_z62lambda2048z62zz__evaluate_typesz00(obj_t BgL_envz00_3159,
		obj_t BgL_oz00_3160, obj_t BgL_vz00_3161)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 118 */
			{	/* Eval/evaluate_types.scm 118 */
				BgL_ev_absz00_bglt BgL_oz00_3590;

				BgL_oz00_3590 = ((BgL_ev_absz00_bglt) BgL_oz00_3160);
				return
					((((BgL_ev_absz00_bglt) CREF(BgL_oz00_3590))->BgL_wherez00) =
					((obj_t) BgL_vz00_3161), BUNSPEC);
			}
		}
	}



/* &lambda2047 */
	obj_t BGl_z62lambda2047z62zz__evaluate_typesz00(obj_t BgL_envz00_3162,
		obj_t BgL_oz00_3163)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 118 */
			return
				(((BgL_ev_absz00_bglt) CREF(
						((BgL_ev_absz00_bglt) BgL_oz00_3163)))->BgL_wherez00);
		}
	}



/* &lambda2042 */
	obj_t BGl_z62lambda2042z62zz__evaluate_typesz00(obj_t BgL_envz00_3164,
		obj_t BgL_oz00_3165, obj_t BgL_vz00_3166)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 118 */
			{	/* Eval/evaluate_types.scm 118 */
				BgL_ev_absz00_bglt BgL_oz00_3593;

				BgL_oz00_3593 = ((BgL_ev_absz00_bglt) BgL_oz00_3165);
				return
					((((BgL_ev_absz00_bglt) CREF(BgL_oz00_3593))->BgL_arityz00) =
					((obj_t) BgL_vz00_3166), BUNSPEC);
			}
		}
	}



/* &lambda2041 */
	obj_t BGl_z62lambda2041z62zz__evaluate_typesz00(obj_t BgL_envz00_3167,
		obj_t BgL_oz00_3168)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 118 */
			return
				(((BgL_ev_absz00_bglt) CREF(
						((BgL_ev_absz00_bglt) BgL_oz00_3168)))->BgL_arityz00);
		}
	}



/* &lambda2037 */
	obj_t BGl_z62lambda2037z62zz__evaluate_typesz00(obj_t BgL_envz00_3169,
		obj_t BgL_oz00_3170, obj_t BgL_vz00_3171)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 118 */
			{	/* Eval/evaluate_types.scm 118 */
				BgL_ev_absz00_bglt BgL_oz00_3596;

				BgL_oz00_3596 = ((BgL_ev_absz00_bglt) BgL_oz00_3170);
				return
					((((BgL_ev_absz00_bglt) CREF(BgL_oz00_3596))->BgL_varsz00) =
					((obj_t) BgL_vz00_3171), BUNSPEC);
			}
		}
	}



/* &lambda2036 */
	obj_t BGl_z62lambda2036z62zz__evaluate_typesz00(obj_t BgL_envz00_3172,
		obj_t BgL_oz00_3173)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 118 */
			return
				(((BgL_ev_absz00_bglt) CREF(
						((BgL_ev_absz00_bglt) BgL_oz00_3173)))->BgL_varsz00);
		}
	}



/* &lambda2032 */
	obj_t BGl_z62lambda2032z62zz__evaluate_typesz00(obj_t BgL_envz00_3174,
		obj_t BgL_oz00_3175, obj_t BgL_vz00_3176)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 118 */
			{	/* Eval/evaluate_types.scm 118 */
				BgL_ev_absz00_bglt BgL_oz00_3599;
				BgL_ev_exprz00_bglt BgL_vz00_3600;

				BgL_oz00_3599 = ((BgL_ev_absz00_bglt) BgL_oz00_3175);
				BgL_vz00_3600 = ((BgL_ev_exprz00_bglt) BgL_vz00_3176);
				return
					((((BgL_ev_absz00_bglt) CREF(BgL_oz00_3599))->BgL_bodyz00) =
					((BgL_ev_exprz00_bglt) BgL_vz00_3600), BUNSPEC);
			}
		}
	}



/* &lambda2031 */
	BgL_ev_exprz00_bglt BGl_z62lambda2031z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3177, obj_t BgL_oz00_3178)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 118 */
			return
				(((BgL_ev_absz00_bglt) CREF(
						((BgL_ev_absz00_bglt) BgL_oz00_3178)))->BgL_bodyz00);
		}
	}



/* &<anonymous:2027> */
	obj_t BGl_z62zc3anonymousza32027ze3ze1zz__evaluate_typesz00(obj_t
		BgL_envz00_3179)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 118 */
			return BINT(((long) 0));
		}
	}



/* &lambda2026 */
	obj_t BGl_z62lambda2026z62zz__evaluate_typesz00(obj_t BgL_envz00_3180,
		obj_t BgL_oz00_3181, obj_t BgL_vz00_3182)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 118 */
			{	/* Eval/evaluate_types.scm 118 */
				BgL_ev_absz00_bglt BgL_oz00_3602;
				int BgL_vz00_3603;

				BgL_oz00_3602 = ((BgL_ev_absz00_bglt) BgL_oz00_3181);
				BgL_vz00_3603 = CINT(BgL_vz00_3182);
				return
					((((BgL_ev_absz00_bglt) CREF(BgL_oz00_3602))->BgL_siza7eza7) =
					((int) BgL_vz00_3603), BUNSPEC);
		}}
	}



/* &lambda2025 */
	obj_t BGl_z62lambda2025z62zz__evaluate_typesz00(obj_t BgL_envz00_3183,
		obj_t BgL_oz00_3184)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 118 */
			return
				BINT(
				(((BgL_ev_absz00_bglt) CREF(
							((BgL_ev_absz00_bglt) BgL_oz00_3184)))->BgL_siza7eza7));
		}
	}



/* &<anonymous:2018> */
	obj_t BGl_z62zc3anonymousza32018ze3ze1zz__evaluate_typesz00(obj_t
		BgL_envz00_3185)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 118 */
			return BNIL;
		}
	}



/* &lambda2017 */
	obj_t BGl_z62lambda2017z62zz__evaluate_typesz00(obj_t BgL_envz00_3186,
		obj_t BgL_oz00_3187, obj_t BgL_vz00_3188)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 118 */
			{	/* Eval/evaluate_types.scm 118 */
				BgL_ev_absz00_bglt BgL_oz00_3605;

				BgL_oz00_3605 = ((BgL_ev_absz00_bglt) BgL_oz00_3187);
				return
					((((BgL_ev_absz00_bglt) CREF(BgL_oz00_3605))->BgL_bindz00) =
					((obj_t) BgL_vz00_3188), BUNSPEC);
			}
		}
	}



/* &lambda2016 */
	obj_t BGl_z62lambda2016z62zz__evaluate_typesz00(obj_t BgL_envz00_3189,
		obj_t BgL_oz00_3190)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 118 */
			return
				(((BgL_ev_absz00_bglt) CREF(
						((BgL_ev_absz00_bglt) BgL_oz00_3190)))->BgL_bindz00);
		}
	}



/* &<anonymous:2010> */
	obj_t BGl_z62zc3anonymousza32010ze3ze1zz__evaluate_typesz00(obj_t
		BgL_envz00_3191)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 118 */
			return BNIL;
		}
	}



/* &lambda2009 */
	obj_t BGl_z62lambda2009z62zz__evaluate_typesz00(obj_t BgL_envz00_3192,
		obj_t BgL_oz00_3193, obj_t BgL_vz00_3194)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 118 */
			{	/* Eval/evaluate_types.scm 118 */
				BgL_ev_absz00_bglt BgL_oz00_3608;

				BgL_oz00_3608 = ((BgL_ev_absz00_bglt) BgL_oz00_3193);
				return
					((((BgL_ev_absz00_bglt) CREF(BgL_oz00_3608))->BgL_freez00) =
					((obj_t) BgL_vz00_3194), BUNSPEC);
			}
		}
	}



/* &lambda2008 */
	obj_t BGl_z62lambda2008z62zz__evaluate_typesz00(obj_t BgL_envz00_3195,
		obj_t BgL_oz00_3196)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 118 */
			return
				(((BgL_ev_absz00_bglt) CREF(
						((BgL_ev_absz00_bglt) BgL_oz00_3196)))->BgL_freez00);
		}
	}



/* &<anonymous:2003> */
	obj_t BGl_z62zc3anonymousza32003ze3ze1zz__evaluate_typesz00(obj_t
		BgL_envz00_3197)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 118 */
			return BNIL;
		}
	}



/* &lambda2002 */
	obj_t BGl_z62lambda2002z62zz__evaluate_typesz00(obj_t BgL_envz00_3198,
		obj_t BgL_oz00_3199, obj_t BgL_vz00_3200)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 118 */
			{	/* Eval/evaluate_types.scm 118 */
				BgL_ev_absz00_bglt BgL_oz00_3611;

				BgL_oz00_3611 = ((BgL_ev_absz00_bglt) BgL_oz00_3199);
				return
					((((BgL_ev_absz00_bglt) CREF(BgL_oz00_3611))->BgL_innerz00) =
					((obj_t) BgL_vz00_3200), BUNSPEC);
			}
		}
	}



/* &lambda2001 */
	obj_t BGl_z62lambda2001z62zz__evaluate_typesz00(obj_t BgL_envz00_3201,
		obj_t BgL_oz00_3202)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 118 */
			return
				(((BgL_ev_absz00_bglt) CREF(
						((BgL_ev_absz00_bglt) BgL_oz00_3202)))->BgL_innerz00);
		}
	}



/* &<anonymous:1995> */
	obj_t BGl_z62zc3anonymousza31995ze3ze1zz__evaluate_typesz00(obj_t
		BgL_envz00_3203)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 118 */
			return BNIL;
		}
	}



/* &lambda1994 */
	obj_t BGl_z62lambda1994z62zz__evaluate_typesz00(obj_t BgL_envz00_3204,
		obj_t BgL_oz00_3205, obj_t BgL_vz00_3206)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 118 */
			{	/* Eval/evaluate_types.scm 118 */
				BgL_ev_absz00_bglt BgL_oz00_3614;

				BgL_oz00_3614 = ((BgL_ev_absz00_bglt) BgL_oz00_3205);
				return
					((((BgL_ev_absz00_bglt) CREF(BgL_oz00_3614))->BgL_boxesz00) =
					((obj_t) BgL_vz00_3206), BUNSPEC);
			}
		}
	}



/* &lambda1993 */
	obj_t BGl_z62lambda1993z62zz__evaluate_typesz00(obj_t BgL_envz00_3207,
		obj_t BgL_oz00_3208)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 118 */
			return
				(((BgL_ev_absz00_bglt) CREF(
						((BgL_ev_absz00_bglt) BgL_oz00_3208)))->BgL_boxesz00);
		}
	}



/* &<anonymous:1956> */
	BgL_ev_appz00_bglt BGl_z62zc3anonymousza31956ze3ze1zz__evaluate_typesz00(obj_t
		BgL_envz00_3209, obj_t BgL_new1173z00_3210)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 115 */
			{
				BgL_ev_appz00_bglt BgL_new1173z00_1612;

				BgL_new1173z00_1612 = ((BgL_ev_appz00_bglt) BgL_new1173z00_3210);
				((((BgL_ev_appz00_bglt) CREF(BgL_new1173z00_1612))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_ev_appz00_bglt) CREF(BgL_new1173z00_1612))->BgL_funz00) =
					((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt)
							BGl_classzd2nilzd2zz__objectz00
							(BGl_ev_exprz00zz__evaluate_typesz00))), BUNSPEC);
				((((BgL_ev_appz00_bglt) CREF(BgL_new1173z00_1612))->BgL_argsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_ev_appz00_bglt) CREF(BgL_new1173z00_1612))->BgL_tailzf3zf3) =
					((obj_t) BUNSPEC), BUNSPEC);
				return BgL_new1173z00_1612;
			}
		}
	}



/* &lambda1954 */
	BgL_ev_appz00_bglt BGl_z62lambda1954z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3211)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 115 */
			{

				{	/* Eval/evaluate_types.scm 115 */
					BgL_ev_appz00_bglt BgL_new1172z00_1610;

					BgL_new1172z00_1610 =
						((BgL_ev_appz00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_ev_appz00_bgl))));
					{	/* Eval/evaluate_types.scm 115 */
						long BgL_arg1955z00_1611;

						{	/* Eval/evaluate_types.scm 115 */
							long BgL_res2310z00_2662;

							{	/* Eval/evaluate_types.scm 115 */
								obj_t BgL_classz00_2659;

								BgL_classz00_2659 = BGl_ev_appz00zz__evaluate_typesz00;
								{	/* Eval/evaluate_types.scm 115 */
									obj_t BgL_vectorz00_2660;
									int BgL_kz00_2661;

									BgL_vectorz00_2660 = BgL_classz00_2659;
									BgL_kz00_2661 = (int) (((long) 1));
									BgL_res2310z00_2662 =
										(long) CINT(VECTOR_REF(BgL_vectorz00_2660, BgL_kz00_2661));
							}}
							BgL_arg1955z00_1611 = BgL_res2310z00_2662;
						}
						{	/* Eval/evaluate_types.scm 115 */
							BgL_objectz00_bglt BgL_objz00_2663;

							BgL_objz00_2663 = ((BgL_objectz00_bglt) BgL_new1172z00_1610);
							BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2663, BgL_arg1955z00_1611);
					}}
					{	/* Eval/evaluate_types.scm 115 */
						BgL_objectz00_bglt BgL_auxz00_4199;

						BgL_auxz00_4199 = ((BgL_objectz00_bglt) BgL_new1172z00_1610);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_4199, BFALSE);
					}
					return BgL_new1172z00_1610;
				}
			}
		}
	}



/* &lambda1952 */
	BgL_ev_appz00_bglt BGl_z62lambda1952z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3212, obj_t BgL_loc1168z00_3213, obj_t BgL_fun1169z00_3214,
		obj_t BgL_args1170z00_3215, obj_t BgL_tailzf31171zf3_3216)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 115 */
			{
				obj_t BgL_loc1168z00_1601;
				BgL_ev_exprz00_bglt BgL_fun1169z00_1602;
				obj_t BgL_args1170z00_1603;
				obj_t BgL_tailzf31171zf3_1604;

				BgL_loc1168z00_1601 = BgL_loc1168z00_3213;
				BgL_fun1169z00_1602 = ((BgL_ev_exprz00_bglt) BgL_fun1169z00_3214);
				BgL_args1170z00_1603 = BgL_args1170z00_3215;
				BgL_tailzf31171zf3_1604 = BgL_tailzf31171zf3_3216;
				{	/* Eval/evaluate_types.scm 115 */
					BgL_ev_appz00_bglt BgL_new1312z00_2650;

					{	/* Eval/evaluate_types.scm 115 */
						BgL_ev_appz00_bglt BgL_new1311z00_2651;

						BgL_new1311z00_2651 =
							((BgL_ev_appz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_ev_appz00_bgl))));
						{	/* Eval/evaluate_types.scm 115 */
							long BgL_arg1953z00_2652;

							{	/* Eval/evaluate_types.scm 115 */
								long BgL_res2309z00_2656;

								{	/* Eval/evaluate_types.scm 115 */
									obj_t BgL_classz00_2653;

									BgL_classz00_2653 = BGl_ev_appz00zz__evaluate_typesz00;
									{	/* Eval/evaluate_types.scm 115 */
										obj_t BgL_vectorz00_2654;
										int BgL_kz00_2655;

										BgL_vectorz00_2654 = BgL_classz00_2653;
										BgL_kz00_2655 = (int) (((long) 1));
										BgL_res2309z00_2656 =
											(long) CINT(VECTOR_REF(BgL_vectorz00_2654,
												BgL_kz00_2655));
								}}
								BgL_arg1953z00_2652 = BgL_res2309z00_2656;
							}
							{	/* Eval/evaluate_types.scm 115 */
								BgL_objectz00_bglt BgL_objz00_2657;

								BgL_objz00_2657 = ((BgL_objectz00_bglt) BgL_new1311z00_2651);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2657, BgL_arg1953z00_2652);
						}}
						{	/* Eval/evaluate_types.scm 115 */
							BgL_objectz00_bglt BgL_auxz00_4208;

							BgL_auxz00_4208 = ((BgL_objectz00_bglt) BgL_new1311z00_2651);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_4208, BFALSE);
						}
						BgL_new1312z00_2650 = BgL_new1311z00_2651;
					}
					((((BgL_ev_appz00_bglt) CREF(BgL_new1312z00_2650))->BgL_locz00) =
						((obj_t) BgL_loc1168z00_1601), BUNSPEC);
					((((BgL_ev_appz00_bglt) CREF(BgL_new1312z00_2650))->BgL_funz00) =
						((BgL_ev_exprz00_bglt) BgL_fun1169z00_1602), BUNSPEC);
					((((BgL_ev_appz00_bglt) CREF(BgL_new1312z00_2650))->BgL_argsz00) =
						((obj_t) BgL_args1170z00_1603), BUNSPEC);
					((((BgL_ev_appz00_bglt) CREF(BgL_new1312z00_2650))->BgL_tailzf3zf3) =
						((obj_t) BgL_tailzf31171zf3_1604), BUNSPEC);
					return BgL_new1312z00_2650;
				}
			}
		}
	}



/* &lambda1977 */
	obj_t BGl_z62lambda1977z62zz__evaluate_typesz00(obj_t BgL_envz00_3217,
		obj_t BgL_oz00_3218, obj_t BgL_vz00_3219)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 115 */
			{	/* Eval/evaluate_types.scm 115 */
				BgL_ev_appz00_bglt BgL_oz00_3617;

				BgL_oz00_3617 = ((BgL_ev_appz00_bglt) BgL_oz00_3218);
				return
					((((BgL_ev_appz00_bglt) CREF(BgL_oz00_3617))->BgL_locz00) =
					((obj_t) BgL_vz00_3219), BUNSPEC);
			}
		}
	}



/* &lambda1976 */
	obj_t BGl_z62lambda1976z62zz__evaluate_typesz00(obj_t BgL_envz00_3220,
		obj_t BgL_oz00_3221)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 115 */
			return
				(((BgL_ev_appz00_bglt) CREF(
						((BgL_ev_appz00_bglt) BgL_oz00_3221)))->BgL_locz00);
		}
	}



/* &lambda1972 */
	obj_t BGl_z62lambda1972z62zz__evaluate_typesz00(obj_t BgL_envz00_3222,
		obj_t BgL_oz00_3223, obj_t BgL_vz00_3224)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 115 */
			{	/* Eval/evaluate_types.scm 115 */
				BgL_ev_appz00_bglt BgL_oz00_3620;
				BgL_ev_exprz00_bglt BgL_vz00_3621;

				BgL_oz00_3620 = ((BgL_ev_appz00_bglt) BgL_oz00_3223);
				BgL_vz00_3621 = ((BgL_ev_exprz00_bglt) BgL_vz00_3224);
				return
					((((BgL_ev_appz00_bglt) CREF(BgL_oz00_3620))->BgL_funz00) =
					((BgL_ev_exprz00_bglt) BgL_vz00_3621), BUNSPEC);
			}
		}
	}



/* &lambda1971 */
	BgL_ev_exprz00_bglt BGl_z62lambda1971z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3225, obj_t BgL_oz00_3226)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 115 */
			return
				(((BgL_ev_appz00_bglt) CREF(
						((BgL_ev_appz00_bglt) BgL_oz00_3226)))->BgL_funz00);
		}
	}



/* &lambda1966 */
	obj_t BGl_z62lambda1966z62zz__evaluate_typesz00(obj_t BgL_envz00_3227,
		obj_t BgL_oz00_3228, obj_t BgL_vz00_3229)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 115 */
			{	/* Eval/evaluate_types.scm 115 */
				BgL_ev_appz00_bglt BgL_oz00_3623;

				BgL_oz00_3623 = ((BgL_ev_appz00_bglt) BgL_oz00_3228);
				return
					((((BgL_ev_appz00_bglt) CREF(BgL_oz00_3623))->BgL_argsz00) =
					((obj_t) BgL_vz00_3229), BUNSPEC);
			}
		}
	}



/* &lambda1965 */
	obj_t BGl_z62lambda1965z62zz__evaluate_typesz00(obj_t BgL_envz00_3230,
		obj_t BgL_oz00_3231)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 115 */
			return
				(((BgL_ev_appz00_bglt) CREF(
						((BgL_ev_appz00_bglt) BgL_oz00_3231)))->BgL_argsz00);
		}
	}



/* &lambda1961 */
	obj_t BGl_z62lambda1961z62zz__evaluate_typesz00(obj_t BgL_envz00_3232,
		obj_t BgL_oz00_3233, obj_t BgL_vz00_3234)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 115 */
			{	/* Eval/evaluate_types.scm 115 */
				BgL_ev_appz00_bglt BgL_oz00_3626;

				BgL_oz00_3626 = ((BgL_ev_appz00_bglt) BgL_oz00_3233);
				return
					((((BgL_ev_appz00_bglt) CREF(BgL_oz00_3626))->BgL_tailzf3zf3) =
					((obj_t) BgL_vz00_3234), BUNSPEC);
			}
		}
	}



/* &lambda1960 */
	obj_t BGl_z62lambda1960z62zz__evaluate_typesz00(obj_t BgL_envz00_3235,
		obj_t BgL_oz00_3236)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 115 */
			return
				(((BgL_ev_appz00_bglt) CREF(
						((BgL_ev_appz00_bglt) BgL_oz00_3236)))->BgL_tailzf3zf3);
		}
	}



/* &<anonymous:1924> */
	BgL_ev_gotoz00_bglt
		BGl_z62zc3anonymousza31924ze3ze1zz__evaluate_typesz00(obj_t BgL_envz00_3237,
		obj_t BgL_new1166z00_3238)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 110 */
			{
				BgL_ev_gotoz00_bglt BgL_new1166z00_1541;

				BgL_new1166z00_1541 = ((BgL_ev_gotoz00_bglt) BgL_new1166z00_3238);
				((((BgL_ev_gotoz00_bglt) CREF(BgL_new1166z00_1541))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_ev_gotoz00_bglt) CREF(BgL_new1166z00_1541))->BgL_labelz00) =
					((BgL_ev_varz00_bglt) ((BgL_ev_varz00_bglt)
							BGl_classzd2nilzd2zz__objectz00
							(BGl_ev_varz00zz__evaluate_typesz00))), BUNSPEC);
				((((BgL_ev_gotoz00_bglt) CREF(BgL_new1166z00_1541))->BgL_labelsz00) =
					((BgL_ev_labelsz00_bglt) ((BgL_ev_labelsz00_bglt)
							BGl_classzd2nilzd2zz__objectz00
							(BGl_ev_labelsz00zz__evaluate_typesz00))), BUNSPEC);
				((((BgL_ev_gotoz00_bglt) CREF(BgL_new1166z00_1541))->BgL_argsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				return BgL_new1166z00_1541;
			}
		}
	}



/* &lambda1922 */
	BgL_ev_gotoz00_bglt BGl_z62lambda1922z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3239)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 110 */
			{

				{	/* Eval/evaluate_types.scm 110 */
					BgL_ev_gotoz00_bglt BgL_new1165z00_1539;

					BgL_new1165z00_1539 =
						((BgL_ev_gotoz00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_ev_gotoz00_bgl))));
					{	/* Eval/evaluate_types.scm 110 */
						long BgL_arg1923z00_1540;

						{	/* Eval/evaluate_types.scm 110 */
							long BgL_res2308z00_2627;

							{	/* Eval/evaluate_types.scm 110 */
								obj_t BgL_classz00_2624;

								BgL_classz00_2624 = BGl_ev_gotoz00zz__evaluate_typesz00;
								{	/* Eval/evaluate_types.scm 110 */
									obj_t BgL_vectorz00_2625;
									int BgL_kz00_2626;

									BgL_vectorz00_2625 = BgL_classz00_2624;
									BgL_kz00_2626 = (int) (((long) 1));
									BgL_res2308z00_2627 =
										(long) CINT(VECTOR_REF(BgL_vectorz00_2625, BgL_kz00_2626));
							}}
							BgL_arg1923z00_1540 = BgL_res2308z00_2627;
						}
						{	/* Eval/evaluate_types.scm 110 */
							BgL_objectz00_bglt BgL_objz00_2628;

							BgL_objz00_2628 = ((BgL_objectz00_bglt) BgL_new1165z00_1539);
							BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2628, BgL_arg1923z00_1540);
					}}
					{	/* Eval/evaluate_types.scm 110 */
						BgL_objectz00_bglt BgL_auxz00_4248;

						BgL_auxz00_4248 = ((BgL_objectz00_bglt) BgL_new1165z00_1539);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_4248, BFALSE);
					}
					return BgL_new1165z00_1539;
				}
			}
		}
	}



/* &lambda1920 */
	BgL_ev_gotoz00_bglt BGl_z62lambda1920z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3240, obj_t BgL_loc1161z00_3241, obj_t BgL_label1162z00_3242,
		obj_t BgL_labels1163z00_3243, obj_t BgL_args1164z00_3244)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 110 */
			{
				obj_t BgL_loc1161z00_1530;
				BgL_ev_varz00_bglt BgL_label1162z00_1531;
				BgL_ev_labelsz00_bglt BgL_labels1163z00_1532;
				obj_t BgL_args1164z00_1533;

				BgL_loc1161z00_1530 = BgL_loc1161z00_3241;
				BgL_label1162z00_1531 = ((BgL_ev_varz00_bglt) BgL_label1162z00_3242);
				BgL_labels1163z00_1532 =
					((BgL_ev_labelsz00_bglt) BgL_labels1163z00_3243);
				BgL_args1164z00_1533 = BgL_args1164z00_3244;
				{	/* Eval/evaluate_types.scm 110 */
					BgL_ev_gotoz00_bglt BgL_new1302z00_2615;

					{	/* Eval/evaluate_types.scm 110 */
						BgL_ev_gotoz00_bglt BgL_new1301z00_2616;

						BgL_new1301z00_2616 =
							((BgL_ev_gotoz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_ev_gotoz00_bgl))));
						{	/* Eval/evaluate_types.scm 110 */
							long BgL_arg1921z00_2617;

							{	/* Eval/evaluate_types.scm 110 */
								long BgL_res2307z00_2621;

								{	/* Eval/evaluate_types.scm 110 */
									obj_t BgL_classz00_2618;

									BgL_classz00_2618 = BGl_ev_gotoz00zz__evaluate_typesz00;
									{	/* Eval/evaluate_types.scm 110 */
										obj_t BgL_vectorz00_2619;
										int BgL_kz00_2620;

										BgL_vectorz00_2619 = BgL_classz00_2618;
										BgL_kz00_2620 = (int) (((long) 1));
										BgL_res2307z00_2621 =
											(long) CINT(VECTOR_REF(BgL_vectorz00_2619,
												BgL_kz00_2620));
								}}
								BgL_arg1921z00_2617 = BgL_res2307z00_2621;
							}
							{	/* Eval/evaluate_types.scm 110 */
								BgL_objectz00_bglt BgL_objz00_2622;

								BgL_objz00_2622 = ((BgL_objectz00_bglt) BgL_new1301z00_2616);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2622, BgL_arg1921z00_2617);
						}}
						{	/* Eval/evaluate_types.scm 110 */
							BgL_objectz00_bglt BgL_auxz00_4257;

							BgL_auxz00_4257 = ((BgL_objectz00_bglt) BgL_new1301z00_2616);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_4257, BFALSE);
						}
						BgL_new1302z00_2615 = BgL_new1301z00_2616;
					}
					((((BgL_ev_gotoz00_bglt) CREF(BgL_new1302z00_2615))->BgL_locz00) =
						((obj_t) BgL_loc1161z00_1530), BUNSPEC);
					((((BgL_ev_gotoz00_bglt) CREF(BgL_new1302z00_2615))->BgL_labelz00) =
						((BgL_ev_varz00_bglt) BgL_label1162z00_1531), BUNSPEC);
					((((BgL_ev_gotoz00_bglt) CREF(BgL_new1302z00_2615))->BgL_labelsz00) =
						((BgL_ev_labelsz00_bglt) BgL_labels1163z00_1532), BUNSPEC);
					((((BgL_ev_gotoz00_bglt) CREF(BgL_new1302z00_2615))->BgL_argsz00) =
						((obj_t) BgL_args1164z00_1533), BUNSPEC);
					return BgL_new1302z00_2615;
				}
			}
		}
	}



/* &lambda1945 */
	obj_t BGl_z62lambda1945z62zz__evaluate_typesz00(obj_t BgL_envz00_3245,
		obj_t BgL_oz00_3246, obj_t BgL_vz00_3247)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 110 */
			{	/* Eval/evaluate_types.scm 110 */
				BgL_ev_gotoz00_bglt BgL_oz00_3629;

				BgL_oz00_3629 = ((BgL_ev_gotoz00_bglt) BgL_oz00_3246);
				return
					((((BgL_ev_gotoz00_bglt) CREF(BgL_oz00_3629))->BgL_locz00) =
					((obj_t) BgL_vz00_3247), BUNSPEC);
			}
		}
	}



/* &lambda1944 */
	obj_t BGl_z62lambda1944z62zz__evaluate_typesz00(obj_t BgL_envz00_3248,
		obj_t BgL_oz00_3249)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 110 */
			return
				(((BgL_ev_gotoz00_bglt) CREF(
						((BgL_ev_gotoz00_bglt) BgL_oz00_3249)))->BgL_locz00);
		}
	}



/* &lambda1940 */
	obj_t BGl_z62lambda1940z62zz__evaluate_typesz00(obj_t BgL_envz00_3250,
		obj_t BgL_oz00_3251, obj_t BgL_vz00_3252)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 110 */
			{	/* Eval/evaluate_types.scm 110 */
				BgL_ev_gotoz00_bglt BgL_oz00_3632;
				BgL_ev_varz00_bglt BgL_vz00_3633;

				BgL_oz00_3632 = ((BgL_ev_gotoz00_bglt) BgL_oz00_3251);
				BgL_vz00_3633 = ((BgL_ev_varz00_bglt) BgL_vz00_3252);
				return
					((((BgL_ev_gotoz00_bglt) CREF(BgL_oz00_3632))->BgL_labelz00) =
					((BgL_ev_varz00_bglt) BgL_vz00_3633), BUNSPEC);
			}
		}
	}



/* &lambda1939 */
	BgL_ev_varz00_bglt BGl_z62lambda1939z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3253, obj_t BgL_oz00_3254)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 110 */
			return
				(((BgL_ev_gotoz00_bglt) CREF(
						((BgL_ev_gotoz00_bglt) BgL_oz00_3254)))->BgL_labelz00);
		}
	}



/* &lambda1935 */
	obj_t BGl_z62lambda1935z62zz__evaluate_typesz00(obj_t BgL_envz00_3255,
		obj_t BgL_oz00_3256, obj_t BgL_vz00_3257)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 110 */
			{	/* Eval/evaluate_types.scm 110 */
				BgL_ev_gotoz00_bglt BgL_oz00_3635;
				BgL_ev_labelsz00_bglt BgL_vz00_3636;

				BgL_oz00_3635 = ((BgL_ev_gotoz00_bglt) BgL_oz00_3256);
				BgL_vz00_3636 = ((BgL_ev_labelsz00_bglt) BgL_vz00_3257);
				return
					((((BgL_ev_gotoz00_bglt) CREF(BgL_oz00_3635))->BgL_labelsz00) =
					((BgL_ev_labelsz00_bglt) BgL_vz00_3636), BUNSPEC);
			}
		}
	}



/* &lambda1934 */
	BgL_ev_labelsz00_bglt BGl_z62lambda1934z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3258, obj_t BgL_oz00_3259)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 110 */
			return
				(((BgL_ev_gotoz00_bglt) CREF(
						((BgL_ev_gotoz00_bglt) BgL_oz00_3259)))->BgL_labelsz00);
		}
	}



/* &lambda1930 */
	obj_t BGl_z62lambda1930z62zz__evaluate_typesz00(obj_t BgL_envz00_3260,
		obj_t BgL_oz00_3261, obj_t BgL_vz00_3262)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 110 */
			{	/* Eval/evaluate_types.scm 110 */
				BgL_ev_gotoz00_bglt BgL_oz00_3638;

				BgL_oz00_3638 = ((BgL_ev_gotoz00_bglt) BgL_oz00_3261);
				return
					((((BgL_ev_gotoz00_bglt) CREF(BgL_oz00_3638))->BgL_argsz00) =
					((obj_t) BgL_vz00_3262), BUNSPEC);
			}
		}
	}



/* &lambda1929 */
	obj_t BGl_z62lambda1929z62zz__evaluate_typesz00(obj_t BgL_envz00_3263,
		obj_t BgL_oz00_3264)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 110 */
			return
				(((BgL_ev_gotoz00_bglt) CREF(
						((BgL_ev_gotoz00_bglt) BgL_oz00_3264)))->BgL_argsz00);
		}
	}



/* &<anonymous:1876> */
	BgL_ev_labelsz00_bglt
		BGl_z62zc3anonymousza31876ze3ze1zz__evaluate_typesz00(obj_t BgL_envz00_3265,
		obj_t BgL_new1159z00_3266)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 102 */
			{
				BgL_ev_labelsz00_bglt BgL_new1159z00_1437;

				BgL_new1159z00_1437 = ((BgL_ev_labelsz00_bglt) BgL_new1159z00_3266);
				((((BgL_ev_labelsz00_bglt) CREF(BgL_new1159z00_1437))->BgL_varsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_ev_labelsz00_bglt) CREF(BgL_new1159z00_1437))->BgL_valsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_ev_labelsz00_bglt) CREF(BgL_new1159z00_1437))->BgL_envz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_ev_labelsz00_bglt) CREF(BgL_new1159z00_1437))->BgL_stkz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_ev_labelsz00_bglt) CREF(BgL_new1159z00_1437))->BgL_bodyz00) =
					((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt)
							BGl_classzd2nilzd2zz__objectz00
							(BGl_ev_exprz00zz__evaluate_typesz00))), BUNSPEC);
				((((BgL_ev_labelsz00_bglt) CREF(BgL_new1159z00_1437))->BgL_boxesz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				return BgL_new1159z00_1437;
			}
		}
	}



/* &lambda1874 */
	BgL_ev_labelsz00_bglt BGl_z62lambda1874z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3267)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 102 */
			{

				{	/* Eval/evaluate_types.scm 102 */
					BgL_ev_labelsz00_bglt BgL_new1158z00_1435;

					BgL_new1158z00_1435 =
						((BgL_ev_labelsz00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_ev_labelsz00_bgl))));
					{	/* Eval/evaluate_types.scm 102 */
						long BgL_arg1875z00_1436;

						{	/* Eval/evaluate_types.scm 102 */
							long BgL_res2306z00_2592;

							{	/* Eval/evaluate_types.scm 102 */
								obj_t BgL_classz00_2589;

								BgL_classz00_2589 = BGl_ev_labelsz00zz__evaluate_typesz00;
								{	/* Eval/evaluate_types.scm 102 */
									obj_t BgL_vectorz00_2590;
									int BgL_kz00_2591;

									BgL_vectorz00_2590 = BgL_classz00_2589;
									BgL_kz00_2591 = (int) (((long) 1));
									BgL_res2306z00_2592 =
										(long) CINT(VECTOR_REF(BgL_vectorz00_2590, BgL_kz00_2591));
							}}
							BgL_arg1875z00_1436 = BgL_res2306z00_2592;
						}
						{	/* Eval/evaluate_types.scm 102 */
							BgL_objectz00_bglt BgL_objz00_2593;

							BgL_objz00_2593 = ((BgL_objectz00_bglt) BgL_new1158z00_1435);
							BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2593, BgL_arg1875z00_1436);
					}}
					{	/* Eval/evaluate_types.scm 102 */
						BgL_objectz00_bglt BgL_auxz00_4299;

						BgL_auxz00_4299 = ((BgL_objectz00_bglt) BgL_new1158z00_1435);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_4299, BFALSE);
					}
					return BgL_new1158z00_1435;
				}
			}
		}
	}



/* &lambda1872 */
	BgL_ev_labelsz00_bglt BGl_z62lambda1872z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3268, obj_t BgL_vars1151z00_3269, obj_t BgL_vals1152z00_3270,
		obj_t BgL_env1153z00_3271, obj_t BgL_stk1154z00_3272,
		obj_t BgL_body1155z00_3273, obj_t BgL_boxes1156z00_3274)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 102 */
			{
				obj_t BgL_vars1151z00_1424;
				obj_t BgL_vals1152z00_1425;
				obj_t BgL_env1153z00_1426;
				obj_t BgL_stk1154z00_1427;
				BgL_ev_exprz00_bglt BgL_body1155z00_1428;
				obj_t BgL_boxes1156z00_1429;

				BgL_vars1151z00_1424 = BgL_vars1151z00_3269;
				BgL_vals1152z00_1425 = BgL_vals1152z00_3270;
				BgL_env1153z00_1426 = BgL_env1153z00_3271;
				BgL_stk1154z00_1427 = BgL_stk1154z00_3272;
				BgL_body1155z00_1428 = ((BgL_ev_exprz00_bglt) BgL_body1155z00_3273);
				BgL_boxes1156z00_1429 = BgL_boxes1156z00_3274;
				{	/* Eval/evaluate_types.scm 102 */
					BgL_ev_labelsz00_bglt BgL_new1288z00_2580;

					{	/* Eval/evaluate_types.scm 102 */
						BgL_ev_labelsz00_bglt BgL_new1287z00_2581;

						BgL_new1287z00_2581 =
							((BgL_ev_labelsz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_ev_labelsz00_bgl))));
						{	/* Eval/evaluate_types.scm 102 */
							long BgL_arg1873z00_2582;

							{	/* Eval/evaluate_types.scm 102 */
								long BgL_res2305z00_2586;

								{	/* Eval/evaluate_types.scm 102 */
									obj_t BgL_classz00_2583;

									BgL_classz00_2583 = BGl_ev_labelsz00zz__evaluate_typesz00;
									{	/* Eval/evaluate_types.scm 102 */
										obj_t BgL_vectorz00_2584;
										int BgL_kz00_2585;

										BgL_vectorz00_2584 = BgL_classz00_2583;
										BgL_kz00_2585 = (int) (((long) 1));
										BgL_res2305z00_2586 =
											(long) CINT(VECTOR_REF(BgL_vectorz00_2584,
												BgL_kz00_2585));
								}}
								BgL_arg1873z00_2582 = BgL_res2305z00_2586;
							}
							{	/* Eval/evaluate_types.scm 102 */
								BgL_objectz00_bglt BgL_objz00_2587;

								BgL_objz00_2587 = ((BgL_objectz00_bglt) BgL_new1287z00_2581);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2587, BgL_arg1873z00_2582);
						}}
						{	/* Eval/evaluate_types.scm 102 */
							BgL_objectz00_bglt BgL_auxz00_4308;

							BgL_auxz00_4308 = ((BgL_objectz00_bglt) BgL_new1287z00_2581);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_4308, BFALSE);
						}
						BgL_new1288z00_2580 = BgL_new1287z00_2581;
					}
					((((BgL_ev_labelsz00_bglt) CREF(BgL_new1288z00_2580))->BgL_varsz00) =
						((obj_t) BgL_vars1151z00_1424), BUNSPEC);
					((((BgL_ev_labelsz00_bglt) CREF(BgL_new1288z00_2580))->BgL_valsz00) =
						((obj_t) BgL_vals1152z00_1425), BUNSPEC);
					((((BgL_ev_labelsz00_bglt) CREF(BgL_new1288z00_2580))->BgL_envz00) =
						((obj_t) BgL_env1153z00_1426), BUNSPEC);
					((((BgL_ev_labelsz00_bglt) CREF(BgL_new1288z00_2580))->BgL_stkz00) =
						((obj_t) BgL_stk1154z00_1427), BUNSPEC);
					((((BgL_ev_labelsz00_bglt) CREF(BgL_new1288z00_2580))->BgL_bodyz00) =
						((BgL_ev_exprz00_bglt) BgL_body1155z00_1428), BUNSPEC);
					((((BgL_ev_labelsz00_bglt) CREF(BgL_new1288z00_2580))->BgL_boxesz00) =
						((obj_t) BgL_boxes1156z00_1429), BUNSPEC);
					return BgL_new1288z00_2580;
				}
			}
		}
	}



/* &lambda1914 */
	obj_t BGl_z62lambda1914z62zz__evaluate_typesz00(obj_t BgL_envz00_3275,
		obj_t BgL_oz00_3276, obj_t BgL_vz00_3277)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 102 */
			{	/* Eval/evaluate_types.scm 102 */
				BgL_ev_labelsz00_bglt BgL_oz00_3641;

				BgL_oz00_3641 = ((BgL_ev_labelsz00_bglt) BgL_oz00_3276);
				return
					((((BgL_ev_labelsz00_bglt) CREF(BgL_oz00_3641))->BgL_varsz00) =
					((obj_t) BgL_vz00_3277), BUNSPEC);
			}
		}
	}



/* &lambda1913 */
	obj_t BGl_z62lambda1913z62zz__evaluate_typesz00(obj_t BgL_envz00_3278,
		obj_t BgL_oz00_3279)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 102 */
			return
				(((BgL_ev_labelsz00_bglt) CREF(
						((BgL_ev_labelsz00_bglt) BgL_oz00_3279)))->BgL_varsz00);
		}
	}



/* &lambda1908 */
	obj_t BGl_z62lambda1908z62zz__evaluate_typesz00(obj_t BgL_envz00_3280,
		obj_t BgL_oz00_3281, obj_t BgL_vz00_3282)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 102 */
			{	/* Eval/evaluate_types.scm 102 */
				BgL_ev_labelsz00_bglt BgL_oz00_3644;

				BgL_oz00_3644 = ((BgL_ev_labelsz00_bglt) BgL_oz00_3281);
				return
					((((BgL_ev_labelsz00_bglt) CREF(BgL_oz00_3644))->BgL_valsz00) =
					((obj_t) BgL_vz00_3282), BUNSPEC);
			}
		}
	}



/* &lambda1907 */
	obj_t BGl_z62lambda1907z62zz__evaluate_typesz00(obj_t BgL_envz00_3283,
		obj_t BgL_oz00_3284)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 102 */
			return
				(((BgL_ev_labelsz00_bglt) CREF(
						((BgL_ev_labelsz00_bglt) BgL_oz00_3284)))->BgL_valsz00);
		}
	}



/* &<anonymous:1903> */
	obj_t BGl_z62zc3anonymousza31903ze3ze1zz__evaluate_typesz00(obj_t
		BgL_envz00_3285)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 102 */
			return BNIL;
		}
	}



/* &lambda1902 */
	obj_t BGl_z62lambda1902z62zz__evaluate_typesz00(obj_t BgL_envz00_3286,
		obj_t BgL_oz00_3287, obj_t BgL_vz00_3288)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 102 */
			{	/* Eval/evaluate_types.scm 102 */
				BgL_ev_labelsz00_bglt BgL_oz00_3647;

				BgL_oz00_3647 = ((BgL_ev_labelsz00_bglt) BgL_oz00_3287);
				return
					((((BgL_ev_labelsz00_bglt) CREF(BgL_oz00_3647))->BgL_envz00) =
					((obj_t) BgL_vz00_3288), BUNSPEC);
			}
		}
	}



/* &lambda1901 */
	obj_t BGl_z62lambda1901z62zz__evaluate_typesz00(obj_t BgL_envz00_3289,
		obj_t BgL_oz00_3290)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 102 */
			return
				(((BgL_ev_labelsz00_bglt) CREF(
						((BgL_ev_labelsz00_bglt) BgL_oz00_3290)))->BgL_envz00);
		}
	}



/* &<anonymous:1896> */
	obj_t BGl_z62zc3anonymousza31896ze3ze1zz__evaluate_typesz00(obj_t
		BgL_envz00_3291)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 102 */
			return BNIL;
		}
	}



/* &lambda1895 */
	obj_t BGl_z62lambda1895z62zz__evaluate_typesz00(obj_t BgL_envz00_3292,
		obj_t BgL_oz00_3293, obj_t BgL_vz00_3294)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 102 */
			{	/* Eval/evaluate_types.scm 102 */
				BgL_ev_labelsz00_bglt BgL_oz00_3650;

				BgL_oz00_3650 = ((BgL_ev_labelsz00_bglt) BgL_oz00_3293);
				return
					((((BgL_ev_labelsz00_bglt) CREF(BgL_oz00_3650))->BgL_stkz00) =
					((obj_t) BgL_vz00_3294), BUNSPEC);
			}
		}
	}



/* &lambda1894 */
	obj_t BGl_z62lambda1894z62zz__evaluate_typesz00(obj_t BgL_envz00_3295,
		obj_t BgL_oz00_3296)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 102 */
			return
				(((BgL_ev_labelsz00_bglt) CREF(
						((BgL_ev_labelsz00_bglt) BgL_oz00_3296)))->BgL_stkz00);
		}
	}



/* &lambda1889 */
	obj_t BGl_z62lambda1889z62zz__evaluate_typesz00(obj_t BgL_envz00_3297,
		obj_t BgL_oz00_3298, obj_t BgL_vz00_3299)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 102 */
			{	/* Eval/evaluate_types.scm 102 */
				BgL_ev_labelsz00_bglt BgL_oz00_3653;
				BgL_ev_exprz00_bglt BgL_vz00_3654;

				BgL_oz00_3653 = ((BgL_ev_labelsz00_bglt) BgL_oz00_3298);
				BgL_vz00_3654 = ((BgL_ev_exprz00_bglt) BgL_vz00_3299);
				return
					((((BgL_ev_labelsz00_bglt) CREF(BgL_oz00_3653))->BgL_bodyz00) =
					((BgL_ev_exprz00_bglt) BgL_vz00_3654), BUNSPEC);
			}
		}
	}



/* &lambda1888 */
	BgL_ev_exprz00_bglt BGl_z62lambda1888z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3300, obj_t BgL_oz00_3301)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 102 */
			return
				(((BgL_ev_labelsz00_bglt) CREF(
						((BgL_ev_labelsz00_bglt) BgL_oz00_3301)))->BgL_bodyz00);
		}
	}



/* &<anonymous:1884> */
	obj_t BGl_z62zc3anonymousza31884ze3ze1zz__evaluate_typesz00(obj_t
		BgL_envz00_3302)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 102 */
			return BNIL;
		}
	}



/* &lambda1883 */
	obj_t BGl_z62lambda1883z62zz__evaluate_typesz00(obj_t BgL_envz00_3303,
		obj_t BgL_oz00_3304, obj_t BgL_vz00_3305)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 102 */
			{	/* Eval/evaluate_types.scm 102 */
				BgL_ev_labelsz00_bglt BgL_oz00_3656;

				BgL_oz00_3656 = ((BgL_ev_labelsz00_bglt) BgL_oz00_3304);
				return
					((((BgL_ev_labelsz00_bglt) CREF(BgL_oz00_3656))->BgL_boxesz00) =
					((obj_t) BgL_vz00_3305), BUNSPEC);
			}
		}
	}



/* &lambda1882 */
	obj_t BGl_z62lambda1882z62zz__evaluate_typesz00(obj_t BgL_envz00_3306,
		obj_t BgL_oz00_3307)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 102 */
			return
				(((BgL_ev_labelsz00_bglt) CREF(
						((BgL_ev_labelsz00_bglt) BgL_oz00_3307)))->BgL_boxesz00);
		}
	}



/* &<anonymous:1865> */
	BgL_ev_letrecz00_bglt
		BGl_z62zc3anonymousza31865ze3ze1zz__evaluate_typesz00(obj_t BgL_envz00_3308,
		obj_t BgL_new1149z00_3309)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 101 */
			{
				BgL_ev_letrecz00_bglt BgL_new1149z00_1412;

				BgL_new1149z00_1412 = ((BgL_ev_letrecz00_bglt) BgL_new1149z00_3309);
				((((BgL_ev_binderz00_bglt) CREF(
								((BgL_ev_binderz00_bglt) BgL_new1149z00_1412)))->BgL_varsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_ev_binderz00_bglt) CREF(((BgL_ev_binderz00_bglt)
									BgL_new1149z00_1412)))->BgL_valsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_ev_binderz00_bglt) CREF(((BgL_ev_binderz00_bglt)
									BgL_new1149z00_1412)))->BgL_bodyz00) =
					((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt)
							BGl_classzd2nilzd2zz__objectz00
							(BGl_ev_exprz00zz__evaluate_typesz00))), BUNSPEC);
				return BgL_new1149z00_1412;
			}
		}
	}



/* &lambda1863 */
	BgL_ev_letrecz00_bglt BGl_z62lambda1863z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3310)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 101 */
			{

				{	/* Eval/evaluate_types.scm 101 */
					BgL_ev_letrecz00_bglt BgL_new1148z00_1410;

					BgL_new1148z00_1410 =
						((BgL_ev_letrecz00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_ev_letrecz00_bgl))));
					{	/* Eval/evaluate_types.scm 101 */
						long BgL_arg1864z00_1411;

						{	/* Eval/evaluate_types.scm 101 */
							long BgL_res2304z00_2547;

							{	/* Eval/evaluate_types.scm 101 */
								obj_t BgL_classz00_2544;

								BgL_classz00_2544 = BGl_ev_letrecz00zz__evaluate_typesz00;
								{	/* Eval/evaluate_types.scm 101 */
									obj_t BgL_vectorz00_2545;
									int BgL_kz00_2546;

									BgL_vectorz00_2545 = BgL_classz00_2544;
									BgL_kz00_2546 = (int) (((long) 1));
									BgL_res2304z00_2547 =
										(long) CINT(VECTOR_REF(BgL_vectorz00_2545, BgL_kz00_2546));
							}}
							BgL_arg1864z00_1411 = BgL_res2304z00_2547;
						}
						{	/* Eval/evaluate_types.scm 101 */
							BgL_objectz00_bglt BgL_objz00_2548;

							BgL_objz00_2548 = ((BgL_objectz00_bglt) BgL_new1148z00_1410);
							BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2548, BgL_arg1864z00_1411);
					}}
					{	/* Eval/evaluate_types.scm 101 */
						BgL_objectz00_bglt BgL_auxz00_4358;

						BgL_auxz00_4358 = ((BgL_objectz00_bglt) BgL_new1148z00_1410);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_4358, BFALSE);
					}
					return BgL_new1148z00_1410;
				}
			}
		}
	}



/* &lambda1861 */
	BgL_ev_letrecz00_bglt BGl_z62lambda1861z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3311, obj_t BgL_vars1145z00_3312, obj_t BgL_vals1146z00_3313,
		obj_t BgL_body1147z00_3314)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 101 */
			{
				obj_t BgL_vars1145z00_1402;
				obj_t BgL_vals1146z00_1403;
				BgL_ev_exprz00_bglt BgL_body1147z00_1404;

				BgL_vars1145z00_1402 = BgL_vars1145z00_3312;
				BgL_vals1146z00_1403 = BgL_vals1146z00_3313;
				BgL_body1147z00_1404 = ((BgL_ev_exprz00_bglt) BgL_body1147z00_3314);
				{	/* Eval/evaluate_types.scm 101 */
					BgL_ev_letrecz00_bglt BgL_new1286z00_2535;

					{	/* Eval/evaluate_types.scm 101 */
						BgL_ev_letrecz00_bglt BgL_new1285z00_2536;

						BgL_new1285z00_2536 =
							((BgL_ev_letrecz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_ev_letrecz00_bgl))));
						{	/* Eval/evaluate_types.scm 101 */
							long BgL_arg1862z00_2537;

							{	/* Eval/evaluate_types.scm 101 */
								long BgL_res2303z00_2541;

								{	/* Eval/evaluate_types.scm 101 */
									obj_t BgL_classz00_2538;

									BgL_classz00_2538 = BGl_ev_letrecz00zz__evaluate_typesz00;
									{	/* Eval/evaluate_types.scm 101 */
										obj_t BgL_vectorz00_2539;
										int BgL_kz00_2540;

										BgL_vectorz00_2539 = BgL_classz00_2538;
										BgL_kz00_2540 = (int) (((long) 1));
										BgL_res2303z00_2541 =
											(long) CINT(VECTOR_REF(BgL_vectorz00_2539,
												BgL_kz00_2540));
								}}
								BgL_arg1862z00_2537 = BgL_res2303z00_2541;
							}
							{	/* Eval/evaluate_types.scm 101 */
								BgL_objectz00_bglt BgL_objz00_2542;

								BgL_objz00_2542 = ((BgL_objectz00_bglt) BgL_new1285z00_2536);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2542, BgL_arg1862z00_2537);
						}}
						{	/* Eval/evaluate_types.scm 101 */
							BgL_objectz00_bglt BgL_auxz00_4367;

							BgL_auxz00_4367 = ((BgL_objectz00_bglt) BgL_new1285z00_2536);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_4367, BFALSE);
						}
						BgL_new1286z00_2535 = BgL_new1285z00_2536;
					}
					((((BgL_ev_binderz00_bglt) CREF(
									((BgL_ev_binderz00_bglt) BgL_new1286z00_2535)))->
							BgL_varsz00) = ((obj_t) BgL_vars1145z00_1402), BUNSPEC);
					((((BgL_ev_binderz00_bglt) CREF(((BgL_ev_binderz00_bglt)
										BgL_new1286z00_2535)))->BgL_valsz00) =
						((obj_t) BgL_vals1146z00_1403), BUNSPEC);
					((((BgL_ev_binderz00_bglt) CREF(((BgL_ev_binderz00_bglt)
										BgL_new1286z00_2535)))->BgL_bodyz00) =
						((BgL_ev_exprz00_bglt) BgL_body1147z00_1404), BUNSPEC);
					return BgL_new1286z00_2535;
				}
			}
		}
	}



/* &<anonymous:1848> */
	BgL_ev_letza2za2_bglt
		BGl_z62zc3anonymousza31848ze3ze1zz__evaluate_typesz00(obj_t BgL_envz00_3315,
		obj_t BgL_new1143z00_3316)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 99 */
			{
				BgL_ev_letza2za2_bglt BgL_new1143z00_1375;

				BgL_new1143z00_1375 = ((BgL_ev_letza2za2_bglt) BgL_new1143z00_3316);
				((((BgL_ev_binderz00_bglt) CREF(
								((BgL_ev_binderz00_bglt) BgL_new1143z00_1375)))->BgL_varsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_ev_binderz00_bglt) CREF(((BgL_ev_binderz00_bglt)
									BgL_new1143z00_1375)))->BgL_valsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_ev_binderz00_bglt) CREF(((BgL_ev_binderz00_bglt)
									BgL_new1143z00_1375)))->BgL_bodyz00) =
					((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt)
							BGl_classzd2nilzd2zz__objectz00
							(BGl_ev_exprz00zz__evaluate_typesz00))), BUNSPEC);
				((((BgL_ev_letza2za2_bglt) CREF(BgL_new1143z00_1375))->BgL_boxesz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				return BgL_new1143z00_1375;
			}
		}
	}



/* &lambda1846 */
	BgL_ev_letza2za2_bglt BGl_z62lambda1846z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3317)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 99 */
			{

				{	/* Eval/evaluate_types.scm 99 */
					BgL_ev_letza2za2_bglt BgL_new1142z00_1373;

					BgL_new1142z00_1373 =
						((BgL_ev_letza2za2_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_ev_letza2za2_bgl))));
					{	/* Eval/evaluate_types.scm 99 */
						long BgL_arg1847z00_1374;

						{	/* Eval/evaluate_types.scm 99 */
							long BgL_res2302z00_2532;

							{	/* Eval/evaluate_types.scm 99 */
								obj_t BgL_classz00_2529;

								BgL_classz00_2529 = BGl_ev_letza2za2zz__evaluate_typesz00;
								{	/* Eval/evaluate_types.scm 99 */
									obj_t BgL_vectorz00_2530;
									int BgL_kz00_2531;

									BgL_vectorz00_2530 = BgL_classz00_2529;
									BgL_kz00_2531 = (int) (((long) 1));
									BgL_res2302z00_2532 =
										(long) CINT(VECTOR_REF(BgL_vectorz00_2530, BgL_kz00_2531));
							}}
							BgL_arg1847z00_1374 = BgL_res2302z00_2532;
						}
						{	/* Eval/evaluate_types.scm 99 */
							BgL_objectz00_bglt BgL_objz00_2533;

							BgL_objz00_2533 = ((BgL_objectz00_bglt) BgL_new1142z00_1373);
							BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2533, BgL_arg1847z00_1374);
					}}
					{	/* Eval/evaluate_types.scm 99 */
						BgL_objectz00_bglt BgL_auxz00_4393;

						BgL_auxz00_4393 = ((BgL_objectz00_bglt) BgL_new1142z00_1373);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_4393, BFALSE);
					}
					return BgL_new1142z00_1373;
				}
			}
		}
	}



/* &lambda1844 */
	BgL_ev_letza2za2_bglt BGl_z62lambda1844z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3318, obj_t BgL_vars1138z00_3319, obj_t BgL_vals1139z00_3320,
		obj_t BgL_body1140z00_3321, obj_t BgL_boxes1141z00_3322)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 99 */
			{
				obj_t BgL_vars1138z00_1364;
				obj_t BgL_vals1139z00_1365;
				BgL_ev_exprz00_bglt BgL_body1140z00_1366;
				obj_t BgL_boxes1141z00_1367;

				BgL_vars1138z00_1364 = BgL_vars1138z00_3319;
				BgL_vals1139z00_1365 = BgL_vals1139z00_3320;
				BgL_body1140z00_1366 = ((BgL_ev_exprz00_bglt) BgL_body1140z00_3321);
				BgL_boxes1141z00_1367 = BgL_boxes1141z00_3322;
				{	/* Eval/evaluate_types.scm 99 */
					BgL_ev_letza2za2_bglt BgL_new1282z00_2520;

					{	/* Eval/evaluate_types.scm 99 */
						BgL_ev_letza2za2_bglt BgL_new1281z00_2521;

						BgL_new1281z00_2521 =
							((BgL_ev_letza2za2_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_ev_letza2za2_bgl))));
						{	/* Eval/evaluate_types.scm 99 */
							long BgL_arg1845z00_2522;

							{	/* Eval/evaluate_types.scm 99 */
								long BgL_res2301z00_2526;

								{	/* Eval/evaluate_types.scm 99 */
									obj_t BgL_classz00_2523;

									BgL_classz00_2523 = BGl_ev_letza2za2zz__evaluate_typesz00;
									{	/* Eval/evaluate_types.scm 99 */
										obj_t BgL_vectorz00_2524;
										int BgL_kz00_2525;

										BgL_vectorz00_2524 = BgL_classz00_2523;
										BgL_kz00_2525 = (int) (((long) 1));
										BgL_res2301z00_2526 =
											(long) CINT(VECTOR_REF(BgL_vectorz00_2524,
												BgL_kz00_2525));
								}}
								BgL_arg1845z00_2522 = BgL_res2301z00_2526;
							}
							{	/* Eval/evaluate_types.scm 99 */
								BgL_objectz00_bglt BgL_objz00_2527;

								BgL_objz00_2527 = ((BgL_objectz00_bglt) BgL_new1281z00_2521);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2527, BgL_arg1845z00_2522);
						}}
						{	/* Eval/evaluate_types.scm 99 */
							BgL_objectz00_bglt BgL_auxz00_4402;

							BgL_auxz00_4402 = ((BgL_objectz00_bglt) BgL_new1281z00_2521);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_4402, BFALSE);
						}
						BgL_new1282z00_2520 = BgL_new1281z00_2521;
					}
					((((BgL_ev_binderz00_bglt) CREF(
									((BgL_ev_binderz00_bglt) BgL_new1282z00_2520)))->
							BgL_varsz00) = ((obj_t) BgL_vars1138z00_1364), BUNSPEC);
					((((BgL_ev_binderz00_bglt) CREF(((BgL_ev_binderz00_bglt)
										BgL_new1282z00_2520)))->BgL_valsz00) =
						((obj_t) BgL_vals1139z00_1365), BUNSPEC);
					((((BgL_ev_binderz00_bglt) CREF(((BgL_ev_binderz00_bglt)
										BgL_new1282z00_2520)))->BgL_bodyz00) =
						((BgL_ev_exprz00_bglt) BgL_body1140z00_1366), BUNSPEC);
					((((BgL_ev_letza2za2_bglt) CREF(BgL_new1282z00_2520))->BgL_boxesz00) =
						((obj_t) BgL_boxes1141z00_1367), BUNSPEC);
					return BgL_new1282z00_2520;
				}
			}
		}
	}



/* &<anonymous:1855> */
	obj_t BGl_z62zc3anonymousza31855ze3ze1zz__evaluate_typesz00(obj_t
		BgL_envz00_3323)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 99 */
			return BNIL;
		}
	}



/* &lambda1854 */
	obj_t BGl_z62lambda1854z62zz__evaluate_typesz00(obj_t BgL_envz00_3324,
		obj_t BgL_oz00_3325, obj_t BgL_vz00_3326)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 99 */
			{	/* Eval/evaluate_types.scm 99 */
				BgL_ev_letza2za2_bglt BgL_oz00_3659;

				BgL_oz00_3659 = ((BgL_ev_letza2za2_bglt) BgL_oz00_3325);
				return
					((((BgL_ev_letza2za2_bglt) CREF(BgL_oz00_3659))->BgL_boxesz00) =
					((obj_t) BgL_vz00_3326), BUNSPEC);
			}
		}
	}



/* &lambda1853 */
	obj_t BGl_z62lambda1853z62zz__evaluate_typesz00(obj_t BgL_envz00_3327,
		obj_t BgL_oz00_3328)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 99 */
			return
				(((BgL_ev_letza2za2_bglt) CREF(
						((BgL_ev_letza2za2_bglt) BgL_oz00_3328)))->BgL_boxesz00);
		}
	}



/* &<anonymous:1831> */
	BgL_ev_letz00_bglt BGl_z62zc3anonymousza31831ze3ze1zz__evaluate_typesz00(obj_t
		BgL_envz00_3329, obj_t BgL_new1136z00_3330)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 97 */
			{
				BgL_ev_letz00_bglt BgL_new1136z00_1337;

				BgL_new1136z00_1337 = ((BgL_ev_letz00_bglt) BgL_new1136z00_3330);
				((((BgL_ev_binderz00_bglt) CREF(
								((BgL_ev_binderz00_bglt) BgL_new1136z00_1337)))->BgL_varsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_ev_binderz00_bglt) CREF(((BgL_ev_binderz00_bglt)
									BgL_new1136z00_1337)))->BgL_valsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_ev_binderz00_bglt) CREF(((BgL_ev_binderz00_bglt)
									BgL_new1136z00_1337)))->BgL_bodyz00) =
					((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt)
							BGl_classzd2nilzd2zz__objectz00
							(BGl_ev_exprz00zz__evaluate_typesz00))), BUNSPEC);
				((((BgL_ev_letz00_bglt) CREF(BgL_new1136z00_1337))->BgL_boxesz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				return BgL_new1136z00_1337;
			}
		}
	}



/* &lambda1828 */
	BgL_ev_letz00_bglt BGl_z62lambda1828z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3331)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 97 */
			{

				{	/* Eval/evaluate_types.scm 97 */
					BgL_ev_letz00_bglt BgL_new1135z00_1335;

					BgL_new1135z00_1335 =
						((BgL_ev_letz00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_ev_letz00_bgl))));
					{	/* Eval/evaluate_types.scm 97 */
						long BgL_arg1830z00_1336;

						{	/* Eval/evaluate_types.scm 97 */
							long BgL_res2300z00_2512;

							{	/* Eval/evaluate_types.scm 97 */
								obj_t BgL_classz00_2509;

								BgL_classz00_2509 = BGl_ev_letz00zz__evaluate_typesz00;
								{	/* Eval/evaluate_types.scm 97 */
									obj_t BgL_vectorz00_2510;
									int BgL_kz00_2511;

									BgL_vectorz00_2510 = BgL_classz00_2509;
									BgL_kz00_2511 = (int) (((long) 1));
									BgL_res2300z00_2512 =
										(long) CINT(VECTOR_REF(BgL_vectorz00_2510, BgL_kz00_2511));
							}}
							BgL_arg1830z00_1336 = BgL_res2300z00_2512;
						}
						{	/* Eval/evaluate_types.scm 97 */
							BgL_objectz00_bglt BgL_objz00_2513;

							BgL_objz00_2513 = ((BgL_objectz00_bglt) BgL_new1135z00_1335);
							BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2513, BgL_arg1830z00_1336);
					}}
					{	/* Eval/evaluate_types.scm 97 */
						BgL_objectz00_bglt BgL_auxz00_4433;

						BgL_auxz00_4433 = ((BgL_objectz00_bglt) BgL_new1135z00_1335);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_4433, BFALSE);
					}
					return BgL_new1135z00_1335;
				}
			}
		}
	}



/* &lambda1826 */
	BgL_ev_letz00_bglt BGl_z62lambda1826z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3332, obj_t BgL_vars1131z00_3333, obj_t BgL_vals1132z00_3334,
		obj_t BgL_body1133z00_3335, obj_t BgL_boxes1134z00_3336)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 97 */
			{
				obj_t BgL_vars1131z00_1326;
				obj_t BgL_vals1132z00_1327;
				BgL_ev_exprz00_bglt BgL_body1133z00_1328;
				obj_t BgL_boxes1134z00_1329;

				BgL_vars1131z00_1326 = BgL_vars1131z00_3333;
				BgL_vals1132z00_1327 = BgL_vals1132z00_3334;
				BgL_body1133z00_1328 = ((BgL_ev_exprz00_bglt) BgL_body1133z00_3335);
				BgL_boxes1134z00_1329 = BgL_boxes1134z00_3336;
				{	/* Eval/evaluate_types.scm 97 */
					BgL_ev_letz00_bglt BgL_new1278z00_2500;

					{	/* Eval/evaluate_types.scm 97 */
						BgL_ev_letz00_bglt BgL_new1277z00_2501;

						BgL_new1277z00_2501 =
							((BgL_ev_letz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_ev_letz00_bgl))));
						{	/* Eval/evaluate_types.scm 97 */
							long BgL_arg1827z00_2502;

							{	/* Eval/evaluate_types.scm 97 */
								long BgL_res2299z00_2506;

								{	/* Eval/evaluate_types.scm 97 */
									obj_t BgL_classz00_2503;

									BgL_classz00_2503 = BGl_ev_letz00zz__evaluate_typesz00;
									{	/* Eval/evaluate_types.scm 97 */
										obj_t BgL_vectorz00_2504;
										int BgL_kz00_2505;

										BgL_vectorz00_2504 = BgL_classz00_2503;
										BgL_kz00_2505 = (int) (((long) 1));
										BgL_res2299z00_2506 =
											(long) CINT(VECTOR_REF(BgL_vectorz00_2504,
												BgL_kz00_2505));
								}}
								BgL_arg1827z00_2502 = BgL_res2299z00_2506;
							}
							{	/* Eval/evaluate_types.scm 97 */
								BgL_objectz00_bglt BgL_objz00_2507;

								BgL_objz00_2507 = ((BgL_objectz00_bglt) BgL_new1277z00_2501);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2507, BgL_arg1827z00_2502);
						}}
						{	/* Eval/evaluate_types.scm 97 */
							BgL_objectz00_bglt BgL_auxz00_4442;

							BgL_auxz00_4442 = ((BgL_objectz00_bglt) BgL_new1277z00_2501);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_4442, BFALSE);
						}
						BgL_new1278z00_2500 = BgL_new1277z00_2501;
					}
					((((BgL_ev_binderz00_bglt) CREF(
									((BgL_ev_binderz00_bglt) BgL_new1278z00_2500)))->
							BgL_varsz00) = ((obj_t) BgL_vars1131z00_1326), BUNSPEC);
					((((BgL_ev_binderz00_bglt) CREF(((BgL_ev_binderz00_bglt)
										BgL_new1278z00_2500)))->BgL_valsz00) =
						((obj_t) BgL_vals1132z00_1327), BUNSPEC);
					((((BgL_ev_binderz00_bglt) CREF(((BgL_ev_binderz00_bglt)
										BgL_new1278z00_2500)))->BgL_bodyz00) =
						((BgL_ev_exprz00_bglt) BgL_body1133z00_1328), BUNSPEC);
					((((BgL_ev_letz00_bglt) CREF(BgL_new1278z00_2500))->BgL_boxesz00) =
						((obj_t) BgL_boxes1134z00_1329), BUNSPEC);
					return BgL_new1278z00_2500;
				}
			}
		}
	}



/* &<anonymous:1838> */
	obj_t BGl_z62zc3anonymousza31838ze3ze1zz__evaluate_typesz00(obj_t
		BgL_envz00_3337)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 97 */
			return BNIL;
		}
	}



/* &lambda1837 */
	obj_t BGl_z62lambda1837z62zz__evaluate_typesz00(obj_t BgL_envz00_3338,
		obj_t BgL_oz00_3339, obj_t BgL_vz00_3340)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 97 */
			{	/* Eval/evaluate_types.scm 97 */
				BgL_ev_letz00_bglt BgL_oz00_3662;

				BgL_oz00_3662 = ((BgL_ev_letz00_bglt) BgL_oz00_3339);
				return
					((((BgL_ev_letz00_bglt) CREF(BgL_oz00_3662))->BgL_boxesz00) =
					((obj_t) BgL_vz00_3340), BUNSPEC);
			}
		}
	}



/* &lambda1836 */
	obj_t BGl_z62lambda1836z62zz__evaluate_typesz00(obj_t BgL_envz00_3341,
		obj_t BgL_oz00_3342)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 97 */
			return
				(((BgL_ev_letz00_bglt) CREF(
						((BgL_ev_letz00_bglt) BgL_oz00_3342)))->BgL_boxesz00);
		}
	}



/* &<anonymous:1804> */
	BgL_ev_binderz00_bglt
		BGl_z62zc3anonymousza31804ze3ze1zz__evaluate_typesz00(obj_t BgL_envz00_3343,
		obj_t BgL_new1129z00_3344)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 93 */
			{
				BgL_ev_binderz00_bglt BgL_new1129z00_1278;

				BgL_new1129z00_1278 = ((BgL_ev_binderz00_bglt) BgL_new1129z00_3344);
				((((BgL_ev_binderz00_bglt) CREF(BgL_new1129z00_1278))->BgL_varsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_ev_binderz00_bglt) CREF(BgL_new1129z00_1278))->BgL_valsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_ev_binderz00_bglt) CREF(BgL_new1129z00_1278))->BgL_bodyz00) =
					((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt)
							BGl_classzd2nilzd2zz__objectz00
							(BGl_ev_exprz00zz__evaluate_typesz00))), BUNSPEC);
				return BgL_new1129z00_1278;
			}
		}
	}



/* &lambda1802 */
	BgL_ev_binderz00_bglt BGl_z62lambda1802z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3345)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 93 */
			{

				{	/* Eval/evaluate_types.scm 93 */
					BgL_ev_binderz00_bglt BgL_new1128z00_1276;

					BgL_new1128z00_1276 =
						((BgL_ev_binderz00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_ev_binderz00_bgl))));
					{	/* Eval/evaluate_types.scm 93 */
						long BgL_arg1803z00_1277;

						{	/* Eval/evaluate_types.scm 93 */
							long BgL_res2298z00_2492;

							{	/* Eval/evaluate_types.scm 93 */
								obj_t BgL_classz00_2489;

								BgL_classz00_2489 = BGl_ev_binderz00zz__evaluate_typesz00;
								{	/* Eval/evaluate_types.scm 93 */
									obj_t BgL_vectorz00_2490;
									int BgL_kz00_2491;

									BgL_vectorz00_2490 = BgL_classz00_2489;
									BgL_kz00_2491 = (int) (((long) 1));
									BgL_res2298z00_2492 =
										(long) CINT(VECTOR_REF(BgL_vectorz00_2490, BgL_kz00_2491));
							}}
							BgL_arg1803z00_1277 = BgL_res2298z00_2492;
						}
						{	/* Eval/evaluate_types.scm 93 */
							BgL_objectz00_bglt BgL_objz00_2493;

							BgL_objz00_2493 = ((BgL_objectz00_bglt) BgL_new1128z00_1276);
							BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2493, BgL_arg1803z00_1277);
					}}
					{	/* Eval/evaluate_types.scm 93 */
						BgL_objectz00_bglt BgL_auxz00_4469;

						BgL_auxz00_4469 = ((BgL_objectz00_bglt) BgL_new1128z00_1276);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_4469, BFALSE);
					}
					return BgL_new1128z00_1276;
				}
			}
		}
	}



/* &lambda1800 */
	BgL_ev_binderz00_bglt BGl_z62lambda1800z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3346, obj_t BgL_vars1125z00_3347, obj_t BgL_vals1126z00_3348,
		obj_t BgL_body1127z00_3349)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 93 */
			{
				obj_t BgL_vars1125z00_1268;
				obj_t BgL_vals1126z00_1269;
				BgL_ev_exprz00_bglt BgL_body1127z00_1270;

				BgL_vars1125z00_1268 = BgL_vars1125z00_3347;
				BgL_vals1126z00_1269 = BgL_vals1126z00_3348;
				BgL_body1127z00_1270 = ((BgL_ev_exprz00_bglt) BgL_body1127z00_3349);
				{	/* Eval/evaluate_types.scm 93 */
					BgL_ev_binderz00_bglt BgL_new1270z00_2480;

					{	/* Eval/evaluate_types.scm 93 */
						BgL_ev_binderz00_bglt BgL_new1269z00_2481;

						BgL_new1269z00_2481 =
							((BgL_ev_binderz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_ev_binderz00_bgl))));
						{	/* Eval/evaluate_types.scm 93 */
							long BgL_arg1801z00_2482;

							{	/* Eval/evaluate_types.scm 93 */
								long BgL_res2297z00_2486;

								{	/* Eval/evaluate_types.scm 93 */
									obj_t BgL_classz00_2483;

									BgL_classz00_2483 = BGl_ev_binderz00zz__evaluate_typesz00;
									{	/* Eval/evaluate_types.scm 93 */
										obj_t BgL_vectorz00_2484;
										int BgL_kz00_2485;

										BgL_vectorz00_2484 = BgL_classz00_2483;
										BgL_kz00_2485 = (int) (((long) 1));
										BgL_res2297z00_2486 =
											(long) CINT(VECTOR_REF(BgL_vectorz00_2484,
												BgL_kz00_2485));
								}}
								BgL_arg1801z00_2482 = BgL_res2297z00_2486;
							}
							{	/* Eval/evaluate_types.scm 93 */
								BgL_objectz00_bglt BgL_objz00_2487;

								BgL_objz00_2487 = ((BgL_objectz00_bglt) BgL_new1269z00_2481);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2487, BgL_arg1801z00_2482);
						}}
						{	/* Eval/evaluate_types.scm 93 */
							BgL_objectz00_bglt BgL_auxz00_4478;

							BgL_auxz00_4478 = ((BgL_objectz00_bglt) BgL_new1269z00_2481);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_4478, BFALSE);
						}
						BgL_new1270z00_2480 = BgL_new1269z00_2481;
					}
					((((BgL_ev_binderz00_bglt) CREF(BgL_new1270z00_2480))->BgL_varsz00) =
						((obj_t) BgL_vars1125z00_1268), BUNSPEC);
					((((BgL_ev_binderz00_bglt) CREF(BgL_new1270z00_2480))->BgL_valsz00) =
						((obj_t) BgL_vals1126z00_1269), BUNSPEC);
					((((BgL_ev_binderz00_bglt) CREF(BgL_new1270z00_2480))->BgL_bodyz00) =
						((BgL_ev_exprz00_bglt) BgL_body1127z00_1270), BUNSPEC);
					return BgL_new1270z00_2480;
				}
			}
		}
	}



/* &lambda1820 */
	obj_t BGl_z62lambda1820z62zz__evaluate_typesz00(obj_t BgL_envz00_3350,
		obj_t BgL_oz00_3351, obj_t BgL_vz00_3352)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 93 */
			{	/* Eval/evaluate_types.scm 93 */
				BgL_ev_binderz00_bglt BgL_oz00_3665;

				BgL_oz00_3665 = ((BgL_ev_binderz00_bglt) BgL_oz00_3351);
				return
					((((BgL_ev_binderz00_bglt) CREF(BgL_oz00_3665))->BgL_varsz00) =
					((obj_t) BgL_vz00_3352), BUNSPEC);
			}
		}
	}



/* &lambda1819 */
	obj_t BGl_z62lambda1819z62zz__evaluate_typesz00(obj_t BgL_envz00_3353,
		obj_t BgL_oz00_3354)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 93 */
			return
				(((BgL_ev_binderz00_bglt) CREF(
						((BgL_ev_binderz00_bglt) BgL_oz00_3354)))->BgL_varsz00);
		}
	}



/* &lambda1815 */
	obj_t BGl_z62lambda1815z62zz__evaluate_typesz00(obj_t BgL_envz00_3355,
		obj_t BgL_oz00_3356, obj_t BgL_vz00_3357)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 93 */
			{	/* Eval/evaluate_types.scm 93 */
				BgL_ev_binderz00_bglt BgL_oz00_3668;

				BgL_oz00_3668 = ((BgL_ev_binderz00_bglt) BgL_oz00_3356);
				return
					((((BgL_ev_binderz00_bglt) CREF(BgL_oz00_3668))->BgL_valsz00) =
					((obj_t) BgL_vz00_3357), BUNSPEC);
			}
		}
	}



/* &lambda1814 */
	obj_t BGl_z62lambda1814z62zz__evaluate_typesz00(obj_t BgL_envz00_3358,
		obj_t BgL_oz00_3359)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 93 */
			return
				(((BgL_ev_binderz00_bglt) CREF(
						((BgL_ev_binderz00_bglt) BgL_oz00_3359)))->BgL_valsz00);
		}
	}



/* &lambda1810 */
	obj_t BGl_z62lambda1810z62zz__evaluate_typesz00(obj_t BgL_envz00_3360,
		obj_t BgL_oz00_3361, obj_t BgL_vz00_3362)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 93 */
			{	/* Eval/evaluate_types.scm 93 */
				BgL_ev_binderz00_bglt BgL_oz00_3671;
				BgL_ev_exprz00_bglt BgL_vz00_3672;

				BgL_oz00_3671 = ((BgL_ev_binderz00_bglt) BgL_oz00_3361);
				BgL_vz00_3672 = ((BgL_ev_exprz00_bglt) BgL_vz00_3362);
				return
					((((BgL_ev_binderz00_bglt) CREF(BgL_oz00_3671))->BgL_bodyz00) =
					((BgL_ev_exprz00_bglt) BgL_vz00_3672), BUNSPEC);
			}
		}
	}



/* &lambda1809 */
	BgL_ev_exprz00_bglt BGl_z62lambda1809z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3363, obj_t BgL_oz00_3364)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 93 */
			return
				(((BgL_ev_binderz00_bglt) CREF(
						((BgL_ev_binderz00_bglt) BgL_oz00_3364)))->BgL_bodyz00);
		}
	}



/* &<anonymous:1783> */
	BgL_ev_withzd2handlerzd2_bglt
		BGl_z62zc3anonymousza31783ze3ze1zz__evaluate_typesz00(obj_t BgL_envz00_3365,
		obj_t BgL_new1123z00_3366)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 90 */
			{
				BgL_ev_withzd2handlerzd2_bglt BgL_new1123z00_1232;

				BgL_new1123z00_1232 =
					((BgL_ev_withzd2handlerzd2_bglt) BgL_new1123z00_3366);
				((((BgL_ev_withzd2handlerzd2_bglt) CREF(BgL_new1123z00_1232))->
						BgL_handlerz00) =
					((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt)
							BGl_classzd2nilzd2zz__objectz00
							(BGl_ev_exprz00zz__evaluate_typesz00))), BUNSPEC);
				((((BgL_ev_withzd2handlerzd2_bglt) CREF(BgL_new1123z00_1232))->
						BgL_bodyz00) =
					((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt)
							BGl_classzd2nilzd2zz__objectz00
							(BGl_ev_exprz00zz__evaluate_typesz00))), BUNSPEC);
				return BgL_new1123z00_1232;
			}
		}
	}



/* &lambda1781 */
	BgL_ev_withzd2handlerzd2_bglt BGl_z62lambda1781z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3367)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 90 */
			{

				{	/* Eval/evaluate_types.scm 90 */
					BgL_ev_withzd2handlerzd2_bglt BgL_new1122z00_1230;

					BgL_new1122z00_1230 =
						((BgL_ev_withzd2handlerzd2_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_ev_withzd2handlerzd2_bgl))));
					{	/* Eval/evaluate_types.scm 90 */
						long BgL_arg1782z00_1231;

						{	/* Eval/evaluate_types.scm 90 */
							long BgL_res2296z00_2462;

							{	/* Eval/evaluate_types.scm 90 */
								obj_t BgL_classz00_2459;

								BgL_classz00_2459 =
									BGl_ev_withzd2handlerzd2zz__evaluate_typesz00;
								{	/* Eval/evaluate_types.scm 90 */
									obj_t BgL_vectorz00_2460;
									int BgL_kz00_2461;

									BgL_vectorz00_2460 = BgL_classz00_2459;
									BgL_kz00_2461 = (int) (((long) 1));
									BgL_res2296z00_2462 =
										(long) CINT(VECTOR_REF(BgL_vectorz00_2460, BgL_kz00_2461));
							}}
							BgL_arg1782z00_1231 = BgL_res2296z00_2462;
						}
						{	/* Eval/evaluate_types.scm 90 */
							BgL_objectz00_bglt BgL_objz00_2463;

							BgL_objz00_2463 = ((BgL_objectz00_bglt) BgL_new1122z00_1230);
							BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2463, BgL_arg1782z00_1231);
					}}
					{	/* Eval/evaluate_types.scm 90 */
						BgL_objectz00_bglt BgL_auxz00_4511;

						BgL_auxz00_4511 = ((BgL_objectz00_bglt) BgL_new1122z00_1230);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_4511, BFALSE);
					}
					return BgL_new1122z00_1230;
				}
			}
		}
	}



/* &lambda1779 */
	BgL_ev_withzd2handlerzd2_bglt BGl_z62lambda1779z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3368, obj_t BgL_handler1119z00_3369, obj_t BgL_body1120z00_3370)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 90 */
			{
				BgL_ev_exprz00_bglt BgL_handler1119z00_1223;
				BgL_ev_exprz00_bglt BgL_body1120z00_1224;

				BgL_handler1119z00_1223 =
					((BgL_ev_exprz00_bglt) BgL_handler1119z00_3369);
				BgL_body1120z00_1224 = ((BgL_ev_exprz00_bglt) BgL_body1120z00_3370);
				{	/* Eval/evaluate_types.scm 90 */
					BgL_ev_withzd2handlerzd2_bglt BgL_new1264z00_2450;

					{	/* Eval/evaluate_types.scm 90 */
						BgL_ev_withzd2handlerzd2_bglt BgL_new1263z00_2451;

						BgL_new1263z00_2451 =
							((BgL_ev_withzd2handlerzd2_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_ev_withzd2handlerzd2_bgl))));
						{	/* Eval/evaluate_types.scm 90 */
							long BgL_arg1780z00_2452;

							{	/* Eval/evaluate_types.scm 90 */
								long BgL_res2295z00_2456;

								{	/* Eval/evaluate_types.scm 90 */
									obj_t BgL_classz00_2453;

									BgL_classz00_2453 =
										BGl_ev_withzd2handlerzd2zz__evaluate_typesz00;
									{	/* Eval/evaluate_types.scm 90 */
										obj_t BgL_vectorz00_2454;
										int BgL_kz00_2455;

										BgL_vectorz00_2454 = BgL_classz00_2453;
										BgL_kz00_2455 = (int) (((long) 1));
										BgL_res2295z00_2456 =
											(long) CINT(VECTOR_REF(BgL_vectorz00_2454,
												BgL_kz00_2455));
								}}
								BgL_arg1780z00_2452 = BgL_res2295z00_2456;
							}
							{	/* Eval/evaluate_types.scm 90 */
								BgL_objectz00_bglt BgL_objz00_2457;

								BgL_objz00_2457 = ((BgL_objectz00_bglt) BgL_new1263z00_2451);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2457, BgL_arg1780z00_2452);
						}}
						{	/* Eval/evaluate_types.scm 90 */
							BgL_objectz00_bglt BgL_auxz00_4520;

							BgL_auxz00_4520 = ((BgL_objectz00_bglt) BgL_new1263z00_2451);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_4520, BFALSE);
						}
						BgL_new1264z00_2450 = BgL_new1263z00_2451;
					}
					((((BgL_ev_withzd2handlerzd2_bglt) CREF(BgL_new1264z00_2450))->
							BgL_handlerz00) =
						((BgL_ev_exprz00_bglt) BgL_handler1119z00_1223), BUNSPEC);
					((((BgL_ev_withzd2handlerzd2_bglt) CREF(BgL_new1264z00_2450))->
							BgL_bodyz00) =
						((BgL_ev_exprz00_bglt) BgL_body1120z00_1224), BUNSPEC);
					return BgL_new1264z00_2450;
				}
			}
		}
	}



/* &lambda1794 */
	obj_t BGl_z62lambda1794z62zz__evaluate_typesz00(obj_t BgL_envz00_3371,
		obj_t BgL_oz00_3372, obj_t BgL_vz00_3373)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 90 */
			{	/* Eval/evaluate_types.scm 90 */
				BgL_ev_withzd2handlerzd2_bglt BgL_oz00_3674;
				BgL_ev_exprz00_bglt BgL_vz00_3675;

				BgL_oz00_3674 = ((BgL_ev_withzd2handlerzd2_bglt) BgL_oz00_3372);
				BgL_vz00_3675 = ((BgL_ev_exprz00_bglt) BgL_vz00_3373);
				return
					((((BgL_ev_withzd2handlerzd2_bglt) CREF(BgL_oz00_3674))->
						BgL_handlerz00) = ((BgL_ev_exprz00_bglt) BgL_vz00_3675), BUNSPEC);
			}
		}
	}



/* &lambda1793 */
	BgL_ev_exprz00_bglt BGl_z62lambda1793z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3374, obj_t BgL_oz00_3375)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 90 */
			return
				(((BgL_ev_withzd2handlerzd2_bglt) CREF(
						((BgL_ev_withzd2handlerzd2_bglt) BgL_oz00_3375)))->BgL_handlerz00);
		}
	}



/* &lambda1789 */
	obj_t BGl_z62lambda1789z62zz__evaluate_typesz00(obj_t BgL_envz00_3376,
		obj_t BgL_oz00_3377, obj_t BgL_vz00_3378)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 90 */
			{	/* Eval/evaluate_types.scm 90 */
				BgL_ev_withzd2handlerzd2_bglt BgL_oz00_3677;
				BgL_ev_exprz00_bglt BgL_vz00_3678;

				BgL_oz00_3677 = ((BgL_ev_withzd2handlerzd2_bglt) BgL_oz00_3377);
				BgL_vz00_3678 = ((BgL_ev_exprz00_bglt) BgL_vz00_3378);
				return
					((((BgL_ev_withzd2handlerzd2_bglt) CREF(BgL_oz00_3677))->
						BgL_bodyz00) = ((BgL_ev_exprz00_bglt) BgL_vz00_3678), BUNSPEC);
			}
		}
	}



/* &lambda1788 */
	BgL_ev_exprz00_bglt BGl_z62lambda1788z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3379, obj_t BgL_oz00_3380)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 90 */
			return
				(((BgL_ev_withzd2handlerzd2_bglt) CREF(
						((BgL_ev_withzd2handlerzd2_bglt) BgL_oz00_3380)))->BgL_bodyz00);
		}
	}



/* &<anonymous:1762> */
	BgL_ev_unwindzd2protectzd2_bglt
		BGl_z62zc3anonymousza31762ze3ze1zz__evaluate_typesz00(obj_t BgL_envz00_3381,
		obj_t BgL_new1117z00_3382)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 87 */
			{
				BgL_ev_unwindzd2protectzd2_bglt BgL_new1117z00_1187;

				BgL_new1117z00_1187 =
					((BgL_ev_unwindzd2protectzd2_bglt) BgL_new1117z00_3382);
				((((BgL_ev_unwindzd2protectzd2_bglt) CREF(BgL_new1117z00_1187))->
						BgL_ez00) =
					((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt)
							BGl_classzd2nilzd2zz__objectz00
							(BGl_ev_exprz00zz__evaluate_typesz00))), BUNSPEC);
				((((BgL_ev_unwindzd2protectzd2_bglt) CREF(BgL_new1117z00_1187))->
						BgL_bodyz00) =
					((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt)
							BGl_classzd2nilzd2zz__objectz00
							(BGl_ev_exprz00zz__evaluate_typesz00))), BUNSPEC);
				return BgL_new1117z00_1187;
			}
		}
	}



/* &lambda1760 */
	BgL_ev_unwindzd2protectzd2_bglt
		BGl_z62lambda1760z62zz__evaluate_typesz00(obj_t BgL_envz00_3383)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 87 */
			{

				{	/* Eval/evaluate_types.scm 87 */
					BgL_ev_unwindzd2protectzd2_bglt BgL_new1116z00_1185;

					BgL_new1116z00_1185 =
						((BgL_ev_unwindzd2protectzd2_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_ev_unwindzd2protectzd2_bgl))));
					{	/* Eval/evaluate_types.scm 87 */
						long BgL_arg1761z00_1186;

						{	/* Eval/evaluate_types.scm 87 */
							long BgL_res2294z00_2437;

							{	/* Eval/evaluate_types.scm 87 */
								obj_t BgL_classz00_2434;

								BgL_classz00_2434 =
									BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00;
								{	/* Eval/evaluate_types.scm 87 */
									obj_t BgL_vectorz00_2435;
									int BgL_kz00_2436;

									BgL_vectorz00_2435 = BgL_classz00_2434;
									BgL_kz00_2436 = (int) (((long) 1));
									BgL_res2294z00_2437 =
										(long) CINT(VECTOR_REF(BgL_vectorz00_2435, BgL_kz00_2436));
							}}
							BgL_arg1761z00_1186 = BgL_res2294z00_2437;
						}
						{	/* Eval/evaluate_types.scm 87 */
							BgL_objectz00_bglt BgL_objz00_2438;

							BgL_objz00_2438 = ((BgL_objectz00_bglt) BgL_new1116z00_1185);
							BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2438, BgL_arg1761z00_1186);
					}}
					{	/* Eval/evaluate_types.scm 87 */
						BgL_objectz00_bglt BgL_auxz00_4550;

						BgL_auxz00_4550 = ((BgL_objectz00_bglt) BgL_new1116z00_1185);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_4550, BFALSE);
					}
					return BgL_new1116z00_1185;
				}
			}
		}
	}



/* &lambda1758 */
	BgL_ev_unwindzd2protectzd2_bglt
		BGl_z62lambda1758z62zz__evaluate_typesz00(obj_t BgL_envz00_3384,
		obj_t BgL_e1114z00_3385, obj_t BgL_body1115z00_3386)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 87 */
			{
				BgL_ev_exprz00_bglt BgL_e1114z00_1178;
				BgL_ev_exprz00_bglt BgL_body1115z00_1179;

				BgL_e1114z00_1178 = ((BgL_ev_exprz00_bglt) BgL_e1114z00_3385);
				BgL_body1115z00_1179 = ((BgL_ev_exprz00_bglt) BgL_body1115z00_3386);
				{	/* Eval/evaluate_types.scm 87 */
					BgL_ev_unwindzd2protectzd2_bglt BgL_new1258z00_2425;

					{	/* Eval/evaluate_types.scm 87 */
						BgL_ev_unwindzd2protectzd2_bglt BgL_new1257z00_2426;

						BgL_new1257z00_2426 =
							((BgL_ev_unwindzd2protectzd2_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_ev_unwindzd2protectzd2_bgl))));
						{	/* Eval/evaluate_types.scm 87 */
							long BgL_arg1759z00_2427;

							{	/* Eval/evaluate_types.scm 87 */
								long BgL_res2293z00_2431;

								{	/* Eval/evaluate_types.scm 87 */
									obj_t BgL_classz00_2428;

									BgL_classz00_2428 =
										BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00;
									{	/* Eval/evaluate_types.scm 87 */
										obj_t BgL_vectorz00_2429;
										int BgL_kz00_2430;

										BgL_vectorz00_2429 = BgL_classz00_2428;
										BgL_kz00_2430 = (int) (((long) 1));
										BgL_res2293z00_2431 =
											(long) CINT(VECTOR_REF(BgL_vectorz00_2429,
												BgL_kz00_2430));
								}}
								BgL_arg1759z00_2427 = BgL_res2293z00_2431;
							}
							{	/* Eval/evaluate_types.scm 87 */
								BgL_objectz00_bglt BgL_objz00_2432;

								BgL_objz00_2432 = ((BgL_objectz00_bglt) BgL_new1257z00_2426);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2432, BgL_arg1759z00_2427);
						}}
						{	/* Eval/evaluate_types.scm 87 */
							BgL_objectz00_bglt BgL_auxz00_4559;

							BgL_auxz00_4559 = ((BgL_objectz00_bglt) BgL_new1257z00_2426);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_4559, BFALSE);
						}
						BgL_new1258z00_2425 = BgL_new1257z00_2426;
					}
					((((BgL_ev_unwindzd2protectzd2_bglt) CREF(BgL_new1258z00_2425))->
							BgL_ez00) = ((BgL_ev_exprz00_bglt) BgL_e1114z00_1178), BUNSPEC);
					((((BgL_ev_unwindzd2protectzd2_bglt) CREF(BgL_new1258z00_2425))->
							BgL_bodyz00) =
						((BgL_ev_exprz00_bglt) BgL_body1115z00_1179), BUNSPEC);
					return BgL_new1258z00_2425;
				}
			}
		}
	}



/* &lambda1772 */
	obj_t BGl_z62lambda1772z62zz__evaluate_typesz00(obj_t BgL_envz00_3387,
		obj_t BgL_oz00_3388, obj_t BgL_vz00_3389)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 87 */
			{	/* Eval/evaluate_types.scm 87 */
				BgL_ev_unwindzd2protectzd2_bglt BgL_oz00_3680;
				BgL_ev_exprz00_bglt BgL_vz00_3681;

				BgL_oz00_3680 = ((BgL_ev_unwindzd2protectzd2_bglt) BgL_oz00_3388);
				BgL_vz00_3681 = ((BgL_ev_exprz00_bglt) BgL_vz00_3389);
				return
					((((BgL_ev_unwindzd2protectzd2_bglt) CREF(BgL_oz00_3680))->BgL_ez00) =
					((BgL_ev_exprz00_bglt) BgL_vz00_3681), BUNSPEC);
			}
		}
	}



/* &lambda1771 */
	BgL_ev_exprz00_bglt BGl_z62lambda1771z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3390, obj_t BgL_oz00_3391)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 87 */
			return
				(((BgL_ev_unwindzd2protectzd2_bglt) CREF(
						((BgL_ev_unwindzd2protectzd2_bglt) BgL_oz00_3391)))->BgL_ez00);
		}
	}



/* &lambda1767 */
	obj_t BGl_z62lambda1767z62zz__evaluate_typesz00(obj_t BgL_envz00_3392,
		obj_t BgL_oz00_3393, obj_t BgL_vz00_3394)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 87 */
			{	/* Eval/evaluate_types.scm 87 */
				BgL_ev_unwindzd2protectzd2_bglt BgL_oz00_3683;
				BgL_ev_exprz00_bglt BgL_vz00_3684;

				BgL_oz00_3683 = ((BgL_ev_unwindzd2protectzd2_bglt) BgL_oz00_3393);
				BgL_vz00_3684 = ((BgL_ev_exprz00_bglt) BgL_vz00_3394);
				return
					((((BgL_ev_unwindzd2protectzd2_bglt) CREF(BgL_oz00_3683))->
						BgL_bodyz00) = ((BgL_ev_exprz00_bglt) BgL_vz00_3684), BUNSPEC);
			}
		}
	}



/* &lambda1766 */
	BgL_ev_exprz00_bglt BGl_z62lambda1766z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3395, obj_t BgL_oz00_3396)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 87 */
			return
				(((BgL_ev_unwindzd2protectzd2_bglt) CREF(
						((BgL_ev_unwindzd2protectzd2_bglt) BgL_oz00_3396)))->BgL_bodyz00);
		}
	}



/* &<anonymous:1741> */
	BgL_ev_bindzd2exitzd2_bglt
		BGl_z62zc3anonymousza31741ze3ze1zz__evaluate_typesz00(obj_t BgL_envz00_3397,
		obj_t BgL_new1112z00_3398)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 84 */
			{
				BgL_ev_bindzd2exitzd2_bglt BgL_new1112z00_1142;

				BgL_new1112z00_1142 =
					((BgL_ev_bindzd2exitzd2_bglt) BgL_new1112z00_3398);
				((((BgL_ev_bindzd2exitzd2_bglt) CREF(BgL_new1112z00_1142))->
						BgL_varz00) =
					((BgL_ev_varz00_bglt) ((BgL_ev_varz00_bglt)
							BGl_classzd2nilzd2zz__objectz00
							(BGl_ev_varz00zz__evaluate_typesz00))), BUNSPEC);
				((((BgL_ev_bindzd2exitzd2_bglt) CREF(BgL_new1112z00_1142))->
						BgL_bodyz00) =
					((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt)
							BGl_classzd2nilzd2zz__objectz00
							(BGl_ev_exprz00zz__evaluate_typesz00))), BUNSPEC);
				return BgL_new1112z00_1142;
			}
		}
	}



/* &lambda1739 */
	BgL_ev_bindzd2exitzd2_bglt BGl_z62lambda1739z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3399)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 84 */
			{

				{	/* Eval/evaluate_types.scm 84 */
					BgL_ev_bindzd2exitzd2_bglt BgL_new1111z00_1140;

					BgL_new1111z00_1140 =
						((BgL_ev_bindzd2exitzd2_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_ev_bindzd2exitzd2_bgl))));
					{	/* Eval/evaluate_types.scm 84 */
						long BgL_arg1740z00_1141;

						{	/* Eval/evaluate_types.scm 84 */
							long BgL_res2292z00_2412;

							{	/* Eval/evaluate_types.scm 84 */
								obj_t BgL_classz00_2409;

								BgL_classz00_2409 = BGl_ev_bindzd2exitzd2zz__evaluate_typesz00;
								{	/* Eval/evaluate_types.scm 84 */
									obj_t BgL_vectorz00_2410;
									int BgL_kz00_2411;

									BgL_vectorz00_2410 = BgL_classz00_2409;
									BgL_kz00_2411 = (int) (((long) 1));
									BgL_res2292z00_2412 =
										(long) CINT(VECTOR_REF(BgL_vectorz00_2410, BgL_kz00_2411));
							}}
							BgL_arg1740z00_1141 = BgL_res2292z00_2412;
						}
						{	/* Eval/evaluate_types.scm 84 */
							BgL_objectz00_bglt BgL_objz00_2413;

							BgL_objz00_2413 = ((BgL_objectz00_bglt) BgL_new1111z00_1140);
							BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2413, BgL_arg1740z00_1141);
					}}
					{	/* Eval/evaluate_types.scm 84 */
						BgL_objectz00_bglt BgL_auxz00_4589;

						BgL_auxz00_4589 = ((BgL_objectz00_bglt) BgL_new1111z00_1140);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_4589, BFALSE);
					}
					return BgL_new1111z00_1140;
				}
			}
		}
	}



/* &lambda1736 */
	BgL_ev_bindzd2exitzd2_bglt BGl_z62lambda1736z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3400, obj_t BgL_var1109z00_3401, obj_t BgL_body1110z00_3402)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 84 */
			{
				BgL_ev_varz00_bglt BgL_var1109z00_1133;
				BgL_ev_exprz00_bglt BgL_body1110z00_1134;

				BgL_var1109z00_1133 = ((BgL_ev_varz00_bglt) BgL_var1109z00_3401);
				BgL_body1110z00_1134 = ((BgL_ev_exprz00_bglt) BgL_body1110z00_3402);
				{	/* Eval/evaluate_types.scm 84 */
					BgL_ev_bindzd2exitzd2_bglt BgL_new1252z00_2400;

					{	/* Eval/evaluate_types.scm 84 */
						BgL_ev_bindzd2exitzd2_bglt BgL_new1251z00_2401;

						BgL_new1251z00_2401 =
							((BgL_ev_bindzd2exitzd2_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_ev_bindzd2exitzd2_bgl))));
						{	/* Eval/evaluate_types.scm 84 */
							long BgL_arg1738z00_2402;

							{	/* Eval/evaluate_types.scm 84 */
								long BgL_res2291z00_2406;

								{	/* Eval/evaluate_types.scm 84 */
									obj_t BgL_classz00_2403;

									BgL_classz00_2403 =
										BGl_ev_bindzd2exitzd2zz__evaluate_typesz00;
									{	/* Eval/evaluate_types.scm 84 */
										obj_t BgL_vectorz00_2404;
										int BgL_kz00_2405;

										BgL_vectorz00_2404 = BgL_classz00_2403;
										BgL_kz00_2405 = (int) (((long) 1));
										BgL_res2291z00_2406 =
											(long) CINT(VECTOR_REF(BgL_vectorz00_2404,
												BgL_kz00_2405));
								}}
								BgL_arg1738z00_2402 = BgL_res2291z00_2406;
							}
							{	/* Eval/evaluate_types.scm 84 */
								BgL_objectz00_bglt BgL_objz00_2407;

								BgL_objz00_2407 = ((BgL_objectz00_bglt) BgL_new1251z00_2401);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2407, BgL_arg1738z00_2402);
						}}
						{	/* Eval/evaluate_types.scm 84 */
							BgL_objectz00_bglt BgL_auxz00_4598;

							BgL_auxz00_4598 = ((BgL_objectz00_bglt) BgL_new1251z00_2401);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_4598, BFALSE);
						}
						BgL_new1252z00_2400 = BgL_new1251z00_2401;
					}
					((((BgL_ev_bindzd2exitzd2_bglt) CREF(BgL_new1252z00_2400))->
							BgL_varz00) =
						((BgL_ev_varz00_bglt) BgL_var1109z00_1133), BUNSPEC);
					((((BgL_ev_bindzd2exitzd2_bglt) CREF(BgL_new1252z00_2400))->
							BgL_bodyz00) =
						((BgL_ev_exprz00_bglt) BgL_body1110z00_1134), BUNSPEC);
					return BgL_new1252z00_2400;
				}
			}
		}
	}



/* &lambda1752 */
	obj_t BGl_z62lambda1752z62zz__evaluate_typesz00(obj_t BgL_envz00_3403,
		obj_t BgL_oz00_3404, obj_t BgL_vz00_3405)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 84 */
			{	/* Eval/evaluate_types.scm 84 */
				BgL_ev_bindzd2exitzd2_bglt BgL_oz00_3686;
				BgL_ev_varz00_bglt BgL_vz00_3687;

				BgL_oz00_3686 = ((BgL_ev_bindzd2exitzd2_bglt) BgL_oz00_3404);
				BgL_vz00_3687 = ((BgL_ev_varz00_bglt) BgL_vz00_3405);
				return
					((((BgL_ev_bindzd2exitzd2_bglt) CREF(BgL_oz00_3686))->BgL_varz00) =
					((BgL_ev_varz00_bglt) BgL_vz00_3687), BUNSPEC);
			}
		}
	}



/* &lambda1751 */
	BgL_ev_varz00_bglt BGl_z62lambda1751z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3406, obj_t BgL_oz00_3407)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 84 */
			return
				(((BgL_ev_bindzd2exitzd2_bglt) CREF(
						((BgL_ev_bindzd2exitzd2_bglt) BgL_oz00_3407)))->BgL_varz00);
		}
	}



/* &lambda1747 */
	obj_t BGl_z62lambda1747z62zz__evaluate_typesz00(obj_t BgL_envz00_3408,
		obj_t BgL_oz00_3409, obj_t BgL_vz00_3410)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 84 */
			{	/* Eval/evaluate_types.scm 84 */
				BgL_ev_bindzd2exitzd2_bglt BgL_oz00_3689;
				BgL_ev_exprz00_bglt BgL_vz00_3690;

				BgL_oz00_3689 = ((BgL_ev_bindzd2exitzd2_bglt) BgL_oz00_3409);
				BgL_vz00_3690 = ((BgL_ev_exprz00_bglt) BgL_vz00_3410);
				return
					((((BgL_ev_bindzd2exitzd2_bglt) CREF(BgL_oz00_3689))->BgL_bodyz00) =
					((BgL_ev_exprz00_bglt) BgL_vz00_3690), BUNSPEC);
			}
		}
	}



/* &lambda1746 */
	BgL_ev_exprz00_bglt BGl_z62lambda1746z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3411, obj_t BgL_oz00_3412)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 84 */
			return
				(((BgL_ev_bindzd2exitzd2_bglt) CREF(
						((BgL_ev_bindzd2exitzd2_bglt) BgL_oz00_3412)))->BgL_bodyz00);
		}
	}



/* &<anonymous:1730> */
	BgL_ev_defglobalz00_bglt
		BGl_z62zc3anonymousza31730ze3ze1zz__evaluate_typesz00(obj_t BgL_envz00_3413,
		obj_t BgL_new1107z00_3414)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 83 */
			{
				BgL_ev_defglobalz00_bglt BgL_new1107z00_1121;

				BgL_new1107z00_1121 = ((BgL_ev_defglobalz00_bglt) BgL_new1107z00_3414);
				((((BgL_ev_hookz00_bglt) CREF(
								((BgL_ev_hookz00_bglt) BgL_new1107z00_1121)))->BgL_ez00) =
					((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt)
							BGl_classzd2nilzd2zz__objectz00
							(BGl_ev_exprz00zz__evaluate_typesz00))), BUNSPEC);
				((((BgL_ev_setglobalz00_bglt) CREF(((BgL_ev_setglobalz00_bglt)
									BgL_new1107z00_1121)))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_ev_setglobalz00_bglt) CREF(((BgL_ev_setglobalz00_bglt)
									BgL_new1107z00_1121)))->BgL_namez00) =
					((obj_t) BGl_symbol2660z00zz__evaluate_typesz00), BUNSPEC);
				((((BgL_ev_setglobalz00_bglt) CREF(((BgL_ev_setglobalz00_bglt)
									BgL_new1107z00_1121)))->BgL_modz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				return BgL_new1107z00_1121;
			}
		}
	}



/* &lambda1728 */
	BgL_ev_defglobalz00_bglt BGl_z62lambda1728z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3415)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 83 */
			{

				{	/* Eval/evaluate_types.scm 83 */
					BgL_ev_defglobalz00_bglt BgL_new1106z00_1119;

					BgL_new1106z00_1119 =
						((BgL_ev_defglobalz00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_ev_defglobalz00_bgl))));
					{	/* Eval/evaluate_types.scm 83 */
						long BgL_arg1729z00_1120;

						{	/* Eval/evaluate_types.scm 83 */
							long BgL_res2290z00_2387;

							{	/* Eval/evaluate_types.scm 83 */
								obj_t BgL_classz00_2384;

								BgL_classz00_2384 = BGl_ev_defglobalz00zz__evaluate_typesz00;
								{	/* Eval/evaluate_types.scm 83 */
									obj_t BgL_vectorz00_2385;
									int BgL_kz00_2386;

									BgL_vectorz00_2385 = BgL_classz00_2384;
									BgL_kz00_2386 = (int) (((long) 1));
									BgL_res2290z00_2387 =
										(long) CINT(VECTOR_REF(BgL_vectorz00_2385, BgL_kz00_2386));
							}}
							BgL_arg1729z00_1120 = BgL_res2290z00_2387;
						}
						{	/* Eval/evaluate_types.scm 83 */
							BgL_objectz00_bglt BgL_objz00_2388;

							BgL_objz00_2388 = ((BgL_objectz00_bglt) BgL_new1106z00_1119);
							BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2388, BgL_arg1729z00_1120);
					}}
					{	/* Eval/evaluate_types.scm 83 */
						BgL_objectz00_bglt BgL_auxz00_4632;

						BgL_auxz00_4632 = ((BgL_objectz00_bglt) BgL_new1106z00_1119);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_4632, BFALSE);
					}
					return BgL_new1106z00_1119;
				}
			}
		}
	}



/* &lambda1726 */
	BgL_ev_defglobalz00_bglt BGl_z62lambda1726z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3416, obj_t BgL_e1102z00_3417, obj_t BgL_loc1103z00_3418,
		obj_t BgL_name1104z00_3419, obj_t BgL_mod1105z00_3420)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 83 */
			{
				BgL_ev_exprz00_bglt BgL_e1102z00_1110;
				obj_t BgL_loc1103z00_1111;
				obj_t BgL_name1104z00_1112;
				obj_t BgL_mod1105z00_1113;

				BgL_e1102z00_1110 = ((BgL_ev_exprz00_bglt) BgL_e1102z00_3417);
				BgL_loc1103z00_1111 = BgL_loc1103z00_3418;
				BgL_name1104z00_1112 = BgL_name1104z00_3419;
				BgL_mod1105z00_1113 = BgL_mod1105z00_3420;
				{	/* Eval/evaluate_types.scm 83 */
					BgL_ev_defglobalz00_bglt BgL_new1250z00_2375;

					{	/* Eval/evaluate_types.scm 83 */
						BgL_ev_defglobalz00_bglt BgL_new1249z00_2376;

						BgL_new1249z00_2376 =
							((BgL_ev_defglobalz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_ev_defglobalz00_bgl))));
						{	/* Eval/evaluate_types.scm 83 */
							long BgL_arg1727z00_2377;

							{	/* Eval/evaluate_types.scm 83 */
								long BgL_res2289z00_2381;

								{	/* Eval/evaluate_types.scm 83 */
									obj_t BgL_classz00_2378;

									BgL_classz00_2378 = BGl_ev_defglobalz00zz__evaluate_typesz00;
									{	/* Eval/evaluate_types.scm 83 */
										obj_t BgL_vectorz00_2379;
										int BgL_kz00_2380;

										BgL_vectorz00_2379 = BgL_classz00_2378;
										BgL_kz00_2380 = (int) (((long) 1));
										BgL_res2289z00_2381 =
											(long) CINT(VECTOR_REF(BgL_vectorz00_2379,
												BgL_kz00_2380));
								}}
								BgL_arg1727z00_2377 = BgL_res2289z00_2381;
							}
							{	/* Eval/evaluate_types.scm 83 */
								BgL_objectz00_bglt BgL_objz00_2382;

								BgL_objz00_2382 = ((BgL_objectz00_bglt) BgL_new1249z00_2376);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2382, BgL_arg1727z00_2377);
						}}
						{	/* Eval/evaluate_types.scm 83 */
							BgL_objectz00_bglt BgL_auxz00_4641;

							BgL_auxz00_4641 = ((BgL_objectz00_bglt) BgL_new1249z00_2376);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_4641, BFALSE);
						}
						BgL_new1250z00_2375 = BgL_new1249z00_2376;
					}
					((((BgL_ev_hookz00_bglt) CREF(
									((BgL_ev_hookz00_bglt) BgL_new1250z00_2375)))->BgL_ez00) =
						((BgL_ev_exprz00_bglt) BgL_e1102z00_1110), BUNSPEC);
					((((BgL_ev_setglobalz00_bglt) CREF(((BgL_ev_setglobalz00_bglt)
										BgL_new1250z00_2375)))->BgL_locz00) =
						((obj_t) BgL_loc1103z00_1111), BUNSPEC);
					((((BgL_ev_setglobalz00_bglt) CREF(((BgL_ev_setglobalz00_bglt)
										BgL_new1250z00_2375)))->BgL_namez00) =
						((obj_t) BgL_name1104z00_1112), BUNSPEC);
					((((BgL_ev_setglobalz00_bglt) CREF(((BgL_ev_setglobalz00_bglt)
										BgL_new1250z00_2375)))->BgL_modz00) =
						((obj_t) BgL_mod1105z00_1113), BUNSPEC);
					return BgL_new1250z00_2375;
				}
			}
		}
	}



/* &<anonymous:1705> */
	BgL_ev_setglobalz00_bglt
		BGl_z62zc3anonymousza31705ze3ze1zz__evaluate_typesz00(obj_t BgL_envz00_3421,
		obj_t BgL_new1100z00_3422)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 79 */
			{
				BgL_ev_setglobalz00_bglt BgL_new1100z00_1062;

				BgL_new1100z00_1062 = ((BgL_ev_setglobalz00_bglt) BgL_new1100z00_3422);
				((((BgL_ev_hookz00_bglt) CREF(
								((BgL_ev_hookz00_bglt) BgL_new1100z00_1062)))->BgL_ez00) =
					((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt)
							BGl_classzd2nilzd2zz__objectz00
							(BGl_ev_exprz00zz__evaluate_typesz00))), BUNSPEC);
				((((BgL_ev_setglobalz00_bglt) CREF(BgL_new1100z00_1062))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_ev_setglobalz00_bglt) CREF(BgL_new1100z00_1062))->BgL_namez00) =
					((obj_t) BGl_symbol2660z00zz__evaluate_typesz00), BUNSPEC);
				((((BgL_ev_setglobalz00_bglt) CREF(BgL_new1100z00_1062))->BgL_modz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				return BgL_new1100z00_1062;
			}
		}
	}



/* &lambda1703 */
	BgL_ev_setglobalz00_bglt BGl_z62lambda1703z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3423)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 79 */
			{

				{	/* Eval/evaluate_types.scm 79 */
					BgL_ev_setglobalz00_bglt BgL_new1099z00_1060;

					BgL_new1099z00_1060 =
						((BgL_ev_setglobalz00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_ev_setglobalz00_bgl))));
					{	/* Eval/evaluate_types.scm 79 */
						long BgL_arg1704z00_1061;

						{	/* Eval/evaluate_types.scm 79 */
							long BgL_res2288z00_2372;

							{	/* Eval/evaluate_types.scm 79 */
								obj_t BgL_classz00_2369;

								BgL_classz00_2369 = BGl_ev_setglobalz00zz__evaluate_typesz00;
								{	/* Eval/evaluate_types.scm 79 */
									obj_t BgL_vectorz00_2370;
									int BgL_kz00_2371;

									BgL_vectorz00_2370 = BgL_classz00_2369;
									BgL_kz00_2371 = (int) (((long) 1));
									BgL_res2288z00_2372 =
										(long) CINT(VECTOR_REF(BgL_vectorz00_2370, BgL_kz00_2371));
							}}
							BgL_arg1704z00_1061 = BgL_res2288z00_2372;
						}
						{	/* Eval/evaluate_types.scm 79 */
							BgL_objectz00_bglt BgL_objz00_2373;

							BgL_objz00_2373 = ((BgL_objectz00_bglt) BgL_new1099z00_1060);
							BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2373, BgL_arg1704z00_1061);
					}}
					{	/* Eval/evaluate_types.scm 79 */
						BgL_objectz00_bglt BgL_auxz00_4667;

						BgL_auxz00_4667 = ((BgL_objectz00_bglt) BgL_new1099z00_1060);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_4667, BFALSE);
					}
					return BgL_new1099z00_1060;
				}
			}
		}
	}



/* &lambda1701 */
	BgL_ev_setglobalz00_bglt BGl_z62lambda1701z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3424, obj_t BgL_e1095z00_3425, obj_t BgL_loc1096z00_3426,
		obj_t BgL_name1097z00_3427, obj_t BgL_mod1098z00_3428)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 79 */
			{
				BgL_ev_exprz00_bglt BgL_e1095z00_1051;
				obj_t BgL_loc1096z00_1052;
				obj_t BgL_name1097z00_1053;
				obj_t BgL_mod1098z00_1054;

				BgL_e1095z00_1051 = ((BgL_ev_exprz00_bglt) BgL_e1095z00_3425);
				BgL_loc1096z00_1052 = BgL_loc1096z00_3426;
				BgL_name1097z00_1053 = BgL_name1097z00_3427;
				BgL_mod1098z00_1054 = BgL_mod1098z00_3428;
				{	/* Eval/evaluate_types.scm 79 */
					BgL_ev_setglobalz00_bglt BgL_new1242z00_2360;

					{	/* Eval/evaluate_types.scm 79 */
						BgL_ev_setglobalz00_bglt BgL_new1241z00_2361;

						BgL_new1241z00_2361 =
							((BgL_ev_setglobalz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_ev_setglobalz00_bgl))));
						{	/* Eval/evaluate_types.scm 79 */
							long BgL_arg1702z00_2362;

							{	/* Eval/evaluate_types.scm 79 */
								long BgL_res2287z00_2366;

								{	/* Eval/evaluate_types.scm 79 */
									obj_t BgL_classz00_2363;

									BgL_classz00_2363 = BGl_ev_setglobalz00zz__evaluate_typesz00;
									{	/* Eval/evaluate_types.scm 79 */
										obj_t BgL_vectorz00_2364;
										int BgL_kz00_2365;

										BgL_vectorz00_2364 = BgL_classz00_2363;
										BgL_kz00_2365 = (int) (((long) 1));
										BgL_res2287z00_2366 =
											(long) CINT(VECTOR_REF(BgL_vectorz00_2364,
												BgL_kz00_2365));
								}}
								BgL_arg1702z00_2362 = BgL_res2287z00_2366;
							}
							{	/* Eval/evaluate_types.scm 79 */
								BgL_objectz00_bglt BgL_objz00_2367;

								BgL_objz00_2367 = ((BgL_objectz00_bglt) BgL_new1241z00_2361);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2367, BgL_arg1702z00_2362);
						}}
						{	/* Eval/evaluate_types.scm 79 */
							BgL_objectz00_bglt BgL_auxz00_4676;

							BgL_auxz00_4676 = ((BgL_objectz00_bglt) BgL_new1241z00_2361);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_4676, BFALSE);
						}
						BgL_new1242z00_2360 = BgL_new1241z00_2361;
					}
					((((BgL_ev_hookz00_bglt) CREF(
									((BgL_ev_hookz00_bglt) BgL_new1242z00_2360)))->BgL_ez00) =
						((BgL_ev_exprz00_bglt) BgL_e1095z00_1051), BUNSPEC);
					((((BgL_ev_setglobalz00_bglt) CREF(BgL_new1242z00_2360))->
							BgL_locz00) = ((obj_t) BgL_loc1096z00_1052), BUNSPEC);
					((((BgL_ev_setglobalz00_bglt) CREF(BgL_new1242z00_2360))->
							BgL_namez00) = ((obj_t) BgL_name1097z00_1053), BUNSPEC);
					((((BgL_ev_setglobalz00_bglt) CREF(BgL_new1242z00_2360))->
							BgL_modz00) = ((obj_t) BgL_mod1098z00_1054), BUNSPEC);
					return BgL_new1242z00_2360;
				}
			}
		}
	}



/* &lambda1720 */
	obj_t BGl_z62lambda1720z62zz__evaluate_typesz00(obj_t BgL_envz00_3429,
		obj_t BgL_oz00_3430, obj_t BgL_vz00_3431)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 79 */
			{	/* Eval/evaluate_types.scm 79 */
				BgL_ev_setglobalz00_bglt BgL_oz00_3692;

				BgL_oz00_3692 = ((BgL_ev_setglobalz00_bglt) BgL_oz00_3430);
				return
					((((BgL_ev_setglobalz00_bglt) CREF(BgL_oz00_3692))->BgL_locz00) =
					((obj_t) BgL_vz00_3431), BUNSPEC);
			}
		}
	}



/* &lambda1719 */
	obj_t BGl_z62lambda1719z62zz__evaluate_typesz00(obj_t BgL_envz00_3432,
		obj_t BgL_oz00_3433)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 79 */
			return
				(((BgL_ev_setglobalz00_bglt) CREF(
						((BgL_ev_setglobalz00_bglt) BgL_oz00_3433)))->BgL_locz00);
		}
	}



/* &lambda1715 */
	obj_t BGl_z62lambda1715z62zz__evaluate_typesz00(obj_t BgL_envz00_3434,
		obj_t BgL_oz00_3435, obj_t BgL_vz00_3436)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 79 */
			{	/* Eval/evaluate_types.scm 79 */
				BgL_ev_setglobalz00_bglt BgL_oz00_3695;
				obj_t BgL_vz00_3696;

				BgL_oz00_3695 = ((BgL_ev_setglobalz00_bglt) BgL_oz00_3435);
				BgL_vz00_3696 = BgL_vz00_3436;
				return
					((((BgL_ev_setglobalz00_bglt) CREF(BgL_oz00_3695))->BgL_namez00) =
					((obj_t) BgL_vz00_3696), BUNSPEC);
			}
		}
	}



/* &lambda1714 */
	obj_t BGl_z62lambda1714z62zz__evaluate_typesz00(obj_t BgL_envz00_3437,
		obj_t BgL_oz00_3438)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 79 */
			return
				(((BgL_ev_setglobalz00_bglt) CREF(
						((BgL_ev_setglobalz00_bglt) BgL_oz00_3438)))->BgL_namez00);
		}
	}



/* &lambda1710 */
	obj_t BGl_z62lambda1710z62zz__evaluate_typesz00(obj_t BgL_envz00_3439,
		obj_t BgL_oz00_3440, obj_t BgL_vz00_3441)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 79 */
			{	/* Eval/evaluate_types.scm 79 */
				BgL_ev_setglobalz00_bglt BgL_oz00_3698;

				BgL_oz00_3698 = ((BgL_ev_setglobalz00_bglt) BgL_oz00_3440);
				return
					((((BgL_ev_setglobalz00_bglt) CREF(BgL_oz00_3698))->BgL_modz00) =
					((obj_t) BgL_vz00_3441), BUNSPEC);
			}
		}
	}



/* &lambda1709 */
	obj_t BGl_z62lambda1709z62zz__evaluate_typesz00(obj_t BgL_envz00_3442,
		obj_t BgL_oz00_3443)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 79 */
			return
				(((BgL_ev_setglobalz00_bglt) CREF(
						((BgL_ev_setglobalz00_bglt) BgL_oz00_3443)))->BgL_modz00);
		}
	}



/* &<anonymous:1690> */
	BgL_ev_setlocalz00_bglt
		BGl_z62zc3anonymousza31690ze3ze1zz__evaluate_typesz00(obj_t BgL_envz00_3444,
		obj_t BgL_new1093z00_3445)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 77 */
			{
				BgL_ev_setlocalz00_bglt BgL_new1093z00_1027;

				BgL_new1093z00_1027 = ((BgL_ev_setlocalz00_bglt) BgL_new1093z00_3445);
				((((BgL_ev_hookz00_bglt) CREF(
								((BgL_ev_hookz00_bglt) BgL_new1093z00_1027)))->BgL_ez00) =
					((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt)
							BGl_classzd2nilzd2zz__objectz00
							(BGl_ev_exprz00zz__evaluate_typesz00))), BUNSPEC);
				((((BgL_ev_setlocalz00_bglt) CREF(BgL_new1093z00_1027))->BgL_vz00) =
					((BgL_ev_varz00_bglt) ((BgL_ev_varz00_bglt)
							BGl_classzd2nilzd2zz__objectz00
							(BGl_ev_varz00zz__evaluate_typesz00))), BUNSPEC);
				return BgL_new1093z00_1027;
			}
		}
	}



/* &lambda1688 */
	BgL_ev_setlocalz00_bglt BGl_z62lambda1688z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3446)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 77 */
			{

				{	/* Eval/evaluate_types.scm 77 */
					BgL_ev_setlocalz00_bglt BgL_new1092z00_1025;

					BgL_new1092z00_1025 =
						((BgL_ev_setlocalz00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_ev_setlocalz00_bgl))));
					{	/* Eval/evaluate_types.scm 77 */
						long BgL_arg1689z00_1026;

						{	/* Eval/evaluate_types.scm 77 */
							long BgL_res2286z00_2342;

							{	/* Eval/evaluate_types.scm 77 */
								obj_t BgL_classz00_2339;

								BgL_classz00_2339 = BGl_ev_setlocalz00zz__evaluate_typesz00;
								{	/* Eval/evaluate_types.scm 77 */
									obj_t BgL_vectorz00_2340;
									int BgL_kz00_2341;

									BgL_vectorz00_2340 = BgL_classz00_2339;
									BgL_kz00_2341 = (int) (((long) 1));
									BgL_res2286z00_2342 =
										(long) CINT(VECTOR_REF(BgL_vectorz00_2340, BgL_kz00_2341));
							}}
							BgL_arg1689z00_1026 = BgL_res2286z00_2342;
						}
						{	/* Eval/evaluate_types.scm 77 */
							BgL_objectz00_bglt BgL_objz00_2343;

							BgL_objz00_2343 = ((BgL_objectz00_bglt) BgL_new1092z00_1025);
							BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2343, BgL_arg1689z00_1026);
					}}
					{	/* Eval/evaluate_types.scm 77 */
						BgL_objectz00_bglt BgL_auxz00_4711;

						BgL_auxz00_4711 = ((BgL_objectz00_bglt) BgL_new1092z00_1025);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_4711, BFALSE);
					}
					return BgL_new1092z00_1025;
				}
			}
		}
	}



/* &lambda1685 */
	BgL_ev_setlocalz00_bglt BGl_z62lambda1685z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3447, obj_t BgL_e1090z00_3448, obj_t BgL_v1091z00_3449)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 77 */
			{
				BgL_ev_exprz00_bglt BgL_e1090z00_1018;
				BgL_ev_varz00_bglt BgL_v1091z00_1019;

				BgL_e1090z00_1018 = ((BgL_ev_exprz00_bglt) BgL_e1090z00_3448);
				BgL_v1091z00_1019 = ((BgL_ev_varz00_bglt) BgL_v1091z00_3449);
				{	/* Eval/evaluate_types.scm 77 */
					BgL_ev_setlocalz00_bglt BgL_new1238z00_2330;

					{	/* Eval/evaluate_types.scm 77 */
						BgL_ev_setlocalz00_bglt BgL_new1237z00_2331;

						BgL_new1237z00_2331 =
							((BgL_ev_setlocalz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_ev_setlocalz00_bgl))));
						{	/* Eval/evaluate_types.scm 77 */
							long BgL_arg1687z00_2332;

							{	/* Eval/evaluate_types.scm 77 */
								long BgL_res2285z00_2336;

								{	/* Eval/evaluate_types.scm 77 */
									obj_t BgL_classz00_2333;

									BgL_classz00_2333 = BGl_ev_setlocalz00zz__evaluate_typesz00;
									{	/* Eval/evaluate_types.scm 77 */
										obj_t BgL_vectorz00_2334;
										int BgL_kz00_2335;

										BgL_vectorz00_2334 = BgL_classz00_2333;
										BgL_kz00_2335 = (int) (((long) 1));
										BgL_res2285z00_2336 =
											(long) CINT(VECTOR_REF(BgL_vectorz00_2334,
												BgL_kz00_2335));
								}}
								BgL_arg1687z00_2332 = BgL_res2285z00_2336;
							}
							{	/* Eval/evaluate_types.scm 77 */
								BgL_objectz00_bglt BgL_objz00_2337;

								BgL_objz00_2337 = ((BgL_objectz00_bglt) BgL_new1237z00_2331);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2337, BgL_arg1687z00_2332);
						}}
						{	/* Eval/evaluate_types.scm 77 */
							BgL_objectz00_bglt BgL_auxz00_4720;

							BgL_auxz00_4720 = ((BgL_objectz00_bglt) BgL_new1237z00_2331);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_4720, BFALSE);
						}
						BgL_new1238z00_2330 = BgL_new1237z00_2331;
					}
					((((BgL_ev_hookz00_bglt) CREF(
									((BgL_ev_hookz00_bglt) BgL_new1238z00_2330)))->BgL_ez00) =
						((BgL_ev_exprz00_bglt) BgL_e1090z00_1018), BUNSPEC);
					((((BgL_ev_setlocalz00_bglt) CREF(BgL_new1238z00_2330))->BgL_vz00) =
						((BgL_ev_varz00_bglt) BgL_v1091z00_1019), BUNSPEC);
					return BgL_new1238z00_2330;
				}
			}
		}
	}



/* &lambda1695 */
	obj_t BGl_z62lambda1695z62zz__evaluate_typesz00(obj_t BgL_envz00_3450,
		obj_t BgL_oz00_3451, obj_t BgL_vz00_3452)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 77 */
			{
				BgL_ev_setlocalz00_bglt BgL_oz00_1036;
				BgL_ev_varz00_bglt BgL_vz00_1037;

				BgL_oz00_1036 = ((BgL_ev_setlocalz00_bglt) BgL_oz00_3451);
				BgL_vz00_1037 = ((BgL_ev_varz00_bglt) BgL_vz00_3452);
				return
					((((BgL_ev_setlocalz00_bglt) CREF(BgL_oz00_1036))->BgL_vz00) =
					((BgL_ev_varz00_bglt) (((BgL_ev_setlocalz00_bglt)
								CREF(BgL_oz00_1036))->BgL_vz00)), BUNSPEC);
			}
		}
	}



/* &lambda1694 */
	BgL_ev_varz00_bglt BGl_z62lambda1694z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3453, obj_t BgL_oz00_3454)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 77 */
			return
				(((BgL_ev_setlocalz00_bglt) CREF(
						((BgL_ev_setlocalz00_bglt) BgL_oz00_3454)))->BgL_vz00);
		}
	}



/* &<anonymous:1679> */
	BgL_ev_trapz00_bglt
		BGl_z62zc3anonymousza31679ze3ze1zz__evaluate_typesz00(obj_t BgL_envz00_3455,
		obj_t BgL_new1088z00_3456)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 76 */
			{
				BgL_ev_trapz00_bglt BgL_new1088z00_1006;

				BgL_new1088z00_1006 = ((BgL_ev_trapz00_bglt) BgL_new1088z00_3456);
				((((BgL_ev_hookz00_bglt) CREF(
								((BgL_ev_hookz00_bglt) BgL_new1088z00_1006)))->BgL_ez00) =
					((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt)
							BGl_classzd2nilzd2zz__objectz00
							(BGl_ev_exprz00zz__evaluate_typesz00))), BUNSPEC);
				return BgL_new1088z00_1006;
			}
		}
	}



/* &lambda1677 */
	BgL_ev_trapz00_bglt BGl_z62lambda1677z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3457)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 76 */
			{

				{	/* Eval/evaluate_types.scm 76 */
					BgL_ev_trapz00_bglt BgL_new1087z00_1004;

					BgL_new1087z00_1004 =
						((BgL_ev_trapz00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_ev_trapz00_bgl))));
					{	/* Eval/evaluate_types.scm 76 */
						long BgL_arg1678z00_1005;

						{	/* Eval/evaluate_types.scm 76 */
							long BgL_res2284z00_2322;

							{	/* Eval/evaluate_types.scm 76 */
								obj_t BgL_classz00_2319;

								BgL_classz00_2319 = BGl_ev_trapz00zz__evaluate_typesz00;
								{	/* Eval/evaluate_types.scm 76 */
									obj_t BgL_vectorz00_2320;
									int BgL_kz00_2321;

									BgL_vectorz00_2320 = BgL_classz00_2319;
									BgL_kz00_2321 = (int) (((long) 1));
									BgL_res2284z00_2322 =
										(long) CINT(VECTOR_REF(BgL_vectorz00_2320, BgL_kz00_2321));
							}}
							BgL_arg1678z00_1005 = BgL_res2284z00_2322;
						}
						{	/* Eval/evaluate_types.scm 76 */
							BgL_objectz00_bglt BgL_objz00_2323;

							BgL_objz00_2323 = ((BgL_objectz00_bglt) BgL_new1087z00_1004);
							BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2323, BgL_arg1678z00_1005);
					}}
					{	/* Eval/evaluate_types.scm 76 */
						BgL_objectz00_bglt BgL_auxz00_4745;

						BgL_auxz00_4745 = ((BgL_objectz00_bglt) BgL_new1087z00_1004);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_4745, BFALSE);
					}
					return BgL_new1087z00_1004;
				}
			}
		}
	}



/* &lambda1675 */
	BgL_ev_trapz00_bglt BGl_z62lambda1675z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3458, obj_t BgL_e1086z00_3459)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 76 */
			{
				BgL_ev_exprz00_bglt BgL_e1086z00_998;

				BgL_e1086z00_998 = ((BgL_ev_exprz00_bglt) BgL_e1086z00_3459);
				{	/* Eval/evaluate_types.scm 76 */
					BgL_ev_trapz00_bglt BgL_new1236z00_2310;

					{	/* Eval/evaluate_types.scm 76 */
						BgL_ev_trapz00_bglt BgL_new1235z00_2311;

						BgL_new1235z00_2311 =
							((BgL_ev_trapz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_ev_trapz00_bgl))));
						{	/* Eval/evaluate_types.scm 76 */
							long BgL_arg1676z00_2312;

							{	/* Eval/evaluate_types.scm 76 */
								long BgL_res2283z00_2316;

								{	/* Eval/evaluate_types.scm 76 */
									obj_t BgL_classz00_2313;

									BgL_classz00_2313 = BGl_ev_trapz00zz__evaluate_typesz00;
									{	/* Eval/evaluate_types.scm 76 */
										obj_t BgL_vectorz00_2314;
										int BgL_kz00_2315;

										BgL_vectorz00_2314 = BgL_classz00_2313;
										BgL_kz00_2315 = (int) (((long) 1));
										BgL_res2283z00_2316 =
											(long) CINT(VECTOR_REF(BgL_vectorz00_2314,
												BgL_kz00_2315));
								}}
								BgL_arg1676z00_2312 = BgL_res2283z00_2316;
							}
							{	/* Eval/evaluate_types.scm 76 */
								BgL_objectz00_bglt BgL_objz00_2317;

								BgL_objz00_2317 = ((BgL_objectz00_bglt) BgL_new1235z00_2311);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2317, BgL_arg1676z00_2312);
						}}
						{	/* Eval/evaluate_types.scm 76 */
							BgL_objectz00_bglt BgL_auxz00_4754;

							BgL_auxz00_4754 = ((BgL_objectz00_bglt) BgL_new1235z00_2311);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_4754, BFALSE);
						}
						BgL_new1236z00_2310 = BgL_new1235z00_2311;
					}
					((((BgL_ev_hookz00_bglt) CREF(
									((BgL_ev_hookz00_bglt) BgL_new1236z00_2310)))->BgL_ez00) =
						((BgL_ev_exprz00_bglt) BgL_e1086z00_998), BUNSPEC);
					return BgL_new1236z00_2310;
				}
			}
		}
	}



/* &<anonymous:1664> */
	BgL_ev_hookz00_bglt
		BGl_z62zc3anonymousza31664ze3ze1zz__evaluate_typesz00(obj_t BgL_envz00_3460,
		obj_t BgL_new1084z00_3461)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 74 */
			{
				BgL_ev_hookz00_bglt BgL_new1084z00_974;

				BgL_new1084z00_974 = ((BgL_ev_hookz00_bglt) BgL_new1084z00_3461);
				((((BgL_ev_hookz00_bglt) CREF(BgL_new1084z00_974))->BgL_ez00) =
					((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt)
							BGl_classzd2nilzd2zz__objectz00
							(BGl_ev_exprz00zz__evaluate_typesz00))), BUNSPEC);
				return BgL_new1084z00_974;
			}
		}
	}



/* &lambda1662 */
	BgL_ev_hookz00_bglt BGl_z62lambda1662z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3462)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 74 */
			{

				{	/* Eval/evaluate_types.scm 74 */
					BgL_ev_hookz00_bglt BgL_new1083z00_972;

					BgL_new1083z00_972 =
						((BgL_ev_hookz00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_ev_hookz00_bgl))));
					{	/* Eval/evaluate_types.scm 74 */
						long BgL_arg1663z00_973;

						{	/* Eval/evaluate_types.scm 74 */
							long BgL_res2282z00_2307;

							{	/* Eval/evaluate_types.scm 74 */
								obj_t BgL_classz00_2304;

								BgL_classz00_2304 = BGl_ev_hookz00zz__evaluate_typesz00;
								{	/* Eval/evaluate_types.scm 74 */
									obj_t BgL_vectorz00_2305;
									int BgL_kz00_2306;

									BgL_vectorz00_2305 = BgL_classz00_2304;
									BgL_kz00_2306 = (int) (((long) 1));
									BgL_res2282z00_2307 =
										(long) CINT(VECTOR_REF(BgL_vectorz00_2305, BgL_kz00_2306));
							}}
							BgL_arg1663z00_973 = BgL_res2282z00_2307;
						}
						{	/* Eval/evaluate_types.scm 74 */
							BgL_objectz00_bglt BgL_objz00_2308;

							BgL_objz00_2308 = ((BgL_objectz00_bglt) BgL_new1083z00_972);
							BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2308, BgL_arg1663z00_973);
					}}
					{	/* Eval/evaluate_types.scm 74 */
						BgL_objectz00_bglt BgL_auxz00_4770;

						BgL_auxz00_4770 = ((BgL_objectz00_bglt) BgL_new1083z00_972);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_4770, BFALSE);
					}
					return BgL_new1083z00_972;
				}
			}
		}
	}



/* &lambda1660 */
	BgL_ev_hookz00_bglt BGl_z62lambda1660z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3463, obj_t BgL_e1082z00_3464)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 74 */
			{
				BgL_ev_exprz00_bglt BgL_e1082z00_966;

				BgL_e1082z00_966 = ((BgL_ev_exprz00_bglt) BgL_e1082z00_3464);
				{	/* Eval/evaluate_types.scm 74 */
					BgL_ev_hookz00_bglt BgL_new1232z00_2295;

					{	/* Eval/evaluate_types.scm 74 */
						BgL_ev_hookz00_bglt BgL_new1231z00_2296;

						BgL_new1231z00_2296 =
							((BgL_ev_hookz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_ev_hookz00_bgl))));
						{	/* Eval/evaluate_types.scm 74 */
							long BgL_arg1661z00_2297;

							{	/* Eval/evaluate_types.scm 74 */
								long BgL_res2281z00_2301;

								{	/* Eval/evaluate_types.scm 74 */
									obj_t BgL_classz00_2298;

									BgL_classz00_2298 = BGl_ev_hookz00zz__evaluate_typesz00;
									{	/* Eval/evaluate_types.scm 74 */
										obj_t BgL_vectorz00_2299;
										int BgL_kz00_2300;

										BgL_vectorz00_2299 = BgL_classz00_2298;
										BgL_kz00_2300 = (int) (((long) 1));
										BgL_res2281z00_2301 =
											(long) CINT(VECTOR_REF(BgL_vectorz00_2299,
												BgL_kz00_2300));
								}}
								BgL_arg1661z00_2297 = BgL_res2281z00_2301;
							}
							{	/* Eval/evaluate_types.scm 74 */
								BgL_objectz00_bglt BgL_objz00_2302;

								BgL_objz00_2302 = ((BgL_objectz00_bglt) BgL_new1231z00_2296);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2302, BgL_arg1661z00_2297);
						}}
						{	/* Eval/evaluate_types.scm 74 */
							BgL_objectz00_bglt BgL_auxz00_4779;

							BgL_auxz00_4779 = ((BgL_objectz00_bglt) BgL_new1231z00_2296);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_4779, BFALSE);
						}
						BgL_new1232z00_2295 = BgL_new1231z00_2296;
					}
					((((BgL_ev_hookz00_bglt) CREF(BgL_new1232z00_2295))->BgL_ez00) =
						((BgL_ev_exprz00_bglt) BgL_e1082z00_966), BUNSPEC);
					return BgL_new1232z00_2295;
				}
			}
		}
	}



/* &lambda1669 */
	obj_t BGl_z62lambda1669z62zz__evaluate_typesz00(obj_t BgL_envz00_3465,
		obj_t BgL_oz00_3466, obj_t BgL_vz00_3467)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 74 */
			{	/* Eval/evaluate_types.scm 74 */
				BgL_ev_hookz00_bglt BgL_oz00_3702;
				BgL_ev_exprz00_bglt BgL_vz00_3703;

				BgL_oz00_3702 = ((BgL_ev_hookz00_bglt) BgL_oz00_3466);
				BgL_vz00_3703 = ((BgL_ev_exprz00_bglt) BgL_vz00_3467);
				return
					((((BgL_ev_hookz00_bglt) CREF(BgL_oz00_3702))->BgL_ez00) =
					((BgL_ev_exprz00_bglt) BgL_vz00_3703), BUNSPEC);
			}
		}
	}



/* &lambda1668 */
	BgL_ev_exprz00_bglt BGl_z62lambda1668z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3468, obj_t BgL_oz00_3469)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 74 */
			return
				(((BgL_ev_hookz00_bglt) CREF(
						((BgL_ev_hookz00_bglt) BgL_oz00_3469)))->BgL_ez00);
		}
	}



/* &<anonymous:1641> */
	BgL_ev_prog2z00_bglt
		BGl_z62zc3anonymousza31641ze3ze1zz__evaluate_typesz00(obj_t BgL_envz00_3470,
		obj_t BgL_new1080z00_3471)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 71 */
			{
				BgL_ev_prog2z00_bglt BgL_new1080z00_930;

				BgL_new1080z00_930 = ((BgL_ev_prog2z00_bglt) BgL_new1080z00_3471);
				((((BgL_ev_prog2z00_bglt) CREF(BgL_new1080z00_930))->BgL_e1z00) =
					((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt)
							BGl_classzd2nilzd2zz__objectz00
							(BGl_ev_exprz00zz__evaluate_typesz00))), BUNSPEC);
				((((BgL_ev_prog2z00_bglt) CREF(BgL_new1080z00_930))->BgL_e2z00) =
					((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt)
							BGl_classzd2nilzd2zz__objectz00
							(BGl_ev_exprz00zz__evaluate_typesz00))), BUNSPEC);
				return BgL_new1080z00_930;
			}
		}
	}



/* &lambda1638 */
	BgL_ev_prog2z00_bglt BGl_z62lambda1638z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3472)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 71 */
			{

				{	/* Eval/evaluate_types.scm 71 */
					BgL_ev_prog2z00_bglt BgL_new1079z00_928;

					BgL_new1079z00_928 =
						((BgL_ev_prog2z00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_ev_prog2z00_bgl))));
					{	/* Eval/evaluate_types.scm 71 */
						long BgL_arg1640z00_929;

						{	/* Eval/evaluate_types.scm 71 */
							long BgL_res2280z00_2287;

							{	/* Eval/evaluate_types.scm 71 */
								obj_t BgL_classz00_2284;

								BgL_classz00_2284 = BGl_ev_prog2z00zz__evaluate_typesz00;
								{	/* Eval/evaluate_types.scm 71 */
									obj_t BgL_vectorz00_2285;
									int BgL_kz00_2286;

									BgL_vectorz00_2285 = BgL_classz00_2284;
									BgL_kz00_2286 = (int) (((long) 1));
									BgL_res2280z00_2287 =
										(long) CINT(VECTOR_REF(BgL_vectorz00_2285, BgL_kz00_2286));
							}}
							BgL_arg1640z00_929 = BgL_res2280z00_2287;
						}
						{	/* Eval/evaluate_types.scm 71 */
							BgL_objectz00_bglt BgL_objz00_2288;

							BgL_objz00_2288 = ((BgL_objectz00_bglt) BgL_new1079z00_928);
							BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2288, BgL_arg1640z00_929);
					}}
					{	/* Eval/evaluate_types.scm 71 */
						BgL_objectz00_bglt BgL_auxz00_4802;

						BgL_auxz00_4802 = ((BgL_objectz00_bglt) BgL_new1079z00_928);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_4802, BFALSE);
					}
					return BgL_new1079z00_928;
				}
			}
		}
	}



/* &lambda1635 */
	BgL_ev_prog2z00_bglt BGl_z62lambda1635z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3473, obj_t BgL_e11077z00_3474, obj_t BgL_e21078z00_3475)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 71 */
			{
				BgL_ev_exprz00_bglt BgL_e11077z00_921;
				BgL_ev_exprz00_bglt BgL_e21078z00_922;

				BgL_e11077z00_921 = ((BgL_ev_exprz00_bglt) BgL_e11077z00_3474);
				BgL_e21078z00_922 = ((BgL_ev_exprz00_bglt) BgL_e21078z00_3475);
				{	/* Eval/evaluate_types.scm 71 */
					BgL_ev_prog2z00_bglt BgL_new1226z00_2275;

					{	/* Eval/evaluate_types.scm 71 */
						BgL_ev_prog2z00_bglt BgL_new1225z00_2276;

						BgL_new1225z00_2276 =
							((BgL_ev_prog2z00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_ev_prog2z00_bgl))));
						{	/* Eval/evaluate_types.scm 71 */
							long BgL_arg1637z00_2277;

							{	/* Eval/evaluate_types.scm 71 */
								long BgL_res2279z00_2281;

								{	/* Eval/evaluate_types.scm 71 */
									obj_t BgL_classz00_2278;

									BgL_classz00_2278 = BGl_ev_prog2z00zz__evaluate_typesz00;
									{	/* Eval/evaluate_types.scm 71 */
										obj_t BgL_vectorz00_2279;
										int BgL_kz00_2280;

										BgL_vectorz00_2279 = BgL_classz00_2278;
										BgL_kz00_2280 = (int) (((long) 1));
										BgL_res2279z00_2281 =
											(long) CINT(VECTOR_REF(BgL_vectorz00_2279,
												BgL_kz00_2280));
								}}
								BgL_arg1637z00_2277 = BgL_res2279z00_2281;
							}
							{	/* Eval/evaluate_types.scm 71 */
								BgL_objectz00_bglt BgL_objz00_2282;

								BgL_objz00_2282 = ((BgL_objectz00_bglt) BgL_new1225z00_2276);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2282, BgL_arg1637z00_2277);
						}}
						{	/* Eval/evaluate_types.scm 71 */
							BgL_objectz00_bglt BgL_auxz00_4811;

							BgL_auxz00_4811 = ((BgL_objectz00_bglt) BgL_new1225z00_2276);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_4811, BFALSE);
						}
						BgL_new1226z00_2275 = BgL_new1225z00_2276;
					}
					((((BgL_ev_prog2z00_bglt) CREF(BgL_new1226z00_2275))->BgL_e1z00) =
						((BgL_ev_exprz00_bglt) BgL_e11077z00_921), BUNSPEC);
					((((BgL_ev_prog2z00_bglt) CREF(BgL_new1226z00_2275))->BgL_e2z00) =
						((BgL_ev_exprz00_bglt) BgL_e21078z00_922), BUNSPEC);
					return BgL_new1226z00_2275;
				}
			}
		}
	}



/* &lambda1653 */
	obj_t BGl_z62lambda1653z62zz__evaluate_typesz00(obj_t BgL_envz00_3476,
		obj_t BgL_oz00_3477, obj_t BgL_vz00_3478)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 71 */
			{	/* Eval/evaluate_types.scm 71 */
				BgL_ev_prog2z00_bglt BgL_oz00_3705;
				BgL_ev_exprz00_bglt BgL_vz00_3706;

				BgL_oz00_3705 = ((BgL_ev_prog2z00_bglt) BgL_oz00_3477);
				BgL_vz00_3706 = ((BgL_ev_exprz00_bglt) BgL_vz00_3478);
				return
					((((BgL_ev_prog2z00_bglt) CREF(BgL_oz00_3705))->BgL_e1z00) =
					((BgL_ev_exprz00_bglt) BgL_vz00_3706), BUNSPEC);
			}
		}
	}



/* &lambda1652 */
	BgL_ev_exprz00_bglt BGl_z62lambda1652z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3479, obj_t BgL_oz00_3480)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 71 */
			return
				(((BgL_ev_prog2z00_bglt) CREF(
						((BgL_ev_prog2z00_bglt) BgL_oz00_3480)))->BgL_e1z00);
		}
	}



/* &lambda1647 */
	obj_t BGl_z62lambda1647z62zz__evaluate_typesz00(obj_t BgL_envz00_3481,
		obj_t BgL_oz00_3482, obj_t BgL_vz00_3483)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 71 */
			{	/* Eval/evaluate_types.scm 71 */
				BgL_ev_prog2z00_bglt BgL_oz00_3708;
				BgL_ev_exprz00_bglt BgL_vz00_3709;

				BgL_oz00_3708 = ((BgL_ev_prog2z00_bglt) BgL_oz00_3482);
				BgL_vz00_3709 = ((BgL_ev_exprz00_bglt) BgL_vz00_3483);
				return
					((((BgL_ev_prog2z00_bglt) CREF(BgL_oz00_3708))->BgL_e2z00) =
					((BgL_ev_exprz00_bglt) BgL_vz00_3709), BUNSPEC);
			}
		}
	}



/* &lambda1646 */
	BgL_ev_exprz00_bglt BGl_z62lambda1646z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3484, obj_t BgL_oz00_3485)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 71 */
			return
				(((BgL_ev_prog2z00_bglt) CREF(
						((BgL_ev_prog2z00_bglt) BgL_oz00_3485)))->BgL_e2z00);
		}
	}



/* &<anonymous:1628> */
	BgL_ev_andz00_bglt BGl_z62zc3anonymousza31628ze3ze1zz__evaluate_typesz00(obj_t
		BgL_envz00_3486, obj_t BgL_new1075z00_3487)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 70 */
			{
				BgL_ev_andz00_bglt BgL_new1075z00_909;

				BgL_new1075z00_909 = ((BgL_ev_andz00_bglt) BgL_new1075z00_3487);
				((((BgL_ev_listz00_bglt) CREF(
								((BgL_ev_listz00_bglt) BgL_new1075z00_909)))->BgL_argsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				return BgL_new1075z00_909;
			}
		}
	}



/* &lambda1626 */
	BgL_ev_andz00_bglt BGl_z62lambda1626z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3488)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 70 */
			{

				{	/* Eval/evaluate_types.scm 70 */
					BgL_ev_andz00_bglt BgL_new1074z00_907;

					BgL_new1074z00_907 =
						((BgL_ev_andz00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_ev_andz00_bgl))));
					{	/* Eval/evaluate_types.scm 70 */
						long BgL_arg1627z00_908;

						{	/* Eval/evaluate_types.scm 70 */
							long BgL_res2278z00_2262;

							{	/* Eval/evaluate_types.scm 70 */
								obj_t BgL_classz00_2259;

								BgL_classz00_2259 = BGl_ev_andz00zz__evaluate_typesz00;
								{	/* Eval/evaluate_types.scm 70 */
									obj_t BgL_vectorz00_2260;
									int BgL_kz00_2261;

									BgL_vectorz00_2260 = BgL_classz00_2259;
									BgL_kz00_2261 = (int) (((long) 1));
									BgL_res2278z00_2262 =
										(long) CINT(VECTOR_REF(BgL_vectorz00_2260, BgL_kz00_2261));
							}}
							BgL_arg1627z00_908 = BgL_res2278z00_2262;
						}
						{	/* Eval/evaluate_types.scm 70 */
							BgL_objectz00_bglt BgL_objz00_2263;

							BgL_objz00_2263 = ((BgL_objectz00_bglt) BgL_new1074z00_907);
							BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2263, BgL_arg1627z00_908);
					}}
					{	/* Eval/evaluate_types.scm 70 */
						BgL_objectz00_bglt BgL_auxz00_4837;

						BgL_auxz00_4837 = ((BgL_objectz00_bglt) BgL_new1074z00_907);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_4837, BFALSE);
					}
					return BgL_new1074z00_907;
				}
			}
		}
	}



/* &lambda1624 */
	BgL_ev_andz00_bglt BGl_z62lambda1624z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3489, obj_t BgL_args1072z00_3490)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 70 */
			{
				obj_t BgL_args1072z00_901;

				BgL_args1072z00_901 = BgL_args1072z00_3490;
				{	/* Eval/evaluate_types.scm 70 */
					BgL_ev_andz00_bglt BgL_new1224z00_2250;

					{	/* Eval/evaluate_types.scm 70 */
						BgL_ev_andz00_bglt BgL_new1223z00_2251;

						BgL_new1223z00_2251 =
							((BgL_ev_andz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_ev_andz00_bgl))));
						{	/* Eval/evaluate_types.scm 70 */
							long BgL_arg1625z00_2252;

							{	/* Eval/evaluate_types.scm 70 */
								long BgL_res2277z00_2256;

								{	/* Eval/evaluate_types.scm 70 */
									obj_t BgL_classz00_2253;

									BgL_classz00_2253 = BGl_ev_andz00zz__evaluate_typesz00;
									{	/* Eval/evaluate_types.scm 70 */
										obj_t BgL_vectorz00_2254;
										int BgL_kz00_2255;

										BgL_vectorz00_2254 = BgL_classz00_2253;
										BgL_kz00_2255 = (int) (((long) 1));
										BgL_res2277z00_2256 =
											(long) CINT(VECTOR_REF(BgL_vectorz00_2254,
												BgL_kz00_2255));
								}}
								BgL_arg1625z00_2252 = BgL_res2277z00_2256;
							}
							{	/* Eval/evaluate_types.scm 70 */
								BgL_objectz00_bglt BgL_objz00_2257;

								BgL_objz00_2257 = ((BgL_objectz00_bglt) BgL_new1223z00_2251);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2257, BgL_arg1625z00_2252);
						}}
						{	/* Eval/evaluate_types.scm 70 */
							BgL_objectz00_bglt BgL_auxz00_4846;

							BgL_auxz00_4846 = ((BgL_objectz00_bglt) BgL_new1223z00_2251);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_4846, BFALSE);
						}
						BgL_new1224z00_2250 = BgL_new1223z00_2251;
					}
					((((BgL_ev_listz00_bglt) CREF(
									((BgL_ev_listz00_bglt) BgL_new1224z00_2250)))->BgL_argsz00) =
						((obj_t) BgL_args1072z00_901), BUNSPEC);
					return BgL_new1224z00_2250;
				}
			}
		}
	}



/* &<anonymous:1616> */
	BgL_ev_orz00_bglt BGl_z62zc3anonymousza31616ze3ze1zz__evaluate_typesz00(obj_t
		BgL_envz00_3491, obj_t BgL_new1070z00_3492)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 69 */
			{
				BgL_ev_orz00_bglt BgL_new1070z00_889;

				BgL_new1070z00_889 = ((BgL_ev_orz00_bglt) BgL_new1070z00_3492);
				((((BgL_ev_listz00_bglt) CREF(
								((BgL_ev_listz00_bglt) BgL_new1070z00_889)))->BgL_argsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				return BgL_new1070z00_889;
			}
		}
	}



/* &lambda1614 */
	BgL_ev_orz00_bglt BGl_z62lambda1614z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3493)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 69 */
			{

				{	/* Eval/evaluate_types.scm 69 */
					BgL_ev_orz00_bglt BgL_new1069z00_887;

					BgL_new1069z00_887 =
						((BgL_ev_orz00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_ev_orz00_bgl))));
					{	/* Eval/evaluate_types.scm 69 */
						long BgL_arg1615z00_888;

						{	/* Eval/evaluate_types.scm 69 */
							long BgL_res2276z00_2247;

							{	/* Eval/evaluate_types.scm 69 */
								obj_t BgL_classz00_2244;

								BgL_classz00_2244 = BGl_ev_orz00zz__evaluate_typesz00;
								{	/* Eval/evaluate_types.scm 69 */
									obj_t BgL_vectorz00_2245;
									int BgL_kz00_2246;

									BgL_vectorz00_2245 = BgL_classz00_2244;
									BgL_kz00_2246 = (int) (((long) 1));
									BgL_res2276z00_2247 =
										(long) CINT(VECTOR_REF(BgL_vectorz00_2245, BgL_kz00_2246));
							}}
							BgL_arg1615z00_888 = BgL_res2276z00_2247;
						}
						{	/* Eval/evaluate_types.scm 69 */
							BgL_objectz00_bglt BgL_objz00_2248;

							BgL_objz00_2248 = ((BgL_objectz00_bglt) BgL_new1069z00_887);
							BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2248, BgL_arg1615z00_888);
					}}
					{	/* Eval/evaluate_types.scm 69 */
						BgL_objectz00_bglt BgL_auxz00_4860;

						BgL_auxz00_4860 = ((BgL_objectz00_bglt) BgL_new1069z00_887);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_4860, BFALSE);
					}
					return BgL_new1069z00_887;
				}
			}
		}
	}



/* &lambda1612 */
	BgL_ev_orz00_bglt BGl_z62lambda1612z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3494, obj_t BgL_args1068z00_3495)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 69 */
			{
				obj_t BgL_args1068z00_881;

				BgL_args1068z00_881 = BgL_args1068z00_3495;
				{	/* Eval/evaluate_types.scm 69 */
					BgL_ev_orz00_bglt BgL_new1222z00_2235;

					{	/* Eval/evaluate_types.scm 69 */
						BgL_ev_orz00_bglt BgL_new1221z00_2236;

						BgL_new1221z00_2236 =
							((BgL_ev_orz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_ev_orz00_bgl))));
						{	/* Eval/evaluate_types.scm 69 */
							long BgL_arg1613z00_2237;

							{	/* Eval/evaluate_types.scm 69 */
								long BgL_res2275z00_2241;

								{	/* Eval/evaluate_types.scm 69 */
									obj_t BgL_classz00_2238;

									BgL_classz00_2238 = BGl_ev_orz00zz__evaluate_typesz00;
									{	/* Eval/evaluate_types.scm 69 */
										obj_t BgL_vectorz00_2239;
										int BgL_kz00_2240;

										BgL_vectorz00_2239 = BgL_classz00_2238;
										BgL_kz00_2240 = (int) (((long) 1));
										BgL_res2275z00_2241 =
											(long) CINT(VECTOR_REF(BgL_vectorz00_2239,
												BgL_kz00_2240));
								}}
								BgL_arg1613z00_2237 = BgL_res2275z00_2241;
							}
							{	/* Eval/evaluate_types.scm 69 */
								BgL_objectz00_bglt BgL_objz00_2242;

								BgL_objz00_2242 = ((BgL_objectz00_bglt) BgL_new1221z00_2236);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2242, BgL_arg1613z00_2237);
						}}
						{	/* Eval/evaluate_types.scm 69 */
							BgL_objectz00_bglt BgL_auxz00_4869;

							BgL_auxz00_4869 = ((BgL_objectz00_bglt) BgL_new1221z00_2236);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_4869, BFALSE);
						}
						BgL_new1222z00_2235 = BgL_new1221z00_2236;
					}
					((((BgL_ev_listz00_bglt) CREF(
									((BgL_ev_listz00_bglt) BgL_new1222z00_2235)))->BgL_argsz00) =
						((obj_t) BgL_args1068z00_881), BUNSPEC);
					return BgL_new1222z00_2235;
				}
			}
		}
	}



/* &<anonymous:1598> */
	BgL_ev_listz00_bglt
		BGl_z62zc3anonymousza31598ze3ze1zz__evaluate_typesz00(obj_t BgL_envz00_3496,
		obj_t BgL_new1066z00_3497)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 67 */
			{
				BgL_ev_listz00_bglt BgL_new1066z00_857;

				BgL_new1066z00_857 = ((BgL_ev_listz00_bglt) BgL_new1066z00_3497);
				((((BgL_ev_listz00_bglt) CREF(BgL_new1066z00_857))->BgL_argsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				return BgL_new1066z00_857;
			}
		}
	}



/* &lambda1596 */
	BgL_ev_listz00_bglt BGl_z62lambda1596z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3498)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 67 */
			{

				{	/* Eval/evaluate_types.scm 67 */
					BgL_ev_listz00_bglt BgL_new1065z00_855;

					BgL_new1065z00_855 =
						((BgL_ev_listz00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_ev_listz00_bgl))));
					{	/* Eval/evaluate_types.scm 67 */
						long BgL_arg1597z00_856;

						{	/* Eval/evaluate_types.scm 67 */
							long BgL_res2274z00_2232;

							{	/* Eval/evaluate_types.scm 67 */
								obj_t BgL_classz00_2229;

								BgL_classz00_2229 = BGl_ev_listz00zz__evaluate_typesz00;
								{	/* Eval/evaluate_types.scm 67 */
									obj_t BgL_vectorz00_2230;
									int BgL_kz00_2231;

									BgL_vectorz00_2230 = BgL_classz00_2229;
									BgL_kz00_2231 = (int) (((long) 1));
									BgL_res2274z00_2232 =
										(long) CINT(VECTOR_REF(BgL_vectorz00_2230, BgL_kz00_2231));
							}}
							BgL_arg1597z00_856 = BgL_res2274z00_2232;
						}
						{	/* Eval/evaluate_types.scm 67 */
							BgL_objectz00_bglt BgL_objz00_2233;

							BgL_objz00_2233 = ((BgL_objectz00_bglt) BgL_new1065z00_855);
							BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2233, BgL_arg1597z00_856);
					}}
					{	/* Eval/evaluate_types.scm 67 */
						BgL_objectz00_bglt BgL_auxz00_4882;

						BgL_auxz00_4882 = ((BgL_objectz00_bglt) BgL_new1065z00_855);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_4882, BFALSE);
					}
					return BgL_new1065z00_855;
				}
			}
		}
	}



/* &lambda1594 */
	BgL_ev_listz00_bglt BGl_z62lambda1594z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3499, obj_t BgL_args1064z00_3500)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 67 */
			{
				obj_t BgL_args1064z00_849;

				BgL_args1064z00_849 = BgL_args1064z00_3500;
				{	/* Eval/evaluate_types.scm 67 */
					BgL_ev_listz00_bglt BgL_new1218z00_2220;

					{	/* Eval/evaluate_types.scm 67 */
						BgL_ev_listz00_bglt BgL_new1217z00_2221;

						BgL_new1217z00_2221 =
							((BgL_ev_listz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_ev_listz00_bgl))));
						{	/* Eval/evaluate_types.scm 67 */
							long BgL_arg1595z00_2222;

							{	/* Eval/evaluate_types.scm 67 */
								long BgL_res2273z00_2226;

								{	/* Eval/evaluate_types.scm 67 */
									obj_t BgL_classz00_2223;

									BgL_classz00_2223 = BGl_ev_listz00zz__evaluate_typesz00;
									{	/* Eval/evaluate_types.scm 67 */
										obj_t BgL_vectorz00_2224;
										int BgL_kz00_2225;

										BgL_vectorz00_2224 = BgL_classz00_2223;
										BgL_kz00_2225 = (int) (((long) 1));
										BgL_res2273z00_2226 =
											(long) CINT(VECTOR_REF(BgL_vectorz00_2224,
												BgL_kz00_2225));
								}}
								BgL_arg1595z00_2222 = BgL_res2273z00_2226;
							}
							{	/* Eval/evaluate_types.scm 67 */
								BgL_objectz00_bglt BgL_objz00_2227;

								BgL_objz00_2227 = ((BgL_objectz00_bglt) BgL_new1217z00_2221);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2227, BgL_arg1595z00_2222);
						}}
						{	/* Eval/evaluate_types.scm 67 */
							BgL_objectz00_bglt BgL_auxz00_4891;

							BgL_auxz00_4891 = ((BgL_objectz00_bglt) BgL_new1217z00_2221);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_4891, BFALSE);
						}
						BgL_new1218z00_2220 = BgL_new1217z00_2221;
					}
					((((BgL_ev_listz00_bglt) CREF(BgL_new1218z00_2220))->BgL_argsz00) =
						((obj_t) BgL_args1064z00_849), BUNSPEC);
					return BgL_new1218z00_2220;
				}
			}
		}
	}



/* &lambda1604 */
	obj_t BGl_z62lambda1604z62zz__evaluate_typesz00(obj_t BgL_envz00_3501,
		obj_t BgL_oz00_3502, obj_t BgL_vz00_3503)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 67 */
			{	/* Eval/evaluate_types.scm 67 */
				BgL_ev_listz00_bglt BgL_oz00_3711;

				BgL_oz00_3711 = ((BgL_ev_listz00_bglt) BgL_oz00_3502);
				return
					((((BgL_ev_listz00_bglt) CREF(BgL_oz00_3711))->BgL_argsz00) =
					((obj_t) BgL_vz00_3503), BUNSPEC);
			}
		}
	}



/* &lambda1603 */
	obj_t BGl_z62lambda1603z62zz__evaluate_typesz00(obj_t BgL_envz00_3504,
		obj_t BgL_oz00_3505)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 67 */
			return
				(((BgL_ev_listz00_bglt) CREF(
						((BgL_ev_listz00_bglt) BgL_oz00_3505)))->BgL_argsz00);
		}
	}



/* &<anonymous:1571> */
	BgL_ev_ifz00_bglt BGl_z62zc3anonymousza31571ze3ze1zz__evaluate_typesz00(obj_t
		BgL_envz00_3506, obj_t BgL_new1062z00_3507)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 63 */
			{
				BgL_ev_ifz00_bglt BgL_new1062z00_801;

				BgL_new1062z00_801 = ((BgL_ev_ifz00_bglt) BgL_new1062z00_3507);
				((((BgL_ev_ifz00_bglt) CREF(BgL_new1062z00_801))->BgL_pz00) =
					((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt)
							BGl_classzd2nilzd2zz__objectz00
							(BGl_ev_exprz00zz__evaluate_typesz00))), BUNSPEC);
				((((BgL_ev_ifz00_bglt) CREF(BgL_new1062z00_801))->BgL_tz00) =
					((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt)
							BGl_classzd2nilzd2zz__objectz00
							(BGl_ev_exprz00zz__evaluate_typesz00))), BUNSPEC);
				((((BgL_ev_ifz00_bglt) CREF(BgL_new1062z00_801))->BgL_ez00) =
					((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt)
							BGl_classzd2nilzd2zz__objectz00
							(BGl_ev_exprz00zz__evaluate_typesz00))), BUNSPEC);
				return BgL_new1062z00_801;
			}
		}
	}



/* &lambda1567 */
	BgL_ev_ifz00_bglt BGl_z62lambda1567z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3508)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 63 */
			{

				{	/* Eval/evaluate_types.scm 63 */
					BgL_ev_ifz00_bglt BgL_new1061z00_799;

					BgL_new1061z00_799 =
						((BgL_ev_ifz00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_ev_ifz00_bgl))));
					{	/* Eval/evaluate_types.scm 63 */
						long BgL_arg1570z00_800;

						{	/* Eval/evaluate_types.scm 63 */
							long BgL_res2272z00_2212;

							{	/* Eval/evaluate_types.scm 63 */
								obj_t BgL_classz00_2209;

								BgL_classz00_2209 = BGl_ev_ifz00zz__evaluate_typesz00;
								{	/* Eval/evaluate_types.scm 63 */
									obj_t BgL_vectorz00_2210;
									int BgL_kz00_2211;

									BgL_vectorz00_2210 = BgL_classz00_2209;
									BgL_kz00_2211 = (int) (((long) 1));
									BgL_res2272z00_2212 =
										(long) CINT(VECTOR_REF(BgL_vectorz00_2210, BgL_kz00_2211));
							}}
							BgL_arg1570z00_800 = BgL_res2272z00_2212;
						}
						{	/* Eval/evaluate_types.scm 63 */
							BgL_objectz00_bglt BgL_objz00_2213;

							BgL_objz00_2213 = ((BgL_objectz00_bglt) BgL_new1061z00_799);
							BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2213, BgL_arg1570z00_800);
					}}
					{	/* Eval/evaluate_types.scm 63 */
						BgL_objectz00_bglt BgL_auxz00_4915;

						BgL_auxz00_4915 = ((BgL_objectz00_bglt) BgL_new1061z00_799);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_4915, BFALSE);
					}
					return BgL_new1061z00_799;
				}
			}
		}
	}



/* &lambda1565 */
	BgL_ev_ifz00_bglt BGl_z62lambda1565z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3509, obj_t BgL_p1058z00_3510, obj_t BgL_t1059z00_3511,
		obj_t BgL_e1060z00_3512)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 63 */
			{
				BgL_ev_exprz00_bglt BgL_p1058z00_791;
				BgL_ev_exprz00_bglt BgL_t1059z00_792;
				BgL_ev_exprz00_bglt BgL_e1060z00_793;

				BgL_p1058z00_791 = ((BgL_ev_exprz00_bglt) BgL_p1058z00_3510);
				BgL_t1059z00_792 = ((BgL_ev_exprz00_bglt) BgL_t1059z00_3511);
				BgL_e1060z00_793 = ((BgL_ev_exprz00_bglt) BgL_e1060z00_3512);
				{	/* Eval/evaluate_types.scm 63 */
					BgL_ev_ifz00_bglt BgL_new1210z00_2200;

					{	/* Eval/evaluate_types.scm 63 */
						BgL_ev_ifz00_bglt BgL_new1209z00_2201;

						BgL_new1209z00_2201 =
							((BgL_ev_ifz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_ev_ifz00_bgl))));
						{	/* Eval/evaluate_types.scm 63 */
							long BgL_arg1566z00_2202;

							{	/* Eval/evaluate_types.scm 63 */
								long BgL_res2271z00_2206;

								{	/* Eval/evaluate_types.scm 63 */
									obj_t BgL_classz00_2203;

									BgL_classz00_2203 = BGl_ev_ifz00zz__evaluate_typesz00;
									{	/* Eval/evaluate_types.scm 63 */
										obj_t BgL_vectorz00_2204;
										int BgL_kz00_2205;

										BgL_vectorz00_2204 = BgL_classz00_2203;
										BgL_kz00_2205 = (int) (((long) 1));
										BgL_res2271z00_2206 =
											(long) CINT(VECTOR_REF(BgL_vectorz00_2204,
												BgL_kz00_2205));
								}}
								BgL_arg1566z00_2202 = BgL_res2271z00_2206;
							}
							{	/* Eval/evaluate_types.scm 63 */
								BgL_objectz00_bglt BgL_objz00_2207;

								BgL_objz00_2207 = ((BgL_objectz00_bglt) BgL_new1209z00_2201);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2207, BgL_arg1566z00_2202);
						}}
						{	/* Eval/evaluate_types.scm 63 */
							BgL_objectz00_bglt BgL_auxz00_4924;

							BgL_auxz00_4924 = ((BgL_objectz00_bglt) BgL_new1209z00_2201);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_4924, BFALSE);
						}
						BgL_new1210z00_2200 = BgL_new1209z00_2201;
					}
					((((BgL_ev_ifz00_bglt) CREF(BgL_new1210z00_2200))->BgL_pz00) =
						((BgL_ev_exprz00_bglt) BgL_p1058z00_791), BUNSPEC);
					((((BgL_ev_ifz00_bglt) CREF(BgL_new1210z00_2200))->BgL_tz00) =
						((BgL_ev_exprz00_bglt) BgL_t1059z00_792), BUNSPEC);
					((((BgL_ev_ifz00_bglt) CREF(BgL_new1210z00_2200))->BgL_ez00) =
						((BgL_ev_exprz00_bglt) BgL_e1060z00_793), BUNSPEC);
					return BgL_new1210z00_2200;
				}
			}
		}
	}



/* &lambda1588 */
	obj_t BGl_z62lambda1588z62zz__evaluate_typesz00(obj_t BgL_envz00_3513,
		obj_t BgL_oz00_3514, obj_t BgL_vz00_3515)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 63 */
			{	/* Eval/evaluate_types.scm 63 */
				BgL_ev_ifz00_bglt BgL_oz00_3714;
				BgL_ev_exprz00_bglt BgL_vz00_3715;

				BgL_oz00_3714 = ((BgL_ev_ifz00_bglt) BgL_oz00_3514);
				BgL_vz00_3715 = ((BgL_ev_exprz00_bglt) BgL_vz00_3515);
				return
					((((BgL_ev_ifz00_bglt) CREF(BgL_oz00_3714))->BgL_pz00) =
					((BgL_ev_exprz00_bglt) BgL_vz00_3715), BUNSPEC);
			}
		}
	}



/* &lambda1587 */
	BgL_ev_exprz00_bglt BGl_z62lambda1587z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3516, obj_t BgL_oz00_3517)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 63 */
			return
				(((BgL_ev_ifz00_bglt) CREF(
						((BgL_ev_ifz00_bglt) BgL_oz00_3517)))->BgL_pz00);
		}
	}



/* &lambda1582 */
	obj_t BGl_z62lambda1582z62zz__evaluate_typesz00(obj_t BgL_envz00_3518,
		obj_t BgL_oz00_3519, obj_t BgL_vz00_3520)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 63 */
			{	/* Eval/evaluate_types.scm 63 */
				BgL_ev_ifz00_bglt BgL_oz00_3717;
				BgL_ev_exprz00_bglt BgL_vz00_3718;

				BgL_oz00_3717 = ((BgL_ev_ifz00_bglt) BgL_oz00_3519);
				BgL_vz00_3718 = ((BgL_ev_exprz00_bglt) BgL_vz00_3520);
				return
					((((BgL_ev_ifz00_bglt) CREF(BgL_oz00_3717))->BgL_tz00) =
					((BgL_ev_exprz00_bglt) BgL_vz00_3718), BUNSPEC);
			}
		}
	}



/* &lambda1581 */
	BgL_ev_exprz00_bglt BGl_z62lambda1581z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3521, obj_t BgL_oz00_3522)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 63 */
			return
				(((BgL_ev_ifz00_bglt) CREF(
						((BgL_ev_ifz00_bglt) BgL_oz00_3522)))->BgL_tz00);
		}
	}



/* &lambda1577 */
	obj_t BGl_z62lambda1577z62zz__evaluate_typesz00(obj_t BgL_envz00_3523,
		obj_t BgL_oz00_3524, obj_t BgL_vz00_3525)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 63 */
			{	/* Eval/evaluate_types.scm 63 */
				BgL_ev_ifz00_bglt BgL_oz00_3720;
				BgL_ev_exprz00_bglt BgL_vz00_3721;

				BgL_oz00_3720 = ((BgL_ev_ifz00_bglt) BgL_oz00_3524);
				BgL_vz00_3721 = ((BgL_ev_exprz00_bglt) BgL_vz00_3525);
				return
					((((BgL_ev_ifz00_bglt) CREF(BgL_oz00_3720))->BgL_ez00) =
					((BgL_ev_exprz00_bglt) BgL_vz00_3721), BUNSPEC);
			}
		}
	}



/* &lambda1576 */
	BgL_ev_exprz00_bglt BGl_z62lambda1576z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3526, obj_t BgL_oz00_3527)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 63 */
			return
				(((BgL_ev_ifz00_bglt) CREF(
						((BgL_ev_ifz00_bglt) BgL_oz00_3527)))->BgL_ez00);
		}
	}



/* &<anonymous:1553> */
	BgL_ev_littz00_bglt
		BGl_z62zc3anonymousza31553ze3ze1zz__evaluate_typesz00(obj_t BgL_envz00_3528,
		obj_t BgL_new1056z00_3529)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 61 */
			{
				BgL_ev_littz00_bglt BgL_new1056z00_767;

				BgL_new1056z00_767 = ((BgL_ev_littz00_bglt) BgL_new1056z00_3529);
				((((BgL_ev_littz00_bglt) CREF(BgL_new1056z00_767))->BgL_valuez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				return BgL_new1056z00_767;
			}
		}
	}



/* &lambda1548 */
	BgL_ev_littz00_bglt BGl_z62lambda1548z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3530)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 61 */
			{

				{	/* Eval/evaluate_types.scm 61 */
					BgL_ev_littz00_bglt BgL_new1055z00_765;

					BgL_new1055z00_765 =
						((BgL_ev_littz00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_ev_littz00_bgl))));
					{	/* Eval/evaluate_types.scm 61 */
						long BgL_arg1552z00_766;

						{	/* Eval/evaluate_types.scm 61 */
							long BgL_res2270z00_2182;

							{	/* Eval/evaluate_types.scm 61 */
								obj_t BgL_classz00_2179;

								BgL_classz00_2179 = BGl_ev_littz00zz__evaluate_typesz00;
								{	/* Eval/evaluate_types.scm 61 */
									obj_t BgL_vectorz00_2180;
									int BgL_kz00_2181;

									BgL_vectorz00_2180 = BgL_classz00_2179;
									BgL_kz00_2181 = (int) (((long) 1));
									BgL_res2270z00_2182 =
										(long) CINT(VECTOR_REF(BgL_vectorz00_2180, BgL_kz00_2181));
							}}
							BgL_arg1552z00_766 = BgL_res2270z00_2182;
						}
						{	/* Eval/evaluate_types.scm 61 */
							BgL_objectz00_bglt BgL_objz00_2183;

							BgL_objz00_2183 = ((BgL_objectz00_bglt) BgL_new1055z00_765);
							BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2183, BgL_arg1552z00_766);
					}}
					{	/* Eval/evaluate_types.scm 61 */
						BgL_objectz00_bglt BgL_auxz00_4956;

						BgL_auxz00_4956 = ((BgL_objectz00_bglt) BgL_new1055z00_765);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_4956, BFALSE);
					}
					return BgL_new1055z00_765;
				}
			}
		}
	}



/* &lambda1546 */
	BgL_ev_littz00_bglt BGl_z62lambda1546z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3531, obj_t BgL_value1054z00_3532)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 61 */
			{
				obj_t BgL_value1054z00_759;

				BgL_value1054z00_759 = BgL_value1054z00_3532;
				{	/* Eval/evaluate_types.scm 61 */
					BgL_ev_littz00_bglt BgL_new1206z00_2170;

					{	/* Eval/evaluate_types.scm 61 */
						BgL_ev_littz00_bglt BgL_new1205z00_2171;

						BgL_new1205z00_2171 =
							((BgL_ev_littz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_ev_littz00_bgl))));
						{	/* Eval/evaluate_types.scm 61 */
							long BgL_arg1547z00_2172;

							{	/* Eval/evaluate_types.scm 61 */
								long BgL_res2269z00_2176;

								{	/* Eval/evaluate_types.scm 61 */
									obj_t BgL_classz00_2173;

									BgL_classz00_2173 = BGl_ev_littz00zz__evaluate_typesz00;
									{	/* Eval/evaluate_types.scm 61 */
										obj_t BgL_vectorz00_2174;
										int BgL_kz00_2175;

										BgL_vectorz00_2174 = BgL_classz00_2173;
										BgL_kz00_2175 = (int) (((long) 1));
										BgL_res2269z00_2176 =
											(long) CINT(VECTOR_REF(BgL_vectorz00_2174,
												BgL_kz00_2175));
								}}
								BgL_arg1547z00_2172 = BgL_res2269z00_2176;
							}
							{	/* Eval/evaluate_types.scm 61 */
								BgL_objectz00_bglt BgL_objz00_2177;

								BgL_objz00_2177 = ((BgL_objectz00_bglt) BgL_new1205z00_2171);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2177, BgL_arg1547z00_2172);
						}}
						{	/* Eval/evaluate_types.scm 61 */
							BgL_objectz00_bglt BgL_auxz00_4965;

							BgL_auxz00_4965 = ((BgL_objectz00_bglt) BgL_new1205z00_2171);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_4965, BFALSE);
						}
						BgL_new1206z00_2170 = BgL_new1205z00_2171;
					}
					((((BgL_ev_littz00_bglt) CREF(BgL_new1206z00_2170))->BgL_valuez00) =
						((obj_t) BgL_value1054z00_759), BUNSPEC);
					return BgL_new1206z00_2170;
				}
			}
		}
	}



/* &lambda1558 */
	obj_t BGl_z62lambda1558z62zz__evaluate_typesz00(obj_t BgL_envz00_3533,
		obj_t BgL_oz00_3534, obj_t BgL_vz00_3535)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 61 */
			{	/* Eval/evaluate_types.scm 61 */
				BgL_ev_littz00_bglt BgL_oz00_3723;

				BgL_oz00_3723 = ((BgL_ev_littz00_bglt) BgL_oz00_3534);
				return
					((((BgL_ev_littz00_bglt) CREF(BgL_oz00_3723))->BgL_valuez00) =
					((obj_t) BgL_vz00_3535), BUNSPEC);
			}
		}
	}



/* &lambda1557 */
	obj_t BGl_z62lambda1557z62zz__evaluate_typesz00(obj_t BgL_envz00_3536,
		obj_t BgL_oz00_3537)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 61 */
			return
				(((BgL_ev_littz00_bglt) CREF(
						((BgL_ev_littz00_bglt) BgL_oz00_3537)))->BgL_valuez00);
		}
	}



/* &<anonymous:1516> */
	BgL_ev_globalz00_bglt
		BGl_z62zc3anonymousza31516ze3ze1zz__evaluate_typesz00(obj_t BgL_envz00_3538,
		obj_t BgL_new1052z00_3539)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 56 */
			{
				BgL_ev_globalz00_bglt BgL_new1052z00_711;

				BgL_new1052z00_711 = ((BgL_ev_globalz00_bglt) BgL_new1052z00_3539);
				((((BgL_ev_globalz00_bglt) CREF(BgL_new1052z00_711))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_ev_globalz00_bglt) CREF(BgL_new1052z00_711))->BgL_namez00) =
					((obj_t) BGl_symbol2660z00zz__evaluate_typesz00), BUNSPEC);
				((((BgL_ev_globalz00_bglt) CREF(BgL_new1052z00_711))->BgL_modz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				return BgL_new1052z00_711;
			}
		}
	}



/* &lambda1513 */
	BgL_ev_globalz00_bglt BGl_z62lambda1513z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3540)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 56 */
			{

				{	/* Eval/evaluate_types.scm 56 */
					BgL_ev_globalz00_bglt BgL_new1051z00_709;

					BgL_new1051z00_709 =
						((BgL_ev_globalz00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_ev_globalz00_bgl))));
					{	/* Eval/evaluate_types.scm 56 */
						long BgL_arg1515z00_710;

						{	/* Eval/evaluate_types.scm 56 */
							long BgL_res2268z00_2162;

							{	/* Eval/evaluate_types.scm 56 */
								obj_t BgL_classz00_2159;

								BgL_classz00_2159 = BGl_ev_globalz00zz__evaluate_typesz00;
								{	/* Eval/evaluate_types.scm 56 */
									obj_t BgL_vectorz00_2160;
									int BgL_kz00_2161;

									BgL_vectorz00_2160 = BgL_classz00_2159;
									BgL_kz00_2161 = (int) (((long) 1));
									BgL_res2268z00_2162 =
										(long) CINT(VECTOR_REF(BgL_vectorz00_2160, BgL_kz00_2161));
							}}
							BgL_arg1515z00_710 = BgL_res2268z00_2162;
						}
						{	/* Eval/evaluate_types.scm 56 */
							BgL_objectz00_bglt BgL_objz00_2163;

							BgL_objz00_2163 = ((BgL_objectz00_bglt) BgL_new1051z00_709);
							BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2163, BgL_arg1515z00_710);
					}}
					{	/* Eval/evaluate_types.scm 56 */
						BgL_objectz00_bglt BgL_auxz00_4983;

						BgL_auxz00_4983 = ((BgL_objectz00_bglt) BgL_new1051z00_709);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_4983, BFALSE);
					}
					return BgL_new1051z00_709;
				}
			}
		}
	}



/* &lambda1511 */
	BgL_ev_globalz00_bglt BGl_z62lambda1511z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3541, obj_t BgL_loc1048z00_3542, obj_t BgL_name1049z00_3543,
		obj_t BgL_mod1050z00_3544)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 56 */
			{
				obj_t BgL_loc1048z00_701;
				obj_t BgL_name1049z00_702;
				obj_t BgL_mod1050z00_703;

				BgL_loc1048z00_701 = BgL_loc1048z00_3542;
				BgL_name1049z00_702 = BgL_name1049z00_3543;
				BgL_mod1050z00_703 = BgL_mod1050z00_3544;
				{	/* Eval/evaluate_types.scm 56 */
					BgL_ev_globalz00_bglt BgL_new1198z00_2150;

					{	/* Eval/evaluate_types.scm 56 */
						BgL_ev_globalz00_bglt BgL_new1197z00_2151;

						BgL_new1197z00_2151 =
							((BgL_ev_globalz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_ev_globalz00_bgl))));
						{	/* Eval/evaluate_types.scm 56 */
							long BgL_arg1512z00_2152;

							{	/* Eval/evaluate_types.scm 56 */
								long BgL_res2267z00_2156;

								{	/* Eval/evaluate_types.scm 56 */
									obj_t BgL_classz00_2153;

									BgL_classz00_2153 = BGl_ev_globalz00zz__evaluate_typesz00;
									{	/* Eval/evaluate_types.scm 56 */
										obj_t BgL_vectorz00_2154;
										int BgL_kz00_2155;

										BgL_vectorz00_2154 = BgL_classz00_2153;
										BgL_kz00_2155 = (int) (((long) 1));
										BgL_res2267z00_2156 =
											(long) CINT(VECTOR_REF(BgL_vectorz00_2154,
												BgL_kz00_2155));
								}}
								BgL_arg1512z00_2152 = BgL_res2267z00_2156;
							}
							{	/* Eval/evaluate_types.scm 56 */
								BgL_objectz00_bglt BgL_objz00_2157;

								BgL_objz00_2157 = ((BgL_objectz00_bglt) BgL_new1197z00_2151);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2157, BgL_arg1512z00_2152);
						}}
						{	/* Eval/evaluate_types.scm 56 */
							BgL_objectz00_bglt BgL_auxz00_4992;

							BgL_auxz00_4992 = ((BgL_objectz00_bglt) BgL_new1197z00_2151);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_4992, BFALSE);
						}
						BgL_new1198z00_2150 = BgL_new1197z00_2151;
					}
					((((BgL_ev_globalz00_bglt) CREF(BgL_new1198z00_2150))->BgL_locz00) =
						((obj_t) BgL_loc1048z00_701), BUNSPEC);
					((((BgL_ev_globalz00_bglt) CREF(BgL_new1198z00_2150))->BgL_namez00) =
						((obj_t) BgL_name1049z00_702), BUNSPEC);
					((((BgL_ev_globalz00_bglt) CREF(BgL_new1198z00_2150))->BgL_modz00) =
						((obj_t) BgL_mod1050z00_703), BUNSPEC);
					return BgL_new1198z00_2150;
				}
			}
		}
	}



/* &lambda1535 */
	obj_t BGl_z62lambda1535z62zz__evaluate_typesz00(obj_t BgL_envz00_3545,
		obj_t BgL_oz00_3546, obj_t BgL_vz00_3547)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 56 */
			{	/* Eval/evaluate_types.scm 56 */
				BgL_ev_globalz00_bglt BgL_oz00_3726;

				BgL_oz00_3726 = ((BgL_ev_globalz00_bglt) BgL_oz00_3546);
				return
					((((BgL_ev_globalz00_bglt) CREF(BgL_oz00_3726))->BgL_locz00) =
					((obj_t) BgL_vz00_3547), BUNSPEC);
			}
		}
	}



/* &lambda1534 */
	obj_t BGl_z62lambda1534z62zz__evaluate_typesz00(obj_t BgL_envz00_3548,
		obj_t BgL_oz00_3549)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 56 */
			return
				(((BgL_ev_globalz00_bglt) CREF(
						((BgL_ev_globalz00_bglt) BgL_oz00_3549)))->BgL_locz00);
		}
	}



/* &lambda1529 */
	obj_t BGl_z62lambda1529z62zz__evaluate_typesz00(obj_t BgL_envz00_3550,
		obj_t BgL_oz00_3551, obj_t BgL_vz00_3552)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 56 */
			{	/* Eval/evaluate_types.scm 56 */
				BgL_ev_globalz00_bglt BgL_oz00_3729;
				obj_t BgL_vz00_3730;

				BgL_oz00_3729 = ((BgL_ev_globalz00_bglt) BgL_oz00_3551);
				BgL_vz00_3730 = BgL_vz00_3552;
				return
					((((BgL_ev_globalz00_bglt) CREF(BgL_oz00_3729))->BgL_namez00) =
					((obj_t) BgL_vz00_3730), BUNSPEC);
			}
		}
	}



/* &lambda1528 */
	obj_t BGl_z62lambda1528z62zz__evaluate_typesz00(obj_t BgL_envz00_3553,
		obj_t BgL_oz00_3554)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 56 */
			return
				(((BgL_ev_globalz00_bglt) CREF(
						((BgL_ev_globalz00_bglt) BgL_oz00_3554)))->BgL_namez00);
		}
	}



/* &lambda1523 */
	obj_t BGl_z62lambda1523z62zz__evaluate_typesz00(obj_t BgL_envz00_3555,
		obj_t BgL_oz00_3556, obj_t BgL_vz00_3557)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 56 */
			{	/* Eval/evaluate_types.scm 56 */
				BgL_ev_globalz00_bglt BgL_oz00_3732;

				BgL_oz00_3732 = ((BgL_ev_globalz00_bglt) BgL_oz00_3556);
				return
					((((BgL_ev_globalz00_bglt) CREF(BgL_oz00_3732))->BgL_modz00) =
					((obj_t) BgL_vz00_3557), BUNSPEC);
			}
		}
	}



/* &lambda1522 */
	obj_t BGl_z62lambda1522z62zz__evaluate_typesz00(obj_t BgL_envz00_3558,
		obj_t BgL_oz00_3559)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 56 */
			return
				(((BgL_ev_globalz00_bglt) CREF(
						((BgL_ev_globalz00_bglt) BgL_oz00_3559)))->BgL_modz00);
		}
	}



/* &<anonymous:1487> */
	BgL_ev_varz00_bglt BGl_z62zc3anonymousza31487ze3ze1zz__evaluate_typesz00(obj_t
		BgL_envz00_3560, obj_t BgL_new1046z00_3561)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 52 */
			{
				BgL_ev_varz00_bglt BgL_new1046z00_650;

				BgL_new1046z00_650 = ((BgL_ev_varz00_bglt) BgL_new1046z00_3561);
				((((BgL_ev_varz00_bglt) CREF(BgL_new1046z00_650))->BgL_namez00) =
					((obj_t) BGl_symbol2660z00zz__evaluate_typesz00), BUNSPEC);
				((((BgL_ev_varz00_bglt) CREF(BgL_new1046z00_650))->BgL_effz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_ev_varz00_bglt) CREF(BgL_new1046z00_650))->BgL_typez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				return BgL_new1046z00_650;
			}
		}
	}



/* &lambda1485 */
	BgL_ev_varz00_bglt BGl_z62lambda1485z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3562)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 52 */
			{

				{	/* Eval/evaluate_types.scm 52 */
					BgL_ev_varz00_bglt BgL_new1045z00_648;

					BgL_new1045z00_648 =
						((BgL_ev_varz00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_ev_varz00_bgl))));
					{	/* Eval/evaluate_types.scm 52 */
						long BgL_arg1486z00_649;

						{	/* Eval/evaluate_types.scm 52 */
							long BgL_res2266z00_2132;

							{	/* Eval/evaluate_types.scm 52 */
								obj_t BgL_classz00_2129;

								BgL_classz00_2129 = BGl_ev_varz00zz__evaluate_typesz00;
								{	/* Eval/evaluate_types.scm 52 */
									obj_t BgL_vectorz00_2130;
									int BgL_kz00_2131;

									BgL_vectorz00_2130 = BgL_classz00_2129;
									BgL_kz00_2131 = (int) (((long) 1));
									BgL_res2266z00_2132 =
										(long) CINT(VECTOR_REF(BgL_vectorz00_2130, BgL_kz00_2131));
							}}
							BgL_arg1486z00_649 = BgL_res2266z00_2132;
						}
						{	/* Eval/evaluate_types.scm 52 */
							BgL_objectz00_bglt BgL_objz00_2133;

							BgL_objz00_2133 = ((BgL_objectz00_bglt) BgL_new1045z00_648);
							BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2133, BgL_arg1486z00_649);
					}}
					{	/* Eval/evaluate_types.scm 52 */
						BgL_objectz00_bglt BgL_auxz00_5020;

						BgL_auxz00_5020 = ((BgL_objectz00_bglt) BgL_new1045z00_648);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_5020, BFALSE);
					}
					return BgL_new1045z00_648;
				}
			}
		}
	}



/* &lambda1483 */
	BgL_ev_varz00_bglt BGl_z62lambda1483z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3563, obj_t BgL_name1042z00_3564, obj_t BgL_eff1043z00_3565,
		obj_t BgL_type1044z00_3566)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 52 */
			{
				obj_t BgL_name1042z00_640;
				obj_t BgL_eff1043z00_641;
				obj_t BgL_type1044z00_642;

				BgL_name1042z00_640 = BgL_name1042z00_3564;
				BgL_eff1043z00_641 = BgL_eff1043z00_3565;
				BgL_type1044z00_642 = BgL_type1044z00_3566;
				{	/* Eval/evaluate_types.scm 52 */
					BgL_ev_varz00_bglt BgL_new1190z00_2120;

					{	/* Eval/evaluate_types.scm 52 */
						BgL_ev_varz00_bglt BgL_new1189z00_2121;

						BgL_new1189z00_2121 =
							((BgL_ev_varz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_ev_varz00_bgl))));
						{	/* Eval/evaluate_types.scm 52 */
							long BgL_arg1484z00_2122;

							{	/* Eval/evaluate_types.scm 52 */
								long BgL_res2265z00_2126;

								{	/* Eval/evaluate_types.scm 52 */
									obj_t BgL_classz00_2123;

									BgL_classz00_2123 = BGl_ev_varz00zz__evaluate_typesz00;
									{	/* Eval/evaluate_types.scm 52 */
										obj_t BgL_vectorz00_2124;
										int BgL_kz00_2125;

										BgL_vectorz00_2124 = BgL_classz00_2123;
										BgL_kz00_2125 = (int) (((long) 1));
										BgL_res2265z00_2126 =
											(long) CINT(VECTOR_REF(BgL_vectorz00_2124,
												BgL_kz00_2125));
								}}
								BgL_arg1484z00_2122 = BgL_res2265z00_2126;
							}
							{	/* Eval/evaluate_types.scm 52 */
								BgL_objectz00_bglt BgL_objz00_2127;

								BgL_objz00_2127 = ((BgL_objectz00_bglt) BgL_new1189z00_2121);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2127, BgL_arg1484z00_2122);
						}}
						{	/* Eval/evaluate_types.scm 52 */
							BgL_objectz00_bglt BgL_auxz00_5029;

							BgL_auxz00_5029 = ((BgL_objectz00_bglt) BgL_new1189z00_2121);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_5029, BFALSE);
						}
						BgL_new1190z00_2120 = BgL_new1189z00_2121;
					}
					((((BgL_ev_varz00_bglt) CREF(BgL_new1190z00_2120))->BgL_namez00) =
						((obj_t) BgL_name1042z00_640), BUNSPEC);
					((((BgL_ev_varz00_bglt) CREF(BgL_new1190z00_2120))->BgL_effz00) =
						((obj_t) BgL_eff1043z00_641), BUNSPEC);
					((((BgL_ev_varz00_bglt) CREF(BgL_new1190z00_2120))->BgL_typez00) =
						((obj_t) BgL_type1044z00_642), BUNSPEC);
					return BgL_new1190z00_2120;
				}
			}
		}
	}



/* &lambda1505 */
	obj_t BGl_z62lambda1505z62zz__evaluate_typesz00(obj_t BgL_envz00_3567,
		obj_t BgL_oz00_3568, obj_t BgL_vz00_3569)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 52 */
			{	/* Eval/evaluate_types.scm 52 */
				BgL_ev_varz00_bglt BgL_oz00_3735;
				obj_t BgL_vz00_3736;

				BgL_oz00_3735 = ((BgL_ev_varz00_bglt) BgL_oz00_3568);
				BgL_vz00_3736 = BgL_vz00_3569;
				return
					((((BgL_ev_varz00_bglt) CREF(BgL_oz00_3735))->BgL_namez00) =
					((obj_t) BgL_vz00_3736), BUNSPEC);
			}
		}
	}



/* &lambda1504 */
	obj_t BGl_z62lambda1504z62zz__evaluate_typesz00(obj_t BgL_envz00_3570,
		obj_t BgL_oz00_3571)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 52 */
			return
				(((BgL_ev_varz00_bglt) CREF(
						((BgL_ev_varz00_bglt) BgL_oz00_3571)))->BgL_namez00);
		}
	}



/* &<anonymous:1500> */
	obj_t BGl_z62zc3anonymousza31500ze3ze1zz__evaluate_typesz00(obj_t
		BgL_envz00_3572)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 52 */
			return BBOOL(((bool_t) 0));
		}
	}



/* &lambda1499 */
	obj_t BGl_z62lambda1499z62zz__evaluate_typesz00(obj_t BgL_envz00_3573,
		obj_t BgL_oz00_3574, obj_t BgL_vz00_3575)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 52 */
			{	/* Eval/evaluate_types.scm 52 */
				BgL_ev_varz00_bglt BgL_oz00_3738;

				BgL_oz00_3738 = ((BgL_ev_varz00_bglt) BgL_oz00_3574);
				return
					((((BgL_ev_varz00_bglt) CREF(BgL_oz00_3738))->BgL_effz00) =
					((obj_t) BgL_vz00_3575), BUNSPEC);
			}
		}
	}



/* &lambda1498 */
	obj_t BGl_z62lambda1498z62zz__evaluate_typesz00(obj_t BgL_envz00_3576,
		obj_t BgL_oz00_3577)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 52 */
			return
				(((BgL_ev_varz00_bglt) CREF(
						((BgL_ev_varz00_bglt) BgL_oz00_3577)))->BgL_effz00);
		}
	}



/* &lambda1493 */
	obj_t BGl_z62lambda1493z62zz__evaluate_typesz00(obj_t BgL_envz00_3578,
		obj_t BgL_oz00_3579, obj_t BgL_vz00_3580)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 52 */
			{	/* Eval/evaluate_types.scm 52 */
				BgL_ev_varz00_bglt BgL_oz00_3741;

				BgL_oz00_3741 = ((BgL_ev_varz00_bglt) BgL_oz00_3579);
				return
					((((BgL_ev_varz00_bglt) CREF(BgL_oz00_3741))->BgL_typez00) =
					((obj_t) BgL_vz00_3580), BUNSPEC);
			}
		}
	}



/* &lambda1492 */
	obj_t BGl_z62lambda1492z62zz__evaluate_typesz00(obj_t BgL_envz00_3581,
		obj_t BgL_oz00_3582)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 52 */
			return
				(((BgL_ev_varz00_bglt) CREF(
						((BgL_ev_varz00_bglt) BgL_oz00_3582)))->BgL_typez00);
		}
	}



/* &<anonymous:1475> */
	BgL_ev_exprz00_bglt
		BGl_z62zc3anonymousza31475ze3ze1zz__evaluate_typesz00(obj_t BgL_envz00_3583,
		obj_t BgL_new1040z00_3584)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 50 */
			return ((BgL_ev_exprz00_bglt) BgL_new1040z00_3584);
		}
	}



/* &lambda1473 */
	BgL_ev_exprz00_bglt BGl_z62lambda1473z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3585)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 50 */
			{

				{	/* Eval/evaluate_types.scm 50 */
					BgL_ev_exprz00_bglt BgL_new1039z00_626;

					BgL_new1039z00_626 =
						((BgL_ev_exprz00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_ev_exprz00_bgl))));
					{	/* Eval/evaluate_types.scm 50 */
						long BgL_arg1474z00_627;

						{	/* Eval/evaluate_types.scm 50 */
							long BgL_res2264z00_2102;

							{	/* Eval/evaluate_types.scm 50 */
								obj_t BgL_classz00_2099;

								BgL_classz00_2099 = BGl_ev_exprz00zz__evaluate_typesz00;
								{	/* Eval/evaluate_types.scm 50 */
									obj_t BgL_vectorz00_2100;
									int BgL_kz00_2101;

									BgL_vectorz00_2100 = BgL_classz00_2099;
									BgL_kz00_2101 = (int) (((long) 1));
									BgL_res2264z00_2102 =
										(long) CINT(VECTOR_REF(BgL_vectorz00_2100, BgL_kz00_2101));
							}}
							BgL_arg1474z00_627 = BgL_res2264z00_2102;
						}
						{	/* Eval/evaluate_types.scm 50 */
							BgL_objectz00_bglt BgL_objz00_2103;

							BgL_objz00_2103 = ((BgL_objectz00_bglt) BgL_new1039z00_626);
							BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2103, BgL_arg1474z00_627);
					}}
					{	/* Eval/evaluate_types.scm 50 */
						BgL_objectz00_bglt BgL_auxz00_5055;

						BgL_auxz00_5055 = ((BgL_objectz00_bglt) BgL_new1039z00_626);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_5055, BFALSE);
					}
					return BgL_new1039z00_626;
				}
			}
		}
	}



/* &lambda1471 */
	BgL_ev_exprz00_bglt BGl_z62lambda1471z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3586)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 50 */
			{

				{	/* Eval/evaluate_types.scm 50 */
					BgL_ev_exprz00_bglt BgL_new1188z00_622;

					{	/* Eval/evaluate_types.scm 50 */
						BgL_ev_exprz00_bglt BgL_new1187z00_623;

						BgL_new1187z00_623 =
							((BgL_ev_exprz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_ev_exprz00_bgl))));
						{	/* Eval/evaluate_types.scm 50 */
							long BgL_arg1472z00_624;

							{	/* Eval/evaluate_types.scm 50 */
								long BgL_res2263z00_2096;

								{	/* Eval/evaluate_types.scm 50 */
									obj_t BgL_classz00_2093;

									BgL_classz00_2093 = BGl_ev_exprz00zz__evaluate_typesz00;
									{	/* Eval/evaluate_types.scm 50 */
										obj_t BgL_vectorz00_2094;
										int BgL_kz00_2095;

										BgL_vectorz00_2094 = BgL_classz00_2093;
										BgL_kz00_2095 = (int) (((long) 1));
										BgL_res2263z00_2096 =
											(long) CINT(VECTOR_REF(BgL_vectorz00_2094,
												BgL_kz00_2095));
								}}
								BgL_arg1472z00_624 = BgL_res2263z00_2096;
							}
							{	/* Eval/evaluate_types.scm 50 */
								BgL_objectz00_bglt BgL_objz00_2097;

								BgL_objz00_2097 = ((BgL_objectz00_bglt) BgL_new1187z00_623);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2097, BgL_arg1472z00_624);
						}}
						{	/* Eval/evaluate_types.scm 50 */
							BgL_objectz00_bglt BgL_auxz00_5064;

							BgL_auxz00_5064 = ((BgL_objectz00_bglt) BgL_new1187z00_623);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_5064, BFALSE);
						}
						BgL_new1188z00_622 = BgL_new1187z00_623;
					}
					return BgL_new1188z00_622;
				}
			}
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zz__evaluate_typesz00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 15 */
			return BUNSPEC;
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zz__evaluate_typesz00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 15 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zz__evaluate_typesz00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 15 */
			BGl_modulezd2initializa7ationz75zz__typez00(((long) 278771016),
				BSTRING_TO_STRING(BGl_string2354z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 373318193),
				BSTRING_TO_STRING(BGl_string2354z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__biglooz00(((long) 162724851),
				BSTRING_TO_STRING(BGl_string2354z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__tvectorz00(((long) 135276775),
				BSTRING_TO_STRING(BGl_string2354z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__structurez00(((long) 128218210),
				BSTRING_TO_STRING(BGl_string2354z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__bexitz00(((long) 159639574),
				BSTRING_TO_STRING(BGl_string2354z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__bignumz00(((long) 6519932),
				BSTRING_TO_STRING(BGl_string2354z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__osz00(((long) 438451175),
				BSTRING_TO_STRING(BGl_string2354z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__dssslz00(((long) 443936801),
				BSTRING_TO_STRING(BGl_string2354z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__bitz00(((long) 317260169),
				BSTRING_TO_STRING(BGl_string2354z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__paramz00(((long) 441709255),
				BSTRING_TO_STRING(BGl_string2354z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 426797061),
				BSTRING_TO_STRING(BGl_string2354z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__threadz00(((long) 220651073),
				BSTRING_TO_STRING(BGl_string2354z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long) 359798486),
				BSTRING_TO_STRING(BGl_string2354z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long)
					249410258),
				BSTRING_TO_STRING(BGl_string2354z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(((long)
					53386681), BSTRING_TO_STRING(BGl_string2354z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonum_dtoaz00(((long)
					268155843),
				BSTRING_TO_STRING(BGl_string2354z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(((long)
					198620800),
				BSTRING_TO_STRING(BGl_string2354z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long)
					473309430),
				BSTRING_TO_STRING(BGl_string2354z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(((long) 459519430),
				BSTRING_TO_STRING(BGl_string2354z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long) 460263214),
				BSTRING_TO_STRING(BGl_string2354z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 97251556),
				BSTRING_TO_STRING(BGl_string2354z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)
					47127928), BSTRING_TO_STRING(BGl_string2354z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__r4_input_6_10_2z00(((long) 415828492),
				BSTRING_TO_STRING(BGl_string2354z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(((long)
					317842797),
				BSTRING_TO_STRING(BGl_string2354z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(((long)
					228151370),
				BSTRING_TO_STRING(BGl_string2354z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 509771705),
				BSTRING_TO_STRING(BGl_string2354z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 451655587),
				BSTRING_TO_STRING(BGl_string2354z00zz__evaluate_typesz00));
			return BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long)
					268291731),
				BSTRING_TO_STRING(BGl_string2354z00zz__evaluate_typesz00));
		}
	}

#ifdef __cplusplus
}
#endif
